!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_9374) = coupl(nGC_8222)*dcw_QED2 + coupl(nGC_8223)*db_QED2 +   &
                        coupl(nGC_8224)*dZee_QED2 + coupl(nGC_8225)*da_QED2
      coupl(nGC_9378) = coupl(nGC_8311)*dvev2_QED1 + coupl(nGC_8312)*dcw_QED2  &
                         + coupl(nGC_8313)*db_QED2 + coupl(nGC_8314)*dvev1_QED1&
                         + coupl(nGC_8315)*dZee_QED2
      coupl(nGC_9363) = coupl(nGC_8316)*dsw_QED2 + coupl(nGC_8317)*db_QED2 +   &
                        coupl(nGC_8318)*dZee_QED2 + coupl(nGC_8319)*da_QED2
      coupl(nGC_15541) = coupl(nGC_165)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_9515) = coupl(nGC_8109)*dcw_QED2 + coupl(nGC_8110)*dsw_QED2 +  &
                        coupl(nGC_8111)*dMW2_QED2 + coupl(nGC_8112)*dZee_QED2
      coupl(nGC_9514) = coupl(nGC_8550)*dsw_QED2 + coupl(nGC_8551)*db_QED2 +   &
                        coupl(nGC_8552)*dMW2_QED2 + coupl(nGC_8553)*dZee_QED2  &
                         + coupl(nGC_8554)*da_QED2
      coupl(nGC_9358) = coupl(nGC_8368)*dsw_QED2 + coupl(nGC_8369)*dZee_QED2
      coupl(nGC_9647) = cima*dMW2_QED2
      coupl(nGC_9646) = cima*dMZ2_QED2
      coupl(nGC_9645) = -cima*dMB_QCD2
      coupl(nGC_9644) = -cima*dMB_QED2
      coupl(nGC_9643) = -cima*dMS_QCD2
      coupl(nGC_9642) = -cima*dMS_QED2
      coupl(nGC_9641) = -cima*dMD_QCD2
      coupl(nGC_9640) = -cima*dMD_QED2
      coupl(nGC_9649) = coupl(nGC_597)*dMW2_QED2
      coupl(nGC_9648) = coupl(nGC_593)*dMW2_QED2
      coupl(nGC_13484) = coupl(nGC_99)*dZZA_QED2/2d0
      coupl(nGC_18262) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_18260) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_18261) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_13528) = coupl(nGC_94)*dZZA_QED2/2d0
      coupl(nGC_9503) = coupl(nGC_8579)*dyt1_QED1_QCD2 + coupl(nGC_8581)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_9504) = coupl(nGC_8579)*dyt1_QED3 + coupl(nGC_8580)*da_QED2 +  &
                        coupl(nGC_8581)*dyt2_QED3
      coupl(nGC_9505) = coupl(nGC_8615)*db_QED2 + coupl(nGC_8616)*dyup1_QED3 + &
                        coupl(nGC_8617)*dyup2_QED3
      coupl(nGC_9506) = coupl(nGC_8616)*dyup1_QED1_QCD2 + coupl(nGC_8617)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_13327) = coupl(nGC_98)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_9345) = coupl(nGC_343)*db_QED2 + coupl(nGC_345)*dl2_QED4 +     &
                        coupl(nGC_347)*dl3_QED4 + coupl(nGC_349)*dl5_QED4 +    &
                        coupl(nGC_351)*dl4_QED4 + coupl(nGC_353)*dl1_QED4 +    &
                        coupl(nGC_355)*dvev1_QED1 + coupl(nGC_357)*dvev2_QED1  &
                         + coupl(nGC_359)*da_QED2
      coupl(nGC_TS_GC_125_Hh) = -coupl(nGC_125)*dtHh_QED1/cMHH**2d0
      coupl(nGC_16318) = coupl(nGC_84)*dZsR_QCD2
      coupl(nGC_TS_GC_70_Hh) = -coupl(nGC_70)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_70_Hl) = -coupl(nGC_70)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_141_Hl) = -coupl(nGC_141)*dtHl_QED1/cMHL**2d0
      coupl(nGC_14814) = coupl(nGC_87)*dZbL_QCD2
      coupl(nGC_14811) = coupl(nGC_84)*dZbR_QCD2
      coupl(nGC_15141) = coupl(nGC_61)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_13067) = coupl(nGC_74)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_14219) = coupl(nGC_72)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_8754) = cima*(-coupl(nGC_80)**2d0 - coupl(nGC_90)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_12751) = coupl(nGC_73)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_15252) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_9408) = coupl(nGC_8374)*dyd13x3_QED1_QCD2 + coupl(nGC_8375)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_9403) = coupl(nGC_8564)*dyd12x2_QED1_QCD2 + coupl(nGC_8565)*   &
                        dys2_QED1_QCD2
      coupl(nGC_9404) = coupl(nGC_8564)*dyd12x2_QED3 + coupl(nGC_8565)*        &
                        dys2_QED3 + coupl(nGC_8566)*db_QED2
      coupl(nGC_9407) = coupl(nGC_8373)*db_QED2 + coupl(nGC_8374)*dyd13x3_QED3 &
                         + coupl(nGC_8375)*dyb2_QED3
      coupl(nGC_23677) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_13410) = coupl(nGC_157)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_TS_GC_169_Hl) = -coupl(nGC_169)*dtHl_QED1/cMHL**2d0
      coupl(nGC_23249) = coupl(nGC_MI)*dZuL_QCD2
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
