!******************************************************************************!
!                                                                              !
!    fill_ctcouplings11.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings11.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings11
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl11()
      coupl(nGC_8817) = (-coupl(nGC_1)*coupl(nGC_1529)*coupl(nGC_181) + 8d0*   &
                        coupl(nGC_1)*coupl(nGC_181)*coupl(nGC_2) - coupl(      &
                        nGC_1283)*coupl(nGC_181)*coupl(nGC_87) - coupl(nGC_137 &
                        )*coupl(nGC_138)*coupl(nGC_180) - coupl(nGC_138)*coupl(&
                        nGC_139)*coupl(nGC_183) - coupl(nGC_138)*coupl(nGC_141 &
                        )*coupl(nGC_177) - coupl(nGC_138)*coupl(nGC_144)*coupl(&
                        nGC_179) - coupl(nGC_1491)*coupl(nGC_177)*coupl(nGC_80 &
                        ) - coupl(nGC_17)*coupl(nGC_181)*coupl(nGC_2) - coupl( &
                        nGC_180)*coupl(nGC_2961)*coupl(nGC_80) + 8d0*coupl(    &
                        nGC_181)*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_181)* &
                        coupl(nGC_85)*coupl(nGC_96) - coupl(nGC_183)*coupl(    &
                        nGC_72)*coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_8810) = (-4d0*Nc*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_85) + &
                        4d0*Nc*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_87) +   &
                        coupl(nGC_1079)*coupl(nGC_1319)*coupl(nGC_2961) + coupl&
                        (nGC_1319)*coupl(nGC_1491)*coupl(nGC_661) + 4d0*coupl( &
                        nGC_154)*coupl(nGC_158)*coupl(nGC_86) - 4d0*coupl(     &
                        nGC_154)*coupl(nGC_158)*coupl(nGC_90) + 4d0*coupl(     &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_86) - 4d0*coupl(     &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_90) + coupl(nGC_1795 &
                        )*coupl(nGC_72)*coupl(nGC_94) + 4d0*coupl(nGC_185)*    &
                        coupl(nGC_189)*coupl(nGC_86) - 4d0*coupl(nGC_185)*coupl&
                        (nGC_189)*coupl(nGC_90) + coupl(nGC_2961)*coupl(nGC_72 &
                        )*coupl(nGC_91) - 6d0*coupl(nGC_63)*coupl(nGC_68)*coupl&
                        (nGC_82) - 6d0*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_82&
                        ))/(96d0*pi**2d0)
      coupl(nGC_8760) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(    &
                        nGC_88))/(8d0*pi**2d0)
      coupl(nGC_TS_GC_41_Hl) = -coupl(nGC_41)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_41_Hh) = -coupl(nGC_41)*dtHh_QED1/cMHH**2d0
      coupl(nGC_12762) = coupl(nGC_20)*dZHMinus_QED2/2d0 + coupl(nGC_20)*      &
                         dZHa_QED2/2d0 + coupl(nGC_20)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_20)*dZZ_QED2/2d0 + coupl(nGC_74)*dZAZ_QED2/ &
                         2d0 + coupl(nGC_9373)
      coupl(nGC_12765) = coupl(nGC_43)*(dZG0 + 2d0*dZGMinus)/2d0
      coupl(nGC_13303) = coupl(nGC_44)*dZGMinus/2d0
      coupl(nGC_9360) = coupl(nGC_8320)*dsw_QED2 + coupl(nGC_8321)*db_QED2 +   &
                        coupl(nGC_8322)*dZee_QED2 + coupl(nGC_8323)*da_QED2
      coupl(nGC_9361) = coupl(nGC_8340)*dsw_QED2 + coupl(nGC_8341)*db_QED2 +   &
                        coupl(nGC_8342)*dZee_QED2 + coupl(nGC_8343)*da_QED2
      coupl(nGC_9362) = coupl(nGC_7912)*dsw_QED2 + coupl(nGC_7913)*dZee_QED2
      coupl(nGC_9364) = coupl(nGC_8306)*dsw_QED2 + coupl(nGC_8307)*dZee_QED2
      coupl(nGC_9365) = coupl(nGC_8298)*dsw_QED2 + coupl(nGC_8299)*dZee_QED2
      coupl(nGC_9366) = coupl(nGC_8376)*dsw_QED2 + coupl(nGC_8377)*dvev2_QED1  &
                         + coupl(nGC_8378)*dvev1_QED1 + coupl(nGC_8379)*       &
                        dZee_QED2 + coupl(nGC_8380)*da_QED2
      coupl(nGC_9367) = coupl(nGC_8335)*dsw_QED2 + coupl(nGC_8336)*dvev2_QED1  &
                         + coupl(nGC_8337)*dvev1_QED1 + coupl(nGC_8338)*       &
                        dZee_QED2 + coupl(nGC_8339)*da_QED2
      coupl(nGC_9368) = coupl(nGC_8054)*dsw_QED2 + coupl(nGC_8055)*dcw_QED2 +  &
                        coupl(nGC_8056)*dZee_QED2
      coupl(nGC_9369) = coupl(nGC_7953)*dcw_QED2 + coupl(nGC_7954)*db_QED2 +   &
                        coupl(nGC_7955)*dsw_QED2 + coupl(nGC_7956)*dZee_QED2 + &
                        coupl(nGC_7957)*da_QED2
      coupl(nGC_12657) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_12656) = coupl(nGC_62)*dZHMinus_QED2 + coupl(nGC_62)*          &
                         dZWMinus_QED2 + coupl(nGC_9364)
      coupl(nGC_12650) = coupl(nGC_40)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_12653) = coupl(nGC_40)*dZHMinus_QED2/2d0 + coupl(nGC_40)*      &
                         dZHh_QED2/2d0 + coupl(nGC_48)*dZHaG0_QED2/2d0 + coupl(&
                         nGC_49)*dZHlHh_QED2/2d0 + coupl(nGC_9321)
      coupl(nGC_13168) = coupl(nGC_4)*dZtauMinusR_QED2 + coupl(nGC_86)*        &
                         dZZA_QED2/2d0
      coupl(nGC_9184) = (20d0*Nc*cima*coupl(nGC_135)**2d0*coupl(nGC_136)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_139)**2d0*coupl(nGC_140)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_151)**2d0*coupl(nGC_152)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_175)**2d0*coupl(nGC_176)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_182)**2d0*coupl(nGC_183)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_198)**2d0&
                         + 3d0*cima*coupl(nGC_101)**2d0 - 10d0*cima*coupl(     &
                        nGC_1319)**2d0*coupl(nGC_72)**2d0 + 20d0*cima*coupl(   &
                        nGC_159)**2d0*coupl(nGC_160)**2d0 + 20d0*cima*coupl(   &
                        nGC_167)**2d0*coupl(nGC_168)**2d0 + 20d0*cima*coupl(   &
                        nGC_190)**2d0*coupl(nGC_191)**2d0 - 5d0*cima*coupl(    &
                        nGC_3231)**2d0*coupl(nGC_91)**2d0 - 10d0*cima*coupl(   &
                        nGC_3231)*coupl(nGC_661)*coupl(nGC_91)*coupl(nGC_94) + &
                        6d0*cima*coupl(nGC_62)**2d0 - 5d0*cima*coupl(nGC_661)**&
                        2d0*coupl(nGC_94)**2d0 - 3d0*coupl(nGC_101)*coupl(     &
                        nGC_3231)*coupl(nGC_91) - 3d0*coupl(nGC_101)*coupl(    &
                        nGC_661)*coupl(nGC_94) + 6d0*coupl(nGC_1319)*coupl(    &
                        nGC_53)*coupl(nGC_72) - 6d0*coupl(nGC_1319)*coupl(     &
                        nGC_62)*coupl(nGC_72) + 3d0*coupl(nGC_25)*coupl(       &
                        nGC_3231)*coupl(nGC_94) + 3d0*coupl(nGC_25)*coupl(     &
                        nGC_661)*coupl(nGC_91) + 3d0*coupl(nGC_3231)*coupl(    &
                        nGC_39)*coupl(nGC_91) + 3d0*coupl(nGC_33)*coupl(nGC_661&
                        )*coupl(nGC_94))/(16d0*pi**2d0)
      coupl(nGC_9186) = (20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_135)*coupl(&
                        nGC_136) + 20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(     &
                        nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_135)*coupl(nGC_170)*coupl(nGC_176) + 20d0*Nc*&
                        cima*coupl(nGC_131)*coupl(nGC_136)*coupl(nGC_170)*coupl&
                        (nGC_175) + 20d0*Nc*cima*coupl(nGC_135)*coupl(nGC_136)*&
                        coupl(nGC_170)**2d0 + 20d0*Nc*cima*coupl(nGC_139)*coupl&
                        (nGC_140)*coupl(nGC_142)**2d0 + 20d0*Nc*cima*coupl(    &
                        nGC_139)*coupl(nGC_140)*coupl(nGC_178)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_139)*coupl(nGC_142)*coupl(nGC_178)*coupl&
                        (nGC_183) + 20d0*Nc*cima*coupl(nGC_140)*coupl(nGC_142)*&
                        coupl(nGC_178)*coupl(nGC_182) + 20d0*Nc*cima*coupl(    &
                        nGC_142)**2d0*coupl(nGC_182)*coupl(nGC_183) + 20d0*Nc* &
                        cima*coupl(nGC_146)**2d0*coupl(nGC_151)*coupl(nGC_152  &
                        ) + 20d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_197)*   &
                        coupl(nGC_198) + 20d0*Nc*cima*coupl(nGC_146)*coupl(    &
                        nGC_151)*coupl(nGC_193)*coupl(nGC_198) + 20d0*Nc*cima* &
                        coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_193)*coupl(    &
                        nGC_197) + 20d0*Nc*cima*coupl(nGC_151)*coupl(nGC_152)* &
                        coupl(nGC_193)**2d0 + 20d0*Nc*cima*coupl(nGC_170)**2d0*&
                        coupl(nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(    &
                        nGC_178)**2d0*coupl(nGC_182)*coupl(nGC_183) + 20d0*Nc* &
                        cima*coupl(nGC_193)**2d0*coupl(nGC_197)*coupl(nGC_198  &
                        ) + 6d0*cima*coupl(nGC_100)*coupl(nGC_101) - 5d0*cima* &
                        coupl(nGC_1283)**2d0*coupl(nGC_3231)*coupl(nGC_91) -   &
                        5d0*cima*coupl(nGC_1283)**2d0*coupl(nGC_661)*coupl(    &
                        nGC_94) - 10d0*cima*coupl(nGC_1319)**2d0*coupl(nGC_72  &
                        )**2d0 - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1491)*coupl&
                        (nGC_64)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1319)*coupl&
                        (nGC_1795)*coupl(nGC_63)*coupl(nGC_72) - 5d0*cima*coupl&
                        (nGC_1319)*coupl(nGC_1919)*coupl(nGC_68)*coupl(nGC_72  &
                        ) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_2961)*coupl(    &
                        nGC_69)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1491)*coupl(&
                        nGC_64)*coupl(nGC_661)*coupl(nGC_94) - 5d0*cima*coupl( &
                        nGC_1491)*coupl(nGC_661)*coupl(nGC_68)*coupl(nGC_91) + &
                        20d0*cima*coupl(nGC_154)**2d0*coupl(nGC_159)*coupl(    &
                        nGC_160) + 20d0*cima*coupl(nGC_162)**2d0*coupl(nGC_167 &
                        )*coupl(nGC_168) - 5d0*cima*coupl(nGC_1795)*coupl(     &
                        nGC_63)*coupl(nGC_661)*coupl(nGC_94) - 5d0*cima*coupl( &
                        nGC_1795)*coupl(nGC_661)*coupl(nGC_69)*coupl(nGC_91) + &
                        20d0*cima*coupl(nGC_185)**2d0*coupl(nGC_190)*coupl(    &
                        nGC_191) - 5d0*cima*coupl(nGC_1919)*coupl(nGC_3231)*   &
                        coupl(nGC_64)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1919)*&
                        coupl(nGC_3231)*coupl(nGC_68)*coupl(nGC_91) - 5d0*cima*&
                        coupl(nGC_2961)*coupl(nGC_3231)*coupl(nGC_63)*coupl(   &
                        nGC_94) - 5d0*cima*coupl(nGC_2961)*coupl(nGC_3231)*    &
                        coupl(nGC_69)*coupl(nGC_91) - 5d0*cima*coupl(nGC_3231)*&
                        coupl(nGC_91)*coupl(nGC_96)**2d0 + 12d0*cima*coupl(    &
                        nGC_62)**2d0 - 5d0*cima*coupl(nGC_661)*coupl(nGC_94)*  &
                        coupl(nGC_96)**2d0 - 3d0*coupl(nGC_100)*coupl(nGC_3231 &
                        )*coupl(nGC_91) - 3d0*coupl(nGC_100)*coupl(nGC_661)*   &
                        coupl(nGC_94) - 3d0*coupl(nGC_101)*coupl(nGC_96)**2d0  &
                         + 3d0*coupl(nGC_1283)**2d0*coupl(nGC_56) + 6d0*coupl( &
                        nGC_1319)**2d0*coupl(nGC_58) + 3d0*coupl(nGC_1319)*    &
                        coupl(nGC_1491)*coupl(nGC_40) + 3d0*coupl(nGC_1319)*   &
                        coupl(nGC_1795)*coupl(nGC_41) + 3d0*coupl(nGC_1319)*   &
                        coupl(nGC_1919)*coupl(nGC_49) + 3d0*coupl(nGC_1319)*   &
                        coupl(nGC_2961)*coupl(nGC_48) + 6d0*coupl(nGC_1319)*   &
                        coupl(nGC_57)*coupl(nGC_72) + 3d0*coupl(nGC_1319)*coupl&
                        (nGC_59)*coupl(nGC_72) - 9d0*coupl(nGC_1319)*coupl(    &
                        nGC_62)*coupl(nGC_72) - 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_62)*coupl(nGC_64) + 3d0*coupl(nGC_1529)**2d0*coupl(&
                        nGC_56) + 3d0*coupl(nGC_1795)*coupl(nGC_25)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_1795)*coupl(nGC_33)*coupl(     &
                        nGC_63) - 3d0*coupl(nGC_1919)*coupl(nGC_62)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_22)*coupl(nGC_3231)*coupl(     &
                        nGC_94) + 3d0*coupl(nGC_22)*coupl(nGC_661)*coupl(nGC_91&
                        ) + 3d0*coupl(nGC_25)*coupl(nGC_2961)*coupl(nGC_63) +  &
                        3d0*coupl(nGC_2961)*coupl(nGC_39)*coupl(nGC_69) + 3d0* &
                        coupl(nGC_30)*coupl(nGC_3231)*coupl(nGC_91) + 3d0*coupl&
                        (nGC_34)*coupl(nGC_661)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_40)*coupl(nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_41 &
                        )*coupl(nGC_64)*coupl(nGC_72) + 3d0*coupl(nGC_48)*coupl&
                        (nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_49)*coupl(nGC_69&
                        )*coupl(nGC_72) + 6d0*coupl(nGC_58)*coupl(nGC_72)**2d0 &
                        )/(96d0*pi**2d0)
      coupl(nGC_9216) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_131)**2d0  &
                         - coupl(nGC_142)**2d0 - coupl(nGC_146)**2d0 - coupl(  &
                        nGC_170)**2d0 - coupl(nGC_178)**2d0 - coupl(nGC_193)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_9217) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_131)**2d0 + &
                        coupl(nGC_142)**2d0 + coupl(nGC_146)**2d0 + coupl(     &
                        nGC_170)**2d0 + coupl(nGC_178)**2d0 + coupl(nGC_193)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9210) = (20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_133)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_173)**2d0&
                         + 40d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*coupl(   &
                        nGC_170)*coupl(nGC_173) + 20d0*Nc*cima*coupl(nGC_133)**&
                        2d0*coupl(nGC_170)**2d0 + 20d0*Nc*cima*coupl(nGC_137)**&
                        2d0*coupl(nGC_142)**2d0 + 20d0*Nc*cima*coupl(nGC_137)**&
                        2d0*coupl(nGC_178)**2d0 + 40d0*Nc*cima*coupl(nGC_137)* &
                        coupl(nGC_142)*coupl(nGC_178)*coupl(nGC_180) + 20d0*Nc*&
                        cima*coupl(nGC_142)**2d0*coupl(nGC_180)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_146)**2d0*coupl(nGC_149)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_146)**2d0*coupl(nGC_195)**2d0 + 40d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_193)*coupl&
                        (nGC_195) + 20d0*Nc*cima*coupl(nGC_149)**2d0*coupl(    &
                        nGC_193)**2d0 + 20d0*Nc*cima*coupl(nGC_170)**2d0*coupl(&
                        nGC_173)**2d0 + 20d0*Nc*cima*coupl(nGC_178)**2d0*coupl(&
                        nGC_180)**2d0 + 20d0*Nc*cima*coupl(nGC_193)**2d0*coupl(&
                        nGC_195)**2d0 + 6d0*cima*coupl(nGC_100)*coupl(nGC_99   &
                        ) - 5d0*cima*coupl(nGC_1079)*coupl(nGC_1283)*coupl(    &
                        nGC_63)*coupl(nGC_72) - 10d0*cima*coupl(nGC_1079)*coupl&
                        (nGC_1319)*coupl(nGC_72)*coupl(nGC_92) - 5d0*cima*coupl&
                        (nGC_1079)*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_96) - &
                        10d0*cima*coupl(nGC_1079)*coupl(nGC_92)*coupl(nGC_96)**&
                        2d0 - 10d0*cima*coupl(nGC_1283)**2d0*coupl(nGC_1795)*  &
                        coupl(nGC_63) - 5d0*cima*coupl(nGC_1283)*coupl(nGC_1319&
                        )*coupl(nGC_1795)*coupl(nGC_92) - 5d0*cima*coupl(      &
                        nGC_1319)*coupl(nGC_1491)*coupl(nGC_92)*coupl(nGC_96   &
                        ) - 10d0*cima*coupl(nGC_1319)*coupl(nGC_1795)*coupl(   &
                        nGC_63)*coupl(nGC_72) - 10d0*cima*coupl(nGC_1319)*coupl&
                        (nGC_2961)*coupl(nGC_69)*coupl(nGC_72) - 10d0*cima*    &
                        coupl(nGC_1491)*coupl(nGC_1795)*coupl(nGC_63)*coupl(   &
                        nGC_64) - 10d0*cima*coupl(nGC_1491)*coupl(nGC_2961)*   &
                        coupl(nGC_64)*coupl(nGC_69) + 24d0*cima*coupl(nGC_15)**&
                        2d0 - 10d0*cima*coupl(nGC_1529)**2d0*coupl(nGC_1795)*  &
                        coupl(nGC_63) + 20d0*cima*coupl(nGC_154)**2d0*coupl(   &
                        nGC_157)**2d0 + 20d0*cima*coupl(nGC_162)**2d0*coupl(   &
                        nGC_165)**2d0 - 10d0*cima*coupl(nGC_1795)*coupl(       &
                        nGC_1919)*coupl(nGC_63)*coupl(nGC_68) + 20d0*cima*coupl&
                        (nGC_185)**2d0*coupl(nGC_188)**2d0 - 10d0*cima*coupl(  &
                        nGC_1919)*coupl(nGC_2961)*coupl(nGC_68)*coupl(nGC_69   &
                        ) + 12d0*cima*coupl(nGC_61)*coupl(nGC_62) + 24d0*cima* &
                        coupl(nGC_66)**2d0 - 10d0*cima*coupl(nGC_661)*coupl(   &
                        nGC_94)*coupl(nGC_96)**2d0 + 3d0*coupl(nGC_10)*coupl(  &
                        nGC_1795)*coupl(nGC_69) + 3d0*coupl(nGC_10)*coupl(     &
                        nGC_2961)*coupl(nGC_63) - 3d0*coupl(nGC_100)*coupl(    &
                        nGC_1079)*coupl(nGC_92) - 3d0*coupl(nGC_100)*coupl(    &
                        nGC_661)*coupl(nGC_94) - 6d0*coupl(nGC_1079)*coupl(    &
                        nGC_15)*coupl(nGC_72) + 3d0*coupl(nGC_1079)*coupl(     &
                        nGC_42)*coupl(nGC_94) + 3d0*coupl(nGC_1079)*coupl(     &
                        nGC_50)*coupl(nGC_92) + 3d0*coupl(nGC_12)*coupl(       &
                        nGC_1795)*coupl(nGC_63) + 3d0*coupl(nGC_1283)**2d0*    &
                        coupl(nGC_34) - 6d0*coupl(nGC_1283)*coupl(nGC_15)*coupl&
                        (nGC_1795) - 6d0*coupl(nGC_1283)*coupl(nGC_15)*coupl(  &
                        nGC_63) + 3d0*coupl(nGC_13)*coupl(nGC_2961)*coupl(     &
                        nGC_69) - 6d0*coupl(nGC_1319)*coupl(nGC_15)*coupl(     &
                        nGC_92) + 3d0*coupl(nGC_1319)*coupl(nGC_38)*coupl(     &
                        nGC_72) + 6d0*coupl(nGC_1319)*coupl(nGC_48)*coupl(     &
                        nGC_69) - 3d0*coupl(nGC_1319)*coupl(nGC_61)*coupl(     &
                        nGC_72) + 6d0*coupl(nGC_1491)*coupl(nGC_1795)*coupl(   &
                        nGC_34) + 3d0*coupl(nGC_1491)*coupl(nGC_1919)*coupl(   &
                        nGC_44) + 6d0*coupl(nGC_1491)*coupl(nGC_27)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_1491)*coupl(nGC_51)*coupl(     &
                        nGC_64) - 3d0*coupl(nGC_1491)*coupl(nGC_61)*coupl(     &
                        nGC_64) - 3d0*coupl(nGC_1491)*coupl(nGC_62)*coupl(     &
                        nGC_64) + 3d0*coupl(nGC_1529)**2d0*coupl(nGC_34) - 6d0*&
                        coupl(nGC_1529)*coupl(nGC_1795)*coupl(nGC_66) - 6d0*   &
                        coupl(nGC_1529)*coupl(nGC_63)*coupl(nGC_66) + 6d0*coupl&
                        (nGC_1795)*coupl(nGC_1919)*coupl(nGC_22) + 3d0*coupl(  &
                        nGC_1795)*coupl(nGC_2961)*coupl(nGC_44) + 3d0*coupl(   &
                        nGC_1795)*coupl(nGC_51)*coupl(nGC_63) - 3d0*coupl(     &
                        nGC_1795)*coupl(nGC_62)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_1919)*coupl(nGC_36)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_57)*coupl(nGC_68) - 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_61)*coupl(nGC_68) - 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_62)*coupl(nGC_68) + 6d0*coupl(     &
                        nGC_22)*coupl(nGC_63)*coupl(nGC_68) + 6d0*coupl(nGC_27 &
                        )*coupl(nGC_2961)*coupl(nGC_64) + 6d0*coupl(nGC_2961)* &
                        coupl(nGC_36)*coupl(nGC_68) + 6d0*coupl(nGC_2961)*coupl&
                        (nGC_49)*coupl(nGC_72) + 3d0*coupl(nGC_2961)*coupl(    &
                        nGC_57)*coupl(nGC_69) - 3d0*coupl(nGC_2961)*coupl(     &
                        nGC_62)*coupl(nGC_69) + 6d0*coupl(nGC_34)*coupl(nGC_63 &
                        )*coupl(nGC_64) + 3d0*coupl(nGC_42)*coupl(nGC_661)*    &
                        coupl(nGC_92) + 3d0*coupl(nGC_44)*coupl(nGC_63)*coupl( &
                        nGC_69) + 3d0*coupl(nGC_44)*coupl(nGC_64)*coupl(nGC_68 &
                        ) + 3d0*coupl(nGC_56)*coupl(nGC_661)*coupl(nGC_94) -   &
                        3d0*coupl(nGC_96)**2d0*coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_9211) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)**2d0*coupl(&
                        nGC_133) + 20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)* &
                        coupl(nGC_170)*coupl(nGC_173) + 20d0*Nc*cima*coupl(    &
                        nGC_130)*coupl(nGC_133)*coupl(nGC_170)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_131)**2d0*coupl(nGC_169)*coupl(nGC_173  &
                        ) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*coupl(  &
                        nGC_169)*coupl(nGC_170) + 20d0*Nc*cima*coupl(nGC_137)* &
                        coupl(nGC_141)*coupl(nGC_142)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_137)*coupl(nGC_141)*coupl(nGC_178)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_177)*coupl&
                        (nGC_178) + 20d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*&
                        coupl(nGC_178)*coupl(nGC_180) + 20d0*Nc*cima*coupl(    &
                        nGC_142)**2d0*coupl(nGC_177)*coupl(nGC_180) + 20d0*Nc* &
                        cima*coupl(nGC_145)*coupl(nGC_146)**2d0*coupl(nGC_149  &
                        ) + 20d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(  &
                        nGC_193)*coupl(nGC_195) + 20d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_149)*coupl(nGC_193)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_146)**2d0*coupl(nGC_192)*coupl(nGC_195) + 20d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_192)*coupl&
                        (nGC_193) + 20d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170  &
                        )**2d0*coupl(nGC_173) + 20d0*Nc*cima*coupl(nGC_177)*   &
                        coupl(nGC_178)**2d0*coupl(nGC_180) + 20d0*Nc*cima*coupl&
                        (nGC_192)*coupl(nGC_193)**2d0*coupl(nGC_195) - 5d0*cima&
                        *coupl(nGC_1079)*coupl(nGC_1319)*coupl(nGC_72)*coupl(  &
                        nGC_94) - 5d0*cima*coupl(nGC_1079)*coupl(nGC_68)*coupl(&
                        nGC_72)*coupl(nGC_96) - 5d0*cima*coupl(nGC_1079)*coupl(&
                        nGC_94)*coupl(nGC_96)**2d0 - 5d0*cima*coupl(nGC_1283)**&
                        2d0*coupl(nGC_1795)*coupl(nGC_69) - 5d0*cima*coupl(    &
                        nGC_1283)**2d0*coupl(nGC_2961)*coupl(nGC_63) - 5d0*cima&
                        *coupl(nGC_1283)*coupl(nGC_1319)*coupl(nGC_1795)*coupl(&
                        nGC_94) - 5d0*cima*coupl(nGC_1283)*coupl(nGC_63)*coupl(&
                        nGC_661)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1319)*coupl&
                        (nGC_1491)*coupl(nGC_69)*coupl(nGC_72) - 5d0*cima*coupl&
                        (nGC_1319)*coupl(nGC_1795)*coupl(nGC_69)*coupl(nGC_72  &
                        ) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1919)*coupl(    &
                        nGC_92)*coupl(nGC_96) - 5d0*cima*coupl(nGC_1319)*coupl(&
                        nGC_2961)*coupl(nGC_63)*coupl(nGC_72) - 5d0*cima*coupl(&
                        nGC_1319)*coupl(nGC_2961)*coupl(nGC_64)*coupl(nGC_72   &
                        ) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_661)*coupl(     &
                        nGC_72)*coupl(nGC_92) - 5d0*cima*coupl(nGC_1491)**2d0* &
                        coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1491)*&
                        coupl(nGC_1795)*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*&
                        coupl(nGC_1491)*coupl(nGC_1919)*coupl(nGC_68)*coupl(   &
                        nGC_69) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_2961)*    &
                        coupl(nGC_63)*coupl(nGC_64) - 5d0*cima*coupl(nGC_1491)*&
                        coupl(nGC_2961)*coupl(nGC_64)**2d0 + 24d0*cima*coupl(  &
                        nGC_15)*coupl(nGC_16) - 5d0*cima*coupl(nGC_1529)**2d0* &
                        coupl(nGC_1795)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1529&
                        )**2d0*coupl(nGC_2961)*coupl(nGC_63) + 20d0*cima*coupl(&
                        nGC_153)*coupl(nGC_154)**2d0*coupl(nGC_157) + 20d0*cima&
                        *coupl(nGC_161)*coupl(nGC_162)**2d0*coupl(nGC_165) -   &
                        5d0*cima*coupl(nGC_1795)*coupl(nGC_1919)*coupl(nGC_68)*&
                        coupl(nGC_69) + 20d0*cima*coupl(nGC_184)*coupl(nGC_185 &
                        )**2d0*coupl(nGC_188) - 5d0*cima*coupl(nGC_1919)*coupl(&
                        nGC_2961)*coupl(nGC_63)*coupl(nGC_68) - 5d0*cima*coupl(&
                        nGC_1919)*coupl(nGC_2961)*coupl(nGC_64)*coupl(nGC_68   &
                        ) - 5d0*cima*coupl(nGC_3231)*coupl(nGC_94)*coupl(nGC_96&
                        )**2d0 + 24d0*cima*coupl(nGC_66)*coupl(nGC_70) - 5d0*  &
                        cima*coupl(nGC_661)*coupl(nGC_91)*coupl(nGC_96)**2d0 - &
                        5d0*cima*coupl(nGC_661)*coupl(nGC_92)*coupl(nGC_96)**  &
                        2d0 + 3d0*coupl(nGC_10)*coupl(nGC_1795)*coupl(nGC_63   &
                        ) - 3d0*coupl(nGC_100)*coupl(nGC_1079)*coupl(nGC_94) - &
                        3d0*coupl(nGC_100)*coupl(nGC_661)*coupl(nGC_91) - 3d0* &
                        coupl(nGC_1079)*coupl(nGC_16)*coupl(nGC_72) + 3d0*coupl&
                        (nGC_1283)**2d0*coupl(nGC_22) - 3d0*coupl(nGC_1283)*   &
                        coupl(nGC_15)*coupl(nGC_2961) - 3d0*coupl(nGC_1283)*   &
                        coupl(nGC_15)*coupl(nGC_69) - 3d0*coupl(nGC_1283)*coupl&
                        (nGC_16)*coupl(nGC_1795) - 3d0*coupl(nGC_1283)*coupl(  &
                        nGC_16)*coupl(nGC_63) + 3d0*coupl(nGC_13)*coupl(       &
                        nGC_1795)*coupl(nGC_69) + 3d0*coupl(nGC_13)*coupl(     &
                        nGC_2961)*coupl(nGC_63) - 3d0*coupl(nGC_1319)*coupl(   &
                        nGC_15)*coupl(nGC_94) - 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_16)*coupl(nGC_92) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_26)*coupl(nGC_72) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_40)*coupl(nGC_69) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_48)*coupl(nGC_64) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_1795)*coupl(nGC_22) + 6d0*coupl(nGC_1491)*coupl(   &
                        nGC_1795)*coupl(nGC_44) + 6d0*coupl(nGC_1491)*coupl(   &
                        nGC_27)*coupl(nGC_64) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_2961)*coupl(nGC_34) + 3d0*coupl(nGC_1491)*coupl(   &
                        nGC_36)*coupl(nGC_68) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_36)*coupl(nGC_69) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_49)*coupl(nGC_72) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_51)*coupl(nGC_68) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_57)*coupl(nGC_69) - 3d0*coupl(nGC_15)*coupl(nGC_661&
                        )*coupl(nGC_72) + 3d0*coupl(nGC_1529)**2d0*coupl(nGC_22&
                        ) - 3d0*coupl(nGC_1529)*coupl(nGC_1795)*coupl(nGC_70   &
                        ) - 3d0*coupl(nGC_1529)*coupl(nGC_2961)*coupl(nGC_66   &
                        ) - 3d0*coupl(nGC_1529)*coupl(nGC_63)*coupl(nGC_70) -  &
                        3d0*coupl(nGC_1529)*coupl(nGC_66)*coupl(nGC_69) + 3d0* &
                        coupl(nGC_1795)*coupl(nGC_1919)*coupl(nGC_30) + 3d0*   &
                        coupl(nGC_1795)*coupl(nGC_51)*coupl(nGC_69) + 3d0*coupl&
                        (nGC_1795)*coupl(nGC_57)*coupl(nGC_68) + 3d0*coupl(    &
                        nGC_1919)*coupl(nGC_22)*coupl(nGC_2961) + 3d0*coupl(   &
                        nGC_1919)*coupl(nGC_24)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_36)*coupl(nGC_64) - 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_62)*coupl(nGC_63) - 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_62)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_22)*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl(nGC_22 &
                        )*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_24)*coupl&
                        (nGC_2961)*coupl(nGC_68) + 3d0*coupl(nGC_2961)*coupl(  &
                        nGC_36)*coupl(nGC_64) + 3d0*coupl(nGC_2961)*coupl(     &
                        nGC_41)*coupl(nGC_72) - 3d0*coupl(nGC_2961)*coupl(     &
                        nGC_62)*coupl(nGC_63) - 3d0*coupl(nGC_2961)*coupl(     &
                        nGC_62)*coupl(nGC_64) + 3d0*coupl(nGC_2961)*coupl(     &
                        nGC_69)*coupl(nGC_9) + 3d0*coupl(nGC_30)*coupl(nGC_63)*&
                        coupl(nGC_68) + 3d0*coupl(nGC_3231)*coupl(nGC_42)*coupl&
                        (nGC_92) + 3d0*coupl(nGC_3231)*coupl(nGC_56)*coupl(    &
                        nGC_94) + 3d0*coupl(nGC_34)*coupl(nGC_64)*coupl(nGC_69 &
                        ) + 3d0*coupl(nGC_42)*coupl(nGC_661)*coupl(nGC_94) +   &
                        3d0*coupl(nGC_44)*coupl(nGC_68)**2d0 + 3d0*coupl(nGC_44&
                        )*coupl(nGC_69)**2d0 + 3d0*coupl(nGC_50)*coupl(nGC_661 &
                        )*coupl(nGC_92))/(96d0*pi**2d0)
      coupl(nGC_9212) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_131)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_170)**2d0&
                         + 40d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(   &
                        nGC_169)*coupl(nGC_170) + 20d0*Nc*cima*coupl(nGC_131)**&
                        2d0*coupl(nGC_169)**2d0 + 20d0*Nc*cima*coupl(nGC_141)**&
                        2d0*coupl(nGC_142)**2d0 + 20d0*Nc*cima*coupl(nGC_141)**&
                        2d0*coupl(nGC_178)**2d0 + 40d0*Nc*cima*coupl(nGC_141)* &
                        coupl(nGC_142)*coupl(nGC_177)*coupl(nGC_178) + 20d0*Nc*&
                        cima*coupl(nGC_142)**2d0*coupl(nGC_177)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_145)**2d0*coupl(nGC_146)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_145)**2d0*coupl(nGC_193)**2d0 + 40d0*Nc*&
                        cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_192)*coupl&
                        (nGC_193) + 20d0*Nc*cima*coupl(nGC_146)**2d0*coupl(    &
                        nGC_192)**2d0 + 20d0*Nc*cima*coupl(nGC_169)**2d0*coupl(&
                        nGC_170)**2d0 + 20d0*Nc*cima*coupl(nGC_177)**2d0*coupl(&
                        nGC_178)**2d0 + 20d0*Nc*cima*coupl(nGC_192)**2d0*coupl(&
                        nGC_193)**2d0 + 6d0*cima*coupl(nGC_100)*coupl(nGC_99   &
                        ) - 10d0*cima*coupl(nGC_1283)**2d0*coupl(nGC_2961)*    &
                        coupl(nGC_69) - 5d0*cima*coupl(nGC_1283)*coupl(nGC_1319&
                        )*coupl(nGC_2961)*coupl(nGC_94) - 5d0*cima*coupl(      &
                        nGC_1283)*coupl(nGC_661)*coupl(nGC_69)*coupl(nGC_72) - &
                        10d0*cima*coupl(nGC_1319)*coupl(nGC_1491)*coupl(nGC_64 &
                        )*coupl(nGC_72) - 5d0*cima*coupl(nGC_1319)*coupl(      &
                        nGC_1919)*coupl(nGC_94)*coupl(nGC_96) - 10d0*cima*coupl&
                        (nGC_1319)*coupl(nGC_2961)*coupl(nGC_69)*coupl(nGC_72  &
                        ) - 10d0*cima*coupl(nGC_1319)*coupl(nGC_661)*coupl(    &
                        nGC_72)*coupl(nGC_94) - 10d0*cima*coupl(nGC_1491)**2d0*&
                        coupl(nGC_64)**2d0 - 10d0*cima*coupl(nGC_1491)*coupl(  &
                        nGC_1919)*coupl(nGC_64)*coupl(nGC_68) - 10d0*cima*coupl&
                        (nGC_1491)*coupl(nGC_2961)*coupl(nGC_64)*coupl(nGC_69  &
                        ) - 10d0*cima*coupl(nGC_1529)**2d0*coupl(nGC_2961)*    &
                        coupl(nGC_69) + 20d0*cima*coupl(nGC_153)**2d0*coupl(   &
                        nGC_154)**2d0 + 24d0*cima*coupl(nGC_16)**2d0 + 20d0*   &
                        cima*coupl(nGC_161)**2d0*coupl(nGC_162)**2d0 + 20d0*   &
                        cima*coupl(nGC_184)**2d0*coupl(nGC_185)**2d0 - 10d0*   &
                        cima*coupl(nGC_1919)*coupl(nGC_2961)*coupl(nGC_68)*    &
                        coupl(nGC_69) - 10d0*cima*coupl(nGC_3231)*coupl(nGC_91 &
                        )*coupl(nGC_96)**2d0 + 12d0*cima*coupl(nGC_61)*coupl(  &
                        nGC_62) - 5d0*cima*coupl(nGC_661)*coupl(nGC_68)*coupl( &
                        nGC_72)*coupl(nGC_96) - 10d0*cima*coupl(nGC_661)*coupl(&
                        nGC_94)*coupl(nGC_96)**2d0 + 24d0*cima*coupl(nGC_70)** &
                        2d0 - 3d0*coupl(nGC_100)*coupl(nGC_3231)*coupl(nGC_91  &
                        ) - 3d0*coupl(nGC_100)*coupl(nGC_661)*coupl(nGC_94) +  &
                        3d0*coupl(nGC_11)*coupl(nGC_2961)*coupl(nGC_69) + 3d0* &
                        coupl(nGC_1283)**2d0*coupl(nGC_30) - 6d0*coupl(nGC_1283&
                        )*coupl(nGC_16)*coupl(nGC_2961) - 6d0*coupl(nGC_1283)* &
                        coupl(nGC_16)*coupl(nGC_69) + 3d0*coupl(nGC_13)*coupl( &
                        nGC_1795)*coupl(nGC_63) - 6d0*coupl(nGC_1319)*coupl(   &
                        nGC_16)*coupl(nGC_94) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_31)*coupl(nGC_72) + 6d0*coupl(nGC_1319)*coupl(     &
                        nGC_40)*coupl(nGC_64) - 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_61)*coupl(nGC_72) + 6d0*coupl(nGC_1491)*coupl(     &
                        nGC_22)*coupl(nGC_2961) + 6d0*coupl(nGC_1491)*coupl(   &
                        nGC_24)*coupl(nGC_68) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_2961)*coupl(nGC_44) + 12d0*coupl(nGC_1491)*coupl(  &
                        nGC_36)*coupl(nGC_64) + 6d0*coupl(nGC_1491)*coupl(     &
                        nGC_41)*coupl(nGC_72) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_57)*coupl(nGC_64) - 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_61)*coupl(nGC_64) - 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_62)*coupl(nGC_64) + 3d0*coupl(nGC_1529)**2d0*coupl(&
                        nGC_30) - 6d0*coupl(nGC_1529)*coupl(nGC_2961)*coupl(   &
                        nGC_70) - 6d0*coupl(nGC_1529)*coupl(nGC_69)*coupl(     &
                        nGC_70) - 6d0*coupl(nGC_16)*coupl(nGC_661)*coupl(nGC_72&
                        ) + 3d0*coupl(nGC_1795)*coupl(nGC_1919)*coupl(nGC_44   &
                        ) + 3d0*coupl(nGC_1795)*coupl(nGC_57)*coupl(nGC_63) -  &
                        3d0*coupl(nGC_1795)*coupl(nGC_62)*coupl(nGC_63) + 3d0* &
                        coupl(nGC_1795)*coupl(nGC_69)*coupl(nGC_9) + 6d0*coupl(&
                        nGC_1919)*coupl(nGC_24)*coupl(nGC_64) + 6d0*coupl(     &
                        nGC_1919)*coupl(nGC_2961)*coupl(nGC_30) + 3d0*coupl(   &
                        nGC_1919)*coupl(nGC_51)*coupl(nGC_68) - 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_61)*coupl(nGC_68) - 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_62)*coupl(nGC_68) + 6d0*coupl(     &
                        nGC_22)*coupl(nGC_64)*coupl(nGC_69) + 3d0*coupl(       &
                        nGC_2961)*coupl(nGC_51)*coupl(nGC_69) - 3d0*coupl(     &
                        nGC_2961)*coupl(nGC_62)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_2961)*coupl(nGC_63)*coupl(nGC_9) + 6d0*coupl(nGC_30&
                        )*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_3231)*   &
                        coupl(nGC_42)*coupl(nGC_94) + 3d0*coupl(nGC_3231)*coupl&
                        (nGC_56)*coupl(nGC_91) + 3d0*coupl(nGC_42)*coupl(      &
                        nGC_661)*coupl(nGC_91) + 3d0*coupl(nGC_44)*coupl(nGC_63&
                        )*coupl(nGC_68) + 3d0*coupl(nGC_44)*coupl(nGC_64)*coupl&
                        (nGC_69) + 3d0*coupl(nGC_50)*coupl(nGC_661)*coupl(     &
                        nGC_94) - 3d0*coupl(nGC_96)**2d0*coupl(nGC_99))/(96d0* &
                        pi**2d0)
      coupl(nGC_TS_GC_28_Hl) = -coupl(nGC_28)*dtHl_QED1/cMHL**2d0
      coupl(nGC_16080) = coupl(nGC_140)*dZG0Ha_QED2/2d0 + coupl(nGC_143)*      &
                         dZHa_QED2/2d0 + coupl(nGC_143)*dZbL_QED2/2d0 + coupl( &
                         nGC_143)*dZbR_QED2/2d0 + coupl(nGC_9453)
      coupl(nGC_16081) = coupl(nGC_144)*dZbL_QCD2/2d0 + coupl(nGC_144)*        &
                         dZbR_QCD2/2d0 + coupl(nGC_9456)
      coupl(nGC_TS_GC_38_Hh) = -coupl(nGC_38)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_94_Hh) = -coupl(nGC_94)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_94_Hl) = -coupl(nGC_94)*dtHl_QED1/cMHL**2d0
      coupl(nGC_18946) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_14838) = coupl(nGC_101)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_8820) = coupl(nGC_134)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8793) = (coupl(nGC_185)**2d0*coupl(nGC_4) + coupl(nGC_189)**2d0&
                        *coupl(nGC_4) + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 +  &
                        4d0*coupl(nGC_4)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8822) = coupl(nGC_174)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8791) = (coupl(nGC_154)**2d0*coupl(nGC_4) + coupl(nGC_158)**2d0&
                        *coupl(nGC_4) + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 +  &
                        4d0*coupl(nGC_4)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8796) = (coupl(nGC_1)*coupl(nGC_138)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_142)**2d0 + 4d0*coupl(nGC_1)*coupl(nGC_80)**2d0 +  &
                        coupl(nGC_177)**2d0*coupl(nGC_2) + coupl(nGC_179)*coupl&
                        (nGC_2)*coupl(nGC_2153) + coupl(nGC_180)**2d0*coupl(   &
                        nGC_2) + coupl(nGC_182)*coupl(nGC_183)*coupl(nGC_2) +  &
                        4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_88  &
                        )**2d0 + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_8825) = (-coupl(nGC_1)*coupl(nGC_1529)*coupl(nGC_196) + 8d0*   &
                        coupl(nGC_1)*coupl(nGC_196)*coupl(nGC_2) - coupl(      &
                        nGC_1283)*coupl(nGC_196)*coupl(nGC_87) - coupl(nGC_145 &
                        )*coupl(nGC_150)*coupl(nGC_192) - coupl(nGC_147)*coupl(&
                        nGC_150)*coupl(nGC_194) - coupl(nGC_149)*coupl(nGC_150 &
                        )*coupl(nGC_195) - coupl(nGC_1491)*coupl(nGC_192)*coupl&
                        (nGC_80) - coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_198 &
                        ) - coupl(nGC_17)*coupl(nGC_196)*coupl(nGC_2) - coupl( &
                        nGC_195)*coupl(nGC_2961)*coupl(nGC_80) + 8d0*coupl(    &
                        nGC_196)*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_196)* &
                        coupl(nGC_85)*coupl(nGC_96) - coupl(nGC_198)*coupl(    &
                        nGC_72)*coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_8826) = coupl(nGC_196)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8827) = (-coupl(nGC_1283)*coupl(nGC_158)*coupl(nGC_86) - coupl(&
                        nGC_1319)*coupl(nGC_160)*coupl(nGC_80) - coupl(nGC_1529&
                        )*coupl(nGC_158)*coupl(nGC_4) - coupl(nGC_153)*coupl(  &
                        nGC_63)*coupl(nGC_80) - coupl(nGC_157)*coupl(nGC_68)*  &
                        coupl(nGC_80) + 8d0*coupl(nGC_158)*coupl(nGC_86)*coupl(&
                        nGC_90) - coupl(nGC_158)*coupl(nGC_90)*coupl(nGC_96))/(&
                        32d0*pi**2d0)
      coupl(nGC_14633) = coupl(nGC_64)*dZHhHl_QED2/2d0 + coupl(nGC_68)*        &
                         dZHMinus_QED2/2d0 + coupl(nGC_68)*dZHl_QED2/2d0 +     &
                         coupl(nGC_68)*dZWMinus_QED2/2d0 + coupl(nGC_9361)
      coupl(nGC_13919) = coupl(nGC_18)*(dZGMinusHMinus_QED2 +                  &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_110_Hl) = -coupl(nGC_110)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13686) = coupl(nGC_32)*dZGMinus
      coupl(nGC_15549) = -coupl(nGC_13727)
    end subroutine fill_CTcouplings_mdl11
end module fill_ctcouplings11
