!******************************************************************************!
!                                                                              !
!    fill_ctcouplings12.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings12.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings12
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl12()
      coupl(nGC_14677) = coupl(nGC_116)*dZGMinus
      coupl(nGC_14123) = coupl(nGC_68)*dZGMinus/2d0
      coupl(nGC_14125) = coupl(nGC_63)*dZHMinusGMinus_QED2/2d0
      coupl(nGC_14126) = coupl(nGC_63)*dZHlHh_QED2/2d0 + coupl(nGC_68)*        &
                         dZHh_QED2/2d0 + coupl(nGC_68)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_9361)
      coupl(nGC_13467) = coupl(nGC_23)*dZHhHl_QED2 + coupl(nGC_24)*            &
                         dZHMinusGMinus_QED2 + coupl(nGC_35)*dZHl_QED2 + coupl(&
                         nGC_9302)
      coupl(nGC_13466) = coupl(nGC_35)*dZGMinus
      coupl(nGC_18259) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_18258) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_13867) = coupl(nGC_17)*dZGMinus
      coupl(nGC_18257) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_13047) = coupl(nGC_80)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_13044) = coupl(nGC_40)*dZHaG0_QED2/2d0 + coupl(nGC_40)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_49)*dZHMinus_QED2/2d0 +   &
                         coupl(nGC_49)*dZHl_QED2/2d0 + coupl(nGC_9307)
      coupl(nGC_14547) = coupl(nGC_102)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_107&
                         )*dZWMinus_QED2/2d0 + coupl(nGC_107)*dZZ_QED2/2d0 +   &
                         coupl(nGC_127)*dZAZ_QED2/2d0 + coupl(nGC_9377) + coupl&
                         (nGC_TS_GC_14_Hl) + coupl(nGC_TS_GC_16_Hh)
      coupl(nGC_13041) = coupl(nGC_49)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_14544) = coupl(nGC_107)*dZGMinus/2d0
      coupl(nGC_9513) = coupl(nGC_8500)*dsw_QED2 + coupl(nGC_8501)*db_QED2 +   &
                        coupl(nGC_8502)*dMW2_QED2 + coupl(nGC_8503)*dZee_QED2  &
                         + coupl(nGC_8504)*da_QED2
      coupl(nGC_9512) = coupl(nGC_7992)*dsw_QED2 + coupl(nGC_7993)*dMW2_QED2 + &
                        coupl(nGC_7994)*dZee_QED2
      coupl(nGC_9511) = coupl(nGC_8417)*dMW2_QED2 + coupl(nGC_8418)*dZee_QED2
      coupl(nGC_9510) = coupl(nGC_431)*dyt2_QED3 + coupl(nGC_433)*db_QED2 +    &
                        coupl(nGC_435)*dyt1_QED3
      coupl(nGC_9517) = coupl(nGC_8064)*dsw_QED2 + coupl(nGC_8065)*dMW2_QED2 + &
                        coupl(nGC_8066)*dZee_QED2
      coupl(nGC_9516) = coupl(nGC_8308)*dsw_QED2 + coupl(nGC_8309)*dcw_QED2 +  &
                        coupl(nGC_8310)*dZee_QED2
      coupl(nGC_13261) = coupl(nGC_9626) + coupl(nGC_MHC)*dZHMinus_QED2 + coupl&
                         (nGC_TS_GC_110_Hl) + coupl(nGC_TS_GC_118_Hh)
      coupl(nGC_9519) = coupl(nGC_7969)*db_QED2 + coupl(nGC_7970)*dZee_QED2 +  &
                        coupl(nGC_7971)*dMZ2_QED2 + coupl(nGC_7972)*dsw_QED2 + &
                        coupl(nGC_7973)*dcw_QED2 + coupl(nGC_7974)*da_QED2
      coupl(nGC_9518) = coupl(nGC_8126)*dsw_QED2 + coupl(nGC_8127)*dMZ2_QED2 + &
                        coupl(nGC_8128)*dZee_QED2
      coupl(nGC_12790) = coupl(nGC_40)*dZG0Ha_QED2/2d0 + coupl(nGC_40)*        &
                         dZHlHh_QED2/2d0 + coupl(nGC_48)*dZHMinus_QED2/2d0 +   &
                         coupl(nGC_48)*dZHa_QED2/2d0 + coupl(nGC_48)*dZHh_QED2/&
                         2d0 + coupl(nGC_9308)
      coupl(nGC_8808) = (4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_142&
                        ) + 4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_178)*coupl(    &
                        nGC_181) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*   &
                        coupl(nGC_180) + 2d0*Nc*cMB*coupl(nGC_142)*coupl(      &
                        nGC_180)*coupl(nGC_181) + 4d0*Nc*cMC*coupl(nGC_131)*   &
                        coupl(nGC_133)*coupl(nGC_134) + 2d0*Nc*cMC*coupl(      &
                        nGC_131)*coupl(nGC_173)*coupl(nGC_174) + 4d0*Nc*cMC*   &
                        coupl(nGC_133)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc* &
                        cMC*coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_173) + 4d0*&
                        Nc*cMD*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_150) +  &
                        2d0*Nc*cMD*coupl(nGC_146)*coupl(nGC_195)*coupl(nGC_196 &
                        ) + 4d0*Nc*cMD*coupl(nGC_149)*coupl(nGC_193)*coupl(    &
                        nGC_196) + 2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_193)*   &
                        coupl(nGC_195) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(      &
                        nGC_133)*coupl(nGC_174) + 4d0*Nc*cMS*coupl(nGC_131)*   &
                        coupl(nGC_134)*coupl(nGC_173) + 2d0*Nc*cMS*coupl(      &
                        nGC_133)*coupl(nGC_134)*coupl(nGC_170) + 4d0*Nc*cMS*   &
                        coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_174) + 2d0*Nc* &
                        cMT*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178) + 2d0*&
                        Nc*cMT*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_181) +  &
                        4d0*Nc*cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_180 &
                        ) + 4d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_180)*coupl(    &
                        nGC_181) + 2d0*Nc*cMU*coupl(nGC_146)*coupl(nGC_149)*   &
                        coupl(nGC_196) + 4d0*Nc*cMU*coupl(nGC_146)*coupl(      &
                        nGC_150)*coupl(nGC_195) + 2d0*Nc*cMU*coupl(nGC_149)*   &
                        coupl(nGC_150)*coupl(nGC_193) + 4d0*Nc*cMU*coupl(      &
                        nGC_193)*coupl(nGC_195)*coupl(nGC_196) + 4d0*cME*coupl(&
                        nGC_154)*coupl(nGC_157)*coupl(nGC_158) + 4d0*cMM*coupl(&
                        nGC_162)*coupl(nGC_165)*coupl(nGC_166) + 4d0*cMTA*coupl&
                        (nGC_185)*coupl(nGC_188)*coupl(nGC_189) + 4d0*cima*    &
                        coupl(nGC_102)*coupl(nGC_16) + 4d0*cima*coupl(nGC_107)*&
                        coupl(nGC_15) + 4d0*cima*coupl(nGC_126)*coupl(nGC_70   &
                        ) + 4d0*cima*coupl(nGC_127)*coupl(nGC_66) - coupl(     &
                        nGC_102)*coupl(nGC_1283)*coupl(nGC_2961) - coupl(      &
                        nGC_102)*coupl(nGC_661)*coupl(nGC_72) + coupl(nGC_103)*&
                        coupl(nGC_1491)*coupl(nGC_1795) + coupl(nGC_103)*coupl(&
                        nGC_2961)**2d0 + coupl(nGC_105)*coupl(nGC_1795)*coupl( &
                        nGC_2961) + coupl(nGC_106)*coupl(nGC_1491)*coupl(      &
                        nGC_2961) - coupl(nGC_107)*coupl(nGC_1283)*coupl(      &
                        nGC_1795) - coupl(nGC_107)*coupl(nGC_1319)*coupl(nGC_92&
                        ) + coupl(nGC_1079)*coupl(nGC_122)*coupl(nGC_96) +     &
                        coupl(nGC_108)*coupl(nGC_2961)*coupl(nGC_68) + coupl(  &
                        nGC_110)*coupl(nGC_1795)*coupl(nGC_63) + coupl(nGC_111 &
                        )*coupl(nGC_1283)**2d0 + coupl(nGC_111)*coupl(nGC_1529 &
                        )**2d0 + coupl(nGC_111)*coupl(nGC_63)*coupl(nGC_64) +  &
                        coupl(nGC_111)*coupl(nGC_68)*coupl(nGC_69) + coupl(    &
                        nGC_112)*coupl(nGC_1319)*coupl(nGC_72) + coupl(nGC_115 &
                        )*coupl(nGC_1319)*coupl(nGC_69) + coupl(nGC_115)*coupl(&
                        nGC_661)*coupl(nGC_96) + coupl(nGC_115)*coupl(nGC_94)* &
                        coupl(nGC_96) + coupl(nGC_116)*coupl(nGC_2961)*coupl(  &
                        nGC_64) + coupl(nGC_118)*coupl(nGC_1795)*coupl(nGC_68  &
                        ) + coupl(nGC_119)*coupl(nGC_63)*coupl(nGC_68) + coupl(&
                        nGC_119)*coupl(nGC_63)*coupl(nGC_69) + coupl(nGC_122)* &
                        coupl(nGC_63)*coupl(nGC_72) + coupl(nGC_122)*coupl(    &
                        nGC_92)*coupl(nGC_96) - coupl(nGC_125)*coupl(nGC_63)*  &
                        coupl(nGC_68) - coupl(nGC_125)*coupl(nGC_64)*coupl(    &
                        nGC_68) - coupl(nGC_126)*coupl(nGC_1529)*coupl(nGC_2961&
                        ) - coupl(nGC_127)*coupl(nGC_1529)*coupl(nGC_1795))/(  &
                        32d0*pi**2d0)
      coupl(nGC_8809) = (4d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_142&
                        ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_177)*coupl(    &
                        nGC_178) + 4d0*Nc*cMB*coupl(nGC_141)*coupl(nGC_178)*   &
                        coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_142)*coupl(      &
                        nGC_177)*coupl(nGC_181) + 4d0*Nc*cMC*coupl(nGC_130)*   &
                        coupl(nGC_131)*coupl(nGC_134) + 4d0*Nc*cMC*coupl(      &
                        nGC_130)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc*cMC*   &
                        coupl(nGC_131)*coupl(nGC_169)*coupl(nGC_174) + 2d0*Nc* &
                        cMC*coupl(nGC_134)*coupl(nGC_169)*coupl(nGC_170) + 4d0*&
                        Nc*cMD*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_150) +  &
                        4d0*Nc*cMD*coupl(nGC_145)*coupl(nGC_193)*coupl(nGC_196 &
                        ) + 2d0*Nc*cMD*coupl(nGC_146)*coupl(nGC_192)*coupl(    &
                        nGC_196) + 2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_192)*   &
                        coupl(nGC_193) + 2d0*Nc*cMS*coupl(nGC_130)*coupl(      &
                        nGC_131)*coupl(nGC_174) + 2d0*Nc*cMS*coupl(nGC_130)*   &
                        coupl(nGC_134)*coupl(nGC_170) + 4d0*Nc*cMS*coupl(      &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_169) + 4d0*Nc*cMS*   &
                        coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc* &
                        cMT*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_178) + 4d0*&
                        Nc*cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177) +  &
                        2d0*Nc*cMT*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_181 &
                        ) + 4d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_178)*coupl(    &
                        nGC_181) + 2d0*Nc*cMU*coupl(nGC_145)*coupl(nGC_146)*   &
                        coupl(nGC_196) + 2d0*Nc*cMU*coupl(nGC_145)*coupl(      &
                        nGC_150)*coupl(nGC_193) + 4d0*Nc*cMU*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_192) + 4d0*Nc*cMU*coupl(      &
                        nGC_192)*coupl(nGC_193)*coupl(nGC_196) + 4d0*cME*coupl(&
                        nGC_153)*coupl(nGC_154)*coupl(nGC_158) + 4d0*cMM*coupl(&
                        nGC_161)*coupl(nGC_162)*coupl(nGC_166) + 4d0*cMTA*coupl&
                        (nGC_184)*coupl(nGC_185)*coupl(nGC_189) + 4d0*cima*    &
                        coupl(nGC_102)*coupl(nGC_14) + 4d0*cima*coupl(nGC_107)*&
                        coupl(nGC_16) + 4d0*cima*coupl(nGC_126)*coupl(nGC_65   &
                        ) + 4d0*cima*coupl(nGC_127)*coupl(nGC_70) - coupl(     &
                        nGC_102)*coupl(nGC_1283)*coupl(nGC_1491) - coupl(      &
                        nGC_102)*coupl(nGC_3231)*coupl(nGC_72) + coupl(nGC_103 &
                        )*coupl(nGC_1795)*coupl(nGC_2961) + coupl(nGC_104)*    &
                        coupl(nGC_1491)*coupl(nGC_2961) + coupl(nGC_106)*coupl(&
                        nGC_1491)*coupl(nGC_1795) + coupl(nGC_106)*coupl(      &
                        nGC_2961)**2d0 - coupl(nGC_107)*coupl(nGC_1283)*coupl( &
                        nGC_2961) - coupl(nGC_107)*coupl(nGC_1319)*coupl(nGC_94&
                        ) + coupl(nGC_108)*coupl(nGC_1491)*coupl(nGC_68) +     &
                        coupl(nGC_110)*coupl(nGC_2961)*coupl(nGC_63) + coupl(  &
                        nGC_111)*coupl(nGC_64)*coupl(nGC_68) + coupl(nGC_111)* &
                        coupl(nGC_64)*coupl(nGC_69) + coupl(nGC_115)*coupl(    &
                        nGC_1319)*coupl(nGC_64) + coupl(nGC_115)*coupl(nGC_3231&
                        )*coupl(nGC_96) + coupl(nGC_115)*coupl(nGC_91)*coupl(  &
                        nGC_96) + coupl(nGC_116)*coupl(nGC_1491)*coupl(nGC_64  &
                        ) + coupl(nGC_118)*coupl(nGC_2961)*coupl(nGC_68) +     &
                        coupl(nGC_119)*coupl(nGC_1283)**2d0 + coupl(nGC_119)*  &
                        coupl(nGC_1529)**2d0 + coupl(nGC_119)*coupl(nGC_63)*   &
                        coupl(nGC_64) + coupl(nGC_119)*coupl(nGC_68)*coupl(    &
                        nGC_69) + coupl(nGC_120)*coupl(nGC_1319)*coupl(nGC_72  &
                        ) + coupl(nGC_122)*coupl(nGC_661)*coupl(nGC_96) + coupl&
                        (nGC_122)*coupl(nGC_69)*coupl(nGC_72) + coupl(nGC_122)*&
                        coupl(nGC_94)*coupl(nGC_96) - coupl(nGC_124)*coupl(    &
                        nGC_63)*coupl(nGC_68) - coupl(nGC_124)*coupl(nGC_64)*  &
                        coupl(nGC_68) - coupl(nGC_126)*coupl(nGC_1491)*coupl(  &
                        nGC_1529) - coupl(nGC_127)*coupl(nGC_1529)*coupl(      &
                        nGC_2961))/(32d0*pi**2d0)
      coupl(nGC_9371) = coupl(nGC_7982)*dsw_QED2 + coupl(nGC_7983)*dcw_QED2 +  &
                        coupl(nGC_7984)*dZee_QED2
      coupl(nGC_TS_GC_68_Hh) = -coupl(nGC_68)*dtHh_QED1/cMHH**2d0
      coupl(nGC_17105) = coupl(nGC_17101) + coupl(nGC_17104)
      coupl(nGC_TS_GC_68_Hl) = -coupl(nGC_68)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13313) = coupl(nGC_44)*dZHMinusGMinus_QED2 + coupl(nGC_45)*    &
                         dZGMinusHMinus_QED2 + coupl(nGC_57)*dZHMinus_QED2 +   &
                         coupl(nGC_9304)
      coupl(nGC_13312) = coupl(nGC_57)*dZGMinus
      coupl(nGC_17103) = coupl(nGC_17102) + coupl(nGC_9503)
      coupl(nGC_9359) = coupl(nGC_8344)*dsw_QED2 + coupl(nGC_8345)*db_QED2 +   &
                        coupl(nGC_8346)*dZee_QED2 + coupl(nGC_8347)*da_QED2
      coupl(nGC_9429) = coupl(nGC_8384)*db_QED2 + coupl(nGC_8385)*dyd13x3_QED3 &
                         + coupl(nGC_8386)*dyb2_QED3
      coupl(nGC_9428) = coupl(nGC_8570)*dyd12x2_QED3 + coupl(nGC_8571)*        &
                        dys2_QED3 + coupl(nGC_8572)*db_QED2
      coupl(nGC_9355) = coupl(nGC_8328)*dsw_QED2 + coupl(nGC_8329)*db_QED2 +   &
                        coupl(nGC_8330)*dZee_QED2 + coupl(nGC_8331)*da_QED2
      coupl(nGC_9354) = coupl(nGC_8324)*dsw_QED2 + coupl(nGC_8325)*db_QED2 +   &
                        coupl(nGC_8326)*dZee_QED2 + coupl(nGC_8327)*da_QED2
      coupl(nGC_9425) = coupl(nGC_8573)*dyd12x2_QED1_QCD2 + coupl(nGC_8574)*   &
                        dys2_QED1_QCD2
      coupl(nGC_9424) = coupl(nGC_8465)*dydo2_QED3 + coupl(nGC_8466)*db_QED2 + &
                        coupl(nGC_8467)*dydo1_QED3
      coupl(nGC_9423) = coupl(nGC_8465)*dydo2_QED1_QCD2 + coupl(nGC_8467)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_9353) = coupl(nGC_8359)*dsw_QED2 + coupl(nGC_8360)*db_QED2 +   &
                        coupl(nGC_8361)*dZee_QED2 + coupl(nGC_8362)*da_QED2
      coupl(nGC_9420) = coupl(nGC_8390)*dyd13x3_QED1_QCD2 + coupl(nGC_8391)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_8976) = (coupl(nGC_1079)*coupl(nGC_164)*coupl(nGC_86) - coupl( &
                        nGC_161)**2d0*coupl(nGC_165) + coupl(nGC_162)*coupl(   &
                        nGC_1795)*coupl(nGC_80) - coupl(nGC_164)**2d0*coupl(   &
                        nGC_165) + coupl(nGC_164)*coupl(nGC_89)*coupl(nGC_92   &
                        ) - coupl(nGC_165)**3d0 - coupl(nGC_165)*coupl(nGC_168 &
                        )**2d0 + 8d0*coupl(nGC_165)*coupl(nGC_4)**2d0 + 8d0*   &
                        coupl(nGC_165)*coupl(nGC_86)*coupl(nGC_89) + coupl(    &
                        nGC_166)*coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_168)* &
                        coupl(nGC_661)*coupl(nGC_86) + coupl(nGC_168)*coupl(   &
                        nGC_89)*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_8974) = coupl(nGC_7)**2d0*sq2**2d0*(-cMB*coupl(nGC_137) - cMC* &
                        coupl(nGC_133) - cMD*coupl(nGC_149) - cMS*coupl(nGC_173&
                        ) - cMT*coupl(nGC_180) - cMU*coupl(nGC_195))/(16d0*pi**&
                        2d0)
      coupl(nGC_8975) = (coupl(nGC_1079)*coupl(nGC_163)*coupl(nGC_89) - coupl( &
                        nGC_161)**2d0*coupl(nGC_165) + coupl(nGC_162)*coupl(   &
                        nGC_63)*coupl(nGC_80) - coupl(nGC_163)**2d0*coupl(     &
                        nGC_165) + coupl(nGC_163)*coupl(nGC_86)*coupl(nGC_92   &
                        ) - coupl(nGC_165)**3d0 - coupl(nGC_165)*coupl(nGC_167 &
                        )**2d0 + 8d0*coupl(nGC_165)*coupl(nGC_4)**2d0 + 8d0*   &
                        coupl(nGC_165)*coupl(nGC_86)*coupl(nGC_89) + coupl(    &
                        nGC_166)*coupl(nGC_2961)*coupl(nGC_80) + coupl(nGC_167 &
                        )*coupl(nGC_661)*coupl(nGC_89) + coupl(nGC_167)*coupl( &
                        nGC_86)*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_8972) = (coupl(nGC_1079)*coupl(nGC_156)*coupl(nGC_86) - coupl( &
                        nGC_153)**2d0*coupl(nGC_157) + coupl(nGC_154)*coupl(   &
                        nGC_1795)*coupl(nGC_80) - coupl(nGC_156)**2d0*coupl(   &
                        nGC_157) + coupl(nGC_156)*coupl(nGC_89)*coupl(nGC_92   &
                        ) - coupl(nGC_157)**3d0 - coupl(nGC_157)*coupl(nGC_160 &
                        )**2d0 + 8d0*coupl(nGC_157)*coupl(nGC_4)**2d0 + 8d0*   &
                        coupl(nGC_157)*coupl(nGC_86)*coupl(nGC_89) + coupl(    &
                        nGC_158)*coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_160)* &
                        coupl(nGC_661)*coupl(nGC_86) + coupl(nGC_160)*coupl(   &
                        nGC_89)*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_8973) = coupl(nGC_7)**2d0*sq2**2d0*(cMB*coupl(nGC_137) + cMC*  &
                        coupl(nGC_133) + cMD*coupl(nGC_149) + cMS*coupl(nGC_173&
                        ) + cMT*coupl(nGC_180) + cMU*coupl(nGC_195))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_8970) = coupl(nGC_149)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl12
end module fill_ctcouplings12
