!******************************************************************************!
!                                                                              !
!    fill_ctcouplings15.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings15.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings15
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl15()
      coupl(nGC_17406) = coupl(nGC_33)*dZG0
      coupl(nGC_9102) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9103) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +   &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_15142) = coupl(nGC_I)*dZHlHh_QED2/2d0
      coupl(nGC_15143) = coupl(nGC_I)*dZHhHl_QED2/2d0
      coupl(nGC_15762) = coupl(nGC_115)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_15764) = coupl(nGC_115)*dZHMinus_QED2/2d0 + coupl(nGC_122)*    &
                         dZHaG0_QED2/2d0 + coupl(nGC_9349) + coupl(            &
                         nGC_TS_GC_40_Hh) + coupl(nGC_TS_GC_49_Hl)
      coupl(nGC_14789) = coupl(nGC_108)*dZHl_QED2/2d0 + coupl(nGC_116)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_119)*dZHMinusGMinus_QED2  &
                          + coupl(nGC_9341) + coupl(nGC_TS_GC_23_Hh) + coupl(  &
                         nGC_TS_GC_35_Hl)
      coupl(nGC_15490) = coupl(nGC_185)*dZHMinus_QED2/2d0 + coupl(nGC_185)*    &
                         dZnu_tauL_QED2/2d0 + coupl(nGC_185)*dZtauMinusR_QED2/ &
                         2d0 + coupl(nGC_189)*dZGMinusHMinus_QED2/2d0 + coupl( &
                         nGC_9462)
      coupl(nGC_14786) = coupl(nGC_108)*dZGMinus
      coupl(nGC_13795) = coupl(nGC_81)*dZWMinus_QED2/2d0 + coupl(nGC_9516)
      coupl(nGC_13882) = coupl(nGC_62)*dZWMinus_QED2 + coupl(nGC_9364)
      coupl(nGC_13881) = coupl(nGC_62)*dZG0
      coupl(nGC_14567) = coupl(nGC_127)*dZGMinus/2d0
      coupl(nGC_13062) = coupl(nGC_100)*dZGMinus
      coupl(nGC_13538) = coupl(nGC_67)*dZHlHh_QED2/2d0 + coupl(nGC_71)*        &
                         dZHh_QED2/2d0 + coupl(nGC_9513)
      coupl(nGC_13249) = coupl(nGC_3)*dZWMinus_QED2/2d0 + coupl(nGC_9280)
      coupl(nGC_8756) = cMS*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_8757) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(    &
                        nGC_88))/(8d0*pi**2d0)
      coupl(nGC_8755) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(    &
                        nGC_87))/(8d0*pi**2d0)
      coupl(nGC_8752) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0  &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_8753) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_86)*coupl(    &
                        nGC_89))/(8d0*pi**2d0)
      coupl(nGC_8750) = cima*sq2**2d0*(-Nc*coupl(nGC_6)**2d0 + 4d0*coupl(nGC_7 &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_8751) = cima*coupl(nGC_6)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_8758) = cMT*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_8759) = cMTA*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_86)*coupl(   &
                        nGC_89))/(8d0*pi**2d0)
      coupl(nGC_12935) = dZHMinusGMinus_QED2*(coupl(nGC_48) + coupl(nGC_49))/2d0
      coupl(nGC_12753) = coupl(nGC_184)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_9409) = coupl(nGC_8411)*dydo2_QED1_QCD2 + coupl(nGC_8413)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_9401) = coupl(nGC_8356)*db_QED2 + coupl(nGC_8357)*dyc1_QED3 +  &
                        coupl(nGC_8358)*dyc2_QED3
      coupl(nGC_9400) = coupl(nGC_8434)*dydo2_QED3 + coupl(nGC_8435)*db_QED2 + &
                        coupl(nGC_8436)*dydo1_QED3
      coupl(nGC_9402) = coupl(nGC_8357)*dyc1_QED1_QCD2 + coupl(nGC_8358)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_9405) = coupl(nGC_8606)*db_QED2 + coupl(nGC_8607)*dyt1_QED3 +  &
                        coupl(nGC_8608)*dyt2_QED3
      coupl(nGC_9406) = coupl(nGC_8607)*dyt1_QED1_QCD2 + coupl(nGC_8608)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_12686) = coupl(nGC_14)*dZHlHh_QED2/2d0 + coupl(nGC_15)*        &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_16)*dZHh_QED2/2d0 &
                          + coupl(nGC_16)*dZWMinus_QED2/2d0 + coupl(nGC_16)*   &
                         dZZ_QED2/2d0 + coupl(nGC_70)*dZAZ_QED2/2d0 + coupl(   &
                         nGC_9374)
      coupl(nGC_TS_GC_117_Hh) = -coupl(nGC_117)*dtHh_QED1/cMHH**2d0
      coupl(nGC_8913) = (2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_84  &
                        ) - 2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl&
                        (nGC_88) + 2d0*Nc*cMC*coupl(nGC_131)*coupl(nGC_80)*    &
                        coupl(nGC_85) - 2d0*Nc*cMC*coupl(nGC_131)*coupl(nGC_80 &
                        )*coupl(nGC_87) - 2d0*Nc*cMC*coupl(nGC_131)*coupl(     &
                        nGC_80)*coupl(nGC_88) + 2d0*Nc*cMD*coupl(nGC_146)*coupl&
                        (nGC_80)*coupl(nGC_84) - 2d0*Nc*cMD*coupl(nGC_146)*    &
                        coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMD*coupl(nGC_146 &
                        )*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMS*coupl(      &
                        nGC_170)*coupl(nGC_80)*coupl(nGC_84) - 2d0*Nc*cMS*coupl&
                        (nGC_170)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMS*    &
                        coupl(nGC_170)*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMT&
                        *coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_85) - 2d0*Nc*  &
                        cMT*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc&
                        *cMT*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_88) + 2d0* &
                        Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_85) - 2d0&
                        *Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_87) -   &
                        2d0*Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_88   &
                        ) + 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_86 &
                        ) - 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_89 &
                        ) - 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_90 &
                        ) + 4d0*cima*coupl(nGC_102)*coupl(nGC_79) + 4d0*cima*  &
                        coupl(nGC_126)*coupl(nGC_803) - coupl(nGC_102)*coupl(  &
                        nGC_17)*coupl(nGC_3) + 6d0*coupl(nGC_102)*coupl(nGC_781&
                        )*coupl(nGC_82) - coupl(nGC_102)*coupl(nGC_82)*coupl(  &
                        nGC_96) - coupl(nGC_124)*coupl(nGC_2961)*coupl(nGC_781 &
                        ) - coupl(nGC_125)*coupl(nGC_1795)*coupl(nGC_781) + 6d0&
                        *coupl(nGC_126)*coupl(nGC_3)*coupl(nGC_781) - coupl(   &
                        nGC_128)*coupl(nGC_68)*coupl(nGC_781) - coupl(nGC_129)*&
                        coupl(nGC_64)*coupl(nGC_781))/(32d0*pi**2d0)
      coupl(nGC_12682) = coupl(nGC_16)*dZGMinus/2d0
      coupl(nGC_8915) = (coupl(nGC_1)*coupl(nGC_17)*coupl(nGC_178) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_178)*coupl(nGC_2) + coupl(nGC_1283)*  &
                        coupl(nGC_178)*coupl(nGC_85) - coupl(nGC_137)*coupl(   &
                        nGC_142)*coupl(nGC_180) - coupl(nGC_140)*coupl(nGC_142 &
                        )*coupl(nGC_182) - coupl(nGC_141)*coupl(nGC_142)*coupl(&
                        nGC_177) - coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_2153&
                        ) + coupl(nGC_1529)*coupl(nGC_178)*coupl(nGC_2) + coupl&
                        (nGC_177)*coupl(nGC_68)*coupl(nGC_80) + 8d0*coupl(     &
                        nGC_178)*coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_178)* &
                        coupl(nGC_87)*coupl(nGC_96) + coupl(nGC_180)*coupl(    &
                        nGC_64)*coupl(nGC_80) + coupl(nGC_2153)*coupl(nGC_72)* &
                        coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_8917) = (-coupl(nGC_1)*coupl(nGC_1529)*coupl(nGC_170) + 8d0*   &
                        coupl(nGC_1)*coupl(nGC_170)*coupl(nGC_2) - coupl(      &
                        nGC_1283)*coupl(nGC_170)*coupl(nGC_84) - coupl(nGC_130 &
                        )*coupl(nGC_131)*coupl(nGC_169) - coupl(nGC_131)*coupl(&
                        nGC_132)*coupl(nGC_171) - coupl(nGC_131)*coupl(nGC_133 &
                        )*coupl(nGC_173) - coupl(nGC_131)*coupl(nGC_136)*coupl(&
                        nGC_175) - coupl(nGC_169)*coupl(nGC_68)*coupl(nGC_80   &
                        ) - coupl(nGC_17)*coupl(nGC_170)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_170)*coupl(nGC_84)*coupl(nGC_88) - coupl(    &
                        nGC_170)*coupl(nGC_88)*coupl(nGC_96) - coupl(nGC_171)* &
                        coupl(nGC_72)*coupl(nGC_80) - coupl(nGC_173)*coupl(    &
                        nGC_64)*coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_8918) = (coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_17) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_146)*coupl(nGC_2) + coupl(nGC_1283)*  &
                        coupl(nGC_146)*coupl(nGC_88) + coupl(nGC_1319)*coupl(  &
                        nGC_147)*coupl(nGC_80) - coupl(nGC_145)*coupl(nGC_192)*&
                        coupl(nGC_193) + coupl(nGC_145)*coupl(nGC_2961)*coupl( &
                        nGC_80) + coupl(nGC_146)*coupl(nGC_1529)*coupl(nGC_2   &
                        ) + 8d0*coupl(nGC_146)*coupl(nGC_84)*coupl(nGC_88) +   &
                        coupl(nGC_146)*coupl(nGC_84)*coupl(nGC_96) - coupl(    &
                        nGC_147)*coupl(nGC_193)*coupl(nGC_194) + coupl(nGC_149 &
                        )*coupl(nGC_1795)*coupl(nGC_80) - coupl(nGC_149)*coupl(&
                        nGC_193)*coupl(nGC_195) - coupl(nGC_151)*coupl(nGC_193 &
                        )*coupl(nGC_198))/(32d0*pi**2d0)
      coupl(nGC_8919) = (coupl(nGC_1)*coupl(nGC_17)*coupl(nGC_193) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_193)*coupl(nGC_2) + coupl(nGC_1283)*  &
                        coupl(nGC_193)*coupl(nGC_85) - coupl(nGC_145)*coupl(   &
                        nGC_146)*coupl(nGC_192) - coupl(nGC_146)*coupl(nGC_148 &
                        )*coupl(nGC_797) - coupl(nGC_146)*coupl(nGC_149)*coupl(&
                        nGC_195) - coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_197 &
                        ) + coupl(nGC_1529)*coupl(nGC_193)*coupl(nGC_2) + coupl&
                        (nGC_192)*coupl(nGC_68)*coupl(nGC_80) + 8d0*coupl(     &
                        nGC_193)*coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_193)* &
                        coupl(nGC_87)*coupl(nGC_96) + coupl(nGC_195)*coupl(    &
                        nGC_64)*coupl(nGC_80) + coupl(nGC_72)*coupl(nGC_797)*  &
                        coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_9391) = coupl(nGC_8428)*dsw_QED2 + coupl(nGC_8429)*dcw_QED2 +  &
                        coupl(nGC_8430)*dZee_QED2
      coupl(nGC_9390) = coupl(nGC_8541)*dsw_QED2 + coupl(nGC_8542)*dcw_QED2 +  &
                        coupl(nGC_8543)*dZee_QED2
      coupl(nGC_9392) = coupl(nGC_8517)*dsw_QED2 + coupl(nGC_8518)*dcw_QED2 +  &
                        coupl(nGC_8519)*dZee_QED2
      coupl(nGC_9395) = coupl(nGC_8576)*dsw_QED2 + coupl(nGC_8577)*dcw_QED2 +  &
                        coupl(nGC_8578)*dZee_QED2
      coupl(nGC_9394) = coupl(nGC_8612)*dsw_QED2 + coupl(nGC_8613)*dcw_QED2 +  &
                        coupl(nGC_8614)*dZee_QED2
      coupl(nGC_9397) = coupl(nGC_8621)*db_QED2 + coupl(nGC_8622)*dyup1_QED3 + &
                        coupl(nGC_8623)*dyup2_QED3
      coupl(nGC_9396) = coupl(nGC_8474)*dsw_QED2 + coupl(nGC_8475)*dcw_QED2 +  &
                        coupl(nGC_8476)*dZee_QED2
      coupl(nGC_9399) = coupl(nGC_8434)*dydo2_QED1_QCD2 + coupl(nGC_8436)*     &
                        dydo1_QED1_QCD2
    end subroutine fill_CTcouplings_mdl15
end module fill_ctcouplings15
