!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_17437) = coupl(nGC_85)*dZtR_QCD2
      coupl(nGC_15259) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_13650) = coupl(nGC_169)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_13651) = coupl(nGC_169)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_15375) = coupl(nGC_64)*dZGMinus/2d0
      coupl(nGC_15372) = coupl(nGC_68)*dZHMinusGMinus_QED2/2d0
      coupl(nGC_14510) = coupl(nGC_179)*dZHaG0_QED2/2d0
      coupl(nGC_14222) = -coupl(nGC_14219)
      coupl(nGC_14220) = coupl(nGC_72)*dZWMinus_QED2/2d0 + coupl(nGC_9358)
      coupl(nGC_14221) = -coupl(nGC_14220)
      coupl(nGC_12746) = coupl(nGC_73)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_9414) = coupl(nGC_8556)*dyc1_QED1_QCD2 + coupl(nGC_8557)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_9413) = coupl(nGC_8555)*db_QED2 + coupl(nGC_8556)*dyc1_QED3 +  &
                        coupl(nGC_8557)*dyc2_QED3
      coupl(nGC_12693) = coupl(nGC_80)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_12697) = coupl(nGC_158)*dZGMinus/2d0
      coupl(nGC_23035) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_9388) = coupl(nGC_411)*dZgs_QCD2
      coupl(nGC_TS_GC_173_Hh) = -coupl(nGC_173)*dtHh_QED1/cMHH**2d0
      coupl(nGC_23248) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_23032) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_13559) = coupl(nGC_74)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_15012) = coupl(nGC_173)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_15013) = coupl(nGC_173)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_TS_GC_161_Hl) = -coupl(nGC_161)*dtHl_QED1/cMHL**2d0
      coupl(nGC_14695) = coupl(nGC_140)*dZG0/2d0
      coupl(nGC_15344) = coupl(nGC_91)*dZG0/2d0
      coupl(nGC_14762) = coupl(nGC_90)*dZZA_QED2/2d0
      coupl(nGC_23683) = -coupl(nGC_23677)
      coupl(nGC_25950) = coupl(nGC_MI)*dZZA_QED2/2d0
      coupl(nGC_25951) = coupl(nGC_MI)*dZAZ_QED2/2d0
      coupl(nGC_25952) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_9342) = coupl(nGC_8348)*dl3_QED4 + coupl(nGC_8349)*dl1_QED4 +  &
                        coupl(nGC_8350)*dl2_QED4 + coupl(nGC_8351)*dl5_QED4 +  &
                        coupl(nGC_8352)*dl4_QED4 + coupl(nGC_8353)*dvev1_QED1  &
                         + coupl(nGC_8354)*dvev2_QED1 + coupl(nGC_8355)*da_QED2
      coupl(nGC_9435) = coupl(nGC_8567)*dys2_QED1_QCD2 + coupl(nGC_8568)*      &
                        dyd12x2_QED1_QCD2
      coupl(nGC_9436) = coupl(nGC_8567)*dys2_QED3 + coupl(nGC_8568)*           &
                        dyd12x2_QED3 + coupl(nGC_8569)*da_QED2
      coupl(nGC_9437) = coupl(nGC_8370)*dyd13x3_QED1_QCD2 + coupl(nGC_8372)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_9346) = coupl(nGC_363)*db_QED2 + coupl(nGC_365)*dl2_QED4 +     &
                        coupl(nGC_367)*dl3_QED4 + coupl(nGC_369)*dl5_QED4 +    &
                        coupl(nGC_371)*dl4_QED4 + coupl(nGC_373)*dl1_QED4 +    &
                        coupl(nGC_375)*dvev1_QED1 + coupl(nGC_377)*dvev2_QED1  &
                         + coupl(nGC_379)*da_QED2
      coupl(nGC_12915) = coupl(nGC_69)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_9462) = coupl(nGC_8609)*db_QED2 + coupl(nGC_8610)*dytau1_QED3  &
                         + coupl(nGC_8611)*dytau2_QED3
      coupl(nGC_9468) = coupl(nGC_8002)*db_QED2 + coupl(nGC_8003)*dytau1_QED3  &
                         + coupl(nGC_8004)*dytau2_QED3
      coupl(nGC_16321) = coupl(nGC_87)*dZsL_QCD2
      coupl(nGC_23257) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_23256) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_23250) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_9284) = coupl(nGC_7905)*dsw_QED2 + coupl(nGC_7906)*dcw_QED2 +  &
                        coupl(nGC_7907)*dZee_QED2
      coupl(nGC_9282) = coupl(nGC_7900)*dsw_QED2 + coupl(nGC_7901)*dcw_QED2 +  &
                        coupl(nGC_7902)*dZee_QED2
      coupl(nGC_14157) = coupl(nGC_67)*dZHl_QED2/2d0 + coupl(nGC_71)*          &
                         dZHhHl_QED2/2d0 + coupl(nGC_9514)
      coupl(nGC_17634) = coupl(nGC_161)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_16459) = coupl(nGC_56)*dZG0
      coupl(nGC_15253) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_TS_GC_92_Hh) = -coupl(nGC_92)*dtHh_QED1/cMHH**2d0
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
