!******************************************************************************!
!                                                                              !
!    fill_ctcouplings21.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings21.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings21
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl21()
      coupl(nGC_9299) = coupl(nGC_8238)*dl3_QED4 + coupl(nGC_8239)*dl1_QED4 +  &
                        coupl(nGC_8240)*dl2_QED4 + coupl(nGC_8241)*dl5_QED4 +  &
                        coupl(nGC_8242)*dl4_QED4 + coupl(nGC_8243)*db_QED2
      coupl(nGC_TS_GC_10_Hl) = -coupl(nGC_10)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_10_Hh) = -coupl(nGC_10)*dtHh_QED1/cMHH**2d0
      coupl(nGC_16460) = coupl(nGC_42)*dZHaG0_QED2 + coupl(nGC_43)*            &
                         dZGMinusHMinus_QED2 + coupl(nGC_56)*dZHMinus_QED2 +   &
                         coupl(nGC_9299)
      coupl(nGC_9150) = (10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(     &
                        nGC_134)*coupl(nGC_135) + 10d0*Nc*cima*coupl(nGC_130)* &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_136) + 10d0*Nc*&
                        cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_174)*coupl&
                        (nGC_175) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*&
                        coupl(nGC_170)*coupl(nGC_176) + 10d0*Nc*cima*coupl(    &
                        nGC_130)*coupl(nGC_135)*coupl(nGC_170)*coupl(nGC_174   &
                        ) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_136)*coupl(  &
                        nGC_170)*coupl(nGC_174) + 10d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_134)*coupl(nGC_169)*coupl(nGC_175) + 10d0*Nc*&
                        cima*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_169)*coupl&
                        (nGC_176) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_136)*&
                        coupl(nGC_169)*coupl(nGC_174) + 10d0*Nc*cima*coupl(    &
                        nGC_134)*coupl(nGC_135)*coupl(nGC_169)*coupl(nGC_170   &
                        ) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*coupl(  &
                        nGC_141)*coupl(nGC_142) + 10d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_139)*coupl(nGC_177)*coupl(nGC_178) + 10d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_141)*coupl&
                        (nGC_142) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*&
                        coupl(nGC_178)*coupl(nGC_183) + 10d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_142)*coupl(nGC_177)*coupl(nGC_182   &
                        ) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(  &
                        nGC_177)*coupl(nGC_183) + 10d0*Nc*cima*coupl(nGC_139)* &
                        coupl(nGC_141)*coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*&
                        cima*coupl(nGC_140)*coupl(nGC_141)*coupl(nGC_178)*coupl&
                        (nGC_181) + 10d0*Nc*cima*coupl(nGC_140)*coupl(nGC_142)*&
                        coupl(nGC_177)*coupl(nGC_181) + 10d0*Nc*cima*coupl(    &
                        nGC_141)*coupl(nGC_142)*coupl(nGC_181)*coupl(nGC_182   &
                        ) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(  &
                        nGC_150)*coupl(nGC_151) + 10d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_152) + 10d0*Nc*&
                        cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_196)*coupl&
                        (nGC_197) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_150)*&
                        coupl(nGC_193)*coupl(nGC_198) + 10d0*Nc*cima*coupl(    &
                        nGC_145)*coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_196   &
                        ) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_152)*coupl(  &
                        nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_150)*coupl(nGC_192)*coupl(nGC_197) + 10d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_192)*coupl&
                        (nGC_198) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_152)*&
                        coupl(nGC_192)*coupl(nGC_196) + 10d0*Nc*cima*coupl(    &
                        nGC_150)*coupl(nGC_151)*coupl(nGC_192)*coupl(nGC_193   &
                        ) + 10d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170)*coupl(  &
                        nGC_174)*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_169)* &
                        coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_176) + 10d0*Nc*&
                        cima*coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_181)*coupl&
                        (nGC_182) + 10d0*Nc*cima*coupl(nGC_177)*coupl(nGC_178)*&
                        coupl(nGC_181)*coupl(nGC_183) + 10d0*Nc*cima*coupl(    &
                        nGC_192)*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197   &
                        ) + 10d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*coupl(  &
                        nGC_196)*coupl(nGC_198) - 5d0*cima*coupl(nGC_1283)*    &
                        coupl(nGC_1491)*coupl(nGC_64)*coupl(nGC_94) - 5d0*cima*&
                        coupl(nGC_1283)*coupl(nGC_1491)*coupl(nGC_68)*coupl(   &
                        nGC_91) - 5d0*cima*coupl(nGC_1283)*coupl(nGC_2961)*    &
                        coupl(nGC_3231)*coupl(nGC_63) - 5d0*cima*coupl(nGC_1283&
                        )*coupl(nGC_2961)*coupl(nGC_661)*coupl(nGC_68) - 5d0*  &
                        cima*coupl(nGC_1319)**2d0*coupl(nGC_94)*coupl(nGC_96   &
                        ) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1491)*coupl(    &
                        nGC_1795)*coupl(nGC_2961) - 5d0*cima*coupl(nGC_1319)*  &
                        coupl(nGC_17)**2d0*coupl(nGC_68) - 5d0*cima*coupl(     &
                        nGC_1319)*coupl(nGC_1795)**2d0*coupl(nGC_2961) - 5d0*  &
                        cima*coupl(nGC_1319)*coupl(nGC_64)*coupl(nGC_91)*coupl(&
                        nGC_94) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_68)*coupl(&
                        nGC_91)**2d0 - 5d0*cima*coupl(nGC_1319)*coupl(nGC_68)* &
                        coupl(nGC_96)**2d0 - 5d0*cima*coupl(nGC_1491)*coupl(   &
                        nGC_2961)*coupl(nGC_63)*coupl(nGC_72) + 10d0*cima*coupl&
                        (nGC_153)*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_159  &
                        ) + 10d0*cima*coupl(nGC_153)*coupl(nGC_154)*coupl(     &
                        nGC_158)*coupl(nGC_160) + 12d0*cima*coupl(nGC_16)*coupl&
                        (nGC_19) + 10d0*cima*coupl(nGC_161)*coupl(nGC_162)*    &
                        coupl(nGC_166)*coupl(nGC_167) + 10d0*cima*coupl(nGC_161&
                        )*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_168) - 5d0*  &
                        cima*coupl(nGC_1795)*coupl(nGC_2961)*coupl(nGC_63)*    &
                        coupl(nGC_72) + 10d0*cima*coupl(nGC_184)*coupl(nGC_185 &
                        )*coupl(nGC_189)*coupl(nGC_190) + 10d0*cima*coupl(     &
                        nGC_184)*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_191   &
                        ) - 5d0*cima*coupl(nGC_3231)*coupl(nGC_63)*coupl(      &
                        nGC_661)*coupl(nGC_72) - 5d0*cima*coupl(nGC_661)**2d0* &
                        coupl(nGC_68)*coupl(nGC_72) + 12d0*cima*coupl(nGC_70)* &
                        coupl(nGC_73) - 3d0*coupl(nGC_1283)*coupl(nGC_19)*coupl&
                        (nGC_2961) + 3d0*coupl(nGC_1283)*coupl(nGC_24)*coupl(  &
                        nGC_3231) + 3d0*coupl(nGC_1283)*coupl(nGC_24)*coupl(   &
                        nGC_91) + 3d0*coupl(nGC_1283)*coupl(nGC_36)*coupl(     &
                        nGC_661) + 3d0*coupl(nGC_1283)*coupl(nGC_36)*coupl(    &
                        nGC_94) + 3d0*coupl(nGC_1319)*coupl(nGC_1491)*coupl(   &
                        nGC_45) - 3d0*coupl(nGC_1319)*coupl(nGC_16)*coupl(     &
                        nGC_96) - 3d0*coupl(nGC_1319)*coupl(nGC_17)*coupl(     &
                        nGC_70) + 3d0*coupl(nGC_1319)*coupl(nGC_1795)*coupl(   &
                        nGC_23) + 3d0*coupl(nGC_1319)*coupl(nGC_1795)*coupl(   &
                        nGC_45) - 3d0*coupl(nGC_1319)*coupl(nGC_19)*coupl(     &
                        nGC_94) + 3d0*coupl(nGC_1319)*coupl(nGC_25)*coupl(     &
                        nGC_64) + 3d0*coupl(nGC_1319)*coupl(nGC_2961)*coupl(   &
                        nGC_35) + 3d0*coupl(nGC_1319)*coupl(nGC_2961)*coupl(   &
                        nGC_56) + 3d0*coupl(nGC_1319)*coupl(nGC_39)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_1319)*coupl(nGC_43)*coupl(     &
                        nGC_64) + 3d0*coupl(nGC_1319)*coupl(nGC_57)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_1319)*coupl(nGC_60)*coupl(     &
                        nGC_69) - 3d0*coupl(nGC_14)*coupl(nGC_64)*coupl(nGC_94 &
                        ) - 3d0*coupl(nGC_14)*coupl(nGC_68)*coupl(nGC_91) + 3d0&
                        *coupl(nGC_1491)*coupl(nGC_24)*coupl(nGC_72) + 3d0*    &
                        coupl(nGC_1491)*coupl(nGC_43)*coupl(nGC_72) - 3d0*coupl&
                        (nGC_1529)*coupl(nGC_2961)*coupl(nGC_73) - 3d0*coupl(  &
                        nGC_16)*coupl(nGC_3231)*coupl(nGC_63) - 3d0*coupl(     &
                        nGC_16)*coupl(nGC_661)*coupl(nGC_68) + 3d0*coupl(nGC_17&
                        )**2d0*coupl(nGC_49) + 3d0*coupl(nGC_28)*coupl(nGC_63)*&
                        coupl(nGC_72) + 3d0*coupl(nGC_2961)*coupl(nGC_36)*coupl&
                        (nGC_72) + 3d0*coupl(nGC_3231)**2d0*coupl(nGC_49) + 6d0&
                        *coupl(nGC_3231)*coupl(nGC_40)*coupl(nGC_661) + 3d0*   &
                        coupl(nGC_3231)*coupl(nGC_43)*coupl(nGC_96) + 3d0*coupl&
                        (nGC_37)*coupl(nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_40&
                        )*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_40)*coupl&
                        (nGC_64)*coupl(nGC_69) + 3d0*coupl(nGC_43)*coupl(nGC_91&
                        )*coupl(nGC_96) + 3d0*coupl(nGC_48)*coupl(nGC_661)**2d0&
                         + 3d0*coupl(nGC_49)*coupl(nGC_63)*coupl(nGC_64) + 3d0*&
                        coupl(nGC_49)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl( &
                        nGC_49)*coupl(nGC_72)**2d0 + 3d0*coupl(nGC_49)*coupl(  &
                        nGC_96)**2d0 + 3d0*coupl(nGC_58)*coupl(nGC_661)*coupl( &
                        nGC_96) + 3d0*coupl(nGC_58)*coupl(nGC_69)*coupl(nGC_72 &
                        ) + 3d0*coupl(nGC_58)*coupl(nGC_94)*coupl(nGC_96))/(   &
                        96d0*pi**2d0)
      coupl(nGC_16464) = coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_82)*           &
                         dZWMinus_QED2 + coupl(nGC_82)*dZZ_QED2/2d0 + coupl(   &
                         nGC_9282)
      coupl(nGC_16465) = -coupl(nGC_16464)
      coupl(nGC_9157) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(     &
                        nGC_133)*coupl(nGC_134) + 10d0*Nc*cima*coupl(nGC_130)* &
                        coupl(nGC_131)*coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*&
                        cima*coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_170)*coupl&
                        (nGC_174) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*&
                        coupl(nGC_170)*coupl(nGC_173) + 10d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_133)*coupl(nGC_169)*coupl(nGC_174   &
                        ) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(  &
                        nGC_169)*coupl(nGC_173) + 10d0*Nc*cima*coupl(nGC_133)* &
                        coupl(nGC_134)*coupl(nGC_169)*coupl(nGC_170) + 20d0*Nc*&
                        cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_141)*coupl&
                        (nGC_142) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*&
                        coupl(nGC_177)*coupl(nGC_178) + 20d0*Nc*cima*coupl(    &
                        nGC_137)*coupl(nGC_141)*coupl(nGC_178)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(  &
                        nGC_177)*coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_141)*coupl(nGC_178)*coupl(nGC_180) + 20d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177)*coupl&
                        (nGC_180) + 10d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*&
                        coupl(nGC_180)*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_145)*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_150   &
                        ) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(  &
                        nGC_195)*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_149)*coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*&
                        cima*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_193)*coupl&
                        (nGC_195) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*&
                        coupl(nGC_192)*coupl(nGC_196) + 20d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_150)*coupl(nGC_192)*coupl(nGC_195   &
                        ) + 10d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150)*coupl(  &
                        nGC_192)*coupl(nGC_193) + 20d0*Nc*cima*coupl(nGC_169)* &
                        coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*&
                        cima*coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_180)*coupl&
                        (nGC_181) + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*&
                        coupl(nGC_195)*coupl(nGC_196) - 5d0*cima*coupl(nGC_1283&
                        )**2d0*coupl(nGC_1491)*coupl(nGC_1795) - 5d0*cima*coupl&
                        (nGC_1283)**2d0*coupl(nGC_2961)**2d0 - 5d0*cima*coupl( &
                        nGC_1283)*coupl(nGC_1319)*coupl(nGC_1795)*coupl(nGC_91 &
                        ) - 5d0*cima*coupl(nGC_1283)*coupl(nGC_2961)*coupl(    &
                        nGC_661)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1319)*coupl&
                        (nGC_3231)*coupl(nGC_72)*coupl(nGC_92) - 5d0*cima*coupl&
                        (nGC_1319)*coupl(nGC_63)*coupl(nGC_92)*coupl(nGC_96) - &
                        5d0*cima*coupl(nGC_1319)*coupl(nGC_661)*coupl(nGC_72)* &
                        coupl(nGC_94) + 12d0*cima*coupl(nGC_14)*coupl(nGC_15   &
                        ) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_1529)**2d0*coupl&
                        (nGC_1795) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_63)*   &
                        coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1491)*&
                        coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*  &
                        coupl(nGC_1529)**2d0*coupl(nGC_2961)**2d0 + 20d0*cima* &
                        coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_157)*coupl(    &
                        nGC_158) + 12d0*cima*coupl(nGC_16)**2d0 + 20d0*cima*   &
                        coupl(nGC_161)*coupl(nGC_162)*coupl(nGC_165)*coupl(    &
                        nGC_166) - 5d0*cima*coupl(nGC_1795)*coupl(nGC_63)*coupl&
                        (nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1795)*coupl&
                        (nGC_64)*coupl(nGC_68)*coupl(nGC_69) + 20d0*cima*coupl(&
                        nGC_184)*coupl(nGC_185)*coupl(nGC_188)*coupl(nGC_189   &
                        ) - 5d0*cima*coupl(nGC_2961)*coupl(nGC_63)**2d0*coupl( &
                        nGC_68) - 10d0*cima*coupl(nGC_2961)*coupl(nGC_63)*coupl&
                        (nGC_64)*coupl(nGC_68) - 5d0*cima*coupl(nGC_2961)*coupl&
                        (nGC_64)**2d0*coupl(nGC_68) + 12d0*cima*coupl(nGC_65)* &
                        coupl(nGC_66) - 5d0*cima*coupl(nGC_661)*coupl(nGC_68)* &
                        coupl(nGC_72)*coupl(nGC_96) + 12d0*cima*coupl(nGC_70)**&
                        2d0 + 3d0*coupl(nGC_10)*coupl(nGC_1795)*coupl(nGC_2961 &
                        ) + 3d0*coupl(nGC_1079)*coupl(nGC_40)*coupl(nGC_96) +  &
                        3d0*coupl(nGC_1283)**2d0*coupl(nGC_36) - 3d0*coupl(    &
                        nGC_1283)*coupl(nGC_14)*coupl(nGC_1795) - 3d0*coupl(   &
                        nGC_1283)*coupl(nGC_1491)*coupl(nGC_15) - 6d0*coupl(   &
                        nGC_1283)*coupl(nGC_16)*coupl(nGC_2961) + 3d0*coupl(   &
                        nGC_13)*coupl(nGC_1491)*coupl(nGC_1795) + 3d0*coupl(   &
                        nGC_13)*coupl(nGC_2961)**2d0 - 3d0*coupl(nGC_1319)*    &
                        coupl(nGC_14)*coupl(nGC_92) - 3d0*coupl(nGC_1319)*coupl&
                        (nGC_16)*coupl(nGC_94) + 3d0*coupl(nGC_1319)*coupl(    &
                        nGC_37)*coupl(nGC_72) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_40)*coupl(nGC_64) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_49)*coupl(nGC_69) - 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_1529)*coupl(nGC_66) + 3d0*coupl(nGC_1491)*coupl(   &
                        nGC_1795)*coupl(nGC_57) + 3d0*coupl(nGC_1491)*coupl(   &
                        nGC_1795)*coupl(nGC_60) + 3d0*coupl(nGC_1491)*coupl(   &
                        nGC_23)*coupl(nGC_68) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_2961)*coupl(nGC_9) + 3d0*coupl(nGC_1491)*coupl(    &
                        nGC_32)*coupl(nGC_64) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_44)*coupl(nGC_68) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_45)*coupl(nGC_69) - 3d0*coupl(nGC_15)*coupl(       &
                        nGC_3231)*coupl(nGC_72) + 3d0*coupl(nGC_1529)**2d0*    &
                        coupl(nGC_36) - 3d0*coupl(nGC_1529)*coupl(nGC_1795)*   &
                        coupl(nGC_65) - 6d0*coupl(nGC_1529)*coupl(nGC_2961)*   &
                        coupl(nGC_70) - 3d0*coupl(nGC_16)*coupl(nGC_661)*coupl(&
                        nGC_72) + 3d0*coupl(nGC_1795)*coupl(nGC_22)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_1795)*coupl(nGC_30)*coupl(     &
                        nGC_63) + 3d0*coupl(nGC_1795)*coupl(nGC_44)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_1795)*coupl(nGC_45)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_22)*coupl(nGC_2961)*coupl(     &
                        nGC_63) + 3d0*coupl(nGC_23)*coupl(nGC_2961)*coupl(     &
                        nGC_64) + 3d0*coupl(nGC_24)*coupl(nGC_63)*coupl(nGC_68 &
                        ) + 3d0*coupl(nGC_24)*coupl(nGC_63)*coupl(nGC_69) + 3d0&
                        *coupl(nGC_27)*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(&
                        nGC_27)*coupl(nGC_64)*coupl(nGC_69) + 3d0*coupl(       &
                        nGC_2961)*coupl(nGC_34)*coupl(nGC_68) + 3d0*coupl(     &
                        nGC_2961)*coupl(nGC_35)*coupl(nGC_68) + 3d0*coupl(     &
                        nGC_3231)*coupl(nGC_40)*coupl(nGC_96) + 3d0*coupl(     &
                        nGC_3231)*coupl(nGC_43)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_3231)*coupl(nGC_58)*coupl(nGC_92) + 6d0*coupl(     &
                        nGC_36)*coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_36 &
                        )*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_40)*coupl&
                        (nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_40)*coupl(nGC_91&
                        )*coupl(nGC_96) + 3d0*coupl(nGC_40)*coupl(nGC_92)*coupl&
                        (nGC_96) + 3d0*coupl(nGC_42)*coupl(nGC_661)*coupl(     &
                        nGC_92) + 3d0*coupl(nGC_48)*coupl(nGC_661)*coupl(nGC_96&
                        ) + 3d0*coupl(nGC_48)*coupl(nGC_69)*coupl(nGC_72) + 3d0&
                        *coupl(nGC_48)*coupl(nGC_94)*coupl(nGC_96) + 3d0*coupl(&
                        nGC_49)*coupl(nGC_661)*coupl(nGC_96) + 3d0*coupl(nGC_49&
                        )*coupl(nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_57)*coupl&
                        (nGC_68)**2d0 + 3d0*coupl(nGC_58)*coupl(nGC_661)*coupl(&
                        nGC_94) + 3d0*coupl(nGC_60)*coupl(nGC_69)**2d0)/(96d0* &
                        pi**2d0)
      coupl(nGC_16663) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_17440) = coupl(nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*dZtR_QED2  &
                          + coupl(nGC_9391)
      coupl(nGC_16668) = coupl(nGC_2)*dZtR_QED2 + coupl(nGC_85)*dZZA_QED2/2d0
      coupl(nGC_16669) = coupl(nGC_2)*dZtL_QED2 + coupl(nGC_88)*dZZA_QED2/2d0
      coupl(nGC_8766) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_134)**2d0 + 4d0*Nc*coupl&
                        (nGC_1)*coupl(nGC_138)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl&
                        (nGC_150)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_174)**  &
                        2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_181)**2d0 + 4d0*Nc*&
                        coupl(nGC_1)*coupl(nGC_196)**2d0 - 4d0*Nc*coupl(nGC_134&
                        )**2d0*coupl(nGC_2) - 4d0*Nc*coupl(nGC_138)**2d0*coupl(&
                        nGC_2) - 4d0*Nc*coupl(nGC_150)**2d0*coupl(nGC_2) - 4d0*&
                        Nc*coupl(nGC_174)**2d0*coupl(nGC_2) - 4d0*Nc*coupl(    &
                        nGC_181)**2d0*coupl(nGC_2) - 4d0*Nc*coupl(nGC_196)**2d0&
                        *coupl(nGC_2) + coupl(nGC_1283)**2d0*coupl(nGC_17) -   &
                        6d0*coupl(nGC_1319)*coupl(nGC_3)*coupl(nGC_72) + coupl(&
                        nGC_1529)**2d0*coupl(nGC_17) + 4d0*coupl(nGC_158)**2d0*&
                        coupl(nGC_4) + 4d0*coupl(nGC_166)**2d0*coupl(nGC_4) -  &
                        6d0*coupl(nGC_1795)*coupl(nGC_3)*coupl(nGC_63) + 4d0*  &
                        coupl(nGC_189)**2d0*coupl(nGC_4) - 6d0*coupl(nGC_1919)*&
                        coupl(nGC_3)*coupl(nGC_68))/(96d0*pi**2d0)
      coupl(nGC_15291) = coupl(nGC_124)*dZHl_QED2/2d0 + coupl(nGC_124)*        &
                         dZWMinus_QED2 + coupl(nGC_125)*dZHhHl_QED2/2d0 + coupl&
                         (nGC_9367) + coupl(nGC_TS_GC_61_Hl)
      coupl(nGC_8816) = coupl(nGC_138)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8762) = (2d0*Nc*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134) +   &
                        2d0*Nc*coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_142) + 2d0&
                        *Nc*coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_150) + 2d0*Nc&
                        *coupl(nGC_1)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc*  &
                        coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_181) + 2d0*Nc*   &
                        coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196) - 2d0*Nc*   &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_2) - 2d0*Nc*   &
                        coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_2) - 2d0*Nc*   &
                        coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_2) - 2d0*Nc*   &
                        coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_2) - 2d0*Nc*   &
                        coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_2) - 2d0*Nc*   &
                        coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2) + 2d0*coupl(&
                        nGC_154)*coupl(nGC_158)*coupl(nGC_4) + 2d0*coupl(      &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_4) + 2d0*coupl(      &
                        nGC_185)*coupl(nGC_189)*coupl(nGC_4) - 3d0*coupl(nGC_3 &
                        )*coupl(nGC_63)*coupl(nGC_68) - 3d0*coupl(nGC_3)*coupl(&
                        nGC_64)*coupl(nGC_68))/(48d0*pi**2d0)
      coupl(nGC_8761) = cMU*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_8812) = (4d0*Nc*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_174)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_80) +   &
                        coupl(nGC_1283)*coupl(nGC_1319)*coupl(nGC_661) - 6d0*  &
                        coupl(nGC_1319)*coupl(nGC_781)*coupl(nGC_94) + coupl(  &
                        nGC_1491)**2d0*coupl(nGC_1919) + coupl(nGC_1491)*coupl(&
                        nGC_64)*coupl(nGC_69) - 4d0*coupl(nGC_157)*coupl(      &
                        nGC_158)*coupl(nGC_80) - 4d0*coupl(nGC_165)*coupl(     &
                        nGC_166)*coupl(nGC_80) - 6d0*coupl(nGC_17)*coupl(nGC_3 &
                        )*coupl(nGC_68) - 4d0*coupl(nGC_188)*coupl(nGC_189)*   &
                        coupl(nGC_80) + coupl(nGC_1919)*coupl(nGC_2961)**2d0 + &
                        coupl(nGC_1919)*coupl(nGC_72)**2d0 + coupl(nGC_2961)*  &
                        coupl(nGC_63)*coupl(nGC_64) - 6d0*coupl(nGC_68)*coupl( &
                        nGC_82)*coupl(nGC_96))/(96d0*pi**2d0)
      coupl(nGC_30427) = -coupl(nGC_8812)
      coupl(nGC_18180) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_13757) = -coupl(nGC_12915) + coupl(nGC_12916)
      coupl(nGC_TS_GC_39_Hl) = -coupl(nGC_39)*dtHl_QED1/cMHL**2d0
      coupl(nGC_14521) = coupl(nGC_14510) + coupl(nGC_14518)
      coupl(nGC_13620) = coupl(nGC_111)*dZHMinus_QED2/2d0 + coupl(nGC_111)*    &
                         dZHh_QED2/2d0 + coupl(nGC_116)*dZGMinusHMinus_QED2/2d0&
                          + coupl(nGC_118)*dZHMinusGMinus_QED2/2d0 + coupl(    &
                         nGC_119)*dZHlHh_QED2/2d0 + coupl(nGC_9346) + coupl(   &
                         nGC_TS_GC_27_Hh) + coupl(nGC_TS_GC_36_Hl)
      coupl(nGC_13571) = coupl(nGC_26)*dZHlHh_QED2 + coupl(nGC_29)*dZG0Ha_QED2 &
                          + coupl(nGC_38)*dZHa_QED2 + coupl(nGC_38)*dZHh_QED2  &
                          + coupl(nGC_9300)
      coupl(nGC_13579) = coupl(nGC_19)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_13030) = coupl(nGC_100)*dZZA_QED2/2d0 + coupl(nGC_18)*dZAZ_QED2&
                         /2d0 + coupl(nGC_9368) + coupl(nGC_97)*dZA_QED2/2d0 + &
                         coupl(nGC_97)*dZHMinus_QED2 + coupl(nGC_97)*dZZ_QED2/ &
                         2d0
      coupl(nGC_8714) = cima*(4d0*Nc*coupl(nGC_135)*coupl(nGC_136) + 4d0*Nc*   &
                        coupl(nGC_139)*coupl(nGC_140) + 4d0*Nc*coupl(nGC_151)* &
                        coupl(nGC_152) + 4d0*Nc*coupl(nGC_175)*coupl(nGC_176   &
                        ) + 4d0*Nc*coupl(nGC_182)*coupl(nGC_183) + 4d0*Nc*coupl&
                        (nGC_197)*coupl(nGC_198) + 2d0*coupl(nGC_1319)*coupl(  &
                        nGC_72) + 4d0*coupl(nGC_159)*coupl(nGC_160) + 4d0*coupl&
                        (nGC_167)*coupl(nGC_168) + 4d0*coupl(nGC_190)*coupl(   &
                        nGC_191) + coupl(nGC_3231)*coupl(nGC_91) + coupl(      &
                        nGC_661)*coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_8715) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_139)*coupl(nGC_140) - &
                        8d0*Nc*cMC**2d0*cima*coupl(nGC_135)*coupl(nGC_136) -   &
                        8d0*Nc*cMD**2d0*cima*coupl(nGC_151)*coupl(nGC_152) -   &
                        8d0*Nc*cMS**2d0*cima*coupl(nGC_175)*coupl(nGC_176) -   &
                        8d0*Nc*cMT**2d0*cima*coupl(nGC_182)*coupl(nGC_183) -   &
                        8d0*Nc*cMU**2d0*cima*coupl(nGC_197)*coupl(nGC_198) -   &
                        8d0*cME**2d0*cima*coupl(nGC_159)*coupl(nGC_160) - cMHH &
                        **2d0*cima*coupl(nGC_661)*coupl(nGC_94) - cMHL**2d0*   &
                        cima*coupl(nGC_3231)*coupl(nGC_91) - 8d0*cMM**2d0*cima*&
                        coupl(nGC_167)*coupl(nGC_168) - 8d0*cMTA**2d0*cima*    &
                        coupl(nGC_190)*coupl(nGC_191) - 4d0*cMW**2d0*cima*coupl&
                        (nGC_1319)*coupl(nGC_72) - 4d0*cMW**2d0*coupl(nGC_62   &
                        ) - cMZ**2d0*cima*coupl(nGC_3231)*coupl(nGC_91) - cMZ**&
                        2d0*cima*coupl(nGC_661)*coupl(nGC_94) - 2d0*cMZ**2d0*  &
                        coupl(nGC_101))/(32d0*pi**2d0)
      coupl(nGC_13194) = coupl(nGC_16)*dZZA_QED2/2d0 + coupl(nGC_65)*          &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_66)*dZHhHl_QED2/  &
                         2d0 + coupl(nGC_70)*dZA_QED2/2d0 + coupl(nGC_70)*     &
                         dZHMinus_QED2/2d0 + coupl(nGC_70)*dZHl_QED2/2d0 +     &
                         coupl(nGC_70)*dZWMinus_QED2/2d0 + coupl(nGC_9353)
      coupl(nGC_22274) = coupl(nGC_112)*dZG0Ha_QED2 + coupl(nGC_113)*          &
                         dZHlHh_QED2/2d0 + coupl(nGC_121)*dZHa_QED2 + coupl(   &
                         nGC_121)*dZHh_QED2/2d0 + coupl(nGC_9333) + coupl(     &
                         nGC_TS_GC_26_Hl) + coupl(nGC_TS_GC_38_Hh)
      coupl(nGC_8882) = (-coupl(nGC_184)**2d0*coupl(nGC_191) + coupl(nGC_184)* &
                        coupl(nGC_3231)*coupl(nGC_86) + coupl(nGC_184)*coupl(  &
                        nGC_89)*coupl(nGC_91) - coupl(nGC_186)**2d0*coupl(     &
                        nGC_191) - coupl(nGC_188)**2d0*coupl(nGC_191) + coupl( &
                        nGC_188)*coupl(nGC_661)*coupl(nGC_86) + coupl(nGC_188)*&
                        coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_189)*coupl(    &
                        nGC_72)*coupl(nGC_80) - coupl(nGC_190)**2d0*coupl(     &
                        nGC_191) + 8d0*coupl(nGC_190)*coupl(nGC_4)**2d0 + 8d0* &
                        coupl(nGC_190)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi** &
                        2d0)
      coupl(nGC_8883) = (coupl(nGC_1319)*coupl(nGC_189)*coupl(nGC_80) - coupl( &
                        nGC_184)**2d0*coupl(nGC_190) + coupl(nGC_184)*coupl(   &
                        nGC_3231)*coupl(nGC_89) + coupl(nGC_184)*coupl(nGC_86)*&
                        coupl(nGC_91) - coupl(nGC_187)**2d0*coupl(nGC_190) -   &
                        coupl(nGC_188)**2d0*coupl(nGC_190) + coupl(nGC_188)*   &
                        coupl(nGC_661)*coupl(nGC_89) + coupl(nGC_188)*coupl(   &
                        nGC_86)*coupl(nGC_94) - coupl(nGC_190)*coupl(nGC_191)**&
                        2d0 + 8d0*coupl(nGC_191)*coupl(nGC_4)**2d0 + 8d0*coupl(&
                        nGC_191)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi**2d0)
      coupl(nGC_8880) = (-coupl(nGC_1319)*coupl(nGC_181)*coupl(nGC_80) - coupl(&
                        nGC_138)*coupl(nGC_140)*coupl(nGC_181) - coupl(nGC_140 &
                        )*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177)**2d0* &
                        coupl(nGC_182) - coupl(nGC_177)*coupl(nGC_3231)*coupl( &
                        nGC_88) - coupl(nGC_177)*coupl(nGC_85)*coupl(nGC_91) - &
                        coupl(nGC_179)**2d0*coupl(nGC_182) - coupl(nGC_180)**  &
                        2d0*coupl(nGC_182) - coupl(nGC_180)*coupl(nGC_661)*    &
                        coupl(nGC_88) - coupl(nGC_180)*coupl(nGC_85)*coupl(    &
                        nGC_94) - coupl(nGC_182)*coupl(nGC_183)**2d0 + 8d0*    &
                        coupl(nGC_183)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_183)* &
                        coupl(nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_12717) = coupl(nGC_7)*dZuR_QCD2
      coupl(nGC_8887) = coupl(nGC_198)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8884) = (-coupl(nGC_146)*coupl(nGC_151)*coupl(nGC_193) - coupl(&
                        nGC_150)*coupl(nGC_151)*coupl(nGC_196) - coupl(nGC_192 &
                        )**2d0*coupl(nGC_198) - coupl(nGC_192)*coupl(nGC_3231)*&
                        coupl(nGC_85) - coupl(nGC_192)*coupl(nGC_88)*coupl(    &
                        nGC_91) - coupl(nGC_195)**2d0*coupl(nGC_198) - coupl(  &
                        nGC_195)*coupl(nGC_661)*coupl(nGC_85) - coupl(nGC_195)*&
                        coupl(nGC_88)*coupl(nGC_94) - coupl(nGC_196)*coupl(    &
                        nGC_72)*coupl(nGC_80) - coupl(nGC_197)**2d0*coupl(     &
                        nGC_198) + 8d0*coupl(nGC_197)*coupl(nGC_2)**2d0 + 8d0* &
                        coupl(nGC_197)*coupl(nGC_85)*coupl(nGC_88) - coupl(    &
                        nGC_198)*coupl(nGC_797)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12713) = coupl(nGC_7)*dZuL_QCD2
      coupl(nGC_8888) = (4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_142)**2d0 + 4d0*Nc&
                        *cMB*coupl(nGC_137)*coupl(nGC_178)**2d0 + 4d0*Nc*cMB*  &
                        coupl(nGC_142)*coupl(nGC_178)*coupl(nGC_180) + 4d0*Nc* &
                        cMC*coupl(nGC_131)**2d0*coupl(nGC_133) + 4d0*Nc*cMC*   &
                        coupl(nGC_131)*coupl(nGC_170)*coupl(nGC_173) + 4d0*Nc* &
                        cMC*coupl(nGC_133)*coupl(nGC_170)**2d0 + 4d0*Nc*cMD*   &
                        coupl(nGC_146)**2d0*coupl(nGC_149) + 4d0*Nc*cMD*coupl( &
                        nGC_146)*coupl(nGC_193)*coupl(nGC_195) + 4d0*Nc*cMD*   &
                        coupl(nGC_149)*coupl(nGC_193)**2d0 + 4d0*Nc*cMS*coupl( &
                        nGC_131)**2d0*coupl(nGC_173) + 4d0*Nc*cMS*coupl(nGC_131&
                        )*coupl(nGC_133)*coupl(nGC_170) + 4d0*Nc*cMS*coupl(    &
                        nGC_170)**2d0*coupl(nGC_173) + 4d0*Nc*cMT*coupl(nGC_137&
                        )*coupl(nGC_142)*coupl(nGC_178) + 4d0*Nc*cMT*coupl(    &
                        nGC_142)**2d0*coupl(nGC_180) + 4d0*Nc*cMT*coupl(nGC_178&
                        )**2d0*coupl(nGC_180) + 4d0*Nc*cMU*coupl(nGC_146)**2d0*&
                        coupl(nGC_195) + 4d0*Nc*cMU*coupl(nGC_146)*coupl(      &
                        nGC_149)*coupl(nGC_193) + 4d0*Nc*cMU*coupl(nGC_193)**  &
                        2d0*coupl(nGC_195) + 4d0*cME*coupl(nGC_154)**2d0*coupl(&
                        nGC_157) + 4d0*cMM*coupl(nGC_162)**2d0*coupl(nGC_165   &
                        ) + 4d0*cMTA*coupl(nGC_185)**2d0*coupl(nGC_188) + 2d0* &
                        cima*coupl(nGC_100)*coupl(nGC_129) + 8d0*cima*coupl(   &
                        nGC_102)*coupl(nGC_15) + 4d0*cima*coupl(nGC_125)*coupl(&
                        nGC_62) + 8d0*cima*coupl(nGC_126)*coupl(nGC_66) - coupl&
                        (nGC_102)*coupl(nGC_1079)*coupl(nGC_72) - coupl(nGC_102&
                        )*coupl(nGC_1283)*coupl(nGC_1795) - coupl(nGC_102)*    &
                        coupl(nGC_1283)*coupl(nGC_63) - coupl(nGC_102)*coupl(  &
                        nGC_1319)*coupl(nGC_92) + coupl(nGC_103)*coupl(nGC_1795&
                        )*coupl(nGC_69) + coupl(nGC_103)*coupl(nGC_2961)*coupl(&
                        nGC_63) + coupl(nGC_105)*coupl(nGC_1795)*coupl(nGC_63  &
                        ) + coupl(nGC_106)*coupl(nGC_2961)*coupl(nGC_69) +     &
                        coupl(nGC_110)*coupl(nGC_1795)*coupl(nGC_1919) + coupl(&
                        nGC_110)*coupl(nGC_63)*coupl(nGC_68) + coupl(nGC_111)* &
                        coupl(nGC_1491)*coupl(nGC_69) + coupl(nGC_111)*coupl(  &
                        nGC_2961)*coupl(nGC_64) + coupl(nGC_118)*coupl(nGC_1283&
                        )**2d0 + coupl(nGC_118)*coupl(nGC_1491)*coupl(nGC_1795 &
                        ) + coupl(nGC_118)*coupl(nGC_1529)**2d0 + coupl(nGC_118&
                        )*coupl(nGC_63)*coupl(nGC_64) + coupl(nGC_119)*coupl(  &
                        nGC_1919)*coupl(nGC_69) + coupl(nGC_119)*coupl(nGC_2961&
                        )*coupl(nGC_68) + coupl(nGC_121)*coupl(nGC_1319)*coupl(&
                        nGC_72) + coupl(nGC_122)*coupl(nGC_1319)*coupl(nGC_69  &
                        ) + coupl(nGC_123)*coupl(nGC_2961)*coupl(nGC_72) -     &
                        coupl(nGC_125)*coupl(nGC_1319)*coupl(nGC_72) - coupl(  &
                        nGC_125)*coupl(nGC_1491)*coupl(nGC_64) - coupl(nGC_125 &
                        )*coupl(nGC_1919)*coupl(nGC_68) - coupl(nGC_126)*coupl(&
                        nGC_1529)*coupl(nGC_1795) - coupl(nGC_126)*coupl(      &
                        nGC_1529)*coupl(nGC_63) - coupl(nGC_129)*coupl(nGC_96  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_8889) = (4d0*Nc*cMB*coupl(nGC_141)*coupl(nGC_142)**2d0 + 4d0*Nc&
                        *cMB*coupl(nGC_141)*coupl(nGC_178)**2d0 + 4d0*Nc*cMB*  &
                        coupl(nGC_142)*coupl(nGC_177)*coupl(nGC_178) + 4d0*Nc* &
                        cMC*coupl(nGC_130)*coupl(nGC_131)**2d0 + 4d0*Nc*cMC*   &
                        coupl(nGC_130)*coupl(nGC_170)**2d0 + 4d0*Nc*cMC*coupl( &
                        nGC_131)*coupl(nGC_169)*coupl(nGC_170) + 4d0*Nc*cMD*   &
                        coupl(nGC_145)*coupl(nGC_146)**2d0 + 4d0*Nc*cMD*coupl( &
                        nGC_145)*coupl(nGC_193)**2d0 + 4d0*Nc*cMD*coupl(nGC_146&
                        )*coupl(nGC_192)*coupl(nGC_193) + 4d0*Nc*cMS*coupl(    &
                        nGC_130)*coupl(nGC_131)*coupl(nGC_170) + 4d0*Nc*cMS*   &
                        coupl(nGC_131)**2d0*coupl(nGC_169) + 4d0*Nc*cMS*coupl( &
                        nGC_169)*coupl(nGC_170)**2d0 + 4d0*Nc*cMT*coupl(nGC_141&
                        )*coupl(nGC_142)*coupl(nGC_178) + 4d0*Nc*cMT*coupl(    &
                        nGC_142)**2d0*coupl(nGC_177) + 4d0*Nc*cMT*coupl(nGC_177&
                        )*coupl(nGC_178)**2d0 + 4d0*Nc*cMU*coupl(nGC_145)*coupl&
                        (nGC_146)*coupl(nGC_193) + 4d0*Nc*cMU*coupl(nGC_146)** &
                        2d0*coupl(nGC_192) + 4d0*Nc*cMU*coupl(nGC_192)*coupl(  &
                        nGC_193)**2d0 + 4d0*cME*coupl(nGC_153)*coupl(nGC_154)**&
                        2d0 + 4d0*cMM*coupl(nGC_161)*coupl(nGC_162)**2d0 + 4d0*&
                        cMTA*coupl(nGC_184)*coupl(nGC_185)**2d0 + 2d0*cima*    &
                        coupl(nGC_100)*coupl(nGC_128) + 8d0*cima*coupl(nGC_102 &
                        )*coupl(nGC_16) + 4d0*cima*coupl(nGC_124)*coupl(nGC_62 &
                        ) + 8d0*cima*coupl(nGC_126)*coupl(nGC_70) - coupl(     &
                        nGC_102)*coupl(nGC_1283)*coupl(nGC_2961) - coupl(      &
                        nGC_102)*coupl(nGC_1283)*coupl(nGC_69) - coupl(nGC_102 &
                        )*coupl(nGC_1319)*coupl(nGC_94) - coupl(nGC_102)*coupl(&
                        nGC_661)*coupl(nGC_72) + coupl(nGC_103)*coupl(nGC_1795 &
                        )*coupl(nGC_63) + coupl(nGC_104)*coupl(nGC_2961)*coupl(&
                        nGC_69) + coupl(nGC_106)*coupl(nGC_1795)*coupl(nGC_69  &
                        ) + coupl(nGC_106)*coupl(nGC_2961)*coupl(nGC_63) +     &
                        coupl(nGC_110)*coupl(nGC_1283)**2d0 + coupl(nGC_110)*  &
                        coupl(nGC_1529)**2d0 + coupl(nGC_110)*coupl(nGC_1919)* &
                        coupl(nGC_2961) + coupl(nGC_110)*coupl(nGC_68)*coupl(  &
                        nGC_69) + 2d0*coupl(nGC_111)*coupl(nGC_1491)*coupl(    &
                        nGC_64) + coupl(nGC_113)*coupl(nGC_1319)*coupl(nGC_72  &
                        ) + coupl(nGC_118)*coupl(nGC_1491)*coupl(nGC_2961) +   &
                        coupl(nGC_118)*coupl(nGC_64)*coupl(nGC_69) + coupl(    &
                        nGC_119)*coupl(nGC_1491)*coupl(nGC_68) + coupl(nGC_119 &
                        )*coupl(nGC_1919)*coupl(nGC_64) + coupl(nGC_122)*coupl(&
                        nGC_1319)*coupl(nGC_64) + coupl(nGC_123)*coupl(nGC_1491&
                        )*coupl(nGC_72) - coupl(nGC_124)*coupl(nGC_1319)*coupl(&
                        nGC_72) - coupl(nGC_124)*coupl(nGC_1491)*coupl(nGC_64  &
                        ) - coupl(nGC_124)*coupl(nGC_1919)*coupl(nGC_68) -     &
                        coupl(nGC_126)*coupl(nGC_1529)*coupl(nGC_2961) - coupl(&
                        nGC_126)*coupl(nGC_1529)*coupl(nGC_69) - coupl(nGC_128 &
                        )*coupl(nGC_96)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12718) = coupl(nGC_7)*dZg_QCD2/2d0 + coupl(nGC_9388)
      coupl(nGC_12719) = coupl(nGC_12717) + coupl(nGC_12718)
      coupl(nGC_9444) = coupl(nGC_8392)*dyd13x3_QED3 + coupl(nGC_8393)*da_QED2 &
                         + coupl(nGC_8394)*dyb2_QED3
      coupl(nGC_9441) = coupl(nGC_8538)*dys2_QED1_QCD2 + coupl(nGC_8539)*      &
                        dyd12x2_QED1_QCD2
      coupl(nGC_9440) = coupl(nGC_8419)*dydo1_QED3 + coupl(nGC_8420)*dydo2_QED3&
                         + coupl(nGC_8421)*da_QED2
      coupl(nGC_9443) = coupl(nGC_8392)*dyd13x3_QED1_QCD2 + coupl(nGC_8394)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_9442) = coupl(nGC_8538)*dys2_QED3 + coupl(nGC_8539)*           &
                        dyd12x2_QED3 + coupl(nGC_8540)*da_QED2
      coupl(nGC_12806) = coupl(nGC_12805) + coupl(nGC_9499)
      coupl(nGC_12807) = coupl(nGC_192)*dZHl_QED2/2d0 + coupl(nGC_195)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_9500)
      coupl(nGC_12808) = coupl(nGC_12804) + coupl(nGC_12807)
    end subroutine fill_CTcouplings_mdl21
end module fill_ctcouplings21
