!******************************************************************************!
!                                                                              !
!    fill_ctcouplings24.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings24.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings24
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl24()
      coupl(nGC_14651) = coupl(nGC_1)*dZbR_QED2 + coupl(nGC_84)*dZZA_QED2/2d0
      coupl(nGC_15705) = coupl(nGC_153)*dZHl_QED2/2d0 + coupl(nGC_157)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_9472)
      coupl(nGC_14078) = coupl(nGC_136)*dZcL_QCD2/2d0 + coupl(nGC_136)*        &
                         dZcR_QCD2/2d0 + coupl(nGC_9486)
      coupl(nGC_14072) = coupl(nGC_132)*dZHaG0_QED2/2d0
      coupl(nGC_14070) = coupl(nGC_136)*dZG0/2d0
      coupl(nGC_14074) = coupl(nGC_136)*dZcL_QED2/2d0 + coupl(nGC_136)*        &
                         dZcR_QED2/2d0 + coupl(nGC_9485)
      coupl(nGC_TS_GC_128_Hl) = -coupl(nGC_128)*dtHl_QED1/cMHL**2d0
      coupl(nGC_14479) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_8868) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_151) - coupl(nGC_1319 &
                        )*coupl(nGC_150)*coupl(nGC_80) - coupl(nGC_145)**2d0*  &
                        coupl(nGC_152) - coupl(nGC_145)*coupl(nGC_3231)*coupl( &
                        nGC_87) - coupl(nGC_145)*coupl(nGC_84)*coupl(nGC_91) - &
                        coupl(nGC_146)*coupl(nGC_193)*coupl(nGC_197) - coupl(  &
                        nGC_147)**2d0*coupl(nGC_152) - coupl(nGC_149)**2d0*    &
                        coupl(nGC_152) - coupl(nGC_149)*coupl(nGC_661)*coupl(  &
                        nGC_87) - coupl(nGC_149)*coupl(nGC_84)*coupl(nGC_94) - &
                        coupl(nGC_150)*coupl(nGC_196)*coupl(nGC_197) - coupl(  &
                        nGC_151)**2d0*coupl(nGC_152) + 8d0*coupl(nGC_151)*coupl&
                        (nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_8869) = coupl(nGC_151)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8864) = (-coupl(nGC_130)**2d0*coupl(nGC_135) - coupl(nGC_130)* &
                        coupl(nGC_3231)*coupl(nGC_88) - coupl(nGC_130)*coupl(  &
                        nGC_85)*coupl(nGC_91) - coupl(nGC_131)*coupl(nGC_170)* &
                        coupl(nGC_176) - coupl(nGC_1319)*coupl(nGC_134)*coupl( &
                        nGC_80) - coupl(nGC_132)**2d0*coupl(nGC_135) - coupl(  &
                        nGC_133)**2d0*coupl(nGC_135) - coupl(nGC_133)*coupl(   &
                        nGC_661)*coupl(nGC_88) - coupl(nGC_133)*coupl(nGC_85)* &
                        coupl(nGC_94) - coupl(nGC_134)*coupl(nGC_174)*coupl(   &
                        nGC_176) - coupl(nGC_135)*coupl(nGC_136)**2d0 + 8d0*   &
                        coupl(nGC_136)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_136)* &
                        coupl(nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_8865) = coupl(nGC_136)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8866) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_152) - coupl(nGC_145  &
                        )**2d0*coupl(nGC_151) - coupl(nGC_145)*coupl(nGC_3231)*&
                        coupl(nGC_84) - coupl(nGC_145)*coupl(nGC_87)*coupl(    &
                        nGC_91) - coupl(nGC_146)*coupl(nGC_193)*coupl(nGC_198  &
                        ) - coupl(nGC_148)**2d0*coupl(nGC_151) - coupl(nGC_149 &
                        )**2d0*coupl(nGC_151) - coupl(nGC_149)*coupl(nGC_661)* &
                        coupl(nGC_84) - coupl(nGC_149)*coupl(nGC_87)*coupl(    &
                        nGC_94) - coupl(nGC_150)*coupl(nGC_196)*coupl(nGC_198  &
                        ) - coupl(nGC_150)*coupl(nGC_72)*coupl(nGC_80) - coupl(&
                        nGC_151)*coupl(nGC_152)**2d0 + 8d0*coupl(nGC_152)*coupl&
                        (nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_8867) = coupl(nGC_152)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8860) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_139) - coupl(nGC_1319 &
                        )*coupl(nGC_138)*coupl(nGC_80) - coupl(nGC_137)**2d0*  &
                        coupl(nGC_140) - coupl(nGC_137)*coupl(nGC_661)*coupl(  &
                        nGC_87) - coupl(nGC_137)*coupl(nGC_84)*coupl(nGC_94) - &
                        coupl(nGC_138)*coupl(nGC_181)*coupl(nGC_182) - coupl(  &
                        nGC_139)**2d0*coupl(nGC_140) + 8d0*coupl(nGC_139)*coupl&
                        (nGC_84)*coupl(nGC_87) - coupl(nGC_140)*coupl(nGC_141  &
                        )**2d0 - coupl(nGC_140)*coupl(nGC_144)**2d0 - coupl(   &
                        nGC_141)*coupl(nGC_3231)*coupl(nGC_87) - coupl(nGC_141 &
                        )*coupl(nGC_84)*coupl(nGC_91) - coupl(nGC_142)*coupl(  &
                        nGC_178)*coupl(nGC_182))/(32d0*pi**2d0)
      coupl(nGC_8861) = coupl(nGC_139)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8862) = (-coupl(nGC_130)**2d0*coupl(nGC_136) - coupl(nGC_130)* &
                        coupl(nGC_3231)*coupl(nGC_85) - coupl(nGC_130)*coupl(  &
                        nGC_88)*coupl(nGC_91) - coupl(nGC_131)*coupl(nGC_170)* &
                        coupl(nGC_175) - coupl(nGC_1313)**2d0*coupl(nGC_136) - &
                        coupl(nGC_133)**2d0*coupl(nGC_136) - coupl(nGC_133)*   &
                        coupl(nGC_661)*coupl(nGC_85) - coupl(nGC_133)*coupl(   &
                        nGC_88)*coupl(nGC_94) - coupl(nGC_134)*coupl(nGC_174)* &
                        coupl(nGC_175) - coupl(nGC_134)*coupl(nGC_72)*coupl(   &
                        nGC_80) - coupl(nGC_135)**2d0*coupl(nGC_136) + 8d0*    &
                        coupl(nGC_135)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_135)* &
                        coupl(nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_8863) = coupl(nGC_135)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13158) = coupl(nGC_22)*dZHhHl_QED2 + coupl(nGC_24)*            &
                         dZGMinusHMinus_QED2 + coupl(nGC_30)*dZHMinus_QED2 +   &
                         coupl(nGC_30)*dZHl_QED2 + coupl(nGC_9296)
      coupl(nGC_23036) = coupl(nGC_9644) + coupl(nGC_TS_GC_137_Hh) + coupl(    &
                         nGC_TS_GC_141_Hl)
      coupl(nGC_23033) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_23038) = coupl(nGC_23033) + coupl(nGC_9645)
      coupl(nGC_14279) = coupl(nGC_170)*dZcL_QCD2/2d0 + coupl(nGC_170)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9415)
      coupl(nGC_14278) = coupl(nGC_131)*dZcR_QCD2/2d0 + coupl(nGC_131)*        &
                         dZsL_QCD2/2d0 + coupl(nGC_9414)
      coupl(nGC_13555) = coupl(nGC_148)*dZHaG0_QED2/2d0 + coupl(nGC_152)*      &
                         dZdL_QED2/2d0 + coupl(nGC_152)*dZdR_QED2/2d0 + coupl( &
                         nGC_9424)
      coupl(nGC_13554) = coupl(nGC_151)*dZdL_QCD2/2d0 + coupl(nGC_151)*        &
                         dZdR_QCD2/2d0 + coupl(nGC_9421)
      coupl(nGC_14277) = coupl(nGC_170)*dZHMinus_QED2/2d0 + coupl(nGC_170)*    &
                         dZcL_QED2/2d0 + coupl(nGC_170)*dZsR_QED2/2d0 + coupl( &
                         nGC_174)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_9416)
      coupl(nGC_14276) = coupl(nGC_131)*dZHMinus_QED2/2d0 + coupl(nGC_131)*    &
                         dZcR_QED2/2d0 + coupl(nGC_131)*dZsL_QED2/2d0 + coupl( &
                         nGC_134)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_9413)
      coupl(nGC_13553) = coupl(nGC_152)*dZdL_QCD2/2d0 + coupl(nGC_152)*        &
                         dZdR_QCD2/2d0 + coupl(nGC_9423)
      coupl(nGC_8998) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_145) - coupl(nGC_145  &
                        )**3d0 - coupl(nGC_145)*coupl(nGC_147)**2d0 - coupl(   &
                        nGC_145)*coupl(nGC_149)**2d0 - coupl(nGC_145)*coupl(   &
                        nGC_151)**2d0 + 8d0*coupl(nGC_145)*coupl(nGC_84)*coupl(&
                        nGC_87) - coupl(nGC_146)*coupl(nGC_1919)*coupl(nGC_80  &
                        ) - coupl(nGC_146)*coupl(nGC_192)*coupl(nGC_193) -     &
                        coupl(nGC_147)*coupl(nGC_661)*coupl(nGC_84) - coupl(   &
                        nGC_147)*coupl(nGC_87)*coupl(nGC_94) - coupl(nGC_150)* &
                        coupl(nGC_192)*coupl(nGC_196) - coupl(nGC_150)*coupl(  &
                        nGC_63)*coupl(nGC_80) - coupl(nGC_151)*coupl(nGC_3231)*&
                        coupl(nGC_84) - coupl(nGC_151)*coupl(nGC_87)*coupl(    &
                        nGC_91))/(32d0*pi**2d0)
      coupl(nGC_8999) = coupl(nGC_145)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8990) = (-8d0*Nc*cMB*coupl(nGC_141)*coupl(nGC_84)**2d0 + 8d0*Nc&
                        *cMB*coupl(nGC_141)*coupl(nGC_84)*coupl(nGC_87) - 8d0* &
                        Nc*cMB*coupl(nGC_141)*coupl(nGC_87)**2d0 - 8d0*Nc*cMC* &
                        coupl(nGC_130)*coupl(nGC_85)**2d0 + 8d0*Nc*cMC*coupl(  &
                        nGC_130)*coupl(nGC_85)*coupl(nGC_88) - 8d0*Nc*cMC*coupl&
                        (nGC_130)*coupl(nGC_88)**2d0 - 8d0*Nc*cMD*coupl(nGC_145&
                        )*coupl(nGC_84)**2d0 + 8d0*Nc*cMD*coupl(nGC_145)*coupl(&
                        nGC_84)*coupl(nGC_87) - 8d0*Nc*cMD*coupl(nGC_145)*coupl&
                        (nGC_87)**2d0 - 8d0*Nc*cMS*coupl(nGC_169)*coupl(nGC_84 &
                        )**2d0 + 8d0*Nc*cMS*coupl(nGC_169)*coupl(nGC_84)*coupl(&
                        nGC_87) - 8d0*Nc*cMS*coupl(nGC_169)*coupl(nGC_87)**2d0 &
                         - 8d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_85)**2d0 + 8d0* &
                        Nc*cMT*coupl(nGC_177)*coupl(nGC_85)*coupl(nGC_88) - 8d0&
                        *Nc*cMT*coupl(nGC_177)*coupl(nGC_88)**2d0 - 8d0*Nc*cMU*&
                        coupl(nGC_192)*coupl(nGC_85)**2d0 + 8d0*Nc*cMU*coupl(  &
                        nGC_192)*coupl(nGC_85)*coupl(nGC_88) - 8d0*Nc*cMU*coupl&
                        (nGC_192)*coupl(nGC_88)**2d0 - 8d0*cME*coupl(nGC_153)* &
                        coupl(nGC_86)**2d0 + 8d0*cME*coupl(nGC_153)*coupl(     &
                        nGC_86)*coupl(nGC_89) - 8d0*cME*coupl(nGC_153)*coupl(  &
                        nGC_89)**2d0 - 8d0*cMM*coupl(nGC_161)*coupl(nGC_86)**  &
                        2d0 + 8d0*cMM*coupl(nGC_161)*coupl(nGC_86)*coupl(nGC_89&
                        ) - 8d0*cMM*coupl(nGC_161)*coupl(nGC_89)**2d0 - 8d0*   &
                        cMTA*coupl(nGC_184)*coupl(nGC_86)**2d0 + 8d0*cMTA*coupl&
                        (nGC_184)*coupl(nGC_86)*coupl(nGC_89) - 8d0*cMTA*coupl(&
                        nGC_184)*coupl(nGC_89)**2d0 + 4d0*cima*coupl(nGC_1153)*&
                        coupl(nGC_124) - coupl(nGC_102)*coupl(nGC_1919)*coupl( &
                        nGC_781) - coupl(nGC_102)*coupl(nGC_2961)*coupl(nGC_82 &
                        ) - coupl(nGC_102)*coupl(nGC_68)*coupl(nGC_781) - coupl&
                        (nGC_102)*coupl(nGC_69)*coupl(nGC_82) - coupl(nGC_107)*&
                        coupl(nGC_1491)*coupl(nGC_82) - coupl(nGC_107)*coupl(  &
                        nGC_1795)*coupl(nGC_781) - coupl(nGC_107)*coupl(nGC_63 &
                        )*coupl(nGC_781) - coupl(nGC_107)*coupl(nGC_64)*coupl( &
                        nGC_82) + 6d0*coupl(nGC_124)*coupl(nGC_781)**2d0 + 6d0*&
                        coupl(nGC_124)*coupl(nGC_82)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8991) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_141) - coupl(nGC_137  &
                        )**2d0*coupl(nGC_141) - coupl(nGC_138)*coupl(nGC_177)* &
                        coupl(nGC_181) - coupl(nGC_138)*coupl(nGC_1795)*coupl( &
                        nGC_80) - coupl(nGC_140)**2d0*coupl(nGC_141) - coupl(  &
                        nGC_140)*coupl(nGC_3231)*coupl(nGC_87) - coupl(nGC_140 &
                        )*coupl(nGC_84)*coupl(nGC_91) - coupl(nGC_141)**3d0 -  &
                        coupl(nGC_141)*coupl(nGC_143)**2d0 + 8d0*coupl(nGC_141 &
                        )*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_142)*coupl(  &
                        nGC_177)*coupl(nGC_178) - coupl(nGC_142)*coupl(nGC_68)*&
                        coupl(nGC_80) - coupl(nGC_143)*coupl(nGC_661)*coupl(   &
                        nGC_87) - coupl(nGC_143)*coupl(nGC_84)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_8992) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_141) - coupl(nGC_137  &
                        )**2d0*coupl(nGC_141) - coupl(nGC_138)*coupl(nGC_177)* &
                        coupl(nGC_181) - coupl(nGC_138)*coupl(nGC_63)*coupl(   &
                        nGC_80) - coupl(nGC_139)**2d0*coupl(nGC_141) - coupl(  &
                        nGC_139)*coupl(nGC_3231)*coupl(nGC_84) - coupl(nGC_139 &
                        )*coupl(nGC_87)*coupl(nGC_91) - coupl(nGC_141)**3d0 -  &
                        coupl(nGC_141)*coupl(nGC_144)**2d0 + 8d0*coupl(nGC_141 &
                        )*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_142)*coupl(  &
                        nGC_177)*coupl(nGC_178) - coupl(nGC_142)*coupl(nGC_1919&
                        )*coupl(nGC_80) - coupl(nGC_144)*coupl(nGC_661)*coupl( &
                        nGC_84) - coupl(nGC_144)*coupl(nGC_87)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_8993) = coupl(nGC_141)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8994) = (-coupl(nGC_130)**3d0 - coupl(nGC_130)*coupl(nGC_1313  &
                        )**2d0 - coupl(nGC_130)*coupl(nGC_133)**2d0 - coupl(   &
                        nGC_130)*coupl(nGC_135)**2d0 + 8d0*coupl(nGC_130)*coupl&
                        (nGC_2)**2d0 + 8d0*coupl(nGC_130)*coupl(nGC_85)*coupl( &
                        nGC_88) - coupl(nGC_131)*coupl(nGC_169)*coupl(nGC_170  &
                        ) - coupl(nGC_131)*coupl(nGC_69)*coupl(nGC_80) - coupl(&
                        nGC_1313)*coupl(nGC_661)*coupl(nGC_88) - coupl(nGC_1313&
                        )*coupl(nGC_85)*coupl(nGC_94) - coupl(nGC_134)*coupl(  &
                        nGC_1491)*coupl(nGC_80) - coupl(nGC_134)*coupl(nGC_169 &
                        )*coupl(nGC_174) - coupl(nGC_135)*coupl(nGC_3231)*coupl&
                        (nGC_88) - coupl(nGC_135)*coupl(nGC_85)*coupl(nGC_91   &
                        ))/(32d0*pi**2d0)
      coupl(nGC_8995) = (-coupl(nGC_130)**3d0 - coupl(nGC_130)*coupl(nGC_132)**&
                        2d0 - coupl(nGC_130)*coupl(nGC_133)**2d0 - coupl(      &
                        nGC_130)*coupl(nGC_136)**2d0 + 8d0*coupl(nGC_130)*coupl&
                        (nGC_2)**2d0 + 8d0*coupl(nGC_130)*coupl(nGC_85)*coupl( &
                        nGC_88) - coupl(nGC_131)*coupl(nGC_169)*coupl(nGC_170  &
                        ) - coupl(nGC_131)*coupl(nGC_2961)*coupl(nGC_80) -     &
                        coupl(nGC_132)*coupl(nGC_661)*coupl(nGC_85) - coupl(   &
                        nGC_132)*coupl(nGC_88)*coupl(nGC_94) - coupl(nGC_134)* &
                        coupl(nGC_169)*coupl(nGC_174) - coupl(nGC_134)*coupl(  &
                        nGC_64)*coupl(nGC_80) - coupl(nGC_136)*coupl(nGC_3231)*&
                        coupl(nGC_85) - coupl(nGC_136)*coupl(nGC_88)*coupl(    &
                        nGC_91))/(32d0*pi**2d0)
      coupl(nGC_8996) = coupl(nGC_130)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8997) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_145) - coupl(nGC_145  &
                        )**3d0 - coupl(nGC_145)*coupl(nGC_148)**2d0 - coupl(   &
                        nGC_145)*coupl(nGC_149)**2d0 - coupl(nGC_145)*coupl(   &
                        nGC_152)**2d0 + 8d0*coupl(nGC_145)*coupl(nGC_84)*coupl(&
                        nGC_87) - coupl(nGC_146)*coupl(nGC_192)*coupl(nGC_193  &
                        ) - coupl(nGC_146)*coupl(nGC_68)*coupl(nGC_80) - coupl(&
                        nGC_148)*coupl(nGC_661)*coupl(nGC_87) - coupl(nGC_148)*&
                        coupl(nGC_84)*coupl(nGC_94) - coupl(nGC_150)*coupl(    &
                        nGC_1795)*coupl(nGC_80) - coupl(nGC_150)*coupl(nGC_192 &
                        )*coupl(nGC_196) - coupl(nGC_152)*coupl(nGC_3231)*coupl&
                        (nGC_87) - coupl(nGC_152)*coupl(nGC_84)*coupl(nGC_91   &
                        ))/(32d0*pi**2d0)
      coupl(nGC_9023) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_87) + coupl(nGC_137)**&
                        2d0*coupl(nGC_84) + coupl(nGC_139)*coupl(nGC_140)*coupl&
                        (nGC_84) + coupl(nGC_141)**2d0*coupl(nGC_84) + coupl(  &
                        nGC_143)*coupl(nGC_144)*coupl(nGC_84) + coupl(nGC_178  &
                        )**2d0*coupl(nGC_85) + coupl(nGC_181)**2d0*coupl(nGC_85&
                        ) + 4d0*coupl(nGC_781)*coupl(nGC_80)**2d0 + 4d0*coupl( &
                        nGC_80)**2d0*coupl(nGC_88) + 4d0*coupl(nGC_87)**3d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_9022) = coupl(nGC_80)*(-coupl(nGC_3)*coupl(nGC_4) - coupl(     &
                        nGC_781)*coupl(nGC_90) - coupl(nGC_82)*coupl(nGC_89) + &
                        coupl(nGC_89)*coupl(nGC_90))/(8d0*pi**2d0)
      coupl(nGC_9027) = (coupl(nGC_130)**2d0*coupl(nGC_85) + coupl(nGC_1313)*  &
                        coupl(nGC_132)*coupl(nGC_85) + coupl(nGC_133)**2d0*    &
                        coupl(nGC_85) + coupl(nGC_135)*coupl(nGC_136)*coupl(   &
                        nGC_85) + coupl(nGC_170)**2d0*coupl(nGC_84) + coupl(   &
                        nGC_174)**2d0*coupl(nGC_84) + 4d0*coupl(nGC_2)**2d0*   &
                        coupl(nGC_88) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82) + &
                        4d0*coupl(nGC_80)**2d0*coupl(nGC_87) + 4d0*coupl(nGC_88&
                        )**3d0)/(32d0*pi**2d0)
      coupl(nGC_9026) = coupl(nGC_7)**2d0*coupl(nGC_84)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_9025) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_84) + coupl(nGC_137)**&
                        2d0*coupl(nGC_87) + coupl(nGC_138)**2d0*coupl(nGC_88   &
                        ) + coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_87) + coupl&
                        (nGC_141)**2d0*coupl(nGC_87) + coupl(nGC_142)**2d0*    &
                        coupl(nGC_88) + coupl(nGC_143)*coupl(nGC_144)*coupl(   &
                        nGC_87) + 4d0*coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9024) = coupl(nGC_7)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_9029) = (coupl(nGC_130)**2d0*coupl(nGC_88) + coupl(nGC_131)**  &
                        2d0*coupl(nGC_87) + coupl(nGC_1313)*coupl(nGC_132)*    &
                        coupl(nGC_88) + coupl(nGC_133)**2d0*coupl(nGC_88) +    &
                        coupl(nGC_134)**2d0*coupl(nGC_87) + coupl(nGC_135)*    &
                        coupl(nGC_136)*coupl(nGC_88) + 4d0*coupl(nGC_2)**2d0*  &
                        coupl(nGC_85) + 4d0*coupl(nGC_85)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9028) = coupl(nGC_7)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_12733) = coupl(nGC_24)*dZHMinus_QED2/2d0 + coupl(nGC_24)*      &
                         dZHl_QED2 + coupl(nGC_30)*dZHMinusGMinus_QED2/2d0 +   &
                         coupl(nGC_35)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_36)*&
                         dZHhHl_QED2 + coupl(nGC_9320)
      coupl(nGC_12736) = coupl(nGC_72)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_12737) = -coupl(nGC_12736)
    end subroutine fill_CTcouplings_mdl24
end module fill_ctcouplings24
