!******************************************************************************!
!                                                                              !
!    fill_ctcouplings30.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings30.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings30
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl30()
      coupl(nGC_31731) = -coupl(nGC_8893)
      coupl(nGC_8894) = (2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_84  &
                        ) - 2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl&
                        (nGC_88) + 2d0*Nc*cMC*coupl(nGC_131)*coupl(nGC_80)*    &
                        coupl(nGC_85) - 2d0*Nc*cMC*coupl(nGC_131)*coupl(nGC_80 &
                        )*coupl(nGC_87) - 2d0*Nc*cMC*coupl(nGC_131)*coupl(     &
                        nGC_80)*coupl(nGC_88) + 2d0*Nc*cMD*coupl(nGC_146)*coupl&
                        (nGC_80)*coupl(nGC_84) - 2d0*Nc*cMD*coupl(nGC_146)*    &
                        coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMD*coupl(nGC_146 &
                        )*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMS*coupl(      &
                        nGC_170)*coupl(nGC_80)*coupl(nGC_84) - 2d0*Nc*cMS*coupl&
                        (nGC_170)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMS*    &
                        coupl(nGC_170)*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMT&
                        *coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_85) - 2d0*Nc*  &
                        cMT*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc&
                        *cMT*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_88) + 2d0* &
                        Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_85) - 2d0&
                        *Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_87) -   &
                        2d0*Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_88   &
                        ) + 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_86 &
                        ) - 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_89 &
                        ) - 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_90 &
                        ) + 4d0*cima*coupl(nGC_102)*coupl(nGC_79) + 4d0*cima*  &
                        coupl(nGC_126)*coupl(nGC_803) - coupl(nGC_102)*coupl(  &
                        nGC_1283)*coupl(nGC_781) - coupl(nGC_102)*coupl(       &
                        nGC_1529)*coupl(nGC_877) + 6d0*coupl(nGC_102)*coupl(   &
                        nGC_781)*coupl(nGC_82) - coupl(nGC_124)*coupl(nGC_1919 &
                        )*coupl(nGC_82) - coupl(nGC_125)*coupl(nGC_1491)*coupl(&
                        nGC_82) + 6d0*coupl(nGC_126)*coupl(nGC_82)*coupl(      &
                        nGC_877) - coupl(nGC_128)*coupl(nGC_69)*coupl(nGC_82   &
                        ) - coupl(nGC_129)*coupl(nGC_63)*coupl(nGC_82))/(32d0* &
                        pi**2d0)
      coupl(nGC_18121) = coupl(nGC_12718) + coupl(nGC_18118)
      coupl(nGC_18122) = coupl(nGC_12718) + coupl(nGC_18116)
      coupl(nGC_20214) = coupl(nGC_26)*dZHhHl_QED2 + coupl(nGC_28)*dZG0Ha_QED2 &
                          + coupl(nGC_31)*dZHa_QED2 + coupl(nGC_31)*dZHl_QED2  &
                          + coupl(nGC_9293)
      coupl(nGC_12881) = coupl(nGC_16)*dZZA_QED2/2d0 + coupl(nGC_65)*          &
                         dZHlHh_QED2/2d0 + coupl(nGC_66)*dZHMinusGMinus_QED2/  &
                         2d0 + coupl(nGC_70)*dZA_QED2/2d0 + coupl(nGC_70)*     &
                         dZHh_QED2/2d0 + coupl(nGC_70)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_9353)
      coupl(nGC_8953) = (-coupl(nGC_1079)*coupl(nGC_195)*coupl(nGC_85) - coupl(&
                        nGC_146)*coupl(nGC_147)*coupl(nGC_193) - coupl(nGC_147 &
                        )*coupl(nGC_150)*coupl(nGC_196) - coupl(nGC_192)**2d0* &
                        coupl(nGC_194) - coupl(nGC_192)*coupl(nGC_661)*coupl(  &
                        nGC_85) - coupl(nGC_192)*coupl(nGC_88)*coupl(nGC_94) - &
                        coupl(nGC_193)*coupl(nGC_72)*coupl(nGC_80) - coupl(    &
                        nGC_194)*coupl(nGC_195)**2d0 - coupl(nGC_194)*coupl(   &
                        nGC_197)**2d0 - coupl(nGC_194)*coupl(nGC_797)**2d0 -   &
                        coupl(nGC_195)*coupl(nGC_88)*coupl(nGC_92) + 8d0*coupl(&
                        nGC_2)**2d0*coupl(nGC_797) + 8d0*coupl(nGC_797)*coupl( &
                        nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_14815) = coupl(nGC_84)*dZZ_QED2/2d0 + coupl(nGC_84)*dZbR_QED2  &
                          + coupl(nGC_9393)
      coupl(nGC_13200) = coupl(nGC_100)*dZZA_QED2/2d0 + coupl(nGC_18)*dZAZ_QED2&
                         /2d0 + coupl(nGC_9368) + coupl(nGC_97)*dZA_QED2/2d0 + &
                         coupl(nGC_97)*dZZ_QED2/2d0
      coupl(nGC_14817) = coupl(nGC_14808) + coupl(nGC_14815)
      coupl(nGC_14816) = coupl(nGC_87)*dZZ_QED2/2d0 + coupl(nGC_87)*dZbL_QED2  &
                          + coupl(nGC_9392)
      coupl(nGC_14818) = coupl(nGC_14808) + coupl(nGC_14816)
      coupl(nGC_13064) = coupl(nGC_100)*dZZ_QED2 + coupl(nGC_9381) + coupl(    &
                         nGC_97)*dZAZ_QED2
      coupl(nGC_8821) = (coupl(nGC_1)*coupl(nGC_17)*coupl(nGC_174) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_174)*coupl(nGC_2) + coupl(nGC_1283)*  &
                        coupl(nGC_174)*coupl(nGC_88) - coupl(nGC_130)*coupl(   &
                        nGC_134)*coupl(nGC_169) - coupl(nGC_1313)*coupl(nGC_134&
                        )*coupl(nGC_172) - coupl(nGC_133)*coupl(nGC_134)*coupl(&
                        nGC_173) - coupl(nGC_134)*coupl(nGC_135)*coupl(nGC_176 &
                        ) + coupl(nGC_1491)*coupl(nGC_169)*coupl(nGC_80) +     &
                        coupl(nGC_1529)*coupl(nGC_174)*coupl(nGC_2) + coupl(   &
                        nGC_173)*coupl(nGC_2961)*coupl(nGC_80) + 8d0*coupl(    &
                        nGC_174)*coupl(nGC_84)*coupl(nGC_88) + coupl(nGC_174)* &
                        coupl(nGC_84)*coupl(nGC_96) + coupl(nGC_176)*coupl(    &
                        nGC_72)*coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_8823) = (-coupl(nGC_1)*coupl(nGC_150)*coupl(nGC_1529) + 8d0*   &
                        coupl(nGC_1)*coupl(nGC_150)*coupl(nGC_2) - coupl(      &
                        nGC_1283)*coupl(nGC_150)*coupl(nGC_84) - coupl(nGC_1319&
                        )*coupl(nGC_152)*coupl(nGC_80) - coupl(nGC_145)*coupl( &
                        nGC_192)*coupl(nGC_196) - coupl(nGC_145)*coupl(nGC_63)*&
                        coupl(nGC_80) - coupl(nGC_148)*coupl(nGC_196)*coupl(   &
                        nGC_797) - coupl(nGC_149)*coupl(nGC_195)*coupl(nGC_196 &
                        ) - coupl(nGC_149)*coupl(nGC_68)*coupl(nGC_80) - coupl(&
                        nGC_150)*coupl(nGC_17)*coupl(nGC_2) + 8d0*coupl(nGC_150&
                        )*coupl(nGC_84)*coupl(nGC_88) - coupl(nGC_150)*coupl(  &
                        nGC_88)*coupl(nGC_96) - coupl(nGC_152)*coupl(nGC_196)* &
                        coupl(nGC_197))/(32d0*pi**2d0)
      coupl(nGC_8794) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_169)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_171)*coupl(nGC_172) +     &
                        coupl(nGC_1)*coupl(nGC_173)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_175)*coupl(nGC_176) + 4d0*coupl(nGC_1)*coupl(nGC_87&
                        )**2d0 + coupl(nGC_131)**2d0*coupl(nGC_2) + coupl(     &
                        nGC_134)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(   &
                        nGC_80)**2d0 + 4d0*coupl(nGC_80)**2d0*coupl(nGC_877))/(&
                        32d0*pi**2d0)
      coupl(nGC_8828) = (-coupl(nGC_1283)*coupl(nGC_166)*coupl(nGC_86) - coupl(&
                        nGC_1319)*coupl(nGC_168)*coupl(nGC_80) - coupl(nGC_1529&
                        )*coupl(nGC_166)*coupl(nGC_4) - coupl(nGC_161)*coupl(  &
                        nGC_63)*coupl(nGC_80) - coupl(nGC_165)*coupl(nGC_68)*  &
                        coupl(nGC_80) + 8d0*coupl(nGC_166)*coupl(nGC_86)*coupl(&
                        nGC_90) - coupl(nGC_166)*coupl(nGC_90)*coupl(nGC_96))/(&
                        32d0*pi**2d0)
      coupl(nGC_17442) = coupl(nGC_14842) + coupl(nGC_17439)
      coupl(nGC_9078) = (-32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_131)*coupl( &
                        nGC_134) - 32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_138&
                        )*coupl(nGC_142) - 32d0*Nc*cima*coupl(nGC_1)**2d0*coupl&
                        (nGC_146)*coupl(nGC_150) - 32d0*Nc*cima*coupl(nGC_1)** &
                        2d0*coupl(nGC_170)*coupl(nGC_174) - 32d0*Nc*cima*coupl(&
                        nGC_1)**2d0*coupl(nGC_178)*coupl(nGC_181) - 32d0*Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_193)*coupl(nGC_196) + &
                        40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134 &
                        )*coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_138)*coupl(nGC_142)*coupl(nGC_2) + 40d0*Nc*cima*   &
                        coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_2 &
                        ) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*coupl(    &
                        nGC_174)*coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_178)*coupl(nGC_181)*coupl(nGC_2) + 40d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2 &
                        ) - 32d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(  &
                        nGC_2)**2d0 - 32d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142&
                        )*coupl(nGC_2)**2d0 - 32d0*Nc*cima*coupl(nGC_146)*coupl&
                        (nGC_150)*coupl(nGC_2)**2d0 - 32d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_174)*coupl(nGC_2)**2d0 - 32d0*Nc*   &
                        cima*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_2)**2d0 - &
                        32d0*Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2 &
                        )**2d0 + 9d0*cima*coupl(nGC_1491)*coupl(nGC_2961)*coupl&
                        (nGC_877)**2d0 - 32d0*cima*coupl(nGC_154)*coupl(nGC_158&
                        )*coupl(nGC_4)**2d0 - 32d0*cima*coupl(nGC_162)*coupl(  &
                        nGC_166)*coupl(nGC_4)**2d0 + 9d0*cima*coupl(nGC_1795)* &
                        coupl(nGC_2961)*coupl(nGC_877)**2d0 - 32d0*cima*coupl( &
                        nGC_185)*coupl(nGC_189)*coupl(nGC_4)**2d0 + 9d0*cima*  &
                        coupl(nGC_3)**2d0*coupl(nGC_63)*coupl(nGC_68) + 9d0*   &
                        cima*coupl(nGC_3)**2d0*coupl(nGC_64)*coupl(nGC_68) -   &
                        6d0*coupl(nGC_1247)*coupl(nGC_63)*coupl(nGC_68) - 6d0* &
                        coupl(nGC_1247)*coupl(nGC_64)*coupl(nGC_68) - 6d0*coupl&
                        (nGC_1491)*coupl(nGC_70)*coupl(nGC_877) - 6d0*coupl(   &
                        nGC_1795)*coupl(nGC_70)*coupl(nGC_877) - 6d0*coupl(    &
                        nGC_2961)*coupl(nGC_65)*coupl(nGC_877) - 6d0*coupl(    &
                        nGC_2961)*coupl(nGC_66)*coupl(nGC_877) - 6d0*coupl(    &
                        nGC_3)*coupl(nGC_63)*coupl(nGC_70) - 6d0*coupl(nGC_3)* &
                        coupl(nGC_64)*coupl(nGC_70) - 6d0*coupl(nGC_3)*coupl(  &
                        nGC_65)*coupl(nGC_68) - 6d0*coupl(nGC_3)*coupl(nGC_66)*&
                        coupl(nGC_68))/(192d0*pi**2d0)
      coupl(nGC_9079) = (-32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_131)*coupl( &
                        nGC_134) - 32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_138&
                        )*coupl(nGC_142) - 32d0*Nc*cima*coupl(nGC_1)**2d0*coupl&
                        (nGC_146)*coupl(nGC_150) - 32d0*Nc*cima*coupl(nGC_1)** &
                        2d0*coupl(nGC_170)*coupl(nGC_174) - 32d0*Nc*cima*coupl(&
                        nGC_1)**2d0*coupl(nGC_178)*coupl(nGC_181) - 32d0*Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_193)*coupl(nGC_196) + &
                        40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134 &
                        )*coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_138)*coupl(nGC_142)*coupl(nGC_2) + 40d0*Nc*cima*   &
                        coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_2 &
                        ) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*coupl(    &
                        nGC_174)*coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_178)*coupl(nGC_181)*coupl(nGC_2) + 40d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2 &
                        ) - 32d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(  &
                        nGC_2)**2d0 - 32d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142&
                        )*coupl(nGC_2)**2d0 - 32d0*Nc*cima*coupl(nGC_146)*coupl&
                        (nGC_150)*coupl(nGC_2)**2d0 - 32d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_174)*coupl(nGC_2)**2d0 - 32d0*Nc*   &
                        cima*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_2)**2d0 - &
                        32d0*Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2 &
                        )**2d0 + 9d0*cima*coupl(nGC_1491)*coupl(nGC_1919)*coupl&
                        (nGC_3)**2d0 - 32d0*cima*coupl(nGC_154)*coupl(nGC_158)*&
                        coupl(nGC_4)**2d0 - 32d0*cima*coupl(nGC_162)*coupl(    &
                        nGC_166)*coupl(nGC_4)**2d0 + 9d0*cima*coupl(nGC_1795)* &
                        coupl(nGC_1919)*coupl(nGC_3)**2d0 - 32d0*cima*coupl(   &
                        nGC_185)*coupl(nGC_189)*coupl(nGC_4)**2d0 + 9d0*cima*  &
                        coupl(nGC_63)*coupl(nGC_69)*coupl(nGC_877)**2d0 + 9d0* &
                        cima*coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_877)**2d0 - &
                        6d0*coupl(nGC_1247)*coupl(nGC_63)*coupl(nGC_69) - 6d0* &
                        coupl(nGC_1247)*coupl(nGC_64)*coupl(nGC_69) - 6d0*coupl&
                        (nGC_1491)*coupl(nGC_3)*coupl(nGC_70) - 6d0*coupl(     &
                        nGC_1795)*coupl(nGC_3)*coupl(nGC_70) - 6d0*coupl(      &
                        nGC_1919)*coupl(nGC_3)*coupl(nGC_65) - 6d0*coupl(      &
                        nGC_1919)*coupl(nGC_3)*coupl(nGC_66) - 6d0*coupl(nGC_63&
                        )*coupl(nGC_70)*coupl(nGC_877) - 6d0*coupl(nGC_64)*    &
                        coupl(nGC_70)*coupl(nGC_877) - 6d0*coupl(nGC_65)*coupl(&
                        nGC_69)*coupl(nGC_877) - 6d0*coupl(nGC_66)*coupl(nGC_69&
                        )*coupl(nGC_877))/(192d0*pi**2d0)
      coupl(nGC_15148) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*      &
                         dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_103_Hh) + coupl(    &
                         nGC_TS_GC_106_Hl)
      coupl(nGC_12641) = coupl(nGC_44)*dZHMinusGMinus_QED2 + coupl(nGC_45)*    &
                         dZGMinusHMinus_QED2 + coupl(nGC_60)*dZHMinus_QED2 +   &
                         coupl(nGC_9311)
      coupl(nGC_30606) = -coupl(nGC_9017)
      coupl(nGC_12645) = coupl(nGC_19)*dZZA_QED2/2d0 + coupl(nGC_73)*dZA_QED2/ &
                         2d0 + coupl(nGC_73)*dZHMinus_QED2/2d0 + coupl(nGC_73)*&
                         dZHa_QED2/2d0 + coupl(nGC_73)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_9362)
      coupl(nGC_17698) = -coupl(nGC_12663)
      coupl(nGC_31861) = -coupl(nGC_9069)
      coupl(nGC_19425) = -2d0*coupl(nGC_19424)
      coupl(nGC_16615) = coupl(nGC_137)*dZHhHl_QED2/2d0 + coupl(nGC_141)*      &
                         dZHl_QED2/2d0 + coupl(nGC_9444)
      coupl(nGC_16614) = coupl(nGC_16613) + coupl(nGC_9443)
      coupl(nGC_16616) = coupl(nGC_16612) + coupl(nGC_16615)
      coupl(nGC_9199) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_136)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_131)*   &
                        coupl(nGC_136)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_131)*coupl(nGC_136)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_140)*coupl(nGC_142)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_140)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_140)*coupl(nGC_142)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_146)*coupl(   &
                        nGC_152)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_152)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_176)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_176)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_170)*coupl(   &
                        nGC_176)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_178)*coupl(nGC_183)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_183)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_178)*coupl(nGC_183)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_198)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_193)*coupl(   &
                        nGC_198)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_193)*coupl(nGC_198)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 4d0*cima*coupl(nGC_1079)*coupl(nGC_1283)*    &
                        coupl(nGC_661)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1079 &
                        )*coupl(nGC_1319)**2d0*coupl(nGC_69) + 4d0*cima*coupl( &
                        nGC_1283)*coupl(nGC_1319)*coupl(nGC_1795)*coupl(nGC_69 &
                        ) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_1319)*coupl(    &
                        nGC_2961)*coupl(nGC_64) + 4d0*cima*coupl(nGC_1283)*    &
                        coupl(nGC_3231)*coupl(nGC_661)*coupl(nGC_72) + 4d0*cima&
                        *coupl(nGC_1283)*coupl(nGC_3231)*coupl(nGC_68)*coupl(  &
                        nGC_96) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_64)*coupl(&
                        nGC_661)*coupl(nGC_96) + 4d0*cima*coupl(nGC_1319)**2d0*&
                        coupl(nGC_1795)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1319&
                        )**2d0*coupl(nGC_2961)*coupl(nGC_91) + 4d0*cima*coupl( &
                        nGC_1319)**2d0*coupl(nGC_64)*coupl(nGC_661) + 20d0*cima&
                        *coupl(nGC_154)*coupl(nGC_160)*coupl(nGC_80)*coupl(    &
                        nGC_86) - 16d0*cima*coupl(nGC_154)*coupl(nGC_160)*coupl&
                        (nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_154)*coupl&
                        (nGC_160)*coupl(nGC_80)*coupl(nGC_90) + 20d0*cima*coupl&
                        (nGC_162)*coupl(nGC_168)*coupl(nGC_80)*coupl(nGC_86) - &
                        16d0*cima*coupl(nGC_162)*coupl(nGC_168)*coupl(nGC_80)* &
                        coupl(nGC_89) - 16d0*cima*coupl(nGC_162)*coupl(nGC_168 &
                        )*coupl(nGC_80)*coupl(nGC_90) + 20d0*cima*coupl(nGC_185&
                        )*coupl(nGC_191)*coupl(nGC_80)*coupl(nGC_86) - 16d0*   &
                        cima*coupl(nGC_185)*coupl(nGC_191)*coupl(nGC_80)*coupl(&
                        nGC_89) - 16d0*cima*coupl(nGC_185)*coupl(nGC_191)*coupl&
                        (nGC_80)*coupl(nGC_90) + 9d0*cima*coupl(nGC_64)*coupl( &
                        nGC_781)*coupl(nGC_82)*coupl(nGC_94) + 9d0*cima*coupl( &
                        nGC_68)*coupl(nGC_781)*coupl(nGC_82)*coupl(nGC_91) +   &
                        6d0*coupl(nGC_1283)*coupl(nGC_15)*coupl(nGC_661) + 6d0*&
                        coupl(nGC_1283)*coupl(nGC_16)*coupl(nGC_3231) + 6d0*   &
                        coupl(nGC_1319)*coupl(nGC_14)*coupl(nGC_2961) + 6d0*   &
                        coupl(nGC_1319)*coupl(nGC_16)*coupl(nGC_1795) - 6d0*   &
                        coupl(nGC_15)*coupl(nGC_781)*coupl(nGC_94) - 6d0*coupl(&
                        nGC_16)*coupl(nGC_781)*coupl(nGC_91) - 6d0*coupl(nGC_64&
                        )*coupl(nGC_79)*coupl(nGC_94) - 6d0*coupl(nGC_68)*coupl&
                        (nGC_79)*coupl(nGC_91))/(192d0*pi**2d0)
      coupl(nGC_9196) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_135)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_131)*   &
                        coupl(nGC_135)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_131)*coupl(nGC_135)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_139)*coupl(nGC_142)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_139)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_139)*coupl(nGC_142)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_146)*coupl(   &
                        nGC_151)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_146)*coupl(nGC_151)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_151)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_175)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_175)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_170)*coupl(   &
                        nGC_175)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_178)*coupl(nGC_182)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_182)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_178)*coupl(nGC_182)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_197)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_193)*coupl(   &
                        nGC_197)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_193)*coupl(nGC_197)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 4d0*cima*coupl(nGC_1079)*coupl(nGC_1319)**2d0&
                        *coupl(nGC_68) + 4d0*cima*coupl(nGC_1079)*coupl(nGC_661&
                        )*coupl(nGC_72)*coupl(nGC_96) + 4d0*cima*coupl(nGC_1283&
                        )*coupl(nGC_3231)*coupl(nGC_69)*coupl(nGC_96) + 4d0*   &
                        cima*coupl(nGC_1283)*coupl(nGC_63)*coupl(nGC_661)*coupl&
                        (nGC_96) + 4d0*cima*coupl(nGC_1319)**2d0*coupl(nGC_1491&
                        )*coupl(nGC_94) + 4d0*cima*coupl(nGC_1319)**2d0*coupl( &
                        nGC_1919)*coupl(nGC_91) + 4d0*cima*coupl(nGC_1319)**2d0&
                        *coupl(nGC_63)*coupl(nGC_661) + 4d0*cima*coupl(nGC_1319&
                        )*coupl(nGC_1491)*coupl(nGC_68)*coupl(nGC_96) + 4d0*   &
                        cima*coupl(nGC_1319)*coupl(nGC_1919)*coupl(nGC_63)*    &
                        coupl(nGC_96) + 20d0*cima*coupl(nGC_154)*coupl(nGC_159 &
                        )*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_154&
                        )*coupl(nGC_159)*coupl(nGC_80)*coupl(nGC_89) - 16d0*   &
                        cima*coupl(nGC_154)*coupl(nGC_159)*coupl(nGC_80)*coupl(&
                        nGC_90) + 20d0*cima*coupl(nGC_162)*coupl(nGC_167)*coupl&
                        (nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_162)*coupl&
                        (nGC_167)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl&
                        (nGC_162)*coupl(nGC_167)*coupl(nGC_80)*coupl(nGC_90) + &
                        20d0*cima*coupl(nGC_185)*coupl(nGC_190)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_185)*coupl(nGC_190 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_185&
                        )*coupl(nGC_190)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima&
                        *coupl(nGC_3231)*coupl(nGC_661)*coupl(nGC_72)*coupl(   &
                        nGC_96) + 9d0*cima*coupl(nGC_63)*coupl(nGC_781)*coupl( &
                        nGC_82)*coupl(nGC_94) + 9d0*cima*coupl(nGC_69)*coupl(  &
                        nGC_781)*coupl(nGC_82)*coupl(nGC_91) + 6d0*coupl(      &
                        nGC_1319)*coupl(nGC_14)*coupl(nGC_1919) + 6d0*coupl(   &
                        nGC_1319)*coupl(nGC_1491)*coupl(nGC_16) + 6d0*coupl(   &
                        nGC_15)*coupl(nGC_661)*coupl(nGC_96) - 6d0*coupl(nGC_15&
                        )*coupl(nGC_82)*coupl(nGC_94) + 6d0*coupl(nGC_16)*coupl&
                        (nGC_3231)*coupl(nGC_96) - 6d0*coupl(nGC_16)*coupl(    &
                        nGC_82)*coupl(nGC_91) - 6d0*coupl(nGC_63)*coupl(nGC_79 &
                        )*coupl(nGC_94) - 6d0*coupl(nGC_69)*coupl(nGC_79)*coupl&
                        (nGC_91))/(192d0*pi**2d0)
      coupl(nGC_9195) = (10d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_1313)*coupl&
                        (nGC_136) + 10d0*Nc*cima*coupl(nGC_131)**2d0*coupl(    &
                        nGC_132)*coupl(nGC_135) + 10d0*Nc*cima*coupl(nGC_131)**&
                        2d0*coupl(nGC_171)*coupl(nGC_176) + 10d0*Nc*cima*coupl(&
                        nGC_131)**2d0*coupl(nGC_172)*coupl(nGC_175) + 10d0*Nc* &
                        cima*coupl(nGC_131)*coupl(nGC_1313)*coupl(nGC_170)*    &
                        coupl(nGC_176) + 10d0*Nc*cima*coupl(nGC_131)*coupl(    &
                        nGC_132)*coupl(nGC_170)*coupl(nGC_175) + 10d0*Nc*cima* &
                        coupl(nGC_131)*coupl(nGC_135)*coupl(nGC_170)*coupl(    &
                        nGC_172) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_136)* &
                        coupl(nGC_170)*coupl(nGC_171) + 10d0*Nc*cima*coupl(    &
                        nGC_1313)*coupl(nGC_136)*coupl(nGC_170)**2d0 + 10d0*Nc*&
                        cima*coupl(nGC_132)*coupl(nGC_135)*coupl(nGC_170)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_139)*coupl(nGC_142)**2d0*    &
                        coupl(nGC_143) + 10d0*Nc*cima*coupl(nGC_139)*coupl(    &
                        nGC_142)*coupl(nGC_178)*coupl(nGC_179) + 10d0*Nc*cima* &
                        coupl(nGC_139)*coupl(nGC_143)*coupl(nGC_178)**2d0 +    &
                        10d0*Nc*cima*coupl(nGC_140)*coupl(nGC_142)**2d0*coupl( &
                        nGC_144) + 10d0*Nc*cima*coupl(nGC_140)*coupl(nGC_142)* &
                        coupl(nGC_178)*coupl(nGC_2153) + 10d0*Nc*cima*coupl(   &
                        nGC_140)*coupl(nGC_144)*coupl(nGC_178)**2d0 + 10d0*Nc* &
                        cima*coupl(nGC_142)**2d0*coupl(nGC_179)*coupl(nGC_182  &
                        ) + 10d0*Nc*cima*coupl(nGC_142)**2d0*coupl(nGC_183)*   &
                        coupl(nGC_2153) + 10d0*Nc*cima*coupl(nGC_142)*coupl(   &
                        nGC_143)*coupl(nGC_178)*coupl(nGC_182) + 10d0*Nc*cima* &
                        coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_178)*coupl(    &
                        nGC_183) + 10d0*Nc*cima*coupl(nGC_146)**2d0*coupl(     &
                        nGC_147)*coupl(nGC_152) + 10d0*Nc*cima*coupl(nGC_146)**&
                        2d0*coupl(nGC_148)*coupl(nGC_151) + 10d0*Nc*cima*coupl(&
                        nGC_146)**2d0*coupl(nGC_194)*coupl(nGC_197) + 10d0*Nc* &
                        cima*coupl(nGC_146)**2d0*coupl(nGC_198)*coupl(nGC_797  &
                        ) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_147)*coupl(  &
                        nGC_193)*coupl(nGC_198) + 10d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_148)*coupl(nGC_193)*coupl(nGC_197) + 10d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_151)*coupl(nGC_193)*coupl&
                        (nGC_194) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_152)*&
                        coupl(nGC_193)*coupl(nGC_797) + 10d0*Nc*cima*coupl(    &
                        nGC_147)*coupl(nGC_152)*coupl(nGC_193)**2d0 + 10d0*Nc* &
                        cima*coupl(nGC_148)*coupl(nGC_151)*coupl(nGC_193)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_171)*    &
                        coupl(nGC_176) + 10d0*Nc*cima*coupl(nGC_170)**2d0*coupl&
                        (nGC_172)*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_178  &
                        )**2d0*coupl(nGC_179)*coupl(nGC_182) + 10d0*Nc*cima*   &
                        coupl(nGC_178)**2d0*coupl(nGC_183)*coupl(nGC_2153) +   &
                        10d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_194)*coupl( &
                        nGC_197) + 10d0*Nc*cima*coupl(nGC_193)**2d0*coupl(     &
                        nGC_198)*coupl(nGC_797) - 5d0*cima*coupl(nGC_1079)*    &
                        coupl(nGC_1795)*coupl(nGC_63)*coupl(nGC_94) - 5d0*cima*&
                        coupl(nGC_1079)*coupl(nGC_1795)*coupl(nGC_69)*coupl(   &
                        nGC_91) - 5d0*cima*coupl(nGC_1079)*coupl(nGC_94)*coupl(&
                        nGC_96)**2d0 - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1795 &
                        )*coupl(nGC_661)*coupl(nGC_96) - 5d0*cima*coupl(       &
                        nGC_1319)*coupl(nGC_2961)*coupl(nGC_3231)*coupl(nGC_96 &
                        ) + 10d0*cima*coupl(nGC_154)**2d0*coupl(nGC_155)*coupl(&
                        nGC_160) + 10d0*cima*coupl(nGC_154)**2d0*coupl(nGC_156 &
                        )*coupl(nGC_159) + 10d0*cima*coupl(nGC_162)**2d0*coupl(&
                        nGC_163)*coupl(nGC_168) + 10d0*cima*coupl(nGC_162)**2d0&
                        *coupl(nGC_164)*coupl(nGC_167) - 5d0*cima*coupl(       &
                        nGC_1795)*coupl(nGC_63)*coupl(nGC_661)*coupl(nGC_92) - &
                        5d0*cima*coupl(nGC_1795)*coupl(nGC_661)*coupl(nGC_69)* &
                        coupl(nGC_94) + 10d0*cima*coupl(nGC_185)**2d0*coupl(   &
                        nGC_186)*coupl(nGC_191) + 10d0*cima*coupl(nGC_185)**2d0&
                        *coupl(nGC_187)*coupl(nGC_190) - 5d0*cima*coupl(       &
                        nGC_2961)*coupl(nGC_3231)*coupl(nGC_63)*coupl(nGC_92   &
                        ) - 5d0*cima*coupl(nGC_2961)*coupl(nGC_3231)*coupl(    &
                        nGC_69)*coupl(nGC_94) - 5d0*cima*coupl(nGC_2961)*coupl(&
                        nGC_63)*coupl(nGC_661)*coupl(nGC_94) - 5d0*cima*coupl( &
                        nGC_2961)*coupl(nGC_661)*coupl(nGC_69)*coupl(nGC_91) - &
                        5d0*cima*coupl(nGC_3231)*coupl(nGC_94)*coupl(nGC_96)** &
                        2d0 - 5d0*cima*coupl(nGC_63)*coupl(nGC_72)*coupl(nGC_94&
                        )*coupl(nGC_96) - 5d0*cima*coupl(nGC_661)*coupl(nGC_91 &
                        )*coupl(nGC_96)**2d0 - 5d0*cima*coupl(nGC_661)*coupl(  &
                        nGC_92)*coupl(nGC_96)**2d0 - 5d0*cima*coupl(nGC_69)*   &
                        coupl(nGC_72)*coupl(nGC_91)*coupl(nGC_96) - 3d0*coupl( &
                        nGC_100)*coupl(nGC_3231)*coupl(nGC_94) - 3d0*coupl(    &
                        nGC_100)*coupl(nGC_661)*coupl(nGC_92) + 3d0*coupl(     &
                        nGC_1079)*coupl(nGC_22)*coupl(nGC_91) + 3d0*coupl(     &
                        nGC_1079)*coupl(nGC_34)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_1283)**2d0*coupl(nGC_42) + 3d0*coupl(nGC_1319)**2d0&
                        *coupl(nGC_42) + 3d0*coupl(nGC_1319)*coupl(nGC_1491)*  &
                        coupl(nGC_48) + 3d0*coupl(nGC_1319)*coupl(nGC_1919)*   &
                        coupl(nGC_40) + 6d0*coupl(nGC_1319)*coupl(nGC_44)*coupl&
                        (nGC_72) + 3d0*coupl(nGC_1319)*coupl(nGC_46)*coupl(    &
                        nGC_72) + 3d0*coupl(nGC_1529)**2d0*coupl(nGC_42) - 3d0*&
                        coupl(nGC_1795)*coupl(nGC_19)*coupl(nGC_661) + 3d0*    &
                        coupl(nGC_1795)*coupl(nGC_29)*coupl(nGC_63) + 3d0*coupl&
                        (nGC_1795)*coupl(nGC_37)*coupl(nGC_69) - 3d0*coupl(    &
                        nGC_19)*coupl(nGC_2961)*coupl(nGC_3231) - 3d0*coupl(   &
                        nGC_20)*coupl(nGC_63)*coupl(nGC_94) - 3d0*coupl(nGC_20 &
                        )*coupl(nGC_69)*coupl(nGC_91) + 3d0*coupl(nGC_22)*coupl&
                        (nGC_661)*coupl(nGC_94) + 3d0*coupl(nGC_28)*coupl(     &
                        nGC_2961)*coupl(nGC_69) + 3d0*coupl(nGC_2961)*coupl(   &
                        nGC_37)*coupl(nGC_63) + 3d0*coupl(nGC_30)*coupl(nGC_661&
                        )*coupl(nGC_91) + 3d0*coupl(nGC_41)*coupl(nGC_68)*coupl&
                        (nGC_72) + 9d0*coupl(nGC_42)*coupl(nGC_72)**2d0 + 3d0* &
                        coupl(nGC_49)*coupl(nGC_64)*coupl(nGC_72))/(96d0*pi**  &
                        2d0)
      coupl(nGC_9194) = (-32d0*Nc*cima*coupl(nGC_135)*coupl(nGC_136)*coupl(    &
                        nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_135)*coupl(      &
                        nGC_136)*coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*   &
                        coupl(nGC_135)*coupl(nGC_136)*coupl(nGC_88)**2d0 - 32d0&
                        *Nc*cima*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_84)** &
                        2d0 + 40d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*coupl(&
                        nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_139)*   &
                        coupl(nGC_140)*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(&
                        nGC_151)*coupl(nGC_152)*coupl(nGC_84)**2d0 + 40d0*Nc*  &
                        cima*coupl(nGC_151)*coupl(nGC_152)*coupl(nGC_84)*coupl(&
                        nGC_87) - 32d0*Nc*cima*coupl(nGC_151)*coupl(nGC_152)*  &
                        coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_175)*coupl(&
                        nGC_176)*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(      &
                        nGC_175)*coupl(nGC_176)*coupl(nGC_84)*coupl(nGC_87) -  &
                        32d0*Nc*cima*coupl(nGC_175)*coupl(nGC_176)*coupl(nGC_87&
                        )**2d0 - 32d0*Nc*cima*coupl(nGC_182)*coupl(nGC_183)*   &
                        coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_182)*coupl(&
                        nGC_183)*coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*   &
                        coupl(nGC_182)*coupl(nGC_183)*coupl(nGC_88)**2d0 - 32d0&
                        *Nc*cima*coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_85)** &
                        2d0 + 40d0*Nc*cima*coupl(nGC_197)*coupl(nGC_198)*coupl(&
                        nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*coupl(nGC_197)*   &
                        coupl(nGC_198)*coupl(nGC_88)**2d0 + 4d0*cima*coupl(    &
                        nGC_1079)*coupl(nGC_661)*coupl(nGC_91)*coupl(nGC_94) + &
                        4d0*cima*coupl(nGC_1079)*coupl(nGC_661)*coupl(nGC_92)* &
                        coupl(nGC_94) + 12d0*cima*coupl(nGC_1153)*coupl(nGC_62 &
                        ) + 4d0*cima*coupl(nGC_1283)**2d0*coupl(nGC_1319)*coupl&
                        (nGC_72) + 9d0*cima*coupl(nGC_1319)*coupl(nGC_72)*coupl&
                        (nGC_781)**2d0 + 9d0*cima*coupl(nGC_1319)*coupl(nGC_72 &
                        )*coupl(nGC_82)**2d0 + 4d0*cima*coupl(nGC_1319)*coupl( &
                        nGC_72)*coupl(nGC_96)**2d0 - 32d0*cima*coupl(nGC_159)* &
                        coupl(nGC_160)*coupl(nGC_86)**2d0 + 40d0*cima*coupl(   &
                        nGC_159)*coupl(nGC_160)*coupl(nGC_86)*coupl(nGC_89) -  &
                        32d0*cima*coupl(nGC_159)*coupl(nGC_160)*coupl(nGC_89)**&
                        2d0 - 32d0*cima*coupl(nGC_167)*coupl(nGC_168)*coupl(   &
                        nGC_86)**2d0 + 40d0*cima*coupl(nGC_167)*coupl(nGC_168)*&
                        coupl(nGC_86)*coupl(nGC_89) - 32d0*cima*coupl(nGC_167)*&
                        coupl(nGC_168)*coupl(nGC_89)**2d0 - 32d0*cima*coupl(   &
                        nGC_190)*coupl(nGC_191)*coupl(nGC_86)**2d0 + 40d0*cima*&
                        coupl(nGC_190)*coupl(nGC_191)*coupl(nGC_86)*coupl(     &
                        nGC_89) - 32d0*cima*coupl(nGC_190)*coupl(nGC_191)*coupl&
                        (nGC_89)**2d0 + 4d0*cima*coupl(nGC_3231)**2d0*coupl(   &
                        nGC_91)**2d0 + 4d0*cima*coupl(nGC_3231)**2d0*coupl(    &
                        nGC_94)**2d0 + 4d0*cima*coupl(nGC_3231)*coupl(nGC_661)*&
                        coupl(nGC_91)*coupl(nGC_94) + 4d0*cima*coupl(nGC_3231)*&
                        coupl(nGC_661)*coupl(nGC_92)*coupl(nGC_94) + 4d0*cima* &
                        coupl(nGC_661)**2d0*coupl(nGC_91)**2d0 + 4d0*cima*coupl&
                        (nGC_661)**2d0*coupl(nGC_94)**2d0 + 6d0*coupl(nGC_100)*&
                        coupl(nGC_1319)*coupl(nGC_72) - 6d0*coupl(nGC_1153)*   &
                        coupl(nGC_1319)*coupl(nGC_72) - 6d0*coupl(nGC_1319)*   &
                        coupl(nGC_19)*coupl(nGC_82) - 6d0*coupl(nGC_1319)*coupl&
                        (nGC_20)*coupl(nGC_781) - 6d0*coupl(nGC_19)*coupl(     &
                        nGC_72)*coupl(nGC_781) - 6d0*coupl(nGC_20)*coupl(nGC_72&
                        )*coupl(nGC_82) + 3d0*coupl(nGC_3231)*coupl(nGC_91)*   &
                        coupl(nGC_99) + 18d0*coupl(nGC_62)*coupl(nGC_781)**2d0 &
                         + 18d0*coupl(nGC_62)*coupl(nGC_82)**2d0 + 3d0*coupl(  &
                        nGC_661)*coupl(nGC_94)*coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_9209) = (20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_1313)*coupl&
                        (nGC_132) + 20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(    &
                        nGC_171)*coupl(nGC_172) + 20d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_1313)*coupl(nGC_170)*coupl(nGC_172) + 20d0*Nc&
                        *cima*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_170)*    &
                        coupl(nGC_171) + 20d0*Nc*cima*coupl(nGC_1313)*coupl(   &
                        nGC_132)*coupl(nGC_170)**2d0 + 20d0*Nc*cima*coupl(     &
                        nGC_142)**2d0*coupl(nGC_143)*coupl(nGC_144) + 20d0*Nc* &
                        cima*coupl(nGC_142)**2d0*coupl(nGC_179)*coupl(nGC_2153 &
                        ) + 20d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(  &
                        nGC_178)*coupl(nGC_2153) + 20d0*Nc*cima*coupl(nGC_142)*&
                        coupl(nGC_144)*coupl(nGC_178)*coupl(nGC_179) + 20d0*Nc*&
                        cima*coupl(nGC_143)*coupl(nGC_144)*coupl(nGC_178)**2d0 &
                         + 20d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_147)*    &
                        coupl(nGC_148) + 20d0*Nc*cima*coupl(nGC_146)**2d0*coupl&
                        (nGC_194)*coupl(nGC_797) + 20d0*Nc*cima*coupl(nGC_146)*&
                        coupl(nGC_147)*coupl(nGC_193)*coupl(nGC_194) + 20d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_193)*coupl&
                        (nGC_797) + 20d0*Nc*cima*coupl(nGC_147)*coupl(nGC_148)*&
                        coupl(nGC_193)**2d0 + 20d0*Nc*cima*coupl(nGC_170)**2d0*&
                        coupl(nGC_171)*coupl(nGC_172) + 20d0*Nc*cima*coupl(    &
                        nGC_178)**2d0*coupl(nGC_179)*coupl(nGC_2153) + 20d0*Nc*&
                        cima*coupl(nGC_193)**2d0*coupl(nGC_194)*coupl(nGC_797  &
                        ) + 6d0*cima*coupl(nGC_100)*coupl(nGC_101) - 5d0*cima* &
                        coupl(nGC_1079)*coupl(nGC_1283)*coupl(nGC_1319)*coupl( &
                        nGC_1491) - 5d0*cima*coupl(nGC_1079)*coupl(nGC_1319)*  &
                        coupl(nGC_1795)*coupl(nGC_96) - 10d0*cima*coupl(       &
                        nGC_1079)*coupl(nGC_1795)*coupl(nGC_63)*coupl(nGC_92   &
                        ) - 10d0*cima*coupl(nGC_1079)*coupl(nGC_1795)*coupl(   &
                        nGC_69)*coupl(nGC_94) - 10d0*cima*coupl(nGC_1079)*coupl&
                        (nGC_92)*coupl(nGC_96)**2d0 - 10d0*cima*coupl(nGC_1283 &
                        )**2d0*coupl(nGC_1319)*coupl(nGC_72) - 5d0*cima*coupl( &
                        nGC_1283)*coupl(nGC_1319)*coupl(nGC_1919)*coupl(nGC_661&
                        ) - 5d0*cima*coupl(nGC_1283)*coupl(nGC_64)*coupl(nGC_72&
                        )*coupl(nGC_92) - 5d0*cima*coupl(nGC_1283)*coupl(nGC_68&
                        )*coupl(nGC_72)*coupl(nGC_94) - 10d0*cima*coupl(       &
                        nGC_1319)**2d0*coupl(nGC_72)**2d0 - 10d0*cima*coupl(   &
                        nGC_1319)*coupl(nGC_1491)*coupl(nGC_64)*coupl(nGC_72   &
                        ) - 10d0*cima*coupl(nGC_1319)*coupl(nGC_1529)**2d0*    &
                        coupl(nGC_72) - 10d0*cima*coupl(nGC_1319)*coupl(       &
                        nGC_1919)*coupl(nGC_68)*coupl(nGC_72) - 5d0*cima*coupl(&
                        nGC_1319)*coupl(nGC_2961)*coupl(nGC_661)*coupl(nGC_96  &
                        ) + 20d0*cima*coupl(nGC_154)**2d0*coupl(nGC_155)*coupl(&
                        nGC_156) + 20d0*cima*coupl(nGC_162)**2d0*coupl(nGC_163 &
                        )*coupl(nGC_164) + 20d0*cima*coupl(nGC_185)**2d0*coupl(&
                        nGC_186)*coupl(nGC_187) + 24d0*cima*coupl(nGC_19)*coupl&
                        (nGC_20) - 10d0*cima*coupl(nGC_2961)*coupl(nGC_63)*    &
                        coupl(nGC_661)*coupl(nGC_92) - 10d0*cima*coupl(nGC_2961&
                        )*coupl(nGC_661)*coupl(nGC_69)*coupl(nGC_94) + 12d0*   &
                        cima*coupl(nGC_62)**2d0 - 5d0*cima*coupl(nGC_63)*coupl(&
                        nGC_72)*coupl(nGC_92)*coupl(nGC_96) - 10d0*cima*coupl( &
                        nGC_661)*coupl(nGC_94)*coupl(nGC_96)**2d0 - 5d0*cima*  &
                        coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_94)*coupl(nGC_96 &
                        ) + 24d0*cima*coupl(nGC_73)*coupl(nGC_74) - 3d0*coupl( &
                        nGC_100)*coupl(nGC_1079)*coupl(nGC_92) - 3d0*coupl(    &
                        nGC_100)*coupl(nGC_661)*coupl(nGC_94) - 3d0*coupl(     &
                        nGC_101)*coupl(nGC_96)**2d0 - 6d0*coupl(nGC_1079)*coupl&
                        (nGC_1795)*coupl(nGC_19) + 3d0*coupl(nGC_1079)*coupl(  &
                        nGC_22)*coupl(nGC_94) + 3d0*coupl(nGC_1079)*coupl(     &
                        nGC_34)*coupl(nGC_92) + 3d0*coupl(nGC_1283)**2d0*coupl(&
                        nGC_50) - 6d0*coupl(nGC_1283)*coupl(nGC_1319)*coupl(   &
                        nGC_19) - 6d0*coupl(nGC_1283)*coupl(nGC_20)*coupl(     &
                        nGC_72) + 6d0*coupl(nGC_1319)**2d0*coupl(nGC_50) - 6d0*&
                        coupl(nGC_1319)*coupl(nGC_1529)*coupl(nGC_73) + 6d0*   &
                        coupl(nGC_1319)*coupl(nGC_51)*coupl(nGC_72) + 3d0*coupl&
                        (nGC_1319)*coupl(nGC_52)*coupl(nGC_72) - 9d0*coupl(    &
                        nGC_1319)*coupl(nGC_62)*coupl(nGC_72) - 3d0*coupl(     &
                        nGC_1491)*coupl(nGC_62)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_1529)**2d0*coupl(nGC_50) - 6d0*coupl(nGC_1529)*    &
                        coupl(nGC_72)*coupl(nGC_74) + 3d0*coupl(nGC_1795)*coupl&
                        (nGC_26)*coupl(nGC_69) + 3d0*coupl(nGC_1795)*coupl(    &
                        nGC_38)*coupl(nGC_63) - 6d0*coupl(nGC_19)*coupl(       &
                        nGC_2961)*coupl(nGC_661) - 3d0*coupl(nGC_1919)*coupl(  &
                        nGC_62)*coupl(nGC_68) - 6d0*coupl(nGC_20)*coupl(nGC_63 &
                        )*coupl(nGC_92) - 6d0*coupl(nGC_20)*coupl(nGC_69)*coupl&
                        (nGC_94) + 3d0*coupl(nGC_22)*coupl(nGC_661)*coupl(     &
                        nGC_92) + 3d0*coupl(nGC_26)*coupl(nGC_2961)*coupl(     &
                        nGC_63) + 3d0*coupl(nGC_2961)*coupl(nGC_31)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_30)*coupl(nGC_661)*coupl(nGC_94&
                        ) + 6d0*coupl(nGC_50)*coupl(nGC_72)**2d0)/(96d0*pi**2d0&
                        )
      coupl(nGC_9208) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_1313)*coupl&
                        (nGC_136) - coupl(nGC_132)*coupl(nGC_135) - coupl(     &
                        nGC_139)*coupl(nGC_143) - coupl(nGC_140)*coupl(nGC_144 &
                        ) - coupl(nGC_147)*coupl(nGC_152) - coupl(nGC_148)*    &
                        coupl(nGC_151) - coupl(nGC_171)*coupl(nGC_176) - coupl(&
                        nGC_172)*coupl(nGC_175) - coupl(nGC_179)*coupl(nGC_182 &
                        ) - coupl(nGC_183)*coupl(nGC_2153) - coupl(nGC_194)*   &
                        coupl(nGC_197) - coupl(nGC_198)*coupl(nGC_797))/(32d0* &
                        pi**2d0)
      coupl(nGC_9207) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_1313)*coupl(&
                        nGC_136) + coupl(nGC_132)*coupl(nGC_135) + coupl(      &
                        nGC_139)*coupl(nGC_143) + coupl(nGC_140)*coupl(nGC_144 &
                        ) + coupl(nGC_147)*coupl(nGC_152) + coupl(nGC_148)*    &
                        coupl(nGC_151) + coupl(nGC_171)*coupl(nGC_176) + coupl(&
                        nGC_172)*coupl(nGC_175) + coupl(nGC_179)*coupl(nGC_182 &
                        ) + coupl(nGC_183)*coupl(nGC_2153) + coupl(nGC_194)*   &
                        coupl(nGC_197) + coupl(nGC_198)*coupl(nGC_797))/(32d0* &
                        pi**2d0*Nc)
      coupl(nGC_9206) = (20d0*Nc*cima*coupl(nGC_131)**4d0 + 20d0*Nc*cima*coupl(&
                        nGC_142)**4d0 + 20d0*Nc*cima*coupl(nGC_146)**4d0 + 20d0&
                        *Nc*cima*coupl(nGC_170)**4d0 + 20d0*Nc*cima*coupl(     &
                        nGC_178)**4d0 + 20d0*Nc*cima*coupl(nGC_193)**4d0 + 12d0&
                        *cima*coupl(nGC_100)**2d0 - 5d0*cima*coupl(nGC_1283)** &
                        4d0 - 10d0*cima*coupl(nGC_1283)**2d0*coupl(nGC_1529)** &
                        2d0 - 10d0*cima*coupl(nGC_1283)**2d0*coupl(nGC_96)**2d0&
                         - 20d0*cima*coupl(nGC_1283)*coupl(nGC_1529)*coupl(    &
                        nGC_17)*coupl(nGC_96) - 20d0*cima*coupl(nGC_1319)**2d0*&
                        coupl(nGC_72)**2d0 - 10d0*cima*coupl(nGC_1319)*coupl(  &
                        nGC_1491)*coupl(nGC_63)*coupl(nGC_72) - 10d0*cima*coupl&
                        (nGC_1319)*coupl(nGC_1491)*coupl(nGC_64)*coupl(nGC_72  &
                        ) - 10d0*cima*coupl(nGC_1319)*coupl(nGC_1795)*coupl(   &
                        nGC_63)*coupl(nGC_72) - 10d0*cima*coupl(nGC_1319)*coupl&
                        (nGC_1795)*coupl(nGC_64)*coupl(nGC_72) - 10d0*cima*    &
                        coupl(nGC_1319)*coupl(nGC_1919)*coupl(nGC_68)*coupl(   &
                        nGC_72) - 10d0*cima*coupl(nGC_1319)*coupl(nGC_1919)*   &
                        coupl(nGC_69)*coupl(nGC_72) - 10d0*cima*coupl(nGC_1319 &
                        )*coupl(nGC_2961)*coupl(nGC_68)*coupl(nGC_72) - 10d0*  &
                        cima*coupl(nGC_1319)*coupl(nGC_2961)*coupl(nGC_69)*    &
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_1491)**2d0*coupl(   &
                        nGC_64)**2d0 - 10d0*cima*coupl(nGC_1491)*coupl(nGC_1795&
                        )*coupl(nGC_63)*coupl(nGC_64) - 10d0*cima*coupl(       &
                        nGC_1491)*coupl(nGC_1919)*coupl(nGC_64)*coupl(nGC_68   &
                        ) - 10d0*cima*coupl(nGC_1491)*coupl(nGC_2961)*coupl(   &
                        nGC_63)*coupl(nGC_68) - 5d0*cima*coupl(nGC_1529)**4d0  &
                         - 10d0*cima*coupl(nGC_1529)**2d0*coupl(nGC_17)**2d0 + &
                        20d0*cima*coupl(nGC_154)**4d0 + 20d0*cima*coupl(nGC_162&
                        )**4d0 - 5d0*cima*coupl(nGC_17)**4d0 - 10d0*cima*coupl(&
                        nGC_17)**2d0*coupl(nGC_96)**2d0 - 5d0*cima*coupl(      &
                        nGC_1795)**2d0*coupl(nGC_63)**2d0 - 10d0*cima*coupl(   &
                        nGC_1795)*coupl(nGC_1919)*coupl(nGC_64)*coupl(nGC_69   &
                        ) - 10d0*cima*coupl(nGC_1795)*coupl(nGC_2961)*coupl(   &
                        nGC_63)*coupl(nGC_69) + 12d0*cima*coupl(nGC_18)**2d0 + &
                        20d0*cima*coupl(nGC_185)**4d0 - 5d0*cima*coupl(nGC_1919&
                        )**2d0*coupl(nGC_68)**2d0 - 10d0*cima*coupl(nGC_1919)* &
                        coupl(nGC_2961)*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*&
                        coupl(nGC_2961)**2d0*coupl(nGC_69)**2d0 + 24d0*cima*   &
                        coupl(nGC_62)**2d0 - 5d0*cima*coupl(nGC_96)**4d0 + 24d0&
                        *cima*coupl(nGC_97)**2d0 - 6d0*coupl(nGC_100)*coupl(   &
                        nGC_1283)**2d0 - 6d0*coupl(nGC_100)*coupl(nGC_96)**2d0 &
                         + 6d0*coupl(nGC_1283)**2d0*coupl(nGC_51) - 12d0*coupl(&
                        nGC_1283)*coupl(nGC_1529)*coupl(nGC_97) + 6d0*coupl(   &
                        nGC_1283)*coupl(nGC_51)*coupl(nGC_96) + 12d0*coupl(    &
                        nGC_1319)*coupl(nGC_50)*coupl(nGC_72) - 12d0*coupl(    &
                        nGC_1319)*coupl(nGC_62)*coupl(nGC_72) + 6d0*coupl(     &
                        nGC_1491)*coupl(nGC_22)*coupl(nGC_68) + 6d0*coupl(     &
                        nGC_1491)*coupl(nGC_34)*coupl(nGC_64) - 6d0*coupl(     &
                        nGC_1491)*coupl(nGC_62)*coupl(nGC_64) - 6d0*coupl(     &
                        nGC_1529)**2d0*coupl(nGC_18) + 6d0*coupl(nGC_1529)**2d0&
                        *coupl(nGC_51) + 6d0*coupl(nGC_1529)*coupl(nGC_17)*    &
                        coupl(nGC_51) - 6d0*coupl(nGC_17)**2d0*coupl(nGC_18) + &
                        6d0*coupl(nGC_17)**2d0*coupl(nGC_51) - 12d0*coupl(     &
                        nGC_17)*coupl(nGC_96)*coupl(nGC_97) + 6d0*coupl(       &
                        nGC_1795)*coupl(nGC_22)*coupl(nGC_69) + 6d0*coupl(     &
                        nGC_1795)*coupl(nGC_34)*coupl(nGC_63) - 6d0*coupl(     &
                        nGC_1795)*coupl(nGC_62)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_1919)*coupl(nGC_22)*coupl(nGC_64) + 6d0*coupl(     &
                        nGC_1919)*coupl(nGC_30)*coupl(nGC_68) - 6d0*coupl(     &
                        nGC_1919)*coupl(nGC_62)*coupl(nGC_68) + 6d0*coupl(     &
                        nGC_22)*coupl(nGC_2961)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_2961)*coupl(nGC_30)*coupl(nGC_69) - 6d0*coupl(     &
                        nGC_2961)*coupl(nGC_62)*coupl(nGC_69) + 6d0*coupl(     &
                        nGC_51)*coupl(nGC_96)**2d0)/(96d0*pi**2d0)
      coupl(nGC_9205) = (-16d0*Nc*cima*coupl(nGC_1313)*coupl(nGC_136)*coupl(   &
                        nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_1313)*coupl(     &
                        nGC_136)*coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*   &
                        coupl(nGC_1313)*coupl(nGC_136)*coupl(nGC_88)**2d0 -    &
                        16d0*Nc*cima*coupl(nGC_132)*coupl(nGC_135)*coupl(nGC_85&
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_132)*coupl(nGC_135)*   &
                        coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*coupl(      &
                        nGC_132)*coupl(nGC_135)*coupl(nGC_88)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_139)*coupl(nGC_143)*coupl(nGC_84)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_139)*coupl(nGC_143)*coupl(   &
                        nGC_84)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_139)*   &
                        coupl(nGC_143)*coupl(nGC_87)**2d0 - 16d0*Nc*cima*coupl(&
                        nGC_140)*coupl(nGC_144)*coupl(nGC_84)**2d0 + 20d0*Nc*  &
                        cima*coupl(nGC_140)*coupl(nGC_144)*coupl(nGC_84)*coupl(&
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_140)*coupl(nGC_144)*  &
                        coupl(nGC_87)**2d0 - 16d0*Nc*cima*coupl(nGC_147)*coupl(&
                        nGC_152)*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(      &
                        nGC_147)*coupl(nGC_152)*coupl(nGC_84)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_147)*coupl(nGC_152)*coupl(nGC_87&
                        )**2d0 - 16d0*Nc*cima*coupl(nGC_148)*coupl(nGC_151)*   &
                        coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_148)*coupl(&
                        nGC_151)*coupl(nGC_84)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_148)*coupl(nGC_151)*coupl(nGC_87)**2d0 - 16d0&
                        *Nc*cima*coupl(nGC_171)*coupl(nGC_176)*coupl(nGC_84)** &
                        2d0 + 20d0*Nc*cima*coupl(nGC_171)*coupl(nGC_176)*coupl(&
                        nGC_84)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_171)*   &
                        coupl(nGC_176)*coupl(nGC_87)**2d0 - 16d0*Nc*cima*coupl(&
                        nGC_172)*coupl(nGC_175)*coupl(nGC_84)**2d0 + 20d0*Nc*  &
                        cima*coupl(nGC_172)*coupl(nGC_175)*coupl(nGC_84)*coupl(&
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_172)*coupl(nGC_175)*  &
                        coupl(nGC_87)**2d0 - 16d0*Nc*cima*coupl(nGC_179)*coupl(&
                        nGC_182)*coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(      &
                        nGC_179)*coupl(nGC_182)*coupl(nGC_85)*coupl(nGC_88) -  &
                        16d0*Nc*cima*coupl(nGC_179)*coupl(nGC_182)*coupl(nGC_88&
                        )**2d0 - 16d0*Nc*cima*coupl(nGC_183)*coupl(nGC_2153)*  &
                        coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_183)*coupl(&
                        nGC_2153)*coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*  &
                        coupl(nGC_183)*coupl(nGC_2153)*coupl(nGC_88)**2d0 -    &
                        16d0*Nc*cima*coupl(nGC_194)*coupl(nGC_197)*coupl(nGC_85&
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_194)*coupl(nGC_197)*   &
                        coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*coupl(      &
                        nGC_194)*coupl(nGC_197)*coupl(nGC_88)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_198)*coupl(nGC_797)*coupl(nGC_85)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_198)*coupl(nGC_797)*coupl(   &
                        nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_198)*   &
                        coupl(nGC_797)*coupl(nGC_88)**2d0 + 4d0*cima*coupl(    &
                        nGC_1079)*coupl(nGC_661)*coupl(nGC_92)**2d0 + 4d0*cima*&
                        coupl(nGC_1079)*coupl(nGC_661)*coupl(nGC_94)**2d0 -    &
                        16d0*cima*coupl(nGC_155)*coupl(nGC_160)*coupl(nGC_86)**&
                        2d0 + 20d0*cima*coupl(nGC_155)*coupl(nGC_160)*coupl(   &
                        nGC_86)*coupl(nGC_89) - 16d0*cima*coupl(nGC_155)*coupl(&
                        nGC_160)*coupl(nGC_89)**2d0 - 16d0*cima*coupl(nGC_156)*&
                        coupl(nGC_159)*coupl(nGC_86)**2d0 + 20d0*cima*coupl(   &
                        nGC_156)*coupl(nGC_159)*coupl(nGC_86)*coupl(nGC_89) -  &
                        16d0*cima*coupl(nGC_156)*coupl(nGC_159)*coupl(nGC_89)**&
                        2d0 - 16d0*cima*coupl(nGC_163)*coupl(nGC_168)*coupl(   &
                        nGC_86)**2d0 + 20d0*cima*coupl(nGC_163)*coupl(nGC_168)*&
                        coupl(nGC_86)*coupl(nGC_89) - 16d0*cima*coupl(nGC_163)*&
                        coupl(nGC_168)*coupl(nGC_89)**2d0 - 16d0*cima*coupl(   &
                        nGC_164)*coupl(nGC_167)*coupl(nGC_86)**2d0 + 20d0*cima*&
                        coupl(nGC_164)*coupl(nGC_167)*coupl(nGC_86)*coupl(     &
                        nGC_89) - 16d0*cima*coupl(nGC_164)*coupl(nGC_167)*coupl&
                        (nGC_89)**2d0 - 16d0*cima*coupl(nGC_186)*coupl(nGC_191 &
                        )*coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_186)*coupl( &
                        nGC_191)*coupl(nGC_86)*coupl(nGC_89) - 16d0*cima*coupl(&
                        nGC_186)*coupl(nGC_191)*coupl(nGC_89)**2d0 - 16d0*cima*&
                        coupl(nGC_187)*coupl(nGC_190)*coupl(nGC_86)**2d0 + 20d0&
                        *cima*coupl(nGC_187)*coupl(nGC_190)*coupl(nGC_86)*coupl&
                        (nGC_89) - 16d0*cima*coupl(nGC_187)*coupl(nGC_190)*    &
                        coupl(nGC_89)**2d0 + 4d0*cima*coupl(nGC_3231)**2d0*    &
                        coupl(nGC_91)*coupl(nGC_94) + 4d0*cima*coupl(nGC_3231  &
                        )**2d0*coupl(nGC_92)*coupl(nGC_94) + 4d0*cima*coupl(   &
                        nGC_3231)*coupl(nGC_661)*coupl(nGC_92)**2d0 + 4d0*cima*&
                        coupl(nGC_3231)*coupl(nGC_661)*coupl(nGC_94)**2d0 + 4d0&
                        *cima*coupl(nGC_661)**2d0*coupl(nGC_91)*coupl(nGC_94   &
                        ) + 4d0*cima*coupl(nGC_661)**2d0*coupl(nGC_92)*coupl(  &
                        nGC_94) + 3d0*coupl(nGC_3231)*coupl(nGC_94)*coupl(     &
                        nGC_99) + 3d0*coupl(nGC_661)*coupl(nGC_92)*coupl(nGC_99&
                        ))/(96d0*pi**2d0)
      coupl(nGC_9204) = (-16d0*Nc*cima*coupl(nGC_1313)*coupl(nGC_136)*coupl(   &
                        nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_132)*coupl(      &
                        nGC_135)*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(      &
                        nGC_139)*coupl(nGC_143)*coupl(nGC_80)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_140)*coupl(nGC_144)*coupl(nGC_80)**2d0  &
                         - 16d0*Nc*cima*coupl(nGC_147)*coupl(nGC_152)*coupl(   &
                        nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_148)*coupl(      &
                        nGC_151)*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(      &
                        nGC_171)*coupl(nGC_176)*coupl(nGC_80)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_172)*coupl(nGC_175)*coupl(nGC_80)**2d0  &
                         - 16d0*Nc*cima*coupl(nGC_179)*coupl(nGC_182)*coupl(   &
                        nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_183)*coupl(      &
                        nGC_2153)*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(     &
                        nGC_194)*coupl(nGC_197)*coupl(nGC_80)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_198)*coupl(nGC_797)*coupl(nGC_80)**2d0  &
                         + 9d0*cima*coupl(nGC_1079)*coupl(nGC_781)**2d0*coupl( &
                        nGC_94) + 9d0*cima*coupl(nGC_1079)*coupl(nGC_82)**2d0* &
                        coupl(nGC_94) + 4d0*cima*coupl(nGC_1319)*coupl(nGC_63)*&
                        coupl(nGC_68)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1319)*&
                        coupl(nGC_63)*coupl(nGC_69)*coupl(nGC_72) + 4d0*cima*  &
                        coupl(nGC_1319)*coupl(nGC_64)*coupl(nGC_68)*coupl(     &
                        nGC_72) + 4d0*cima*coupl(nGC_1319)*coupl(nGC_64)*coupl(&
                        nGC_69)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1491)*coupl(&
                        nGC_3231)*coupl(nGC_64)*coupl(nGC_94) + 4d0*cima*coupl(&
                        nGC_1491)*coupl(nGC_3231)*coupl(nGC_68)*coupl(nGC_92   &
                        ) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_3231)*coupl(    &
                        nGC_69)*coupl(nGC_92) + 4d0*cima*coupl(nGC_1491)*coupl(&
                        nGC_64)*coupl(nGC_661)*coupl(nGC_92) - 16d0*cima*coupl(&
                        nGC_155)*coupl(nGC_160)*coupl(nGC_80)**2d0 - 16d0*cima*&
                        coupl(nGC_156)*coupl(nGC_159)*coupl(nGC_80)**2d0 - 16d0&
                        *cima*coupl(nGC_163)*coupl(nGC_168)*coupl(nGC_80)**2d0 &
                         - 16d0*cima*coupl(nGC_164)*coupl(nGC_167)*coupl(nGC_80&
                        )**2d0 + 4d0*cima*coupl(nGC_1795)*coupl(nGC_3231)*coupl&
                        (nGC_63)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1795)*coupl&
                        (nGC_3231)*coupl(nGC_68)*coupl(nGC_92) + 4d0*cima*coupl&
                        (nGC_1795)*coupl(nGC_3231)*coupl(nGC_69)*coupl(nGC_92  &
                        ) + 4d0*cima*coupl(nGC_1795)*coupl(nGC_63)*coupl(      &
                        nGC_661)*coupl(nGC_92) - 16d0*cima*coupl(nGC_186)*coupl&
                        (nGC_191)*coupl(nGC_80)**2d0 - 16d0*cima*coupl(nGC_187 &
                        )*coupl(nGC_190)*coupl(nGC_80)**2d0 + 4d0*cima*coupl(  &
                        nGC_1919)*coupl(nGC_3231)*coupl(nGC_68)*coupl(nGC_94   &
                        ) + 4d0*cima*coupl(nGC_1919)*coupl(nGC_63)*coupl(      &
                        nGC_661)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1919)*coupl&
                        (nGC_64)*coupl(nGC_661)*coupl(nGC_94) + 4d0*cima*coupl(&
                        nGC_1919)*coupl(nGC_661)*coupl(nGC_68)*coupl(nGC_92) + &
                        4d0*cima*coupl(nGC_2961)*coupl(nGC_3231)*coupl(nGC_69)*&
                        coupl(nGC_94) + 4d0*cima*coupl(nGC_2961)*coupl(nGC_63)*&
                        coupl(nGC_661)*coupl(nGC_94) + 4d0*cima*coupl(nGC_2961 &
                        )*coupl(nGC_64)*coupl(nGC_661)*coupl(nGC_94) + 4d0*cima&
                        *coupl(nGC_2961)*coupl(nGC_661)*coupl(nGC_69)*coupl(   &
                        nGC_92) + 9d0*cima*coupl(nGC_661)*coupl(nGC_781)**2d0* &
                        coupl(nGC_91) + 9d0*cima*coupl(nGC_661)*coupl(nGC_82)**&
                        2d0*coupl(nGC_91) - 6d0*coupl(nGC_1079)*coupl(nGC_1153 &
                        )*coupl(nGC_94) - 6d0*coupl(nGC_1153)*coupl(nGC_661)*  &
                        coupl(nGC_91) + 6d0*coupl(nGC_3231)*coupl(nGC_61)*coupl&
                        (nGC_94) + 6d0*coupl(nGC_61)*coupl(nGC_661)*coupl(     &
                        nGC_92))/(192d0*pi**2d0)
      coupl(nGC_9203) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_1313)*coupl&
                        (nGC_135) + 40d0*Nc*cima*coupl(nGC_130)**2d0*coupl(    &
                        nGC_1313)*coupl(nGC_136) + 40d0*Nc*cima*coupl(nGC_130  &
                        )**2d0*coupl(nGC_132)*coupl(nGC_135) + 20d0*Nc*cima*   &
                        coupl(nGC_130)**2d0*coupl(nGC_132)*coupl(nGC_136) +    &
                        40d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141)**2d0*coupl( &
                        nGC_143) + 20d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141)**&
                        2d0*coupl(nGC_144) + 20d0*Nc*cima*coupl(nGC_140)*coupl(&
                        nGC_141)**2d0*coupl(nGC_143) + 40d0*Nc*cima*coupl(     &
                        nGC_140)*coupl(nGC_141)**2d0*coupl(nGC_144) + 20d0*Nc* &
                        cima*coupl(nGC_145)**2d0*coupl(nGC_147)*coupl(nGC_151  &
                        ) + 40d0*Nc*cima*coupl(nGC_145)**2d0*coupl(nGC_147)*   &
                        coupl(nGC_152) + 40d0*Nc*cima*coupl(nGC_145)**2d0*coupl&
                        (nGC_148)*coupl(nGC_151) + 20d0*Nc*cima*coupl(nGC_145  &
                        )**2d0*coupl(nGC_148)*coupl(nGC_152) + 20d0*Nc*cima*   &
                        coupl(nGC_169)**2d0*coupl(nGC_171)*coupl(nGC_175) +    &
                        40d0*Nc*cima*coupl(nGC_169)**2d0*coupl(nGC_171)*coupl( &
                        nGC_176) + 40d0*Nc*cima*coupl(nGC_169)**2d0*coupl(     &
                        nGC_172)*coupl(nGC_175) + 20d0*Nc*cima*coupl(nGC_169)**&
                        2d0*coupl(nGC_172)*coupl(nGC_176) + 40d0*Nc*cima*coupl(&
                        nGC_177)**2d0*coupl(nGC_179)*coupl(nGC_182) + 20d0*Nc* &
                        cima*coupl(nGC_177)**2d0*coupl(nGC_179)*coupl(nGC_183  &
                        ) + 20d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_182)*   &
                        coupl(nGC_2153) + 40d0*Nc*cima*coupl(nGC_177)**2d0*    &
                        coupl(nGC_183)*coupl(nGC_2153) + 40d0*Nc*cima*coupl(   &
                        nGC_192)**2d0*coupl(nGC_194)*coupl(nGC_197) + 20d0*Nc* &
                        cima*coupl(nGC_192)**2d0*coupl(nGC_194)*coupl(nGC_198  &
                        ) + 20d0*Nc*cima*coupl(nGC_192)**2d0*coupl(nGC_197)*   &
                        coupl(nGC_797) + 40d0*Nc*cima*coupl(nGC_192)**2d0*coupl&
                        (nGC_198)*coupl(nGC_797) - 10d0*cima*coupl(nGC_1079)*  &
                        coupl(nGC_3231)*coupl(nGC_91)*coupl(nGC_94) - 10d0*cima&
                        *coupl(nGC_1079)*coupl(nGC_661)*coupl(nGC_94)**2d0 -   &
                        5d0*cima*coupl(nGC_1319)**2d0*coupl(nGC_1491)*coupl(   &
                        nGC_69) - 5d0*cima*coupl(nGC_1319)**2d0*coupl(nGC_1795 &
                        )*coupl(nGC_68) - 10d0*cima*coupl(nGC_1319)*coupl(     &
                        nGC_1491)*coupl(nGC_2961)*coupl(nGC_72) - 10d0*cima*   &
                        coupl(nGC_1319)*coupl(nGC_1795)*coupl(nGC_1919)*coupl( &
                        nGC_72) + 20d0*cima*coupl(nGC_153)**2d0*coupl(nGC_155)*&
                        coupl(nGC_159) + 40d0*cima*coupl(nGC_153)**2d0*coupl(  &
                        nGC_155)*coupl(nGC_160) + 40d0*cima*coupl(nGC_153)**2d0&
                        *coupl(nGC_156)*coupl(nGC_159) + 20d0*cima*coupl(      &
                        nGC_153)**2d0*coupl(nGC_156)*coupl(nGC_160) + 20d0*cima&
                        *coupl(nGC_161)**2d0*coupl(nGC_163)*coupl(nGC_167) +   &
                        40d0*cima*coupl(nGC_161)**2d0*coupl(nGC_163)*coupl(    &
                        nGC_168) + 40d0*cima*coupl(nGC_161)**2d0*coupl(nGC_164 &
                        )*coupl(nGC_167) + 20d0*cima*coupl(nGC_161)**2d0*coupl(&
                        nGC_164)*coupl(nGC_168) + 20d0*cima*coupl(nGC_184)**2d0&
                        *coupl(nGC_186)*coupl(nGC_190) + 40d0*cima*coupl(      &
                        nGC_184)**2d0*coupl(nGC_186)*coupl(nGC_191) + 40d0*cima&
                        *coupl(nGC_184)**2d0*coupl(nGC_187)*coupl(nGC_190) +   &
                        20d0*cima*coupl(nGC_184)**2d0*coupl(nGC_187)*coupl(    &
                        nGC_191) - 5d0*cima*coupl(nGC_1919)*coupl(nGC_63)*coupl&
                        (nGC_72)**2d0 - 5d0*cima*coupl(nGC_2961)*coupl(nGC_64)*&
                        coupl(nGC_72)**2d0 - 10d0*cima*coupl(nGC_3231)*coupl(  &
                        nGC_661)*coupl(nGC_91)**2d0 - 10d0*cima*coupl(nGC_661  &
                        )**2d0*coupl(nGC_91)*coupl(nGC_94) + 6d0*coupl(nGC_1079&
                        )*coupl(nGC_25)*coupl(nGC_3231) + 6d0*coupl(nGC_1079)* &
                        coupl(nGC_37)*coupl(nGC_661) - 3d0*coupl(nGC_1079)*    &
                        coupl(nGC_94)*coupl(nGC_99) + 3d0*coupl(nGC_11)*coupl( &
                        nGC_3231)*coupl(nGC_94) + 3d0*coupl(nGC_13)*coupl(     &
                        nGC_661)*coupl(nGC_92) + 6d0*coupl(nGC_1319)*coupl(    &
                        nGC_1491)*coupl(nGC_48) + 6d0*coupl(nGC_1319)*coupl(   &
                        nGC_1795)*coupl(nGC_49) + 6d0*coupl(nGC_1319)*coupl(   &
                        nGC_24)*coupl(nGC_72) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_2961)*coupl(nGC_58) + 3d0*coupl(nGC_1491)*coupl(   &
                        nGC_43)*coupl(nGC_64) + 3d0*coupl(nGC_1795)*coupl(     &
                        nGC_1919)*coupl(nGC_58) + 3d0*coupl(nGC_1795)*coupl(   &
                        nGC_43)*coupl(nGC_63) + 6d0*coupl(nGC_1919)*coupl(     &
                        nGC_40)*coupl(nGC_72) + 3d0*coupl(nGC_1919)*coupl(     &
                        nGC_42)*coupl(nGC_68) + 6d0*coupl(nGC_26)*coupl(nGC_94 &
                        )**2d0 + 6d0*coupl(nGC_28)*coupl(nGC_661)**2d0 + 6d0*  &
                        coupl(nGC_28)*coupl(nGC_91)**2d0 + 6d0*coupl(nGC_2961)*&
                        coupl(nGC_41)*coupl(nGC_72) + 3d0*coupl(nGC_2961)*coupl&
                        (nGC_42)*coupl(nGC_69) + 6d0*coupl(nGC_31)*coupl(nGC_91&
                        )*coupl(nGC_94) + 6d0*coupl(nGC_3231)*coupl(nGC_39)*   &
                        coupl(nGC_661) + 3d0*coupl(nGC_3231)*coupl(nGC_47)*    &
                        coupl(nGC_91) + 3d0*coupl(nGC_3231)*coupl(nGC_59)*coupl&
                        (nGC_94) + 3d0*coupl(nGC_3231)*coupl(nGC_9)*coupl(     &
                        nGC_92) + 6d0*coupl(nGC_37)*coupl(nGC_91)*coupl(nGC_94 &
                        ) + 3d0*coupl(nGC_46)*coupl(nGC_661)*coupl(nGC_94) +   &
                        3d0*coupl(nGC_58)*coupl(nGC_63)*coupl(nGC_68) + 3d0*   &
                        coupl(nGC_58)*coupl(nGC_64)*coupl(nGC_69) + 3d0*coupl( &
                        nGC_59)*coupl(nGC_661)*coupl(nGC_91) + 3d0*coupl(      &
                        nGC_661)*coupl(nGC_9)*coupl(nGC_94) - 3d0*coupl(nGC_661&
                        )*coupl(nGC_91)*coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_9202) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_1313)*coupl(    &
                        nGC_133)*coupl(nGC_135) + 40d0*Nc*cima*coupl(nGC_130)* &
                        coupl(nGC_1313)*coupl(nGC_133)*coupl(nGC_136) + 40d0*Nc&
                        *cima*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_133)*    &
                        coupl(nGC_135) + 20d0*Nc*cima*coupl(nGC_130)*coupl(    &
                        nGC_132)*coupl(nGC_133)*coupl(nGC_136) + 40d0*Nc*cima* &
                        coupl(nGC_137)*coupl(nGC_139)*coupl(nGC_141)*coupl(    &
                        nGC_143) + 20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_139)* &
                        coupl(nGC_141)*coupl(nGC_144) + 20d0*Nc*cima*coupl(    &
                        nGC_137)*coupl(nGC_140)*coupl(nGC_141)*coupl(nGC_143   &
                        ) + 40d0*Nc*cima*coupl(nGC_137)*coupl(nGC_140)*coupl(  &
                        nGC_141)*coupl(nGC_144) + 20d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_147)*coupl(nGC_149)*coupl(nGC_151) + 40d0*Nc*&
                        cima*coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_149)*coupl&
                        (nGC_152) + 40d0*Nc*cima*coupl(nGC_145)*coupl(nGC_148)*&
                        coupl(nGC_149)*coupl(nGC_151) + 20d0*Nc*cima*coupl(    &
                        nGC_145)*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_152   &
                        ) + 20d0*Nc*cima*coupl(nGC_169)*coupl(nGC_171)*coupl(  &
                        nGC_173)*coupl(nGC_175) + 40d0*Nc*cima*coupl(nGC_169)* &
                        coupl(nGC_171)*coupl(nGC_173)*coupl(nGC_176) + 40d0*Nc*&
                        cima*coupl(nGC_169)*coupl(nGC_172)*coupl(nGC_173)*coupl&
                        (nGC_175) + 20d0*Nc*cima*coupl(nGC_169)*coupl(nGC_172)*&
                        coupl(nGC_173)*coupl(nGC_176) + 40d0*Nc*cima*coupl(    &
                        nGC_177)*coupl(nGC_179)*coupl(nGC_180)*coupl(nGC_182   &
                        ) + 20d0*Nc*cima*coupl(nGC_177)*coupl(nGC_179)*coupl(  &
                        nGC_180)*coupl(nGC_183) + 20d0*Nc*cima*coupl(nGC_177)* &
                        coupl(nGC_180)*coupl(nGC_182)*coupl(nGC_2153) + 40d0*Nc&
                        *cima*coupl(nGC_177)*coupl(nGC_180)*coupl(nGC_183)*    &
                        coupl(nGC_2153) + 40d0*Nc*cima*coupl(nGC_192)*coupl(   &
                        nGC_194)*coupl(nGC_195)*coupl(nGC_197) + 20d0*Nc*cima* &
                        coupl(nGC_192)*coupl(nGC_194)*coupl(nGC_195)*coupl(    &
                        nGC_198) + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_195)* &
                        coupl(nGC_197)*coupl(nGC_797) + 40d0*Nc*cima*coupl(    &
                        nGC_192)*coupl(nGC_195)*coupl(nGC_198)*coupl(nGC_797   &
                        ) - 5d0*cima*coupl(nGC_1079)**2d0*coupl(nGC_94)**2d0 - &
                        5d0*cima*coupl(nGC_1079)*coupl(nGC_3231)*coupl(nGC_94  &
                        )**2d0 - 10d0*cima*coupl(nGC_1079)*coupl(nGC_661)*coupl&
                        (nGC_91)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1079)*coupl&
                        (nGC_661)*coupl(nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(&
                        nGC_1319)**2d0*coupl(nGC_1919)*coupl(nGC_68) - 5d0*cima&
                        *coupl(nGC_1319)**2d0*coupl(nGC_2961)*coupl(nGC_69) -  &
                        10d0*cima*coupl(nGC_1319)*coupl(nGC_1491)*coupl(       &
                        nGC_1795)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1319)*    &
                        coupl(nGC_1919)**2d0*coupl(nGC_72) - 5d0*cima*coupl(   &
                        nGC_1319)*coupl(nGC_2961)**2d0*coupl(nGC_72) - 5d0*cima&
                        *coupl(nGC_1491)*coupl(nGC_63)*coupl(nGC_72)**2d0 +    &
                        20d0*cima*coupl(nGC_153)*coupl(nGC_155)*coupl(nGC_157)*&
                        coupl(nGC_159) + 40d0*cima*coupl(nGC_153)*coupl(nGC_155&
                        )*coupl(nGC_157)*coupl(nGC_160) + 40d0*cima*coupl(     &
                        nGC_153)*coupl(nGC_156)*coupl(nGC_157)*coupl(nGC_159   &
                        ) + 20d0*cima*coupl(nGC_153)*coupl(nGC_156)*coupl(     &
                        nGC_157)*coupl(nGC_160) + 20d0*cima*coupl(nGC_161)*    &
                        coupl(nGC_163)*coupl(nGC_165)*coupl(nGC_167) + 40d0*   &
                        cima*coupl(nGC_161)*coupl(nGC_163)*coupl(nGC_165)*coupl&
                        (nGC_168) + 40d0*cima*coupl(nGC_161)*coupl(nGC_164)*   &
                        coupl(nGC_165)*coupl(nGC_167) + 20d0*cima*coupl(nGC_161&
                        )*coupl(nGC_164)*coupl(nGC_165)*coupl(nGC_168) - 5d0*  &
                        cima*coupl(nGC_1795)*coupl(nGC_64)*coupl(nGC_72)**2d0  &
                         + 20d0*cima*coupl(nGC_184)*coupl(nGC_186)*coupl(      &
                        nGC_188)*coupl(nGC_190) + 40d0*cima*coupl(nGC_184)*    &
                        coupl(nGC_186)*coupl(nGC_188)*coupl(nGC_191) + 40d0*   &
                        cima*coupl(nGC_184)*coupl(nGC_187)*coupl(nGC_188)*coupl&
                        (nGC_190) + 20d0*cima*coupl(nGC_184)*coupl(nGC_187)*   &
                        coupl(nGC_188)*coupl(nGC_191) - 5d0*cima*coupl(nGC_3231&
                        )*coupl(nGC_661)*coupl(nGC_91)*coupl(nGC_94) - 5d0*cima&
                        *coupl(nGC_661)**2d0*coupl(nGC_91)**2d0 - 5d0*cima*    &
                        coupl(nGC_661)**2d0*coupl(nGC_91)*coupl(nGC_92) + 3d0* &
                        coupl(nGC_10)*coupl(nGC_661)*coupl(nGC_92) + 3d0*coupl(&
                        nGC_1079)**2d0*coupl(nGC_37) + 3d0*coupl(nGC_1079)*    &
                        coupl(nGC_25)*coupl(nGC_661) + 3d0*coupl(nGC_1079)*    &
                        coupl(nGC_28)*coupl(nGC_661) + 3d0*coupl(nGC_1079)*    &
                        coupl(nGC_29)*coupl(nGC_661) + 3d0*coupl(nGC_1079)*    &
                        coupl(nGC_3231)*coupl(nGC_33) + 3d0*coupl(nGC_13)*coupl&
                        (nGC_3231)*coupl(nGC_92) + 3d0*coupl(nGC_13)*coupl(    &
                        nGC_661)*coupl(nGC_94) + 3d0*coupl(nGC_1319)*coupl(    &
                        nGC_1491)*coupl(nGC_41) + 3d0*coupl(nGC_1319)*coupl(   &
                        nGC_1795)*coupl(nGC_40) + 3d0*coupl(nGC_1319)*coupl(   &
                        nGC_1919)*coupl(nGC_49) + 3d0*coupl(nGC_1319)*coupl(   &
                        nGC_2961)*coupl(nGC_48) + 6d0*coupl(nGC_1319)*coupl(   &
                        nGC_36)*coupl(nGC_72) + 6d0*coupl(nGC_1491)*coupl(     &
                        nGC_1795)*coupl(nGC_58) + 3d0*coupl(nGC_1491)*coupl(   &
                        nGC_40)*coupl(nGC_72) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_42)*coupl(nGC_68) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_43)*coupl(nGC_69) + 3d0*coupl(nGC_1795)*coupl(     &
                        nGC_41)*coupl(nGC_72) + 3d0*coupl(nGC_1795)*coupl(     &
                        nGC_42)*coupl(nGC_69) + 3d0*coupl(nGC_1795)*coupl(     &
                        nGC_43)*coupl(nGC_68) + 3d0*coupl(nGC_1919)*coupl(     &
                        nGC_48)*coupl(nGC_72) + 3d0*coupl(nGC_25)*coupl(       &
                        nGC_3231)*coupl(nGC_661) + 3d0*coupl(nGC_26)*coupl(    &
                        nGC_91)*coupl(nGC_94) + 3d0*coupl(nGC_26)*coupl(nGC_92 &
                        )*coupl(nGC_94) + 3d0*coupl(nGC_28)*coupl(nGC_91)*coupl&
                        (nGC_94) + 3d0*coupl(nGC_29)*coupl(nGC_91)*coupl(nGC_94&
                        ) + 3d0*coupl(nGC_2961)*coupl(nGC_49)*coupl(nGC_72) +  &
                        3d0*coupl(nGC_31)*coupl(nGC_91)*coupl(nGC_92) + 3d0*   &
                        coupl(nGC_3231)*coupl(nGC_47)*coupl(nGC_94) + 3d0*coupl&
                        (nGC_3231)*coupl(nGC_59)*coupl(nGC_92) + 3d0*coupl(    &
                        nGC_3231)*coupl(nGC_9)*coupl(nGC_94) + 3d0*coupl(nGC_37&
                        )*coupl(nGC_661)**2d0 + 3d0*coupl(nGC_37)*coupl(nGC_91 &
                        )**2d0 + 3d0*coupl(nGC_37)*coupl(nGC_94)**2d0 + 3d0*   &
                        coupl(nGC_38)*coupl(nGC_94)**2d0 + 3d0*coupl(nGC_39)*  &
                        coupl(nGC_661)**2d0 + 3d0*coupl(nGC_46)*coupl(nGC_661)*&
                        coupl(nGC_92) + 3d0*coupl(nGC_58)*coupl(nGC_68)**2d0 + &
                        3d0*coupl(nGC_58)*coupl(nGC_69)**2d0 + 3d0*coupl(nGC_59&
                        )*coupl(nGC_661)*coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_9201) = (20d0*Nc*cima*coupl(nGC_1313)*coupl(nGC_133)**2d0*coupl&
                        (nGC_135) + 40d0*Nc*cima*coupl(nGC_1313)*coupl(nGC_133 &
                        )**2d0*coupl(nGC_136) + 40d0*Nc*cima*coupl(nGC_132)*   &
                        coupl(nGC_133)**2d0*coupl(nGC_135) + 20d0*Nc*cima*coupl&
                        (nGC_132)*coupl(nGC_133)**2d0*coupl(nGC_136) + 40d0*Nc*&
                        cima*coupl(nGC_137)**2d0*coupl(nGC_139)*coupl(nGC_143  &
                        ) + 20d0*Nc*cima*coupl(nGC_137)**2d0*coupl(nGC_139)*   &
                        coupl(nGC_144) + 20d0*Nc*cima*coupl(nGC_137)**2d0*coupl&
                        (nGC_140)*coupl(nGC_143) + 40d0*Nc*cima*coupl(nGC_137  &
                        )**2d0*coupl(nGC_140)*coupl(nGC_144) + 20d0*Nc*cima*   &
                        coupl(nGC_147)*coupl(nGC_149)**2d0*coupl(nGC_151) +    &
                        40d0*Nc*cima*coupl(nGC_147)*coupl(nGC_149)**2d0*coupl( &
                        nGC_152) + 40d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149)**&
                        2d0*coupl(nGC_151) + 20d0*Nc*cima*coupl(nGC_148)*coupl(&
                        nGC_149)**2d0*coupl(nGC_152) + 20d0*Nc*cima*coupl(     &
                        nGC_171)*coupl(nGC_173)**2d0*coupl(nGC_175) + 40d0*Nc* &
                        cima*coupl(nGC_171)*coupl(nGC_173)**2d0*coupl(nGC_176  &
                        ) + 40d0*Nc*cima*coupl(nGC_172)*coupl(nGC_173)**2d0*   &
                        coupl(nGC_175) + 20d0*Nc*cima*coupl(nGC_172)*coupl(    &
                        nGC_173)**2d0*coupl(nGC_176) + 40d0*Nc*cima*coupl(     &
                        nGC_179)*coupl(nGC_180)**2d0*coupl(nGC_182) + 20d0*Nc* &
                        cima*coupl(nGC_179)*coupl(nGC_180)**2d0*coupl(nGC_183  &
                        ) + 20d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_182)*   &
                        coupl(nGC_2153) + 40d0*Nc*cima*coupl(nGC_180)**2d0*    &
                        coupl(nGC_183)*coupl(nGC_2153) + 40d0*Nc*cima*coupl(   &
                        nGC_194)*coupl(nGC_195)**2d0*coupl(nGC_197) + 20d0*Nc* &
                        cima*coupl(nGC_194)*coupl(nGC_195)**2d0*coupl(nGC_198  &
                        ) + 20d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_197)*   &
                        coupl(nGC_797) + 40d0*Nc*cima*coupl(nGC_195)**2d0*coupl&
                        (nGC_198)*coupl(nGC_797) - 10d0*cima*coupl(nGC_1079)** &
                        2d0*coupl(nGC_92)*coupl(nGC_94) - 10d0*cima*coupl(     &
                        nGC_1079)*coupl(nGC_661)*coupl(nGC_91)*coupl(nGC_92) - &
                        10d0*cima*coupl(nGC_1079)*coupl(nGC_661)*coupl(nGC_94  &
                        )**2d0 - 5d0*cima*coupl(nGC_1319)**2d0*coupl(nGC_1919)*&
                        coupl(nGC_64) - 5d0*cima*coupl(nGC_1319)**2d0*coupl(   &
                        nGC_2961)*coupl(nGC_63) - 10d0*cima*coupl(nGC_1319)*   &
                        coupl(nGC_1491)*coupl(nGC_1919)*coupl(nGC_72) - 10d0*  &
                        cima*coupl(nGC_1319)*coupl(nGC_1795)*coupl(nGC_2961)*  &
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_68)*&
                        coupl(nGC_72)**2d0 + 20d0*cima*coupl(nGC_155)*coupl(   &
                        nGC_157)**2d0*coupl(nGC_159) + 40d0*cima*coupl(nGC_155 &
                        )*coupl(nGC_157)**2d0*coupl(nGC_160) + 40d0*cima*coupl(&
                        nGC_156)*coupl(nGC_157)**2d0*coupl(nGC_159) + 20d0*cima&
                        *coupl(nGC_156)*coupl(nGC_157)**2d0*coupl(nGC_160) +   &
                        20d0*cima*coupl(nGC_163)*coupl(nGC_165)**2d0*coupl(    &
                        nGC_167) + 40d0*cima*coupl(nGC_163)*coupl(nGC_165)**2d0&
                        *coupl(nGC_168) + 40d0*cima*coupl(nGC_164)*coupl(      &
                        nGC_165)**2d0*coupl(nGC_167) + 20d0*cima*coupl(nGC_164 &
                        )*coupl(nGC_165)**2d0*coupl(nGC_168) - 5d0*cima*coupl( &
                        nGC_1795)*coupl(nGC_69)*coupl(nGC_72)**2d0 + 20d0*cima*&
                        coupl(nGC_186)*coupl(nGC_188)**2d0*coupl(nGC_190) +    &
                        40d0*cima*coupl(nGC_186)*coupl(nGC_188)**2d0*coupl(    &
                        nGC_191) + 40d0*cima*coupl(nGC_187)*coupl(nGC_188)**2d0&
                        *coupl(nGC_190) + 20d0*cima*coupl(nGC_187)*coupl(      &
                        nGC_188)**2d0*coupl(nGC_191) - 10d0*cima*coupl(nGC_661 &
                        )**2d0*coupl(nGC_91)*coupl(nGC_94) + 3d0*coupl(nGC_10)*&
                        coupl(nGC_3231)*coupl(nGC_92) + 3d0*coupl(nGC_10)*coupl&
                        (nGC_661)*coupl(nGC_94) + 6d0*coupl(nGC_1079)**2d0*    &
                        coupl(nGC_29) + 6d0*coupl(nGC_1079)*coupl(nGC_33)*coupl&
                        (nGC_661) + 6d0*coupl(nGC_1079)*coupl(nGC_37)*coupl(   &
                        nGC_661) + 3d0*coupl(nGC_1079)*coupl(nGC_46)*coupl(    &
                        nGC_92) + 3d0*coupl(nGC_1079)*coupl(nGC_59)*coupl(     &
                        nGC_94) - 3d0*coupl(nGC_1079)*coupl(nGC_94)*coupl(     &
                        nGC_99) + 3d0*coupl(nGC_12)*coupl(nGC_661)*coupl(nGC_92&
                        ) + 3d0*coupl(nGC_13)*coupl(nGC_3231)*coupl(nGC_94) +  &
                        6d0*coupl(nGC_1319)*coupl(nGC_1919)*coupl(nGC_40) + 6d0&
                        *coupl(nGC_1319)*coupl(nGC_27)*coupl(nGC_72) + 6d0*    &
                        coupl(nGC_1319)*coupl(nGC_2961)*coupl(nGC_41) + 3d0*   &
                        coupl(nGC_1491)*coupl(nGC_1919)*coupl(nGC_58) + 3d0*   &
                        coupl(nGC_1491)*coupl(nGC_42)*coupl(nGC_64) + 6d0*coupl&
                        (nGC_1491)*coupl(nGC_48)*coupl(nGC_72) + 3d0*coupl(    &
                        nGC_1795)*coupl(nGC_2961)*coupl(nGC_58) + 3d0*coupl(   &
                        nGC_1795)*coupl(nGC_42)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_1795)*coupl(nGC_49)*coupl(nGC_72) + 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_43)*coupl(nGC_68) + 6d0*coupl(     &
                        nGC_25)*coupl(nGC_661)**2d0 + 6d0*coupl(nGC_26)*coupl( &
                        nGC_91)*coupl(nGC_92) + 6d0*coupl(nGC_29)*coupl(nGC_94 &
                        )**2d0 + 3d0*coupl(nGC_2961)*coupl(nGC_43)*coupl(nGC_69&
                        ) + 6d0*coupl(nGC_37)*coupl(nGC_91)*coupl(nGC_94) + 6d0&
                        *coupl(nGC_38)*coupl(nGC_92)*coupl(nGC_94) + 3d0*coupl(&
                        nGC_47)*coupl(nGC_661)*coupl(nGC_94) + 3d0*coupl(nGC_58&
                        )*coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_58)*coupl&
                        (nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_59)*coupl(      &
                        nGC_661)*coupl(nGC_92) - 3d0*coupl(nGC_661)*coupl(     &
                        nGC_91)*coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_9200) = (20d0*Nc*cima*coupl(nGC_1313)**2d0*coupl(nGC_132)*coupl&
                        (nGC_136) + 20d0*Nc*cima*coupl(nGC_1313)*coupl(nGC_132 &
                        )**2d0*coupl(nGC_135) + 20d0*Nc*cima*coupl(nGC_139)*   &
                        coupl(nGC_143)**2d0*coupl(nGC_144) + 20d0*Nc*cima*coupl&
                        (nGC_140)*coupl(nGC_143)*coupl(nGC_144)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_147)**2d0*coupl(nGC_148)*coupl(nGC_152  &
                        ) + 20d0*Nc*cima*coupl(nGC_147)*coupl(nGC_148)**2d0*   &
                        coupl(nGC_151) + 20d0*Nc*cima*coupl(nGC_171)**2d0*coupl&
                        (nGC_172)*coupl(nGC_176) + 20d0*Nc*cima*coupl(nGC_171)*&
                        coupl(nGC_172)**2d0*coupl(nGC_175) + 20d0*Nc*cima*coupl&
                        (nGC_179)**2d0*coupl(nGC_182)*coupl(nGC_2153) + 20d0*Nc&
                        *cima*coupl(nGC_179)*coupl(nGC_183)*coupl(nGC_2153)**  &
                        2d0 + 20d0*Nc*cima*coupl(nGC_194)**2d0*coupl(nGC_197)* &
                        coupl(nGC_797) + 20d0*Nc*cima*coupl(nGC_194)*coupl(    &
                        nGC_198)*coupl(nGC_797)**2d0 - 5d0*cima*coupl(nGC_1079 &
                        )**2d0*coupl(nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(   &
                        nGC_1079)*coupl(nGC_3231)*coupl(nGC_92)*coupl(nGC_94   &
                        ) - 5d0*cima*coupl(nGC_1079)*coupl(nGC_661)*coupl(     &
                        nGC_91)*coupl(nGC_92) - 5d0*cima*coupl(nGC_1079)*coupl(&
                        nGC_661)*coupl(nGC_92)**2d0 - 5d0*cima*coupl(nGC_1079)*&
                        coupl(nGC_661)*coupl(nGC_94)**2d0 + 20d0*cima*coupl(   &
                        nGC_155)**2d0*coupl(nGC_156)*coupl(nGC_160) + 20d0*cima&
                        *coupl(nGC_155)*coupl(nGC_156)**2d0*coupl(nGC_159) +   &
                        20d0*cima*coupl(nGC_163)**2d0*coupl(nGC_164)*coupl(    &
                        nGC_168) + 20d0*cima*coupl(nGC_163)*coupl(nGC_164)**2d0&
                        *coupl(nGC_167) + 20d0*cima*coupl(nGC_186)**2d0*coupl( &
                        nGC_187)*coupl(nGC_191) + 20d0*cima*coupl(nGC_186)*    &
                        coupl(nGC_187)**2d0*coupl(nGC_190) - 5d0*cima*coupl(   &
                        nGC_3231)*coupl(nGC_661)*coupl(nGC_94)**2d0 - 5d0*cima*&
                        coupl(nGC_661)**2d0*coupl(nGC_91)*coupl(nGC_94) - 5d0* &
                        cima*coupl(nGC_661)**2d0*coupl(nGC_92)*coupl(nGC_94) - &
                        coupl(nGC_101)*coupl(nGC_1079)*coupl(nGC_94) - 2d0*    &
                        coupl(nGC_101)*coupl(nGC_3231)*coupl(nGC_94) - coupl(  &
                        nGC_101)*coupl(nGC_661)*coupl(nGC_91) - 2d0*coupl(     &
                        nGC_101)*coupl(nGC_661)*coupl(nGC_92) + 2d0*coupl(     &
                        nGC_1079)*coupl(nGC_26)*coupl(nGC_91) + 3d0*coupl(     &
                        nGC_1079)*coupl(nGC_29)*coupl(nGC_92) + 3d0*coupl(     &
                        nGC_1079)*coupl(nGC_37)*coupl(nGC_94) + 2d0*coupl(     &
                        nGC_1079)*coupl(nGC_38)*coupl(nGC_94) + 12d0*coupl(    &
                        nGC_1319)*coupl(nGC_42)*coupl(nGC_72) + coupl(nGC_26)* &
                        coupl(nGC_3231)*coupl(nGC_92) + 3d0*coupl(nGC_26)*coupl&
                        (nGC_661)*coupl(nGC_94) + 3d0*coupl(nGC_28)*coupl(     &
                        nGC_661)*coupl(nGC_94) + coupl(nGC_31)*coupl(nGC_3231)*&
                        coupl(nGC_94) + 2d0*coupl(nGC_31)*coupl(nGC_661)*coupl(&
                        nGC_91) + 3d0*coupl(nGC_37)*coupl(nGC_661)*coupl(nGC_92&
                        ) + coupl(nGC_38)*coupl(nGC_661)*coupl(nGC_92))/(32d0* &
                        pi**2d0)
      coupl(nGC_13018) = coupl(nGC_29)*dZHa_QED2/2d0 + coupl(nGC_29)*dZHh_QED2 &
                          + coupl(nGC_33)*dZG0Ha_QED2/2d0 + coupl(nGC_37)*     &
                         dZHlHh_QED2 + coupl(nGC_38)*dZHaG0_QED2/2d0 + coupl(  &
                         nGC_9322)
      coupl(nGC_13796) = -coupl(nGC_13795)
      coupl(nGC_13987) = coupl(nGC_4)*dZWMinus_QED2/2d0 + coupl(nGC_9385)
      coupl(nGC_9104) = (10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_87) - 16d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84&
                        ) + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_138)*coupl(    &
                        nGC_142)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84) + 10d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_150)*coupl( &
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*    &
                        coupl(nGC_174)*coupl(nGC_84) + 10d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88) + 10d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_181)*coupl(&
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_178)*    &
                        coupl(nGC_181)*coupl(nGC_87) + 10d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85) - 16d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196)*coupl(&
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*  &
                        coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc*cima*coupl(nGC_131&
                        )*coupl(nGC_134)*coupl(nGC_2)*coupl(nGC_87) + 10d0*Nc* &
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_2)*coupl( &
                        nGC_84) - 16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*  &
                        coupl(nGC_2)*coupl(nGC_88) + 10d0*Nc*cima*coupl(nGC_146&
                        )*coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_2)*coupl( &
                        nGC_88) + 10d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*  &
                        coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_170&
                        )*coupl(nGC_174)*coupl(nGC_2)*coupl(nGC_88) - 16d0*Nc* &
                        cima*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_2)*coupl( &
                        nGC_85) + 10d0*Nc*cima*coupl(nGC_178)*coupl(nGC_181)*  &
                        coupl(nGC_2)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_193&
                        )*coupl(nGC_196)*coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc* &
                        cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2)*coupl( &
                        nGC_87) - 16d0*cima*coupl(nGC_154)*coupl(nGC_158)*coupl&
                        (nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(nGC_154)*coupl(&
                        nGC_158)*coupl(nGC_4)*coupl(nGC_90) - 16d0*cima*coupl( &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_4)*coupl(nGC_86) +   &
                        10d0*cima*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_4)*  &
                        coupl(nGC_90) - 16d0*cima*coupl(nGC_185)*coupl(nGC_189 &
                        )*coupl(nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(nGC_185 &
                        )*coupl(nGC_189)*coupl(nGC_4)*coupl(nGC_90) + 9d0*cima*&
                        coupl(nGC_63)*coupl(nGC_69)*coupl(nGC_781)*coupl(      &
                        nGC_877) + 9d0*cima*coupl(nGC_64)*coupl(nGC_69)*coupl( &
                        nGC_781)*coupl(nGC_877) - 3d0*coupl(nGC_14)*coupl(     &
                        nGC_69)*coupl(nGC_877) - 3d0*coupl(nGC_15)*coupl(nGC_69&
                        )*coupl(nGC_877) - 3d0*coupl(nGC_16)*coupl(nGC_63)*    &
                        coupl(nGC_877) - 3d0*coupl(nGC_16)*coupl(nGC_64)*coupl(&
                        nGC_877) - 3d0*coupl(nGC_1795)*coupl(nGC_70)*coupl(    &
                        nGC_82) - 3d0*coupl(nGC_1919)*coupl(nGC_66)*coupl(     &
                        nGC_82) - 3d0*coupl(nGC_63)*coupl(nGC_69)*coupl(nGC_83 &
                        ) - 3d0*coupl(nGC_63)*coupl(nGC_70)*coupl(nGC_781) -   &
                        3d0*coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_83) - 3d0*   &
                        coupl(nGC_65)*coupl(nGC_69)*coupl(nGC_781))/(96d0*pi** &
                        2d0)
      coupl(nGC_9105) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_132)*coupl(      &
                        nGC_134)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_138)*coupl(nGC_143)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_172)*coupl(     &
                        nGC_174)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_179)*coupl(nGC_181)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_194)*coupl(nGC_196)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_132)*coupl(nGC_134)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_138&
                        )*coupl(nGC_143)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_172)*coupl(nGC_174)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_179 &
                        )*coupl(nGC_181)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_194)*coupl(nGC_196)*coupl(nGC_2)*coupl( &
                        nGC_80) + 9d0*cima*coupl(nGC_1079)*coupl(nGC_69)*coupl(&
                        nGC_82)*coupl(nGC_877) + 4d0*cima*coupl(nGC_1529)*coupl&
                        (nGC_64)*coupl(nGC_94)*coupl(nGC_96) + 4d0*cima*coupl( &
                        nGC_1529)*coupl(nGC_69)*coupl(nGC_92)*coupl(nGC_96) +  &
                        4d0*cima*coupl(nGC_156)*coupl(nGC_158)*coupl(nGC_4)*   &
                        coupl(nGC_80) + 4d0*cima*coupl(nGC_164)*coupl(nGC_166)*&
                        coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(nGC_17)*   &
                        coupl(nGC_1795)*coupl(nGC_68)*coupl(nGC_72) + 4d0*cima*&
                        coupl(nGC_17)*coupl(nGC_1919)*coupl(nGC_64)*coupl(     &
                        nGC_72) + 4d0*cima*coupl(nGC_187)*coupl(nGC_189)*coupl(&
                        nGC_4)*coupl(nGC_80) + 9d0*cima*coupl(nGC_64)*coupl(   &
                        nGC_661)*coupl(nGC_82)*coupl(nGC_877) - 6d0*coupl(     &
                        nGC_1079)*coupl(nGC_69)*coupl(nGC_803) - 6d0*coupl(    &
                        nGC_1079)*coupl(nGC_70)*coupl(nGC_82) + 6d0*coupl(     &
                        nGC_1795)*coupl(nGC_70)*coupl(nGC_72) + 6d0*coupl(     &
                        nGC_1919)*coupl(nGC_66)*coupl(nGC_72) - 6d0*coupl(     &
                        nGC_64)*coupl(nGC_661)*coupl(nGC_803) - 6d0*coupl(     &
                        nGC_65)*coupl(nGC_661)*coupl(nGC_82) + 6d0*coupl(nGC_65&
                        )*coupl(nGC_94)*coupl(nGC_96) + 6d0*coupl(nGC_70)*coupl&
                        (nGC_92)*coupl(nGC_96))/(192d0*pi**2d0)
      coupl(nGC_9106) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_133)*coupl(      &
                        nGC_134)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_137)*coupl(nGC_138)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_173)*coupl(     &
                        nGC_174)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_195)*coupl(nGC_196)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_137&
                        )*coupl(nGC_138)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_173)*coupl(nGC_174)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_180 &
                        )*coupl(nGC_181)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_2)*coupl( &
                        nGC_80) + 9d0*cima*coupl(nGC_1283)*coupl(nGC_3)*coupl( &
                        nGC_69)*coupl(nGC_781) + 4d0*cima*coupl(nGC_1319)*coupl&
                        (nGC_1529)*coupl(nGC_661)*coupl(nGC_96) + 9d0*cima*    &
                        coupl(nGC_1319)*coupl(nGC_82)*coupl(nGC_877)*coupl(    &
                        nGC_94) + 9d0*cima*coupl(nGC_1529)*coupl(nGC_3)*coupl( &
                        nGC_69)*coupl(nGC_877) + 4d0*cima*coupl(nGC_157)*coupl(&
                        nGC_158)*coupl(nGC_4)*coupl(nGC_80) + 24d0*cima*coupl( &
                        nGC_16)*coupl(nGC_803) + 4d0*cima*coupl(nGC_165)*coupl(&
                        nGC_166)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(  &
                        nGC_17)*coupl(nGC_1795)**2d0*coupl(nGC_2961) + 4d0*cima&
                        *coupl(nGC_17)*coupl(nGC_1795)*coupl(nGC_63)*coupl(    &
                        nGC_68) + 4d0*cima*coupl(nGC_17)*coupl(nGC_1919)**2d0* &
                        coupl(nGC_2961) + 4d0*cima*coupl(nGC_17)*coupl(nGC_1919&
                        )*coupl(nGC_63)*coupl(nGC_64) + 4d0*cima*coupl(nGC_17)*&
                        coupl(nGC_2961)*coupl(nGC_72)**2d0 + 4d0*cima*coupl(   &
                        nGC_188)*coupl(nGC_189)*coupl(nGC_4)*coupl(nGC_80) +   &
                        24d0*cima*coupl(nGC_5)*coupl(nGC_70) - 6d0*coupl(      &
                        nGC_1283)*coupl(nGC_69)*coupl(nGC_803) - 6d0*coupl(    &
                        nGC_1319)*coupl(nGC_803)*coupl(nGC_94) - 6d0*coupl(    &
                        nGC_1529)*coupl(nGC_5)*coupl(nGC_69) + 36d0*coupl(     &
                        nGC_16)*coupl(nGC_82)*coupl(nGC_877) - 6d0*coupl(nGC_17&
                        )*coupl(nGC_3)*coupl(nGC_70) + 6d0*coupl(nGC_1795)*    &
                        coupl(nGC_2961)*coupl(nGC_65) + 6d0*coupl(nGC_1795)*   &
                        coupl(nGC_63)*coupl(nGC_70) - 6d0*coupl(nGC_18)*coupl( &
                        nGC_69)*coupl(nGC_877) + 6d0*coupl(nGC_1919)*coupl(    &
                        nGC_2961)*coupl(nGC_70) + 6d0*coupl(nGC_1919)*coupl(   &
                        nGC_63)*coupl(nGC_66) + 6d0*coupl(nGC_2961)*coupl(     &
                        nGC_72)*coupl(nGC_74) - 6d0*coupl(nGC_3)*coupl(nGC_62)*&
                        coupl(nGC_69) + 36d0*coupl(nGC_3)*coupl(nGC_70)*coupl( &
                        nGC_877) - 6d0*coupl(nGC_61)*coupl(nGC_69)*coupl(      &
                        nGC_877) + 6d0*coupl(nGC_661)*coupl(nGC_74)*coupl(     &
                        nGC_96) - 6d0*coupl(nGC_69)*coupl(nGC_781)*coupl(nGC_97&
                        ) - 6d0*coupl(nGC_70)*coupl(nGC_82)*coupl(nGC_96) - 6d0&
                        *coupl(nGC_74)*coupl(nGC_82)*coupl(nGC_94))/(192d0*pi**&
                        2d0)
    end subroutine fill_CTcouplings_mdl30
end module fill_ctcouplings30
