!******************************************************************************!
!                                                                              !
!    fill_ctcouplings32.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings32.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings32
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl32()
      coupl(nGC_14311) = coupl(nGC_61)*dZHh_QED2 + coupl(nGC_61)*dZWMinus_QED2 &
                          + coupl(nGC_9365)
      coupl(nGC_12874) = coupl(nGC_12868) + coupl(nGC_9508)
      coupl(nGC_8718) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_84) + 2d0*&
                        Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_87) + 2d0*Nc*  &
                        cMC**2d0*cima*coupl(nGC_2)*coupl(nGC_85) + 2d0*Nc*cMC**&
                        2d0*cima*coupl(nGC_2)*coupl(nGC_88) + 2d0*Nc*cMD**2d0* &
                        cima*coupl(nGC_1)*coupl(nGC_84) + 2d0*Nc*cMD**2d0*cima*&
                        coupl(nGC_1)*coupl(nGC_87) + 2d0*Nc*cMS**2d0*cima*coupl&
                        (nGC_1)*coupl(nGC_84) + 2d0*Nc*cMS**2d0*cima*coupl(    &
                        nGC_1)*coupl(nGC_87) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2&
                        )*coupl(nGC_85) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*   &
                        coupl(nGC_88) + 2d0*Nc*cMU**2d0*cima*coupl(nGC_2)*coupl&
                        (nGC_85) + 2d0*Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(    &
                        nGC_88) + 2d0*cME**2d0*cima*coupl(nGC_4)*coupl(nGC_86  &
                        ) + 2d0*cME**2d0*cima*coupl(nGC_4)*coupl(nGC_89) + 2d0*&
                        cMM**2d0*cima*coupl(nGC_4)*coupl(nGC_86) + 2d0*cMM**2d0&
                        *cima*coupl(nGC_4)*coupl(nGC_89) + 2d0*cMTA**2d0*cima* &
                        coupl(nGC_4)*coupl(nGC_86) + 2d0*cMTA**2d0*cima*coupl( &
                        nGC_4)*coupl(nGC_89) + 3d0*cMW**2d0*cima*coupl(nGC_3)* &
                        coupl(nGC_82) + 3d0*cMW**2d0*cima*coupl(nGC_781)*coupl(&
                        nGC_877) - 2d0*cMW**2d0*coupl(nGC_83))/(16d0*pi**2d0)
      coupl(nGC_8719) = cima*(4d0*Nc*coupl(nGC_1313)*coupl(nGC_132) + 4d0*Nc*  &
                        coupl(nGC_143)*coupl(nGC_144) + 4d0*Nc*coupl(nGC_147)* &
                        coupl(nGC_148) + 4d0*Nc*coupl(nGC_171)*coupl(nGC_172   &
                        ) + 4d0*Nc*coupl(nGC_179)*coupl(nGC_2153) + 4d0*Nc*    &
                        coupl(nGC_194)*coupl(nGC_797) + coupl(nGC_1079)*coupl( &
                        nGC_92) + 2d0*coupl(nGC_1319)*coupl(nGC_72) + 4d0*coupl&
                        (nGC_155)*coupl(nGC_156) + 4d0*coupl(nGC_163)*coupl(   &
                        nGC_164) + 4d0*coupl(nGC_186)*coupl(nGC_187) + coupl(  &
                        nGC_661)*coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_12870) = coupl(nGC_132)*dZHa_QED2/2d0 + coupl(nGC_9507)
      coupl(nGC_12873) = -coupl(nGC_12868) - coupl(nGC_9508)
      coupl(nGC_12872) = coupl(nGC_12869) + coupl(nGC_12870)
      coupl(nGC_12974) = coupl(nGC_25)*dZHhHl_QED2 + coupl(nGC_28)*dZHaG0_QED2 &
                          + coupl(nGC_39)*dZHl_QED2 + coupl(nGC_9301)
      coupl(nGC_8713) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC** &
                        2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl&
                        (nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0  &
                         + 4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMU &
                        **2d0*cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima*coupl(&
                        nGC_4)**2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 4d0&
                        *cMTA**2d0*cima*coupl(nGC_4)**2d0 + 3d0*cMW**2d0*cima* &
                        coupl(nGC_3)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_877)** &
                        2d0 - 2d0*cMW**2d0*coupl(nGC_1247))/(16d0*pi**2d0)
      coupl(nGC_13871) = -coupl(nGC_13867)
      coupl(nGC_8716) = cima*(-2d0*Nc*coupl(nGC_1)*coupl(nGC_84) - 2d0*Nc*coupl&
                        (nGC_1)*coupl(nGC_87) - 2d0*Nc*coupl(nGC_2)*coupl(     &
                        nGC_85) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_88) - coupl(   &
                        nGC_3)*coupl(nGC_82) - 2d0*coupl(nGC_4)*coupl(nGC_86   &
                        ) - 2d0*coupl(nGC_4)*coupl(nGC_89) - coupl(nGC_781)*   &
                        coupl(nGC_877))/(32d0*pi**2d0)
      coupl(nGC_8717) = cima*(coupl(nGC_3)*coupl(nGC_82) + coupl(nGC_781)*coupl&
                        (nGC_877))/(48d0*pi**2d0)
      coupl(nGC_14002) = coupl(nGC_64)*dZHlHh_QED2/2d0 + coupl(nGC_69)*        &
                         dZHh_QED2/2d0 + coupl(nGC_69)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_9359)
      coupl(nGC_14003) = -coupl(nGC_13997) + coupl(nGC_14002)
      coupl(nGC_12893) = coupl(nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*           &
                         dZmuMinusR_QED2 + coupl(nGC_9396)
      coupl(nGC_8960) = (-4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_80)**2d0 - 4d0*Nc&
                        *cMC*coupl(nGC_133)*coupl(nGC_80)**2d0 - 4d0*Nc*cMD*   &
                        coupl(nGC_149)*coupl(nGC_80)**2d0 - 4d0*Nc*cMS*coupl(  &
                        nGC_173)*coupl(nGC_80)**2d0 - 4d0*Nc*cMT*coupl(nGC_180 &
                        )*coupl(nGC_80)**2d0 - 4d0*Nc*cMU*coupl(nGC_195)*coupl(&
                        nGC_80)**2d0 - 4d0*cME*coupl(nGC_157)*coupl(nGC_80)**  &
                        2d0 - 4d0*cMM*coupl(nGC_165)*coupl(nGC_80)**2d0 - 4d0* &
                        cMTA*coupl(nGC_188)*coupl(nGC_80)**2d0 + 2d0*cima*coupl&
                        (nGC_1153)*coupl(nGC_129) + 4d0*cima*coupl(nGC_125)*   &
                        coupl(nGC_78) - coupl(nGC_102)*coupl(nGC_1795)*coupl(  &
                        nGC_781) - coupl(nGC_102)*coupl(nGC_63)*coupl(nGC_781  &
                        ) - coupl(nGC_107)*coupl(nGC_2961)*coupl(nGC_781) -    &
                        coupl(nGC_107)*coupl(nGC_69)*coupl(nGC_781) + 6d0*coupl&
                        (nGC_125)*coupl(nGC_781)**2d0 + 6d0*coupl(nGC_125)*    &
                        coupl(nGC_877)**2d0 - coupl(nGC_126)*coupl(nGC_1795)*  &
                        coupl(nGC_877) - coupl(nGC_126)*coupl(nGC_63)*coupl(   &
                        nGC_877) - coupl(nGC_127)*coupl(nGC_2961)*coupl(nGC_877&
                        ) - coupl(nGC_127)*coupl(nGC_69)*coupl(nGC_877) + 6d0* &
                        coupl(nGC_129)*coupl(nGC_82)**2d0)/(32d0*pi**2d0)
      coupl(nGC_17933) = coupl(nGC_17929) + coupl(nGC_17932)
      coupl(nGC_8965) = (-coupl(nGC_1079)*coupl(nGC_1313)*coupl(nGC_88) - coupl&
                        (nGC_130)**2d0*coupl(nGC_133) - coupl(nGC_131)*coupl(  &
                        nGC_170)*coupl(nGC_173) - coupl(nGC_131)*coupl(nGC_63)*&
                        coupl(nGC_80) - coupl(nGC_1313)**2d0*coupl(nGC_133) -  &
                        coupl(nGC_1313)*coupl(nGC_85)*coupl(nGC_92) - coupl(   &
                        nGC_133)**3d0 - coupl(nGC_133)*coupl(nGC_135)**2d0 +   &
                        8d0*coupl(nGC_133)*coupl(nGC_2)**2d0 + 8d0*coupl(      &
                        nGC_133)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_134)* &
                        coupl(nGC_173)*coupl(nGC_174) - coupl(nGC_134)*coupl(  &
                        nGC_2961)*coupl(nGC_80) - coupl(nGC_135)*coupl(nGC_661 &
                        )*coupl(nGC_88) - coupl(nGC_135)*coupl(nGC_85)*coupl(  &
                        nGC_94))/(32d0*pi**2d0)
      coupl(nGC_12896) = coupl(nGC_12888) + coupl(nGC_12894)
      coupl(nGC_12895) = coupl(nGC_12888) + coupl(nGC_12893)
      coupl(nGC_13274) = coupl(nGC_9382) + coupl(nGC_99)*dZHh_QED2 + coupl(    &
                         nGC_99)*dZZ_QED2
      coupl(nGC_29240) = -coupl(nGC_8892)
      coupl(nGC_13271) = coupl(nGC_80)*dZWMinus_QED2/2d0 + coupl(nGC_80)*      &
                         dZmuMinusL_QED2/2d0 + coupl(nGC_80)*dZnu_muL_QED2/2d0 &
                          + coupl(nGC_9389)
      coupl(nGC_19429) = 2d0*coupl(nGC_19424)
      coupl(nGC_19428) = -coupl(nGC_19424)
      coupl(nGC_13171) = coupl(nGC_13118) + coupl(nGC_13169)
      coupl(nGC_13170) = coupl(nGC_13118) + coupl(nGC_13168)
      coupl(nGC_18749) = 2d0*coupl(nGC_11)*dZHl_QED2 + 2d0*coupl(nGC_9)*       &
                         dZHhHl_QED2 + coupl(nGC_9294)
      coupl(nGC_20803) = -coupl(nGC_20802)
      coupl(nGC_17407) = coupl(nGC_25)*dZHlHh_QED2 + coupl(nGC_29)*dZHaG0_QED2 &
                          + coupl(nGC_33)*dZHh_QED2 + coupl(nGC_9289)
      coupl(nGC_15024) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_81)*dZZA_QED2/  &
                         2d0 + coupl(nGC_9385)
      coupl(nGC_8769) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_137) - 8d0*Nc*&
                        cMC*coupl(nGC_133)*coupl(nGC_2)**2d0 - 8d0*Nc*cMD*coupl&
                        (nGC_1)**2d0*coupl(nGC_149) - 8d0*Nc*cMS*coupl(nGC_1)**&
                        2d0*coupl(nGC_173) - 8d0*Nc*cMT*coupl(nGC_180)*coupl(  &
                        nGC_2)**2d0 - 8d0*Nc*cMU*coupl(nGC_195)*coupl(nGC_2)** &
                        2d0 - 8d0*cME*coupl(nGC_157)*coupl(nGC_4)**2d0 - 8d0*  &
                        cMM*coupl(nGC_165)*coupl(nGC_4)**2d0 - 8d0*cMTA*coupl( &
                        nGC_188)*coupl(nGC_4)**2d0 + 4d0*cima*coupl(nGC_1247)* &
                        coupl(nGC_125) + 6d0*coupl(nGC_125)*coupl(nGC_3)**2d0  &
                         + 6d0*coupl(nGC_125)*coupl(nGC_877)**2d0 - coupl(     &
                        nGC_126)*coupl(nGC_1491)*coupl(nGC_877) - coupl(nGC_126&
                        )*coupl(nGC_1795)*coupl(nGC_3) - coupl(nGC_126)*coupl( &
                        nGC_3)*coupl(nGC_63) - coupl(nGC_126)*coupl(nGC_64)*   &
                        coupl(nGC_877) - coupl(nGC_127)*coupl(nGC_1919)*coupl( &
                        nGC_877) - coupl(nGC_127)*coupl(nGC_2961)*coupl(nGC_3  &
                        ) - coupl(nGC_127)*coupl(nGC_3)*coupl(nGC_69) - coupl( &
                        nGC_127)*coupl(nGC_68)*coupl(nGC_877))/(32d0*pi**2d0)
      coupl(nGC_8768) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_141) - 8d0*Nc*&
                        cMC*coupl(nGC_130)*coupl(nGC_2)**2d0 - 8d0*Nc*cMD*coupl&
                        (nGC_1)**2d0*coupl(nGC_145) - 8d0*Nc*cMS*coupl(nGC_1)**&
                        2d0*coupl(nGC_169) - 8d0*Nc*cMT*coupl(nGC_177)*coupl(  &
                        nGC_2)**2d0 - 8d0*Nc*cMU*coupl(nGC_192)*coupl(nGC_2)** &
                        2d0 - 8d0*cME*coupl(nGC_153)*coupl(nGC_4)**2d0 - 8d0*  &
                        cMM*coupl(nGC_161)*coupl(nGC_4)**2d0 - 8d0*cMTA*coupl( &
                        nGC_184)*coupl(nGC_4)**2d0 + 4d0*cima*coupl(nGC_124)*  &
                        coupl(nGC_1247) + 6d0*coupl(nGC_124)*coupl(nGC_3)**2d0 &
                         + 6d0*coupl(nGC_124)*coupl(nGC_877)**2d0 - coupl(     &
                        nGC_126)*coupl(nGC_1919)*coupl(nGC_877) - coupl(nGC_126&
                        )*coupl(nGC_2961)*coupl(nGC_3) - coupl(nGC_126)*coupl( &
                        nGC_3)*coupl(nGC_69) - coupl(nGC_126)*coupl(nGC_68)*   &
                        coupl(nGC_877) - coupl(nGC_127)*coupl(nGC_1491)*coupl( &
                        nGC_3) - coupl(nGC_127)*coupl(nGC_1795)*coupl(nGC_877  &
                        ) - coupl(nGC_127)*coupl(nGC_3)*coupl(nGC_64) - coupl( &
                        nGC_127)*coupl(nGC_63)*coupl(nGC_877))/(32d0*pi**2d0)
      coupl(nGC_8767) = (coupl(nGC_1319)*coupl(nGC_1529)*coupl(nGC_1919) +     &
                        coupl(nGC_1319)*coupl(nGC_17)*coupl(nGC_2961) - 6d0*   &
                        coupl(nGC_3)*coupl(nGC_69)*coupl(nGC_72) - 6d0*coupl(  &
                        nGC_68)*coupl(nGC_72)*coupl(nGC_877))/(96d0*pi**2d0)
      coupl(nGC_8814) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl(nGC_84  &
                        ) - 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl&
                        (nGC_88) + 2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_80)*    &
                        coupl(nGC_85) - 2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_80 &
                        )*coupl(nGC_87) - 2d0*Nc*cMC*coupl(nGC_134)*coupl(     &
                        nGC_80)*coupl(nGC_88) + 2d0*Nc*cMD*coupl(nGC_150)*coupl&
                        (nGC_80)*coupl(nGC_84) - 2d0*Nc*cMD*coupl(nGC_150)*    &
                        coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMD*coupl(nGC_150 &
                        )*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMS*coupl(      &
                        nGC_174)*coupl(nGC_80)*coupl(nGC_84) - 2d0*Nc*cMS*coupl&
                        (nGC_174)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMS*    &
                        coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMT&
                        *coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_85) - 2d0*Nc*  &
                        cMT*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc&
                        *cMT*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) + 2d0* &
                        Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_85) - 2d0&
                        *Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_87) -   &
                        2d0*Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_88   &
                        ) + 2d0*cME*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cME*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cME*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMM*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cMM*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cMM*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMTA*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_86 &
                        ) - 2d0*cMTA*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_89 &
                        ) - 2d0*cMTA*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_90 &
                        ) + 4d0*cima*coupl(nGC_107)*coupl(nGC_79) + 4d0*cima*  &
                        coupl(nGC_127)*coupl(nGC_803) - coupl(nGC_107)*coupl(  &
                        nGC_1283)*coupl(nGC_781) - coupl(nGC_107)*coupl(       &
                        nGC_1529)*coupl(nGC_877) + 6d0*coupl(nGC_107)*coupl(   &
                        nGC_781)*coupl(nGC_82) - coupl(nGC_124)*coupl(nGC_63)* &
                        coupl(nGC_82) - coupl(nGC_125)*coupl(nGC_68)*coupl(    &
                        nGC_82) + 6d0*coupl(nGC_127)*coupl(nGC_82)*coupl(      &
                        nGC_877) - coupl(nGC_128)*coupl(nGC_1491)*coupl(nGC_82 &
                        ) - coupl(nGC_129)*coupl(nGC_2961)*coupl(nGC_82))/(32d0&
                        *pi**2d0)
      coupl(nGC_8765) = (-2d0*Nc*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134) -  &
                        2d0*Nc*coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_142) - 2d0&
                        *Nc*coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_150) - 2d0*Nc&
                        *coupl(nGC_1)*coupl(nGC_170)*coupl(nGC_174) - 2d0*Nc*  &
                        coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_181) - 2d0*Nc*   &
                        coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196) + 2d0*Nc*   &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_2) + 2d0*Nc*   &
                        coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_2) + 2d0*Nc*   &
                        coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_2) + 2d0*Nc*   &
                        coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_2) + 2d0*Nc*   &
                        coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_2) + 2d0*Nc*   &
                        coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2) - 2d0*coupl(&
                        nGC_154)*coupl(nGC_158)*coupl(nGC_4) - 2d0*coupl(      &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_4) - 2d0*coupl(      &
                        nGC_185)*coupl(nGC_189)*coupl(nGC_4) - 3d0*coupl(nGC_63&
                        )*coupl(nGC_69)*coupl(nGC_877) - 3d0*coupl(nGC_64)*    &
                        coupl(nGC_69)*coupl(nGC_877))/(48d0*pi**2d0)
      coupl(nGC_8764) = (-2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_2)*coupl(nGC_80  &
                        ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_134)*coupl(nGC_80&
                        ) - 2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_80&
                        ) - 2d0*Nc*cMS*coupl(nGC_174)*coupl(nGC_2)*coupl(nGC_80&
                        ) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_181)*coupl(nGC_80&
                        ) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_196)*coupl(nGC_80&
                        ) + 4d0*cima*coupl(nGC_107)*coupl(nGC_803) + 4d0*cima* &
                        coupl(nGC_127)*coupl(nGC_5) + 6d0*coupl(nGC_107)*coupl(&
                        nGC_3)*coupl(nGC_781) - coupl(nGC_124)*coupl(nGC_3)*   &
                        coupl(nGC_63) - coupl(nGC_125)*coupl(nGC_3)*coupl(     &
                        nGC_68) - coupl(nGC_127)*coupl(nGC_1283)*coupl(nGC_781 &
                        ) - coupl(nGC_127)*coupl(nGC_1529)*coupl(nGC_877) + 6d0&
                        *coupl(nGC_127)*coupl(nGC_3)*coupl(nGC_877))/(32d0*pi**&
                        2d0)
      coupl(nGC_8763) = (-2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_2)*coupl(nGC_80  &
                        ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_134)*coupl(nGC_80&
                        ) - 2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_80&
                        ) - 2d0*Nc*cMS*coupl(nGC_174)*coupl(nGC_2)*coupl(nGC_80&
                        ) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_181)*coupl(nGC_80&
                        ) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_196)*coupl(nGC_80&
                        ) + 4d0*cima*coupl(nGC_107)*coupl(nGC_803) + 4d0*cima* &
                        coupl(nGC_127)*coupl(nGC_5) + 6d0*coupl(nGC_107)*coupl(&
                        nGC_82)*coupl(nGC_877) - coupl(nGC_124)*coupl(nGC_64)* &
                        coupl(nGC_877) - coupl(nGC_125)*coupl(nGC_69)*coupl(   &
                        nGC_877) - coupl(nGC_127)*coupl(nGC_17)*coupl(nGC_3) + &
                        6d0*coupl(nGC_127)*coupl(nGC_3)*coupl(nGC_877) - coupl(&
                        nGC_127)*coupl(nGC_82)*coupl(nGC_96))/(32d0*pi**2d0)
      coupl(nGC_8813) = (4d0*Nc*coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_174)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_181)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_80) +   &
                        coupl(nGC_1283)*coupl(nGC_1319)*coupl(nGC_3231) - 6d0* &
                        coupl(nGC_1319)*coupl(nGC_781)*coupl(nGC_91) + coupl(  &
                        nGC_1491)**2d0*coupl(nGC_1795) + coupl(nGC_1491)*coupl(&
                        nGC_68)*coupl(nGC_69) - 4d0*coupl(nGC_153)*coupl(      &
                        nGC_158)*coupl(nGC_80) - 4d0*coupl(nGC_161)*coupl(     &
                        nGC_166)*coupl(nGC_80) - 6d0*coupl(nGC_17)*coupl(nGC_3 &
                        )*coupl(nGC_63) + coupl(nGC_1795)*coupl(nGC_2961)**2d0 &
                         + coupl(nGC_1795)*coupl(nGC_72)**2d0 - 4d0*coupl(     &
                        nGC_184)*coupl(nGC_189)*coupl(nGC_80) + coupl(nGC_2961 &
                        )*coupl(nGC_63)*coupl(nGC_68) - 6d0*coupl(nGC_63)*coupl&
                        (nGC_82)*coupl(nGC_96))/(96d0*pi**2d0)
      coupl(nGC_12626) = coupl(nGC_26)*dZHa_QED2 + coupl(nGC_26)*dZHh_QED2/2d0 &
                          + coupl(nGC_26)*dZHl_QED2/2d0 + coupl(nGC_31)*       &
                         dZHlHh_QED2/2d0 + coupl(nGC_37)*dZG0Ha_QED2 + coupl(  &
                         nGC_38)*dZHhHl_QED2/2d0 + coupl(nGC_9315)
      coupl(nGC_8891) = (4d0*Nc*coupl(nGC_131)*coupl(nGC_1313)*coupl(nGC_80) - &
                        4d0*Nc*coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_171)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_2153)*coupl(nGC_80) +  &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_797)*coupl(nGC_80) -   &
                        6d0*coupl(nGC_1079)*coupl(nGC_1491)*coupl(nGC_781) +   &
                        coupl(nGC_1283)*coupl(nGC_1491)*coupl(nGC_92) + coupl( &
                        nGC_1283)*coupl(nGC_1919)*coupl(nGC_94) - 6d0*coupl(   &
                        nGC_1319)*coupl(nGC_17)*coupl(nGC_3) - 6d0*coupl(      &
                        nGC_1319)*coupl(nGC_82)*coupl(nGC_96) - 4d0*coupl(     &
                        nGC_154)*coupl(nGC_155)*coupl(nGC_80) - 4d0*coupl(     &
                        nGC_162)*coupl(nGC_163)*coupl(nGC_80) - 4d0*coupl(     &
                        nGC_185)*coupl(nGC_186)*coupl(nGC_80) - 6d0*coupl(     &
                        nGC_1919)*coupl(nGC_661)*coupl(nGC_781) + coupl(nGC_63 &
                        )**2d0*coupl(nGC_72) + coupl(nGC_69)**2d0*coupl(nGC_72 &
                        ) + coupl(nGC_72)**3d0)/(96d0*pi**2d0)
      coupl(nGC_13307) = 3d0*coupl(nGC_44)*dZHMinus_QED2/2d0 + coupl(nGC_51)*  &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_57)*              &
                         dZGMinusHMinus_QED2 + coupl(nGC_60)*                  &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_9329)
      coupl(nGC_15794) = 3d0*coupl(nGC_103)*dZHlHh_QED2/2d0 + 3d0*coupl(nGC_105&
                         )*dZHh_QED2/2d0 + coupl(nGC_9332) + coupl(            &
                         nGC_TS_GC_10_Hl) + coupl(nGC_TS_GC_12_Hh)
      coupl(nGC_24537) = -coupl(nGC_24531)
      coupl(nGC_24536) = coupl(nGC_9647) + coupl(nGC_MW)*dZWMinus_QED2 + coupl(&
                         nGC_TS_GC_124_Hl) + coupl(nGC_TS_GC_125_Hh)
      coupl(nGC_16514) = coupl(nGC_16506) + coupl(nGC_16513)
      coupl(nGC_12769) = coupl(nGC_43)*dZHa_QED2/2d0 + coupl(nGC_53)*          &
                         dZG0Ha_QED2/2d0 + coupl(nGC_56)*dZHaG0_QED2/2d0 +     &
                         coupl(nGC_58)*dZHMinusGMinus_QED2 + coupl(nGC_9325)
      coupl(nGC_8955) = (-coupl(nGC_1079)*coupl(nGC_195)*coupl(nGC_88) - coupl(&
                        nGC_1319)*coupl(nGC_193)*coupl(nGC_80) - coupl(nGC_146 &
                        )*coupl(nGC_148)*coupl(nGC_193) - coupl(nGC_148)*coupl(&
                        nGC_150)*coupl(nGC_196) - coupl(nGC_192)**2d0*coupl(   &
                        nGC_797) - coupl(nGC_192)*coupl(nGC_661)*coupl(nGC_88  &
                        ) - coupl(nGC_192)*coupl(nGC_85)*coupl(nGC_94) - coupl(&
                        nGC_194)**2d0*coupl(nGC_797) + 8d0*coupl(nGC_194)*coupl&
                        (nGC_2)**2d0 + 8d0*coupl(nGC_194)*coupl(nGC_85)*coupl( &
                        nGC_88) - coupl(nGC_195)**2d0*coupl(nGC_797) - coupl(  &
                        nGC_195)*coupl(nGC_85)*coupl(nGC_92) - coupl(nGC_198)**&
                        2d0*coupl(nGC_797))/(32d0*pi**2d0)
      coupl(nGC_14684) = coupl(nGC_80)*dZWMinus_QED2/2d0 + coupl(nGC_80)*      &
                         dZeMinusL_QED2/2d0 + coupl(nGC_80)*dZnu_eL_QED2/2d0 + &
                         coupl(nGC_9389)
      coupl(nGC_13652) = coupl(nGC_13651) + coupl(nGC_9441)
    end subroutine fill_CTcouplings_mdl32
end module fill_ctcouplings32
