!******************************************************************************!
!                                                                              !
!    fill_ctcouplings34.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings34.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings34
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl34()
      coupl(nGC_9091) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_80)**2d0 +  &
                        36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_80)** &
                        2d0 - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_80)**2d0&
                         - 8d0*cima*coupl(nGC_3)**2d0*coupl(nGC_781)**2d0 -    &
                        24d0*cima*coupl(nGC_3)**2d0*coupl(nGC_877)**2d0 - 12d0*&
                        cima*coupl(nGC_4)**2d0*coupl(nGC_80)**2d0 + 12d0*cima* &
                        coupl(nGC_5)**2d0 + 12d0*cima*coupl(nGC_803)**2d0 -    &
                        16d0*cima*coupl(nGC_82)**2d0*coupl(nGC_877)**2d0 + 3d0*&
                        coupl(nGC_1061)*coupl(nGC_3)**2d0 + 6d0*coupl(nGC_1247 &
                        )*coupl(nGC_3)*coupl(nGC_877) + 36d0*coupl(nGC_3)*coupl&
                        (nGC_5)*coupl(nGC_877) + 6d0*coupl(nGC_3)*coupl(nGC_781&
                        )*coupl(nGC_83) + 3d0*coupl(nGC_5)*coupl(nGC_781)**2d0 &
                         + 3d0*coupl(nGC_5)*coupl(nGC_877)**2d0 + 3d0*coupl(   &
                        nGC_78)*coupl(nGC_877)**2d0 + 36d0*coupl(nGC_803)*coupl&
                        (nGC_82)*coupl(nGC_877))/(96d0*pi**2d0)
      coupl(nGC_9096) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_1313)*coupl(     &
                        nGC_134)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_138)*coupl(nGC_144)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_147)*coupl(nGC_150)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_171)*coupl(     &
                        nGC_174)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_181)*coupl(nGC_2153)*coupl(nGC_80) - 16d0*Nc*&
                        cima*coupl(nGC_1)*coupl(nGC_196)*coupl(nGC_797)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_1313)*coupl(nGC_134)*  &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_138&
                        )*coupl(nGC_144)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_147)*coupl(nGC_150)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_171)*coupl(nGC_174)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_181 &
                        )*coupl(nGC_2)*coupl(nGC_2153)*coupl(nGC_80) + 4d0*Nc* &
                        cima*coupl(nGC_196)*coupl(nGC_2)*coupl(nGC_797)*coupl( &
                        nGC_80) + 9d0*cima*coupl(nGC_1079)*coupl(nGC_3)*coupl( &
                        nGC_68)*coupl(nGC_781) + 4d0*cima*coupl(nGC_1283)*coupl&
                        (nGC_17)*coupl(nGC_63)*coupl(nGC_94) + 4d0*cima*coupl( &
                        nGC_1283)*coupl(nGC_17)*coupl(nGC_68)*coupl(nGC_92) +  &
                        4d0*cima*coupl(nGC_1491)*coupl(nGC_1529)*coupl(nGC_69)*&
                        coupl(nGC_72) + 4d0*cima*coupl(nGC_1529)*coupl(nGC_2961&
                        )*coupl(nGC_63)*coupl(nGC_72) + 4d0*cima*coupl(nGC_155 &
                        )*coupl(nGC_158)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*&
                        coupl(nGC_163)*coupl(nGC_166)*coupl(nGC_4)*coupl(nGC_80&
                        ) + 4d0*cima*coupl(nGC_186)*coupl(nGC_189)*coupl(nGC_4 &
                        )*coupl(nGC_80) + 9d0*cima*coupl(nGC_3)*coupl(nGC_63)* &
                        coupl(nGC_661)*coupl(nGC_781) - 6d0*coupl(nGC_1079)*   &
                        coupl(nGC_68)*coupl(nGC_803) - 6d0*coupl(nGC_1079)*    &
                        coupl(nGC_70)*coupl(nGC_781) + 6d0*coupl(nGC_1283)*    &
                        coupl(nGC_65)*coupl(nGC_94) + 6d0*coupl(nGC_1283)*coupl&
                        (nGC_70)*coupl(nGC_92) + 6d0*coupl(nGC_1491)*coupl(    &
                        nGC_70)*coupl(nGC_72) + 6d0*coupl(nGC_2961)*coupl(     &
                        nGC_66)*coupl(nGC_72) - 6d0*coupl(nGC_63)*coupl(nGC_661&
                        )*coupl(nGC_803) - 6d0*coupl(nGC_65)*coupl(nGC_661)*   &
                        coupl(nGC_781))/(192d0*pi**2d0)
      coupl(nGC_9097) = (6d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_84)**2d0 + 6d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_87)**2d0 + 6d0*Nc*&
                        cima*coupl(nGC_2)**2d0*coupl(nGC_85)**2d0 + 6d0*Nc*cima&
                        *coupl(nGC_2)**2d0*coupl(nGC_88)**2d0 + 6d0*cima*coupl(&
                        nGC_1153)*coupl(nGC_1247) - 20d0*cima*coupl(nGC_3)**2d0&
                        *coupl(nGC_82)**2d0 + 6d0*cima*coupl(nGC_4)**2d0*coupl(&
                        nGC_86)**2d0 + 6d0*cima*coupl(nGC_4)**2d0*coupl(nGC_89 &
                        )**2d0 - 20d0*cima*coupl(nGC_781)**2d0*coupl(nGC_877)**&
                        2d0 + 9d0*coupl(nGC_1153)*coupl(nGC_3)**2d0 + 9d0*coupl&
                        (nGC_1153)*coupl(nGC_877)**2d0 + 9d0*coupl(nGC_1247)*  &
                        coupl(nGC_781)**2d0 + 9d0*coupl(nGC_1247)*coupl(nGC_82 &
                        )**2d0 + 6d0*coupl(nGC_3)*coupl(nGC_803)*coupl(nGC_82  &
                        ) + 6d0*coupl(nGC_781)*coupl(nGC_803)*coupl(nGC_877))/(&
                        48d0*pi**2d0)
      coupl(nGC_9094) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_134)*coupl(      &
                        nGC_135)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_138)*coupl(nGC_139)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_174)*coupl(     &
                        nGC_175)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_181)*coupl(nGC_182)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_196)*coupl(nGC_197)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_134)*coupl(nGC_135)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_138&
                        )*coupl(nGC_139)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_174)*coupl(nGC_175)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_181 &
                        )*coupl(nGC_182)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_196)*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                        nGC_80) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_17)*coupl(&
                        nGC_63)*coupl(nGC_91) + 4d0*cima*coupl(nGC_1283)*coupl(&
                        nGC_17)*coupl(nGC_68)*coupl(nGC_94) + 9d0*cima*coupl(  &
                        nGC_1319)*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_877) +  &
                        9d0*cima*coupl(nGC_1319)*coupl(nGC_82)*coupl(nGC_877)* &
                        coupl(nGC_96) + 4d0*cima*coupl(nGC_1491)**2d0*coupl(   &
                        nGC_1529)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1529)*    &
                        coupl(nGC_2961)**2d0*coupl(nGC_72) + 4d0*cima*coupl(   &
                        nGC_1529)*coupl(nGC_72)**3d0 + 4d0*cima*coupl(nGC_158)*&
                        coupl(nGC_159)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*  &
                        coupl(nGC_166)*coupl(nGC_167)*coupl(nGC_4)*coupl(nGC_80&
                        ) + 4d0*cima*coupl(nGC_189)*coupl(nGC_190)*coupl(nGC_4 &
                        )*coupl(nGC_80) + 24d0*cima*coupl(nGC_19)*coupl(nGC_803&
                        ) + 9d0*cima*coupl(nGC_3)*coupl(nGC_3231)*coupl(nGC_63 &
                        )*coupl(nGC_781) + 9d0*cima*coupl(nGC_3)*coupl(nGC_661 &
                        )*coupl(nGC_68)*coupl(nGC_781) + 24d0*cima*coupl(nGC_5 &
                        )*coupl(nGC_73) + 6d0*coupl(nGC_1283)*coupl(nGC_65)*   &
                        coupl(nGC_91) + 6d0*coupl(nGC_1283)*coupl(nGC_70)*coupl&
                        (nGC_94) - 6d0*coupl(nGC_1283)*coupl(nGC_73)*coupl(    &
                        nGC_781) - 6d0*coupl(nGC_1319)*coupl(nGC_17)*coupl(    &
                        nGC_5) - 6d0*coupl(nGC_1319)*coupl(nGC_18)*coupl(nGC_3 &
                        ) - 6d0*coupl(nGC_1319)*coupl(nGC_3)*coupl(nGC_62) -   &
                        6d0*coupl(nGC_1319)*coupl(nGC_62)*coupl(nGC_877) - 6d0*&
                        coupl(nGC_1319)*coupl(nGC_803)*coupl(nGC_96) - 6d0*    &
                        coupl(nGC_1319)*coupl(nGC_82)*coupl(nGC_97) + 6d0*coupl&
                        (nGC_1491)*coupl(nGC_65)*coupl(nGC_72) - 6d0*coupl(    &
                        nGC_1529)*coupl(nGC_73)*coupl(nGC_877) + 36d0*coupl(   &
                        nGC_19)*coupl(nGC_3)*coupl(nGC_781) + 6d0*coupl(       &
                        nGC_2961)*coupl(nGC_70)*coupl(nGC_72) + 36d0*coupl(    &
                        nGC_3)*coupl(nGC_73)*coupl(nGC_877) - 6d0*coupl(       &
                        nGC_3231)*coupl(nGC_63)*coupl(nGC_803) - 6d0*coupl(    &
                        nGC_3231)*coupl(nGC_65)*coupl(nGC_781) - 6d0*coupl(    &
                        nGC_661)*coupl(nGC_68)*coupl(nGC_803) - 6d0*coupl(     &
                        nGC_661)*coupl(nGC_70)*coupl(nGC_781) + 6d0*coupl(     &
                        nGC_72)**2d0*coupl(nGC_73))/(192d0*pi**2d0)
      coupl(nGC_9098) = (12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_84)**2d0 +   &
                        12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_87)**2d0 +    &
                        12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_85)**2d0 +    &
                        12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_88)**2d0 -    &
                        40d0*cima*coupl(nGC_3)**2d0*coupl(nGC_82)**2d0 + 12d0* &
                        cima*coupl(nGC_4)**2d0*coupl(nGC_86)**2d0 + 12d0*cima* &
                        coupl(nGC_4)**2d0*coupl(nGC_89)**2d0 - 40d0*cima*coupl(&
                        nGC_781)**2d0*coupl(nGC_877)**2d0 + 12d0*cima*coupl(   &
                        nGC_83)**2d0 + 3d0*coupl(nGC_3)**2d0*coupl(nGC_79) +   &
                        6d0*coupl(nGC_3)*coupl(nGC_803)*coupl(nGC_82) + 36d0*  &
                        coupl(nGC_3)*coupl(nGC_82)*coupl(nGC_83) + 3d0*coupl(  &
                        nGC_5)*coupl(nGC_781)**2d0 + 3d0*coupl(nGC_5)*coupl(   &
                        nGC_82)**2d0 + 6d0*coupl(nGC_781)*coupl(nGC_803)*coupl(&
                        nGC_877) + 36d0*coupl(nGC_781)*coupl(nGC_83)*coupl(    &
                        nGC_877) + 3d0*coupl(nGC_79)*coupl(nGC_877)**2d0)/(96d0&
                        *pi**2d0)
      coupl(nGC_9099) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_133)*coupl(      &
                        nGC_134)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_137)*coupl(nGC_138)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_173)*coupl(     &
                        nGC_174)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_195)*coupl(nGC_196)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_137&
                        )*coupl(nGC_138)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_173)*coupl(nGC_174)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_180 &
                        )*coupl(nGC_181)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_2)*coupl( &
                        nGC_80) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_1319)*    &
                        coupl(nGC_17)*coupl(nGC_661) + 9d0*cima*coupl(nGC_1319 &
                        )*coupl(nGC_3)*coupl(nGC_781)*coupl(nGC_94) + 4d0*cima*&
                        coupl(nGC_1491)**2d0*coupl(nGC_1529)*coupl(nGC_1919) + &
                        4d0*cima*coupl(nGC_1491)*coupl(nGC_1529)*coupl(nGC_64)*&
                        coupl(nGC_69) + 4d0*cima*coupl(nGC_1529)*coupl(nGC_1919&
                        )*coupl(nGC_2961)**2d0 + 4d0*cima*coupl(nGC_1529)*coupl&
                        (nGC_1919)*coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_1529&
                        )*coupl(nGC_2961)*coupl(nGC_63)*coupl(nGC_64) + 4d0*   &
                        cima*coupl(nGC_157)*coupl(nGC_158)*coupl(nGC_4)*coupl( &
                        nGC_80) + 24d0*cima*coupl(nGC_16)*coupl(nGC_803) + 4d0*&
                        cima*coupl(nGC_165)*coupl(nGC_166)*coupl(nGC_4)*coupl( &
                        nGC_80) + 9d0*cima*coupl(nGC_17)*coupl(nGC_3)*coupl(   &
                        nGC_68)*coupl(nGC_877) + 4d0*cima*coupl(nGC_188)*coupl(&
                        nGC_189)*coupl(nGC_4)*coupl(nGC_80) + 24d0*cima*coupl( &
                        nGC_5)*coupl(nGC_70) + 9d0*cima*coupl(nGC_68)*coupl(   &
                        nGC_82)*coupl(nGC_877)*coupl(nGC_96) + 6d0*coupl(      &
                        nGC_1283)*coupl(nGC_661)*coupl(nGC_73) - 6d0*coupl(    &
                        nGC_1283)*coupl(nGC_70)*coupl(nGC_781) - 6d0*coupl(    &
                        nGC_1319)*coupl(nGC_803)*coupl(nGC_94) + 6d0*coupl(    &
                        nGC_1491)*coupl(nGC_1919)*coupl(nGC_65) + 6d0*coupl(   &
                        nGC_1491)*coupl(nGC_64)*coupl(nGC_70) - 6d0*coupl(     &
                        nGC_1529)*coupl(nGC_70)*coupl(nGC_877) + 36d0*coupl(   &
                        nGC_16)*coupl(nGC_3)*coupl(nGC_781) - 6d0*coupl(nGC_17 &
                        )*coupl(nGC_5)*coupl(nGC_68) - 6d0*coupl(nGC_18)*coupl(&
                        nGC_3)*coupl(nGC_68) + 6d0*coupl(nGC_1919)*coupl(      &
                        nGC_2961)*coupl(nGC_70) + 6d0*coupl(nGC_1919)*coupl(   &
                        nGC_72)*coupl(nGC_73) + 6d0*coupl(nGC_2961)*coupl(     &
                        nGC_64)*coupl(nGC_66) - 6d0*coupl(nGC_3)*coupl(nGC_61)*&
                        coupl(nGC_68) + 36d0*coupl(nGC_3)*coupl(nGC_70)*coupl( &
                        nGC_877) - 6d0*coupl(nGC_62)*coupl(nGC_68)*coupl(      &
                        nGC_877) - 6d0*coupl(nGC_68)*coupl(nGC_803)*coupl(     &
                        nGC_96) - 6d0*coupl(nGC_68)*coupl(nGC_82)*coupl(nGC_97 &
                        ) - 6d0*coupl(nGC_73)*coupl(nGC_781)*coupl(nGC_94))/(  &
                        192d0*pi**2d0)
      coupl(nGC_15542) = coupl(nGC_161)*dZHlHh_QED2/2d0 + coupl(nGC_165)*      &
                         dZHh_QED2/2d0 + coupl(nGC_9470)
      coupl(nGC_15543) = coupl(nGC_15541) + coupl(nGC_15542)
      coupl(nGC_13687) = coupl(nGC_23)*dZHlHh_QED2 + coupl(nGC_27)*            &
                         dZHMinusGMinus_QED2 + coupl(nGC_32)*dZHh_QED2 + coupl(&
                         nGC_9290)
      coupl(nGC_15548) = -coupl(nGC_13729)
      coupl(nGC_13769) = coupl(nGC_154)*dZHMinus_QED2/2d0 + coupl(nGC_154)*    &
                         dZeMinusR_QED2/2d0 + coupl(nGC_154)*dZnu_eL_QED2/2d0  &
                          + coupl(nGC_158)*dZGMinusHMinus_QED2/2d0 + coupl(    &
                         nGC_9460)
      coupl(nGC_14930) = coupl(nGC_14808) + coupl(nGC_14928)
      coupl(nGC_9174) = (10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_1313)*coupl(    &
                        nGC_133)*coupl(nGC_134) + 10d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_1313)*coupl(nGC_173)*coupl(nGC_174) + 10d0*Nc&
                        *cima*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_133)*    &
                        coupl(nGC_134) + 10d0*Nc*cima*coupl(nGC_131)*coupl(    &
                        nGC_133)*coupl(nGC_172)*coupl(nGC_174) + 10d0*Nc*cima* &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_171)*coupl(    &
                        nGC_173) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)* &
                        coupl(nGC_172)*coupl(nGC_173) + 10d0*Nc*cima*coupl(    &
                        nGC_1313)*coupl(nGC_133)*coupl(nGC_170)*coupl(nGC_174  &
                        ) + 10d0*Nc*cima*coupl(nGC_132)*coupl(nGC_133)*coupl(  &
                        nGC_170)*coupl(nGC_174) + 10d0*Nc*cima*coupl(nGC_132)* &
                        coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_173) + 10d0*Nc*&
                        cima*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_170)*coupl&
                        (nGC_171) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*&
                        coupl(nGC_142)*coupl(nGC_143) + 10d0*Nc*cima*coupl(    &
                        nGC_137)*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_144   &
                        ) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*coupl(  &
                        nGC_178)*coupl(nGC_2153) + 10d0*Nc*cima*coupl(nGC_137)*&
                        coupl(nGC_142)*coupl(nGC_179)*coupl(nGC_181) + 10d0*Nc*&
                        cima*coupl(nGC_137)*coupl(nGC_143)*coupl(nGC_178)*coupl&
                        (nGC_181) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_144)*&
                        coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_142)*coupl(nGC_179)*coupl(nGC_180   &
                        ) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(  &
                        nGC_180)*coupl(nGC_2153) + 10d0*Nc*cima*coupl(nGC_138)*&
                        coupl(nGC_143)*coupl(nGC_178)*coupl(nGC_180) + 10d0*Nc*&
                        cima*coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_180)*coupl&
                        (nGC_181) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_147)*&
                        coupl(nGC_149)*coupl(nGC_150) + 10d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_147)*coupl(nGC_195)*coupl(nGC_196   &
                        ) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_148)*coupl(  &
                        nGC_149)*coupl(nGC_150) + 10d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_149)*coupl(nGC_194)*coupl(nGC_196) + 10d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_194)*coupl&
                        (nGC_195) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*&
                        coupl(nGC_195)*coupl(nGC_797) + 10d0*Nc*cima*coupl(    &
                        nGC_147)*coupl(nGC_149)*coupl(nGC_193)*coupl(nGC_196   &
                        ) + 10d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149)*coupl(  &
                        nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_148)* &
                        coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_195) + 10d0*Nc*&
                        cima*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_193)*coupl&
                        (nGC_797) + 10d0*Nc*cima*coupl(nGC_170)*coupl(nGC_171)*&
                        coupl(nGC_173)*coupl(nGC_174) + 10d0*Nc*cima*coupl(    &
                        nGC_170)*coupl(nGC_172)*coupl(nGC_173)*coupl(nGC_174   &
                        ) + 10d0*Nc*cima*coupl(nGC_178)*coupl(nGC_179)*coupl(  &
                        nGC_180)*coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_178)* &
                        coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_2153) + 10d0*Nc&
                        *cima*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_195)*    &
                        coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_193)*coupl(    &
                        nGC_195)*coupl(nGC_196)*coupl(nGC_797) - 5d0*cima*coupl&
                        (nGC_1079)*coupl(nGC_1283)*coupl(nGC_1491)*coupl(nGC_69&
                        ) - 5d0*cima*coupl(nGC_1079)*coupl(nGC_1491)*coupl(    &
                        nGC_661)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1283)*coupl&
                        (nGC_1795)*coupl(nGC_63)*coupl(nGC_94) - 5d0*cima*coupl&
                        (nGC_1283)*coupl(nGC_1919)*coupl(nGC_63)*coupl(nGC_92  &
                        ) - 5d0*cima*coupl(nGC_1283)*coupl(nGC_1919)*coupl(    &
                        nGC_661)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1319)**2d0*&
                        coupl(nGC_94)*coupl(nGC_96) - 5d0*cima*coupl(nGC_1319)*&
                        coupl(nGC_17)**2d0*coupl(nGC_1919) - 5d0*cima*coupl(   &
                        nGC_1319)*coupl(nGC_1795)*coupl(nGC_92)*coupl(nGC_94   &
                        ) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1919)*coupl(    &
                        nGC_92)**2d0 - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1919 &
                        )*coupl(nGC_96)**2d0 - 5d0*cima*coupl(nGC_1319)*coupl( &
                        nGC_63)*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(  &
                        nGC_1319)*coupl(nGC_64)**2d0*coupl(nGC_69) - 5d0*cima* &
                        coupl(nGC_1491)*coupl(nGC_63)*coupl(nGC_69)*coupl(     &
                        nGC_72) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_64)*coupl(&
                        nGC_69)*coupl(nGC_72) + 10d0*cima*coupl(nGC_154)*coupl(&
                        nGC_155)*coupl(nGC_157)*coupl(nGC_158) + 10d0*cima*    &
                        coupl(nGC_154)*coupl(nGC_156)*coupl(nGC_157)*coupl(    &
                        nGC_158) + 12d0*cima*coupl(nGC_16)*coupl(nGC_19) + 10d0&
                        *cima*coupl(nGC_162)*coupl(nGC_163)*coupl(nGC_165)*    &
                        coupl(nGC_166) + 10d0*cima*coupl(nGC_162)*coupl(nGC_164&
                        )*coupl(nGC_165)*coupl(nGC_166) + 10d0*cima*coupl(     &
                        nGC_185)*coupl(nGC_186)*coupl(nGC_188)*coupl(nGC_189   &
                        ) + 10d0*cima*coupl(nGC_185)*coupl(nGC_187)*coupl(     &
                        nGC_188)*coupl(nGC_189) - 5d0*cima*coupl(nGC_1919)*    &
                        coupl(nGC_661)**2d0*coupl(nGC_72) + 12d0*cima*coupl(   &
                        nGC_70)*coupl(nGC_73) + 3d0*coupl(nGC_1079)**2d0*coupl(&
                        nGC_49) + 3d0*coupl(nGC_1079)*coupl(nGC_1283)*coupl(   &
                        nGC_27) + 3d0*coupl(nGC_1079)*coupl(nGC_1283)*coupl(   &
                        nGC_42) - 3d0*coupl(nGC_1079)*coupl(nGC_1491)*coupl(   &
                        nGC_16) + 6d0*coupl(nGC_1079)*coupl(nGC_41)*coupl(     &
                        nGC_661) + 3d0*coupl(nGC_1283)*coupl(nGC_27)*coupl(    &
                        nGC_92) + 3d0*coupl(nGC_1283)*coupl(nGC_36)*coupl(     &
                        nGC_661) + 3d0*coupl(nGC_1283)*coupl(nGC_36)*coupl(    &
                        nGC_94) + 3d0*coupl(nGC_1283)*coupl(nGC_42)*coupl(     &
                        nGC_92) + 3d0*coupl(nGC_1283)*coupl(nGC_58)*coupl(     &
                        nGC_661) + 3d0*coupl(nGC_1283)*coupl(nGC_58)*coupl(    &
                        nGC_94) + 3d0*coupl(nGC_1319)*coupl(nGC_1491)*coupl(   &
                        nGC_42) - 3d0*coupl(nGC_1319)*coupl(nGC_16)*coupl(     &
                        nGC_96) - 3d0*coupl(nGC_1319)*coupl(nGC_17)*coupl(     &
                        nGC_70) + 3d0*coupl(nGC_1319)*coupl(nGC_1795)*coupl(   &
                        nGC_26) + 3d0*coupl(nGC_1319)*coupl(nGC_1919)*coupl(   &
                        nGC_38) + 3d0*coupl(nGC_1319)*coupl(nGC_1919)*coupl(   &
                        nGC_57) + 3d0*coupl(nGC_1319)*coupl(nGC_22)*coupl(     &
                        nGC_64) + 3d0*coupl(nGC_1319)*coupl(nGC_2961)*coupl(   &
                        nGC_60) + 3d0*coupl(nGC_1319)*coupl(nGC_34)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_1319)*coupl(nGC_44)*coupl(     &
                        nGC_63) + 3d0*coupl(nGC_1319)*coupl(nGC_44)*coupl(     &
                        nGC_64) + 3d0*coupl(nGC_1319)*coupl(nGC_58)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_1491)*coupl(nGC_29)*coupl(     &
                        nGC_72) - 3d0*coupl(nGC_15)*coupl(nGC_1795)*coupl(     &
                        nGC_94) - 3d0*coupl(nGC_15)*coupl(nGC_1919)*coupl(     &
                        nGC_92) - 3d0*coupl(nGC_16)*coupl(nGC_1919)*coupl(     &
                        nGC_661) + 3d0*coupl(nGC_17)**2d0*coupl(nGC_49) - 3d0* &
                        coupl(nGC_17)*coupl(nGC_1919)*coupl(nGC_73) - 3d0*coupl&
                        (nGC_19)*coupl(nGC_1919)*coupl(nGC_96) - 3d0*coupl(    &
                        nGC_19)*coupl(nGC_661)*coupl(nGC_72) + 3d0*coupl(      &
                        nGC_1919)*coupl(nGC_37)*coupl(nGC_72) + 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_56)*coupl(nGC_72) + 3d0*coupl(     &
                        nGC_27)*coupl(nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_36 &
                        )*coupl(nGC_69)*coupl(nGC_72) + 3d0*coupl(nGC_41)*coupl&
                        (nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_41)*coupl(nGC_64&
                        )*coupl(nGC_69) + 3d0*coupl(nGC_42)*coupl(nGC_64)*coupl&
                        (nGC_72) + 3d0*coupl(nGC_48)*coupl(nGC_661)**2d0 + 3d0*&
                        coupl(nGC_49)*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl( &
                        nGC_49)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_49 &
                        )*coupl(nGC_72)**2d0 + 3d0*coupl(nGC_49)*coupl(nGC_96  &
                        )**2d0)/(96d0*pi**2d0)
      coupl(nGC_15973) = coupl(nGC_114)*dZG0Ha_QED2/2d0 + coupl(nGC_123)*      &
                         dZHMinus_QED2/2d0 + coupl(nGC_123)*dZHa_QED2/2d0 +    &
                         coupl(nGC_9336) + coupl(nGC_TS_GC_41_Hl) + coupl(     &
                         nGC_TS_GC_49_Hh)
      coupl(nGC_14127) = coupl(nGC_14125) - coupl(nGC_14126)
      coupl(nGC_13960) = coupl(nGC_13956) + coupl(nGC_13957)
      coupl(nGC_17722) = coupl(nGC_16562) + coupl(nGC_17719)
      coupl(nGC_17721) = coupl(nGC_16562) + coupl(nGC_17720)
      coupl(nGC_13460) = coupl(nGC_9633) + coupl(nGC_TS_GC_184_Hl) + coupl(    &
                         nGC_TS_GC_188_Hh)
      coupl(nGC_21846) = coupl(nGC_9627) + coupl(nGC_MHL)*dZHl_QED2 + coupl(   &
                         nGC_TS_GC_104_Hl) + coupl(nGC_TS_GC_106_Hh)
      coupl(nGC_14308) = coupl(nGC_46)*dZHaG0_QED2 + coupl(nGC_47)*dZG0Ha_QED2 &
                          + coupl(nGC_59)*dZHa_QED2 + coupl(nGC_9298)
      coupl(nGC_13869) = coupl(nGC_17)*dZA_QED2/2d0 + coupl(nGC_9351) + coupl( &
                         nGC_96)*dZZA_QED2/2d0
      coupl(nGC_16446) = coupl(nGC_13956) + coupl(nGC_16445)
      coupl(nGC_16447) = coupl(nGC_13956) + coupl(nGC_16444)
      coupl(nGC_13048) = coupl(nGC_80)*dZWMinus_QED2/2d0 + coupl(nGC_80)*      &
                         dZbL_QED2/2d0 + coupl(nGC_80)*dZtL_QED2/2d0 + coupl(  &
                         nGC_9389)
      coupl(nGC_12708) = coupl(nGC_27)*dZHMinus_QED2/2d0 + coupl(nGC_27)*      &
                         dZHh_QED2 + coupl(nGC_32)*dZGMinusHMinus_QED2/2d0 +   &
                         coupl(nGC_34)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_36)*&
                         dZHlHh_QED2 + coupl(nGC_9319)
      coupl(nGC_26927) = coupl(nGC_9628) + coupl(nGC_MHH)*dZHh_QED2 + coupl(   &
                         nGC_TS_GC_103_Hl) + coupl(nGC_TS_GC_105_Hh)
      coupl(nGC_12797) = coupl(nGC_102)*dZZA_QED2/2d0 + coupl(nGC_126)*dZA_QED2&
                         /2d0 + coupl(nGC_126)*dZHMinus_QED2/2d0 + coupl(      &
                         nGC_126)*dZWMinus_QED2/2d0 + coupl(nGC_127)*          &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_9357) + coupl(    &
                         nGC_TS_GC_66_Hh) + coupl(nGC_TS_GC_70_Hl)
      coupl(nGC_8778) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_80)**2d0 - 12d0*Nc*    &
                        coupl(nGC_2)*coupl(nGC_80)**2d0 - 11d0*coupl(nGC_3)*   &
                        coupl(nGC_781)**2d0 - 11d0*coupl(nGC_3)*coupl(nGC_877  &
                        )**2d0 + 12d0*coupl(nGC_4)*coupl(nGC_80)**2d0)/(96d0*pi&
                        **2d0)
      coupl(nGC_8779) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_137)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_140) +     &
                        coupl(nGC_1)*coupl(nGC_141)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_143)*coupl(nGC_144) + 4d0*coupl(nGC_1)*coupl(nGC_87&
                        )**2d0 + coupl(nGC_178)**2d0*coupl(nGC_2) + coupl(     &
                        nGC_181)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(   &
                        nGC_80)**2d0 + 4d0*coupl(nGC_80)**2d0*coupl(nGC_877))/(&
                        32d0*pi**2d0)
      coupl(nGC_8774) = (coupl(nGC_1319)*coupl(nGC_1529)*coupl(nGC_64) + coupl(&
                        nGC_1319)*coupl(nGC_17)*coupl(nGC_63) - 6d0*coupl(     &
                        nGC_1491)*coupl(nGC_72)*coupl(nGC_877) - 6d0*coupl(    &
                        nGC_1795)*coupl(nGC_3)*coupl(nGC_72))/(96d0*pi**2d0)
      coupl(nGC_8775) = (coupl(nGC_1319)*coupl(nGC_1529)*coupl(nGC_68) + coupl(&
                        nGC_1319)*coupl(nGC_17)*coupl(nGC_69) - 6d0*coupl(     &
                        nGC_1919)*coupl(nGC_72)*coupl(nGC_877) - 6d0*coupl(    &
                        nGC_2961)*coupl(nGC_3)*coupl(nGC_72))/(96d0*pi**2d0)
      coupl(nGC_13812) = coupl(nGC_43)*dZHMinus_QED2/2d0 + coupl(nGC_53)*      &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_56)*              &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_58)*dZHaG0_QED2 + &
                         coupl(nGC_9325)
      coupl(nGC_8801) = (coupl(nGC_1)*coupl(nGC_193)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_196)**2d0 + coupl(nGC_192)**2d0*coupl(nGC_2) +     &
                        coupl(nGC_194)*coupl(nGC_2)*coupl(nGC_797) + coupl(    &
                        nGC_195)**2d0*coupl(nGC_2) + coupl(nGC_197)*coupl(     &
                        nGC_198)*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*   &
                        coupl(nGC_2)*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8806) = (4d0*Nc*coupl(nGC_134)*coupl(nGC_135)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_174)*coupl(nGC_175)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_181)*coupl(nGC_182)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_196)*coupl(nGC_197)*coupl(nGC_80) +   &
                        coupl(nGC_1283)*coupl(nGC_63)*coupl(nGC_91) + coupl(   &
                        nGC_1283)*coupl(nGC_68)*coupl(nGC_94) - 6d0*coupl(     &
                        nGC_1319)*coupl(nGC_17)*coupl(nGC_3) - 6d0*coupl(      &
                        nGC_1319)*coupl(nGC_82)*coupl(nGC_96) + coupl(nGC_1491 &
                        )**2d0*coupl(nGC_72) - 4d0*coupl(nGC_158)*coupl(nGC_159&
                        )*coupl(nGC_80) - 4d0*coupl(nGC_166)*coupl(nGC_167)*   &
                        coupl(nGC_80) - 4d0*coupl(nGC_189)*coupl(nGC_190)*coupl&
                        (nGC_80) + coupl(nGC_2961)**2d0*coupl(nGC_72) - 6d0*   &
                        coupl(nGC_3231)*coupl(nGC_63)*coupl(nGC_781) - 6d0*    &
                        coupl(nGC_661)*coupl(nGC_68)*coupl(nGC_781) + coupl(   &
                        nGC_72)**3d0)/(96d0*pi**2d0)
      coupl(nGC_8807) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_143&
                        ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_142)*coupl(    &
                        nGC_144) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*   &
                        coupl(nGC_179) + 2d0*Nc*cMB*coupl(nGC_142)*coupl(      &
                        nGC_181)*coupl(nGC_2153) + 2d0*Nc*cMB*coupl(nGC_143)*  &
                        coupl(nGC_178)*coupl(nGC_181) + 2d0*Nc*cMB*coupl(      &
                        nGC_144)*coupl(nGC_178)*coupl(nGC_181) + 2d0*Nc*cMC*   &
                        coupl(nGC_131)*coupl(nGC_1313)*coupl(nGC_134) + 2d0*Nc*&
                        cMC*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_134) + 2d0*&
                        Nc*cMC*coupl(nGC_131)*coupl(nGC_171)*coupl(nGC_174) +  &
                        2d0*Nc*cMC*coupl(nGC_1313)*coupl(nGC_170)*coupl(nGC_174&
                        ) + 2d0*Nc*cMC*coupl(nGC_132)*coupl(nGC_170)*coupl(    &
                        nGC_174) + 2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_170)*   &
                        coupl(nGC_172) + 2d0*Nc*cMD*coupl(nGC_146)*coupl(      &
                        nGC_147)*coupl(nGC_150) + 2d0*Nc*cMD*coupl(nGC_146)*   &
                        coupl(nGC_148)*coupl(nGC_150) + 2d0*Nc*cMD*coupl(      &
                        nGC_146)*coupl(nGC_196)*coupl(nGC_797) + 2d0*Nc*cMD*   &
                        coupl(nGC_147)*coupl(nGC_193)*coupl(nGC_196) + 2d0*Nc* &
                        cMD*coupl(nGC_148)*coupl(nGC_193)*coupl(nGC_196) + 2d0*&
                        Nc*cMD*coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_194) +  &
                        2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_174 &
                        ) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                        nGC_171) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*   &
                        coupl(nGC_172) + 2d0*Nc*cMS*coupl(nGC_1313)*coupl(     &
                        nGC_134)*coupl(nGC_170) + 2d0*Nc*cMS*coupl(nGC_170)*   &
                        coupl(nGC_171)*coupl(nGC_174) + 2d0*Nc*cMS*coupl(      &
                        nGC_170)*coupl(nGC_172)*coupl(nGC_174) + 2d0*Nc*cMT*   &
                        coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_179) + 2d0*Nc* &
                        cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_2153) + 2d0&
                        *Nc*cMT*coupl(nGC_138)*coupl(nGC_144)*coupl(nGC_178) + &
                        2d0*Nc*cMT*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_181 &
                        ) + 2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_179)*coupl(    &
                        nGC_181) + 2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_181)*   &
                        coupl(nGC_2153) + 2d0*Nc*cMU*coupl(nGC_146)*coupl(     &
                        nGC_148)*coupl(nGC_196) + 2d0*Nc*cMU*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_194) + 2d0*Nc*cMU*coupl(      &
                        nGC_146)*coupl(nGC_150)*coupl(nGC_797) + 2d0*Nc*cMU*   &
                        coupl(nGC_147)*coupl(nGC_150)*coupl(nGC_193) + 2d0*Nc* &
                        cMU*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_196) + 2d0*&
                        Nc*cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_797) +  &
                        2d0*cME*coupl(nGC_154)*coupl(nGC_155)*coupl(nGC_158) + &
                        2d0*cME*coupl(nGC_154)*coupl(nGC_156)*coupl(nGC_158) + &
                        2d0*cMM*coupl(nGC_162)*coupl(nGC_163)*coupl(nGC_166) + &
                        2d0*cMM*coupl(nGC_162)*coupl(nGC_164)*coupl(nGC_166) + &
                        2d0*cMTA*coupl(nGC_185)*coupl(nGC_186)*coupl(nGC_189   &
                        ) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_187)*coupl(      &
                        nGC_189) + 4d0*cima*coupl(nGC_107)*coupl(nGC_20) + 4d0*&
                        cima*coupl(nGC_127)*coupl(nGC_74) - coupl(nGC_102)*    &
                        coupl(nGC_1491)*coupl(nGC_94) - coupl(nGC_102)*coupl(  &
                        nGC_2961)*coupl(nGC_92) - coupl(nGC_107)*coupl(nGC_1079&
                        )*coupl(nGC_1795) - coupl(nGC_107)*coupl(nGC_1283)*    &
                        coupl(nGC_1319) - coupl(nGC_107)*coupl(nGC_2961)*coupl(&
                        nGC_661) + coupl(nGC_1079)*coupl(nGC_111)*coupl(nGC_96 &
                        ) + coupl(nGC_110)*coupl(nGC_1319)*coupl(nGC_63) +     &
                        coupl(nGC_111)*coupl(nGC_64)*coupl(nGC_72) + coupl(    &
                        nGC_111)*coupl(nGC_92)*coupl(nGC_96) + coupl(nGC_112)* &
                        coupl(nGC_1795)*coupl(nGC_72) + coupl(nGC_113)*coupl(  &
                        nGC_1319)*coupl(nGC_1491) + coupl(nGC_118)*coupl(      &
                        nGC_1319)*coupl(nGC_68) + coupl(nGC_119)*coupl(nGC_661 &
                        )*coupl(nGC_96) + coupl(nGC_119)*coupl(nGC_68)*coupl(  &
                        nGC_72) + coupl(nGC_119)*coupl(nGC_94)*coupl(nGC_96) + &
                        coupl(nGC_120)*coupl(nGC_2961)*coupl(nGC_72) + coupl(  &
                        nGC_121)*coupl(nGC_1319)*coupl(nGC_2961) + coupl(      &
                        nGC_122)*coupl(nGC_1283)**2d0 + coupl(nGC_122)*coupl(  &
                        nGC_1529)**2d0 + coupl(nGC_122)*coupl(nGC_72)**2d0 -   &
                        coupl(nGC_127)*coupl(nGC_1319)*coupl(nGC_1529))/(32d0* &
                        pi**2d0)
      coupl(nGC_8772) = (-2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_80  &
                        ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_80&
                        ) - 2d0*Nc*cMD*coupl(nGC_146)*coupl(nGC_2)*coupl(nGC_80&
                        ) - 2d0*Nc*cMS*coupl(nGC_170)*coupl(nGC_2)*coupl(nGC_80&
                        ) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_80&
                        ) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_80&
                        ) + 4d0*cima*coupl(nGC_102)*coupl(nGC_803) + 4d0*cima* &
                        coupl(nGC_126)*coupl(nGC_5) + 6d0*coupl(nGC_102)*coupl(&
                        nGC_3)*coupl(nGC_781) - coupl(nGC_124)*coupl(nGC_1919)*&
                        coupl(nGC_3) - coupl(nGC_125)*coupl(nGC_1491)*coupl(   &
                        nGC_3) - coupl(nGC_126)*coupl(nGC_1283)*coupl(nGC_781  &
                        ) - coupl(nGC_126)*coupl(nGC_1529)*coupl(nGC_877) + 6d0&
                        *coupl(nGC_126)*coupl(nGC_3)*coupl(nGC_877))/(32d0*pi**&
                        2d0)
      coupl(nGC_8773) = (-2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_80  &
                        ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_80&
                        ) - 2d0*Nc*cMD*coupl(nGC_146)*coupl(nGC_2)*coupl(nGC_80&
                        ) - 2d0*Nc*cMS*coupl(nGC_170)*coupl(nGC_2)*coupl(nGC_80&
                        ) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_80&
                        ) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_80&
                        ) + 4d0*cima*coupl(nGC_102)*coupl(nGC_803) + 4d0*cima* &
                        coupl(nGC_126)*coupl(nGC_5) + 6d0*coupl(nGC_102)*coupl(&
                        nGC_82)*coupl(nGC_877) - coupl(nGC_124)*coupl(nGC_2961 &
                        )*coupl(nGC_877) - coupl(nGC_125)*coupl(nGC_1795)*coupl&
                        (nGC_877) - coupl(nGC_126)*coupl(nGC_17)*coupl(nGC_3   &
                        ) + 6d0*coupl(nGC_126)*coupl(nGC_3)*coupl(nGC_877) -   &
                        coupl(nGC_126)*coupl(nGC_82)*coupl(nGC_96))/(32d0*pi** &
                        2d0)
      coupl(nGC_30670) = -coupl(nGC_8813)
      coupl(nGC_8989) = (-4d0*Nc*cMB*coupl(nGC_141)*coupl(nGC_80)**2d0 - 4d0*Nc&
                        *cMC*coupl(nGC_130)*coupl(nGC_80)**2d0 - 4d0*Nc*cMD*   &
                        coupl(nGC_145)*coupl(nGC_80)**2d0 - 4d0*Nc*cMS*coupl(  &
                        nGC_169)*coupl(nGC_80)**2d0 - 4d0*Nc*cMT*coupl(nGC_177 &
                        )*coupl(nGC_80)**2d0 - 4d0*Nc*cMU*coupl(nGC_192)*coupl(&
                        nGC_80)**2d0 - 4d0*cME*coupl(nGC_153)*coupl(nGC_80)**  &
                        2d0 - 4d0*cMM*coupl(nGC_161)*coupl(nGC_80)**2d0 - 4d0* &
                        cMTA*coupl(nGC_184)*coupl(nGC_80)**2d0 + 2d0*cima*coupl&
                        (nGC_1153)*coupl(nGC_128) + 4d0*cima*coupl(nGC_124)*   &
                        coupl(nGC_78) - coupl(nGC_102)*coupl(nGC_2961)*coupl(  &
                        nGC_781) - coupl(nGC_102)*coupl(nGC_69)*coupl(nGC_781  &
                        ) - coupl(nGC_107)*coupl(nGC_1491)*coupl(nGC_781) -    &
                        coupl(nGC_107)*coupl(nGC_64)*coupl(nGC_781) + 6d0*coupl&
                        (nGC_124)*coupl(nGC_781)**2d0 + 6d0*coupl(nGC_124)*    &
                        coupl(nGC_877)**2d0 - coupl(nGC_126)*coupl(nGC_2961)*  &
                        coupl(nGC_877) - coupl(nGC_126)*coupl(nGC_69)*coupl(   &
                        nGC_877) - coupl(nGC_127)*coupl(nGC_1491)*coupl(nGC_877&
                        ) - coupl(nGC_127)*coupl(nGC_64)*coupl(nGC_877) + 6d0* &
                        coupl(nGC_128)*coupl(nGC_82)**2d0)/(32d0*pi**2d0)
      coupl(nGC_23320) = 2d0*coupl(nGC_10)*dZHlHh_QED2 + 2d0*coupl(nGC_12)*    &
                         dZHh_QED2 + coupl(nGC_9291)
      coupl(nGC_15348) = -coupl(nGC_15347)
      coupl(nGC_9229) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_1313)*coupl(&
                        nGC_132) + coupl(nGC_143)*coupl(nGC_144) + coupl(      &
                        nGC_147)*coupl(nGC_148) + coupl(nGC_171)*coupl(nGC_172 &
                        ) + coupl(nGC_179)*coupl(nGC_2153) + coupl(nGC_194)*   &
                        coupl(nGC_797))/(16d0*pi**2d0*Nc)
      coupl(nGC_9228) = (-32d0*Nc*cima*coupl(nGC_1313)*coupl(nGC_132)*coupl(   &
                        nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_1313)*coupl(     &
                        nGC_132)*coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*   &
                        coupl(nGC_1313)*coupl(nGC_132)*coupl(nGC_88)**2d0 -    &
                        32d0*Nc*cima*coupl(nGC_143)*coupl(nGC_144)*coupl(nGC_84&
                        )**2d0 + 40d0*Nc*cima*coupl(nGC_143)*coupl(nGC_144)*   &
                        coupl(nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(      &
                        nGC_143)*coupl(nGC_144)*coupl(nGC_87)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_147)*coupl(nGC_148)*coupl(nGC_84)**2d0  &
                         + 40d0*Nc*cima*coupl(nGC_147)*coupl(nGC_148)*coupl(   &
                        nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_147)*   &
                        coupl(nGC_148)*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(&
                        nGC_171)*coupl(nGC_172)*coupl(nGC_84)**2d0 + 40d0*Nc*  &
                        cima*coupl(nGC_171)*coupl(nGC_172)*coupl(nGC_84)*coupl(&
                        nGC_87) - 32d0*Nc*cima*coupl(nGC_171)*coupl(nGC_172)*  &
                        coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_179)*coupl(&
                        nGC_2153)*coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(     &
                        nGC_179)*coupl(nGC_2153)*coupl(nGC_85)*coupl(nGC_88) - &
                        32d0*Nc*cima*coupl(nGC_179)*coupl(nGC_2153)*coupl(     &
                        nGC_88)**2d0 - 32d0*Nc*cima*coupl(nGC_194)*coupl(      &
                        nGC_797)*coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(      &
                        nGC_194)*coupl(nGC_797)*coupl(nGC_85)*coupl(nGC_88) -  &
                        32d0*Nc*cima*coupl(nGC_194)*coupl(nGC_797)*coupl(nGC_88&
                        )**2d0 + 4d0*cima*coupl(nGC_1079)**2d0*coupl(nGC_92)** &
                        2d0 + 4d0*cima*coupl(nGC_1079)**2d0*coupl(nGC_94)**2d0 &
                         + 4d0*cima*coupl(nGC_1079)*coupl(nGC_661)*coupl(nGC_91&
                        )*coupl(nGC_94) + 4d0*cima*coupl(nGC_1079)*coupl(      &
                        nGC_661)*coupl(nGC_92)*coupl(nGC_94) + 12d0*cima*coupl(&
                        nGC_1153)*coupl(nGC_62) + 4d0*cima*coupl(nGC_1283)**2d0&
                        *coupl(nGC_1319)*coupl(nGC_72) + 9d0*cima*coupl(       &
                        nGC_1319)*coupl(nGC_72)*coupl(nGC_781)**2d0 + 9d0*cima*&
                        coupl(nGC_1319)*coupl(nGC_72)*coupl(nGC_82)**2d0 + 4d0*&
                        cima*coupl(nGC_1319)*coupl(nGC_72)*coupl(nGC_96)**2d0  &
                         - 32d0*cima*coupl(nGC_155)*coupl(nGC_156)*coupl(nGC_86&
                        )**2d0 + 40d0*cima*coupl(nGC_155)*coupl(nGC_156)*coupl(&
                        nGC_86)*coupl(nGC_89) - 32d0*cima*coupl(nGC_155)*coupl(&
                        nGC_156)*coupl(nGC_89)**2d0 - 32d0*cima*coupl(nGC_163)*&
                        coupl(nGC_164)*coupl(nGC_86)**2d0 + 40d0*cima*coupl(   &
                        nGC_163)*coupl(nGC_164)*coupl(nGC_86)*coupl(nGC_89) -  &
                        32d0*cima*coupl(nGC_163)*coupl(nGC_164)*coupl(nGC_89)**&
                        2d0 - 32d0*cima*coupl(nGC_186)*coupl(nGC_187)*coupl(   &
                        nGC_86)**2d0 + 40d0*cima*coupl(nGC_186)*coupl(nGC_187)*&
                        coupl(nGC_86)*coupl(nGC_89) - 32d0*cima*coupl(nGC_186)*&
                        coupl(nGC_187)*coupl(nGC_89)**2d0 + 4d0*cima*coupl(    &
                        nGC_3231)*coupl(nGC_661)*coupl(nGC_91)*coupl(nGC_94) + &
                        4d0*cima*coupl(nGC_3231)*coupl(nGC_661)*coupl(nGC_92)* &
                        coupl(nGC_94) + 4d0*cima*coupl(nGC_661)**2d0*coupl(    &
                        nGC_92)**2d0 + 4d0*cima*coupl(nGC_661)**2d0*coupl(     &
                        nGC_94)**2d0 + 6d0*coupl(nGC_100)*coupl(nGC_1319)*coupl&
                        (nGC_72) + 3d0*coupl(nGC_1079)*coupl(nGC_92)*coupl(    &
                        nGC_99) - 6d0*coupl(nGC_1153)*coupl(nGC_1319)*coupl(   &
                        nGC_72) - 6d0*coupl(nGC_1319)*coupl(nGC_19)*coupl(     &
                        nGC_82) - 6d0*coupl(nGC_1319)*coupl(nGC_20)*coupl(     &
                        nGC_781) - 6d0*coupl(nGC_19)*coupl(nGC_72)*coupl(      &
                        nGC_781) - 6d0*coupl(nGC_20)*coupl(nGC_72)*coupl(nGC_82&
                        ) + 18d0*coupl(nGC_62)*coupl(nGC_781)**2d0 + 18d0*coupl&
                        (nGC_62)*coupl(nGC_82)**2d0 + 3d0*coupl(nGC_661)*coupl(&
                        nGC_94)*coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_9221) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_131)*   &
                        coupl(nGC_133)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_137)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_146)*coupl(   &
                        nGC_149)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_173)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_170)*coupl(   &
                        nGC_173)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_180)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_178)*coupl(nGC_180)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_193)*coupl(   &
                        nGC_195)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 4d0*cima*coupl(nGC_1079)**2d0*coupl(nGC_1795 &
                        )*coupl(nGC_96) + 4d0*cima*coupl(nGC_1079)*coupl(      &
                        nGC_1283)*coupl(nGC_1319)*coupl(nGC_96) + 4d0*cima*    &
                        coupl(nGC_1079)*coupl(nGC_2961)*coupl(nGC_661)*coupl(  &
                        nGC_96) + 4d0*cima*coupl(nGC_1079)*coupl(nGC_63)*coupl(&
                        nGC_64)*coupl(nGC_72) + 9d0*cima*coupl(nGC_1283)*coupl(&
                        nGC_1795)*coupl(nGC_781)*coupl(nGC_82) + 9d0*cima*coupl&
                        (nGC_1319)*coupl(nGC_781)*coupl(nGC_82)*coupl(nGC_92   &
                        ) + 24d0*cima*coupl(nGC_15)*coupl(nGC_79) + 9d0*cima*  &
                        coupl(nGC_1529)*coupl(nGC_1795)*coupl(nGC_82)*coupl(   &
                        nGC_877) + 20d0*cima*coupl(nGC_154)*coupl(nGC_157)*    &
                        coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_154)*&
                        coupl(nGC_157)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*&
                        coupl(nGC_154)*coupl(nGC_157)*coupl(nGC_80)*coupl(     &
                        nGC_90) + 20d0*cima*coupl(nGC_162)*coupl(nGC_165)*coupl&
                        (nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_162)*coupl&
                        (nGC_165)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl&
                        (nGC_162)*coupl(nGC_165)*coupl(nGC_80)*coupl(nGC_90) + &
                        4d0*cima*coupl(nGC_1795)*coupl(nGC_2961)*coupl(nGC_68)*&
                        coupl(nGC_96) + 4d0*cima*coupl(nGC_1795)*coupl(nGC_2961&
                        )*coupl(nGC_72)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1795&
                        )*coupl(nGC_661)**2d0*coupl(nGC_96) + 20d0*cima*coupl( &
                        nGC_185)*coupl(nGC_188)*coupl(nGC_80)*coupl(nGC_86) -  &
                        16d0*cima*coupl(nGC_185)*coupl(nGC_188)*coupl(nGC_80)* &
                        coupl(nGC_89) - 16d0*cima*coupl(nGC_185)*coupl(nGC_188 &
                        )*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(nGC_1919&
                        )*coupl(nGC_2961)*coupl(nGC_64)*coupl(nGC_96) + 4d0*   &
                        cima*coupl(nGC_1919)*coupl(nGC_2961)*coupl(nGC_72)*    &
                        coupl(nGC_92) + 4d0*cima*coupl(nGC_2961)*coupl(nGC_3231&
                        )*coupl(nGC_661)*coupl(nGC_96) + 4d0*cima*coupl(       &
                        nGC_2961)*coupl(nGC_3231)*coupl(nGC_68)*coupl(nGC_72   &
                        ) + 4d0*cima*coupl(nGC_2961)*coupl(nGC_64)*coupl(      &
                        nGC_661)*coupl(nGC_72) + 4d0*cima*coupl(nGC_63)*coupl( &
                        nGC_64)**2d0*coupl(nGC_96) + 4d0*cima*coupl(nGC_63)*   &
                        coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_92) + 4d0*cima*  &
                        coupl(nGC_63)*coupl(nGC_661)*coupl(nGC_68)*coupl(nGC_72&
                        ) + 4d0*cima*coupl(nGC_63)*coupl(nGC_68)**2d0*coupl(   &
                        nGC_96) + 4d0*cima*coupl(nGC_63)*coupl(nGC_68)*coupl(  &
                        nGC_72)*coupl(nGC_94) + 4d0*cima*coupl(nGC_63)*coupl(  &
                        nGC_72)**2d0*coupl(nGC_96) + 24d0*cima*coupl(nGC_66)*  &
                        coupl(nGC_803) - 6d0*coupl(nGC_100)*coupl(nGC_1795)*   &
                        coupl(nGC_781) + 6d0*coupl(nGC_1079)*coupl(nGC_20)*    &
                        coupl(nGC_96) - 6d0*coupl(nGC_1283)*coupl(nGC_15)*coupl&
                        (nGC_781) - 6d0*coupl(nGC_1283)*coupl(nGC_1795)*coupl( &
                        nGC_79) - 6d0*coupl(nGC_1319)*coupl(nGC_79)*coupl(     &
                        nGC_92) + 6d0*coupl(nGC_14)*coupl(nGC_2961)*coupl(     &
                        nGC_68) - 6d0*coupl(nGC_15)*coupl(nGC_1529)*coupl(     &
                        nGC_877) + 6d0*coupl(nGC_15)*coupl(nGC_63)*coupl(nGC_64&
                        ) + 36d0*coupl(nGC_15)*coupl(nGC_781)*coupl(nGC_82) -  &
                        6d0*coupl(nGC_1529)*coupl(nGC_1795)*coupl(nGC_803) +   &
                        6d0*coupl(nGC_16)*coupl(nGC_2961)*coupl(nGC_64) + 6d0* &
                        coupl(nGC_16)*coupl(nGC_63)*coupl(nGC_68) - 6d0*coupl( &
                        nGC_1795)*coupl(nGC_61)*coupl(nGC_781) - 6d0*coupl(    &
                        nGC_1795)*coupl(nGC_62)*coupl(nGC_82) - 6d0*coupl(     &
                        nGC_1795)*coupl(nGC_82)*coupl(nGC_99) - 6d0*coupl(     &
                        nGC_1795)*coupl(nGC_877)*coupl(nGC_97) + 6d0*coupl(    &
                        nGC_20)*coupl(nGC_63)*coupl(nGC_72) - 6d0*coupl(nGC_20 &
                        )*coupl(nGC_82)*coupl(nGC_92) + 36d0*coupl(nGC_3)*coupl&
                        (nGC_66)*coupl(nGC_781))/(192d0*pi**2d0)
      coupl(nGC_9220) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_132)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_131)*   &
                        coupl(nGC_132)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_142)*coupl(nGC_143)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_146)*coupl(   &
                        nGC_148)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_148)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_172)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_172)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_170)*coupl(   &
                        nGC_172)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_178)*coupl(nGC_179)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_179)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_178)*coupl(nGC_179)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_193)*coupl(   &
                        nGC_194)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 9d0*cima*coupl(nGC_1079)*coupl(nGC_1795)*    &
                        coupl(nGC_781)*coupl(nGC_82) + 4d0*cima*coupl(nGC_1079 &
                        )*coupl(nGC_64)*coupl(nGC_72)**2d0 + 9d0*cima*coupl(   &
                        nGC_1283)*coupl(nGC_1319)*coupl(nGC_781)*coupl(nGC_82  &
                        ) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_1795)*coupl(    &
                        nGC_92)*coupl(nGC_96) + 4d0*cima*coupl(nGC_1283)*coupl(&
                        nGC_2961)*coupl(nGC_94)*coupl(nGC_96) + 9d0*cima*coupl(&
                        nGC_1319)*coupl(nGC_1529)*coupl(nGC_82)*coupl(nGC_877  &
                        ) + 4d0*cima*coupl(nGC_1319)*coupl(nGC_92)**2d0*coupl( &
                        nGC_96) + 4d0*cima*coupl(nGC_1319)*coupl(nGC_94)**2d0* &
                        coupl(nGC_96) + 20d0*cima*coupl(nGC_154)*coupl(nGC_156 &
                        )*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_154&
                        )*coupl(nGC_156)*coupl(nGC_80)*coupl(nGC_89) - 16d0*   &
                        cima*coupl(nGC_154)*coupl(nGC_156)*coupl(nGC_80)*coupl(&
                        nGC_90) + 20d0*cima*coupl(nGC_162)*coupl(nGC_164)*coupl&
                        (nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_162)*coupl&
                        (nGC_164)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl&
                        (nGC_162)*coupl(nGC_164)*coupl(nGC_80)*coupl(nGC_90) + &
                        20d0*cima*coupl(nGC_185)*coupl(nGC_187)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_185)*coupl(nGC_187 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_185&
                        )*coupl(nGC_187)*coupl(nGC_80)*coupl(nGC_90) + 24d0*   &
                        cima*coupl(nGC_20)*coupl(nGC_79) + 9d0*cima*coupl(     &
                        nGC_2961)*coupl(nGC_661)*coupl(nGC_781)*coupl(nGC_82   &
                        ) + 4d0*cima*coupl(nGC_64)**2d0*coupl(nGC_72)*coupl(   &
                        nGC_96) + 4d0*cima*coupl(nGC_64)*coupl(nGC_72)**2d0*   &
                        coupl(nGC_92) + 4d0*cima*coupl(nGC_661)*coupl(nGC_68)* &
                        coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_68)**2d0*coupl(&
                        nGC_72)*coupl(nGC_96) + 4d0*cima*coupl(nGC_68)*coupl(  &
                        nGC_72)**2d0*coupl(nGC_94) + 4d0*cima*coupl(nGC_72)**  &
                        3d0*coupl(nGC_96) + 24d0*cima*coupl(nGC_74)*coupl(     &
                        nGC_803) - 6d0*coupl(nGC_100)*coupl(nGC_1319)*coupl(   &
                        nGC_781) - 6d0*coupl(nGC_101)*coupl(nGC_1319)*coupl(   &
                        nGC_82) - 6d0*coupl(nGC_1079)*coupl(nGC_15)*coupl(     &
                        nGC_82) - 6d0*coupl(nGC_1079)*coupl(nGC_1795)*coupl(   &
                        nGC_79) - 6d0*coupl(nGC_1283)*coupl(nGC_1319)*coupl(   &
                        nGC_79) - 6d0*coupl(nGC_1283)*coupl(nGC_20)*coupl(     &
                        nGC_781) - 6d0*coupl(nGC_1319)*coupl(nGC_1529)*coupl(  &
                        nGC_803) - 6d0*coupl(nGC_1319)*coupl(nGC_62)*coupl(    &
                        nGC_781) - 6d0*coupl(nGC_1319)*coupl(nGC_62)*coupl(    &
                        nGC_82) - 6d0*coupl(nGC_1319)*coupl(nGC_877)*coupl(    &
                        nGC_97) + 6d0*coupl(nGC_15)*coupl(nGC_64)*coupl(nGC_72 &
                        ) + 6d0*coupl(nGC_15)*coupl(nGC_92)*coupl(nGC_96) - 6d0&
                        *coupl(nGC_1529)*coupl(nGC_20)*coupl(nGC_877) - 6d0*   &
                        coupl(nGC_16)*coupl(nGC_661)*coupl(nGC_82) + 6d0*coupl(&
                        nGC_16)*coupl(nGC_68)*coupl(nGC_72) + 6d0*coupl(nGC_16 &
                        )*coupl(nGC_94)*coupl(nGC_96) + 6d0*coupl(nGC_20)*coupl&
                        (nGC_72)**2d0 + 36d0*coupl(nGC_20)*coupl(nGC_781)*coupl&
                        (nGC_82) - 6d0*coupl(nGC_2961)*coupl(nGC_661)*coupl(   &
                        nGC_79) + 36d0*coupl(nGC_3)*coupl(nGC_74)*coupl(nGC_781&
                        ))/(192d0*pi**2d0)
      coupl(nGC_9223) = (20d0*Nc*cima*coupl(nGC_1313)**2d0*coupl(nGC_132)**2d0 &
                         + 20d0*Nc*cima*coupl(nGC_143)**2d0*coupl(nGC_144)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_147)**2d0*coupl(nGC_148)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_171)**2d0*coupl(nGC_172)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_179)**2d0*coupl(nGC_2153)**  &
                        2d0 + 20d0*Nc*cima*coupl(nGC_194)**2d0*coupl(nGC_797)**&
                        2d0 + 3d0*cima*coupl(nGC_101)**2d0 - 5d0*cima*coupl(   &
                        nGC_1079)**2d0*coupl(nGC_92)**2d0 - 10d0*cima*coupl(   &
                        nGC_1079)*coupl(nGC_661)*coupl(nGC_92)*coupl(nGC_94) - &
                        10d0*cima*coupl(nGC_1319)**2d0*coupl(nGC_72)**2d0 +    &
                        20d0*cima*coupl(nGC_155)**2d0*coupl(nGC_156)**2d0 +    &
                        20d0*cima*coupl(nGC_163)**2d0*coupl(nGC_164)**2d0 +    &
                        20d0*cima*coupl(nGC_186)**2d0*coupl(nGC_187)**2d0 + 6d0&
                        *cima*coupl(nGC_62)**2d0 - 5d0*cima*coupl(nGC_661)**2d0&
                        *coupl(nGC_94)**2d0 - 3d0*coupl(nGC_101)*coupl(nGC_1079&
                        )*coupl(nGC_92) - 3d0*coupl(nGC_101)*coupl(nGC_661)*   &
                        coupl(nGC_94) + 3d0*coupl(nGC_1079)*coupl(nGC_26)*coupl&
                        (nGC_94) + 3d0*coupl(nGC_1079)*coupl(nGC_38)*coupl(    &
                        nGC_92) + 6d0*coupl(nGC_1319)*coupl(nGC_50)*coupl(     &
                        nGC_72) - 6d0*coupl(nGC_1319)*coupl(nGC_62)*coupl(     &
                        nGC_72) + 3d0*coupl(nGC_26)*coupl(nGC_661)*coupl(nGC_92&
                        ) + 3d0*coupl(nGC_31)*coupl(nGC_661)*coupl(nGC_94))/(  &
                        16d0*pi**2d0)
      coupl(nGC_9222) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_130)*   &
                        coupl(nGC_131)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_141)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_145)*coupl(   &
                        nGC_146)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_169)*coupl(nGC_170)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_169)*coupl(   &
                        nGC_170)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_177)*coupl(nGC_178)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_177)*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_192)*coupl(   &
                        nGC_193)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 4d0*cima*coupl(nGC_1079)*coupl(nGC_1795)*    &
                        coupl(nGC_661)*coupl(nGC_96) + 4d0*cima*coupl(nGC_1079 &
                        )*coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_72) + 4d0*cima*&
                        coupl(nGC_1283)*coupl(nGC_1319)*coupl(nGC_661)*coupl(  &
                        nGC_96) + 9d0*cima*coupl(nGC_1283)*coupl(nGC_2961)*    &
                        coupl(nGC_781)*coupl(nGC_82) + 9d0*cima*coupl(nGC_1319 &
                        )*coupl(nGC_781)*coupl(nGC_82)*coupl(nGC_94) + 4d0*cima&
                        *coupl(nGC_1491)*coupl(nGC_1795)*coupl(nGC_68)*coupl(  &
                        nGC_96) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_1795)*    &
                        coupl(nGC_72)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1491)*&
                        coupl(nGC_1919)*coupl(nGC_64)*coupl(nGC_96) + 4d0*cima*&
                        coupl(nGC_1491)*coupl(nGC_1919)*coupl(nGC_72)*coupl(   &
                        nGC_92) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_3231)*    &
                        coupl(nGC_68)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1491)*&
                        coupl(nGC_64)*coupl(nGC_661)*coupl(nGC_72) + 9d0*cima* &
                        coupl(nGC_1529)*coupl(nGC_2961)*coupl(nGC_82)*coupl(   &
                        nGC_877) + 20d0*cima*coupl(nGC_153)*coupl(nGC_154)*    &
                        coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_153)*&
                        coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*&
                        coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_80)*coupl(     &
                        nGC_90) + 24d0*cima*coupl(nGC_16)*coupl(nGC_79) + 20d0*&
                        cima*coupl(nGC_161)*coupl(nGC_162)*coupl(nGC_80)*coupl(&
                        nGC_86) - 16d0*cima*coupl(nGC_161)*coupl(nGC_162)*coupl&
                        (nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_161)*coupl&
                        (nGC_162)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(&
                        nGC_1795)*coupl(nGC_3231)*coupl(nGC_661)*coupl(nGC_96  &
                        ) + 20d0*cima*coupl(nGC_184)*coupl(nGC_185)*coupl(     &
                        nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_184)*coupl(&
                        nGC_185)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(&
                        nGC_184)*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_90) +  &
                        4d0*cima*coupl(nGC_2961)*coupl(nGC_3231)**2d0*coupl(   &
                        nGC_96) + 4d0*cima*coupl(nGC_2961)*coupl(nGC_661)**2d0*&
                        coupl(nGC_96) + 4d0*cima*coupl(nGC_64)**2d0*coupl(     &
                        nGC_69)*coupl(nGC_96) + 4d0*cima*coupl(nGC_64)*coupl(  &
                        nGC_69)*coupl(nGC_72)*coupl(nGC_92) + 4d0*cima*coupl(  &
                        nGC_661)*coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_72) +   &
                        4d0*cima*coupl(nGC_68)**2d0*coupl(nGC_69)*coupl(nGC_96 &
                        ) + 4d0*cima*coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_72)*&
                        coupl(nGC_94) + 4d0*cima*coupl(nGC_69)*coupl(nGC_72)** &
                        2d0*coupl(nGC_96) + 24d0*cima*coupl(nGC_70)*coupl(     &
                        nGC_803) - 6d0*coupl(nGC_100)*coupl(nGC_2961)*coupl(   &
                        nGC_781) - 6d0*coupl(nGC_1283)*coupl(nGC_16)*coupl(    &
                        nGC_781) - 6d0*coupl(nGC_1283)*coupl(nGC_2961)*coupl(  &
                        nGC_79) - 6d0*coupl(nGC_1319)*coupl(nGC_79)*coupl(     &
                        nGC_94) + 6d0*coupl(nGC_14)*coupl(nGC_1491)*coupl(     &
                        nGC_68) + 6d0*coupl(nGC_1491)*coupl(nGC_16)*coupl(     &
                        nGC_64) + 6d0*coupl(nGC_15)*coupl(nGC_64)*coupl(nGC_69 &
                        ) - 6d0*coupl(nGC_1529)*coupl(nGC_16)*coupl(nGC_877) - &
                        6d0*coupl(nGC_1529)*coupl(nGC_2961)*coupl(nGC_803) +   &
                        6d0*coupl(nGC_16)*coupl(nGC_68)*coupl(nGC_69) + 36d0*  &
                        coupl(nGC_16)*coupl(nGC_781)*coupl(nGC_82) + 6d0*coupl(&
                        nGC_20)*coupl(nGC_661)*coupl(nGC_96) + 6d0*coupl(nGC_20&
                        )*coupl(nGC_69)*coupl(nGC_72) - 6d0*coupl(nGC_20)*coupl&
                        (nGC_82)*coupl(nGC_94) - 6d0*coupl(nGC_2961)*coupl(    &
                        nGC_61)*coupl(nGC_781) - 6d0*coupl(nGC_2961)*coupl(    &
                        nGC_62)*coupl(nGC_82) - 6d0*coupl(nGC_2961)*coupl(     &
                        nGC_82)*coupl(nGC_99) - 6d0*coupl(nGC_2961)*coupl(     &
                        nGC_877)*coupl(nGC_97) + 36d0*coupl(nGC_3)*coupl(nGC_70&
                        )*coupl(nGC_781))/(192d0*pi**2d0)
      coupl(nGC_9225) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_1313)**2d0*coupl&
                        (nGC_133) + 80d0*Nc*cima*coupl(nGC_130)*coupl(nGC_1313 &
                        )*coupl(nGC_132)*coupl(nGC_133) + 20d0*Nc*cima*coupl(  &
                        nGC_130)*coupl(nGC_132)**2d0*coupl(nGC_133) + 20d0*Nc* &
                        cima*coupl(nGC_137)*coupl(nGC_141)*coupl(nGC_143)**2d0 &
                         + 80d0*Nc*cima*coupl(nGC_137)*coupl(nGC_141)*coupl(   &
                        nGC_143)*coupl(nGC_144) + 20d0*Nc*cima*coupl(nGC_137)* &
                        coupl(nGC_141)*coupl(nGC_144)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_145)*coupl(nGC_147)**2d0*coupl(nGC_149) + 80d0*Nc*&
                        cima*coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_148)*coupl&
                        (nGC_149) + 20d0*Nc*cima*coupl(nGC_145)*coupl(nGC_148  &
                        )**2d0*coupl(nGC_149) + 20d0*Nc*cima*coupl(nGC_169)*   &
                        coupl(nGC_171)**2d0*coupl(nGC_173) + 80d0*Nc*cima*coupl&
                        (nGC_169)*coupl(nGC_171)*coupl(nGC_172)*coupl(nGC_173  &
                        ) + 20d0*Nc*cima*coupl(nGC_169)*coupl(nGC_172)**2d0*   &
                        coupl(nGC_173) + 20d0*Nc*cima*coupl(nGC_177)*coupl(    &
                        nGC_179)**2d0*coupl(nGC_180) + 80d0*Nc*cima*coupl(     &
                        nGC_177)*coupl(nGC_179)*coupl(nGC_180)*coupl(nGC_2153  &
                        ) + 20d0*Nc*cima*coupl(nGC_177)*coupl(nGC_180)*coupl(  &
                        nGC_2153)**2d0 + 20d0*Nc*cima*coupl(nGC_192)*coupl(    &
                        nGC_194)**2d0*coupl(nGC_195) + 80d0*Nc*cima*coupl(     &
                        nGC_192)*coupl(nGC_194)*coupl(nGC_195)*coupl(nGC_797   &
                        ) + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_195)*coupl(  &
                        nGC_797)**2d0 - 5d0*cima*coupl(nGC_1079)**2d0*coupl(   &
                        nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1079)*coupl(&
                        nGC_3231)*coupl(nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(&
                        nGC_1079)*coupl(nGC_661)*coupl(nGC_91)*coupl(nGC_92) - &
                        5d0*cima*coupl(nGC_1079)*coupl(nGC_661)*coupl(nGC_92)**&
                        2d0 - 5d0*cima*coupl(nGC_1079)*coupl(nGC_661)*coupl(   &
                        nGC_94)**2d0 - 5d0*cima*coupl(nGC_1319)**2d0*coupl(    &
                        nGC_63)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1319)**2d0* &
                        coupl(nGC_64)*coupl(nGC_68) - 10d0*cima*coupl(nGC_1319 &
                        )*coupl(nGC_1491)*coupl(nGC_68)*coupl(nGC_72) - 5d0*   &
                        cima*coupl(nGC_1319)*coupl(nGC_1491)*coupl(nGC_69)*    &
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1795&
                        )*coupl(nGC_68)*coupl(nGC_72) - 10d0*cima*coupl(       &
                        nGC_1319)*coupl(nGC_1795)*coupl(nGC_69)*coupl(nGC_72   &
                        ) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1919)*coupl(    &
                        nGC_63)*coupl(nGC_72) - 10d0*cima*coupl(nGC_1319)*coupl&
                        (nGC_1919)*coupl(nGC_64)*coupl(nGC_72) - 10d0*cima*    &
                        coupl(nGC_1319)*coupl(nGC_2961)*coupl(nGC_63)*coupl(   &
                        nGC_72) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_2961)*    &
                        coupl(nGC_64)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1491)*&
                        coupl(nGC_1919)*coupl(nGC_72)**2d0 + 20d0*cima*coupl(  &
                        nGC_153)*coupl(nGC_155)**2d0*coupl(nGC_157) + 80d0*cima&
                        *coupl(nGC_153)*coupl(nGC_155)*coupl(nGC_156)*coupl(   &
                        nGC_157) + 20d0*cima*coupl(nGC_153)*coupl(nGC_156)**2d0&
                        *coupl(nGC_157) + 20d0*cima*coupl(nGC_161)*coupl(      &
                        nGC_163)**2d0*coupl(nGC_165) + 80d0*cima*coupl(nGC_161 &
                        )*coupl(nGC_163)*coupl(nGC_164)*coupl(nGC_165) + 20d0* &
                        cima*coupl(nGC_161)*coupl(nGC_164)**2d0*coupl(nGC_165  &
                        ) - 5d0*cima*coupl(nGC_1795)*coupl(nGC_2961)*coupl(    &
                        nGC_72)**2d0 + 20d0*cima*coupl(nGC_184)*coupl(nGC_186  &
                        )**2d0*coupl(nGC_188) + 80d0*cima*coupl(nGC_184)*coupl(&
                        nGC_186)*coupl(nGC_187)*coupl(nGC_188) + 20d0*cima*    &
                        coupl(nGC_184)*coupl(nGC_187)**2d0*coupl(nGC_188) - 5d0&
                        *cima*coupl(nGC_3231)*coupl(nGC_661)*coupl(nGC_94)**2d0&
                         - 5d0*cima*coupl(nGC_661)**2d0*coupl(nGC_91)*coupl(   &
                        nGC_94) - 5d0*cima*coupl(nGC_661)**2d0*coupl(nGC_92)*  &
                        coupl(nGC_94) + 3d0*coupl(nGC_10)*coupl(nGC_1079)*coupl&
                        (nGC_92) - 3d0*coupl(nGC_101)*coupl(nGC_1079)*coupl(   &
                        nGC_94) - 3d0*coupl(nGC_101)*coupl(nGC_661)*coupl(     &
                        nGC_91) + 3d0*coupl(nGC_1079)**2d0*coupl(nGC_26) + 3d0*&
                        coupl(nGC_1079)*coupl(nGC_13)*coupl(nGC_94) + 3d0*coupl&
                        (nGC_1079)*coupl(nGC_29)*coupl(nGC_3231) + 3d0*coupl(  &
                        nGC_1079)*coupl(nGC_31)*coupl(nGC_661) + 3d0*coupl(    &
                        nGC_1079)*coupl(nGC_37)*coupl(nGC_661) + 3d0*coupl(    &
                        nGC_1079)*coupl(nGC_38)*coupl(nGC_661) + 3d0*coupl(    &
                        nGC_13)*coupl(nGC_661)*coupl(nGC_92) + 3d0*coupl(      &
                        nGC_1319)*coupl(nGC_1491)*coupl(nGC_49) + 3d0*coupl(   &
                        nGC_1319)*coupl(nGC_1795)*coupl(nGC_48) + 3d0*coupl(   &
                        nGC_1319)*coupl(nGC_1919)*coupl(nGC_40) + 6d0*coupl(   &
                        nGC_1319)*coupl(nGC_22)*coupl(nGC_72) + 3d0*coupl(     &
                        nGC_1319)*coupl(nGC_2961)*coupl(nGC_41) + 6d0*coupl(   &
                        nGC_1491)*coupl(nGC_1795)*coupl(nGC_42) + 3d0*coupl(   &
                        nGC_1491)*coupl(nGC_50)*coupl(nGC_68) + 3d0*coupl(     &
                        nGC_1491)*coupl(nGC_56)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_1795)*coupl(nGC_50)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_1795)*coupl(nGC_56)*coupl(nGC_68) - 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_62)*coupl(nGC_63) - 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_62)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_26)*coupl(nGC_661)**2d0 + 3d0*coupl(nGC_26)*coupl( &
                        nGC_92)**2d0 + 3d0*coupl(nGC_26)*coupl(nGC_94)**2d0 +  &
                        3d0*coupl(nGC_28)*coupl(nGC_661)**2d0 + 3d0*coupl(     &
                        nGC_28)*coupl(nGC_94)**2d0 + 3d0*coupl(nGC_29)*coupl(  &
                        nGC_91)*coupl(nGC_92) - 3d0*coupl(nGC_2961)*coupl(     &
                        nGC_62)*coupl(nGC_63) - 3d0*coupl(nGC_2961)*coupl(     &
                        nGC_62)*coupl(nGC_64) + 3d0*coupl(nGC_31)*coupl(nGC_92 &
                        )*coupl(nGC_94) + 3d0*coupl(nGC_3231)*coupl(nGC_37)*   &
                        coupl(nGC_661) + 3d0*coupl(nGC_3231)*coupl(nGC_46)*    &
                        coupl(nGC_92) + 3d0*coupl(nGC_3231)*coupl(nGC_59)*coupl&
                        (nGC_94) + 3d0*coupl(nGC_37)*coupl(nGC_91)*coupl(nGC_94&
                        ) + 3d0*coupl(nGC_37)*coupl(nGC_92)*coupl(nGC_94) + 3d0&
                        *coupl(nGC_38)*coupl(nGC_92)*coupl(nGC_94) + 3d0*coupl(&
                        nGC_40)*coupl(nGC_69)*coupl(nGC_72) + 3d0*coupl(nGC_41 &
                        )*coupl(nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_42)*coupl&
                        (nGC_68)**2d0 + 3d0*coupl(nGC_42)*coupl(nGC_69)**2d0 + &
                        3d0*coupl(nGC_46)*coupl(nGC_661)*coupl(nGC_94) + 3d0*  &
                        coupl(nGC_48)*coupl(nGC_64)*coupl(nGC_72) + 3d0*coupl( &
                        nGC_49)*coupl(nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_52 &
                        )*coupl(nGC_661)*coupl(nGC_92) + 3d0*coupl(nGC_661)*   &
                        coupl(nGC_9)*coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_9224) = (20d0*Nc*cima*coupl(nGC_1313)**2d0*coupl(nGC_133)**2d0 &
                         + 80d0*Nc*cima*coupl(nGC_1313)*coupl(nGC_132)*coupl(  &
                        nGC_133)**2d0 + 20d0*Nc*cima*coupl(nGC_132)**2d0*coupl(&
                        nGC_133)**2d0 + 20d0*Nc*cima*coupl(nGC_137)**2d0*coupl(&
                        nGC_143)**2d0 + 80d0*Nc*cima*coupl(nGC_137)**2d0*coupl(&
                        nGC_143)*coupl(nGC_144) + 20d0*Nc*cima*coupl(nGC_137)**&
                        2d0*coupl(nGC_144)**2d0 + 20d0*Nc*cima*coupl(nGC_147)**&
                        2d0*coupl(nGC_149)**2d0 + 80d0*Nc*cima*coupl(nGC_147)* &
                        coupl(nGC_148)*coupl(nGC_149)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_148)**2d0*coupl(nGC_149)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_171)**2d0*coupl(nGC_173)**2d0 + 80d0*Nc*cima*coupl&
                        (nGC_171)*coupl(nGC_172)*coupl(nGC_173)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_172)**2d0*coupl(nGC_173)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_179)**2d0*coupl(nGC_180)**2d0 + 80d0*Nc*&
                        cima*coupl(nGC_179)*coupl(nGC_180)**2d0*coupl(nGC_2153 &
                        ) + 20d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_2153)** &
                        2d0 + 20d0*Nc*cima*coupl(nGC_194)**2d0*coupl(nGC_195)**&
                        2d0 + 80d0*Nc*cima*coupl(nGC_194)*coupl(nGC_195)**2d0* &
                        coupl(nGC_797) + 20d0*Nc*cima*coupl(nGC_195)**2d0*coupl&
                        (nGC_797)**2d0 + 6d0*cima*coupl(nGC_101)*coupl(nGC_99  &
                        ) - 10d0*cima*coupl(nGC_1079)**2d0*coupl(nGC_92)**2d0  &
                         - 20d0*cima*coupl(nGC_1079)*coupl(nGC_661)*coupl(     &
                        nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1319)**2d0* &
                        coupl(nGC_63)**2d0 - 5d0*cima*coupl(nGC_1319)**2d0*    &
                        coupl(nGC_64)**2d0 - 20d0*cima*coupl(nGC_1319)*coupl(  &
                        nGC_1491)*coupl(nGC_64)*coupl(nGC_72) - 20d0*cima*coupl&
                        (nGC_1319)*coupl(nGC_1795)*coupl(nGC_63)*coupl(nGC_72  &
                        ) - 10d0*cima*coupl(nGC_1319)*coupl(nGC_1919)*coupl(   &
                        nGC_68)*coupl(nGC_72) - 10d0*cima*coupl(nGC_1319)*coupl&
                        (nGC_2961)*coupl(nGC_69)*coupl(nGC_72) - 5d0*cima*coupl&
                        (nGC_1491)**2d0*coupl(nGC_72)**2d0 + 20d0*cima*coupl(  &
                        nGC_155)**2d0*coupl(nGC_157)**2d0 + 80d0*cima*coupl(   &
                        nGC_155)*coupl(nGC_156)*coupl(nGC_157)**2d0 + 20d0*cima&
                        *coupl(nGC_156)**2d0*coupl(nGC_157)**2d0 + 20d0*cima*  &
                        coupl(nGC_163)**2d0*coupl(nGC_165)**2d0 + 80d0*cima*   &
                        coupl(nGC_163)*coupl(nGC_164)*coupl(nGC_165)**2d0 +    &
                        20d0*cima*coupl(nGC_164)**2d0*coupl(nGC_165)**2d0 - 5d0&
                        *cima*coupl(nGC_1795)**2d0*coupl(nGC_72)**2d0 + 20d0*  &
                        cima*coupl(nGC_186)**2d0*coupl(nGC_188)**2d0 + 80d0*   &
                        cima*coupl(nGC_186)*coupl(nGC_187)*coupl(nGC_188)**2d0 &
                         + 20d0*cima*coupl(nGC_187)**2d0*coupl(nGC_188)**2d0 + &
                        12d0*cima*coupl(nGC_61)*coupl(nGC_62) - 10d0*cima*coupl&
                        (nGC_661)**2d0*coupl(nGC_94)**2d0 + 3d0*coupl(nGC_10)* &
                        coupl(nGC_1079)*coupl(nGC_94) + 3d0*coupl(nGC_10)*coupl&
                        (nGC_661)*coupl(nGC_92) - 3d0*coupl(nGC_101)*coupl(    &
                        nGC_1079)*coupl(nGC_92) - 3d0*coupl(nGC_101)*coupl(    &
                        nGC_661)*coupl(nGC_94) + 6d0*coupl(nGC_1079)**2d0*coupl&
                        (nGC_38) + 3d0*coupl(nGC_1079)*coupl(nGC_12)*coupl(    &
                        nGC_92) + 6d0*coupl(nGC_1079)*coupl(nGC_26)*coupl(     &
                        nGC_661) + 6d0*coupl(nGC_1079)*coupl(nGC_29)*coupl(    &
                        nGC_661) + 3d0*coupl(nGC_1079)*coupl(nGC_46)*coupl(    &
                        nGC_94) + 3d0*coupl(nGC_1079)*coupl(nGC_52)*coupl(     &
                        nGC_92) - 3d0*coupl(nGC_1079)*coupl(nGC_92)*coupl(     &
                        nGC_99) + 3d0*coupl(nGC_13)*coupl(nGC_661)*coupl(nGC_94&
                        ) + 6d0*coupl(nGC_1319)*coupl(nGC_1919)*coupl(nGC_48   &
                        ) + 6d0*coupl(nGC_1319)*coupl(nGC_2961)*coupl(nGC_49   &
                        ) + 6d0*coupl(nGC_1319)*coupl(nGC_34)*coupl(nGC_72) -  &
                        6d0*coupl(nGC_1319)*coupl(nGC_61)*coupl(nGC_72) + 3d0* &
                        coupl(nGC_1491)*coupl(nGC_1919)*coupl(nGC_42) + 3d0*   &
                        coupl(nGC_1491)*coupl(nGC_50)*coupl(nGC_64) - 3d0*coupl&
                        (nGC_1491)*coupl(nGC_62)*coupl(nGC_64) + 3d0*coupl(    &
                        nGC_1795)*coupl(nGC_2961)*coupl(nGC_42) + 3d0*coupl(   &
                        nGC_1795)*coupl(nGC_50)*coupl(nGC_63) - 3d0*coupl(     &
                        nGC_1795)*coupl(nGC_62)*coupl(nGC_63) + 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_56)*coupl(nGC_68) - 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_62)*coupl(nGC_68) + 6d0*coupl(     &
                        nGC_26)*coupl(nGC_92)*coupl(nGC_94) + 6d0*coupl(nGC_29 &
                        )*coupl(nGC_92)*coupl(nGC_94) + 3d0*coupl(nGC_2961)*   &
                        coupl(nGC_56)*coupl(nGC_69) - 3d0*coupl(nGC_2961)*coupl&
                        (nGC_62)*coupl(nGC_69) + 6d0*coupl(nGC_37)*coupl(      &
                        nGC_661)**2d0 + 6d0*coupl(nGC_37)*coupl(nGC_94)**2d0 + &
                        6d0*coupl(nGC_38)*coupl(nGC_92)**2d0 + 3d0*coupl(nGC_42&
                        )*coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_42)*coupl&
                        (nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_46)*coupl(      &
                        nGC_661)*coupl(nGC_92) + 6d0*coupl(nGC_48)*coupl(nGC_69&
                        )*coupl(nGC_72) + 6d0*coupl(nGC_49)*coupl(nGC_68)*coupl&
                        (nGC_72) + 3d0*coupl(nGC_59)*coupl(nGC_661)*coupl(     &
                        nGC_94) - 3d0*coupl(nGC_661)*coupl(nGC_94)*coupl(nGC_99&
                        ))/(96d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl34
end module fill_ctcouplings34
