!******************************************************************************!
!                                                                              !
!    fill_ctcouplings36.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings36.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings36
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl36()
      coupl(nGC_14073) = coupl(nGC_135)*dZcL_QED2/2d0 + coupl(nGC_135)*        &
                         dZcR_QED2/2d0 + coupl(nGC_9487)
      coupl(nGC_9193) = (-32d0*Nc*cima*coupl(nGC_135)*coupl(nGC_136)*coupl(    &
                        nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_139)*coupl(      &
                        nGC_140)*coupl(nGC_80)**2d0 - 32d0*Nc*cima*coupl(      &
                        nGC_151)*coupl(nGC_152)*coupl(nGC_80)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_175)*coupl(nGC_176)*coupl(nGC_80)**2d0  &
                         - 32d0*Nc*cima*coupl(nGC_182)*coupl(nGC_183)*coupl(   &
                        nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_197)*coupl(      &
                        nGC_198)*coupl(nGC_80)**2d0 + 12d0*cima*coupl(nGC_101)*&
                        coupl(nGC_1153) + 8d0*cima*coupl(nGC_1319)**2d0*coupl( &
                        nGC_72)**2d0 + 4d0*cima*coupl(nGC_1319)*coupl(nGC_1491 &
                        )*coupl(nGC_64)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1319&
                        )*coupl(nGC_1795)*coupl(nGC_63)*coupl(nGC_72) + 4d0*   &
                        cima*coupl(nGC_1319)*coupl(nGC_1919)*coupl(nGC_68)*    &
                        coupl(nGC_72) + 4d0*cima*coupl(nGC_1319)*coupl(nGC_2961&
                        )*coupl(nGC_69)*coupl(nGC_72) + 9d0*cima*coupl(nGC_1319&
                        )*coupl(nGC_3)**2d0*coupl(nGC_72) + 9d0*cima*coupl(    &
                        nGC_1319)*coupl(nGC_72)*coupl(nGC_781)**2d0 + 9d0*cima*&
                        coupl(nGC_1319)*coupl(nGC_72)*coupl(nGC_82)**2d0 + 9d0*&
                        cima*coupl(nGC_1319)*coupl(nGC_72)*coupl(nGC_877)**2d0 &
                         + 4d0*cima*coupl(nGC_1491)*coupl(nGC_3231)*coupl(     &
                        nGC_64)*coupl(nGC_91) + 4d0*cima*coupl(nGC_1491)*coupl(&
                        nGC_3231)*coupl(nGC_68)*coupl(nGC_94) + 4d0*cima*coupl(&
                        nGC_1491)*coupl(nGC_3231)*coupl(nGC_69)*coupl(nGC_94   &
                        ) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_64)*coupl(      &
                        nGC_661)*coupl(nGC_94) - 32d0*cima*coupl(nGC_159)*coupl&
                        (nGC_160)*coupl(nGC_80)**2d0 - 32d0*cima*coupl(nGC_167 &
                        )*coupl(nGC_168)*coupl(nGC_80)**2d0 + 4d0*cima*coupl(  &
                        nGC_1795)*coupl(nGC_3231)*coupl(nGC_63)*coupl(nGC_91   &
                        ) + 4d0*cima*coupl(nGC_1795)*coupl(nGC_3231)*coupl(    &
                        nGC_68)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1795)*coupl(&
                        nGC_3231)*coupl(nGC_69)*coupl(nGC_94) + 4d0*cima*coupl(&
                        nGC_1795)*coupl(nGC_63)*coupl(nGC_661)*coupl(nGC_94) - &
                        32d0*cima*coupl(nGC_190)*coupl(nGC_191)*coupl(nGC_80)**&
                        2d0 + 4d0*cima*coupl(nGC_1919)*coupl(nGC_3231)*coupl(  &
                        nGC_68)*coupl(nGC_91) + 4d0*cima*coupl(nGC_1919)*coupl(&
                        nGC_63)*coupl(nGC_661)*coupl(nGC_91) + 4d0*cima*coupl( &
                        nGC_1919)*coupl(nGC_64)*coupl(nGC_661)*coupl(nGC_91) + &
                        4d0*cima*coupl(nGC_1919)*coupl(nGC_661)*coupl(nGC_68)* &
                        coupl(nGC_94) + 4d0*cima*coupl(nGC_2961)*coupl(nGC_3231&
                        )*coupl(nGC_69)*coupl(nGC_91) + 4d0*cima*coupl(nGC_2961&
                        )*coupl(nGC_63)*coupl(nGC_661)*coupl(nGC_91) + 4d0*cima&
                        *coupl(nGC_2961)*coupl(nGC_64)*coupl(nGC_661)*coupl(   &
                        nGC_91) + 4d0*cima*coupl(nGC_2961)*coupl(nGC_661)*coupl&
                        (nGC_69)*coupl(nGC_94) + 9d0*cima*coupl(nGC_3231)*coupl&
                        (nGC_781)**2d0*coupl(nGC_91) + 9d0*cima*coupl(nGC_3231 &
                        )*coupl(nGC_82)**2d0*coupl(nGC_91) + 24d0*cima*coupl(  &
                        nGC_62)*coupl(nGC_78) + 9d0*cima*coupl(nGC_661)*coupl( &
                        nGC_781)**2d0*coupl(nGC_94) + 9d0*cima*coupl(nGC_661)* &
                        coupl(nGC_82)**2d0*coupl(nGC_94) + 36d0*coupl(nGC_101)*&
                        coupl(nGC_82)**2d0 - 6d0*coupl(nGC_1153)*coupl(nGC_3231&
                        )*coupl(nGC_91) - 6d0*coupl(nGC_1153)*coupl(nGC_661)*  &
                        coupl(nGC_94) - 6d0*coupl(nGC_1319)*coupl(nGC_19)*coupl&
                        (nGC_781) - 6d0*coupl(nGC_1319)*coupl(nGC_20)*coupl(   &
                        nGC_82) - 6d0*coupl(nGC_1319)*coupl(nGC_3)*coupl(nGC_74&
                        ) + 12d0*coupl(nGC_1319)*coupl(nGC_62)*coupl(nGC_72) - &
                        12d0*coupl(nGC_1319)*coupl(nGC_72)*coupl(nGC_78) - 6d0*&
                        coupl(nGC_1319)*coupl(nGC_73)*coupl(nGC_877) - 6d0*    &
                        coupl(nGC_19)*coupl(nGC_72)*coupl(nGC_82) - 6d0*coupl( &
                        nGC_20)*coupl(nGC_72)*coupl(nGC_781) - 6d0*coupl(nGC_3 &
                        )*coupl(nGC_72)*coupl(nGC_73) + 6d0*coupl(nGC_3231)*   &
                        coupl(nGC_61)*coupl(nGC_91) + 6d0*coupl(nGC_61)*coupl( &
                        nGC_661)*coupl(nGC_94) + 36d0*coupl(nGC_62)*coupl(     &
                        nGC_781)**2d0 + 36d0*coupl(nGC_62)*coupl(nGC_877)**2d0 &
                         - 6d0*coupl(nGC_72)*coupl(nGC_74)*coupl(nGC_877))/(   &
                        192d0*pi**2d0)
      coupl(nGC_14077) = coupl(nGC_135)*dZcL_QCD2/2d0 + coupl(nGC_135)*        &
                         dZcR_QCD2/2d0 + coupl(nGC_9488)
      coupl(nGC_14076) = coupl(nGC_14072) + coupl(nGC_14074)
      coupl(nGC_14075) = -coupl(nGC_14072) + coupl(nGC_14073)
      coupl(nGC_12959) = coupl(nGC_41)*dZHMinus_QED2/2d0 + coupl(nGC_41)*      &
                         dZHh_QED2/2d0 + coupl(nGC_48)*dZHlHh_QED2/2d0 + coupl(&
                         nGC_49)*dZHaG0_QED2/2d0 + coupl(nGC_9318)
      coupl(nGC_18263) = coupl(nGC_9636) + coupl(nGC_TS_GC_130_Hl) + coupl(    &
                         nGC_TS_GC_133_Hh)
      coupl(nGC_9117) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(      &
                        nGC_133)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_137)*coupl(nGC_142)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*coupl(     &
                        nGC_173)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_195)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_137&
                        )*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_178 &
                        )*coupl(nGC_180)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_2)*coupl( &
                        nGC_80) + 4d0*cima*coupl(nGC_1079)*coupl(nGC_1319)*    &
                        coupl(nGC_1529)*coupl(nGC_96) + 9d0*cima*coupl(nGC_1283&
                        )*coupl(nGC_1795)*coupl(nGC_3)*coupl(nGC_781) + 9d0*   &
                        cima*coupl(nGC_1319)*coupl(nGC_82)*coupl(nGC_877)*coupl&
                        (nGC_92) + 24d0*cima*coupl(nGC_15)*coupl(nGC_803) + 9d0&
                        *cima*coupl(nGC_1529)*coupl(nGC_1795)*coupl(nGC_3)*    &
                        coupl(nGC_877) + 4d0*cima*coupl(nGC_154)*coupl(nGC_157 &
                        )*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(nGC_162)*&
                        coupl(nGC_165)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*  &
                        coupl(nGC_17)*coupl(nGC_1795)*coupl(nGC_2961)*coupl(   &
                        nGC_68) + 4d0*cima*coupl(nGC_17)*coupl(nGC_1919)*coupl(&
                        nGC_2961)*coupl(nGC_64) + 4d0*cima*coupl(nGC_17)*coupl(&
                        nGC_63)*coupl(nGC_64)**2d0 + 4d0*cima*coupl(nGC_17)*   &
                        coupl(nGC_63)*coupl(nGC_68)**2d0 + 4d0*cima*coupl(     &
                        nGC_17)*coupl(nGC_63)*coupl(nGC_72)**2d0 + 4d0*cima*   &
                        coupl(nGC_185)*coupl(nGC_188)*coupl(nGC_4)*coupl(nGC_80&
                        ) + 24d0*cima*coupl(nGC_5)*coupl(nGC_66) + 6d0*coupl(  &
                        nGC_1079)*coupl(nGC_74)*coupl(nGC_96) - 6d0*coupl(     &
                        nGC_1283)*coupl(nGC_1795)*coupl(nGC_803) - 6d0*coupl(  &
                        nGC_1319)*coupl(nGC_803)*coupl(nGC_92) + 36d0*coupl(   &
                        nGC_15)*coupl(nGC_82)*coupl(nGC_877) - 6d0*coupl(      &
                        nGC_1529)*coupl(nGC_1795)*coupl(nGC_5) - 6d0*coupl(    &
                        nGC_17)*coupl(nGC_3)*coupl(nGC_66) - 6d0*coupl(nGC_1795&
                        )*coupl(nGC_18)*coupl(nGC_877) - 6d0*coupl(nGC_1795)*  &
                        coupl(nGC_3)*coupl(nGC_62) - 6d0*coupl(nGC_1795)*coupl(&
                        nGC_61)*coupl(nGC_877) - 6d0*coupl(nGC_1795)*coupl(    &
                        nGC_781)*coupl(nGC_97) + 6d0*coupl(nGC_2961)*coupl(    &
                        nGC_64)*coupl(nGC_70) + 6d0*coupl(nGC_2961)*coupl(     &
                        nGC_65)*coupl(nGC_68) + 36d0*coupl(nGC_3)*coupl(nGC_66 &
                        )*coupl(nGC_877) + 6d0*coupl(nGC_63)*coupl(nGC_64)*    &
                        coupl(nGC_66) + 6d0*coupl(nGC_63)*coupl(nGC_68)*coupl( &
                        nGC_70) + 6d0*coupl(nGC_63)*coupl(nGC_72)*coupl(nGC_74 &
                        ) - 6d0*coupl(nGC_66)*coupl(nGC_82)*coupl(nGC_96) - 6d0&
                        *coupl(nGC_74)*coupl(nGC_82)*coupl(nGC_92))/(192d0*pi**&
                        2d0)
      coupl(nGC_9116) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(      &
                        nGC_132)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_142)*coupl(nGC_143)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*coupl(     &
                        nGC_172)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_178)*coupl(nGC_179)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_194)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_131)*coupl(nGC_132)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_142&
                        )*coupl(nGC_143)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_172)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_178 &
                        )*coupl(nGC_179)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_2)*coupl( &
                        nGC_80) + 9d0*cima*coupl(nGC_1079)*coupl(nGC_1795)*    &
                        coupl(nGC_82)*coupl(nGC_877) + 9d0*cima*coupl(nGC_1283 &
                        )*coupl(nGC_1319)*coupl(nGC_3)*coupl(nGC_781) + 9d0*   &
                        cima*coupl(nGC_1319)*coupl(nGC_1529)*coupl(nGC_3)*coupl&
                        (nGC_877) + 4d0*cima*coupl(nGC_1529)*coupl(nGC_1795)*  &
                        coupl(nGC_92)*coupl(nGC_96) + 4d0*cima*coupl(nGC_1529)*&
                        coupl(nGC_2961)*coupl(nGC_94)*coupl(nGC_96) + 4d0*cima*&
                        coupl(nGC_154)*coupl(nGC_156)*coupl(nGC_4)*coupl(nGC_80&
                        ) + 4d0*cima*coupl(nGC_162)*coupl(nGC_164)*coupl(nGC_4 &
                        )*coupl(nGC_80) + 4d0*cima*coupl(nGC_17)*coupl(nGC_64  &
                        )**2d0*coupl(nGC_72) + 4d0*cima*coupl(nGC_17)*coupl(   &
                        nGC_68)**2d0*coupl(nGC_72) + 4d0*cima*coupl(nGC_17)*   &
                        coupl(nGC_72)**3d0 + 4d0*cima*coupl(nGC_185)*coupl(    &
                        nGC_187)*coupl(nGC_4)*coupl(nGC_80) + 24d0*cima*coupl( &
                        nGC_20)*coupl(nGC_803) + 9d0*cima*coupl(nGC_2961)*coupl&
                        (nGC_661)*coupl(nGC_82)*coupl(nGC_877) + 24d0*cima*    &
                        coupl(nGC_5)*coupl(nGC_74) - 6d0*coupl(nGC_1079)*coupl(&
                        nGC_1795)*coupl(nGC_803) - 6d0*coupl(nGC_1079)*coupl(  &
                        nGC_66)*coupl(nGC_82) - 6d0*coupl(nGC_1283)*coupl(     &
                        nGC_1319)*coupl(nGC_803) - 6d0*coupl(nGC_1319)*coupl(  &
                        nGC_1529)*coupl(nGC_5) - 6d0*coupl(nGC_1319)*coupl(    &
                        nGC_18)*coupl(nGC_877) - 6d0*coupl(nGC_1319)*coupl(    &
                        nGC_3)*coupl(nGC_62) - 6d0*coupl(nGC_1319)*coupl(nGC_62&
                        )*coupl(nGC_877) - 6d0*coupl(nGC_1319)*coupl(nGC_781)* &
                        coupl(nGC_97) - 6d0*coupl(nGC_17)*coupl(nGC_3)*coupl(  &
                        nGC_74) + 36d0*coupl(nGC_20)*coupl(nGC_82)*coupl(      &
                        nGC_877) - 6d0*coupl(nGC_2961)*coupl(nGC_661)*coupl(   &
                        nGC_803) + 36d0*coupl(nGC_3)*coupl(nGC_74)*coupl(      &
                        nGC_877) + 6d0*coupl(nGC_64)*coupl(nGC_66)*coupl(nGC_72&
                        ) + 6d0*coupl(nGC_66)*coupl(nGC_92)*coupl(nGC_96) - 6d0&
                        *coupl(nGC_661)*coupl(nGC_70)*coupl(nGC_82) + 6d0*coupl&
                        (nGC_68)*coupl(nGC_70)*coupl(nGC_72) + 6d0*coupl(nGC_70&
                        )*coupl(nGC_94)*coupl(nGC_96) + 6d0*coupl(nGC_72)**2d0*&
                        coupl(nGC_74) - 6d0*coupl(nGC_74)*coupl(nGC_82)*coupl( &
                        nGC_96))/(192d0*pi**2d0)
      coupl(nGC_9115) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_130)*coupl(      &
                        nGC_131)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_141)*coupl(nGC_142)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_169)*coupl(     &
                        nGC_170)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_192)*coupl(nGC_193)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_141&
                        )*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_177 &
                        )*coupl(nGC_178)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_2)*coupl( &
                        nGC_80) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_1319)*    &
                        coupl(nGC_17)*coupl(nGC_661) + 9d0*cima*coupl(nGC_1319 &
                        )*coupl(nGC_3)*coupl(nGC_781)*coupl(nGC_94) + 4d0*cima*&
                        coupl(nGC_1491)*coupl(nGC_1529)*coupl(nGC_1795)*coupl( &
                        nGC_69) + 4d0*cima*coupl(nGC_1529)*coupl(nGC_1795)*    &
                        coupl(nGC_2961)*coupl(nGC_63) + 4d0*cima*coupl(nGC_1529&
                        )*coupl(nGC_63)**2d0*coupl(nGC_68) + 4d0*cima*coupl(   &
                        nGC_1529)*coupl(nGC_68)*coupl(nGC_69)**2d0 + 4d0*cima* &
                        coupl(nGC_1529)*coupl(nGC_68)*coupl(nGC_72)**2d0 + 4d0*&
                        cima*coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_4)*coupl( &
                        nGC_80) + 24d0*cima*coupl(nGC_16)*coupl(nGC_803) + 4d0*&
                        cima*coupl(nGC_161)*coupl(nGC_162)*coupl(nGC_4)*coupl( &
                        nGC_80) + 9d0*cima*coupl(nGC_17)*coupl(nGC_1919)*coupl(&
                        nGC_3)*coupl(nGC_877) + 4d0*cima*coupl(nGC_184)*coupl( &
                        nGC_185)*coupl(nGC_4)*coupl(nGC_80) + 9d0*cima*coupl(  &
                        nGC_1919)*coupl(nGC_82)*coupl(nGC_877)*coupl(nGC_96) + &
                        24d0*cima*coupl(nGC_5)*coupl(nGC_70) + 6d0*coupl(      &
                        nGC_1283)*coupl(nGC_661)*coupl(nGC_73) - 6d0*coupl(    &
                        nGC_1283)*coupl(nGC_70)*coupl(nGC_781) - 6d0*coupl(    &
                        nGC_1319)*coupl(nGC_803)*coupl(nGC_94) - 6d0*coupl(    &
                        nGC_1529)*coupl(nGC_70)*coupl(nGC_877) + 36d0*coupl(   &
                        nGC_16)*coupl(nGC_3)*coupl(nGC_781) - 6d0*coupl(nGC_17 &
                        )*coupl(nGC_1919)*coupl(nGC_5) + 6d0*coupl(nGC_1795)*  &
                        coupl(nGC_63)*coupl(nGC_70) + 6d0*coupl(nGC_1795)*coupl&
                        (nGC_65)*coupl(nGC_69) - 6d0*coupl(nGC_18)*coupl(      &
                        nGC_1919)*coupl(nGC_3) - 6d0*coupl(nGC_1919)*coupl(    &
                        nGC_3)*coupl(nGC_61) - 6d0*coupl(nGC_1919)*coupl(nGC_62&
                        )*coupl(nGC_877) - 6d0*coupl(nGC_1919)*coupl(nGC_803)* &
                        coupl(nGC_96) - 6d0*coupl(nGC_1919)*coupl(nGC_82)*coupl&
                        (nGC_97) + 36d0*coupl(nGC_3)*coupl(nGC_70)*coupl(      &
                        nGC_877) + 6d0*coupl(nGC_63)*coupl(nGC_66)*coupl(nGC_68&
                        ) + 6d0*coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_70) + 6d0&
                        *coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_73) - 6d0*coupl(&
                        nGC_73)*coupl(nGC_781)*coupl(nGC_94))/(192d0*pi**2d0)
      coupl(nGC_9114) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(      &
                        nGC_133)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_137)*coupl(nGC_142)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*coupl(     &
                        nGC_173)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_195)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_137&
                        )*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_178 &
                        )*coupl(nGC_180)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_2)*coupl( &
                        nGC_80) + 4d0*cima*coupl(nGC_1079)*coupl(nGC_1283)*    &
                        coupl(nGC_1319)*coupl(nGC_17) + 9d0*cima*coupl(nGC_1319&
                        )*coupl(nGC_3)*coupl(nGC_781)*coupl(nGC_92) + 4d0*cima*&
                        coupl(nGC_1491)*coupl(nGC_1529)*coupl(nGC_1919)*coupl( &
                        nGC_69) + 9d0*cima*coupl(nGC_1491)*coupl(nGC_17)*coupl(&
                        nGC_3)*coupl(nGC_877) + 9d0*cima*coupl(nGC_1491)*coupl(&
                        nGC_82)*coupl(nGC_877)*coupl(nGC_96) + 24d0*cima*coupl(&
                        nGC_15)*coupl(nGC_803) + 4d0*cima*coupl(nGC_1529)*coupl&
                        (nGC_1919)*coupl(nGC_2961)*coupl(nGC_63) + 4d0*cima*   &
                        coupl(nGC_1529)*coupl(nGC_63)**2d0*coupl(nGC_64) + 4d0*&
                        cima*coupl(nGC_1529)*coupl(nGC_64)*coupl(nGC_69)**2d0  &
                         + 4d0*cima*coupl(nGC_1529)*coupl(nGC_64)*coupl(nGC_72 &
                        )**2d0 + 4d0*cima*coupl(nGC_154)*coupl(nGC_157)*coupl( &
                        nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(nGC_162)*coupl(  &
                        nGC_165)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(  &
                        nGC_185)*coupl(nGC_188)*coupl(nGC_4)*coupl(nGC_80) +   &
                        24d0*cima*coupl(nGC_5)*coupl(nGC_66) + 6d0*coupl(      &
                        nGC_1079)*coupl(nGC_1283)*coupl(nGC_73) - 6d0*coupl(   &
                        nGC_1283)*coupl(nGC_66)*coupl(nGC_781) - 6d0*coupl(    &
                        nGC_1319)*coupl(nGC_803)*coupl(nGC_92) - 6d0*coupl(    &
                        nGC_1491)*coupl(nGC_17)*coupl(nGC_5) - 6d0*coupl(      &
                        nGC_1491)*coupl(nGC_18)*coupl(nGC_3) - 6d0*coupl(      &
                        nGC_1491)*coupl(nGC_3)*coupl(nGC_61) - 6d0*coupl(      &
                        nGC_1491)*coupl(nGC_62)*coupl(nGC_877) - 6d0*coupl(    &
                        nGC_1491)*coupl(nGC_803)*coupl(nGC_96) - 6d0*coupl(    &
                        nGC_1491)*coupl(nGC_82)*coupl(nGC_97) + 36d0*coupl(    &
                        nGC_15)*coupl(nGC_3)*coupl(nGC_781) - 6d0*coupl(       &
                        nGC_1529)*coupl(nGC_66)*coupl(nGC_877) + 6d0*coupl(    &
                        nGC_1919)*coupl(nGC_63)*coupl(nGC_70) + 6d0*coupl(     &
                        nGC_1919)*coupl(nGC_65)*coupl(nGC_69) + 36d0*coupl(    &
                        nGC_3)*coupl(nGC_66)*coupl(nGC_877) + 6d0*coupl(nGC_63 &
                        )*coupl(nGC_64)*coupl(nGC_66) + 6d0*coupl(nGC_64)*coupl&
                        (nGC_69)*coupl(nGC_70) + 6d0*coupl(nGC_64)*coupl(nGC_72&
                        )*coupl(nGC_73) - 6d0*coupl(nGC_73)*coupl(nGC_781)*    &
                        coupl(nGC_92))/(192d0*pi**2d0)
      coupl(nGC_9113) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(      &
                        nGC_1313)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_147)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*coupl&
                        (nGC_171)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*   &
                        coupl(nGC_178)*coupl(nGC_2153)*coupl(nGC_80) - 16d0*Nc*&
                        cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_797)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_131)*coupl(nGC_1313)*  &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_142&
                        )*coupl(nGC_144)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_171)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_178 &
                        )*coupl(nGC_2)*coupl(nGC_2153)*coupl(nGC_80) + 4d0*Nc* &
                        cima*coupl(nGC_193)*coupl(nGC_2)*coupl(nGC_797)*coupl( &
                        nGC_80) + 9d0*cima*coupl(nGC_1079)*coupl(nGC_1491)*    &
                        coupl(nGC_3)*coupl(nGC_781) + 4d0*cima*coupl(nGC_1283)*&
                        coupl(nGC_1491)*coupl(nGC_17)*coupl(nGC_92) + 4d0*cima*&
                        coupl(nGC_1283)*coupl(nGC_17)*coupl(nGC_1919)*coupl(   &
                        nGC_94) + 9d0*cima*coupl(nGC_1319)*coupl(nGC_17)*coupl(&
                        nGC_3)*coupl(nGC_877) + 9d0*cima*coupl(nGC_1319)*coupl(&
                        nGC_82)*coupl(nGC_877)*coupl(nGC_96) + 4d0*cima*coupl( &
                        nGC_1529)*coupl(nGC_63)**2d0*coupl(nGC_72) + 4d0*cima* &
                        coupl(nGC_1529)*coupl(nGC_69)**2d0*coupl(nGC_72) + 4d0*&
                        cima*coupl(nGC_1529)*coupl(nGC_72)**3d0 + 4d0*cima*    &
                        coupl(nGC_154)*coupl(nGC_155)*coupl(nGC_4)*coupl(nGC_80&
                        ) + 4d0*cima*coupl(nGC_162)*coupl(nGC_163)*coupl(nGC_4 &
                        )*coupl(nGC_80) + 4d0*cima*coupl(nGC_185)*coupl(nGC_186&
                        )*coupl(nGC_4)*coupl(nGC_80) + 24d0*cima*coupl(nGC_19)*&
                        coupl(nGC_803) + 9d0*cima*coupl(nGC_1919)*coupl(nGC_3)*&
                        coupl(nGC_661)*coupl(nGC_781) + 24d0*cima*coupl(nGC_5)*&
                        coupl(nGC_73) - 6d0*coupl(nGC_1079)*coupl(nGC_1491)*   &
                        coupl(nGC_803) - 6d0*coupl(nGC_1079)*coupl(nGC_66)*    &
                        coupl(nGC_781) + 6d0*coupl(nGC_1283)*coupl(nGC_66)*    &
                        coupl(nGC_92) + 6d0*coupl(nGC_1283)*coupl(nGC_70)*coupl&
                        (nGC_94) - 6d0*coupl(nGC_1283)*coupl(nGC_73)*coupl(    &
                        nGC_781) - 6d0*coupl(nGC_1319)*coupl(nGC_17)*coupl(    &
                        nGC_5) - 6d0*coupl(nGC_1319)*coupl(nGC_18)*coupl(nGC_3 &
                        ) - 6d0*coupl(nGC_1319)*coupl(nGC_3)*coupl(nGC_62) -   &
                        6d0*coupl(nGC_1319)*coupl(nGC_62)*coupl(nGC_877) - 6d0*&
                        coupl(nGC_1319)*coupl(nGC_803)*coupl(nGC_96) - 6d0*    &
                        coupl(nGC_1319)*coupl(nGC_82)*coupl(nGC_97) - 6d0*coupl&
                        (nGC_1529)*coupl(nGC_73)*coupl(nGC_877) + 36d0*coupl(  &
                        nGC_19)*coupl(nGC_3)*coupl(nGC_781) - 6d0*coupl(       &
                        nGC_1919)*coupl(nGC_661)*coupl(nGC_803) + 36d0*coupl(  &
                        nGC_3)*coupl(nGC_73)*coupl(nGC_877) + 6d0*coupl(nGC_63 &
                        )*coupl(nGC_66)*coupl(nGC_72) - 6d0*coupl(nGC_661)*    &
                        coupl(nGC_70)*coupl(nGC_781) + 6d0*coupl(nGC_69)*coupl(&
                        nGC_70)*coupl(nGC_72) + 6d0*coupl(nGC_72)**2d0*coupl(  &
                        nGC_73))/(192d0*pi**2d0)
      coupl(nGC_9112) = (10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)**2d0*coupl(  &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)**2d0&
                        *coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_142)**2d0*coupl(nGC_84) + 10d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_142)**2d0*coupl(nGC_88) - 16d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_146)**2d0*coupl(nGC_84) + 10d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_146)**2d0*coupl(nGC_88  &
                        ) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)**2d0*coupl&
                        (nGC_84) + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)**  &
                        2d0*coupl(nGC_88) + 10d0*Nc*cima*coupl(nGC_1)*coupl(   &
                        nGC_178)**2d0*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_178)**2d0*coupl(nGC_87) + 10d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_193)**2d0*coupl(nGC_85) - 16d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_193)**2d0*coupl(nGC_87  &
                        ) - 16d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_2)*coupl&
                        (nGC_85) + 10d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_2&
                        )*coupl(nGC_87) + 10d0*Nc*cima*coupl(nGC_142)**2d0*    &
                        coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_142&
                        )**2d0*coupl(nGC_2)*coupl(nGC_88) + 10d0*Nc*cima*coupl(&
                        nGC_146)**2d0*coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc*cima&
                        *coupl(nGC_146)**2d0*coupl(nGC_2)*coupl(nGC_88) + 10d0*&
                        Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_2)*coupl(nGC_84  &
                        ) - 16d0*Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_2)*coupl&
                        (nGC_88) - 16d0*Nc*cima*coupl(nGC_178)**2d0*coupl(nGC_2&
                        )*coupl(nGC_85) + 10d0*Nc*cima*coupl(nGC_178)**2d0*    &
                        coupl(nGC_2)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_193&
                        )**2d0*coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc*cima*coupl(&
                        nGC_193)**2d0*coupl(nGC_2)*coupl(nGC_87) + 4d0*cima*   &
                        coupl(nGC_1283)**2d0*coupl(nGC_17)*coupl(nGC_96) + 9d0*&
                        cima*coupl(nGC_1319)*coupl(nGC_3)*coupl(nGC_72)*coupl( &
                        nGC_82) + 9d0*cima*coupl(nGC_1491)*coupl(nGC_3)*coupl( &
                        nGC_64)*coupl(nGC_82) + 4d0*cima*coupl(nGC_1529)**2d0* &
                        coupl(nGC_17)*coupl(nGC_96) - 16d0*cima*coupl(nGC_154  &
                        )**2d0*coupl(nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(   &
                        nGC_154)**2d0*coupl(nGC_4)*coupl(nGC_90) - 16d0*cima*  &
                        coupl(nGC_162)**2d0*coupl(nGC_4)*coupl(nGC_86) + 10d0* &
                        cima*coupl(nGC_162)**2d0*coupl(nGC_4)*coupl(nGC_90) -  &
                        16d0*cima*coupl(nGC_185)**2d0*coupl(nGC_4)*coupl(nGC_86&
                        ) + 10d0*cima*coupl(nGC_185)**2d0*coupl(nGC_4)*coupl(  &
                        nGC_90) + 9d0*cima*coupl(nGC_1919)*coupl(nGC_3)*coupl( &
                        nGC_68)*coupl(nGC_82) + 12d0*cima*coupl(nGC_62)*coupl( &
                        nGC_83) + 3d0*coupl(nGC_1283)**2d0*coupl(nGC_97) - 3d0*&
                        coupl(nGC_1319)*coupl(nGC_20)*coupl(nGC_3) - 3d0*coupl(&
                        nGC_1319)*coupl(nGC_72)*coupl(nGC_83) - 3d0*coupl(     &
                        nGC_1491)*coupl(nGC_15)*coupl(nGC_3) - 3d0*coupl(      &
                        nGC_1491)*coupl(nGC_64)*coupl(nGC_83) - 3d0*coupl(     &
                        nGC_15)*coupl(nGC_3)*coupl(nGC_64) + 3d0*coupl(nGC_1529&
                        )**2d0*coupl(nGC_97) - 3d0*coupl(nGC_16)*coupl(nGC_1919&
                        )*coupl(nGC_3) - 3d0*coupl(nGC_16)*coupl(nGC_3)*coupl( &
                        nGC_68) - 3d0*coupl(nGC_19)*coupl(nGC_3)*coupl(nGC_72  &
                        ) - 3d0*coupl(nGC_1919)*coupl(nGC_68)*coupl(nGC_83) +  &
                        18d0*coupl(nGC_3)*coupl(nGC_62)*coupl(nGC_82) + 18d0*  &
                        coupl(nGC_62)*coupl(nGC_781)*coupl(nGC_877) - 3d0*coupl&
                        (nGC_63)*coupl(nGC_66)*coupl(nGC_781) - 3d0*coupl(     &
                        nGC_64)*coupl(nGC_66)*coupl(nGC_82) - 3d0*coupl(nGC_68 &
                        )*coupl(nGC_70)*coupl(nGC_82) - 3d0*coupl(nGC_69)*coupl&
                        (nGC_70)*coupl(nGC_781) - 3d0*coupl(nGC_72)*coupl(     &
                        nGC_73)*coupl(nGC_82) - 3d0*coupl(nGC_72)*coupl(nGC_74 &
                        )*coupl(nGC_781))/(96d0*pi**2d0)
      coupl(nGC_9111) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_143)*  &
                        coupl(nGC_84) - Nc*coupl(nGC_1)*coupl(nGC_139)*coupl(  &
                        nGC_143)*coupl(nGC_87) - Nc*coupl(nGC_1)*coupl(nGC_140 &
                        )*coupl(nGC_144)*coupl(nGC_84) - Nc*coupl(nGC_1)*coupl(&
                        nGC_140)*coupl(nGC_144)*coupl(nGC_87) - Nc*coupl(nGC_1 &
                        )*coupl(nGC_147)*coupl(nGC_152)*coupl(nGC_84) - Nc*    &
                        coupl(nGC_1)*coupl(nGC_147)*coupl(nGC_152)*coupl(nGC_87&
                        ) - Nc*coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_151)*coupl&
                        (nGC_84) - Nc*coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_151&
                        )*coupl(nGC_87) - Nc*coupl(nGC_1)*coupl(nGC_171)*coupl(&
                        nGC_176)*coupl(nGC_84) - Nc*coupl(nGC_1)*coupl(nGC_171 &
                        )*coupl(nGC_176)*coupl(nGC_87) - Nc*coupl(nGC_1)*coupl(&
                        nGC_172)*coupl(nGC_175)*coupl(nGC_84) - Nc*coupl(nGC_1 &
                        )*coupl(nGC_172)*coupl(nGC_175)*coupl(nGC_87) - Nc*    &
                        coupl(nGC_1313)*coupl(nGC_136)*coupl(nGC_2)*coupl(     &
                        nGC_85) - Nc*coupl(nGC_1313)*coupl(nGC_136)*coupl(nGC_2&
                        )*coupl(nGC_88) - Nc*coupl(nGC_132)*coupl(nGC_135)*    &
                        coupl(nGC_2)*coupl(nGC_85) - Nc*coupl(nGC_132)*coupl(  &
                        nGC_135)*coupl(nGC_2)*coupl(nGC_88) - Nc*coupl(nGC_179 &
                        )*coupl(nGC_182)*coupl(nGC_2)*coupl(nGC_85) - Nc*coupl(&
                        nGC_179)*coupl(nGC_182)*coupl(nGC_2)*coupl(nGC_88) - Nc&
                        *coupl(nGC_183)*coupl(nGC_2)*coupl(nGC_2153)*coupl(    &
                        nGC_85) - Nc*coupl(nGC_183)*coupl(nGC_2)*coupl(nGC_2153&
                        )*coupl(nGC_88) - Nc*coupl(nGC_194)*coupl(nGC_197)*    &
                        coupl(nGC_2)*coupl(nGC_85) - Nc*coupl(nGC_194)*coupl(  &
                        nGC_197)*coupl(nGC_2)*coupl(nGC_88) - Nc*coupl(nGC_198 &
                        )*coupl(nGC_2)*coupl(nGC_797)*coupl(nGC_85) - Nc*coupl(&
                        nGC_198)*coupl(nGC_2)*coupl(nGC_797)*coupl(nGC_88) -   &
                        coupl(nGC_155)*coupl(nGC_160)*coupl(nGC_4)*coupl(nGC_86&
                        ) - coupl(nGC_155)*coupl(nGC_160)*coupl(nGC_4)*coupl(  &
                        nGC_89) - coupl(nGC_156)*coupl(nGC_159)*coupl(nGC_4)*  &
                        coupl(nGC_86) - coupl(nGC_156)*coupl(nGC_159)*coupl(   &
                        nGC_4)*coupl(nGC_89) - coupl(nGC_163)*coupl(nGC_168)*  &
                        coupl(nGC_4)*coupl(nGC_86) - coupl(nGC_163)*coupl(     &
                        nGC_168)*coupl(nGC_4)*coupl(nGC_89) - coupl(nGC_164)*  &
                        coupl(nGC_167)*coupl(nGC_4)*coupl(nGC_86) - coupl(     &
                        nGC_164)*coupl(nGC_167)*coupl(nGC_4)*coupl(nGC_89) -   &
                        coupl(nGC_186)*coupl(nGC_191)*coupl(nGC_4)*coupl(nGC_86&
                        ) - coupl(nGC_186)*coupl(nGC_191)*coupl(nGC_4)*coupl(  &
                        nGC_89) - coupl(nGC_187)*coupl(nGC_190)*coupl(nGC_4)*  &
                        coupl(nGC_86) - coupl(nGC_187)*coupl(nGC_190)*coupl(   &
                        nGC_4)*coupl(nGC_89))/(16d0*pi**2d0)
      coupl(nGC_14470) = 3d0*coupl(nGC_46)*dZHa_QED2/2d0 + coupl(nGC_52)*      &
                         dZHaG0_QED2/2d0 + 3d0*coupl(nGC_59)*dZG0Ha_QED2/2d0 + &
                         coupl(nGC_9327)
      coupl(nGC_9119) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_143)*coupl(      &
                        nGC_144)*coupl(nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_143)*coupl(nGC_144)*coupl(nGC_87) - 12d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_147)*coupl(nGC_148)*coupl( &
                        nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_147)*    &
                        coupl(nGC_148)*coupl(nGC_87) - 12d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_171)*coupl(nGC_172)*coupl(nGC_84) - 12d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_171)*coupl(nGC_172)*coupl(&
                        nGC_87) - 12d0*Nc*cima*coupl(nGC_1313)*coupl(nGC_132)* &
                        coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc*cima*coupl(       &
                        nGC_1313)*coupl(nGC_132)*coupl(nGC_2)*coupl(nGC_88) -  &
                        12d0*Nc*cima*coupl(nGC_179)*coupl(nGC_2)*coupl(nGC_2153&
                        )*coupl(nGC_85) - 12d0*Nc*cima*coupl(nGC_179)*coupl(   &
                        nGC_2)*coupl(nGC_2153)*coupl(nGC_88) - 12d0*Nc*cima*   &
                        coupl(nGC_194)*coupl(nGC_2)*coupl(nGC_797)*coupl(nGC_85&
                        ) - 12d0*Nc*cima*coupl(nGC_194)*coupl(nGC_2)*coupl(    &
                        nGC_797)*coupl(nGC_88) + 4d0*cima*coupl(nGC_1283)*coupl&
                        (nGC_1319)*coupl(nGC_1529)*coupl(nGC_72) + 4d0*cima*   &
                        coupl(nGC_1319)*coupl(nGC_17)*coupl(nGC_72)*coupl(     &
                        nGC_96) + 9d0*cima*coupl(nGC_1319)*coupl(nGC_3)*coupl( &
                        nGC_72)*coupl(nGC_82) + 9d0*cima*coupl(nGC_1319)*coupl(&
                        nGC_72)*coupl(nGC_781)*coupl(nGC_877) - 12d0*cima*coupl&
                        (nGC_155)*coupl(nGC_156)*coupl(nGC_4)*coupl(nGC_86) -  &
                        12d0*cima*coupl(nGC_155)*coupl(nGC_156)*coupl(nGC_4)*  &
                        coupl(nGC_89) - 12d0*cima*coupl(nGC_163)*coupl(nGC_164 &
                        )*coupl(nGC_4)*coupl(nGC_86) - 12d0*cima*coupl(nGC_163 &
                        )*coupl(nGC_164)*coupl(nGC_4)*coupl(nGC_89) - 12d0*cima&
                        *coupl(nGC_186)*coupl(nGC_187)*coupl(nGC_4)*coupl(     &
                        nGC_86) - 12d0*cima*coupl(nGC_186)*coupl(nGC_187)*coupl&
                        (nGC_4)*coupl(nGC_89) + 12d0*cima*coupl(nGC_62)*coupl( &
                        nGC_83) - 3d0*coupl(nGC_1319)*coupl(nGC_19)*coupl(nGC_3&
                        ) - 3d0*coupl(nGC_1319)*coupl(nGC_20)*coupl(nGC_877) - &
                        6d0*coupl(nGC_1319)*coupl(nGC_72)*coupl(nGC_83) + 6d0* &
                        coupl(nGC_1319)*coupl(nGC_72)*coupl(nGC_97) - 6d0*coupl&
                        (nGC_1319)*coupl(nGC_73)*coupl(nGC_82) - 6d0*coupl(    &
                        nGC_1319)*coupl(nGC_74)*coupl(nGC_781) - 3d0*coupl(    &
                        nGC_19)*coupl(nGC_72)*coupl(nGC_877) - 3d0*coupl(nGC_20&
                        )*coupl(nGC_3)*coupl(nGC_72) + 18d0*coupl(nGC_3)*coupl(&
                        nGC_62)*coupl(nGC_82) + 18d0*coupl(nGC_62)*coupl(      &
                        nGC_781)*coupl(nGC_877))/(96d0*pi**2d0)
      coupl(nGC_9118) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_130)*coupl(      &
                        nGC_131)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_141)*coupl(nGC_142)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_169)*coupl(     &
                        nGC_170)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_192)*coupl(nGC_193)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_141&
                        )*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_177 &
                        )*coupl(nGC_178)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_2)*coupl( &
                        nGC_80) + 9d0*cima*coupl(nGC_1283)*coupl(nGC_2961)*    &
                        coupl(nGC_3)*coupl(nGC_781) + 4d0*cima*coupl(nGC_1319)*&
                        coupl(nGC_1529)*coupl(nGC_661)*coupl(nGC_96) + 9d0*cima&
                        *coupl(nGC_1319)*coupl(nGC_82)*coupl(nGC_877)*coupl(   &
                        nGC_94) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_17)*coupl(&
                        nGC_1795)*coupl(nGC_68) + 4d0*cima*coupl(nGC_1491)*    &
                        coupl(nGC_17)*coupl(nGC_1919)*coupl(nGC_64) + 9d0*cima*&
                        coupl(nGC_1529)*coupl(nGC_2961)*coupl(nGC_3)*coupl(    &
                        nGC_877) + 4d0*cima*coupl(nGC_153)*coupl(nGC_154)*coupl&
                        (nGC_4)*coupl(nGC_80) + 24d0*cima*coupl(nGC_16)*coupl( &
                        nGC_803) + 4d0*cima*coupl(nGC_161)*coupl(nGC_162)*coupl&
                        (nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(nGC_17)*coupl(  &
                        nGC_64)**2d0*coupl(nGC_69) + 4d0*cima*coupl(nGC_17)*   &
                        coupl(nGC_68)**2d0*coupl(nGC_69) + 4d0*cima*coupl(     &
                        nGC_17)*coupl(nGC_69)*coupl(nGC_72)**2d0 + 4d0*cima*   &
                        coupl(nGC_184)*coupl(nGC_185)*coupl(nGC_4)*coupl(nGC_80&
                        ) + 24d0*cima*coupl(nGC_5)*coupl(nGC_70) - 6d0*coupl(  &
                        nGC_1283)*coupl(nGC_2961)*coupl(nGC_803) - 6d0*coupl(  &
                        nGC_1319)*coupl(nGC_803)*coupl(nGC_94) + 6d0*coupl(    &
                        nGC_1491)*coupl(nGC_64)*coupl(nGC_70) + 6d0*coupl(     &
                        nGC_1491)*coupl(nGC_65)*coupl(nGC_68) - 6d0*coupl(     &
                        nGC_1529)*coupl(nGC_2961)*coupl(nGC_5) + 36d0*coupl(   &
                        nGC_16)*coupl(nGC_82)*coupl(nGC_877) - 6d0*coupl(nGC_17&
                        )*coupl(nGC_3)*coupl(nGC_70) - 6d0*coupl(nGC_18)*coupl(&
                        nGC_2961)*coupl(nGC_877) - 6d0*coupl(nGC_2961)*coupl(  &
                        nGC_3)*coupl(nGC_62) - 6d0*coupl(nGC_2961)*coupl(nGC_61&
                        )*coupl(nGC_877) - 6d0*coupl(nGC_2961)*coupl(nGC_781)* &
                        coupl(nGC_97) + 36d0*coupl(nGC_3)*coupl(nGC_70)*coupl( &
                        nGC_877) + 6d0*coupl(nGC_64)*coupl(nGC_66)*coupl(nGC_69&
                        ) + 6d0*coupl(nGC_661)*coupl(nGC_74)*coupl(nGC_96) +   &
                        6d0*coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_70) + 6d0*   &
                        coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_74) - 6d0*coupl( &
                        nGC_70)*coupl(nGC_82)*coupl(nGC_96) - 6d0*coupl(nGC_74 &
                        )*coupl(nGC_82)*coupl(nGC_94))/(192d0*pi**2d0)
      coupl(nGC_31569) = -coupl(nGC_8910)
      coupl(nGC_13250) = -coupl(nGC_13249)
      coupl(nGC_23116) = coupl(nGC_TS_GC_108_Hl) + coupl(nGC_TS_GC_116_Hh)
      coupl(nGC_8800) = (coupl(nGC_1)*coupl(nGC_146)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_150)**2d0 + 4d0*coupl(nGC_1)*coupl(nGC_80)**2d0 +  &
                        coupl(nGC_192)**2d0*coupl(nGC_2) + coupl(nGC_194)*coupl&
                        (nGC_2)*coupl(nGC_797) + coupl(nGC_195)**2d0*coupl(    &
                        nGC_2) + coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_2) +  &
                        4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_88  &
                        )**2d0 + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_23037) = coupl(nGC_23032) + coupl(nGC_23036)
      coupl(nGC_30058) = -coupl(nGC_8912)
      coupl(nGC_8770) = (coupl(nGC_1319)*coupl(nGC_1491)*coupl(nGC_17) + coupl(&
                        nGC_1319)*coupl(nGC_1529)*coupl(nGC_1795) - 6d0*coupl( &
                        nGC_3)*coupl(nGC_64)*coupl(nGC_72) - 6d0*coupl(nGC_63)*&
                        coupl(nGC_72)*coupl(nGC_877))/(96d0*pi**2d0)
      coupl(nGC_12781) = -coupl(nGC_12780)
      coupl(nGC_14931) = coupl(nGC_14808) + coupl(nGC_14929)
      coupl(nGC_30064) = -coupl(nGC_8765)
      coupl(nGC_29893) = -coupl(nGC_8838)
      coupl(nGC_30061) = -coupl(nGC_8770)
      coupl(nGC_20090) = -coupl(nGC_19951) + coupl(nGC_19952)
      coupl(nGC_28168) = 3d0*coupl(nGC_6)*dZg_QCD2/2d0 + coupl(nGC_9278)
      coupl(nGC_24963) = 2d0*coupl(nGC_46)*dZG0Ha_QED2 + 2d0*coupl(nGC_52)*    &
                         dZHa_QED2 + coupl(nGC_9292)
      coupl(nGC_13326) = 2d0*coupl(nGC_45)*dZHMinusGMinus_QED2 + coupl(nGC_9288)
      coupl(nGC_23682) = coupl(nGC_9646) + coupl(nGC_MZ)*dZZ_QED2 + coupl(     &
                         nGC_TS_GC_128_Hl) + coupl(nGC_TS_GC_129_Hh)
      coupl(nGC_9021) = coupl(nGC_80)*(coupl(nGC_4)*coupl(nGC_877) + coupl(    &
                        nGC_781)*coupl(nGC_89) + coupl(nGC_82)*coupl(nGC_90) + &
                        coupl(nGC_89)*coupl(nGC_90))/(8d0*pi**2d0)
      coupl(nGC_9020) = coupl(nGC_80)*(coupl(nGC_1)*coupl(nGC_2) - coupl(nGC_1 &
                        )*coupl(nGC_3) - coupl(nGC_2)*coupl(nGC_877) - coupl(  &
                        nGC_781)*coupl(nGC_88) - coupl(nGC_82)*coupl(nGC_87) + &
                        coupl(nGC_87)*coupl(nGC_88))/(8d0*pi**2d0)
      coupl(nGC_18711) = coupl(nGC_13997) - coupl(nGC_14002)
      coupl(nGC_8903) = (-coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_1529) + 8d0*   &
                        coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_2) - coupl(      &
                        nGC_1283)*coupl(nGC_146)*coupl(nGC_84) - coupl(nGC_1319&
                        )*coupl(nGC_148)*coupl(nGC_80) - coupl(nGC_145)*coupl( &
                        nGC_1919)*coupl(nGC_80) - coupl(nGC_145)*coupl(nGC_192 &
                        )*coupl(nGC_193) - coupl(nGC_146)*coupl(nGC_17)*coupl( &
                        nGC_2) + 8d0*coupl(nGC_146)*coupl(nGC_84)*coupl(nGC_88 &
                        ) - coupl(nGC_146)*coupl(nGC_88)*coupl(nGC_96) - coupl(&
                        nGC_148)*coupl(nGC_193)*coupl(nGC_797) - coupl(nGC_149 &
                        )*coupl(nGC_1491)*coupl(nGC_80) - coupl(nGC_149)*coupl(&
                        nGC_193)*coupl(nGC_195) - coupl(nGC_152)*coupl(nGC_193 &
                        )*coupl(nGC_197))/(32d0*pi**2d0)
      coupl(nGC_8901) = (coupl(nGC_1)*coupl(nGC_17)*coupl(nGC_170) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_170)*coupl(nGC_2) + coupl(nGC_1283)*  &
                        coupl(nGC_170)*coupl(nGC_88) - coupl(nGC_130)*coupl(   &
                        nGC_131)*coupl(nGC_169) - coupl(nGC_131)*coupl(nGC_1313&
                        )*coupl(nGC_172) - coupl(nGC_131)*coupl(nGC_133)*coupl(&
                        nGC_173) - coupl(nGC_131)*coupl(nGC_135)*coupl(nGC_176 &
                        ) + coupl(nGC_1529)*coupl(nGC_170)*coupl(nGC_2) + coupl&
                        (nGC_169)*coupl(nGC_69)*coupl(nGC_80) + 8d0*coupl(     &
                        nGC_170)*coupl(nGC_84)*coupl(nGC_88) + coupl(nGC_170)* &
                        coupl(nGC_84)*coupl(nGC_96) + coupl(nGC_172)*coupl(    &
                        nGC_72)*coupl(nGC_80) + coupl(nGC_173)*coupl(nGC_63)*  &
                        coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_29760) = -coupl(nGC_8835)
      coupl(nGC_9234) = (-32d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_80)**2d0  &
                         - 32d0*Nc*cima*coupl(nGC_137)**2d0*coupl(nGC_80)**2d0 &
                         - 32d0*Nc*cima*coupl(nGC_149)**2d0*coupl(nGC_80)**2d0 &
                         - 32d0*Nc*cima*coupl(nGC_173)**2d0*coupl(nGC_80)**2d0 &
                         - 32d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_80)**2d0 &
                         - 32d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_80)**2d0 &
                         + 8d0*cima*coupl(nGC_1079)*coupl(nGC_1319)*coupl(     &
                        nGC_72)*coupl(nGC_92) + 9d0*cima*coupl(nGC_1079)*coupl(&
                        nGC_781)**2d0*coupl(nGC_92) + 9d0*cima*coupl(nGC_1079)*&
                        coupl(nGC_82)**2d0*coupl(nGC_92) + 12d0*cima*coupl(    &
                        nGC_1153)*coupl(nGC_99) + 4d0*cima*coupl(nGC_1319)*    &
                        coupl(nGC_1491)*coupl(nGC_64)*coupl(nGC_72) + 4d0*cima*&
                        coupl(nGC_1319)*coupl(nGC_1795)*coupl(nGC_63)*coupl(   &
                        nGC_72) + 4d0*cima*coupl(nGC_1319)*coupl(nGC_1919)*    &
                        coupl(nGC_68)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1319)*&
                        coupl(nGC_2961)*coupl(nGC_69)*coupl(nGC_72) + 8d0*cima*&
                        coupl(nGC_1319)*coupl(nGC_661)*coupl(nGC_72)*coupl(    &
                        nGC_94) + 4d0*cima*coupl(nGC_1491)**2d0*coupl(nGC_1919 &
                        )*coupl(nGC_2961) + 8d0*cima*coupl(nGC_1491)*coupl(    &
                        nGC_1795)*coupl(nGC_1919)*coupl(nGC_2961) + 8d0*cima*  &
                        coupl(nGC_1491)*coupl(nGC_1795)*coupl(nGC_63)*coupl(   &
                        nGC_64) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_1919)*    &
                        coupl(nGC_64)*coupl(nGC_68) + 4d0*cima*coupl(nGC_1491)*&
                        coupl(nGC_2961)*coupl(nGC_64)*coupl(nGC_69) + 9d0*cima*&
                        coupl(nGC_1491)*coupl(nGC_3)**2d0*coupl(nGC_64) + 9d0* &
                        cima*coupl(nGC_1491)*coupl(nGC_64)*coupl(nGC_82)**2d0  &
                         - 32d0*cima*coupl(nGC_157)**2d0*coupl(nGC_80)**2d0 -  &
                        32d0*cima*coupl(nGC_165)**2d0*coupl(nGC_80)**2d0 + 4d0*&
                        cima*coupl(nGC_1795)**2d0*coupl(nGC_1919)*coupl(       &
                        nGC_2961) + 4d0*cima*coupl(nGC_1795)*coupl(nGC_1919)*  &
                        coupl(nGC_63)*coupl(nGC_68) + 4d0*cima*coupl(nGC_1795)*&
                        coupl(nGC_2961)*coupl(nGC_63)*coupl(nGC_69) + 9d0*cima*&
                        coupl(nGC_1795)*coupl(nGC_63)*coupl(nGC_781)**2d0 + 9d0&
                        *cima*coupl(nGC_1795)*coupl(nGC_63)*coupl(nGC_877)**2d0&
                         - 32d0*cima*coupl(nGC_188)**2d0*coupl(nGC_80)**2d0 +  &
                        8d0*cima*coupl(nGC_1919)*coupl(nGC_2961)*coupl(nGC_68)*&
                        coupl(nGC_69) + 9d0*cima*coupl(nGC_1919)*coupl(nGC_3)**&
                        2d0*coupl(nGC_68) + 9d0*cima*coupl(nGC_1919)*coupl(    &
                        nGC_68)*coupl(nGC_82)**2d0 + 9d0*cima*coupl(nGC_2961)* &
                        coupl(nGC_69)*coupl(nGC_781)**2d0 + 9d0*cima*coupl(    &
                        nGC_2961)*coupl(nGC_69)*coupl(nGC_877)**2d0 + 24d0*cima&
                        *coupl(nGC_61)*coupl(nGC_78) + 4d0*cima*coupl(nGC_63)**&
                        2d0*coupl(nGC_68)*coupl(nGC_69) + 8d0*cima*coupl(nGC_63&
                        )*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_69) + 4d0*cima*&
                        coupl(nGC_64)**2d0*coupl(nGC_68)*coupl(nGC_69) + 9d0*  &
                        cima*coupl(nGC_661)*coupl(nGC_781)**2d0*coupl(nGC_94   &
                        ) + 9d0*cima*coupl(nGC_661)*coupl(nGC_82)**2d0*coupl(  &
                        nGC_94) - 6d0*coupl(nGC_1079)*coupl(nGC_1153)*coupl(   &
                        nGC_92) + 6d0*coupl(nGC_1079)*coupl(nGC_62)*coupl(     &
                        nGC_92) - 6d0*coupl(nGC_1153)*coupl(nGC_661)*coupl(    &
                        nGC_94) - 6d0*coupl(nGC_1491)*coupl(nGC_15)*coupl(     &
                        nGC_82) - 6d0*coupl(nGC_1491)*coupl(nGC_3)*coupl(nGC_66&
                        ) + 6d0*coupl(nGC_1491)*coupl(nGC_62)*coupl(nGC_64) -  &
                        6d0*coupl(nGC_1491)*coupl(nGC_64)*coupl(nGC_78) - 6d0* &
                        coupl(nGC_15)*coupl(nGC_1795)*coupl(nGC_781) - 6d0*    &
                        coupl(nGC_15)*coupl(nGC_63)*coupl(nGC_781) - 6d0*coupl(&
                        nGC_15)*coupl(nGC_64)*coupl(nGC_82) - 6d0*coupl(nGC_16 &
                        )*coupl(nGC_1919)*coupl(nGC_82) - 6d0*coupl(nGC_16)*   &
                        coupl(nGC_2961)*coupl(nGC_781) - 6d0*coupl(nGC_16)*    &
                        coupl(nGC_68)*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl( &
                        nGC_69)*coupl(nGC_781) + 6d0*coupl(nGC_1795)*coupl(    &
                        nGC_62)*coupl(nGC_63) - 6d0*coupl(nGC_1795)*coupl(     &
                        nGC_63)*coupl(nGC_78) - 6d0*coupl(nGC_1795)*coupl(     &
                        nGC_66)*coupl(nGC_877) - 6d0*coupl(nGC_1919)*coupl(    &
                        nGC_3)*coupl(nGC_70) + 6d0*coupl(nGC_1919)*coupl(nGC_62&
                        )*coupl(nGC_68) - 6d0*coupl(nGC_1919)*coupl(nGC_68)*   &
                        coupl(nGC_78) + 6d0*coupl(nGC_2961)*coupl(nGC_62)*coupl&
                        (nGC_69) - 6d0*coupl(nGC_2961)*coupl(nGC_69)*coupl(    &
                        nGC_78) - 6d0*coupl(nGC_2961)*coupl(nGC_70)*coupl(     &
                        nGC_877) - 6d0*coupl(nGC_3)*coupl(nGC_64)*coupl(nGC_66 &
                        ) - 6d0*coupl(nGC_3)*coupl(nGC_68)*coupl(nGC_70) + 36d0&
                        *coupl(nGC_61)*coupl(nGC_781)**2d0 + 36d0*coupl(nGC_61 &
                        )*coupl(nGC_877)**2d0 + 6d0*coupl(nGC_62)*coupl(nGC_661&
                        )*coupl(nGC_94) - 6d0*coupl(nGC_63)*coupl(nGC_66)*coupl&
                        (nGC_877) - 6d0*coupl(nGC_69)*coupl(nGC_70)*coupl(     &
                        nGC_877) + 36d0*coupl(nGC_82)**2d0*coupl(nGC_99))/(    &
                        192d0*pi**2d0)
      coupl(nGC_9235) = (-32d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl(    &
                        nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_137)*coupl(      &
                        nGC_141)*coupl(nGC_80)**2d0 - 32d0*Nc*cima*coupl(      &
                        nGC_145)*coupl(nGC_149)*coupl(nGC_80)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_169)*coupl(nGC_173)*coupl(nGC_80)**2d0  &
                         - 32d0*Nc*cima*coupl(nGC_177)*coupl(nGC_180)*coupl(   &
                        nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_192)*coupl(      &
                        nGC_195)*coupl(nGC_80)**2d0 + 9d0*cima*coupl(nGC_1079)*&
                        coupl(nGC_781)**2d0*coupl(nGC_94) + 9d0*cima*coupl(    &
                        nGC_1079)*coupl(nGC_82)**2d0*coupl(nGC_94) + 4d0*cima* &
                        coupl(nGC_1319)*coupl(nGC_1491)*coupl(nGC_68)*coupl(   &
                        nGC_72) + 4d0*cima*coupl(nGC_1319)*coupl(nGC_1491)*    &
                        coupl(nGC_69)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1319)*&
                        coupl(nGC_1795)*coupl(nGC_68)*coupl(nGC_72) + 4d0*cima*&
                        coupl(nGC_1319)*coupl(nGC_1795)*coupl(nGC_69)*coupl(   &
                        nGC_72) + 8d0*cima*coupl(nGC_1319)*coupl(nGC_3231)*    &
                        coupl(nGC_72)*coupl(nGC_94) + 8d0*cima*coupl(nGC_1319)*&
                        coupl(nGC_661)*coupl(nGC_72)*coupl(nGC_92) + 4d0*cima* &
                        coupl(nGC_1491)**2d0*coupl(nGC_1795)*coupl(nGC_1919) + &
                        4d0*cima*coupl(nGC_1491)**2d0*coupl(nGC_1795)*coupl(   &
                        nGC_2961) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_1795)** &
                        2d0*coupl(nGC_1919) + 4d0*cima*coupl(nGC_1491)*coupl(  &
                        nGC_1795)**2d0*coupl(nGC_2961) + 4d0*cima*coupl(       &
                        nGC_1491)*coupl(nGC_1795)*coupl(nGC_63)*coupl(nGC_68   &
                        ) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_1795)*coupl(    &
                        nGC_63)*coupl(nGC_69) + 4d0*cima*coupl(nGC_1491)*coupl(&
                        nGC_1795)*coupl(nGC_64)*coupl(nGC_68) + 4d0*cima*coupl(&
                        nGC_1491)*coupl(nGC_1795)*coupl(nGC_64)*coupl(nGC_69   &
                        ) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_1919)*coupl(    &
                        nGC_68)*coupl(nGC_69) + 4d0*cima*coupl(nGC_1491)*coupl(&
                        nGC_2961)*coupl(nGC_68)*coupl(nGC_69) - 32d0*cima*coupl&
                        (nGC_153)*coupl(nGC_157)*coupl(nGC_80)**2d0 - 32d0*cima&
                        *coupl(nGC_161)*coupl(nGC_165)*coupl(nGC_80)**2d0 + 4d0&
                        *cima*coupl(nGC_1795)*coupl(nGC_1919)*coupl(nGC_68)*   &
                        coupl(nGC_69) + 4d0*cima*coupl(nGC_1795)*coupl(nGC_2961&
                        )*coupl(nGC_68)*coupl(nGC_69) - 32d0*cima*coupl(nGC_184&
                        )*coupl(nGC_188)*coupl(nGC_80)**2d0 + 9d0*cima*coupl(  &
                        nGC_1919)*coupl(nGC_3)**2d0*coupl(nGC_63) + 9d0*cima*  &
                        coupl(nGC_1919)*coupl(nGC_3)**2d0*coupl(nGC_64) + 9d0* &
                        cima*coupl(nGC_1919)*coupl(nGC_63)*coupl(nGC_82)**2d0  &
                         + 9d0*cima*coupl(nGC_1919)*coupl(nGC_64)*coupl(nGC_82 &
                        )**2d0 + 9d0*cima*coupl(nGC_2961)*coupl(nGC_63)*coupl( &
                        nGC_781)**2d0 + 9d0*cima*coupl(nGC_2961)*coupl(nGC_63)*&
                        coupl(nGC_877)**2d0 + 9d0*cima*coupl(nGC_2961)*coupl(  &
                        nGC_64)*coupl(nGC_781)**2d0 + 9d0*cima*coupl(nGC_2961)*&
                        coupl(nGC_64)*coupl(nGC_877)**2d0 + 4d0*cima*coupl(    &
                        nGC_63)*coupl(nGC_68)**2d0*coupl(nGC_69) + 4d0*cima*   &
                        coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_69)**2d0 + 4d0*  &
                        cima*coupl(nGC_64)*coupl(nGC_68)**2d0*coupl(nGC_69) +  &
                        4d0*cima*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_69)**2d0&
                         + 9d0*cima*coupl(nGC_661)*coupl(nGC_781)**2d0*coupl(  &
                        nGC_91) + 9d0*cima*coupl(nGC_661)*coupl(nGC_82)**2d0*  &
                        coupl(nGC_91) - 6d0*coupl(nGC_1079)*coupl(nGC_1153)*   &
                        coupl(nGC_94) - 6d0*coupl(nGC_1153)*coupl(nGC_661)*    &
                        coupl(nGC_91) - 6d0*coupl(nGC_14)*coupl(nGC_1919)*coupl&
                        (nGC_82) - 6d0*coupl(nGC_14)*coupl(nGC_2961)*coupl(    &
                        nGC_781) + 6d0*coupl(nGC_1491)*coupl(nGC_62)*coupl(    &
                        nGC_68) + 6d0*coupl(nGC_1491)*coupl(nGC_62)*coupl(     &
                        nGC_69) - 6d0*coupl(nGC_15)*coupl(nGC_1919)*coupl(     &
                        nGC_82) - 6d0*coupl(nGC_15)*coupl(nGC_2961)*coupl(     &
                        nGC_781) - 6d0*coupl(nGC_16)*coupl(nGC_63)*coupl(      &
                        nGC_781) - 6d0*coupl(nGC_16)*coupl(nGC_63)*coupl(nGC_82&
                        ) - 6d0*coupl(nGC_16)*coupl(nGC_64)*coupl(nGC_781) -   &
                        6d0*coupl(nGC_16)*coupl(nGC_64)*coupl(nGC_82) + 6d0*   &
                        coupl(nGC_1795)*coupl(nGC_62)*coupl(nGC_68) + 6d0*coupl&
                        (nGC_1795)*coupl(nGC_62)*coupl(nGC_69) - 6d0*coupl(    &
                        nGC_1919)*coupl(nGC_3)*coupl(nGC_65) - 6d0*coupl(      &
                        nGC_1919)*coupl(nGC_3)*coupl(nGC_66) - 6d0*coupl(      &
                        nGC_1919)*coupl(nGC_63)*coupl(nGC_78) - 6d0*coupl(     &
                        nGC_1919)*coupl(nGC_64)*coupl(nGC_78) - 6d0*coupl(     &
                        nGC_2961)*coupl(nGC_63)*coupl(nGC_78) - 6d0*coupl(     &
                        nGC_2961)*coupl(nGC_64)*coupl(nGC_78) - 6d0*coupl(     &
                        nGC_2961)*coupl(nGC_65)*coupl(nGC_877) - 6d0*coupl(    &
                        nGC_2961)*coupl(nGC_66)*coupl(nGC_877) - 6d0*coupl(    &
                        nGC_3)*coupl(nGC_63)*coupl(nGC_70) - 6d0*coupl(nGC_3)* &
                        coupl(nGC_64)*coupl(nGC_70) + 6d0*coupl(nGC_3231)*coupl&
                        (nGC_62)*coupl(nGC_94) + 6d0*coupl(nGC_62)*coupl(      &
                        nGC_661)*coupl(nGC_92) - 6d0*coupl(nGC_63)*coupl(nGC_70&
                        )*coupl(nGC_877) - 6d0*coupl(nGC_64)*coupl(nGC_70)*    &
                        coupl(nGC_877))/(192d0*pi**2d0)
      coupl(nGC_9230) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_1313)*coupl&
                        (nGC_132) - coupl(nGC_143)*coupl(nGC_144) - coupl(     &
                        nGC_147)*coupl(nGC_148) - coupl(nGC_171)*coupl(nGC_172 &
                        ) - coupl(nGC_179)*coupl(nGC_2153) - coupl(nGC_194)*   &
                        coupl(nGC_797))/(16d0*pi**2d0)
      coupl(nGC_8712) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_877)**2d0)/(48d0*pi&
                        **2d0)
      coupl(nGC_8954) = coupl(nGC_7)**2d0*coupl(nGC_797)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8710) = cima*(-8d0*Nc*cMB**2d0*coupl(nGC_139)*coupl(nGC_143) - &
                        8d0*Nc*cMB**2d0*coupl(nGC_140)*coupl(nGC_144) - 8d0*Nc*&
                        cMC**2d0*coupl(nGC_1313)*coupl(nGC_136) - 8d0*Nc*cMC** &
                        2d0*coupl(nGC_132)*coupl(nGC_135) - 8d0*Nc*cMD**2d0*   &
                        coupl(nGC_147)*coupl(nGC_152) - 8d0*Nc*cMD**2d0*coupl( &
                        nGC_148)*coupl(nGC_151) - 8d0*Nc*cMS**2d0*coupl(nGC_171&
                        )*coupl(nGC_176) - 8d0*Nc*cMS**2d0*coupl(nGC_172)*coupl&
                        (nGC_175) - 8d0*Nc*cMT**2d0*coupl(nGC_179)*coupl(      &
                        nGC_182) - 8d0*Nc*cMT**2d0*coupl(nGC_183)*coupl(       &
                        nGC_2153) - 8d0*Nc*cMU**2d0*coupl(nGC_194)*coupl(      &
                        nGC_197) - 8d0*Nc*cMU**2d0*coupl(nGC_198)*coupl(nGC_797&
                        ) - 8d0*cME**2d0*coupl(nGC_155)*coupl(nGC_160) - 8d0*  &
                        cME**2d0*coupl(nGC_156)*coupl(nGC_159) - cMHH**2d0*    &
                        coupl(nGC_1079)*coupl(nGC_94) - cMHH**2d0*coupl(nGC_661&
                        )*coupl(nGC_92) - cMHL**2d0*coupl(nGC_3231)*coupl(     &
                        nGC_94) - cMHL**2d0*coupl(nGC_661)*coupl(nGC_91) - 8d0*&
                        cMM**2d0*coupl(nGC_163)*coupl(nGC_168) - 8d0*cMM**2d0* &
                        coupl(nGC_164)*coupl(nGC_167) - 8d0*cMTA**2d0*coupl(   &
                        nGC_186)*coupl(nGC_191) - 8d0*cMTA**2d0*coupl(nGC_187)*&
                        coupl(nGC_190) - cMZ**2d0*coupl(nGC_1079)*coupl(nGC_94 &
                        ) - cMZ**2d0*coupl(nGC_3231)*coupl(nGC_94) - cMZ**2d0* &
                        coupl(nGC_661)*coupl(nGC_91) - cMZ**2d0*coupl(nGC_661)*&
                        coupl(nGC_92))/(64d0*pi**2d0)
      coupl(nGC_31869) = -coupl(nGC_8767)
      coupl(nGC_13461) = coupl(nGC_13455) + coupl(nGC_13460)
      coupl(nGC_32531) = -coupl(nGC_8778)
      coupl(nGC_29407) = -coupl(nGC_8891)
    end subroutine fill_CTcouplings_mdl36
end module fill_ctcouplings36
