!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_13727) = coupl(nGC_96)*dZGMinus
      coupl(nGC_TS_GC_13_Hh) = -coupl(nGC_13)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9422) = coupl(nGC_8437)*dydo2_QED3 + coupl(nGC_8438)*db_QED2 + &
                        coupl(nGC_8439)*dydo1_QED3
      coupl(nGC_TS_GC_13_Hl) = -coupl(nGC_13)*dtHl_QED1/cMHL**2d0
      coupl(nGC_15055) = coupl(nGC_156)*dZHa_QED2/2d0 + coupl(nGC_156)*        &
                         dZeMinusL_QED2/2d0 + coupl(nGC_156)*dZeMinusR_QED2/2d0&
                          + coupl(nGC_160)*dZG0Ha_QED2/2d0 + coupl(nGC_9476)
      coupl(nGC_12845) = coupl(nGC_41)*dZGMinus/2d0
      coupl(nGC_TS_GC_25_Hh) = -coupl(nGC_25)*dtHh_QED1/cMHH**2d0
      coupl(nGC_15739) = coupl(nGC_75)*dZG0Ha_QED2/2d0
      coupl(nGC_15421) = coupl(nGC_99)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_TS_GC_192_Hl) = -coupl(nGC_192)*dtHl_QED1/cMHL**2d0
      coupl(nGC_14081) = coupl(nGC_23)*dZGMinus
      coupl(nGC_14087) = coupl(nGC_77)*dZGMinus/2d0
      coupl(nGC_TS_GC_99_Hl) = -coupl(nGC_99)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_99_Hh) = -coupl(nGC_99)*dtHh_QED1/cMHH**2d0
      coupl(nGC_14394) = coupl(nGC_180)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_14467) = coupl(nGC_46)*dZG0/2d0
      coupl(nGC_12704) = coupl(nGC_27)*dZGMinus/2d0
      coupl(nGC_9452) = coupl(nGC_8558)*dyd12x2_QED3 + coupl(nGC_8559)*        &
                        dys2_QED3 + coupl(nGC_8560)*db_QED2
      coupl(nGC_9453) = coupl(nGC_8408)*db_QED2 + coupl(nGC_8409)*dyd13x3_QED3 &
                         + coupl(nGC_8410)*dyb2_QED3
      coupl(nGC_9450) = coupl(nGC_8561)*dyd12x2_QED3 + coupl(nGC_8562)*        &
                        dys2_QED3 + coupl(nGC_8563)*db_QED2
      coupl(nGC_13142) = coupl(nGC_148)*dZHa_QED2/2d0 + coupl(nGC_148)*        &
                         dZdL_QED2/2d0 + coupl(nGC_148)*dZdR_QED2/2d0 + coupl( &
                         nGC_152)*dZG0Ha_QED2/2d0 + coupl(nGC_9446)
      coupl(nGC_9457) = coupl(nGC_8483)*db_QED2 + coupl(nGC_8484)*dye2_QED3 +  &
                        coupl(nGC_8485)*dye1_QED3
      coupl(nGC_13140) = coupl(nGC_148)*dZdL_QCD2/2d0 + coupl(nGC_148)*        &
                         dZdR_QCD2/2d0 + coupl(nGC_9445)
      coupl(nGC_13141) = coupl(nGC_147)*dZHa_QED2/2d0 + coupl(nGC_147)*        &
                         dZdL_QED2/2d0 + coupl(nGC_147)*dZdR_QED2/2d0 + coupl( &
                         nGC_151)*dZG0Ha_QED2/2d0 + coupl(nGC_9448)
      coupl(nGC_TS_GC_65_Hl) = -coupl(nGC_65)*dtHl_QED1/cMHL**2d0
      coupl(nGC_12811) = coupl(nGC_19)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_12817) = coupl(nGC_14)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_15)*&
                         dZHhHl_QED2/2d0 + coupl(nGC_16)*dZHMinus_QED2/2d0 +   &
                         coupl(nGC_16)*dZHl_QED2/2d0 + coupl(nGC_16)*          &
                         dZWMinus_QED2/2d0 + coupl(nGC_16)*dZZ_QED2/2d0 + coupl&
                         (nGC_70)*dZAZ_QED2/2d0 + coupl(nGC_9374)
      coupl(nGC_13544) = coupl(nGC_152)*dZG0/2d0
      coupl(nGC_12676) = coupl(nGC_159)*dZG0/2d0
      coupl(nGC_12672) = coupl(nGC_160)*dZG0/2d0
      coupl(nGC_9632) = -cima*dMM_QED2
      coupl(nGC_9633) = -cima*dMTA_QED2
      coupl(nGC_9631) = -cima*dME_QED2
      coupl(nGC_9636) = -cima*dMC_QED2
      coupl(nGC_9637) = -cima*dMC_QCD2
      coupl(nGC_9634) = -cima*dMU_QED2
      coupl(nGC_9635) = -cima*dMU_QCD2
      coupl(nGC_9638) = -cima*dMT_QED2
      coupl(nGC_9639) = -cima*dMT_QCD2
      coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_165_Hh) = -coupl(nGC_165)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9463) = coupl(nGC_8486)*db_QED2 + coupl(nGC_8487)*dye2_QED3 +  &
                        coupl(nGC_8488)*dye1_QED3
      coupl(nGC_14307) = coupl(nGC_59)*dZG0
      coupl(nGC_16731) = -coupl(nGC_13528)
      coupl(nGC_21273) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_14898) = coupl(nGC_172)*dZHa_QED2/2d0 + coupl(nGC_172)*        &
                         dZsL_QED2/2d0 + coupl(nGC_172)*dZsR_QED2/2d0 + coupl( &
                         nGC_176)*dZG0Ha_QED2/2d0 + coupl(nGC_9450)
      coupl(nGC_14897) = coupl(nGC_171)*dZHa_QED2/2d0 + coupl(nGC_171)*        &
                         dZsL_QED2/2d0 + coupl(nGC_171)*dZsR_QED2/2d0 + coupl( &
                         nGC_175)*dZG0Ha_QED2/2d0 + coupl(nGC_9452)
      coupl(nGC_14896) = coupl(nGC_172)*dZsL_QCD2/2d0 + coupl(nGC_172)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9449)
      coupl(nGC_15389) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_9438) = coupl(nGC_8370)*dyd13x3_QED3 + coupl(nGC_8371)*da_QED2 &
                         + coupl(nGC_8372)*dyb2_QED3
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
