!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl5()
      coupl(nGC_9492) = coupl(nGC_423)*dyt2_QED3 + coupl(nGC_425)*db_QED2 +    &
                        coupl(nGC_427)*dyt1_QED3
      coupl(nGC_13975) = coupl(nGC_25)*dZG0
      coupl(nGC_15251) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_15254) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_15704) = coupl(nGC_153)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_12956) = coupl(nGC_41)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_14477) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_13770) = coupl(nGC_76)*dZG0Ha_QED2/2d0
      coupl(nGC_13773) = coupl(nGC_42)*dZG0/2d0
      coupl(nGC_14478) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_13151) = coupl(nGC_77)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_23031) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_23030) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_12826) = coupl(nGC_58)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_13808) = coupl(nGC_43)*(2d0*dZG0 + dZGMinus)/2d0
      coupl(nGC_13556) = coupl(nGC_147)*dZHaG0_QED2/2d0 + coupl(nGC_151)*      &
                         dZdL_QED2/2d0 + coupl(nGC_151)*dZdR_QED2/2d0 + coupl( &
                         nGC_9422)
      coupl(nGC_13550) = coupl(nGC_151)*dZG0/2d0
      coupl(nGC_TS_GC_103_Hl) = -coupl(nGC_103)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_103_Hh) = -coupl(nGC_103)*dtHh_QED1/cMHH**2d0
      coupl(nGC_16252) = coupl(nGC_98)*dZGMinus/2d0
      coupl(nGC_9481) = coupl(nGC_8668)*db_QED2 + coupl(nGC_8669)*dyup1_QED3 + &
                        coupl(nGC_8670)*dyup2_QED3
      coupl(nGC_9480) = coupl(nGC_8624)*db_QED2 + coupl(nGC_8625)*dytau1_QED3  &
                         + coupl(nGC_8626)*dytau2_QED3
      coupl(nGC_9483) = coupl(nGC_8634)*db_QED2 + coupl(nGC_8635)*dyup1_QED3 + &
                        coupl(nGC_8636)*dyup2_QED3
      coupl(nGC_9482) = coupl(nGC_8669)*dyup1_QED1_QCD2 + coupl(nGC_8670)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_9485) = coupl(nGC_8365)*db_QED2 + coupl(nGC_8366)*dyc1_QED3 +  &
                        coupl(nGC_8367)*dyc2_QED3
      coupl(nGC_9484) = coupl(nGC_8635)*dyup1_QED1_QCD2 + coupl(nGC_8636)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_9486) = coupl(nGC_8366)*dyc1_QED1_QCD2 + coupl(nGC_8367)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_9489) = coupl(nGC_415)*dyt2_QED1_QCD2 + coupl(nGC_419)*        &
                        dyt1_QED1_QCD2
      coupl(nGC_9335) = coupl(nGC_323)*db_QED2 + coupl(nGC_325)*dl2_QED4 +     &
                        coupl(nGC_327)*dl3_QED4 + coupl(nGC_329)*dl5_QED4 +    &
                        coupl(nGC_331)*dl4_QED4 + coupl(nGC_333)*dl1_QED4 +    &
                        coupl(nGC_335)*dvev1_QED1 + coupl(nGC_337)*dvev2_QED1  &
                         + coupl(nGC_339)*da_QED2
      coupl(nGC_9333) = coupl(nGC_8275)*dl3_QED4 + coupl(nGC_8276)*db_QED2 +   &
                        coupl(nGC_8277)*dl2_QED4 + coupl(nGC_8278)*dl5_QED4 +  &
                        coupl(nGC_8279)*dvev2_QED1 + coupl(nGC_8280)*dvev1_QED1&
                         + coupl(nGC_8281)*dl1_QED4 + coupl(nGC_8282)*dl4_QED4 &
                         + coupl(nGC_8283)*da_QED2
      coupl(nGC_9331) = coupl(nGC_8244)*dl3_QED4 + coupl(nGC_8245)*db_QED2 +   &
                        coupl(nGC_8246)*dl2_QED4 + coupl(nGC_8247)*dl5_QED4 +  &
                        coupl(nGC_8248)*dvev2_QED1 + coupl(nGC_8249)*dvev1_QED1&
                         + coupl(nGC_8250)*dl1_QED4 + coupl(nGC_8251)*dl4_QED4 &
                         + coupl(nGC_8252)*da_QED2
      coupl(nGC_9330) = coupl(nGC_8256)*dl3_QED4 + coupl(nGC_8257)*db_QED2 +   &
                        coupl(nGC_8258)*dl2_QED4 + coupl(nGC_8259)*dl5_QED4 +  &
                        coupl(nGC_8260)*dvev2_QED1 + coupl(nGC_8261)*dvev1_QED1&
                         + coupl(nGC_8262)*dl1_QED4 + coupl(nGC_8263)*dl4_QED4 &
                         + coupl(nGC_8264)*da_QED2
      coupl(nGC_23251) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_20408) = coupl(nGC_195)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_9491) = coupl(nGC_423)*dyt2_QED1_QCD2 + coupl(nGC_427)*        &
                        dyt1_QED1_QCD2
      coupl(nGC_20407) = coupl(nGC_195)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_9280) = coupl(nGC_8655)*dZee_QED2
      coupl(nGC_16728) = coupl(nGC_186)*dZHa_QED2/2d0 + coupl(nGC_186)*        &
                         dZtauMinusL_QED2/2d0 + coupl(nGC_186)*dZtauMinusR_QED2&
                         /2d0 + coupl(nGC_190)*dZG0Ha_QED2/2d0 + coupl(nGC_9480&
                         )
      coupl(nGC_15391) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_15390) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_15392) = coupl(nGC_9632) + coupl(nGC_TS_GC_161_Hl) + coupl(    &
                         nGC_TS_GC_165_Hh)
      coupl(nGC_15397) = coupl(nGC_85)*dZuR_QCD2
      coupl(nGC_15629) = coupl(nGC_175)*dZG0/2d0
      coupl(nGC_15623) = coupl(nGC_176)*dZG0/2d0
      coupl(nGC_15400) = coupl(nGC_88)*dZuL_QCD2
      coupl(nGC_15408) = coupl(nGC_101)*dZG0
      coupl(nGC_13014) = coupl(nGC_29)*dZG0/2d0
      coupl(nGC_TS_GC_180_Hh) = -coupl(nGC_180)*dtHh_QED1/cMHH**2d0
      coupl(nGC_14046) = coupl(nGC_72)*dZHMinus_QED2/2d0 + coupl(nGC_72)*      &
                         dZHa_QED2/2d0 + coupl(nGC_72)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_9358)
      coupl(nGC_TS_GC_129_Hh) = -coupl(nGC_129)*dtHh_QED1/cMHH**2d0
    end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
