!******************************************************************************!
!                                                                              !
!    fill_ctcouplings7.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings7.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings7
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl7()
      coupl(nGC_14649) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_9313) = coupl(nGC_7985)*dl3_QED4 + coupl(nGC_7986)*db_QED2 +   &
                        coupl(nGC_7987)*dl2_QED4 + coupl(nGC_7988)*dl5_QED4 +  &
                        coupl(nGC_7989)*dl4_QED4 + coupl(nGC_7990)*dl1_QED4 +  &
                        coupl(nGC_7991)*da_QED2
      coupl(nGC_9317) = coupl(nGC_7975)*dl3_QED4 + coupl(nGC_7976)*db_QED2 +   &
                        coupl(nGC_7977)*dl2_QED4 + coupl(nGC_7978)*dl5_QED4 +  &
                        coupl(nGC_7979)*dl4_QED4 + coupl(nGC_7980)*dl1_QED4 +  &
                        coupl(nGC_7981)*da_QED2
      coupl(nGC_9316) = coupl(nGC_8689)*dl3_QED4 + coupl(nGC_8690)*dl1_QED4 +  &
                        coupl(nGC_8691)*dl2_QED4 + coupl(nGC_8692)*dl5_QED4 +  &
                        coupl(nGC_8693)*dl4_QED4 + coupl(nGC_8694)*da_QED2
      coupl(nGC_9177) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(     &
                        nGC_133)*coupl(nGC_134) + 10d0*Nc*cima*coupl(nGC_130)* &
                        coupl(nGC_131)*coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*&
                        cima*coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_170)*coupl&
                        (nGC_174) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*&
                        coupl(nGC_170)*coupl(nGC_173) + 10d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_133)*coupl(nGC_169)*coupl(nGC_174   &
                        ) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(  &
                        nGC_169)*coupl(nGC_173) + 10d0*Nc*cima*coupl(nGC_133)* &
                        coupl(nGC_134)*coupl(nGC_169)*coupl(nGC_170) + 20d0*Nc*&
                        cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_141)*coupl&
                        (nGC_142) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*&
                        coupl(nGC_177)*coupl(nGC_178) + 20d0*Nc*cima*coupl(    &
                        nGC_137)*coupl(nGC_141)*coupl(nGC_178)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(  &
                        nGC_177)*coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_141)*coupl(nGC_178)*coupl(nGC_180) + 20d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177)*coupl&
                        (nGC_180) + 10d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*&
                        coupl(nGC_180)*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_145)*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_150   &
                        ) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(  &
                        nGC_195)*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_149)*coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*&
                        cima*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_193)*coupl&
                        (nGC_195) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*&
                        coupl(nGC_192)*coupl(nGC_196) + 20d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_150)*coupl(nGC_192)*coupl(nGC_195   &
                        ) + 10d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150)*coupl(  &
                        nGC_192)*coupl(nGC_193) + 20d0*Nc*cima*coupl(nGC_169)* &
                        coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*&
                        cima*coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_180)*coupl&
                        (nGC_181) + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*&
                        coupl(nGC_195)*coupl(nGC_196) - 5d0*cima*coupl(nGC_1283&
                        )*coupl(nGC_1319)*coupl(nGC_64)*coupl(nGC_92) - 5d0*   &
                        cima*coupl(nGC_1283)*coupl(nGC_661)*coupl(nGC_69)*coupl&
                        (nGC_72) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1491)*   &
                        coupl(nGC_91)*coupl(nGC_96) - 5d0*cima*coupl(nGC_1319)*&
                        coupl(nGC_3231)*coupl(nGC_72)*coupl(nGC_92) - 5d0*cima*&
                        coupl(nGC_1319)*coupl(nGC_661)*coupl(nGC_72)*coupl(    &
                        nGC_94) + 12d0*cima*coupl(nGC_14)*coupl(nGC_15) - 5d0* &
                        cima*coupl(nGC_1491)*coupl(nGC_17)**2d0*coupl(nGC_1795 &
                        ) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_1795)*coupl(    &
                        nGC_96)**2d0 - 5d0*cima*coupl(nGC_1491)*coupl(nGC_63)* &
                        coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1491)*&
                        coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_69) + 20d0*cima* &
                        coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_157)*coupl(    &
                        nGC_158) + 12d0*cima*coupl(nGC_16)**2d0 + 20d0*cima*   &
                        coupl(nGC_161)*coupl(nGC_162)*coupl(nGC_165)*coupl(    &
                        nGC_166) - 5d0*cima*coupl(nGC_17)**2d0*coupl(nGC_1919  &
                        )**2d0 - 5d0*cima*coupl(nGC_1795)*coupl(nGC_63)*coupl( &
                        nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1795)*coupl(&
                        nGC_64)*coupl(nGC_68)*coupl(nGC_69) + 20d0*cima*coupl( &
                        nGC_184)*coupl(nGC_185)*coupl(nGC_188)*coupl(nGC_189   &
                        ) - 5d0*cima*coupl(nGC_1919)**2d0*coupl(nGC_96)**2d0 - &
                        5d0*cima*coupl(nGC_1919)*coupl(nGC_63)**2d0*coupl(     &
                        nGC_69) - 10d0*cima*coupl(nGC_1919)*coupl(nGC_63)*coupl&
                        (nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1919)*coupl&
                        (nGC_64)**2d0*coupl(nGC_69) - 5d0*cima*coupl(nGC_1919)*&
                        coupl(nGC_661)*coupl(nGC_72)*coupl(nGC_96) + 12d0*cima*&
                        coupl(nGC_65)*coupl(nGC_66) + 12d0*cima*coupl(nGC_70)**&
                        2d0 + 3d0*coupl(nGC_10)*coupl(nGC_1491)*coupl(nGC_1919 &
                        ) + 3d0*coupl(nGC_1079)*coupl(nGC_1283)*coupl(nGC_41   &
                        ) + 3d0*coupl(nGC_1283)*coupl(nGC_3231)*coupl(nGC_41   &
                        ) + 3d0*coupl(nGC_1283)*coupl(nGC_41)*coupl(nGC_91) +  &
                        3d0*coupl(nGC_1283)*coupl(nGC_41)*coupl(nGC_92) + 3d0* &
                        coupl(nGC_1283)*coupl(nGC_48)*coupl(nGC_661) + 3d0*    &
                        coupl(nGC_1283)*coupl(nGC_48)*coupl(nGC_94) + 3d0*coupl&
                        (nGC_1283)*coupl(nGC_49)*coupl(nGC_661) + 3d0*coupl(   &
                        nGC_1283)*coupl(nGC_49)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_13)*coupl(nGC_1491)*coupl(nGC_1795) + 3d0*coupl(   &
                        nGC_13)*coupl(nGC_1919)**2d0 - 3d0*coupl(nGC_1319)*    &
                        coupl(nGC_14)*coupl(nGC_92) - 3d0*coupl(nGC_1319)*coupl&
                        (nGC_16)*coupl(nGC_94) + 3d0*coupl(nGC_1319)*coupl(    &
                        nGC_37)*coupl(nGC_72) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_41)*coupl(nGC_63) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_48)*coupl(nGC_68) - 3d0*coupl(nGC_14)*coupl(       &
                        nGC_1491)*coupl(nGC_96) - 3d0*coupl(nGC_1491)*coupl(   &
                        nGC_17)*coupl(nGC_65) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_1795)*coupl(nGC_57) + 3d0*coupl(nGC_1491)*coupl(   &
                        nGC_1795)*coupl(nGC_60) + 3d0*coupl(nGC_1491)*coupl(   &
                        nGC_22)*coupl(nGC_69) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_30)*coupl(nGC_64) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_44)*coupl(nGC_68) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_45)*coupl(nGC_69) - 3d0*coupl(nGC_15)*coupl(       &
                        nGC_1795)*coupl(nGC_96) - 3d0*coupl(nGC_15)*coupl(     &
                        nGC_3231)*coupl(nGC_72) - 6d0*coupl(nGC_16)*coupl(     &
                        nGC_1919)*coupl(nGC_96) - 3d0*coupl(nGC_16)*coupl(     &
                        nGC_661)*coupl(nGC_72) + 3d0*coupl(nGC_17)**2d0*coupl( &
                        nGC_36) - 3d0*coupl(nGC_17)*coupl(nGC_1795)*coupl(     &
                        nGC_66) - 6d0*coupl(nGC_17)*coupl(nGC_1919)*coupl(     &
                        nGC_70) + 3d0*coupl(nGC_1795)*coupl(nGC_1919)*coupl(   &
                        nGC_9) + 3d0*coupl(nGC_1795)*coupl(nGC_23)*coupl(nGC_69&
                        ) + 3d0*coupl(nGC_1795)*coupl(nGC_32)*coupl(nGC_63) +  &
                        3d0*coupl(nGC_1795)*coupl(nGC_44)*coupl(nGC_69) + 3d0* &
                        coupl(nGC_1795)*coupl(nGC_45)*coupl(nGC_68) + 3d0*coupl&
                        (nGC_1919)*coupl(nGC_22)*coupl(nGC_64) + 3d0*coupl(    &
                        nGC_1919)*coupl(nGC_23)*coupl(nGC_63) + 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_34)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_35)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_24)*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_24 &
                        )*coupl(nGC_64)*coupl(nGC_69) + 3d0*coupl(nGC_27)*coupl&
                        (nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_27)*coupl(nGC_63&
                        )*coupl(nGC_69) + 3d0*coupl(nGC_3231)*coupl(nGC_43)*   &
                        coupl(nGC_94) + 3d0*coupl(nGC_3231)*coupl(nGC_58)*coupl&
                        (nGC_92) + 6d0*coupl(nGC_36)*coupl(nGC_63)*coupl(nGC_64&
                        ) + 6d0*coupl(nGC_36)*coupl(nGC_68)*coupl(nGC_69) + 3d0&
                        *coupl(nGC_36)*coupl(nGC_96)**2d0 + 3d0*coupl(nGC_41)* &
                        coupl(nGC_64)*coupl(nGC_72) + 3d0*coupl(nGC_42)*coupl( &
                        nGC_661)*coupl(nGC_92) + 3d0*coupl(nGC_49)*coupl(nGC_68&
                        )*coupl(nGC_72) + 3d0*coupl(nGC_57)*coupl(nGC_69)**2d0 &
                         + 3d0*coupl(nGC_58)*coupl(nGC_661)*coupl(nGC_94) + 3d0&
                        *coupl(nGC_60)*coupl(nGC_68)**2d0)/(96d0*pi**2d0)
      coupl(nGC_9176) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)**2d0*coupl(&
                        nGC_134) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)* &
                        coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_173)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_133)**2d0*coupl(nGC_170)*coupl(nGC_174  &
                        ) + 20d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(  &
                        nGC_170)*coupl(nGC_173) + 20d0*Nc*cima*coupl(nGC_137)**&
                        2d0*coupl(nGC_138)*coupl(nGC_142) + 20d0*Nc*cima*coupl(&
                        nGC_137)**2d0*coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc* &
                        cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178)*coupl&
                        (nGC_180) + 20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*&
                        coupl(nGC_180)*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_142)*coupl(nGC_180)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_149)**2d0*coupl(nGC_150  &
                        ) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*coupl(  &
                        nGC_195)*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_150)*coupl(nGC_195)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_149)**2d0*coupl(nGC_193)*coupl(nGC_196) + 20d0*Nc*&
                        cima*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_193)*coupl&
                        (nGC_195) + 20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173  &
                        )**2d0*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_178)*   &
                        coupl(nGC_180)**2d0*coupl(nGC_181) + 20d0*Nc*cima*coupl&
                        (nGC_193)*coupl(nGC_195)**2d0*coupl(nGC_196) - 5d0*cima&
                        *coupl(nGC_1079)*coupl(nGC_1919)*coupl(nGC_72)*coupl(  &
                        nGC_96) - 5d0*cima*coupl(nGC_1283)*coupl(nGC_1319)*    &
                        coupl(nGC_69)*coupl(nGC_92) - 5d0*cima*coupl(nGC_1283)*&
                        coupl(nGC_63)*coupl(nGC_661)*coupl(nGC_72) - 5d0*cima* &
                        coupl(nGC_1319)*coupl(nGC_1491)*coupl(nGC_94)*coupl(   &
                        nGC_96) - 10d0*cima*coupl(nGC_1319)*coupl(nGC_661)*    &
                        coupl(nGC_72)*coupl(nGC_92) - 10d0*cima*coupl(nGC_1491 &
                        )*coupl(nGC_17)**2d0*coupl(nGC_1919) - 10d0*cima*coupl(&
                        nGC_1491)*coupl(nGC_1919)*coupl(nGC_96)**2d0 - 10d0*   &
                        cima*coupl(nGC_1491)*coupl(nGC_63)*coupl(nGC_64)*coupl(&
                        nGC_69) - 10d0*cima*coupl(nGC_1491)*coupl(nGC_64)**2d0*&
                        coupl(nGC_69) + 24d0*cima*coupl(nGC_15)*coupl(nGC_16   &
                        ) + 20d0*cima*coupl(nGC_154)*coupl(nGC_157)**2d0*coupl(&
                        nGC_158) + 20d0*cima*coupl(nGC_162)*coupl(nGC_165)**2d0&
                        *coupl(nGC_166) + 20d0*cima*coupl(nGC_185)*coupl(      &
                        nGC_188)**2d0*coupl(nGC_189) - 10d0*cima*coupl(nGC_1919&
                        )*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_69) - 10d0*cima&
                        *coupl(nGC_1919)*coupl(nGC_64)*coupl(nGC_68)*coupl(    &
                        nGC_69) + 24d0*cima*coupl(nGC_66)*coupl(nGC_70) + 3d0* &
                        coupl(nGC_10)*coupl(nGC_1491)*coupl(nGC_1795) + 3d0*   &
                        coupl(nGC_10)*coupl(nGC_1919)**2d0 + 6d0*coupl(nGC_1079&
                        )*coupl(nGC_1283)*coupl(nGC_49) + 3d0*coupl(nGC_1079)* &
                        coupl(nGC_42)*coupl(nGC_92) + 3d0*coupl(nGC_1079)*coupl&
                        (nGC_58)*coupl(nGC_94) + 3d0*coupl(nGC_12)*coupl(      &
                        nGC_1491)*coupl(nGC_1919) + 6d0*coupl(nGC_1283)*coupl( &
                        nGC_41)*coupl(nGC_661) + 6d0*coupl(nGC_1283)*coupl(    &
                        nGC_41)*coupl(nGC_94) + 6d0*coupl(nGC_1283)*coupl(     &
                        nGC_49)*coupl(nGC_92) + 3d0*coupl(nGC_13)*coupl(       &
                        nGC_1795)*coupl(nGC_1919) - 6d0*coupl(nGC_1319)*coupl( &
                        nGC_16)*coupl(nGC_92) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_29)*coupl(nGC_72) + 6d0*coupl(nGC_1319)*coupl(     &
                        nGC_41)*coupl(nGC_68) - 6d0*coupl(nGC_1491)*coupl(     &
                        nGC_16)*coupl(nGC_96) - 6d0*coupl(nGC_1491)*coupl(     &
                        nGC_17)*coupl(nGC_70) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_1919)*coupl(nGC_57) + 6d0*coupl(nGC_1491)*coupl(   &
                        nGC_22)*coupl(nGC_64) + 6d0*coupl(nGC_1491)*coupl(     &
                        nGC_34)*coupl(nGC_69) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_44)*coupl(nGC_64) - 6d0*coupl(nGC_15)*coupl(       &
                        nGC_1919)*coupl(nGC_96) - 6d0*coupl(nGC_15)*coupl(     &
                        nGC_661)*coupl(nGC_72) + 3d0*coupl(nGC_17)**2d0*coupl( &
                        nGC_27) - 6d0*coupl(nGC_17)*coupl(nGC_1919)*coupl(     &
                        nGC_66) + 3d0*coupl(nGC_1795)*coupl(nGC_2961)*coupl(   &
                        nGC_60) + 3d0*coupl(nGC_1795)*coupl(nGC_44)*coupl(     &
                        nGC_63) + 6d0*coupl(nGC_1919)*coupl(nGC_23)*coupl(     &
                        nGC_69) + 6d0*coupl(nGC_1919)*coupl(nGC_32)*coupl(     &
                        nGC_63) + 3d0*coupl(nGC_1919)*coupl(nGC_45)*coupl(     &
                        nGC_68) + 6d0*coupl(nGC_27)*coupl(nGC_63)*coupl(nGC_64 &
                        ) + 6d0*coupl(nGC_27)*coupl(nGC_68)*coupl(nGC_69) + 3d0&
                        *coupl(nGC_27)*coupl(nGC_96)**2d0 + 3d0*coupl(nGC_2961 &
                        )*coupl(nGC_45)*coupl(nGC_69) + 6d0*coupl(nGC_36)*coupl&
                        (nGC_64)*coupl(nGC_68) + 6d0*coupl(nGC_36)*coupl(nGC_64&
                        )*coupl(nGC_69) + 3d0*coupl(nGC_43)*coupl(nGC_661)*    &
                        coupl(nGC_94) + 6d0*coupl(nGC_49)*coupl(nGC_64)*coupl( &
                        nGC_72) + 3d0*coupl(nGC_57)*coupl(nGC_63)*coupl(nGC_69 &
                        ) + 3d0*coupl(nGC_58)*coupl(nGC_661)*coupl(nGC_92) +   &
                        3d0*coupl(nGC_60)*coupl(nGC_64)*coupl(nGC_68) - 3d0*   &
                        coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_69) - 3d0*coupl( &
                        nGC_61)*coupl(nGC_64)*coupl(nGC_69))/(96d0*pi**2d0)
      coupl(nGC_TS_GC_15_Hh) = -coupl(nGC_15)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9179) = (-16d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                        nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_138)*coupl(      &
                        nGC_142)*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(      &
                        nGC_146)*coupl(nGC_150)*coupl(nGC_80)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_80)**2d0  &
                         - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_181)*coupl(   &
                        nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_193)*coupl(      &
                        nGC_196)*coupl(nGC_80)**2d0 + 4d0*cima*coupl(nGC_1319  &
                        )**2d0*coupl(nGC_1795)*coupl(nGC_68) + 4d0*cima*coupl( &
                        nGC_1319)**2d0*coupl(nGC_1795)*coupl(nGC_69) + 4d0*cima&
                        *coupl(nGC_1319)**2d0*coupl(nGC_1919)*coupl(nGC_63) +  &
                        4d0*cima*coupl(nGC_1319)**2d0*coupl(nGC_1919)*coupl(   &
                        nGC_64) + 4d0*cima*coupl(nGC_1491)**2d0*coupl(nGC_1795 &
                        )*coupl(nGC_68) + 4d0*cima*coupl(nGC_1491)**2d0*coupl( &
                        nGC_1795)*coupl(nGC_69) + 4d0*cima*coupl(nGC_1491)**2d0&
                        *coupl(nGC_1919)*coupl(nGC_64) + 4d0*cima*coupl(       &
                        nGC_1491)*coupl(nGC_1795)**2d0*coupl(nGC_68) + 4d0*cima&
                        *coupl(nGC_1491)*coupl(nGC_1795)**2d0*coupl(nGC_69) +  &
                        4d0*cima*coupl(nGC_1491)*coupl(nGC_1795)*coupl(nGC_1919&
                        )*coupl(nGC_63) + 4d0*cima*coupl(nGC_1491)*coupl(      &
                        nGC_1795)*coupl(nGC_1919)*coupl(nGC_64) + 4d0*cima*    &
                        coupl(nGC_1491)*coupl(nGC_1919)**2d0*coupl(nGC_68) +   &
                        4d0*cima*coupl(nGC_1491)*coupl(nGC_1919)*coupl(nGC_2961&
                        )*coupl(nGC_69) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_68&
                        )*coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_1491)*coupl( &
                        nGC_69)*coupl(nGC_72)**2d0 - 16d0*cima*coupl(nGC_154)* &
                        coupl(nGC_158)*coupl(nGC_80)**2d0 - 16d0*cima*coupl(   &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_80)**2d0 + 4d0*cima* &
                        coupl(nGC_17)**2d0*coupl(nGC_63)*coupl(nGC_69) + 4d0*  &
                        cima*coupl(nGC_17)**2d0*coupl(nGC_64)*coupl(nGC_69) +  &
                        4d0*cima*coupl(nGC_1795)**2d0*coupl(nGC_1919)*coupl(   &
                        nGC_63) + 4d0*cima*coupl(nGC_1795)*coupl(nGC_1919)**2d0&
                        *coupl(nGC_68) + 4d0*cima*coupl(nGC_1795)*coupl(       &
                        nGC_1919)*coupl(nGC_2961)*coupl(nGC_69) - 16d0*cima*   &
                        coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_80)**2d0 + 4d0*&
                        cima*coupl(nGC_1919)**3d0*coupl(nGC_63) + 4d0*cima*    &
                        coupl(nGC_1919)**3d0*coupl(nGC_64) + 4d0*cima*coupl(   &
                        nGC_1919)**2d0*coupl(nGC_2961)*coupl(nGC_63) + 4d0*cima&
                        *coupl(nGC_1919)**2d0*coupl(nGC_2961)*coupl(nGC_64) +  &
                        4d0*cima*coupl(nGC_1919)*coupl(nGC_63)*coupl(nGC_72)** &
                        2d0 + 4d0*cima*coupl(nGC_1919)*coupl(nGC_64)*coupl(    &
                        nGC_72)**2d0 + 9d0*cima*coupl(nGC_3)**2d0*coupl(nGC_63 &
                        )*coupl(nGC_69) + 9d0*cima*coupl(nGC_3)**2d0*coupl(    &
                        nGC_64)*coupl(nGC_69) + 9d0*cima*coupl(nGC_63)*coupl(  &
                        nGC_69)*coupl(nGC_82)**2d0 + 4d0*cima*coupl(nGC_63)*   &
                        coupl(nGC_69)*coupl(nGC_96)**2d0 + 9d0*cima*coupl(     &
                        nGC_64)*coupl(nGC_69)*coupl(nGC_82)**2d0 + 4d0*cima*   &
                        coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_96)**2d0 - 6d0*  &
                        coupl(nGC_14)*coupl(nGC_69)*coupl(nGC_82) + 6d0*coupl( &
                        nGC_1491)*coupl(nGC_1919)*coupl(nGC_61) - 6d0*coupl(   &
                        nGC_15)*coupl(nGC_69)*coupl(nGC_82) - 6d0*coupl(nGC_16 &
                        )*coupl(nGC_63)*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl&
                        (nGC_64)*coupl(nGC_82) + 6d0*coupl(nGC_1795)*coupl(    &
                        nGC_1919)*coupl(nGC_61) - 6d0*coupl(nGC_3)*coupl(nGC_63&
                        )*coupl(nGC_70) - 6d0*coupl(nGC_3)*coupl(nGC_64)*coupl(&
                        nGC_70) - 6d0*coupl(nGC_3)*coupl(nGC_65)*coupl(nGC_69  &
                        ) - 6d0*coupl(nGC_3)*coupl(nGC_66)*coupl(nGC_69) - 6d0*&
                        coupl(nGC_63)*coupl(nGC_69)*coupl(nGC_78) - 6d0*coupl( &
                        nGC_64)*coupl(nGC_69)*coupl(nGC_78))/(192d0*pi**2d0)
      coupl(nGC_9178) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_131)*coupl(&
                        nGC_134) + 20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(     &
                        nGC_170)*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_130)* &
                        coupl(nGC_131)*coupl(nGC_169)*coupl(nGC_174) + 20d0*Nc*&
                        cima*coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_169)*coupl&
                        (nGC_170) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*&
                        coupl(nGC_169)**2d0 + 20d0*Nc*cima*coupl(nGC_138)*coupl&
                        (nGC_141)**2d0*coupl(nGC_142) + 20d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_141)*coupl(nGC_177)*coupl(nGC_178   &
                        ) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(  &
                        nGC_177)**2d0 + 20d0*Nc*cima*coupl(nGC_141)**2d0*coupl(&
                        nGC_178)*coupl(nGC_181) + 20d0*Nc*cima*coupl(nGC_141)* &
                        coupl(nGC_142)*coupl(nGC_177)*coupl(nGC_181) + 20d0*Nc*&
                        cima*coupl(nGC_145)**2d0*coupl(nGC_146)*coupl(nGC_150  &
                        ) + 20d0*Nc*cima*coupl(nGC_145)**2d0*coupl(nGC_193)*   &
                        coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_145)*coupl(    &
                        nGC_146)*coupl(nGC_192)*coupl(nGC_196) + 20d0*Nc*cima* &
                        coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_192)*coupl(    &
                        nGC_193) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)* &
                        coupl(nGC_192)**2d0 + 20d0*Nc*cima*coupl(nGC_169)**2d0*&
                        coupl(nGC_170)*coupl(nGC_174) + 20d0*Nc*cima*coupl(    &
                        nGC_177)**2d0*coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc* &
                        cima*coupl(nGC_192)**2d0*coupl(nGC_193)*coupl(nGC_196  &
                        ) - 5d0*cima*coupl(nGC_1283)*coupl(nGC_1319)*coupl(    &
                        nGC_64)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1283)*coupl(&
                        nGC_3231)*coupl(nGC_69)*coupl(nGC_72) - 5d0*cima*coupl(&
                        nGC_1319)*coupl(nGC_1919)*coupl(nGC_91)*coupl(nGC_96   &
                        ) - 10d0*cima*coupl(nGC_1319)*coupl(nGC_3231)*coupl(   &
                        nGC_72)*coupl(nGC_94) + 24d0*cima*coupl(nGC_14)*coupl( &
                        nGC_16) + 20d0*cima*coupl(nGC_153)**2d0*coupl(nGC_154)*&
                        coupl(nGC_158) + 20d0*cima*coupl(nGC_161)**2d0*coupl(  &
                        nGC_162)*coupl(nGC_166) - 10d0*cima*coupl(nGC_17)**2d0*&
                        coupl(nGC_1795)*coupl(nGC_1919) - 10d0*cima*coupl(     &
                        nGC_1795)*coupl(nGC_1919)*coupl(nGC_96)**2d0 - 10d0*   &
                        cima*coupl(nGC_1795)*coupl(nGC_63)**2d0*coupl(nGC_69   &
                        ) - 10d0*cima*coupl(nGC_1795)*coupl(nGC_63)*coupl(     &
                        nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1795)*coupl(&
                        nGC_661)*coupl(nGC_72)*coupl(nGC_96) + 20d0*cima*coupl(&
                        nGC_184)**2d0*coupl(nGC_185)*coupl(nGC_189) - 10d0*cima&
                        *coupl(nGC_1919)*coupl(nGC_63)*coupl(nGC_68)*coupl(    &
                        nGC_69) - 10d0*cima*coupl(nGC_1919)*coupl(nGC_64)*coupl&
                        (nGC_68)*coupl(nGC_69) + 24d0*cima*coupl(nGC_65)*coupl(&
                        nGC_70) + 3d0*coupl(nGC_11)*coupl(nGC_1795)*coupl(     &
                        nGC_1919) + 6d0*coupl(nGC_1283)*coupl(nGC_3231)*coupl( &
                        nGC_48) + 6d0*coupl(nGC_1283)*coupl(nGC_41)*coupl(     &
                        nGC_661) + 6d0*coupl(nGC_1283)*coupl(nGC_41)*coupl(    &
                        nGC_94) + 6d0*coupl(nGC_1283)*coupl(nGC_48)*coupl(     &
                        nGC_91) + 3d0*coupl(nGC_13)*coupl(nGC_1491)*coupl(     &
                        nGC_1919) - 6d0*coupl(nGC_1319)*coupl(nGC_14)*coupl(   &
                        nGC_94) + 3d0*coupl(nGC_1319)*coupl(nGC_28)*coupl(     &
                        nGC_72) + 6d0*coupl(nGC_1319)*coupl(nGC_48)*coupl(     &
                        nGC_63) - 6d0*coupl(nGC_14)*coupl(nGC_1919)*coupl(     &
                        nGC_96) + 3d0*coupl(nGC_1491)*coupl(nGC_1795)*coupl(   &
                        nGC_9) + 3d0*coupl(nGC_1491)*coupl(nGC_2961)*coupl(    &
                        nGC_60) + 3d0*coupl(nGC_1491)*coupl(nGC_45)*coupl(     &
                        nGC_64) - 6d0*coupl(nGC_16)*coupl(nGC_1795)*coupl(     &
                        nGC_96) - 6d0*coupl(nGC_16)*coupl(nGC_3231)*coupl(     &
                        nGC_72) + 3d0*coupl(nGC_17)**2d0*coupl(nGC_24) - 6d0*  &
                        coupl(nGC_17)*coupl(nGC_1795)*coupl(nGC_70) - 6d0*coupl&
                        (nGC_17)*coupl(nGC_1919)*coupl(nGC_65) + 3d0*coupl(    &
                        nGC_1795)*coupl(nGC_1919)*coupl(nGC_57) + 6d0*coupl(   &
                        nGC_1795)*coupl(nGC_23)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_1795)*coupl(nGC_35)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_1795)*coupl(nGC_45)*coupl(nGC_63) + 3d0*coupl(     &
                        nGC_1919)**2d0*coupl(nGC_9) + 6d0*coupl(nGC_1919)*coupl&
                        (nGC_22)*coupl(nGC_69) + 6d0*coupl(nGC_1919)*coupl(    &
                        nGC_30)*coupl(nGC_64) + 3d0*coupl(nGC_1919)*coupl(     &
                        nGC_44)*coupl(nGC_68) + 6d0*coupl(nGC_24)*coupl(nGC_63 &
                        )*coupl(nGC_64) + 6d0*coupl(nGC_24)*coupl(nGC_68)*coupl&
                        (nGC_69) + 3d0*coupl(nGC_24)*coupl(nGC_96)**2d0 + 3d0* &
                        coupl(nGC_2961)*coupl(nGC_44)*coupl(nGC_69) + 3d0*coupl&
                        (nGC_3231)*coupl(nGC_43)*coupl(nGC_91) + 3d0*coupl(    &
                        nGC_3231)*coupl(nGC_58)*coupl(nGC_94) + 6d0*coupl(     &
                        nGC_36)*coupl(nGC_63)*coupl(nGC_68) + 6d0*coupl(nGC_36 &
                        )*coupl(nGC_63)*coupl(nGC_69) + 6d0*coupl(nGC_41)*coupl&
                        (nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_42)*coupl(      &
                        nGC_661)*coupl(nGC_94) + 3d0*coupl(nGC_57)*coupl(nGC_64&
                        )*coupl(nGC_69) + 3d0*coupl(nGC_58)*coupl(nGC_661)*    &
                        coupl(nGC_91) + 3d0*coupl(nGC_60)*coupl(nGC_63)*coupl( &
                        nGC_68) - 3d0*coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_69 &
                        ) - 3d0*coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_69))/(   &
                        96d0*pi**2d0)
      coupl(nGC_17720) = coupl(nGC_2)*dZcR_QED2 + coupl(nGC_85)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_153_Hl) = -coupl(nGC_153)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_177_Hl) = -coupl(nGC_177)*dtHl_QED1/cMHL**2d0
      coupl(nGC_9246) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_130)**2d0 + &
                        coupl(nGC_141)**2d0 + coupl(nGC_145)**2d0 + coupl(     &
                        nGC_169)**2d0 + coupl(nGC_177)**2d0 + coupl(nGC_192)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_19777) = coupl(nGC_I)*dZG0Ha_QED2/2d0
      coupl(nGC_TS_GC_145_Hl) = -coupl(nGC_145)*dtHl_QED1/cMHL**2d0
      coupl(nGC_19778) = coupl(nGC_I)*dZHaG0_QED2/2d0
      coupl(nGC_9051) = -coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_137)**2d0 - coupl(nGC_139)*coupl(nGC_140) - coupl( &
                        nGC_141)**2d0 - coupl(nGC_143)*coupl(nGC_144) - coupl( &
                        nGC_178)**2d0 - coupl(nGC_181)**2d0 - 4d0*coupl(nGC_80 &
                        )**2d0 - 4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0)
      coupl(nGC_14902) = coupl(nGC_68)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_14906) = coupl(nGC_63)*dZHMinus_QED2/2d0 + coupl(nGC_63)*      &
                         dZHh_QED2/2d0 + coupl(nGC_63)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_69)*dZHlHh_QED2/2d0 + coupl(nGC_9363)
      coupl(nGC_9494) = coupl(nGC_8585)*dyup2_QED3 + coupl(nGC_8586)*dyup1_QED3&
                         + coupl(nGC_8587)*da_QED2
      coupl(nGC_14842) = coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_14841) = coupl(nGC_88)*dZcL_QCD2
      coupl(nGC_8881) = coupl(nGC_183)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13169) = coupl(nGC_4)*dZtauMinusL_QED2 + coupl(nGC_89)*        &
                         dZZA_QED2/2d0
      coupl(nGC_8886) = (-coupl(nGC_1319)*coupl(nGC_196)*coupl(nGC_80) - coupl(&
                        nGC_146)*coupl(nGC_152)*coupl(nGC_193) - coupl(nGC_150 &
                        )*coupl(nGC_152)*coupl(nGC_196) - coupl(nGC_192)**2d0* &
                        coupl(nGC_197) - coupl(nGC_192)*coupl(nGC_3231)*coupl( &
                        nGC_88) - coupl(nGC_192)*coupl(nGC_85)*coupl(nGC_91) - &
                        coupl(nGC_194)**2d0*coupl(nGC_197) - coupl(nGC_195)**  &
                        2d0*coupl(nGC_197) - coupl(nGC_195)*coupl(nGC_661)*    &
                        coupl(nGC_88) - coupl(nGC_195)*coupl(nGC_85)*coupl(    &
                        nGC_94) - coupl(nGC_197)*coupl(nGC_198)**2d0 + 8d0*    &
                        coupl(nGC_198)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_198)* &
                        coupl(nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_63_Hh) = -coupl(nGC_63)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_63_Hl) = -coupl(nGC_63)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13929) = coupl(nGC_69)*dZHMinusGMinus_QED2/2d0
      coupl(nGC_14604) = coupl(nGC_7)*dZbL_QCD2
      coupl(nGC_13927) = coupl(nGC_63)*dZGMinus/2d0
      coupl(nGC_14601) = coupl(nGC_7)*dZbR_QED2
      coupl(nGC_14602) = coupl(nGC_7)*dZbR_QCD2
      coupl(nGC_14603) = coupl(nGC_7)*dZbL_QED2
      coupl(nGC_15260) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_14393) = coupl(nGC_180)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_14021) = coupl(nGC_4)*dZeMinusL_QED2 + coupl(nGC_89)*dZZA_QED2/&
                         2d0
      coupl(nGC_13038) = dZGMinusHMinus_QED2*(coupl(nGC_48) + coupl(nGC_49))/2d0
      coupl(nGC_25005) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_13721) = coupl(nGC_92)*dZZA_QED2/2d0
      coupl(nGC_8707) = cima*(4d0*Nc*coupl(nGC_131)*coupl(nGC_134) + 4d0*Nc*   &
                        coupl(nGC_138)*coupl(nGC_142) + 4d0*Nc*coupl(nGC_146)* &
                        coupl(nGC_150) + 4d0*Nc*coupl(nGC_170)*coupl(nGC_174   &
                        ) + 4d0*Nc*coupl(nGC_178)*coupl(nGC_181) + 4d0*Nc*coupl&
                        (nGC_193)*coupl(nGC_196) + coupl(nGC_1491)*coupl(      &
                        nGC_2961) + 4d0*coupl(nGC_154)*coupl(nGC_158) + 4d0*   &
                        coupl(nGC_162)*coupl(nGC_166) + coupl(nGC_1795)*coupl( &
                        nGC_2961) + 4d0*coupl(nGC_185)*coupl(nGC_189) + coupl( &
                        nGC_63)*coupl(nGC_68) + coupl(nGC_64)*coupl(nGC_68))/( &
                        192d0*pi**2d0)
      coupl(nGC_13459) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_12983) = coupl(nGC_138)*dZGMinus/2d0
      coupl(nGC_12989) = coupl(nGC_181)*dZGMinus/2d0
      coupl(nGC_13100) = coupl(nGC_194)*dZuL_QED2/2d0 + coupl(nGC_194)*        &
                         dZuR_QED2/2d0 + coupl(nGC_198)*dZG0Ha_QED2/2d0
      coupl(nGC_13101) = coupl(nGC_194)*dZHa_QED2/2d0 + coupl(nGC_9505)
      coupl(nGC_13454) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_13455) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_8944) = coupl(nGC_172)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8943) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_172) - coupl(nGC_1079 &
                        )*coupl(nGC_173)*coupl(nGC_84) - coupl(nGC_131)*coupl( &
                        nGC_132)*coupl(nGC_170) - coupl(nGC_132)*coupl(nGC_134 &
                        )*coupl(nGC_174) - coupl(nGC_169)**2d0*coupl(nGC_171   &
                        ) - coupl(nGC_169)*coupl(nGC_661)*coupl(nGC_84) - coupl&
                        (nGC_169)*coupl(nGC_87)*coupl(nGC_94) - coupl(nGC_170)*&
                        coupl(nGC_72)*coupl(nGC_80) - coupl(nGC_171)*coupl(    &
                        nGC_172)**2d0 - coupl(nGC_171)*coupl(nGC_173)**2d0 -   &
                        coupl(nGC_171)*coupl(nGC_176)**2d0 + 8d0*coupl(nGC_172 &
                        )*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_173)*coupl(  &
                        nGC_87)*coupl(nGC_92))/(32d0*pi**2d0)
      coupl(nGC_8942) = (coupl(nGC_1079)*coupl(nGC_165)*coupl(nGC_89) + coupl( &
                        nGC_1319)*coupl(nGC_162)*coupl(nGC_80) - coupl(nGC_161 &
                        )**2d0*coupl(nGC_163) + coupl(nGC_161)*coupl(nGC_661)* &
                        coupl(nGC_89) + coupl(nGC_161)*coupl(nGC_86)*coupl(    &
                        nGC_94) - coupl(nGC_163)*coupl(nGC_164)**2d0 - coupl(  &
                        nGC_163)*coupl(nGC_165)**2d0 - coupl(nGC_163)*coupl(   &
                        nGC_168)**2d0 + 8d0*coupl(nGC_164)*coupl(nGC_4)**2d0 + &
                        8d0*coupl(nGC_164)*coupl(nGC_86)*coupl(nGC_89) + coupl(&
                        nGC_165)*coupl(nGC_86)*coupl(nGC_92))/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl7
end module fill_ctcouplings7
