!******************************************************************************!
!                                                                              !
!    fill_ctcouplings8.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings8.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings8
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl8()
      coupl(nGC_8941) = (coupl(nGC_1079)*coupl(nGC_165)*coupl(nGC_86) - coupl( &
                        nGC_161)**2d0*coupl(nGC_164) + coupl(nGC_161)*coupl(   &
                        nGC_661)*coupl(nGC_86) + coupl(nGC_161)*coupl(nGC_89)* &
                        coupl(nGC_94) + coupl(nGC_162)*coupl(nGC_72)*coupl(    &
                        nGC_80) - coupl(nGC_163)**2d0*coupl(nGC_164) + 8d0*    &
                        coupl(nGC_163)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_163)* &
                        coupl(nGC_86)*coupl(nGC_89) - coupl(nGC_164)*coupl(    &
                        nGC_165)**2d0 - coupl(nGC_164)*coupl(nGC_167)**2d0 +   &
                        coupl(nGC_165)*coupl(nGC_89)*coupl(nGC_92))/(32d0*pi** &
                        2d0)
      coupl(nGC_13218) = coupl(nGC_198)*dZuL_QCD2/2d0 + coupl(nGC_198)*        &
                         dZuR_QCD2/2d0 + coupl(nGC_9482)
      coupl(nGC_13214) = coupl(nGC_198)*dZuL_QED2/2d0 + coupl(nGC_198)*        &
                         dZuR_QED2/2d0 + coupl(nGC_9481)
      coupl(nGC_13212) = coupl(nGC_197)*dZG0/2d0
      coupl(nGC_18762) = coupl(nGC_7)*dZtR_QED2
      coupl(nGC_18761) = coupl(nGC_7)*dZtL_QCD2
      coupl(nGC_18760) = coupl(nGC_7)*dZtL_QED2
      coupl(nGC_9012) = (coupl(nGC_1491)*coupl(nGC_189)*coupl(nGC_80) - coupl( &
                        nGC_184)**3d0 - coupl(nGC_184)*coupl(nGC_186)**2d0 -   &
                        coupl(nGC_184)*coupl(nGC_188)**2d0 - coupl(nGC_184)*   &
                        coupl(nGC_190)**2d0 + 8d0*coupl(nGC_184)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_184)*coupl(nGC_86)*coupl(nGC_89) + &
                        coupl(nGC_185)*coupl(nGC_69)*coupl(nGC_80) + coupl(    &
                        nGC_186)*coupl(nGC_661)*coupl(nGC_89) + coupl(nGC_186)*&
                        coupl(nGC_86)*coupl(nGC_94) + coupl(nGC_190)*coupl(    &
                        nGC_3231)*coupl(nGC_89) + coupl(nGC_190)*coupl(nGC_86)*&
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_9013) = (-coupl(nGC_184)**3d0 - coupl(nGC_184)*coupl(nGC_187)**&
                        2d0 - coupl(nGC_184)*coupl(nGC_188)**2d0 - coupl(      &
                        nGC_184)*coupl(nGC_191)**2d0 + 8d0*coupl(nGC_184)*coupl&
                        (nGC_4)**2d0 + 8d0*coupl(nGC_184)*coupl(nGC_86)*coupl( &
                        nGC_89) + coupl(nGC_185)*coupl(nGC_2961)*coupl(nGC_80  &
                        ) + coupl(nGC_187)*coupl(nGC_661)*coupl(nGC_86) + coupl&
                        (nGC_187)*coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_189)*&
                        coupl(nGC_64)*coupl(nGC_80) + coupl(nGC_191)*coupl(    &
                        nGC_3231)*coupl(nGC_86) + coupl(nGC_191)*coupl(nGC_89)*&
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_9015) = (-coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_193) - coupl(&
                        nGC_145)*coupl(nGC_150)*coupl(nGC_196) - coupl(nGC_192 &
                        )**3d0 - coupl(nGC_192)*coupl(nGC_194)**2d0 - coupl(   &
                        nGC_192)*coupl(nGC_195)**2d0 - coupl(nGC_192)*coupl(   &
                        nGC_198)**2d0 + 8d0*coupl(nGC_192)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_192)*coupl(nGC_85)*coupl(nGC_88) - coupl(&
                        nGC_193)*coupl(nGC_2961)*coupl(nGC_80) - coupl(nGC_194 &
                        )*coupl(nGC_661)*coupl(nGC_85) - coupl(nGC_194)*coupl( &
                        nGC_88)*coupl(nGC_94) - coupl(nGC_196)*coupl(nGC_64)*  &
                        coupl(nGC_80) - coupl(nGC_198)*coupl(nGC_3231)*coupl(  &
                        nGC_85) - coupl(nGC_198)*coupl(nGC_88)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_8786) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_145)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_147)*coupl(nGC_148) +     &
                        coupl(nGC_1)*coupl(nGC_149)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_151)*coupl(nGC_152) + 4d0*coupl(nGC_1)*coupl(nGC_84&
                        )**2d0 + coupl(nGC_146)**2d0*coupl(nGC_2) + coupl(     &
                        nGC_150)**2d0*coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_8780) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_137)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_140) +     &
                        coupl(nGC_1)*coupl(nGC_141)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_143)*coupl(nGC_144) + 4d0*coupl(nGC_1)*coupl(nGC_84&
                        )**2d0 + coupl(nGC_138)**2d0*coupl(nGC_2) + coupl(     &
                        nGC_142)**2d0*coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_8789) = coupl(nGC_4)*(coupl(nGC_161)**2d0 + coupl(nGC_163)*    &
                        coupl(nGC_164) + coupl(nGC_165)**2d0 + coupl(nGC_167)* &
                        coupl(nGC_168) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(    &
                        nGC_86)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8788) = (coupl(nGC_153)**2d0*coupl(nGC_4) + coupl(nGC_155)*    &
                        coupl(nGC_156)*coupl(nGC_4) + coupl(nGC_157)**2d0*coupl&
                        (nGC_4) + coupl(nGC_159)*coupl(nGC_160)*coupl(nGC_4) - &
                        4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_4  &
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_89)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_26922) = coupl(nGC_I)*dZHh_QED2
      coupl(nGC_9307) = coupl(nGC_8194)*db_QED2 + coupl(nGC_8195)*dl5_QED4 +   &
                        coupl(nGC_8196)*dl4_QED4 + coupl(nGC_8197)*da_QED2
      coupl(nGC_9304) = coupl(nGC_8146)*dl3_QED4 + coupl(nGC_8147)*dl1_QED4 +  &
                        coupl(nGC_8148)*dl2_QED4 + coupl(nGC_8149)*dl5_QED4 +  &
                        coupl(nGC_8150)*dl4_QED4 + coupl(nGC_8151)*db_QED2
      coupl(nGC_9451) = coupl(nGC_8558)*dyd12x2_QED1_QCD2 + coupl(nGC_8559)*   &
                        dys2_QED1_QCD2
      coupl(nGC_9302) = coupl(nGC_8081)*dl3_QED4 + coupl(nGC_8082)*db_QED2 +   &
                        coupl(nGC_8083)*dl2_QED4 + coupl(nGC_8084)*dl5_QED4 +  &
                        coupl(nGC_8085)*dl4_QED4 + coupl(nGC_8086)*dl1_QED4 +  &
                        coupl(nGC_8087)*da_QED2
      coupl(nGC_9303) = coupl(nGC_7945)*dl3_QED4 + coupl(nGC_7946)*dl1_QED4 +  &
                        coupl(nGC_7947)*dl2_QED4 + coupl(nGC_7948)*dl5_QED4 +  &
                        coupl(nGC_7949)*dl4_QED4 + coupl(nGC_7950)*da_QED2
      coupl(nGC_9300) = coupl(nGC_8102)*dl3_QED4 + coupl(nGC_8103)*db_QED2 +   &
                        coupl(nGC_8104)*dl2_QED4 + coupl(nGC_8105)*dl5_QED4 +  &
                        coupl(nGC_8106)*dl4_QED4 + coupl(nGC_8107)*dl1_QED4 +  &
                        coupl(nGC_8108)*da_QED2
      coupl(nGC_9456) = coupl(nGC_8415)*dyd13x3_QED1_QCD2 + coupl(nGC_8416)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_9308) = coupl(nGC_8630)*db_QED2 + coupl(nGC_8631)*dl5_QED4 +   &
                        coupl(nGC_8632)*dl4_QED4 + coupl(nGC_8633)*da_QED2
      coupl(nGC_9309) = coupl(nGC_8088)*dl3_QED4 + coupl(nGC_8089)*db_QED2 +   &
                        coupl(nGC_8090)*dl2_QED4 + coupl(nGC_8091)*dl5_QED4 +  &
                        coupl(nGC_8092)*dl4_QED4 + coupl(nGC_8093)*dl1_QED4 +  &
                        coupl(nGC_8094)*da_QED2
      coupl(nGC_9455) = coupl(nGC_8414)*db_QED2 + coupl(nGC_8415)*dyd13x3_QED3 &
                         + coupl(nGC_8416)*dyb2_QED3
      coupl(nGC_9260) = cima*coupl(nGC_7)**3d0*sq2**3d0*(coupl(nGC_84) + coupl(&
                        nGC_85) + coupl(nGC_87) + coupl(nGC_88))/(128d0*pi**2d0&
                        )
      coupl(nGC_23034) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_9162) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_131)*coupl( &
                        nGC_134) + coupl(nGC_138)*coupl(nGC_142) + coupl(      &
                        nGC_146)*coupl(nGC_150) + coupl(nGC_170)*coupl(nGC_174 &
                        ) + coupl(nGC_178)*coupl(nGC_181) + coupl(nGC_193)*    &
                        coupl(nGC_196))/(32d0*pi**2d0*Nc)
      coupl(nGC_9160) = (-16d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                        nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_131)*coupl(      &
                        nGC_134)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_87)**2d0 - 16d0&
                        *Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84)** &
                        2d0 + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(&
                        nGC_84)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_138)*   &
                        coupl(nGC_142)*coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(&
                        nGC_146)*coupl(nGC_150)*coupl(nGC_84)**2d0 + 20d0*Nc*  &
                        cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84)*coupl(&
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*  &
                        coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_170)*coupl(&
                        nGC_174)*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_174)*coupl(nGC_84)*coupl(nGC_88) -  &
                        16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88&
                        )**2d0 - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_181)*   &
                        coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_178)*coupl(&
                        nGC_181)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_87)**2d0 - 16d0&
                        *Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85)** &
                        2d0 + 20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl(&
                        nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_193)*   &
                        coupl(nGC_196)*coupl(nGC_87)**2d0 + 4d0*cima*coupl(    &
                        nGC_1079)*coupl(nGC_1319)*coupl(nGC_72)*coupl(nGC_94   &
                        ) + 4d0*cima*coupl(nGC_1079)*coupl(nGC_1795)*coupl(    &
                        nGC_2961)*coupl(nGC_92) + 4d0*cima*coupl(nGC_1079)*    &
                        coupl(nGC_2961)**2d0*coupl(nGC_94) + 4d0*cima*coupl(   &
                        nGC_1319)*coupl(nGC_661)*coupl(nGC_72)*coupl(nGC_91) + &
                        4d0*cima*coupl(nGC_1491)*coupl(nGC_1795)*coupl(nGC_3231&
                        )*coupl(nGC_94) + 4d0*cima*coupl(nGC_1491)*coupl(      &
                        nGC_1795)*coupl(nGC_661)*coupl(nGC_92) + 4d0*cima*coupl&
                        (nGC_1491)*coupl(nGC_2961)*coupl(nGC_3231)*coupl(nGC_91&
                        ) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_2961)*coupl(    &
                        nGC_661)*coupl(nGC_94) - 16d0*cima*coupl(nGC_154)*coupl&
                        (nGC_158)*coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_154 &
                        )*coupl(nGC_158)*coupl(nGC_86)*coupl(nGC_90) - 16d0*   &
                        cima*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_90)**2d0  &
                         - 16d0*cima*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_86&
                        )**2d0 + 20d0*cima*coupl(nGC_162)*coupl(nGC_166)*coupl(&
                        nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(nGC_162)*coupl(&
                        nGC_166)*coupl(nGC_90)**2d0 + 4d0*cima*coupl(nGC_1795)*&
                        coupl(nGC_2961)*coupl(nGC_661)*coupl(nGC_94) - 16d0*   &
                        cima*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_86)**2d0  &
                         + 20d0*cima*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_86&
                        )*coupl(nGC_90) - 16d0*cima*coupl(nGC_185)*coupl(      &
                        nGC_189)*coupl(nGC_90)**2d0 + 4d0*cima*coupl(nGC_2961  &
                        )**2d0*coupl(nGC_661)*coupl(nGC_91) + 9d0*cima*coupl(  &
                        nGC_63)*coupl(nGC_68)*coupl(nGC_82)**2d0 + 9d0*cima*   &
                        coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_82)**2d0 - 3d0*  &
                        coupl(nGC_1153)*coupl(nGC_63)*coupl(nGC_68) - 3d0*coupl&
                        (nGC_1153)*coupl(nGC_64)*coupl(nGC_68) - 6d0*coupl(    &
                        nGC_14)*coupl(nGC_68)*coupl(nGC_82) + 3d0*coupl(       &
                        nGC_1491)*coupl(nGC_2961)*coupl(nGC_99) - 6d0*coupl(   &
                        nGC_15)*coupl(nGC_68)*coupl(nGC_82) - 6d0*coupl(nGC_16 &
                        )*coupl(nGC_63)*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl&
                        (nGC_64)*coupl(nGC_82) + 3d0*coupl(nGC_1795)*coupl(    &
                        nGC_2961)*coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_9161) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_131)*coupl(&
                        nGC_134) - coupl(nGC_138)*coupl(nGC_142) - coupl(      &
                        nGC_146)*coupl(nGC_150) - coupl(nGC_170)*coupl(nGC_174 &
                        ) - coupl(nGC_178)*coupl(nGC_181) - coupl(nGC_193)*    &
                        coupl(nGC_196))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_35_Hl) = -coupl(nGC_35)*dtHl_QED1/cMHL**2d0
      coupl(nGC_23182) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_14938) = coupl(nGC_7)*dZdL_QED2
      coupl(nGC_14939) = coupl(nGC_7)*dZdL_QCD2
      coupl(nGC_14936) = coupl(nGC_7)*dZdR_QED2
      coupl(nGC_8977) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_173) - coupl(nGC_1079 &
                        )*coupl(nGC_172)*coupl(nGC_87) - coupl(nGC_131)*coupl( &
                        nGC_133)*coupl(nGC_170) - coupl(nGC_133)*coupl(nGC_134 &
                        )*coupl(nGC_174) - coupl(nGC_169)**2d0*coupl(nGC_173   &
                        ) - coupl(nGC_170)*coupl(nGC_64)*coupl(nGC_80) - coupl(&
                        nGC_172)**2d0*coupl(nGC_173) - coupl(nGC_172)*coupl(   &
                        nGC_84)*coupl(nGC_92) - coupl(nGC_173)**3d0 - coupl(   &
                        nGC_173)*coupl(nGC_176)**2d0 + 8d0*coupl(nGC_173)*coupl&
                        (nGC_84)*coupl(nGC_87) - coupl(nGC_174)*coupl(nGC_1919 &
                        )*coupl(nGC_80) - coupl(nGC_176)*coupl(nGC_661)*coupl( &
                        nGC_87) - coupl(nGC_176)*coupl(nGC_84)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_13932) = -coupl(nGC_13927)
      coupl(nGC_25006) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_25007) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_25008) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_9321) = coupl(nGC_8122)*db_QED2 + coupl(nGC_8123)*dl5_QED4 +   &
                        coupl(nGC_8124)*dl4_QED4 + coupl(nGC_8125)*da_QED2
      coupl(nGC_9458) = coupl(nGC_8529)*db_QED2 + coupl(nGC_8530)*dym1_QED3 +  &
                        coupl(nGC_8531)*dym2_QED3
      coupl(nGC_21320) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_8896) = coupl(nGC_142)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9459) = coupl(nGC_8640)*db_QED2 + coupl(nGC_8641)*dytau1_QED3  &
                         + coupl(nGC_8642)*dytau2_QED3
      coupl(nGC_13930) = coupl(nGC_63)*dZHl_QED2/2d0 + coupl(nGC_63)*          &
                         dZWMinus_QED2/2d0 + coupl(nGC_68)*dZHhHl_QED2/2d0 +   &
                         coupl(nGC_9363)
      coupl(nGC_9350) = coupl(nGC_7911)*dZee_QED2
      coupl(nGC_21922) = coupl(nGC_MMW_GF)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_13732) = coupl(nGC_42)*dZGMinus/2d0
      coupl(nGC_15456) = coupl(nGC_188)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
    end subroutine fill_CTcouplings_mdl8
end module fill_ctcouplings8
