!******************************************************************************!
!                                                                              !
!    ctparameter96.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter96.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter96
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter96()
  if (dZuR_QED2_scheme .eq. 0) then
    dZuR_QED2 = (2d0*Ten586*coupl(nGC_2)**2d0 + Ten587*(coupl(nGC_197)*coupl(  &
                nGC_198) + 2d0*coupl(nGC_85)**2d0) + Ten588*coupl(nGC_196)**2d0&
                 + Ten589*coupl(nGC_194)**2d0 - Ten590*coupl(nGC_195)**2d0 -   &
                Ten591*coupl(nGC_192)**2d0 + 2d0*Ten592*coupl(nGC_2)**2d0 +    &
                Ten593*(coupl(nGC_197)*coupl(nGC_198) + 2d0*coupl(nGC_85)**2d0 &
                ) + Ten594*coupl(nGC_196)**2d0 - Ten595*coupl(nGC_193)**2d0 +  &
                2d0*Ten600*cMU**2d0*coupl(nGC_194)**2d0 + 2d0*Ten601*cMU**2d0* &
                coupl(nGC_195)**2d0 + 2d0*Ten602*cMU**2d0*coupl(nGC_192)**2d0  &
                 - 4d0*Ten603*cMU**2d0*coupl(nGC_2)**2d0 + Ten604*cMU**2d0*(   &
                coupl(nGC_197)**2d0 + 2d0*coupl(nGC_197)*coupl(nGC_198) + coupl&
                (nGC_198)**2d0 + 2d0*coupl(nGC_85)**2d0 - 8d0*coupl(nGC_85)*   &
                coupl(nGC_88) + 2d0*coupl(nGC_88)**2d0) + Ten605*cMU*(2d0*cMD* &
                coupl(nGC_150)*coupl(nGC_196) + cMU*coupl(nGC_150)**2d0 + cMU* &
                coupl(nGC_196)**2d0 + 2d0*cMU*coupl(nGC_80)**2d0) + 2d0*Ten606*&
                cMD*cMU*coupl(nGC_146)*coupl(nGC_193) + 2d0*Ten607*cMU**2d0*   &
                coupl(nGC_194)**2d0 - 2d0*Ten608*cMU**2d0*coupl(nGC_195)**2d0  &
                 - 2d0*Ten609*cMU**2d0*coupl(nGC_192)**2d0 + 4d0*Ten610*cMU**  &
                2d0*coupl(nGC_2)**2d0 + 2d0*Ten611*cMU**2d0*(coupl(nGC_197)*   &
                coupl(nGC_198) + coupl(nGC_85)**2d0 + coupl(nGC_88)**2d0) +    &
                Ten612*cMU**2d0*(coupl(nGC_150)**2d0 + coupl(nGC_196)**2d0 +   &
                2d0*coupl(nGC_80)**2d0) + Ten613*cMU**2d0*(-coupl(nGC_146)**2d0&
                 - coupl(nGC_193)**2d0) + pi**2d0*(-coupl(nGC_2)**2d0/pi**2d0  &
                 - coupl(nGC_85)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZuR_QED2 = cone*real(dZuR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter96
end module ctparameter96
