!******************************************************************************!
!                                                                              !
!    vertices_info11.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info11.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info11
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl11()
      allocate(vertices(3212)%branchR2(0:0))
      call avR2(3212, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_31223])

      allocate(vertices(3730)%branchR2(0:0))
      call avR2(3730, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(3731)%branchR2(0:1))
      call avR2(3731, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9207])

      call avR2(3731, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9208])

      allocate(vertices(850)%branchR2(0:0))
      call avR2(850, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9193])

      allocate(vertices(3088)%branchR2(0:0))
      call avR2(3088, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(750)%branchR2(0:0))
      call avR2(750, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_9033, nGC_9034])

      allocate(vertices(3466)%branchR2(0:0))
      call avR2(3466, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8776])

      allocate(vertices(1984)%branchR2(0:0))
      call avR2(1984, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(2444)%branchR2(0:0))
      call avR2(2444, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_8789, nGC_8790])

      allocate(vertices(1588)%branchR2(0:0))
      call avR2(1588, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8814])

      allocate(vertices(3202)%branchR2(0:0))
      call avR2(3202, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9095])

      allocate(vertices(2199)%branchR2(0:1))
      call avR2(2199, 0, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_9029, nGC_9027])

      call avR2(2199, 1, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_9030, nGC_9028])

      allocate(vertices(2734)%branchR2(0:0))
      call avR2(2734, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9108])

      allocate(vertices(491)%branchR2(0:0))
      call avR2(491, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(424)%branchR2(0:0))
      call avR2(424, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9093])

      allocate(vertices(2739)%branchR2(0:0))
      call avR2(2739, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8762])

      allocate(vertices(3732)%branchR2(0:1))
      call avR2(3732, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9146])

      call avR2(3732, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9145])

      allocate(vertices(58)%branchR2(0:0))
      call avR2(58, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9164])

      allocate(vertices(2601)%branchR2(0:0))
      call avR2(2601, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(1915)%branchR2(0:1))
      call avR2(1915, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8858, nGC_8860])

      call avR2(1915, 1, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8859, nGC_8861])

      allocate(vertices(3733)%branchR2(0:1))
      call avR2(3733, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9131, nGC_9131,      &
      nGC_9131])

      call avR2(3733, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9130, nGC_9130,      &
      nGC_9130])

      allocate(vertices(715)%branchR2(0:0))
      call avR2(715, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(3487)%branchR2(0:0))
      call avR2(3487, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9204])

      allocate(vertices(2847)%branchR2(0:0))
      call avR2(2847, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9108])

      allocate(vertices(1079)%branchR2(0:1))
      call avR2(1079, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_9019])

      call avR2(1079, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_9020])

      allocate(vertices(3147)%branchR2(0:0))
      call avR2(3147, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9205])

      allocate(vertices(854)%branchR2(0:0))
      call avR2(854, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8889])

      allocate(vertices(1062)%branchR2(0:0))
      call avR2(1062, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9116])

      allocate(vertices(3734)%branchR2(0:1))
      call avR2(3734, 0, 48, 1, 0, VSV0, 0, [2, 1], [nGC_9003])

      call avR2(3734, 1, 47, 1, 0, VSV0, 0, [2, 1], [nGC_9002])

      allocate(vertices(1869)%branchR2(0:0))
      call avR2(1869, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8809])

      allocate(vertices(1749)%branchR2(0:0))
      call avR2(1749, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(3735)%branchR2(0:0))
      call avR2(3735, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9127, nGC_9127,       &
      nGC_9127])

      allocate(vertices(1232)%branchR2(0:0))
      call avR2(1232, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(2114)%branchR2(0:0))
      call avR2(2114, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(1667)%branchR2(0:1))
      call avR2(1667, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9018])

      call avR2(1667, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9019])

      allocate(vertices(2458)%branchR2(0:0))
      call avR2(2458, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9094])

      allocate(vertices(3736)%branchR2(0:1))
      call avR2(3736, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9162])

      call avR2(3736, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9161])

      allocate(vertices(1197)%branchR2(0:0))
      call avR2(1197, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_31731])

      allocate(vertices(2493)%branchR2(0:0))
      call avR2(2493, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9094])

      allocate(vertices(1665)%branchR2(0:0))
      call avR2(1665, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9227])

      allocate(vertices(2578)%branchR2(0:0))
      call avR2(2578, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8829])

      allocate(vertices(317)%branchR2(0:0))
      call avR2(317, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(3737)%branchR2(0:0))
      call avR2(3737, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9086])

      allocate(vertices(1595)%branchR2(0:3))
      call avR2(1595, 0, 22, 1, 0, FaFV1, 0, [1, 2], [nGC_9077, nGC_9076])

      call avR2(1595, 1, 22, 1, 0, FaFV1, 0, [3, 0], [nGC_9067, nGC_9067])

      call avR2(1595, 2, 23, 1, 0, FaFV1, 0, [1, 2], [nGC_9075, nGC_9074])

      call avR2(1595, 3, 23, 1, 0, FaFV1, 0, [3, 0], [nGC_9064, nGC_9064])

      allocate(vertices(2828)%branchR2(0:0))
      call avR2(2828, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8775])

      allocate(vertices(1061)%branchR2(0:0))
      call avR2(1061, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_31524])

      allocate(vertices(1844)%branchR2(0:0))
      call avR2(1844, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

      allocate(vertices(1782)%branchR2(0:1))
      call avR2(1782, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8797, nGC_8796])

      call avR2(1782, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8784, nGC_8784])

      allocate(vertices(1806)%branchR2(0:0))
      call avR2(1806, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(235)%branchR2(0:0))
      call avR2(235, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8806])

      allocate(vertices(1631)%branchR2(0:0))
      call avR2(1631, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9226])

      allocate(vertices(1837)%branchR2(0:0))
      call avR2(1837, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8871, nGC_8870])

      allocate(vertices(567)%branchR2(0:0))
      call avR2(567, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9116])

      allocate(vertices(1873)%branchR2(0:0))
      call avR2(1873, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8894])

      allocate(vertices(3163)%branchR2(0:0))
      call avR2(3163, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9108])

      allocate(vertices(440)%branchR2(0:0))
      call avR2(440, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8976, nGC_8975])

      allocate(vertices(3072)%branchR2(0:0))
      call avR2(3072, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9159])

      allocate(vertices(2243)%branchR2(0:1))
      call avR2(2243, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9009, nGC_9010])

      call avR2(2243, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9011, nGC_9011])

      allocate(vertices(1117)%branchR2(0:0))
      call avR2(1117, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9099])

      allocate(vertices(1214)%branchR2(0:0))
      call avR2(1214, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(219)%branchR2(0:0))
      call avR2(219, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(2594)%branchR2(0:1))
      call avR2(2594, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_9018])

      call avR2(2594, 1, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_9019])

      allocate(vertices(819)%branchR2(0:0))
      call avR2(819, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29423])

      allocate(vertices(2935)%branchR2(0:0))
      call avR2(2935, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(770)%branchR2(0:0))
      call avR2(770, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(2784)%branchR2(0:0))
      call avR2(2784, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8777])

      allocate(vertices(3738)%branchR2(0:1))
      call avR2(3738, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9217])

      call avR2(3738, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9216])

      allocate(vertices(3739)%branchR2(0:1))
      call avR2(3739, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9217])

      call avR2(3739, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9216])

      allocate(vertices(3474)%branchR2(0:0))
      call avR2(3474, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9199])

      allocate(vertices(158)%branchR2(0:0))
      call avR2(158, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9044, nGC_9045])

      allocate(vertices(3471)%branchR2(0:0))
      call avR2(3471, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(818)%branchR2(0:0))
      call avR2(818, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9118])

      allocate(vertices(1870)%branchR2(0:1))
      call avR2(1870, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8820, nGC_8822])

      call avR2(1870, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8842, nGC_8843])

      allocate(vertices(2643)%branchR2(0:0))
      call avR2(2643, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8888])

      allocate(vertices(114)%branchR2(0:0))
      call avR2(114, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(1601)%branchR2(0:0))
      call avR2(1601, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8957])

      allocate(vertices(3344)%branchR2(0:0))
      call avR2(3344, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9079])

      allocate(vertices(1791)%branchR2(0:0))
      call avR2(1791, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(3740)%branchR2(0:0))
      call avR2(3740, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9087, nGC_9087,       &
      nGC_9087])

      allocate(vertices(744)%branchR2(0:0))
      call avR2(744, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_31524])

      allocate(vertices(3307)%branchR2(0:0))
      call avR2(3307, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9235])

      allocate(vertices(3381)%branchR2(0:0))
      call avR2(3381, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9078])

      allocate(vertices(1770)%branchR2(0:0))
      call avR2(1770, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(2132)%branchR2(0:0))
      call avR2(2132, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8832])

      allocate(vertices(1163)%branchR2(0:0))
      call avR2(1163, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(76)%branchR2(0:1))
      call avR2(76, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8821, nGC_8819])

      call avR2(76, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8822, nGC_8820])

      allocate(vertices(1490)%branchR2(0:0))
      call avR2(1490, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9182])

      allocate(vertices(2441)%branchR2(0:0))
      call avR2(2441, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8804])

      allocate(vertices(3139)%branchR2(0:0))
      call avR2(3139, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9078])

      allocate(vertices(2648)%branchR2(0:0))
      call avR2(2648, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9124, nGC_9125,       &
      nGC_9123])

      allocate(vertices(1091)%branchR2(0:1))
      call avR2(1091, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_9018])

      call avR2(1091, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_9019])

      allocate(vertices(23)%branchR2(0:0))
      call avR2(23, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(3522)%branchR2(0:0))
      call avR2(3522, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9196])

      allocate(vertices(1553)%branchR2(0:0))
      call avR2(1553, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30147])

      allocate(vertices(3223)%branchR2(0:0))
      call avR2(3223, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(2979)%branchR2(0:0))
      call avR2(2979, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9199])

      allocate(vertices(1838)%branchR2(0:0))
      call avR2(1838, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9116])

      allocate(vertices(3062)%branchR2(0:0))
      call avR2(3062, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(1055)%branchR2(0:0))
      call avR2(1055, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8773])

      allocate(vertices(3741)%branchR2(0:0))
      call avR2(3741, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9082])

      allocate(vertices(980)%branchR2(0:0))
      call avR2(980, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(1374)%branchR2(0:0))
      call avR2(1374, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(487)%branchR2(0:0))
      call avR2(487, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8923])

      allocate(vertices(1477)%branchR2(0:0))
      call avR2(1477, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(216)%branchR2(0:0))
      call avR2(216, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9219])

      allocate(vertices(3742)%branchR2(0:0))
      call avR2(3742, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(1223)%branchR2(0:0))
      call avR2(1223, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9100])

      allocate(vertices(531)%branchR2(0:1))
      call avR2(531, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8927, nGC_8929])

      call avR2(531, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8928, nGC_8930])

      allocate(vertices(3225)%branchR2(0:0))
      call avR2(3225, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9180])

      allocate(vertices(1912)%branchR2(0:0))
      call avR2(1912, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(3557)%branchR2(0:0))
      call avR2(3557, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9110])

      allocate(vertices(2864)%branchR2(0:0))
      call avR2(2864, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(2659)%branchR2(0:0))
      call avR2(2659, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8976, nGC_8975])

      allocate(vertices(1554)%branchR2(0:0))
      call avR2(1554, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9099])

      allocate(vertices(2608)%branchR2(0:3))
      call avR2(2608, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9061, nGC_9060])

      call avR2(2608, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9052, nGC_9052])

      call avR2(2608, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9059, nGC_9058])

      call avR2(2608, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9049, nGC_9049])

      allocate(vertices(1471)%branchR2(0:0))
      call avR2(1471, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(702)%branchR2(0:0))
      call avR2(702, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8854])

      allocate(vertices(1363)%branchR2(0:0))
      call avR2(1363, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(3743)%branchR2(0:0))
      call avR2(3743, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(2363)%branchR2(0:0))
      call avR2(2363, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

      allocate(vertices(3283)%branchR2(0:0))
      call avR2(3283, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9204])

      allocate(vertices(3140)%branchR2(0:0))
      call avR2(3140, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9199])

      allocate(vertices(1239)%branchR2(0:1))
      call avR2(1239, 0, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_9029, nGC_9027])

      call avR2(1239, 1, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_9030, nGC_9028])

      allocate(vertices(1343)%branchR2(0:1))
      call avR2(1343, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8884, nGC_8886])

      call avR2(1343, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8885, nGC_8887])

      allocate(vertices(3057)%branchR2(0:0))
      call avR2(3057, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9181])

      allocate(vertices(2518)%branchR2(0:1))
      call avR2(2518, 0, 0, 1, 0, VVV0, 0, [3, 0], [nGC_31859])

      call avR2(2518, 1, 1, 1, 0, VVV0, 0, [3, 0], [nGC_31861])

      allocate(vertices(3178)%branchR2(0:0))
      call avR2(3178, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9096])

      allocate(vertices(688)%branchR2(0:0))
      call avR2(688, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9133])

      allocate(vertices(1779)%branchR2(0:0))
      call avR2(1779, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8855])

      allocate(vertices(1546)%branchR2(0:0))
      call avR2(1546, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_31731])

      allocate(vertices(1809)%branchR2(0:0))
      call avR2(1809, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(2646)%branchR2(0:0))
      call avR2(2646, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9081])

      allocate(vertices(2940)%branchR2(0:0))
      call avR2(2940, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_31869])

      allocate(vertices(2971)%branchR2(0:0))
      call avR2(2971, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30064])

      allocate(vertices(1077)%branchR2(0:0))
      call avR2(1077, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(1193)%branchR2(0:0))
      call avR2(1193, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8888])

      allocate(vertices(1902)%branchR2(0:0))
      call avR2(1902, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(2989)%branchR2(0:0))
      call avR2(2989, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9160])

      allocate(vertices(3744)%branchR2(0:1))
      call avR2(3744, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9256, nGC_9256,      &
      nGC_9256])

      call avR2(3744, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9257, nGC_9257,      &
      nGC_9257])

      allocate(vertices(2550)%branchR2(0:0))
      call avR2(2550, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(98)%branchR2(0:0))
      call avR2(98, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9228])

      allocate(vertices(1995)%branchR2(0:0))
      call avR2(1995, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

      allocate(vertices(3588)%branchR2(0:0))
      call avR2(3588, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(3352)%branchR2(0:0))
      call avR2(3352, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(2210)%branchR2(0:0))
      call avR2(2210, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(329)%branchR2(0:1))
      call avR2(329, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9029, nGC_9027])

      call avR2(329, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9030, nGC_9028])

      allocate(vertices(144)%branchR2(0:0))
      call avR2(144, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(535)%branchR2(0:0))
      call avR2(535, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9151])

      allocate(vertices(868)%branchR2(0:0))
      call avR2(868, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(1979)%branchR2(0:0))
      call avR2(1979, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(1798)%branchR2(0:3))
      call avR2(1798, 0, 30, 1, 0, VFFa1, 0, [1, 2], [nGC_9077, nGC_9076])

      call avR2(1798, 1, 30, 1, 0, VFFa1, 0, [3, 0], [nGC_9067, nGC_9067])

      call avR2(1798, 2, 31, 1, 0, VFFa1, 0, [1, 2], [nGC_9075, nGC_9074])

      call avR2(1798, 3, 31, 1, 0, VFFa1, 0, [3, 0], [nGC_9064, nGC_9064])

      allocate(vertices(1695)%branchR2(0:0))
      call avR2(1695, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9200])

      allocate(vertices(875)%branchR2(0:0))
      call avR2(875, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29407])

      allocate(vertices(549)%branchR2(0:0))
      call avR2(549, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8921])

      allocate(vertices(3745)%branchR2(0:0))
      call avR2(3745, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9088])

      allocate(vertices(1)%branchR2(0:0))
      call avR2(1, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(190)%branchR2(0:0))
      call avR2(190, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

      allocate(vertices(1105)%branchR2(0:0))
      call avR2(1105, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9081])

      allocate(vertices(1820)%branchR2(0:0))
      call avR2(1820, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9022])

      allocate(vertices(1879)%branchR2(0:0))
      call avR2(1879, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(955)%branchR2(0:1))
      call avR2(955, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8780, nGC_8779])

      call avR2(955, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8781, nGC_8781])

      allocate(vertices(3746)%branchR2(0:0))
      call avR2(3746, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(1470)%branchR2(0:0))
      call avR2(1470, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9099])

      allocate(vertices(2274)%branchR2(0:0))
      call avR2(2274, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9227])

      allocate(vertices(777)%branchR2(0:0))
      call avR2(777, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

      allocate(vertices(3747)%branchR2(0:0))
      call avR2(3747, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9086])

      allocate(vertices(2066)%branchR2(0:0))
      call avR2(2066, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9118])

      allocate(vertices(341)%branchR2(0:0))
      call avR2(341, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9114])

      allocate(vertices(2432)%branchR2(0:0))
      call avR2(2432, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8913])

      allocate(vertices(540)%branchR2(0:0))
      call avR2(540, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(3327)%branchR2(0:0))
      call avR2(3327, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9238])

      allocate(vertices(340)%branchR2(0:0))
      call avR2(340, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8942, nGC_8941])

      allocate(vertices(3073)%branchR2(0:0))
      call avR2(3073, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9095])

      allocate(vertices(2555)%branchR2(0:0))
      call avR2(2555, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(332)%branchR2(0:0))
      call avR2(332, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(2818)%branchR2(0:0))
      call avR2(2818, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_8724, nGC_8723])

      allocate(vertices(1740)%branchR2(0:0))
      call avR2(1740, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9213])

      allocate(vertices(927)%branchR2(0:0))
      call avR2(927, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

      allocate(vertices(3328)%branchR2(0:0))
      call avR2(3328, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9181])

      allocate(vertices(516)%branchR2(0:0))
      call avR2(516, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(203)%branchR2(0:0))
      call avR2(203, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_8787, nGC_8788])

      allocate(vertices(14)%branchR2(0:0))
      call avR2(14, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9094])

      allocate(vertices(901)%branchR2(0:0))
      call avR2(901, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(2476)%branchR2(0:0))
      call avR2(2476, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

      allocate(vertices(811)%branchR2(0:0))
      call avR2(811, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9117])

      allocate(vertices(3255)%branchR2(0:0))
      call avR2(3255, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9163])

      allocate(vertices(2345)%branchR2(0:0))
      call avR2(2345, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(2933)%branchR2(0:0))
      call avR2(2933, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9180])

      allocate(vertices(395)%branchR2(0:0))
      call avR2(395, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8942, nGC_8941])

      allocate(vertices(3030)%branchR2(0:0))
      call avR2(3030, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9110])

      allocate(vertices(2644)%branchR2(0:0))
      call avR2(2644, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9234])

      allocate(vertices(383)%branchR2(0:0))
      call avR2(383, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(1684)%branchR2(0:1))
      call avR2(1684, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8901, nGC_8899])

      call avR2(1684, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8902, nGC_8900])

      allocate(vertices(2011)%branchR2(0:0))
      call avR2(2011, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9099])

      allocate(vertices(1416)%branchR2(0:0))
      call avR2(1416, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9226])

      allocate(vertices(3748)%branchR2(0:1))
      call avR2(3748, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9208])

      call avR2(3748, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9207])

      allocate(vertices(1067)%branchR2(0:0))
      call avR2(1067, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8909])

      allocate(vertices(1087)%branchR2(0:1))
      call avR2(1087, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8874, nGC_8876])

      call avR2(1087, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8875, nGC_8877])

      allocate(vertices(1590)%branchR2(0:3))
      call avR2(1590, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9073, nGC_9072])

      call avR2(1590, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9067, nGC_9067])

      call avR2(1590, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9071, nGC_9070])

      call avR2(1590, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9064, nGC_9064])

      allocate(vertices(2357)%branchR2(0:1))
      call avR2(2357, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8970, nGC_8970])

      call avR2(2357, 1, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8968, nGC_8969])

      allocate(vertices(1297)%branchR2(0:0))
      call avR2(1297, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9201])

      allocate(vertices(589)%branchR2(0:0))
      call avR2(589, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9133])

      allocate(vertices(458)%branchR2(0:0))
      call avR2(458, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(1088)%branchR2(0:0))
      call avR2(1088, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8871, nGC_8870])

      allocate(vertices(3749)%branchR2(0:0))
      call avR2(3749, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(2657)%branchR2(0:0))
      call avR2(2657, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(1861)%branchR2(0:1))
      call avR2(1861, 0, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_9026, nGC_9024])

      call avR2(1861, 1, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_9032, nGC_9031])

      allocate(vertices(900)%branchR2(0:0))
      call avR2(900, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(1682)%branchR2(0:0))
      call avR2(1682, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8873, nGC_8872])

      allocate(vertices(104)%branchR2(0:0))
      call avR2(104, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(1360)%branchR2(0:0))
      call avR2(1360, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9143])

      allocate(vertices(924)%branchR2(0:0))
      call avR2(924, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(932)%branchR2(0:1))
      call avR2(932, 0, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_9019])

      call avR2(932, 1, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_9020])

      allocate(vertices(60)%branchR2(0:0))
      call avR2(60, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9225])

      allocate(vertices(2019)%branchR2(0:0))
      call avR2(2019, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9222])

      allocate(vertices(2662)%branchR2(0:0))
      call avR2(2662, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(1538)%branchR2(0:0))
      call avR2(1538, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(3138)%branchR2(0:0))
      call avR2(3138, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9108])

      allocate(vertices(3750)%branchR2(0:0))
      call avR2(3750, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8849])

      allocate(vertices(2038)%branchR2(0:0))
      call avR2(2038, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(1898)%branchR2(0:0))
      call avR2(1898, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(117)%branchR2(0:0))
      call avR2(117, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9222])

      allocate(vertices(3207)%branchR2(0:0))
      call avR2(3207, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(2485)%branchR2(0:0))
      call avR2(2485, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9227])

      allocate(vertices(3117)%branchR2(0:0))
      call avR2(3117, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9095])

      allocate(vertices(3751)%branchR2(0:0))
      call avR2(3751, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9082])

      allocate(vertices(2753)%branchR2(0:0))
      call avR2(2753, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9163])

      allocate(vertices(1593)%branchR2(0:0))
      call avR2(1593, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(874)%branchR2(0:0))
      call avR2(874, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(926)%branchR2(0:0))
      call avR2(926, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9219])

      allocate(vertices(3752)%branchR2(0:1))
      call avR2(3752, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9131, nGC_9131,      &
      nGC_9131])

      call avR2(3752, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9130, nGC_9130,      &
      nGC_9130])

      allocate(vertices(473)%branchR2(0:1))
      call avR2(473, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8826, nGC_8824])

      call avR2(473, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8845, nGC_8844])

      allocate(vertices(2927)%branchR2(0:0))
      call avR2(2927, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9096])

      allocate(vertices(1267)%branchR2(0:0))
      call avR2(1267, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9133])

      allocate(vertices(3753)%branchR2(0:0))
      call avR2(3753, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9111])

      allocate(vertices(125)%branchR2(0:1))
      call avR2(125, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8866, nGC_8868])

      call avR2(125, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8867, nGC_8869])

      allocate(vertices(601)%branchR2(0:1))
      call avR2(601, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_8786, nGC_8785])

      call avR2(601, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_8781, nGC_8781])

      allocate(vertices(1379)%branchR2(0:0))
      call avR2(1379, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29283])

      allocate(vertices(896)%branchR2(0:0))
      call avR2(896, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9225])

      allocate(vertices(551)%branchR2(0:0))
      call avR2(551, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(1936)%branchR2(0:0))
      call avR2(1936, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9214])

      allocate(vertices(1225)%branchR2(0:0))
      call avR2(1225, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9250, nGC_9251,       &
      nGC_9251])

      allocate(vertices(2456)%branchR2(0:0))
      call avR2(2456, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9214])

      allocate(vertices(243)%branchR2(0:1))
      call avR2(243, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8900, nGC_8902])

      call avR2(243, 1, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8916, nGC_8917])

      allocate(vertices(1461)%branchR2(0:0))
      call avR2(1461, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9021])

      allocate(vertices(1850)%branchR2(0:0))
      call avR2(1850, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(269)%branchR2(0:0))
      call avR2(269, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

      allocate(vertices(366)%branchR2(0:0))
      call avR2(366, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(2426)%branchR2(0:0))
      call avR2(2426, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9224])

      allocate(vertices(3221)%branchR2(0:0))
      call avR2(3221, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9199])

      allocate(vertices(1500)%branchR2(0:0))
      call avR2(1500, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(2568)%branchR2(0:0))
      call avR2(2568, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8909])

      allocate(vertices(346)%branchR2(0:0))
      call avR2(346, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

      allocate(vertices(1169)%branchR2(0:0))
      call avR2(1169, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9225])

      allocate(vertices(1025)%branchR2(0:0))
      call avR2(1025, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(817)%branchR2(0:0))
      call avR2(817, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(285)%branchR2(0:0))
      call avR2(285, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(2163)%branchR2(0:0))
      call avR2(2163, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9118])

      allocate(vertices(2232)%branchR2(0:0))
      call avR2(2232, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9116])

      allocate(vertices(279)%branchR2(0:0))
      call avR2(279, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9214])

      allocate(vertices(2385)%branchR2(0:0))
      call avR2(2385, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8839])

      allocate(vertices(100)%branchR2(0:0))
      call avR2(100, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(3754)%branchR2(0:0))
      call avR2(3754, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9085, nGC_9085,       &
      nGC_9085])

      allocate(vertices(1073)%branchR2(0:0))
      call avR2(1073, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9187])

      allocate(vertices(3128)%branchR2(0:0))
      call avR2(3128, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8811])

      allocate(vertices(1803)%branchR2(0:0))
      call avR2(1803, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(492)%branchR2(0:1))
      call avR2(492, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8815, nGC_8817])

      call avR2(492, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8816, nGC_8818])

      allocate(vertices(236)%branchR2(0:0))
      call avR2(236, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(885)%branchR2(0:0))
      call avR2(885, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(2013)%branchR2(0:0))
      call avR2(2013, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9099])

      allocate(vertices(441)%branchR2(0:0))
      call avR2(441, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30309])

      allocate(vertices(2400)%branchR2(0:0))
      call avR2(2400, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(350)%branchR2(0:0))
      call avR2(350, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9252, nGC_9254,        &
      nGC_9253])

      allocate(vertices(296)%branchR2(0:0))
      call avR2(296, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9038])

      allocate(vertices(142)%branchR2(0:0))
      call avR2(142, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(3261)%branchR2(0:0))
      call avR2(3261, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(2586)%branchR2(0:0))
      call avR2(2586, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(2496)%branchR2(0:0))
      call avR2(2496, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9035])

      allocate(vertices(1624)%branchR2(0:0))
      call avR2(1624, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(2028)%branchR2(0:0))
      call avR2(2028, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(3099)%branchR2(0:0))
      call avR2(3099, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_8793])

      allocate(vertices(2733)%branchR2(0:0))
      call avR2(2733, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_8706, nGC_8705])

      allocate(vertices(38)%branchR2(0:0))
      call avR2(38, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(2972)%branchR2(0:0))
      call avR2(2972, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29561])

      allocate(vertices(2215)%branchR2(0:0))
      call avR2(2215, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9222])

      allocate(vertices(2279)%branchR2(0:0))
      call avR2(2279, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8922])

      allocate(vertices(3026)%branchR2(0:0))
      call avR2(3026, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9196])

      allocate(vertices(68)%branchR2(0:0))
      call avR2(68, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9128])

      allocate(vertices(902)%branchR2(0:0))
      call avR2(902, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9244])

      allocate(vertices(827)%branchR2(0:0))
      call avR2(827, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9144])

      allocate(vertices(293)%branchR2(0:0))
      call avR2(293, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9144])

      allocate(vertices(1361)%branchR2(0:0))
      call avR2(1361, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9234])

      allocate(vertices(883)%branchR2(0:0))
      call avR2(883, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9118])

      allocate(vertices(2731)%branchR2(0:0))
      call avR2(2731, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8836])

      allocate(vertices(1989)%branchR2(0:0))
      call avR2(1989, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9171])

      allocate(vertices(421)%branchR2(0:0))
      call avR2(421, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9165])

      allocate(vertices(1213)%branchR2(0:0))
      call avR2(1213, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9222])

      allocate(vertices(1200)%branchR2(0:0))
      call avR2(1200, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(1539)%branchR2(0:0))
      call avR2(1539, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9219])

      allocate(vertices(2787)%branchR2(0:0))
      call avR2(2787, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9122])

      allocate(vertices(2026)%branchR2(0:0))
      call avR2(2026, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8829])

      allocate(vertices(1331)%branchR2(0:0))
      call avR2(1331, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(897)%branchR2(0:1))
      call avR2(897, 0, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_8781, nGC_8781])

      call avR2(897, 1, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_8786, nGC_8785])

      allocate(vertices(1030)%branchR2(0:0))
      call avR2(1030, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(2299)%branchR2(0:0))
      call avR2(2299, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9133])

      allocate(vertices(3403)%branchR2(0:0))
      call avR2(3403, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(1238)%branchR2(0:0))
      call avR2(1238, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8778])

      allocate(vertices(238)%branchR2(0:0))
      call avR2(238, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9100])

      allocate(vertices(2368)%branchR2(0:0))
      call avR2(2368, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(1586)%branchR2(0:0))
      call avR2(1586, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(470)%branchR2(0:0))
      call avR2(470, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(1951)%branchR2(0:1))
      call avR2(1951, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8866, nGC_8868])

      call avR2(1951, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8867, nGC_8869])

      allocate(vertices(954)%branchR2(0:0))
      call avR2(954, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(2654)%branchR2(0:1))
      call avR2(2654, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8895, nGC_8897])

      call avR2(2654, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8896, nGC_8898])

      allocate(vertices(2433)%branchR2(0:0))
      call avR2(2433, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9100])

      allocate(vertices(1473)%branchR2(0:0))
      call avR2(1473, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

      allocate(vertices(2717)%branchR2(0:0))
      call avR2(2717, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9196])

      allocate(vertices(3053)%branchR2(0:0))
      call avR2(3053, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9181])

      allocate(vertices(2486)%branchR2(0:0))
      call avR2(2486, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(1677)%branchR2(0:0))
      call avR2(1677, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(2617)%branchR2(0:0))
      call avR2(2617, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(781)%branchR2(0:0))
      call avR2(781, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8764])

      allocate(vertices(1963)%branchR2(0:0))
      call avR2(1963, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9245])

      allocate(vertices(1302)%branchR2(0:1))
      call avR2(1302, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8815, nGC_8817])

      call avR2(1302, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8816, nGC_8818])

      allocate(vertices(869)%branchR2(0:0))
      call avR2(869, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(416)%branchR2(0:0))
      call avR2(416, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9164])

      allocate(vertices(2852)%branchR2(0:0))
      call avR2(2852, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9199])

      allocate(vertices(2316)%branchR2(0:1))
      call avR2(2316, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8820, nGC_8822])

      call avR2(2316, 1, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8842, nGC_8843])

      allocate(vertices(2669)%branchR2(0:0))
      call avR2(2669, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(3755)%branchR2(0:0))
      call avR2(3755, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9088])

      allocate(vertices(1839)%branchR2(0:0))
      call avR2(1839, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8911])

      allocate(vertices(971)%branchR2(0:0))
      call avR2(971, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(457)%branchR2(0:0))
      call avR2(457, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8857])

      allocate(vertices(1134)%branchR2(0:0))
      call avR2(1134, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(2565)%branchR2(0:0))
      call avR2(2565, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(2820)%branchR2(0:0))
      call avR2(2820, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9119])

      allocate(vertices(2002)%branchR2(0:1))
      call avR2(2002, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_9018])

      call avR2(2002, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_9019])

      allocate(vertices(132)%branchR2(0:0))
      call avR2(132, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(3756)%branchR2(0:1))
      call avR2(3756, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9243])

      call avR2(3756, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9242])

      allocate(vertices(1654)%branchR2(0:3))
      call avR2(1654, 0, 29, 1, 0, VFaF1, 0, [1, 2], [nGC_9055, nGC_9054])

      call avR2(1654, 1, 29, 1, 0, VFaF1, 0, [3, 0], [nGC_9049, nGC_9049])

      call avR2(1654, 2, 28, 1, 0, VFaF1, 0, [1, 2], [nGC_9057, nGC_9056])

      call avR2(1654, 3, 28, 1, 0, VFaF1, 0, [3, 0], [nGC_9052, nGC_9052])

      allocate(vertices(3435)%branchR2(0:0))
      call avR2(3435, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9235])

      allocate(vertices(2442)%branchR2(0:0))
      call avR2(2442, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9215])

      allocate(vertices(831)%branchR2(0:0))
      call avR2(831, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(2886)%branchR2(0:0))
      call avR2(2886, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_31620])

      allocate(vertices(952)%branchR2(0:0))
      call avR2(952, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8837])

      allocate(vertices(694)%branchR2(0:0))
      call avR2(694, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9099])

      allocate(vertices(1741)%branchR2(0:0))
      call avR2(1741, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30147])

      allocate(vertices(2652)%branchR2(0:0))
      call avR2(2652, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(2712)%branchR2(0:0))
      call avR2(2712, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9108])

      allocate(vertices(3451)%branchR2(0:0))
      call avR2(3451, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_31266])

      allocate(vertices(2722)%branchR2(0:0))
      call avR2(2722, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9196])

      allocate(vertices(823)%branchR2(0:1))
      call avR2(823, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9026, nGC_9024])

      call avR2(823, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9041, nGC_9040])

      allocate(vertices(361)%branchR2(0:0))
      call avR2(361, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(1272)%branchR2(0:0))
      call avR2(1272, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9227])

      allocate(vertices(1011)%branchR2(0:0))
      call avR2(1011, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(3757)%branchR2(0:1))
      call avR2(3757, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9162])

      call avR2(3757, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9161])

      allocate(vertices(1245)%branchR2(0:0))
      call avR2(1245, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_9044, nGC_9045])

      allocate(vertices(3758)%branchR2(0:1))
      call avR2(3758, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9240])

      call avR2(3758, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9239])

      allocate(vertices(2804)%branchR2(0:0))
      call avR2(2804, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(2169)%branchR2(0:1))
      call avR2(2169, 0, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_8784, nGC_8784])

      call avR2(2169, 1, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_8801, nGC_8800])

      allocate(vertices(886)%branchR2(0:0))
      call avR2(886, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(893)%branchR2(0:1))
      call avR2(893, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8901, nGC_8899])

      call avR2(893, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8902, nGC_8900])

      allocate(vertices(3239)%branchR2(0:0))
      call avR2(3239, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30061])

      allocate(vertices(3759)%branchR2(0:0))
      call avR2(3759, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9092])

      allocate(vertices(2115)%branchR2(0:0))
      call avR2(2115, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(342)%branchR2(0:1))
      call avR2(342, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_9026, nGC_9024])

      call avR2(342, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_9032, nGC_9031])

      allocate(vertices(3407)%branchR2(0:1))
      call avR2(3407, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_8737, nGC_8734,       &
      nGC_8742, nGC_8742])

      call avR2(3407, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_8733, nGC_8733,       &
      nGC_8743, nGC_8743])

      allocate(vertices(1090)%branchR2(0:0))
      call avR2(1090, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

      allocate(vertices(1443)%branchR2(0:0))
      call avR2(1443, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8763])

      allocate(vertices(3760)%branchR2(0:0))
      call avR2(3760, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(3039)%branchR2(0:0))
      call avR2(3039, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(1880)%branchR2(0:0))
      call avR2(1880, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9022])

      allocate(vertices(1085)%branchR2(0:0))
      call avR2(1085, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(512)%branchR2(0:0))
      call avR2(512, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8763])

      allocate(vertices(375)%branchR2(0:0))
      call avR2(375, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(3761)%branchR2(0:0))
      call avR2(3761, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(3513)%branchR2(0:0))
      call avR2(3513, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9095])

      allocate(vertices(2212)%branchR2(0:0))
      call avR2(2212, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9236])

      allocate(vertices(1468)%branchR2(0:0))
      call avR2(1468, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(1846)%branchR2(0:3))
      call avR2(1846, 0, 24, 1, 0, FaVF0, 0, [1, 2], [nGC_9066, nGC_9065])

      call avR2(1846, 1, 24, 1, 0, FaVF0, 0, [3, 0], [nGC_9067, nGC_9067])

      call avR2(1846, 2, 25, 1, 0, FaVF0, 0, [1, 2], [nGC_9063, nGC_9062])

      call avR2(1846, 3, 25, 1, 0, FaVF0, 0, [3, 0], [nGC_9064, nGC_9064])

      allocate(vertices(810)%branchR2(0:0))
      call avR2(810, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9165])

      allocate(vertices(1864)%branchR2(0:0))
      call avR2(1864, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8972, nGC_8971])

      allocate(vertices(1132)%branchR2(0:0))
      call avR2(1132, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(289)%branchR2(0:0))
      call avR2(289, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9171])

      allocate(vertices(1466)%branchR2(0:0))
      call avR2(1466, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8907])

      allocate(vertices(1208)%branchR2(0:0))
      call avR2(1208, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(2745)%branchR2(0:0))
      call avR2(2745, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9122])

      allocate(vertices(598)%branchR2(0:0))
      call avR2(598, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(2419)%branchR2(0:0))
      call avR2(2419, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8808])

      allocate(vertices(3561)%branchR2(0:0))
      call avR2(3561, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9096])

      allocate(vertices(3762)%branchR2(0:5))
      call avR2(3762, 0, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_9139, nGC_9139,      &
      nGC_9139])

      call avR2(3762, 1, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_9138, nGC_9138,      &
      nGC_9138])

      call avR2(3762, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_9138, nGC_9138,      &
      nGC_9138])

      call avR2(3762, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_9139, nGC_9139,      &
      nGC_9139])

      call avR2(3762, 4, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_9138, nGC_9138,      &
      nGC_9138])

      call avR2(3762, 5, 82, 1, 0, VVVV0, 0, [3, 1], [nGC_9137, nGC_9137,      &
      nGC_9137])

      allocate(vertices(3763)%branchR2(0:0))
      call avR2(3763, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(528)%branchR2(0:0))
      call avR2(528, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9128])

      allocate(vertices(464)%branchR2(0:0))
      call avR2(464, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(3167)%branchR2(0:0))
      call avR2(3167, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9095])

      allocate(vertices(2117)%branchR2(0:1))
      call avR2(2117, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_8801, nGC_8800])

      call avR2(2117, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_8784, nGC_8784])

      allocate(vertices(1372)%branchR2(0:0))
      call avR2(1372, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9219])

      allocate(vertices(1598)%branchR2(0:0))
      call avR2(1598, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(359)%branchR2(0:0))
      call avR2(359, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9100])

      allocate(vertices(3764)%branchR2(0:1))
      call avR2(3764, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9102, nGC_9102,      &
      nGC_9102])

      call avR2(3764, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9103, nGC_9103,      &
      nGC_9103])

      allocate(vertices(696)%branchR2(0:0))
      call avR2(696, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8940, nGC_8939])

      allocate(vertices(1731)%branchR2(0:0))
      call avR2(1731, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(604)%branchR2(0:1))
      call avR2(604, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8826, nGC_8824])

      call avR2(604, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8845, nGC_8844])

      allocate(vertices(1828)%branchR2(0:0))
      call avR2(1828, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9192])

      allocate(vertices(990)%branchR2(0:0))
      call avR2(990, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8854])

      allocate(vertices(2978)%branchR2(0:0))
      call avR2(2978, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9199])

      allocate(vertices(970)%branchR2(0:0))
      call avR2(970, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9237])

      allocate(vertices(3133)%branchR2(0:0))
      call avR2(3133, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_8712, nGC_8711,        &
      nGC_8713])

      allocate(vertices(3537)%branchR2(0:0))
      call avR2(3537, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(3765)%branchR2(0:0))
      call avR2(3765, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9111])

      allocate(vertices(995)%branchR2(0:0))
      call avR2(995, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(2349)%branchR2(0:1))
      call avR2(2349, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8985, nGC_8986])

      call avR2(2349, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8987, nGC_8987])

      allocate(vertices(1059)%branchR2(0:0))
      call avR2(1059, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(2286)%branchR2(0:0))
      call avR2(2286, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(3479)%branchR2(0:0))
      call avR2(3479, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9095])

      allocate(vertices(3206)%branchR2(0:0))
      call avR2(3206, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9108])

      allocate(vertices(22)%branchR2(0:0))
      call avR2(22, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9219])

      allocate(vertices(1572)%branchR2(0:3))
      call avR2(1572, 0, 24, 1, 0, FaVF0, 0, [1, 2], [nGC_9073, nGC_9072])

      call avR2(1572, 1, 24, 1, 0, FaVF0, 0, [3, 0], [nGC_9067, nGC_9067])

      call avR2(1572, 2, 25, 1, 0, FaVF0, 0, [1, 2], [nGC_9071, nGC_9070])

      call avR2(1572, 3, 25, 1, 0, FaVF0, 0, [3, 0], [nGC_9064, nGC_9064])

      allocate(vertices(287)%branchR2(0:0))
      call avR2(287, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(1420)%branchR2(0:0))
      call avR2(1420, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(659)%branchR2(0:0))
      call avR2(659, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8805])

      allocate(vertices(919)%branchR2(0:0))
      call avR2(919, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9182])

      allocate(vertices(3429)%branchR2(0:0))
      call avR2(3429, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8767])

      allocate(vertices(2574)%branchR2(0:0))
      call avR2(2574, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(77)%branchR2(0:0))
      call avR2(77, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(2254)%branchR2(0:1))
      call avR2(2254, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_9018])

      call avR2(2254, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_9019])

      allocate(vertices(1014)%branchR2(0:0))
      call avR2(1014, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(3051)%branchR2(0:0))
      call avR2(3051, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9159])

      allocate(vertices(3059)%branchR2(0:0))
      call avR2(3059, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9078])

      allocate(vertices(2190)%branchR2(0:0))
      call avR2(2190, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(2572)%branchR2(0:3))
      call avR2(2572, 0, 30, 1, 0, VFFa1, 0, [1, 2], [nGC_9053, nGC_9051])

      call avR2(2572, 1, 30, 1, 0, VFFa1, 0, [3, 0], [nGC_9052, nGC_9052])

      call avR2(2572, 2, 31, 1, 0, VFFa1, 0, [1, 2], [nGC_9050, nGC_9048])

      call avR2(2572, 3, 31, 1, 0, VFFa1, 0, [3, 0], [nGC_9049, nGC_9049])

      allocate(vertices(2961)%branchR2(0:0))
      call avR2(2961, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9108])

      allocate(vertices(1248)%branchR2(0:0))
      call avR2(1248, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9192])

      allocate(vertices(2551)%branchR2(0:0))
      call avR2(2551, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(3457)%branchR2(0:0))
      call avR2(3457, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9238])

      allocate(vertices(999)%branchR2(0:3))
      call avR2(999, 0, 24, 1, 0, FaVF0, 0, [1, 2], [nGC_9057, nGC_9056])

      call avR2(999, 1, 24, 1, 0, FaVF0, 0, [3, 0], [nGC_9052, nGC_9052])

      call avR2(999, 2, 25, 1, 0, FaVF0, 0, [1, 2], [nGC_9055, nGC_9054])

      call avR2(999, 3, 25, 1, 0, FaVF0, 0, [3, 0], [nGC_9049, nGC_9049])

      allocate(vertices(3287)%branchR2(0:0))
      call avR2(3287, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9109])

      allocate(vertices(2137)%branchR2(0:0))
      call avR2(2137, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9091, nGC_9090,       &
      nGC_9089])

      allocate(vertices(539)%branchR2(0:0))
      call avR2(539, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9033, nGC_9034])

      allocate(vertices(871)%branchR2(0:0))
      call avR2(871, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(2269)%branchR2(0:0))
      call avR2(2269, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(2304)%branchR2(0:0))
      call avR2(2304, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(2710)%branchR2(0:0))
      call avR2(2710, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9199])

      allocate(vertices(2058)%branchR2(0:0))
      call avR2(2058, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9218])

      allocate(vertices(245)%branchR2(0:1))
      call avR2(245, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8823, nGC_8825])

      call avR2(245, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8824, nGC_8826])

      allocate(vertices(3003)%branchR2(0:0))
      call avR2(3003, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_31620])

      allocate(vertices(3766)%branchR2(0:0))
      call avR2(3766, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(1611)%branchR2(0:0))
      call avR2(1611, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9191])

      allocate(vertices(2352)%branchR2(0:1))
      call avR2(2352, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8953, nGC_8955])

      call avR2(2352, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8954, nGC_8956])

      allocate(vertices(3194)%branchR2(0:0))
      call avR2(3194, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30687])

      allocate(vertices(3767)%branchR2(0:0))
      call avR2(3767, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8769])

      allocate(vertices(649)%branchR2(0:0))
      call avR2(649, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9222])

      allocate(vertices(1345)%branchR2(0:0))
      call avR2(1345, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9244])

      allocate(vertices(2960)%branchR2(0:0))
      call avR2(2960, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9199])

      allocate(vertices(3540)%branchR2(0:0))
      call avR2(3540, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9205])

      allocate(vertices(3421)%branchR2(0:0))
      call avR2(3421, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8810])

      allocate(vertices(2655)%branchR2(0:0))
      call avR2(2655, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

      allocate(vertices(1217)%branchR2(0:0))
      call avR2(1217, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(653)%branchR2(0:0))
      call avR2(653, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9237])

      allocate(vertices(2253)%branchR2(0:0))
      call avR2(2253, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9133])

      allocate(vertices(1131)%branchR2(0:1))
      call avR2(1131, 0, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_9030, nGC_9028])

      call avR2(1131, 1, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_9043, nGC_9042])

      allocate(vertices(3121)%branchR2(0:0))
      call avR2(3121, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9110])

      allocate(vertices(2635)%branchR2(0:0))
      call avR2(2635, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(2307)%branchR2(0:0))
      call avR2(2307, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(3041)%branchR2(0:0))
      call avR2(3041, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8776])

      allocate(vertices(3459)%branchR2(0:0))
      call avR2(3459, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_8728, nGC_8727,        &
      nGC_8729])

      allocate(vertices(3326)%branchR2(0:0))
      call avR2(3326, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_8715, nGC_8714])

      allocate(vertices(2537)%branchR2(0:0))
      call avR2(2537, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9094])

      allocate(vertices(2031)%branchR2(0:0))
      call avR2(2031, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8838])

      allocate(vertices(2139)%branchR2(0:3))
      call avR2(2139, 0, 27, 1, 0, FVFa0, 0, [1, 2], [nGC_9071, nGC_9070])

      call avR2(2139, 1, 27, 1, 0, FVFa0, 0, [3, 0], [nGC_9064, nGC_9064])

      call avR2(2139, 2, 26, 1, 0, FVFa0, 0, [1, 2], [nGC_9073, nGC_9072])

      call avR2(2139, 3, 26, 1, 0, FVFa0, 0, [3, 0], [nGC_9067, nGC_9067])

      allocate(vertices(1181)%branchR2(0:0))
      call avR2(1181, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(3309)%branchR2(0:0))
      call avR2(3309, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9119])

      allocate(vertices(80)%branchR2(0:0))
      call avR2(80, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

      allocate(vertices(3531)%branchR2(0:0))
      call avR2(3531, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_8754])

      allocate(vertices(2017)%branchR2(0:1))
      call avR2(2017, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8931, nGC_8933])

      call avR2(2017, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8932, nGC_8934])

      allocate(vertices(717)%branchR2(0:0))
      call avR2(717, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

      allocate(vertices(1964)%branchR2(0:0))
      call avR2(1964, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8805])

      allocate(vertices(1988)%branchR2(0:0))
      call avR2(1988, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(2245)%branchR2(0:1))
      call avR2(2245, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8898, nGC_8896])

      call avR2(2245, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8915, nGC_8914])

      allocate(vertices(708)%branchR2(0:0))
      call avR2(708, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(1465)%branchR2(0:0))
      call avR2(1465, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(728)%branchR2(0:0))
      call avR2(728, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9225])

      allocate(vertices(2457)%branchR2(0:0))
      call avR2(2457, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8922])

      allocate(vertices(1815)%branchR2(0:0))
      call avR2(1815, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(3768)%branchR2(0:0))
      call avR2(3768, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9083])

      allocate(vertices(898)%branchR2(0:0))
      call avR2(898, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9100])

      allocate(vertices(3553)%branchR2(0:0))
      call avR2(3553, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8835])

      allocate(vertices(2605)%branchR2(0:0))
      call avR2(2605, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8807])

      allocate(vertices(3186)%branchR2(0:0))
      call avR2(3186, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(564)%branchR2(0:0))
      call avR2(564, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9094])

      allocate(vertices(2616)%branchR2(0:1))
      call avR2(2616, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9019])

      call avR2(2616, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9020])

      allocate(vertices(809)%branchR2(0:0))
      call avR2(809, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_9001, nGC_9000])

      allocate(vertices(2130)%branchR2(0:0))
      call avR2(2130, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(2343)%branchR2(0:0))
      call avR2(2343, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

      allocate(vertices(301)%branchR2(0:0))
      call avR2(301, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9125, nGC_9123,        &
      nGC_9124])

      allocate(vertices(786)%branchR2(0:0))
      call avR2(786, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_9005, nGC_9004])

      allocate(vertices(554)%branchR2(0:0))
      call avR2(554, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(607)%branchR2(0:0))
      call avR2(607, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(633)%branchR2(0:0))
      call avR2(633, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_9001, nGC_9000])

      allocate(vertices(1508)%branchR2(0:0))
      call avR2(1508, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(920)%branchR2(0:0))
      call avR2(920, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8804])

      allocate(vertices(3769)%branchR2(0:1))
      call avR2(3769, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9246])

      call avR2(3769, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9247])

      allocate(vertices(2087)%branchR2(0:0))
      call avR2(2087, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

      allocate(vertices(1785)%branchR2(0:0))
      call avR2(1785, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9132])

      allocate(vertices(1281)%branchR2(0:1))
      call avR2(1281, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8818, nGC_8816])

      call avR2(1281, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8841, nGC_8840])

      allocate(vertices(1373)%branchR2(0:1))
      call avR2(1373, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_9029, nGC_9027])

      call avR2(1373, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_9030, nGC_9028])

      allocate(vertices(482)%branchR2(0:0))
      call avR2(482, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9214])

      allocate(vertices(3770)%branchR2(0:0))
      call avR2(3770, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(1189)%branchR2(0:0))
      call avR2(1189, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9132])

      allocate(vertices(866)%branchR2(0:0))
      call avR2(866, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9220])

      allocate(vertices(675)%branchR2(0:0))
      call avR2(675, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8856])

      allocate(vertices(3245)%branchR2(0:0))
      call avR2(3245, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(515)%branchR2(0:0))
      call avR2(515, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9100])

      allocate(vertices(664)%branchR2(0:1))
      call avR2(664, 0, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_9019])

      call avR2(664, 1, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_9020])

      allocate(vertices(3490)%branchR2(0:0))
      call avR2(3490, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9078])

      allocate(vertices(274)%branchR2(0:0))
      call avR2(274, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(3771)%branchR2(0:0))
      call avR2(3771, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(3295)%branchR2(0:0))
      call avR2(3295, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9109])

      allocate(vertices(2672)%branchR2(0:1))
      call avR2(2672, 0, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_9025, nGC_9023])

      call avR2(2672, 1, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_9026, nGC_9024])

      allocate(vertices(39)%branchR2(0:0))
      call avR2(39, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8958])

      allocate(vertices(3772)%branchR2(0:1))
      call avR2(3772, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9207])

      call avR2(3772, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9208])

      allocate(vertices(1581)%branchR2(0:0))
      call avR2(1581, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9080])

      allocate(vertices(1476)%branchR2(0:0))
      call avR2(1476, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(2671)%branchR2(0:0))
      call avR2(2671, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8893])

      allocate(vertices(1406)%branchR2(0:0))
      call avR2(1406, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9218])

      allocate(vertices(3413)%branchR2(0:0))
      call avR2(3413, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_8717, nGC_8716,        &
      nGC_8718])

      allocate(vertices(2482)%branchR2(0:0))
      call avR2(2482, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(992)%branchR2(0:0))
      call avR2(992, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(578)%branchR2(0:0))
      call avR2(578, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8830])

      allocate(vertices(2272)%branchR2(0:0))
      call avR2(2272, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(1827)%branchR2(0:0))
      call avR2(1827, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9191])

      allocate(vertices(108)%branchR2(0:0))
      call avR2(108, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8942, nGC_8941])

      allocate(vertices(2075)%branchR2(0:0))
      call avR2(2075, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(1414)%branchR2(0:0))
      call avR2(1414, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9117])

      allocate(vertices(887)%branchR2(0:1))
      call avR2(887, 0, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_9019])

      call avR2(887, 1, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_9020])

      allocate(vertices(1904)%branchR2(0:0))
      call avR2(1904, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(3137)%branchR2(0:0))
      call avR2(3137, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_8754])

      allocate(vertices(1592)%branchR2(0:0))
      call avR2(1592, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9033, nGC_9034])

      allocate(vertices(1585)%branchR2(0:0))
      call avR2(1585, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(295)%branchR2(0:0))
      call avR2(295, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9129])

      allocate(vertices(2213)%branchR2(0:1))
      call avR2(2213, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8985, nGC_8986])

      call avR2(2213, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8987, nGC_8987])

      allocate(vertices(2949)%branchR2(0:0))
      call avR2(2949, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9108])

      allocate(vertices(1220)%branchR2(0:0))
      call avR2(1220, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8952, nGC_8951])

      allocate(vertices(1113)%branchR2(0:0))
      call avR2(1113, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9094])

      allocate(vertices(507)%branchR2(0:0))
      call avR2(507, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(2625)%branchR2(0:0))
      call avR2(2625, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9219])

      allocate(vertices(947)%branchR2(0:0))
      call avR2(947, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9200])

      allocate(vertices(3317)%branchR2(0:0))
      call avR2(3317, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9108])

      allocate(vertices(1737)%branchR2(0:0))
      call avR2(1737, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(1456)%branchR2(0:0))
      call avR2(1456, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_9036, nGC_9037])

      allocate(vertices(2003)%branchR2(0:0))
      call avR2(2003, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9099])

      allocate(vertices(1649)%branchR2(0:0))
      call avR2(1649, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(3526)%branchR2(0:0))
      call avR2(3526, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9119])

      allocate(vertices(150)%branchR2(0:0))
      call avR2(150, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8924])

      allocate(vertices(2832)%branchR2(0:0))
      call avR2(2832, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9160])

      allocate(vertices(1383)%branchR2(0:0))
      call avR2(1383, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(937)%branchR2(0:0))
      call avR2(937, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9213])

      allocate(vertices(3127)%branchR2(0:0))
      call avR2(3127, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9159])

      allocate(vertices(2081)%branchR2(0:0))
      call avR2(2081, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(2157)%branchR2(0:0))
      call avR2(2157, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

      allocate(vertices(2208)%branchR2(0:0))
      call avR2(2208, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9035])

      allocate(vertices(488)%branchR2(0:0))
      call avR2(488, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9113])

      allocate(vertices(941)%branchR2(0:0))
      call avR2(941, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8921])

      allocate(vertices(2612)%branchR2(0:0))
      call avR2(2612, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(1783)%branchR2(0:0))
      call avR2(1783, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8833])

      allocate(vertices(246)%branchR2(0:0))
      call avR2(246, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9126])

      allocate(vertices(2468)%branchR2(0:0))
      call avR2(2468, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8806])

      allocate(vertices(1299)%branchR2(0:0))
      call avR2(1299, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9187])

      allocate(vertices(2867)%branchR2(0:0))
      call avR2(2867, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9160])

      allocate(vertices(1096)%branchR2(0:0))
      call avR2(1096, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8772])

      allocate(vertices(761)%branchR2(0:0))
      call avR2(761, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(2866)%branchR2(0:0))
      call avR2(2866, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(632)%branchR2(0:1))
      call avR2(632, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_8784, nGC_8784])

      call avR2(632, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_8797, nGC_8796])

      allocate(vertices(419)%branchR2(0:0))
      call avR2(419, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(1941)%branchR2(0:0))
      call avR2(1941, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(1922)%branchR2(0:0))
      call avR2(1922, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(3355)%branchR2(0:0))
      call avR2(3355, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_8791])

      allocate(vertices(1168)%branchR2(0:0))
      call avR2(1168, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8830])

      allocate(vertices(1051)%branchR2(0:0))
      call avR2(1051, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9118])

      allocate(vertices(3773)%branchR2(0:0))
      call avR2(3773, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(2653)%branchR2(0:0))
      call avR2(2653, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(439)%branchR2(0:0))
      call avR2(439, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(1364)%branchR2(0:0))
      call avR2(1364, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9123, nGC_9124,       &
      nGC_9125])

      allocate(vertices(3774)%branchR2(0:1))
      call avR2(3774, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9130, nGC_9130,      &
      nGC_9130])

      call avR2(3774, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9131, nGC_9131,      &
      nGC_9131])

      allocate(vertices(2174)%branchR2(0:0))
      call avR2(2174, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(1727)%branchR2(0:0))
      call avR2(1727, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9218])

      allocate(vertices(1004)%branchR2(0:0))
      call avR2(1004, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(1081)%branchR2(0:0))
      call avR2(1081, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8828])

      allocate(vertices(3775)%branchR2(0:0))
      call avR2(3775, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9188])

      allocate(vertices(333)%branchR2(0:1))
      call avR2(333, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8826, nGC_8824])

      call avR2(333, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8845, nGC_8844])

      allocate(vertices(3481)%branchR2(0:0))
      call avR2(3481, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9238])

      allocate(vertices(1228)%branchR2(0:3))
      call avR2(1228, 0, 24, 1, 0, FaVF0, 0, [1, 2], [nGC_9077, nGC_9076])

      call avR2(1228, 1, 24, 1, 0, FaVF0, 0, [3, 0], [nGC_9067, nGC_9067])

      call avR2(1228, 2, 25, 1, 0, FaVF0, 0, [1, 2], [nGC_9075, nGC_9074])

      call avR2(1228, 3, 25, 1, 0, FaVF0, 0, [3, 0], [nGC_9064, nGC_9064])

      allocate(vertices(2078)%branchR2(0:1))
      call avR2(2078, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8878, nGC_8880])

      call avR2(2078, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8879, nGC_8881])

      allocate(vertices(2314)%branchR2(0:0))
      call avR2(2314, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_32531])

      allocate(vertices(2120)%branchR2(0:0))
      call avR2(2120, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(3436)%branchR2(0:0))
      call avR2(3436, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9096])

      allocate(vertices(1814)%branchR2(0:0))
      call avR2(1814, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_8787, nGC_8788])

      allocate(vertices(3124)%branchR2(0:0))
      call avR2(3124, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9181])

      allocate(vertices(1603)%branchR2(0:0))
      call avR2(1603, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9220])

      allocate(vertices(339)%branchR2(0:0))
      call avR2(339, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(1198)%branchR2(0:0))
      call avR2(1198, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9228])

      allocate(vertices(892)%branchR2(0:0))
      call avR2(892, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8772])

      allocate(vertices(835)%branchR2(0:0))
      call avR2(835, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9021])

      allocate(vertices(311)%branchR2(0:0))
      call avR2(311, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9116])

      allocate(vertices(2105)%branchR2(0:0))
      call avR2(2105, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9219])

      allocate(vertices(2133)%branchR2(0:1))
      call avR2(2133, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_8784, nGC_8784])

      call avR2(2133, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_8783, nGC_8782])

      allocate(vertices(2761)%branchR2(0:0))
      call avR2(2761, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8852])

      allocate(vertices(2091)%branchR2(0:0))
      call avR2(2091, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9039])

      allocate(vertices(2562)%branchR2(0:0))
      call avR2(2562, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(334)%branchR2(0:0))
      call avR2(334, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(283)%branchR2(0:0))
      call avR2(283, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8814])

      allocate(vertices(3460)%branchR2(0:0))
      call avR2(3460, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9119])

      allocate(vertices(1708)%branchR2(0:1))
      call avR2(1708, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_8797, nGC_8796])

      call avR2(1708, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_8784, nGC_8784])

      allocate(vertices(1253)%branchR2(0:1))
      call avR2(1253, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8994, nGC_8995])

      call avR2(1253, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8996, nGC_8996])

      allocate(vertices(2118)%branchR2(0:0))
      call avR2(2118, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9245])

      allocate(vertices(299)%branchR2(0:0))
      call avR2(299, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(3587)%branchR2(0:0))
      call avR2(3587, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(3008)%branchR2(0:0))
      call avR2(3008, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9181])

      allocate(vertices(2052)%branchR2(0:0))
      call avR2(2052, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

      allocate(vertices(3350)%branchR2(0:0))
      call avR2(3350, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9096])

      allocate(vertices(3368)%branchR2(0:0))
      call avR2(3368, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9235])

      allocate(vertices(2235)%branchR2(0:0))
      call avR2(2235, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9171])

      allocate(vertices(3141)%branchR2(0:0))
      call avR2(3141, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30064])

      allocate(vertices(2353)%branchR2(0:0))
      call avR2(2353, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9225])

      allocate(vertices(1957)%branchR2(0:0))
      call avR2(1957, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(3776)%branchR2(0:1))
      call avR2(3776, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9246])

      call avR2(3776, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9247])

      allocate(vertices(1019)%branchR2(0:0))
      call avR2(1019, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9117])

      allocate(vertices(1638)%branchR2(0:0))
      call avR2(1638, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(1998)%branchR2(0:0))
      call avR2(1998, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30058])

      allocate(vertices(1965)%branchR2(0:0))
      call avR2(1965, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9094])

      allocate(vertices(20)%branchR2(0:0))
      call avR2(20, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(1478)%branchR2(0:0))
      call avR2(1478, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8910])

      allocate(vertices(2811)%branchR2(0:0))
      call avR2(2811, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9120])

      allocate(vertices(1875)%branchR2(0:0))
      call avR2(1875, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9133])

      allocate(vertices(1841)%branchR2(0:0))
      call avR2(1841, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8814])

      allocate(vertices(3497)%branchR2(0:0))
      call avR2(3497, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9180])

      allocate(vertices(1319)%branchR2(0:0))
      call avR2(1319, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(813)%branchR2(0:0))
      call avR2(813, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9113])

      allocate(vertices(1781)%branchR2(0:0))
      call avR2(1781, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9118])

      allocate(vertices(1003)%branchR2(0:0))
      call avR2(1003, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(266)%branchR2(0:0))
      call avR2(266, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9219])

      allocate(vertices(1109)%branchR2(0:0))
      call avR2(1109, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

      allocate(vertices(1160)%branchR2(0:0))
      call avR2(1160, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8848])

      allocate(vertices(860)%branchR2(0:0))
      call avR2(860, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9126])

      allocate(vertices(1440)%branchR2(0:0))
      call avR2(1440, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8778])

      allocate(vertices(2609)%branchR2(0:0))
      call avR2(2609, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(129)%branchR2(0:0))
      call avR2(129, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(2629)%branchR2(0:0))
      call avR2(2629, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(406)%branchR2(0:0))
      call avR2(406, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9251, nGC_9251,        &
      nGC_9250])

      allocate(vertices(610)%branchR2(0:0))
      call avR2(610, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(2544)%branchR2(0:0))
      call avR2(2544, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9171])

      allocate(vertices(3777)%branchR2(0:1))
      call avR2(3777, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9162])

      call avR2(3777, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9161])

      allocate(vertices(1057)%branchR2(0:1))
      call avR2(1057, 0, 17, 1, 0, FaVF1, 0, [0, 3], [nGC_9018])

      call avR2(1057, 1, 17, 1, 0, FaVF1, 0, [2, 1], [nGC_9019])

      allocate(vertices(3220)%branchR2(0:0))
      call avR2(3220, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(1726)%branchR2(0:0))
      call avR2(1726, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9081])

      allocate(vertices(1881)%branchR2(0:0))
      call avR2(1881, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9253, nGC_9254,       &
      nGC_9252])

      allocate(vertices(2171)%branchR2(0:0))
      call avR2(2171, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9017])

      allocate(vertices(3778)%branchR2(0:1))
      call avR2(3778, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9130, nGC_9130,      &
      nGC_9130])

      call avR2(3778, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9131, nGC_9131,      &
      nGC_9131])

      allocate(vertices(1282)%branchR2(0:0))
      call avR2(1282, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(3779)%branchR2(0:1))
      call avR2(3779, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9256, nGC_9256,      &
      nGC_9256])

      call avR2(3779, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9257, nGC_9257,      &
      nGC_9257])

      allocate(vertices(1996)%branchR2(0:0))
      call avR2(1996, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(784)%branchR2(0:0))
      call avR2(784, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8802])

      allocate(vertices(3477)%branchR2(0:0))
      call avR2(3477, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9163])

      allocate(vertices(2159)%branchR2(0:0))
      call avR2(2159, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8764])

      allocate(vertices(1503)%branchR2(0:0))
      call avR2(1503, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8854])

      allocate(vertices(3780)%branchR2(0:0))
      call avR2(3780, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9083])

      allocate(vertices(2767)%branchR2(0:0))
      call avR2(2767, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9108])

      allocate(vertices(2181)%branchR2(0:0))
      call avR2(2181, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(1961)%branchR2(0:1))
      call avR2(1961, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_8795, nGC_8794])

      call avR2(1961, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_8781, nGC_8781])

      allocate(vertices(3456)%branchR2(0:0))
      call avR2(3456, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_8724, nGC_8723])

      allocate(vertices(3093)%branchR2(0:0))
      call avR2(3093, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9109])

      allocate(vertices(1756)%branchR2(0:0))
      call avR2(1756, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(211)%branchR2(0:1))
      call avR2(211, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8862, nGC_8864])

      call avR2(211, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8863, nGC_8865])

      allocate(vertices(994)%branchR2(0:0))
      call avR2(994, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9124, nGC_9125,        &
      nGC_9123])

      allocate(vertices(2205)%branchR2(0:1))
      call avR2(2205, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8997, nGC_8998])

      call avR2(2205, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8999, nGC_8999])

      allocate(vertices(935)%branchR2(0:0))
      call avR2(935, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(2351)%branchR2(0:0))
      call avR2(2351, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8807])

      allocate(vertices(409)%branchR2(0:0))
      call avR2(409, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8838])

      allocate(vertices(1776)%branchR2(0:0))
      call avR2(1776, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(2802)%branchR2(0:0))
      call avR2(2802, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(2997)%branchR2(0:0))
      call avR2(2997, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(1402)%branchR2(0:0))
      call avR2(1402, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8830])

      allocate(vertices(977)%branchR2(0:0))
      call avR2(977, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(3155)%branchR2(0:0))
      call avR2(3155, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9235])

      allocate(vertices(2396)%branchR2(0:0))
      call avR2(2396, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9191])

      allocate(vertices(828)%branchR2(0:0))
      call avR2(828, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9143])

      allocate(vertices(2636)%branchR2(0:1))
      call avR2(2636, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8935, nGC_8937])

      call avR2(2636, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8936, nGC_8938])

      allocate(vertices(1653)%branchR2(0:0))
      call avR2(1653, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(138)%branchR2(0:0))
      call avR2(138, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9218])

      allocate(vertices(859)%branchR2(0:0))
      call avR2(859, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_9013, nGC_9012])

      allocate(vertices(2056)%branchR2(0:0))
      call avR2(2056, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8855])

      allocate(vertices(3111)%branchR2(0:0))
      call avR2(3111, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9235])

      allocate(vertices(3781)%branchR2(0:1))
      call avR2(3781, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9146])

      call avR2(3781, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9145])

      allocate(vertices(2149)%branchR2(0:0))
      call avR2(2149, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9222])

      allocate(vertices(2854)%branchR2(0:0))
      call avR2(2854, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9235])

      allocate(vertices(1723)%branchR2(0:0))
      call avR2(1723, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(677)%branchR2(0:0))
      call avR2(677, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8813])

      allocate(vertices(2140)%branchR2(0:0))
      call avR2(2140, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(3782)%branchR2(0:1))
      call avR2(3782, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9208])

      call avR2(3782, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9207])

      allocate(vertices(1050)%branchR2(0:1))
      call avR2(1050, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8947, nGC_8949])

      call avR2(1050, 1, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8948, nGC_8950])

      allocate(vertices(568)%branchR2(0:1))
      call avR2(568, 0, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_9019])

      call avR2(568, 1, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_9020])

      allocate(vertices(47)%branchR2(0:0))
      call avR2(47, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8847])

      allocate(vertices(199)%branchR2(0:0))
      call avR2(199, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(700)%branchR2(0:0))
      call avR2(700, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9151])

      allocate(vertices(639)%branchR2(0:0))
      call avR2(639, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(771)%branchR2(0:0))
      call avR2(771, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8940, nGC_8939])

      allocate(vertices(2674)%branchR2(0:0))
      call avR2(2674, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(2702)%branchR2(0:0))
      call avR2(2702, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_31530])

      allocate(vertices(1700)%branchR2(0:0))
      call avR2(1700, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9116])

      allocate(vertices(2692)%branchR2(0:0))
      call avR2(2692, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8909])

      allocate(vertices(446)%branchR2(0:0))
      call avR2(446, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(3783)%branchR2(0:1))
      call avR2(3783, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9257, nGC_9257,      &
      nGC_9257])

      call avR2(3783, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9256, nGC_9256,      &
      nGC_9256])

      allocate(vertices(3483)%branchR2(0:0))
      call avR2(3483, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9119])

      allocate(vertices(614)%branchR2(0:1))
      call avR2(614, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8997, nGC_8998])

      call avR2(614, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8999, nGC_8999])

      allocate(vertices(1389)%branchR2(0:0))
      call avR2(1389, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(583)%branchR2(0:0))
      call avR2(583, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(2335)%branchR2(0:0))
      call avR2(2335, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(1680)%branchR2(0:0))
      call avR2(1680, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9039])

      allocate(vertices(410)%branchR2(0:0))
      call avR2(410, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(217)%branchR2(0:0))
      call avR2(217, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(511)%branchR2(0:0))
      call avR2(511, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(1401)%branchR2(0:0))
      call avR2(1401, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9117])

      allocate(vertices(3784)%branchR2(0:0))
      call avR2(3784, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9083])

      allocate(vertices(476)%branchR2(0:1))
      call avR2(476, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_8795, nGC_8794])

      call avR2(476, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_8781, nGC_8781])

      allocate(vertices(2237)%branchR2(0:0))
      call avR2(2237, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(3065)%branchR2(0:0))
      call avR2(3065, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9238])

      allocate(vertices(2553)%branchR2(0:0))
      call avR2(2553, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(2580)%branchR2(0:0))
      call avR2(2580, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9022])

      allocate(vertices(2900)%branchR2(0:0))
      call avR2(2900, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9096])

      allocate(vertices(336)%branchR2(0:1))
      call avR2(336, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8862, nGC_8864])

      call avR2(336, 1, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8863, nGC_8865])

      allocate(vertices(542)%branchR2(0:0))
      call avR2(542, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9251, nGC_9250,        &
      nGC_9251])

      allocate(vertices(284)%branchR2(0:0))
      call avR2(284, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9118])

      allocate(vertices(186)%branchR2(0:0))
      call avR2(186, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(2614)%branchR2(0:0))
      call avR2(2614, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_31569])

      allocate(vertices(2962)%branchR2(0:0))
      call avR2(2962, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(839)%branchR2(0:0))
      call avR2(839, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8828])

      allocate(vertices(75)%branchR2(0:0))
      call avR2(75, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(3152)%branchR2(0:0))
      call avR2(3152, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9108])

      allocate(vertices(876)%branchR2(0:0))
      call avR2(876, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9220])

      allocate(vertices(2410)%branchR2(0:0))
      call avR2(2410, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

      allocate(vertices(3785)%branchR2(0:1))
      call avR2(3785, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9207])

      call avR2(3785, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9208])

      allocate(vertices(3171)%branchR2(0:0))
      call avR2(3171, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9204])

      allocate(vertices(2288)%branchR2(0:0))
      call avR2(2288, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(837)%branchR2(0:0))
      call avR2(837, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9227])

      allocate(vertices(178)%branchR2(0:0))
      call avR2(178, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_9036, nGC_9037])

      allocate(vertices(3156)%branchR2(0:0))
      call avR2(3156, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9163])

      allocate(vertices(3514)%branchR2(0:0))
      call avR2(3514, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8770])

      allocate(vertices(2341)%branchR2(0:0))
      call avR2(2341, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_8787, nGC_8788])

      allocate(vertices(149)%branchR2(0:0))
      call avR2(149, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(993)%branchR2(0:0))
      call avR2(993, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9253, nGC_9252,        &
      nGC_9254])

      allocate(vertices(1110)%branchR2(0:0))
      call avR2(1110, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8972, nGC_8971])

      allocate(vertices(3308)%branchR2(0:0))
      call avR2(3308, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9159])

      allocate(vertices(498)%branchR2(0:0))
      call avR2(498, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(1887)%branchR2(0:0))
      call avR2(1887, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8952, nGC_8951])

      allocate(vertices(3197)%branchR2(0:0))
      call avR2(3197, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9199])

      allocate(vertices(3250)%branchR2(0:0))
      call avR2(3250, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9108])

      allocate(vertices(309)%branchR2(0:0))
      call avR2(309, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(2155)%branchR2(0:0))
      call avR2(2155, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(365)%branchR2(0:1))
      call avR2(365, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_9014, nGC_9015])

      call avR2(365, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_9016, nGC_9016])

      allocate(vertices(2491)%branchR2(0:0))
      call avR2(2491, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9133])

      allocate(vertices(1334)%branchR2(0:0))
      call avR2(1334, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8848])

      allocate(vertices(3786)%branchR2(0:0))
      call avR2(3786, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9088])

      allocate(vertices(1386)%branchR2(0:0))
      call avR2(1386, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9225])

      allocate(vertices(1865)%branchR2(0:0))
      call avR2(1865, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_30606])

      allocate(vertices(2176)%branchR2(0:0))
      call avR2(2176, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(1366)%branchR2(0:0))
      call avR2(1366, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(1496)%branchR2(0:0))
      call avR2(1496, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(825)%branchR2(0:1))
      call avR2(825, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8878, nGC_8880])

      call avR2(825, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8879, nGC_8881])

      allocate(vertices(2697)%branchR2(0:0))
      call avR2(2697, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9021])

      allocate(vertices(1314)%branchR2(0:0))
      call avR2(1314, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(742)%branchR2(0:0))
      call avR2(742, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8773])

      allocate(vertices(3787)%branchR2(0:0))
      call avR2(3787, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8769])

      allocate(vertices(3788)%branchR2(0:0))
      call avR2(3788, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9097, nGC_9098,       &
      nGC_9098])

      allocate(vertices(2824)%branchR2(0:0))
      call avR2(2824, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_8744, nGC_8745,       &
      nGC_8753, nGC_8753])

      allocate(vertices(2177)%branchR2(0:0))
      call avR2(2177, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9225])

      allocate(vertices(255)%branchR2(0:0))
      call avR2(255, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8830])

      allocate(vertices(1241)%branchR2(0:0))
      call avR2(1241, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9100])

      allocate(vertices(2540)%branchR2(0:0))
      call avR2(2540, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9080])

      allocate(vertices(1971)%branchR2(0:1))
      call avR2(1971, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8898, nGC_8896])

      call avR2(1971, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8915, nGC_8914])

      allocate(vertices(2888)%branchR2(0:0))
      call avR2(2888, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29997])

      allocate(vertices(188)%branchR2(0:0))
      call avR2(188, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(103)%branchR2(0:0))
      call avR2(103, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8972, nGC_8971])

      allocate(vertices(2388)%branchR2(0:0))
      call avR2(2388, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9081])

      allocate(vertices(1384)%branchR2(0:0))
      call avR2(1384, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(1761)%branchR2(0:1))
      call avR2(1761, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8901, nGC_8899])

      call avR2(1761, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8902, nGC_8900])

      allocate(vertices(1921)%branchR2(0:0))
      call avR2(1921, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(3517)%branchR2(0:0))
      call avR2(3517, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9196])

      allocate(vertices(1730)%branchR2(0:0))
      call avR2(1730, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8989])

      allocate(vertices(1156)%branchR2(0:0))
      call avR2(1156, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8829])

      allocate(vertices(2264)%branchR2(0:0))
      call avR2(2264, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(2168)%branchR2(0:0))
      call avR2(2168, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8912])

      allocate(vertices(822)%branchR2(0:0))
      call avR2(822, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9220])

      allocate(vertices(1222)%branchR2(0:1))
      call avR2(1222, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8999, nGC_8999])

      call avR2(1222, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8997, nGC_8998])

      allocate(vertices(863)%branchR2(0:0))
      call avR2(863, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(2079)%branchR2(0:0))
      call avR2(2079, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8848])

      allocate(vertices(3789)%branchR2(0:1))
      call avR2(3789, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9145])

      call avR2(3789, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9146])

      allocate(vertices(2849)%branchR2(0:0))
      call avR2(2849, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9180])

      allocate(vertices(185)%branchR2(0:0))
      call avR2(185, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8960])

      allocate(vertices(1660)%branchR2(0:0))
      call avR2(1660, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9100])

      allocate(vertices(2328)%branchR2(0:0))
      call avR2(2328, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9169])

    end subroutine fill_vertices_mdl11
end module vertices_info11
