!******************************************************************************!
!                                                                              !
!    vertices_info13.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info13.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info13
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl13()
      allocate(vertices(1120)%branchR2(0:0))
      call avR2(1120, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8848])

      allocate(vertices(120)%branchR2(0:0))
      call avR2(120, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(1939)%branchR2(0:1))
      call avR2(1939, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8900, nGC_8902])

      call avR2(1939, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8916, nGC_8917])

      allocate(vertices(1610)%branchR2(0:0))
      call avR2(1610, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(286)%branchR2(0:0))
      call avR2(286, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8854])

      allocate(vertices(1777)%branchR2(0:0))
      call avR2(1777, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9081])

      allocate(vertices(1006)%branchR2(0:0))
      call avR2(1006, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_31569])

      allocate(vertices(1790)%branchR2(0:0))
      call avR2(1790, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_8787, nGC_8788])

      allocate(vertices(2452)%branchR2(0:0))
      call avR2(2452, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(772)%branchR2(0:0))
      call avR2(772, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29407])

      allocate(vertices(655)%branchR2(0:0))
      call avR2(655, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9222])

      allocate(vertices(2797)%branchR2(0:0))
      call avR2(2797, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(1579)%branchR2(0:1))
      call avR2(1579, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_9018])

      call avR2(1579, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_9019])

      allocate(vertices(2944)%branchR2(0:0))
      call avR2(2944, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9160])

      allocate(vertices(450)%branchR2(0:0))
      call avR2(450, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9213])

      allocate(vertices(356)%branchR2(0:0))
      call avR2(356, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(160)%branchR2(0:0))
      call avR2(160, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9227])

      allocate(vertices(3568)%branchR2(0:0))
      call avR2(3568, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_8708, nGC_8707])

      allocate(vertices(1382)%branchR2(0:1))
      call avR2(1382, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8982, nGC_8982])

      call avR2(1382, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8980, nGC_8981])

      allocate(vertices(3863)%branchR2(0:1))
      call avR2(3863, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9239])

      call avR2(3863, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9240])

      allocate(vertices(1145)%branchR2(0:0))
      call avR2(1145, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9132])

      allocate(vertices(1250)%branchR2(0:0))
      call avR2(1250, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(3864)%branchR2(0:0))
      call avR2(3864, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(3071)%branchR2(0:0))
      call avR2(3071, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(529)%branchR2(0:0))
      call avR2(529, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8873, nGC_8872])

      allocate(vertices(1911)%branchR2(0:0))
      call avR2(1911, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(64)%branchR2(0:0))
      call avR2(64, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(3865)%branchR2(0:0))
      call avR2(3865, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9082])

      allocate(vertices(2064)%branchR2(0:0))
      call avR2(2064, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9117])

      allocate(vertices(687)%branchR2(0:0))
      call avR2(687, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(179)%branchR2(0:0))
      call avR2(179, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9193])

      allocate(vertices(1457)%branchR2(0:0))
      call avR2(1457, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8809])

      allocate(vertices(3536)%branchR2(0:0))
      call avR2(3536, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9079])

      allocate(vertices(797)%branchR2(0:0))
      call avR2(797, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_9013, nGC_9012])

      allocate(vertices(2919)%branchR2(0:0))
      call avR2(2919, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(2275)%branchR2(0:0))
      call avR2(2275, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(2920)%branchR2(0:0))
      call avR2(2920, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_8791])

      allocate(vertices(2696)%branchR2(0:0))
      call avR2(2696, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9118])

      allocate(vertices(1899)%branchR2(0:0))
      call avR2(1899, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(2606)%branchR2(0:1))
      call avR2(2606, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_8783, nGC_8782])

      call avR2(2606, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_8784, nGC_8784])

      allocate(vertices(413)%branchR2(0:0))
      call avR2(413, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9194])

      allocate(vertices(3866)%branchR2(0:0))
      call avR2(3866, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(1576)%branchR2(0:0))
      call avR2(1576, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(42)%branchR2(0:0))
      call avR2(42, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8851])

      allocate(vertices(1514)%branchR2(0:0))
      call avR2(1514, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(647)%branchR2(0:0))
      call avR2(647, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(570)%branchR2(0:0))
      call avR2(570, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(250)%branchR2(0:0))
      call avR2(250, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9244])

      allocate(vertices(3867)%branchR2(0:1))
      call avR2(3867, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9230])

      call avR2(3867, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9229])

      allocate(vertices(3868)%branchR2(0:0))
      call avR2(3868, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9092])

      allocate(vertices(2290)%branchR2(0:0))
      call avR2(2290, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9245])

      allocate(vertices(3432)%branchR2(0:0))
      call avR2(3432, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9160])

      allocate(vertices(1594)%branchR2(0:0))
      call avR2(1594, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9144])

      allocate(vertices(1824)%branchR2(0:0))
      call avR2(1824, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8807])

      allocate(vertices(2240)%branchR2(0:0))
      call avR2(2240, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(637)%branchR2(0:1))
      call avR2(637, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8874, nGC_8876])

      call avR2(637, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8875, nGC_8877])

      allocate(vertices(982)%branchR2(0:0))
      call avR2(982, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9099])

      allocate(vertices(2780)%branchR2(0:0))
      call avR2(2780, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9108])

      allocate(vertices(1417)%branchR2(0:0))
      call avR2(1417, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(1467)%branchR2(0:0))
      call avR2(1467, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9100])

      allocate(vertices(3424)%branchR2(0:0))
      call avR2(3424, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(660)%branchR2(0:1))
      call avR2(660, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8900, nGC_8902])

      call avR2(660, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8916, nGC_8917])

      allocate(vertices(3869)%branchR2(0:0))
      call avR2(3869, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(1892)%branchR2(0:0))
      call avR2(1892, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(3358)%branchR2(0:0))
      call avR2(3358, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(3870)%branchR2(0:1))
      call avR2(3870, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9207])

      call avR2(3870, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9208])

      allocate(vertices(1309)%branchR2(0:0))
      call avR2(1309, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9151])

      allocate(vertices(195)%branchR2(0:0))
      call avR2(195, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(496)%branchR2(0:1))
      call avR2(496, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8866, nGC_8868])

      call avR2(496, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8867, nGC_8869])

      allocate(vertices(1069)%branchR2(0:0))
      call avR2(1069, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9151])

      allocate(vertices(1487)%branchR2(0:0))
      call avR2(1487, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8764])

      allocate(vertices(15)%branchR2(0:0))
      call avR2(15, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9123, nGC_9125, nGC_9124&
      ])

      allocate(vertices(2848)%branchR2(0:0))
      call avR2(2848, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9199])

      allocate(vertices(836)%branchR2(0:0))
      call avR2(836, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9171])

      allocate(vertices(3871)%branchR2(0:1))
      call avR2(3871, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9161])

      call avR2(3871, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9162])

      allocate(vertices(942)%branchR2(0:0))
      call avR2(942, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9093])

      allocate(vertices(2585)%branchR2(0:0))
      call avR2(2585, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

      allocate(vertices(377)%branchR2(0:0))
      call avR2(377, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8855])

      allocate(vertices(3872)%branchR2(0:1))
      call avR2(3872, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9248, nGC_9248,      &
      nGC_9248])

      call avR2(3872, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9249, nGC_9249,      &
      nGC_9249])

      allocate(vertices(1842)%branchR2(0:0))
      call avR2(1842, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9151])

      allocate(vertices(497)%branchR2(0:0))
      call avR2(497, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(392)%branchR2(0:0))
      call avR2(392, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9093])

      allocate(vertices(3586)%branchR2(0:0))
      call avR2(3586, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9119])

      allocate(vertices(2415)%branchR2(0:0))
      call avR2(2415, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(2005)%branchR2(0:0))
      call avR2(2005, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9244])

      allocate(vertices(2627)%branchR2(0:3))
      call avR2(2627, 0, 27, 1, 0, FVFa0, 0, [1, 2], [nGC_9063, nGC_9062])

      call avR2(2627, 1, 27, 1, 0, FVFa0, 0, [3, 0], [nGC_9064, nGC_9064])

      call avR2(2627, 2, 26, 1, 0, FVFa0, 0, [1, 2], [nGC_9066, nGC_9065])

      call avR2(2627, 3, 26, 1, 0, FVFa0, 0, [3, 0], [nGC_9067, nGC_9067])

      allocate(vertices(1874)%branchR2(0:0))
      call avR2(1874, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9213])

      allocate(vertices(3002)%branchR2(0:0))
      call avR2(3002, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9110])

      allocate(vertices(699)%branchR2(0:0))
      call avR2(699, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9191])

      allocate(vertices(2649)%branchR2(0:0))
      call avR2(2649, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30346])

      allocate(vertices(3873)%branchR2(0:0))
      call avR2(3873, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9083])

      allocate(vertices(673)%branchR2(0:0))
      call avR2(673, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9192])

      allocate(vertices(192)%branchR2(0:0))
      call avR2(192, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(1391)%branchR2(0:1))
      call avR2(1391, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8999, nGC_8999])

      call avR2(1391, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8997, nGC_8998])

      allocate(vertices(2715)%branchR2(0:0))
      call avR2(2715, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30582])

      allocate(vertices(3874)%branchR2(0:1))
      call avR2(3874, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9146])

      call avR2(3874, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9145])

      allocate(vertices(430)%branchR2(0:0))
      call avR2(430, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9022])

      allocate(vertices(1097)%branchR2(0:0))
      call avR2(1097, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(141)%branchR2(0:1))
      call avR2(141, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9006, nGC_9007])

      call avR2(141, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9008, nGC_9008])

      allocate(vertices(1264)%branchR2(0:0))
      call avR2(1264, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9183])

      allocate(vertices(1618)%branchR2(0:0))
      call avR2(1618, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9213])

      allocate(vertices(804)%branchR2(0:0))
      call avR2(804, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

      allocate(vertices(2291)%branchR2(0:1))
      call avR2(2291, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_9016, nGC_9016])

      call avR2(2291, 1, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_9014, nGC_9015])

      allocate(vertices(2447)%branchR2(0:0))
      call avR2(2447, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9080])

      allocate(vertices(1905)%branchR2(0:1))
      call avR2(1905, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8935, nGC_8937])

      call avR2(1905, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8936, nGC_8938])

      allocate(vertices(3875)%branchR2(0:1))
      call avR2(3875, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9243])

      call avR2(3875, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9242])

      allocate(vertices(690)%branchR2(0:0))
      call avR2(690, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9151])

      allocate(vertices(2146)%branchR2(0:1))
      call avR2(2146, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8818, nGC_8816])

      call avR2(2146, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8841, nGC_8840])

      allocate(vertices(3395)%branchR2(0:0))
      call avR2(3395, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9180])

      allocate(vertices(483)%branchR2(0:0))
      call avR2(483, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(1400)%branchR2(0:1))
      call avR2(1400, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8962, nGC_8963])

      call avR2(1400, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8964, nGC_8964])

      allocate(vertices(2262)%branchR2(0:1))
      call avR2(2262, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8862, nGC_8864])

      call avR2(2262, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8863, nGC_8865])

      allocate(vertices(2041)%branchR2(0:0))
      call avR2(2041, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9125, nGC_9123,       &
      nGC_9124])

      allocate(vertices(1183)%branchR2(0:0))
      call avR2(1183, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9183])

      allocate(vertices(3392)%branchR2(0:0))
      call avR2(3392, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9120])

      allocate(vertices(1453)%branchR2(0:3))
      call avR2(1453, 0, 27, 1, 0, FVFa0, 0, [1, 2], [nGC_9075, nGC_9074])

      call avR2(1453, 1, 27, 1, 0, FVFa0, 0, [3, 0], [nGC_9064, nGC_9064])

      call avR2(1453, 2, 26, 1, 0, FVFa0, 0, [1, 2], [nGC_9077, nGC_9076])

      call avR2(1453, 3, 26, 1, 0, FVFa0, 0, [3, 0], [nGC_9067, nGC_9067])

      allocate(vertices(1483)%branchR2(0:0))
      call avR2(1483, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9171])

      allocate(vertices(2340)%branchR2(0:0))
      call avR2(2340, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9213])

      allocate(vertices(3504)%branchR2(0:0))
      call avR2(3504, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9205])

      allocate(vertices(1901)%branchR2(0:0))
      call avR2(1901, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(1854)%branchR2(0:1))
      call avR2(1854, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8947, nGC_8949])

      call avR2(1854, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8948, nGC_8950])

      allocate(vertices(3876)%branchR2(0:1))
      call avR2(3876, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9145])

      call avR2(3876, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9146])

      allocate(vertices(265)%branchR2(0:0))
      call avR2(265, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_32531])

      allocate(vertices(3877)%branchR2(0:0))
      call avR2(3877, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9098, nGC_9097,       &
      nGC_9098])

      allocate(vertices(2065)%branchR2(0:0))
      call avR2(2065, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9118])

      allocate(vertices(1095)%branchR2(0:0))
      call avR2(1095, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(2872)%branchR2(0:0))
      call avR2(2872, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9199])

      allocate(vertices(2053)%branchR2(0:0))
      call avR2(2053, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9244])

      allocate(vertices(208)%branchR2(0:0))
      call avR2(208, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9114])

      allocate(vertices(3878)%branchR2(0:0))
      call avR2(3878, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(739)%branchR2(0:0))
      call avR2(739, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(1506)%branchR2(0:0))
      call avR2(1506, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9143])

      allocate(vertices(2101)%branchR2(0:0))
      call avR2(2101, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8766])

      allocate(vertices(3879)%branchR2(0:0))
      call avR2(3879, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(1024)%branchR2(0:1))
      call avR2(1024, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9030, nGC_9028])

      call avR2(1024, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9047, nGC_9046])

    end subroutine fill_vertices_mdl13
end module vertices_info13
