!******************************************************************************!
!                                                                              !
!    vertices_info4.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info4.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info4
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl4()
      allocate(vertices(2400)%branch(0:0))
      call av(2400, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_37])

      allocate(vertices(2401)%branch(0:0))
      call av(2401, 0, 8, 1, 0, FaFV0, 0, [0, 1], [nGC_90])

      allocate(vertices(2402)%branch(0:0))
      call av(2402, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_17])

      allocate(vertices(2403)%branch(0:0))
      call av(2403, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_117])

      allocate(vertices(2404)%branch(0:0))
      call av(2404, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_827])

      allocate(vertices(2405)%branch(0:0))
      call av(2405, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_66])

      allocate(vertices(2406)%branch(0:0))
      call av(2406, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_65])

      allocate(vertices(2407)%branch(0:0))
      call av(2407, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_70])

      allocate(vertices(2408)%branch(0:0))
      call av(2408, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_16])

      allocate(vertices(2409)%branch(0:0))
      call av(2409, 0, 8, 1, 0, SFFa0, 0, [0, 1], [nGC_191, nGC_190])

      allocate(vertices(2410)%branch(0:0))
      call av(2410, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_51])

      allocate(vertices(2411)%branch(0:0))
      call av(2411, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_781])

      allocate(vertices(2412)%branch(0:0))
      call av(2412, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

      allocate(vertices(2413)%branch(0:0))
      call av(2413, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_103])

      allocate(vertices(2414)%branch(0:0))
      call av(2414, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_74])

      allocate(vertices(2415)%branch(0:0))
      call av(2415, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_19])

      allocate(vertices(2416)%branch(0:0))
      call av(2416, 0, 8, 1, 0, FFaV0, 0, [0, 1], [nGC_86, nGC_89])

      allocate(vertices(2417)%branch(0:0))
      call av(2417, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_53])

      allocate(vertices(2418)%branch(0:0))
      call av(2418, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_16])

      allocate(vertices(2419)%branch(0:0))
      call av(2419, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_111])

      allocate(vertices(2420)%branch(0:0))
      call av(2420, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_43])

      allocate(vertices(2421)%branch(0:0))
      call av(2421, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

      allocate(vertices(2422)%branch(0:0))
      call av(2422, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_44])

      allocate(vertices(2423)%branch(0:0))
      call av(2423, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_66])

      allocate(vertices(2424)%branch(0:0))
      call av(2424, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_57])

      allocate(vertices(2425)%branch(0:0))
      call av(2425, 0, 8, 1, 0, FSFa0, 0, [0, 1], [nGC_191, nGC_190])

      allocate(vertices(2426)%branch(0:0))
      call av(2426, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_38])

      allocate(vertices(2427)%branch(0:0))
      call av(2427, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_70])

      allocate(vertices(2428)%branch(0:0))
      call av(2428, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_98])

      allocate(vertices(2429)%branch(0:0))
      call av(2429, 0, 8, 1, 0, SFFa1, 0, [0, 1], [nGC_166])

      allocate(vertices(2430)%branch(0:0))
      call av(2430, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_74])

      allocate(vertices(2431)%branch(0:0))
      call av(2431, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_29])

      allocate(vertices(2432)%branch(0:0))
      call av(2432, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_102])

      allocate(vertices(2433)%branch(0:0))
      call av(2433, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_65])

      allocate(vertices(2434)%branch(0:0))
      call av(2434, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

      allocate(vertices(2435)%branch(0:0))
      call av(2435, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

      allocate(vertices(2436)%branch(0:0))
      call av(2436, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_1919])

      allocate(vertices(2437)%branch(0:0))
      call av(2437, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_19])

      allocate(vertices(2438)%branch(0:0))
      call av(2438, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_70])

      allocate(vertices(2439)%branch(0:0))
      call av(2439, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_23])

      allocate(vertices(2440)%branch(0:0))
      call av(2440, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_16])

      allocate(vertices(2441)%branch(0:0))
      call av(2441, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_96])

      allocate(vertices(2442)%branch(0:0))
      call av(2442, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_19])

      allocate(vertices(2443)%branch(0:0))
      call av(2443, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_36])

      allocate(vertices(2444)%branch(0:0))
      call av(2444, 0, 8, 1, 0, FaFV1, 0, [0, 1], [nGC_4, nGC_4])

      allocate(vertices(2445)%branch(0:0))
      call av(2445, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_877])

      allocate(vertices(2446)%branch(0:0))
      call av(2446, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_100])

      allocate(vertices(2447)%branch(0:0))
      call av(2447, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_18])

      allocate(vertices(2448)%branch(0:0))
      call av(2448, 0, 21, 1, 0, SFFa0, 0, [0, 1], [nGC_133, nGC_133])

      allocate(vertices(2449)%branch(0:0))
      call av(2449, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_83, nGC_803, nGC_803])

      allocate(vertices(2450)%branch(0:0))
      call av(2450, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

      allocate(vertices(2451)%branch(0:0))
      call av(2451, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

      allocate(vertices(2452)%branch(0:0))
      call av(2452, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

      allocate(vertices(2453)%branch(0:0))
      call av(2453, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_94])

      allocate(vertices(2454)%branch(0:0))
      call av(2454, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_82])

      allocate(vertices(2455)%branch(0:0))
      call av(2455, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_73])

      allocate(vertices(2456)%branch(0:0))
      call av(2456, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_100])

      allocate(vertices(2457)%branch(0:0))
      call av(2457, 0, 8, 1, 0, FFaS2, 0, [0, 1], [nGC_185])

      allocate(vertices(2458)%branch(0:0))
      call av(2458, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_73])

      allocate(vertices(2459)%branch(0:0))
      call av(2459, 0, 19, 1, 0, FSFa0, 0, [0, 1], [nGC_2153, nGC_179])

      allocate(vertices(2460)%branch(0:0))
      call av(2460, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_62])

      allocate(vertices(2461)%branch(0:0))
      call av(2461, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_34])

      allocate(vertices(2462)%branch(0:0))
      call av(2462, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_827])

      allocate(vertices(2463)%branch(0:0))
      call av(2463, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_74])

      allocate(vertices(2464)%branch(0:0))
      call av(2464, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

      allocate(vertices(2465)%branch(0:0))
      call av(2465, 0, 17, 1, 0, FaVF0, 0, [0, 1], [nGC_84, nGC_87])

      allocate(vertices(2466)%branch(0:0))
      call av(2466, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_23])

      allocate(vertices(2467)%branch(0:0))
      call av(2467, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

      allocate(vertices(2468)%branch(0:0))
      call av(2468, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_1319])

      allocate(vertices(2469)%branch(0:0))
      call av(2469, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

      allocate(vertices(2470)%branch(0:0))
      call av(2470, 0, 21, 1, 0, SFFa0, 0, [0, 1], [nGC_172, nGC_171])

      allocate(vertices(2471)%branch(0:0))
      call av(2471, 0, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_137, nGC_137])

      allocate(vertices(2472)%branch(0:0))
      call av(2472, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_15])

      allocate(vertices(2473)%branch(0:0))
      call av(2473, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_20])

      allocate(vertices(2474)%branch(0:0))
      call av(2474, 0, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_131, nGC_170])

      allocate(vertices(2475)%branch(0:0))
      call av(2475, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_107])

      allocate(vertices(2476)%branch(0:0))
      call av(2476, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_51])

      allocate(vertices(2477)%branch(0:0))
      call av(2477, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_15])

      allocate(vertices(2478)%branch(0:0))
      call av(2478, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_865])

      allocate(vertices(2479)%branch(0:0))
      call av(2479, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_100])

      allocate(vertices(2480)%branch(0:0))
      call av(2480, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_95])

      allocate(vertices(2481)%branch(0:0))
      call av(2481, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_91])

      allocate(vertices(2482)%branch(0:0))
      call av(2482, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_49])

      allocate(vertices(2483)%branch(0:0))
      call av(2483, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_44])

      allocate(vertices(2484)%branch(0:0))
      call av(2484, 0, 8, 1, 0, FaFV1, 0, [0, 1], [nGC_86, nGC_89])

      allocate(vertices(2485)%branch(0:0))
      call av(2485, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_62])

      allocate(vertices(2486)%branch(0:0))
      call av(2486, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_19])

      allocate(vertices(2487)%branch(0:0))
      call av(2487, 0, 8, 1, 0, UaUS0, 0, [0, 1], [nGC_77])

      allocate(vertices(2488)%branch(0:0))
      call av(2488, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_47])

      allocate(vertices(2489)%branch(0:0))
      call av(2489, 0, 8, 1, 0, UaUS0, 0, [0, 1], [nGC_67])

      allocate(vertices(2490)%branch(0:0))
      call av(2490, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_16])

      allocate(vertices(2491)%branch(0:0))
      call av(2491, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_53])

      allocate(vertices(2492)%branch(0:0))
      call av(2492, 0, 8, 1, 0, FaSF0, 0, [0, 1], [nGC_157, nGC_157])

      allocate(vertices(2493)%branch(0:0))
      call av(2493, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_73])

      allocate(vertices(2494)%branch(0:0))
      call av(2494, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_173, nGC_173])

      allocate(vertices(2495)%branch(0:0))
      call av(2495, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_827])

      allocate(vertices(2496)%branch(0:0))
      call av(2496, 0, 8, 1, 0, VFFa0, 0, [0, 1], [nGC_90])

      allocate(vertices(2497)%branch(0:0))
      call av(2497, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_61])

      allocate(vertices(2498)%branch(0:0))
      call av(2498, 0, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_182, nGC_183])

      allocate(vertices(2499)%branch(0:0))
      call av(2499, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

      allocate(vertices(2500)%branch(0:0))
      call av(2500, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_16])

      allocate(vertices(2501)%branch(0:0))
      call av(2501, 0, 8, 1, 0, FFaS0, 0, [0, 1], [nGC_187, nGC_186])

      allocate(vertices(2502)%branch(0:0))
      call av(2502, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_16])

      allocate(vertices(2503)%branch(0:0))
      call av(2503, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

      allocate(vertices(2504)%branch(0:0))
      call av(2504, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_66])

      allocate(vertices(2505)%branch(0:0))
      call av(2505, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_122])

      allocate(vertices(2506)%branch(0:0))
      call av(2506, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_83, nGC_803, nGC_803])

      allocate(vertices(2507)%branch(0:0))
      call av(2507, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_75])

      allocate(vertices(2508)%branch(0:0))
      call av(2508, 0, 8, 1, 0, FSFa0, 0, [0, 1], [nGC_153, nGC_153])

      allocate(vertices(2509)%branch(0:0))
      call av(2509, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_64])

      allocate(vertices(2510)%branch(0:0))
      call av(2510, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_74])

      allocate(vertices(2511)%branch(0:0))
      call av(2511, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_2961])

      allocate(vertices(2512)%branch(0:0))
      call av(2512, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_37])

      allocate(vertices(2513)%branch(0:0))
      call av(2513, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_56])

      allocate(vertices(2514)%branch(0:0))
      call av(2514, 0, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_90])

      allocate(vertices(2515)%branch(0:0))
      call av(2515, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_53])

      allocate(vertices(2516)%branch(0:0))
      call av(2516, 0, 8, 1, 0, FVFa1, 0, [0, 1], [nGC_80])

      allocate(vertices(2517)%branch(0:0))
      call av(2517, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_16])

      allocate(vertices(2518)%branch(0:1))
      call av(2518, 0, 0, 6, 0, VVV0, 0, [1, 0], [nGC_6])

      call av(2518, 1, 1, 7, 0, VVV0, 0, [1, 0], [nGC_6])

      allocate(vertices(2519)%branch(0:0))
      call av(2519, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_15])

      allocate(vertices(2520)%branch(0:0))
      call av(2520, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_23])

      allocate(vertices(2521)%branch(0:0))
      call av(2521, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_15])

      allocate(vertices(2522)%branch(0:0))
      call av(2522, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_1319])

      allocate(vertices(2523)%branch(0:0))
      call av(2523, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

      allocate(vertices(2524)%branch(0:0))
      call av(2524, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_70])

      allocate(vertices(2525)%branch(0:0))
      call av(2525, 0, 8, 1, 0, USUa0, 0, [0, 1], [nGC_77])

      allocate(vertices(2526)%branch(0:0))
      call av(2526, 0, 17, 1, 0, FaSF0, 0, [0, 1], [nGC_169, nGC_169])

      allocate(vertices(2527)%branch(0:0))
      call av(2527, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_16])

      allocate(vertices(2528)%branch(0:0))
      call av(2528, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_119])

      allocate(vertices(2529)%branch(0:0))
      call av(2529, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_19])

      allocate(vertices(2530)%branch(0:0))
      call av(2530, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_16])

      allocate(vertices(2531)%branch(0:0))
      call av(2531, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

      allocate(vertices(2532)%branch(0:0))
      call av(2532, 0, 8, 1, 0, USUa0, 0, [0, 1], [nGC_98])

      allocate(vertices(2533)%branch(0:0))
      call av(2533, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

      allocate(vertices(2534)%branch(0:0))
      call av(2534, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_37])

      allocate(vertices(2535)%branch(0:0))
      call av(2535, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_43])

      allocate(vertices(2536)%branch(0:0))
      call av(2536, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_62])

      allocate(vertices(2537)%branch(0:0))
      call av(2537, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_73])

      allocate(vertices(2538)%branch(0:0))
      call av(2538, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_43])

      allocate(vertices(2539)%branch(0:0))
      call av(2539, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_124])

      allocate(vertices(2540)%branch(0:0))
      call av(2540, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_18])

      allocate(vertices(2541)%branch(0:0))
      call av(2541, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

      allocate(vertices(2542)%branch(0:0))
      call av(2542, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_877])

      allocate(vertices(2543)%branch(0:0))
      call av(2543, 0, 20, 1, 0, VFaF1, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(2544)%branch(0:0))
      call av(2544, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_20])

      allocate(vertices(2545)%branch(0:0))
      call av(2545, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_65])

      allocate(vertices(2546)%branch(0:0))
      call av(2546, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_26])

      allocate(vertices(2547)%branch(0:0))
      call av(2547, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_115])

      allocate(vertices(2548)%branch(0:0))
      call av(2548, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_43])

      allocate(vertices(2549)%branch(0:0))
      call av(2549, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_803, nGC_803, nGC_83])

      allocate(vertices(2550)%branch(0:0))
      call av(2550, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

      allocate(vertices(2551)%branch(0:0))
      call av(2551, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_65])

      allocate(vertices(2552)%branch(0:0))
      call av(2552, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_865])

      allocate(vertices(2553)%branch(0:0))
      call av(2553, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

      allocate(vertices(2554)%branch(0:0))
      call av(2554, 0, 8, 1, 0, SFFa1, 0, [0, 1], [nGC_185])

      allocate(vertices(2555)%branch(0:0))
      call av(2555, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_23])

      allocate(vertices(2556)%branch(0:0))
      call av(2556, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_20])

      allocate(vertices(2557)%branch(0:0))
      call av(2557, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_66])

      allocate(vertices(2558)%branch(0:0))
      call av(2558, 0, 8, 1, 0, USUa0, 0, [0, 1], [nGC_67])

      allocate(vertices(2559)%branch(0:0))
      call av(2559, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5, nGC_5, nGC_1247])

      allocate(vertices(2560)%branch(0:0))
      call av(2560, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_877])

      allocate(vertices(2561)%branch(0:0))
      call av(2561, 0, 17, 1, 0, FaVF0, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(2562)%branch(0:0))
      call av(2562, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

      allocate(vertices(2563)%branch(0:0))
      call av(2563, 0, 8, 1, 0, FaFV1, 0, [0, 1], [nGC_86, nGC_89])

      allocate(vertices(2564)%branch(0:0))
      call av(2564, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_94])

      allocate(vertices(2565)%branch(0:0))
      call av(2565, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

      allocate(vertices(2566)%branch(0:0))
      call av(2566, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_16])

      allocate(vertices(2567)%branch(0:0))
      call av(2567, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_83, nGC_803, nGC_803])

      allocate(vertices(2568)%branch(0:0))
      call av(2568, 0, 8, 1, 0, SFaF2, 0, [0, 1], [nGC_185])

      allocate(vertices(2569)%branch(0:0))
      call av(2569, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

      allocate(vertices(2570)%branch(0:0))
      call av(2570, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_77])

      allocate(vertices(2571)%branch(0:0))
      call av(2571, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_14])

      allocate(vertices(2572)%branch(0:1))
      call av(2572, 0, 30, 2, 0, VFFa1, 0, [1, 0], [nGC_7, nGC_7])

      call av(2572, 1, 31, 3, 0, VFFa1, 0, [1, 0], [nGC_7, nGC_7])

      allocate(vertices(2573)%branch(0:0))
      call av(2573, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_30])

      allocate(vertices(2574)%branch(0:0))
      call av(2574, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

      allocate(vertices(2575)%branch(0:0))
      call av(2575, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_60])

      allocate(vertices(2576)%branch(0:0))
      call av(2576, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

      allocate(vertices(2577)%branch(0:0))
      call av(2577, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_18])

      allocate(vertices(2578)%branch(0:0))
      call av(2578, 0, 8, 1, 0, FaFS2, 0, [0, 1], [nGC_189])

      allocate(vertices(2579)%branch(0:0))
      call av(2579, 0, 20, 1, 0, VFaF1, 0, [0, 1], [nGC_85, nGC_88])

      allocate(vertices(2580)%branch(0:0))
      call av(2580, 0, 8, 1, 0, FVFa1, 0, [0, 1], [nGC_80])

      allocate(vertices(2581)%branch(0:0))
      call av(2581, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_26])

      allocate(vertices(2582)%branch(0:1))
      call av(2582, 0, 22, 2, 0, FaFV1, 0, [1, 0], [nGC_7, nGC_7])

      call av(2582, 1, 23, 3, 0, FaFV1, 0, [1, 0], [nGC_7, nGC_7])

      allocate(vertices(2583)%branch(0:0))
      call av(2583, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_19])

      allocate(vertices(2584)%branch(0:0))
      call av(2584, 0, 8, 1, 0, FaFV0, 0, [0, 1], [nGC_90])

      allocate(vertices(2585)%branch(0:0))
      call av(2585, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_24])

      allocate(vertices(2586)%branch(0:0))
      call av(2586, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_49])

      allocate(vertices(2587)%branch(0:0))
      call av(2587, 0, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_149, nGC_149])

      allocate(vertices(2588)%branch(0:0))
      call av(2588, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

      allocate(vertices(2589)%branch(0:0))
      call av(2589, 0, 8, 1, 0, VFaF0, 0, [0, 1], [nGC_80])

      allocate(vertices(2590)%branch(0:0))
      call av(2590, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_16])

      allocate(vertices(2591)%branch(0:0))
      call av(2591, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_65])

      allocate(vertices(2592)%branch(0:0))
      call av(2592, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_74])

      allocate(vertices(2593)%branch(0:0))
      call av(2593, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_28])

      allocate(vertices(2594)%branch(0:0))
      call av(2594, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_80])

      allocate(vertices(2595)%branch(0:0))
      call av(2595, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_803, nGC_83, nGC_803])

      allocate(vertices(2596)%branch(0:0))
      call av(2596, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_45])

      allocate(vertices(2597)%branch(0:0))
      call av(2597, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

      allocate(vertices(2598)%branch(0:0))
      call av(2598, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_110])

      allocate(vertices(2599)%branch(0:0))
      call av(2599, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_73])

      allocate(vertices(2600)%branch(0:0))
      call av(2600, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_66])

      allocate(vertices(2601)%branch(0:0))
      call av(2601, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_15])

      allocate(vertices(2602)%branch(0:0))
      call av(2602, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_65])

      allocate(vertices(2603)%branch(0:0))
      call av(2603, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_100])

      allocate(vertices(2604)%branch(0:0))
      call av(2604, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_70])

      allocate(vertices(2605)%branch(0:0))
      call av(2605, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_122])

      allocate(vertices(2606)%branch(0:0))
      call av(2606, 0, 21, 1, 0, VFFa1, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(2607)%branch(0:0))
      call av(2607, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_23])

      allocate(vertices(2608)%branch(0:1))
      call av(2608, 0, 11, 2, 0, FFaV0, 0, [1, 0], [nGC_7, nGC_7])

      call av(2608, 1, 12, 3, 0, FFaV0, 0, [1, 0], [nGC_7, nGC_7])

      allocate(vertices(2609)%branch(0:0))
      call av(2609, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

      allocate(vertices(2610)%branch(0:0))
      call av(2610, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_63])

      allocate(vertices(2611)%branch(0:0))
      call av(2611, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_865])

      allocate(vertices(2612)%branch(0:0))
      call av(2612, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_57])

      allocate(vertices(2613)%branch(0:0))
      call av(2613, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_44])

      allocate(vertices(2614)%branch(0:0))
      call av(2614, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_72])

      allocate(vertices(2615)%branch(0:0))
      call av(2615, 0, 20, 1, 0, VFaF1, 0, [0, 1], [nGC_85, nGC_88])

      allocate(vertices(2616)%branch(0:0))
      call av(2616, 0, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_80])

      allocate(vertices(2617)%branch(0:0))
      call av(2617, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_70])

      allocate(vertices(2618)%branch(0:0))
      call av(2618, 0, 8, 1, 0, VFFa1, 0, [0, 1], [nGC_4, nGC_4])

      allocate(vertices(2619)%branch(0:0))
      call av(2619, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_16])

      allocate(vertices(2620)%branch(0:0))
      call av(2620, 0, 8, 1, 0, VFaF0, 0, [0, 1], [nGC_80])

      allocate(vertices(2621)%branch(0:0))
      call av(2621, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

      allocate(vertices(2622)%branch(0:0))
      call av(2622, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_70])

      allocate(vertices(2623)%branch(0:0))
      call av(2623, 0, 8, 1, 0, USUa0, 0, [0, 1], [nGC_21])

      allocate(vertices(2624)%branch(0:0))
      call av(2624, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_111])

      allocate(vertices(2625)%branch(0:0))
      call av(2625, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_16])

      allocate(vertices(2626)%branch(0:0))
      call av(2626, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_49])

      allocate(vertices(2627)%branch(0:1))
      call av(2627, 0, 27, 3, 0, FVFa0, 0, [1, 0], [nGC_7, nGC_7])

      call av(2627, 1, 26, 2, 0, FVFa0, 0, [1, 0], [nGC_7, nGC_7])

      allocate(vertices(2628)%branch(0:0))
      call av(2628, 0, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_80])

      allocate(vertices(2629)%branch(0:0))
      call av(2629, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_49])

      allocate(vertices(2630)%branch(0:0))
      call av(2630, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_73])

      allocate(vertices(2631)%branch(0:0))
      call av(2631, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_75])

      allocate(vertices(2632)%branch(0:0))
      call av(2632, 0, 8, 1, 0, FaVF0, 0, [0, 1], [nGC_4, nGC_4])

      allocate(vertices(2633)%branch(0:0))
      call av(2633, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_36])

      allocate(vertices(2634)%branch(0:0))
      call av(2634, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_63])

      allocate(vertices(2635)%branch(0:0))
      call av(2635, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

      allocate(vertices(2636)%branch(0:0))
      call av(2636, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_148, nGC_147])

      allocate(vertices(2637)%branch(0:0))
      call av(2637, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_36])

      allocate(vertices(2638)%branch(0:0))
      call av(2638, 0, 8, 1, 0, VFFa0, 0, [0, 1], [nGC_80])

      allocate(vertices(2639)%branch(0:0))
      call av(2639, 0, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_180, nGC_180])

      allocate(vertices(2640)%branch(0:0))
      call av(2640, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_43])

      allocate(vertices(2641)%branch(0:0))
      call av(2641, 0, 19, 1, 0, FSFa0, 0, [0, 1], [nGC_142, nGC_178])

      allocate(vertices(2642)%branch(0:0))
      call av(2642, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_122])

      allocate(vertices(2643)%branch(0:0))
      call av(2643, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_118])

      allocate(vertices(2644)%branch(0:0))
      call av(2644, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_61])

      allocate(vertices(2645)%branch(0:0))
      call av(2645, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_73])

      allocate(vertices(2646)%branch(0:0))
      call av(2646, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_18])

      allocate(vertices(2647)%branch(0:0))
      call av(2647, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_102])

      allocate(vertices(2648)%branch(0:0))
      call av(2648, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_803, nGC_803, nGC_83])

      allocate(vertices(2649)%branch(0:0))
      call av(2649, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_72])

      allocate(vertices(2650)%branch(0:0))
      call av(2650, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_78, nGC_78, nGC_1061])

      allocate(vertices(2651)%branch(0:0))
      call av(2651, 0, 19, 1, 0, FVFa0, 0, [0, 1], [nGC_85, nGC_88])

      allocate(vertices(2652)%branch(0:0))
      call av(2652, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_36])

      allocate(vertices(2653)%branch(0:0))
      call av(2653, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_34])

      allocate(vertices(2654)%branch(0:0))
      call av(2654, 0, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_142, nGC_178])

      allocate(vertices(2655)%branch(0:0))
      call av(2655, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

      allocate(vertices(2656)%branch(0:0))
      call av(2656, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_120])

      allocate(vertices(2657)%branch(0:0))
      call av(2657, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_16])

      allocate(vertices(2658)%branch(0:0))
      call av(2658, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_70])

      allocate(vertices(2659)%branch(0:0))
      call av(2659, 0, 8, 1, 0, FaSF0, 0, [0, 1], [nGC_165, nGC_165])

      allocate(vertices(2660)%branch(0:0))
      call av(2660, 0, 8, 1, 0, SFaF2, 0, [0, 1], [nGC_189])

      allocate(vertices(2661)%branch(0:0))
      call av(2661, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

      allocate(vertices(2662)%branch(0:0))
      call av(2662, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_66])

      allocate(vertices(2663)%branch(0:0))
      call av(2663, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_77])

      allocate(vertices(2664)%branch(0:0))
      call av(2664, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_43])

      allocate(vertices(2665)%branch(0:0))
      call av(2665, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_16])

      allocate(vertices(2666)%branch(0:0))
      call av(2666, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_80])

      allocate(vertices(2667)%branch(0:0))
      call av(2667, 0, 17, 1, 0, FaSF0, 0, [0, 1], [nGC_195, nGC_195])

      allocate(vertices(2668)%branch(0:0))
      call av(2668, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_865])

      allocate(vertices(2669)%branch(0:0))
      call av(2669, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_27])

      allocate(vertices(2670)%branch(0:0))
      call av(2670, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_73])

      allocate(vertices(2671)%branch(0:0))
      call av(2671, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_1919])

      allocate(vertices(2672)%branch(0:0))
      call av(2672, 0, 18, 1, 0, FaFV1, 0, [0, 1], [nGC_84, nGC_87])

      allocate(vertices(2673)%branch(0:0))
      call av(2673, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_83, nGC_803, nGC_803])

      allocate(vertices(2674)%branch(0:0))
      call av(2674, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_15])

      allocate(vertices(2675)%branch(0:0))
      call av(2675, 0, 19, 1, 0, FVFa0, 0, [0, 1], [nGC_1, nGC_1])

      allocate(vertices(2676)%branch(0:0))
      call av(2676, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_193, nGC_146])

      allocate(vertices(2677)%branch(0:0))
      call av(2677, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_24])

      allocate(vertices(2678)%branch(0:0))
      call av(2678, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_111])

      allocate(vertices(2679)%branch(0:0))
      call av(2679, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_28])

      allocate(vertices(2680)%branch(0:0))
      call av(2680, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_99])

      allocate(vertices(2681)%branch(0:0))
      call av(2681, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_85, nGC_88])

      allocate(vertices(2682)%branch(0:0))
      call av(2682, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

      allocate(vertices(2683)%branch(0:0))
      call av(2683, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

      allocate(vertices(2684)%branch(0:0))
      call av(2684, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_865])

      allocate(vertices(2685)%branch(0:0))
      call av(2685, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_35])

      allocate(vertices(2686)%branch(0:0))
      call av(2686, 0, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_80])

      allocate(vertices(2687)%branch(0:0))
      call av(2687, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_45])

      allocate(vertices(2688)%branch(0:0))
      call av(2688, 0, 21, 1, 0, SFFa0, 0, [0, 1], [nGC_180, nGC_180])

      allocate(vertices(2689)%branch(0:0))
      call av(2689, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_62])

      allocate(vertices(2690)%branch(0:0))
      call av(2690, 0, 19, 1, 0, FSFa0, 0, [0, 1], [nGC_180, nGC_180])

      allocate(vertices(2691)%branch(0:0))
      call av(2691, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_14])

      allocate(vertices(2692)%branch(0:0))
      call av(2692, 0, 8, 1, 0, FSFa2, 0, [0, 1], [nGC_185])

      allocate(vertices(2693)%branch(0:0))
      call av(2693, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_20])

      allocate(vertices(2694)%branch(0:0))
      call av(2694, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_865])

      allocate(vertices(2695)%branch(0:0))
      call av(2695, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_44])

      allocate(vertices(2696)%branch(0:0))
      call av(2696, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_70])

      allocate(vertices(2697)%branch(0:0))
      call av(2697, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_80])

      allocate(vertices(2698)%branch(0:0))
      call av(2698, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

      allocate(vertices(2699)%branch(0:0))
      call av(2699, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_15])

      allocate(vertices(2700)%branch(0:0))
      call av(2700, 0, 8, 1, 0, VFaF0, 0, [0, 1], [nGC_80])

      allocate(vertices(2701)%branch(0:0))
      call av(2701, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_51])

      allocate(vertices(2702)%branch(0:0))
      call av(2702, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_661])

      allocate(vertices(2703)%branch(0:0))
      call av(2703, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_53])

      allocate(vertices(2704)%branch(0:0))
      call av(2704, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_62])

      allocate(vertices(2705)%branch(0:0))
      call av(2705, 0, 19, 1, 0, FSFa0, 0, [0, 1], [nGC_172, nGC_171])

      allocate(vertices(0)%branchCT(0:0))
      call avCT(0, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12626])

      allocate(vertices(2706)%branchCT(0:0))
      call avCT(2706, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_12629])

      allocate(vertices(1)%branchCT(0:0))
      call avCT(1, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12635])

      allocate(vertices(1100)%branchCT(0:1))
      call avCT(1100, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12641])

      call avCT(1100, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12640])

      allocate(vertices(2)%branchCT(0:0))
      call avCT(2, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12645])

      allocate(vertices(2707)%branchCT(0:0))
      call avCT(2707, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_12629])

      allocate(vertices(3)%branchCT(0:1))
      call avCT(3, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12653])

      call avCT(3, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12650])

      allocate(vertices(873)%branchCT(0:0))
      call avCT(873, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12656])

      allocate(vertices(2708)%branchCT(0:0))
      call avCT(2708, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_12657])

      allocate(vertices(4)%branchCT(0:1))
      call avCT(4, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_12663])

      call avCT(4, 1, 8, 1, 0, SSV0, 0, [0, 1], [nGC_12660])

      allocate(vertices(2709)%branchCT(0:0))
      call avCT(2709, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12666])

      allocate(vertices(2710)%branchCT(0:0))
      call avCT(2710, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12669])

      allocate(vertices(5)%branchCT(0:1))
      call avCT(5, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_12678, nGC_12679])

      call avCT(5, 1, 8, 1, 0, SFFa0, 0, [0, 1], [nGC_12672, nGC_12676])

      allocate(vertices(6)%branchCT(0:1))
      call avCT(6, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12686])

      call avCT(6, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12682])

      allocate(vertices(285)%branchCT(0:0))
      call avCT(285, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12690])

      allocate(vertices(8)%branchCT(0:1))
      call avCT(8, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_12694])

      call avCT(8, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_12693])

      allocate(vertices(9)%branchCT(0:1))
      call avCT(9, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_12699])

      call avCT(9, 1, 8, 1, 0, SFFa1, 0, [0, 1], [nGC_12697])

      allocate(vertices(2711)%branchCT(0:0))
      call avCT(2711, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12666])

      allocate(vertices(1374)%branchCT(0:1))
      call avCT(1374, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12708])

      call avCT(1374, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12704])

      allocate(vertices(2712)%branchCT(0:0))
      call avCT(2712, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12711])

      allocate(vertices(10)%branchCT(0:3))
      call avCT(10, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_12716, nGC_12712])

      call avCT(10, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_12719, nGC_12720])

      call avCT(10, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_12716, nGC_12712])

      call avCT(10, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_12719, nGC_12720])

      allocate(vertices(11)%branchCT(0:1))
      call avCT(11, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12733])

      call avCT(11, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12729])

      allocate(vertices(2713)%branchCT(0:0))
      call avCT(2713, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_12737])

      allocate(vertices(12)%branchCT(0:1))
      call avCT(12, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12743])

      call avCT(12, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12740])

      allocate(vertices(14)%branchCT(0:1))
      call avCT(14, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12748])

      call avCT(14, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_12746])

      allocate(vertices(2714)%branchCT(0:0))
      call avCT(2714, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12751])

      allocate(vertices(16)%branchCT(0:0))
      call avCT(16, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_12758, nGC_12758])

      allocate(vertices(876)%branchCT(0:0))
      call avCT(876, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12762])

      allocate(vertices(18)%branchCT(0:1))
      call avCT(18, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12769])

      call avCT(18, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12765])

      allocate(vertices(867)%branchCT(0:1))
      call avCT(867, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12777])

      call avCT(867, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12772])

      allocate(vertices(2715)%branchCT(0:0))
      call avCT(2715, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_12781])

      allocate(vertices(2716)%branchCT(0:0))
      call avCT(2716, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12784])

      allocate(vertices(20)%branchCT(0:1))
      call avCT(20, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12790])

      call avCT(20, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12787])

      allocate(vertices(1897)%branchCT(0:0))
      call avCT(1897, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_12797])

      allocate(vertices(21)%branchCT(0:1))
      call avCT(21, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_12806, nGC_12806])

      call avCT(21, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_12808, nGC_12808])

      allocate(vertices(2717)%branchCT(0:0))
      call avCT(2717, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12811])

      allocate(vertices(22)%branchCT(0:0))
      call avCT(22, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12817])

      allocate(vertices(2566)%branchCT(0:1))
      call avCT(2566, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12686])

      call avCT(2566, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_12682])

      allocate(vertices(24)%branchCT(0:1))
      call avCT(24, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12831])

      call avCT(24, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12826])

      allocate(vertices(189)%branchCT(0:0))
      call avCT(189, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12837])

      allocate(vertices(26)%branchCT(0:0))
      call avCT(26, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_12842])

      allocate(vertices(27)%branchCT(0:1))
      call avCT(27, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12848])

      call avCT(27, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12845])

      allocate(vertices(2190)%branchCT(0:1))
      call avCT(2190, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12854])

      call avCT(2190, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12851])

      allocate(vertices(2718)%branchCT(0:0))
      call avCT(2718, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12666])

      allocate(vertices(2719)%branchCT(0:0))
      call avCT(2719, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_12857])

      allocate(vertices(2720)%branchCT(0:0))
      call avCT(2720, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12811])

      allocate(vertices(29)%branchCT(0:1))
      call avCT(29, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_12871, nGC_12872])

      call avCT(29, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_12873, nGC_12874])

      allocate(vertices(734)%branchCT(0:1))
      call avCT(734, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12881])

      call avCT(734, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12877])

      allocate(vertices(30)%branchCT(0:1))
      call avCT(30, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12708])

      call avCT(30, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12704])

      allocate(vertices(31)%branchCT(0:0))
      call avCT(31, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_12895, nGC_12896])

      allocate(vertices(433)%branchCT(0:1))
      call avCT(433, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12901])

      call avCT(433, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_12899])

      allocate(vertices(33)%branchCT(0:1))
      call avCT(33, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12831])

      call avCT(33, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12826])

      allocate(vertices(2721)%branchCT(0:0))
      call avCT(2721, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_12911])

      allocate(vertices(34)%branchCT(0:0))
      call avCT(34, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_12917])

      allocate(vertices(2722)%branchCT(0:0))
      call avCT(2722, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12811])

      allocate(vertices(253)%branchCT(0:0))
      call avCT(253, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12924])

      allocate(vertices(36)%branchCT(0:1))
      call avCT(36, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12932])

      call avCT(36, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12927])

      allocate(vertices(2723)%branchCT(0:0))
      call avCT(2723, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12935])

      allocate(vertices(38)%branchCT(0:0))
      call avCT(38, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12941])

      allocate(vertices(39)%branchCT(0:0))
      call avCT(39, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_12948])

      allocate(vertices(2609)%branchCT(0:1))
      call avCT(2609, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12854])

      call avCT(2609, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12851])

      allocate(vertices(40)%branchCT(0:1))
      call avCT(40, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12959])

      call avCT(40, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12956])

      allocate(vertices(286)%branchCT(0:1))
      call avCT(286, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_12968])

      call avCT(286, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_12964])

      allocate(vertices(7)%branchCT(0:1))
      call avCT(7, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12974])

      call avCT(7, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12973])

      allocate(vertices(43)%branchCT(0:1))
      call avCT(43, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12641])

      call avCT(43, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12640])

      allocate(vertices(44)%branchCT(0:2))
      call avCT(44, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_12993, nGC_12992])

      call avCT(44, 1, 19, 1, 0, FSFa0, 0, [0, 1], [nGC_12989, nGC_12983])

      call avCT(44, 2, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_12995, nGC_12994])

      allocate(vertices(45)%branchCT(0:1))
      call avCT(45, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12831])

      call avCT(45, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12826])

      allocate(vertices(46)%branchCT(0:0))
      call avCT(46, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_13006])

      allocate(vertices(47)%branchCT(0:1))
      call avCT(47, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_13011])

      call avCT(47, 1, 8, 1, 0, SFaF1, 0, [0, 1], [nGC_13009])

      allocate(vertices(48)%branchCT(0:1))
      call avCT(48, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13018])

      call avCT(48, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13014])

      allocate(vertices(2724)%branchCT(0:0))
      call avCT(2724, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13021])

      allocate(vertices(49)%branchCT(0:1))
      call avCT(49, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_13025])

      call avCT(49, 1, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_13024])

      allocate(vertices(319)%branchCT(0:0))
      call avCT(319, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13030])

      allocate(vertices(51)%branchCT(0:0))
      call avCT(51, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_13035])

      allocate(vertices(2725)%branchCT(0:0))
      call avCT(2725, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13038])

      allocate(vertices(52)%branchCT(0:1))
      call avCT(52, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13044])

      call avCT(52, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13041])

      allocate(vertices(53)%branchCT(0:1))
      call avCT(53, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_13048])

      call avCT(53, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_13047])

      allocate(vertices(2726)%branchCT(0:0))
      call avCT(2726, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12935])

      allocate(vertices(54)%branchCT(0:0))
      call avCT(54, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_13035])

      allocate(vertices(1213)%branchCT(0:0))
      call avCT(1213, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12817])

      allocate(vertices(55)%branchCT(0:1))
      call avCT(55, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13064])

      call avCT(55, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_13062])

      allocate(vertices(2727)%branchCT(0:0))
      call avCT(2727, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13067])

      allocate(vertices(437)%branchCT(0:1))
      call avCT(437, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13074])

      call avCT(437, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_13070])

      allocate(vertices(57)%branchCT(0:1))
      call avCT(57, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13080])

      call avCT(57, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13079])

      allocate(vertices(1419)%branchCT(0:0))
      call avCT(1419, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_13084])

      allocate(vertices(58)%branchCT(0:1))
      call avCT(58, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12686])

      call avCT(58, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12682])

      allocate(vertices(59)%branchCT(0:1))
      call avCT(59, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_13102, nGC_13103])

      call avCT(59, 1, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_13104, nGC_13105])

      allocate(vertices(60)%branchCT(0:0))
      call avCT(60, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12626])

      allocate(vertices(61)%branchCT(0:0))
      call avCT(61, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_13120, nGC_13121])

      allocate(vertices(62)%branchCT(0:1))
      call avCT(62, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12932])

      call avCT(62, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12927])

      allocate(vertices(63)%branchCT(0:1))
      call avCT(63, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_13140, nGC_13139])

      call avCT(63, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_13142, nGC_13141])

      allocate(vertices(2215)%branchCT(0:0))
      call avCT(2215, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12817])

      allocate(vertices(65)%branchCT(0:0))
      call avCT(65, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12645])

      allocate(vertices(2728)%branchCT(0:0))
      call avCT(2728, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_13151])

      allocate(vertices(2729)%branchCT(0:0))
      call avCT(2729, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12935])

      allocate(vertices(67)%branchCT(0:0))
      call avCT(67, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13158])

      allocate(vertices(2730)%branchCT(0:0))
      call avCT(2730, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13161])

      allocate(vertices(69)%branchCT(0:0))
      call avCT(69, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_13170, nGC_13171])

      allocate(vertices(70)%branchCT(0:1))
      call avCT(70, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12848])

      call avCT(70, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12845])

      allocate(vertices(1328)%branchCT(0:0))
      call avCT(1328, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12656])

      allocate(vertices(71)%branchCT(0:0))
      call avCT(71, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_13183, nGC_13184,       &
      nGC_13183])

      allocate(vertices(2731)%branchCT(0:0))
      call avCT(2731, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_13188])

      allocate(vertices(883)%branchCT(0:0))
      call avCT(883, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13194])

      allocate(vertices(73)%branchCT(0:1))
      call avCT(73, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13200])

      call avCT(73, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_13197])

      allocate(vertices(2732)%branchCT(0:0))
      call avCT(2732, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12935])

      allocate(vertices(74)%branchCT(0:2))
      call avCT(74, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_13216, nGC_13217])

      call avCT(74, 1, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_13212, nGC_13207])

      call avCT(74, 2, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_13219, nGC_13218])

      allocate(vertices(75)%branchCT(0:0))
      call avCT(75, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12941])

      allocate(vertices(76)%branchCT(0:2))
      call avCT(76, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_13237, nGC_13238])

      call avCT(76, 1, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_13228, nGC_13234])

      call avCT(76, 2, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_13239, nGC_13240])

      allocate(vertices(77)%branchCT(0:1))
      call avCT(77, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12708])

      call avCT(77, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12704])

      allocate(vertices(78)%branchCT(0:0))
      call avCT(78, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_13250])

      allocate(vertices(79)%branchCT(0:0))
      call avCT(79, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12635])

      allocate(vertices(2733)%branchCT(0:0))
      call avCT(2733, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_13261, nGC_13256])

      allocate(vertices(2734)%branchCT(0:0))
      call avCT(2734, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12711])

      allocate(vertices(80)%branchCT(0:1))
      call avCT(80, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13080])

      call avCT(80, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13079])

      allocate(vertices(82)%branchCT(0:0))
      call avCT(82, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_13271])

      allocate(vertices(83)%branchCT(0:0))
      call avCT(83, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13274])

      allocate(vertices(2735)%branchCT(0:0))
      call avCT(2735, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12666])

      allocate(vertices(84)%branchCT(0:1))
      call avCT(84, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_12699])

      call avCT(84, 1, 8, 1, 0, FaSF1, 0, [0, 1], [nGC_12697])

      allocate(vertices(85)%branchCT(0:1))
      call avCT(85, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_13290, nGC_13291])

      call avCT(85, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_13294, nGC_13295])

      allocate(vertices(886)%branchCT(0:0))
      call avCT(886, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13194])

      allocate(vertices(87)%branchCT(0:1))
      call avCT(87, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13307])

      call avCT(87, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13303])

      allocate(vertices(88)%branchCT(0:1))
      call avCT(88, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13313])

      call avCT(88, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13312])

      allocate(vertices(2736)%branchCT(0:0))
      call avCT(2736, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13038])

      allocate(vertices(89)%branchCT(0:1))
      call avCT(89, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12831])

      call avCT(89, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12826])

      allocate(vertices(559)%branchCT(0:1))
      call avCT(559, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13326])

      call avCT(559, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13325])

      allocate(vertices(2737)%branchCT(0:0))
      call avCT(2737, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_13327])

      allocate(vertices(2738)%branchCT(0:0))
      call avCT(2738, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12666])

      allocate(vertices(569)%branchCT(0:0))
      call avCT(569, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13194])

      allocate(vertices(93)%branchCT(0:1))
      call avCT(93, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13200])

      call avCT(93, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_13197])

      allocate(vertices(2739)%branchCT(0:0))
      call avCT(2739, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_12780])

      allocate(vertices(2221)%branchCT(0:0))
      call avCT(2221, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_13348, nGC_13349,     &
      nGC_13348])

      allocate(vertices(95)%branchCT(0:1))
      call avCT(95, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13354])

      call avCT(95, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_13352])

      allocate(vertices(96)%branchCT(0:0))
      call avCT(96, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_13357])

      allocate(vertices(1762)%branchCT(0:0))
      call avCT(1762, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13194])

      allocate(vertices(97)%branchCT(0:1))
      call avCT(97, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12748])

      call avCT(97, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_12746])

      allocate(vertices(98)%branchCT(0:0))
      call avCT(98, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13369])

      allocate(vertices(99)%branchCT(0:2))
      call avCT(99, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_13382, nGC_13383])

      call avCT(99, 1, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_13373, nGC_13379])

      call avCT(99, 2, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_13384, nGC_13385])

      allocate(vertices(100)%branchCT(0:1))
      call avCT(100, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12686])

      call avCT(100, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_12682])

      allocate(vertices(101)%branchCT(0:0))
      call avCT(101, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12924])

      allocate(vertices(1593)%branchCT(0:1))
      call avCT(1593, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12901])

      call avCT(1593, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12899])

      allocate(vertices(2740)%branchCT(0:0))
      call avCT(2740, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_13327])

      allocate(vertices(889)%branchCT(0:1))
      call avCT(889, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12881])

      call avCT(889, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_12877])

      allocate(vertices(2741)%branchCT(0:0))
      call avCT(2741, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13161])

      allocate(vertices(103)%branchCT(0:0))
      call avCT(103, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_13415, nGC_13415])

      allocate(vertices(1744)%branchCT(0:1))
      call avCT(1744, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13422])

      call avCT(1744, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13418])

      allocate(vertices(444)%branchCT(0:1))
      call avCT(444, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13313])

      call avCT(444, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13312])

      allocate(vertices(105)%branchCT(0:0))
      call avCT(105, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12635])

      allocate(vertices(2742)%branchCT(0:0))
      call avCT(2742, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13435])

      allocate(vertices(106)%branchCT(0:1))
      call avCT(106, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13422])

      call avCT(106, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13418])

      allocate(vertices(2743)%branchCT(0:0))
      call avCT(2743, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_13444])

      allocate(vertices(108)%branchCT(0:0))
      call avCT(108, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_13451, nGC_13452])

      allocate(vertices(2744)%branchCT(0:0))
      call avCT(2744, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_13459, nGC_13454,     &
      nGC_13461, nGC_13461])

      allocate(vertices(111)%branchCT(0:1))
      call avCT(111, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13467])

      call avCT(111, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13466])

      allocate(vertices(112)%branchCT(0:0))
      call avCT(112, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_13271])

      allocate(vertices(15)%branchCT(0:0))
      call avCT(15, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_13349, nGC_13348,       &
      nGC_13348])

      allocate(vertices(113)%branchCT(0:0))
      call avCT(113, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_13476])

      allocate(vertices(114)%branchCT(0:1))
      call avCT(114, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12932])

      call avCT(114, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12927])

      allocate(vertices(2745)%branchCT(0:0))
      call avCT(2745, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13484])

      allocate(vertices(116)%branchCT(0:1))
      call avCT(116, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_12678, nGC_12679])

      call avCT(116, 1, 8, 1, 0, FFaS0, 0, [0, 1], [nGC_12672, nGC_12676])

      allocate(vertices(117)%branchCT(0:0))
      call avCT(117, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12817])

      allocate(vertices(2746)%branchCT(0:0))
      call avCT(2746, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13038])

      allocate(vertices(739)%branchCT(0:1))
      call avCT(739, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12831])

      call avCT(739, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12826])

      allocate(vertices(119)%branchCT(0:0))
      call avCT(119, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12762])

      allocate(vertices(23)%branchCT(0:0))
      call avCT(23, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12635])

      allocate(vertices(120)%branchCT(0:1))
      call avCT(120, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12777])

      call avCT(120, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12772])

      allocate(vertices(121)%branchCT(0:1))
      call avCT(121, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12708])

      call avCT(121, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12704])

      allocate(vertices(2747)%branchCT(0:0))
      call avCT(2747, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_13528])

      allocate(vertices(122)%branchCT(0:1))
      call avCT(122, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13307])

      call avCT(122, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13303])

      allocate(vertices(123)%branchCT(0:0))
      call avCT(123, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_13538])

      allocate(vertices(2748)%branchCT(0:0))
      call avCT(2748, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13038])

      allocate(vertices(125)%branchCT(0:2))
      call avCT(125, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_13553, nGC_13554])

      call avCT(125, 1, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_13544, nGC_13550])

      call avCT(125, 2, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_13555, nGC_13556])

      allocate(vertices(2749)%branchCT(0:0))
      call avCT(2749, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13559])

      allocate(vertices(800)%branchCT(0:1))
      call avCT(800, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13566])

      call avCT(800, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_13562])

      allocate(vertices(128)%branchCT(0:0))
      call avCT(128, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13571])

      allocate(vertices(129)%branchCT(0:0))
      call avCT(129, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13194])

      allocate(vertices(130)%branchCT(0:1))
      call avCT(130, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13581])

      call avCT(130, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_13579])

      allocate(vertices(131)%branchCT(0:0))
      call avCT(131, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_13589, nGC_13590])

      allocate(vertices(450)%branchCT(0:0))
      call avCT(450, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12656])

      allocate(vertices(133)%branchCT(0:0))
      call avCT(133, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_13415, nGC_13415])

      allocate(vertices(134)%branchCT(0:0))
      call avCT(134, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_12797])

      allocate(vertices(135)%branchCT(0:1))
      call avCT(135, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12748])

      call avCT(135, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_12746])

      allocate(vertices(136)%branchCT(0:1))
      call avCT(136, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_13011])

      call avCT(136, 1, 8, 1, 0, SFaF2, 0, [0, 1], [nGC_13009])

      allocate(vertices(137)%branchCT(0:1))
      call avCT(137, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13620])

      call avCT(137, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13616])

      allocate(vertices(138)%branchCT(0:0))
      call avCT(138, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12941])

      allocate(vertices(139)%branchCT(0:0))
      call avCT(139, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_13084])

      allocate(vertices(2750)%branchCT(0:0))
      call avCT(2750, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13631])

      allocate(vertices(140)%branchCT(0:1))
      call avCT(140, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12743])

      call avCT(140, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12740])

      allocate(vertices(2751)%branchCT(0:0))
      call avCT(2751, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_13643, nGC_13642])

      allocate(vertices(141)%branchCT(0:1))
      call avCT(141, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_13652, nGC_13652])

      call avCT(141, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_13654, nGC_13654])

      allocate(vertices(142)%branchCT(0:1))
      call avCT(142, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12831])

      call avCT(142, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12826])

      allocate(vertices(913)%branchCT(0:0))
      call avCT(913, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12817])

      allocate(vertices(2752)%branchCT(0:0))
      call avCT(2752, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_12911])

      allocate(vertices(146)%branchCT(0:1))
      call avCT(146, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12686])

      call avCT(146, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_12682])

      allocate(vertices(147)%branchCT(0:0))
      call avCT(147, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_13678])

      allocate(vertices(1345)%branchCT(0:0))
      call avCT(1345, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13681])

      allocate(vertices(149)%branchCT(0:1))
      call avCT(149, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13687])

      call avCT(149, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13686])

      allocate(vertices(150)%branchCT(0:0))
      call avCT(150, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13694])

      allocate(vertices(151)%branchCT(0:0))
      call avCT(151, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12817])

      allocate(vertices(2753)%branchCT(0:0))
      call avCT(2753, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13021])

      allocate(vertices(152)%branchCT(0:0))
      call avCT(152, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13708])

      allocate(vertices(455)%branchCT(0:1))
      call avCT(455, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12881])

      call avCT(455, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_12877])

      allocate(vertices(154)%branchCT(0:1))
      call avCT(154, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12881])

      call avCT(154, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_12877])

      allocate(vertices(2754)%branchCT(0:0))
      call avCT(2754, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_13722])

      allocate(vertices(2755)%branchCT(0:0))
      call avCT(2755, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12935])

      allocate(vertices(155)%branchCT(0:1))
      call avCT(155, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_13729])

      call avCT(155, 1, 8, 1, 0, SVS0, 0, [0, 1], [nGC_13727])

      allocate(vertices(156)%branchCT(0:1))
      call avCT(156, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13736])

      call avCT(156, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13732])

      allocate(vertices(2756)%branchCT(0:0))
      call avCT(2756, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13161])

      allocate(vertices(157)%branchCT(0:1))
      call avCT(157, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_13748, nGC_13747])

      call avCT(157, 1, 8, 1, 0, FaFS0, 0, [0, 1], [nGC_13745, nGC_13741])

      allocate(vertices(992)%branchCT(0:0))
      call avCT(992, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13030])

      allocate(vertices(1043)%branchCT(0:0))
      call avCT(1043, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_13757])

      allocate(vertices(2757)%branchCT(0:0))
      call avCT(2757, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12811])

      allocate(vertices(161)%branchCT(0:1))
      call avCT(161, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12881])

      call avCT(161, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_12877])

      allocate(vertices(162)%branchCT(0:0))
      call avCT(162, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_13769])

      allocate(vertices(2758)%branchCT(0:0))
      call avCT(2758, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_13770])

      allocate(vertices(2390)%branchCT(0:1))
      call avCT(2390, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13777])

      call avCT(2390, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13773])

      allocate(vertices(163)%branchCT(0:1))
      call avCT(163, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12881])

      call avCT(163, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_12877])

      allocate(vertices(164)%branchCT(0:0))
      call avCT(164, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_13769])

      allocate(vertices(165)%branchCT(0:0))
      call avCT(165, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_13790])

      allocate(vertices(2759)%branchCT(0:0))
      call avCT(2759, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13559])

      allocate(vertices(166)%branchCT(0:0))
      call avCT(166, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_13796])

      allocate(vertices(167)%branchCT(0:1))
      call avCT(167, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13044])

      call avCT(167, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13041])

      allocate(vertices(168)%branchCT(0:1))
      call avCT(168, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13064])

      call avCT(168, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_13062])

      allocate(vertices(1068)%branchCT(0:1))
      call avCT(1068, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13812])

      call avCT(1068, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13808])

      allocate(vertices(170)%branchCT(0:1))
      call avCT(170, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13620])

      call avCT(170, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13616])

      allocate(vertices(2760)%branchCT(0:0))
      call avCT(2760, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13067])

      allocate(vertices(171)%branchCT(0:0))
      call avCT(171, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13158])

      allocate(vertices(172)%branchCT(0:1))
      call avCT(172, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_12663])

      call avCT(172, 1, 8, 1, 0, SVS0, 0, [0, 1], [nGC_12660])

      allocate(vertices(2687)%branchCT(0:1))
      call avCT(2687, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13422])

      call avCT(2687, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13418])

      allocate(vertices(1084)%branchCT(0:0))
      call avCT(1084, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12762])

      allocate(vertices(2761)%branchCT(0:0))
      call avCT(2761, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_12736])

      allocate(vertices(1092)%branchCT(0:1))
      call avCT(1092, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13018])

      call avCT(1092, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13014])

      allocate(vertices(2762)%branchCT(0:0))
      call avCT(2762, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13038])

      allocate(vertices(175)%branchCT(0:1))
      call avCT(175, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13620])

      call avCT(175, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13616])

      allocate(vertices(176)%branchCT(0:1))
      call avCT(176, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12881])

      call avCT(176, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12877])

      allocate(vertices(177)%branchCT(0:1))
      call avCT(177, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_13870])

      call avCT(177, 1, 8, 1, 0, SSV0, 0, [0, 1], [nGC_13871])

      allocate(vertices(2763)%branchCT(0:0))
      call avCT(2763, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13038])

      allocate(vertices(178)%branchCT(0:0))
      call avCT(178, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_12895, nGC_12896])

      allocate(vertices(850)%branchCT(0:1))
      call avCT(850, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13882])

      call avCT(850, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_13881])

      allocate(vertices(2764)%branchCT(0:0))
      call avCT(2764, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12935])

      allocate(vertices(180)%branchCT(0:1))
      call avCT(180, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_13870])

      call avCT(180, 1, 8, 1, 0, VSS0, 0, [0, 1], [nGC_13871])

      allocate(vertices(181)%branchCT(0:1))
      call avCT(181, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13074])

      call avCT(181, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_13070])

      allocate(vertices(182)%branchCT(0:1))
      call avCT(182, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13901])

      call avCT(182, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13899])

      allocate(vertices(900)%branchCT(0:1))
      call avCT(900, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12653])

      call avCT(900, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12650])

      allocate(vertices(184)%branchCT(0:1))
      call avCT(184, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13687])

      call avCT(184, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13686])

      allocate(vertices(185)%branchCT(0:0))
      call avCT(185, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_13916])

      allocate(vertices(2765)%branchCT(0:0))
      call avCT(2765, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13919])

      allocate(vertices(186)%branchCT(0:1))
      call avCT(186, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13313])

      call avCT(186, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13312])

      allocate(vertices(1151)%branchCT(0:1))
      call avCT(1151, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_13931])

      call avCT(1151, 1, 8, 1, 0, VSS0, 0, [0, 1], [nGC_13932])

      allocate(vertices(188)%branchCT(0:1))
      call avCT(188, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12777])

      call avCT(188, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12772])

      allocate(vertices(25)%branchCT(0:0))
      call avCT(25, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12656])

      allocate(vertices(1172)%branchCT(0:1))
      call avCT(1172, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13566])

      call avCT(1172, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_13562])

      allocate(vertices(191)%branchCT(0:1))
      call avCT(191, 0, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_13959, nGC_13960])

      call avCT(191, 1, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_13954, nGC_13951])

      allocate(vertices(192)%branchCT(0:1))
      call avCT(192, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12769])

      call avCT(192, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12765])

      allocate(vertices(193)%branchCT(0:1))
      call avCT(193, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13566])

      call avCT(193, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_13562])

      allocate(vertices(194)%branchCT(0:1))
      call avCT(194, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13979])

      call avCT(194, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13975])

      allocate(vertices(1205)%branchCT(0:1))
      call avCT(1205, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13984])

      call avCT(1205, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_13982])

      allocate(vertices(197)%branchCT(0:0))
      call avCT(197, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_13988])

      allocate(vertices(2766)%branchCT(0:0))
      call avCT(2766, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13989])

      allocate(vertices(199)%branchCT(0:1))
      call avCT(199, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12831])

      call avCT(199, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12826])

      allocate(vertices(200)%branchCT(0:1))
      call avCT(200, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_14003])

      call avCT(200, 1, 8, 1, 0, SSV0, 0, [0, 1], [nGC_14000])

      allocate(vertices(201)%branchCT(0:1))
      call avCT(201, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12854])

      call avCT(201, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12851])

      allocate(vertices(202)%branchCT(0:1))
      call avCT(202, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12881])

      call avCT(202, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_12877])

      allocate(vertices(203)%branchCT(0:0))
      call avCT(203, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_14023, nGC_14024])

      allocate(vertices(2767)%branchCT(0:0))
      call avCT(2767, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12711])

      allocate(vertices(204)%branchCT(0:0))
      call avCT(204, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12941])

      allocate(vertices(205)%branchCT(0:0))
      call avCT(205, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14036])

      allocate(vertices(206)%branchCT(0:1))
      call avCT(206, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12641])

      call avCT(206, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12640])

      allocate(vertices(2768)%branchCT(0:0))
      call avCT(2768, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12935])

      allocate(vertices(207)%branchCT(0:0))
      call avCT(207, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_14046])

      allocate(vertices(208)%branchCT(0:0))
      call avCT(208, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12837])

      allocate(vertices(2769)%branchCT(0:0))
      call avCT(2769, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_14054])

      allocate(vertices(2770)%branchCT(0:0))
      call avCT(2770, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13161])

      allocate(vertices(210)%branchCT(0:0))
      call avCT(210, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12941])

      allocate(vertices(211)%branchCT(0:2))
      call avCT(211, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_14075, nGC_14076])

      call avCT(211, 1, 21, 1, 0, SFFa0, 0, [0, 1], [nGC_14065, nGC_14070])

      call avCT(211, 2, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_14077, nGC_14078])

      allocate(vertices(2520)%branchCT(0:1))
      call avCT(2520, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14085])

      call avCT(2520, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14081])

      allocate(vertices(1630)%branchCT(0:1))
      call avCT(1630, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_9518])

      call avCT(1630, 1, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_14087])

      allocate(vertices(2771)%branchCT(0:0))
      call avCT(2771, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_13721])

      allocate(vertices(214)%branchCT(0:1))
      call avCT(214, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13200])

      call avCT(214, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_13197])

      allocate(vertices(1314)%branchCT(0:0))
      call avCT(1314, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12941])

      allocate(vertices(216)%branchCT(0:0))
      call avCT(216, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12817])

      allocate(vertices(217)%branchCT(0:1))
      call avCT(217, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13581])

      call avCT(217, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_13579])

      allocate(vertices(218)%branchCT(0:1))
      call avCT(218, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13566])

      call avCT(218, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_13562])

      allocate(vertices(1340)%branchCT(0:0))
      call avCT(1340, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12837])

      allocate(vertices(2772)%branchCT(0:0))
      call avCT(2772, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12666])

      allocate(vertices(221)%branchCT(0:1))
      call avCT(221, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_14127])

      call avCT(221, 1, 8, 1, 0, VSS0, 0, [0, 1], [nGC_14128])

      allocate(vertices(222)%branchCT(0:0))
      call avCT(222, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12635])

      allocate(vertices(223)%branchCT(0:0))
      call avCT(223, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13030])

      allocate(vertices(2248)%branchCT(0:1))
      call avCT(2248, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12777])

      call avCT(2248, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12772])

      allocate(vertices(224)%branchCT(0:1))
      call avCT(224, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13566])

      call avCT(224, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_13562])

      allocate(vertices(225)%branchCT(0:0))
      call avCT(225, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_14153])

      allocate(vertices(226)%branchCT(0:0))
      call avCT(226, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_14157])

      allocate(vertices(227)%branchCT(0:1))
      call avCT(227, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12777])

      call avCT(227, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12772])

      allocate(vertices(1807)%branchCT(0:0))
      call avCT(1807, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_13538])

      allocate(vertices(228)%branchCT(0:1))
      call avCT(228, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12854])

      call avCT(228, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12851])

      allocate(vertices(229)%branchCT(0:1))
      call avCT(229, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_14184, nGC_14183])

      call avCT(229, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_14186, nGC_14185])

      allocate(vertices(2773)%branchCT(0:0))
      call avCT(2773, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_12857])

      allocate(vertices(908)%branchCT(0:1))
      call avCT(908, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12769])

      call avCT(908, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12765])

      allocate(vertices(230)%branchCT(0:1))
      call avCT(230, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13566])

      call avCT(230, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_13562])

      allocate(vertices(2774)%branchCT(0:0))
      call avCT(2774, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_14202])

      allocate(vertices(231)%branchCT(0:0))
      call avCT(231, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_13250])

      allocate(vertices(232)%branchCT(0:0))
      call avCT(232, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_13988])

      allocate(vertices(2775)%branchCT(0:0))
      call avCT(2775, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12784])

      allocate(vertices(233)%branchCT(0:0))
      call avCT(233, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_12895, nGC_12896])

      allocate(vertices(2252)%branchCT(0:0))
      call avCT(2252, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_13184, nGC_13183,     &
      nGC_13183])

      allocate(vertices(235)%branchCT(0:1))
      call avCT(235, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_14221])

      call avCT(235, 1, 8, 1, 0, VSS0, 0, [0, 1], [nGC_14222])

      allocate(vertices(236)%branchCT(0:1))
      call avCT(236, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12831])

      call avCT(236, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12826])

      allocate(vertices(1788)%branchCT(0:0))
      call avCT(1788, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12690])

      allocate(vertices(2463)%branchCT(0:1))
      call avCT(2463, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12901])

      call avCT(2463, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_12899])

      allocate(vertices(2776)%branchCT(0:0))
      call avCT(2776, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12666])

      allocate(vertices(237)%branchCT(0:1))
      call avCT(237, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_9512])

      call avCT(237, 1, 8, 1, 0, UaUS0, 0, [0, 1], [nGC_14240])

      allocate(vertices(238)%branchCT(0:1))
      call avCT(238, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13074])

      call avCT(238, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_13070])

      allocate(vertices(239)%branchCT(0:1))
      call avCT(239, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_13748, nGC_13747])

      call avCT(239, 1, 8, 1, 0, SFaF0, 0, [0, 1], [nGC_13745, nGC_13741])

      allocate(vertices(240)%branchCT(0:1))
      call avCT(240, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12848])

      call avCT(240, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12845])

      allocate(vertices(2777)%branchCT(0:0))
      call avCT(2777, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13038])

      allocate(vertices(242)%branchCT(0:1))
      call avCT(242, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12901])

      call avCT(242, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_12899])

      allocate(vertices(243)%branchCT(0:1))
      call avCT(243, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_14276, nGC_14277])

      call avCT(243, 1, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_14278, nGC_14279])

      allocate(vertices(244)%branchCT(0:0))
      call avCT(244, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12837])

      allocate(vertices(2778)%branchCT(0:0))
      call avCT(2778, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13161])

      allocate(vertices(245)%branchCT(0:2))
      call avCT(245, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_13383, nGC_13382])

      call avCT(245, 1, 19, 1, 0, FSFa0, 0, [0, 1], [nGC_13379, nGC_13373])

      call avCT(245, 2, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_13385, nGC_13384])

      allocate(vertices(246)%branchCT(0:1))
      call avCT(246, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13326])

      call avCT(246, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13325])

      allocate(vertices(2779)%branchCT(0:0))
      call avCT(2779, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13989])

      allocate(vertices(247)%branchCT(0:1))
      call avCT(247, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14308])

      call avCT(247, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14307])

      allocate(vertices(1497)%branchCT(0:0))
      call avCT(1497, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_14311])

      allocate(vertices(914)%branchCT(0:1))
      call avCT(914, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14318])

      call avCT(914, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14314])

      allocate(vertices(249)%branchCT(0:0))
      call avCT(249, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13194])

      allocate(vertices(250)%branchCT(0:0))
      call avCT(250, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13681])

      allocate(vertices(251)%branchCT(0:1))
      call avCT(251, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14085])

      call avCT(251, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14081])

      allocate(vertices(2780)%branchCT(0:0))
      call avCT(2780, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12711])

      allocate(vertices(252)%branchCT(0:1))
      call avCT(252, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13812])

      call avCT(252, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13808])

      allocate(vertices(2781)%branchCT(0:0))
      call avCT(2781, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14342])

      allocate(vertices(2782)%branchCT(0:0))
      call avCT(2782, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13919])

      allocate(vertices(254)%branchCT(0:0))
      call avCT(254, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_13769])

      allocate(vertices(2783)%branchCT(0:0))
      call avCT(2783, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13559])

      allocate(vertices(255)%branchCT(0:1))
      call avCT(255, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13901])

      call avCT(255, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13899])

      allocate(vertices(256)%branchCT(0:0))
      call avCT(256, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12924])

      allocate(vertices(258)%branchCT(0:1))
      call avCT(258, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13566])

      call avCT(258, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_13562])

      allocate(vertices(259)%branchCT(0:0))
      call avCT(259, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_14372])

      allocate(vertices(260)%branchCT(0:0))
      call avCT(260, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12837])

      allocate(vertices(1364)%branchCT(0:0))
      call avCT(1364, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_13349, nGC_13348,     &
      nGC_13348])

      allocate(vertices(262)%branchCT(0:1))
      call avCT(262, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12790])

      call avCT(262, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12787])

      allocate(vertices(263)%branchCT(0:1))
      call avCT(263, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_14395, nGC_14395])

      call avCT(263, 1, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_14397, nGC_14397])

      allocate(vertices(2784)%branchCT(0:0))
      call avCT(2784, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_14398])

      allocate(vertices(2785)%branchCT(0:0))
      call avCT(2785, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12935])

      allocate(vertices(264)%branchCT(0:0))
      call avCT(264, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12941])

      allocate(vertices(265)%branchCT(0:0))
      call avCT(265, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_14409])

      allocate(vertices(2328)%branchCT(0:1))
      call avCT(2328, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12959])

      call avCT(2328, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12956])

      allocate(vertices(2620)%branchCT(0:0))
      call avCT(2620, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_13476])

      allocate(vertices(268)%branchCT(0:0))
      call avCT(268, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_13348, nGC_13348,      &
      nGC_13349])

      allocate(vertices(269)%branchCT(0:0))
      call avCT(269, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14425])

      allocate(vertices(2786)%branchCT(0:0))
      call avCT(2786, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_12911])

      allocate(vertices(473)%branchCT(0:2))
      call avCT(473, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_13384, nGC_13385])

      call avCT(473, 1, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_13373, nGC_13379])

      call avCT(473, 2, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_13382, nGC_13383])

      allocate(vertices(271)%branchCT(0:0))
      call avCT(271, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_13678])

      allocate(vertices(2787)%branchCT(0:0))
      call avCT(2787, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13484])

      allocate(vertices(272)%branchCT(0:1))
      call avCT(272, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12901])

      call avCT(272, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_12899])

      allocate(vertices(273)%branchCT(0:1))
      call avCT(273, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14455, nGC_14455])

      call avCT(273, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14457, nGC_14457])

      allocate(vertices(2788)%branchCT(0:0))
      call avCT(2788, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14342])

      allocate(vertices(274)%branchCT(0:0))
      call avCT(274, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12635])

      allocate(vertices(275)%branchCT(0:1))
      call avCT(275, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14470])

      call avCT(275, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14467])

      allocate(vertices(2789)%branchCT(0:0))
      call avCT(2789, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13038])

      allocate(vertices(2790)%branchCT(0:0))
      call avCT(2790, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_14479, nGC_14477,     &
      nGC_14481, nGC_14481])

      allocate(vertices(276)%branchCT(0:1))
      call avCT(276, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12653])

      call avCT(276, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12650])

      allocate(vertices(277)%branchCT(0:1))
      call avCT(277, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14308])

      call avCT(277, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14307])

      allocate(vertices(278)%branchCT(0:1))
      call avCT(278, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_12873, nGC_12874])

      call avCT(278, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_12871, nGC_12872])

      allocate(vertices(279)%branchCT(0:0))
      call avCT(279, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_14504])

      allocate(vertices(280)%branchCT(0:2))
      call avCT(280, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_14517, nGC_14516])

      call avCT(280, 1, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_14514, nGC_14508])

      call avCT(280, 2, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_14520, nGC_14521])

      allocate(vertices(281)%branchCT(0:1))
      call avCT(281, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12854])

      call avCT(281, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12851])

      allocate(vertices(477)%branchCT(0:1))
      call avCT(477, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13200])

      call avCT(477, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_13197])

      allocate(vertices(1823)%branchCT(0:1))
      call avCT(1823, 0, 34, 6, 0, UVUa0, 0, [3, 0], [nGC_14535])

      call avCT(1823, 1, 35, 7, 0, UVUa0, 0, [3, 0], [nGC_14535])

      allocate(vertices(2791)%branchCT(0:0))
      call avCT(2791, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12784])

      allocate(vertices(283)%branchCT(0:1))
      call avCT(283, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_14547])

      call avCT(283, 1, 8, 1, 0, VVS0, 0, [0, 1], [nGC_14544])

      allocate(vertices(2792)%branchCT(0:0))
      call avCT(2792, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12666])

      allocate(vertices(1776)%branchCT(0:1))
      call avCT(1776, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13074])

      call avCT(1776, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_13070])

      allocate(vertices(1786)%branchCT(0:1))
      call avCT(1786, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12777])

      call avCT(1786, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12772])

      allocate(vertices(288)%branchCT(0:1))
      call avCT(288, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_14570])

      call avCT(288, 1, 8, 1, 0, VVS0, 0, [0, 1], [nGC_14567])

      allocate(vertices(289)%branchCT(0:1))
      call avCT(289, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13984])

      call avCT(289, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_13982])

      allocate(vertices(2793)%branchCT(0:0))
      call avCT(2793, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_13187])

      allocate(vertices(1369)%branchCT(0:1))
      call avCT(1369, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12854])

      call avCT(1369, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12851])

      allocate(vertices(291)%branchCT(0:1))
      call avCT(291, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12959])

      call avCT(291, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12956])

      allocate(vertices(292)%branchCT(0:1))
      call avCT(292, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13620])

      call avCT(292, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13616])

      allocate(vertices(1832)%branchCT(0:1))
      call avCT(1832, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12748])

      call avCT(1832, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12746])

      allocate(vertices(294)%branchCT(0:3))
      call avCT(294, 0, 24, 2, 0, FaVF0, 0, [1, 2], [nGC_14601, nGC_14603])

      call avCT(294, 1, 24, 2, 0, FaVF0, 0, [3, 0], [nGC_14605, nGC_14606])

      call avCT(294, 2, 25, 3, 0, FaVF0, 0, [1, 2], [nGC_14601, nGC_14603])

      call avCT(294, 3, 25, 3, 0, FaVF0, 0, [3, 0], [nGC_14605, nGC_14606])

      allocate(vertices(295)%branchCT(0:1))
      call avCT(295, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12641])

      call avCT(295, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12640])

      allocate(vertices(296)%branchCT(0:0))
      call avCT(296, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_14620])

      allocate(vertices(2235)%branchCT(0:1))
      call avCT(2235, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13984])

      call avCT(2235, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_13982])

      allocate(vertices(2794)%branchCT(0:0))
      call avCT(2794, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_12911])

      allocate(vertices(2795)%branchCT(0:0))
      call avCT(2795, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14342])

      allocate(vertices(298)%branchCT(0:0))
      call avCT(298, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_14634])

      allocate(vertices(2796)%branchCT(0:0))
      call avCT(2796, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13559])

      allocate(vertices(1454)%branchCT(0:1))
      call avCT(1454, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12733])

      call avCT(1454, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12729])

      allocate(vertices(300)%branchCT(0:1))
      call avCT(300, 0, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_14653, nGC_14654])

      call avCT(300, 1, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_14646, nGC_14649])

      allocate(vertices(921)%branchCT(0:0))
      call avCT(921, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12817])

      allocate(vertices(302)%branchCT(0:0))
      call avCT(302, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_14663])

      allocate(vertices(303)%branchCT(0:1))
      call avCT(303, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13422])

      call avCT(303, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13418])

      allocate(vertices(2797)%branchCT(0:0))
      call avCT(2797, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13161])

      allocate(vertices(304)%branchCT(0:1))
      call avCT(304, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_14679])

      call avCT(304, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_14677])

      allocate(vertices(2798)%branchCT(0:0))
      call avCT(2798, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13919])

      allocate(vertices(305)%branchCT(0:0))
      call avCT(305, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_14684])

      allocate(vertices(306)%branchCT(0:1))
      call avCT(306, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12831])

      call avCT(306, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12826])

      allocate(vertices(1915)%branchCT(0:2))
      call avCT(1915, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_14704, nGC_14705])

      call avCT(1915, 1, 17, 1, 0, FaSF0, 0, [0, 1], [nGC_14695, nGC_14701])

      call avCT(1915, 2, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_14706, nGC_14707])

      allocate(vertices(308)%branchCT(0:0))
      call avCT(308, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12941])

      allocate(vertices(2799)%branchCT(0:0))
      call avCT(2799, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13161])

      allocate(vertices(309)%branchCT(0:1))
      call avCT(309, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13777])

      call avCT(309, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13773])

      allocate(vertices(310)%branchCT(0:1))
      call avCT(310, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13018])

      call avCT(310, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13014])

      allocate(vertices(2800)%branchCT(0:0))
      call avCT(2800, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12935])

      allocate(vertices(311)%branchCT(0:0))
      call avCT(311, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_14663])

      allocate(vertices(312)%branchCT(0:2))
      call avCT(312, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14704, nGC_14705])

      call avCT(312, 1, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_14695, nGC_14701])

      call avCT(312, 2, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14706, nGC_14707])

      allocate(vertices(2455)%branchCT(0:0))
      call avCT(2455, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12645])

      allocate(vertices(2801)%branchCT(0:0))
      call avCT(2801, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12935])

      allocate(vertices(314)%branchCT(0:1))
      call avCT(314, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12733])

      call avCT(314, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12729])

      allocate(vertices(315)%branchCT(0:0))
      call avCT(315, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12635])

      allocate(vertices(2802)%branchCT(0:0))
      call avCT(2802, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13161])

      allocate(vertices(2803)%branchCT(0:0))
      call avCT(2803, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_14762])

      allocate(vertices(2804)%branchCT(0:0))
      call avCT(2804, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13067])

      allocate(vertices(318)%branchCT(0:1))
      call avCT(318, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_14277, nGC_14276])

      call avCT(318, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_14279, nGC_14278])

      allocate(vertices(50)%branchCT(0:1))
      call avCT(50, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13200])

      call avCT(50, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_13197])

      allocate(vertices(2805)%branchCT(0:0))
      call avCT(2805, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12666])

      allocate(vertices(320)%branchCT(0:1))
      call avCT(320, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_14789])

      call avCT(320, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_14786])

      allocate(vertices(2806)%branchCT(0:0))
      call avCT(2806, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_14398])

      allocate(vertices(2807)%branchCT(0:0))
      call avCT(2807, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12666])

      allocate(vertices(321)%branchCT(0:1))
      call avCT(321, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12777])

      call avCT(321, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12772])

      allocate(vertices(322)%branchCT(0:1))
      call avCT(322, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_9511])

      call avCT(322, 1, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_14801])

      allocate(vertices(323)%branchCT(0:1))
      call avCT(323, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12686])

      call avCT(323, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_12682])

      allocate(vertices(324)%branchCT(0:1))
      call avCT(324, 0, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_14817, nGC_14818])

      call avCT(324, 1, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_14811, nGC_14814])

      allocate(vertices(486)%branchCT(0:1))
      call avCT(486, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13313])

      call avCT(486, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13312])

      allocate(vertices(2808)%branchCT(0:0))
      call avCT(2808, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13038])

      allocate(vertices(327)%branchCT(0:1))
      call avCT(327, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13307])

      call avCT(327, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13303])

      allocate(vertices(328)%branchCT(0:1))
      call avCT(328, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13984])

      call avCT(328, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_13982])

      allocate(vertices(2809)%branchCT(0:0))
      call avCT(2809, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_14838])

      allocate(vertices(329)%branchCT(0:1))
      call avCT(329, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14848, nGC_14849])

      call avCT(329, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14845, nGC_14841])

      allocate(vertices(488)%branchCT(0:0))
      call avCT(488, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12645])

      allocate(vertices(331)%branchCT(0:1))
      call avCT(331, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12743])

      call avCT(331, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12740])

      allocate(vertices(2810)%branchCT(0:0))
      call avCT(2810, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_12911])

      allocate(vertices(332)%branchCT(0:1))
      call avCT(332, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12932])

      call avCT(332, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12927])

      allocate(vertices(333)%branchCT(0:2))
      call avCT(333, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_13384, nGC_13385])

      call avCT(333, 1, 19, 1, 0, FSFa0, 0, [0, 1], [nGC_13373, nGC_13379])

      call avCT(333, 2, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_13382, nGC_13383])

      allocate(vertices(334)%branchCT(0:1))
      call avCT(334, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13307])

      call avCT(334, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13303])

      allocate(vertices(335)%branchCT(0:1))
      call avCT(335, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_14896, nGC_14895])

      call avCT(335, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_14898, nGC_14897])

      allocate(vertices(2811)%branchCT(0:0))
      call avCT(2811, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13484])

      allocate(vertices(2812)%branchCT(0:0))
      call avCT(2812, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12784])

      allocate(vertices(2634)%branchCT(0:0))
      call avCT(2634, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_14907])

      allocate(vertices(490)%branchCT(0:1))
      call avCT(490, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13812])

      call avCT(490, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13808])

      allocate(vertices(2136)%branchCT(0:0))
      call avCT(2136, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13194])

      allocate(vertices(2813)%branchCT(0:0))
      call avCT(2813, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12751])

      allocate(vertices(342)%branchCT(0:1))
      call avCT(342, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_14930, nGC_14931])

      call avCT(342, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_14924, nGC_14927])

      allocate(vertices(2814)%branchCT(0:0))
      call avCT(2814, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14342])

      allocate(vertices(343)%branchCT(0:3))
      call avCT(343, 0, 24, 2, 0, FaVF0, 0, [1, 2], [nGC_14936, nGC_14938])

      call avCT(343, 1, 24, 2, 0, FaVF0, 0, [3, 0], [nGC_14940, nGC_14941])

      call avCT(343, 2, 25, 3, 0, FaVF0, 0, [1, 2], [nGC_14936, nGC_14938])

      call avCT(343, 3, 25, 3, 0, FaVF0, 0, [3, 0], [nGC_14940, nGC_14941])

      allocate(vertices(344)%branchCT(0:1))
      call avCT(344, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12959])

      call avCT(344, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12956])

      allocate(vertices(345)%branchCT(0:1))
      call avCT(345, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_9511])

      call avCT(345, 1, 8, 1, 0, USUa0, 0, [0, 1], [nGC_14801])

      allocate(vertices(927)%branchCT(0:0))
      call avCT(927, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14958])

      allocate(vertices(347)%branchCT(0:0))
      call avCT(347, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_14311])

      allocate(vertices(348)%branchCT(0:2))
      call avCT(348, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_13237, nGC_13238])

      call avCT(348, 1, 17, 1, 0, FaSF0, 0, [0, 1], [nGC_13228, nGC_13234])

      call avCT(348, 2, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_13239, nGC_13240])

      allocate(vertices(349)%branchCT(0:1))
      call avCT(349, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14983, nGC_14984])

      call avCT(349, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14985, nGC_14986])

      allocate(vertices(1806)%branchCT(0:1))
      call avCT(1806, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13044])

      call avCT(1806, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13041])

      allocate(vertices(351)%branchCT(0:1))
      call avCT(351, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12653])

      call avCT(351, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12650])

      allocate(vertices(352)%branchCT(0:0))
      call avCT(352, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13194])

      allocate(vertices(353)%branchCT(0:0))
      call avCT(353, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_13250])

      allocate(vertices(354)%branchCT(0:1))
      call avCT(354, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13566])

      call avCT(354, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_13562])

      allocate(vertices(355)%branchCT(0:1))
      call avCT(355, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_15019, nGC_15019])

      call avCT(355, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_15020, nGC_15020])

      allocate(vertices(1240)%branchCT(0:0))
      call avCT(1240, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_15025])

      allocate(vertices(356)%branchCT(0:1))
      call avCT(356, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12743])

      call avCT(356, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12740])

      allocate(vertices(357)%branchCT(0:3))
      call avCT(357, 0, 27, 3, 0, FVFa0, 0, [1, 2], [nGC_14936, nGC_14938])

      call avCT(357, 1, 27, 3, 0, FVFa0, 0, [3, 0], [nGC_14940, nGC_14941])

      call avCT(357, 2, 26, 2, 0, FVFa0, 0, [1, 2], [nGC_14936, nGC_14938])

      call avCT(357, 3, 26, 2, 0, FVFa0, 0, [3, 0], [nGC_14940, nGC_14941])

      allocate(vertices(359)%branchCT(0:1))
      call avCT(359, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13074])

      call avCT(359, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_13070])

      allocate(vertices(360)%branchCT(0:0))
      call avCT(360, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_15055, nGC_15056])

      allocate(vertices(361)%branchCT(0:0))
      call avCT(361, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13194])

      allocate(vertices(362)%branchCT(0:0))
      call avCT(362, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12941])

      allocate(vertices(364)%branchCT(0:1))
      call avCT(364, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13200])

      call avCT(364, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_13197])

      allocate(vertices(365)%branchCT(0:1))
      call avCT(365, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_12808, nGC_12808])

      call avCT(365, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_12806, nGC_12806])

      allocate(vertices(366)%branchCT(0:1))
      call avCT(366, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12653])

      call avCT(366, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12650])

      allocate(vertices(367)%branchCT(0:1))
      call avCT(367, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12748])

      call avCT(367, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12746])

      allocate(vertices(368)%branchCT(0:1))
      call avCT(368, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_15097])

      call avCT(368, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_15093])

      allocate(vertices(2815)%branchCT(0:0))
      call avCT(2815, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12935])

      allocate(vertices(2816)%branchCT(0:0))
      call avCT(2816, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12666])

      allocate(vertices(371)%branchCT(0:0))
      call avCT(371, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_14663])

      allocate(vertices(372)%branchCT(0:0))
      call avCT(372, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12635])

      allocate(vertices(373)%branchCT(0:3))
      call avCT(373, 0, 30, 2, 0, VFFa1, 0, [1, 2], [nGC_14936, nGC_14938])

      call avCT(373, 1, 30, 2, 0, VFFa1, 0, [3, 0], [nGC_14940, nGC_14941])

      call avCT(373, 2, 31, 3, 0, VFFa1, 0, [1, 2], [nGC_14936, nGC_14938])

      call avCT(373, 3, 31, 3, 0, VFFa1, 0, [3, 0], [nGC_14940, nGC_14941])

      allocate(vertices(2323)%branchCT(0:1))
      call avCT(2323, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14318])

      call avCT(2323, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14314])

      allocate(vertices(375)%branchCT(0:1))
      call avCT(375, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12708])

      call avCT(375, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12704])

      allocate(vertices(376)%branchCT(0:0))
      call avCT(376, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_15138])

      allocate(vertices(2817)%branchCT(0:0))
      call avCT(2817, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_15141])

      allocate(vertices(2818)%branchCT(0:0))
      call avCT(2818, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_15148, nGC_15142,      &
      nGC_15143])

      allocate(vertices(377)%branchCT(0:1))
      call avCT(377, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_15157])

      call avCT(377, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_15153])

      allocate(vertices(378)%branchCT(0:1))
      call avCT(378, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12881])

      call avCT(378, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12877])

      allocate(vertices(2819)%branchCT(0:0))
      call avCT(2819, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12666])

      allocate(vertices(379)%branchCT(0:1))
      call avCT(379, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_12699])

      call avCT(379, 1, 8, 1, 0, SFaF2, 0, [0, 1], [nGC_12697])

      allocate(vertices(380)%branchCT(0:0))
      call avCT(380, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12817])

      allocate(vertices(2465)%branchCT(0:1))
      call avCT(2465, 0, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_14930, nGC_14931])

      call avCT(2465, 1, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_14924, nGC_14927])

      allocate(vertices(934)%branchCT(0:0))
      call avCT(934, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12837])

      allocate(vertices(383)%branchCT(0:0))
      call avCT(383, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13194])

      allocate(vertices(384)%branchCT(0:1))
      call avCT(384, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_15197])

      call avCT(384, 1, 8, 1, 0, SVS0, 0, [0, 1], [nGC_14123])

      allocate(vertices(385)%branchCT(0:1))
      call avCT(385, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13566])

      call avCT(385, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_13562])

      allocate(vertices(386)%branchCT(0:1))
      call avCT(386, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_15097])

      call avCT(386, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_15093])

      allocate(vertices(2820)%branchCT(0:0))
      call avCT(2820, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13989])

      allocate(vertices(387)%branchCT(0:0))
      call avCT(387, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12817])

      allocate(vertices(388)%branchCT(0:1))
      call avCT(388, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12790])

      call avCT(388, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12787])

      allocate(vertices(389)%branchCT(0:0))
      call avCT(389, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_13084])

    end subroutine fill_vertices_mdl4
end module vertices_info4
