!******************************************************************************!
!                                                                              !
!    vertices_info9.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info9.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info9
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl9()
      allocate(vertices(183)%branchR2(0:0))
      call avR2(183, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(1768)%branchR2(0:1))
      call avR2(1768, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8964, nGC_8964])

      call avR2(1768, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8962, nGC_8963])

      allocate(vertices(3333)%branchR2(0:0))
      call avR2(3333, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9095])

      allocate(vertices(1540)%branchR2(0:0))
      call avR2(1540, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9234])

      allocate(vertices(2870)%branchR2(0:0))
      call avR2(2870, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9235])

      allocate(vertices(1244)%branchR2(0:0))
      call avR2(1244, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(1549)%branchR2(0:0))
      call avR2(1549, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8806])

      allocate(vertices(1658)%branchR2(0:0))
      call avR2(1658, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9143])

      allocate(vertices(3597)%branchR2(0:1))
      call avR2(3597, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9130, nGC_9130,      &
      nGC_9130])

      call avR2(3597, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9131, nGC_9131,      &
      nGC_9131])

      allocate(vertices(3598)%branchR2(0:5))
      call avR2(3598, 0, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_9260, nGC_9260,      &
      nGC_9260])

      call avR2(3598, 1, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_9259, nGC_9259,      &
      nGC_9259])

      call avR2(3598, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_9259, nGC_9259,      &
      nGC_9259])

      call avR2(3598, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_9260, nGC_9260,      &
      nGC_9260])

      call avR2(3598, 4, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_9259, nGC_9259,      &
      nGC_9259])

      call avR2(3598, 5, 82, 1, 0, VVVV0, 0, [3, 1], [nGC_9258, nGC_9258,      &
      nGC_9258])

      allocate(vertices(207)%branchR2(0:0))
      call avR2(207, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29407])

      allocate(vertices(27)%branchR2(0:0))
      call avR2(27, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(2504)%branchR2(0:0))
      call avR2(2504, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9117])

      allocate(vertices(407)%branchR2(0:1))
      call avR2(407, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8795, nGC_8794])

      call avR2(407, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8781, nGC_8781])

      allocate(vertices(2311)%branchR2(0:0))
      call avR2(2311, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9118])

      allocate(vertices(2626)%branchR2(0:0))
      call avR2(2626, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(2123)%branchR2(0:0))
      call avR2(2123, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(1012)%branchR2(0:0))
      call avR2(1012, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_8798, nGC_8799])

      allocate(vertices(820)%branchR2(0:0))
      call avR2(820, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9165])

      allocate(vertices(113)%branchR2(0:0))
      call avR2(113, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9022])

      allocate(vertices(2287)%branchR2(0:0))
      call avR2(2287, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9237])

      allocate(vertices(2193)%branchR2(0:0))
      call avR2(2193, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(1574)%branchR2(0:0))
      call avR2(1574, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29423])

      allocate(vertices(3461)%branchR2(0:0))
      call avR2(3461, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_8722, nGC_8721])

      allocate(vertices(499)%branchR2(0:3))
      call avR2(499, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9053, nGC_9051])

      call avR2(499, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9052, nGC_9052])

      call avR2(499, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9050, nGC_9048])

      call avR2(499, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9049, nGC_9049])

      allocate(vertices(1038)%branchR2(0:0))
      call avR2(1038, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

      allocate(vertices(640)%branchR2(0:0))
      call avR2(640, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(3599)%branchR2(0:1))
      call avR2(3599, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9249, nGC_9249,      &
      nGC_9249])

      call avR2(3599, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9248, nGC_9248,      &
      nGC_9248])

      allocate(vertices(3600)%branchR2(0:1))
      call avR2(3600, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9217])

      call avR2(3600, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9216])

      allocate(vertices(602)%branchR2(0:1))
      call avR2(602, 0, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_9026, nGC_9024])

      call avR2(602, 1, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_9041, nGC_9040])

      allocate(vertices(3336)%branchR2(0:0))
      call avR2(3336, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9196])

      allocate(vertices(1040)%branchR2(0:0))
      call avR2(1040, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9099])

      allocate(vertices(1459)%branchR2(0:1))
      call avR2(1459, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8993, nGC_8993])

      call avR2(1459, 1, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8991, nGC_8992])

      allocate(vertices(3410)%branchR2(0:0))
      call avR2(3410, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_8702, nGC_8701])

      allocate(vertices(2930)%branchR2(0:0))
      call avR2(2930, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(1862)%branchR2(0:0))
      call avR2(1862, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9114])

      allocate(vertices(3083)%branchR2(0:0))
      call avR2(3083, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8852])

      allocate(vertices(1629)%branchR2(0:0))
      call avR2(1629, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29453])

      allocate(vertices(3601)%branchR2(0:0))
      call avR2(3601, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(2887)%branchR2(0:0))
      call avR2(2887, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9159])

      allocate(vertices(1561)%branchR2(0:0))
      call avR2(1561, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29457])

      allocate(vertices(2992)%branchR2(0:0))
      call avR2(2992, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9159])

      allocate(vertices(1494)%branchR2(0:0))
      call avR2(1494, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9117])

      allocate(vertices(838)%branchR2(0:0))
      call avR2(838, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9094])

      allocate(vertices(2976)%branchR2(0:0))
      call avR2(2976, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9096])

      allocate(vertices(403)%branchR2(0:1))
      call avR2(403, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8977, nGC_8978])

      call avR2(403, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8979, nGC_8979])

      allocate(vertices(849)%branchR2(0:0))
      call avR2(849, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(536)%branchR2(0:0))
      call avR2(536, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(552)%branchR2(0:0))
      call avR2(552, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(3180)%branchR2(0:0))
      call avR2(3180, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9120])

      allocate(vertices(1349)%branchR2(0:0))
      call avR2(1349, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8827])

      allocate(vertices(1410)%branchR2(0:0))
      call avR2(1410, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8889])

      allocate(vertices(695)%branchR2(0:0))
      call avR2(695, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8920])

      allocate(vertices(327)%branchR2(0:0))
      call avR2(327, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

      allocate(vertices(2229)%branchR2(0:0))
      call avR2(2229, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(865)%branchR2(0:0))
      call avR2(865, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_8789, nGC_8790])

      allocate(vertices(89)%branchR2(0:0))
      call avR2(89, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(2945)%branchR2(0:0))
      call avR2(2945, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(2607)%branchR2(0:0))
      call avR2(2607, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(65)%branchR2(0:0))
      call avR2(65, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(680)%branchR2(0:0))
      call avR2(680, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(581)%branchR2(0:0))
      call avR2(581, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9021])

      allocate(vertices(3231)%branchR2(0:0))
      call avR2(3231, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9096])

      allocate(vertices(3028)%branchR2(0:0))
      call avR2(3028, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9199])

      allocate(vertices(2973)%branchR2(0:0))
      call avR2(2973, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9109])

      allocate(vertices(1600)%branchR2(0:0))
      call avR2(1600, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(3602)%branchR2(0:0))
      call avR2(3602, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9111])

      allocate(vertices(2686)%branchR2(0:0))
      call avR2(2686, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9021])

      allocate(vertices(798)%branchR2(0:0))
      call avR2(798, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(801)%branchR2(0:0))
      call avR2(801, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(1832)%branchR2(0:0))
      call avR2(1832, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9094])

      allocate(vertices(906)%branchR2(0:1))
      call avR2(906, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8906, nGC_8904])

      call avR2(906, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8919, nGC_8918])

      allocate(vertices(3452)%branchR2(0:0))
      call avR2(3452, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9096])

      allocate(vertices(3085)%branchR2(0:0))
      call avR2(3085, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(1584)%branchR2(0:0))
      call avR2(1584, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(2201)%branchR2(0:0))
      call avR2(2201, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9164])

      allocate(vertices(3603)%branchR2(0:0))
      call avR2(3603, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9092])

      allocate(vertices(517)%branchR2(0:0))
      call avR2(517, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9222])

      allocate(vertices(3604)%branchR2(0:1))
      call avR2(3604, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9130, nGC_9130,      &
      nGC_9130])

      call avR2(3604, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9131, nGC_9131,      &
      nGC_9131])

      allocate(vertices(254)%branchR2(0:0))
      call avR2(254, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8907])

      allocate(vertices(3270)%branchR2(0:0))
      call avR2(3270, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9196])

      allocate(vertices(2708)%branchR2(0:0))
      call avR2(2708, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_8754])

      allocate(vertices(135)%branchR2(0:0))
      call avR2(135, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9094])

      allocate(vertices(1933)%branchR2(0:0))
      call avR2(1933, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(2618)%branchR2(0:0))
      call avR2(2618, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_8798, nGC_8799])

      allocate(vertices(1504)%branchR2(0:0))
      call avR2(1504, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8909])

      allocate(vertices(462)%branchR2(0:0))
      call avR2(462, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9129])

      allocate(vertices(2393)%branchR2(0:0))
      call avR2(2393, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9094])

      allocate(vertices(2076)%branchR2(0:0))
      call avR2(2076, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(121)%branchR2(0:0))
      call avR2(121, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(2257)%branchR2(0:0))
      call avR2(2257, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(2705)%branchR2(0:1))
      call avR2(2705, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8943, nGC_8945])

      call avR2(2705, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8944, nGC_8946])

      allocate(vertices(3323)%branchR2(0:0))
      call avR2(3323, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9159])

      allocate(vertices(918)%branchR2(0:0))
      call avR2(918, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9094])

      allocate(vertices(229)%branchR2(0:1))
      call avR2(229, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8906, nGC_8904])

      call avR2(229, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8919, nGC_8918])

      allocate(vertices(1516)%branchR2(0:0))
      call avR2(1516, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(2742)%branchR2(0:0))
      call avR2(2742, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9159])

      allocate(vertices(3605)%branchR2(0:1))
      call avR2(3605, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9162])

      call avR2(3605, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9161])

      allocate(vertices(3226)%branchR2(0:0))
      call avR2(3226, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9204])

      allocate(vertices(683)%branchR2(0:0))
      call avR2(683, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9021])

      allocate(vertices(2384)%branchR2(0:0))
      call avR2(2384, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(2289)%branchR2(0:0))
      call avR2(2289, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9218])

      allocate(vertices(2309)%branchR2(0:0))
      call avR2(2309, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

      allocate(vertices(1728)%branchR2(0:0))
      call avR2(1728, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(2182)%branchR2(0:0))
      call avR2(2182, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(641)%branchR2(0:0))
      call avR2(641, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(3021)%branchR2(0:0))
      call avR2(3021, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8774])

      allocate(vertices(3606)%branchR2(0:0))
      call avR2(3606, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9188])

      allocate(vertices(2519)%branchR2(0:0))
      call avR2(2519, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(1604)%branchR2(0:0))
      call avR2(1604, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8942, nGC_8941])

      allocate(vertices(2365)%branchR2(0:0))
      call avR2(2365, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9194])

      allocate(vertices(630)%branchR2(0:0))
      call avR2(630, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8772])

      allocate(vertices(2881)%branchR2(0:0))
      call avR2(2881, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8775])

      allocate(vertices(1735)%branchR2(0:0))
      call avR2(1735, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9100])

      allocate(vertices(1722)%branchR2(0:0))
      call avR2(1722, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9231])

      allocate(vertices(3607)%branchR2(0:1))
      call avR2(3607, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9197])

      call avR2(3607, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9198])

      allocate(vertices(3608)%branchR2(0:1))
      call avR2(3608, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9161])

      call avR2(3608, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9162])

      allocate(vertices(1927)%branchR2(0:0))
      call avR2(1927, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9117])

      allocate(vertices(967)%branchR2(0:0))
      call avR2(967, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9089, nGC_9091,        &
      nGC_9090])

      allocate(vertices(2121)%branchR2(0:0))
      call avR2(2121, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(3609)%branchR2(0:1))
      call avR2(3609, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9162])

      call avR2(3609, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9161])

      allocate(vertices(187)%branchR2(0:0))
      call avR2(187, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9038])

      allocate(vertices(2889)%branchR2(0:0))
      call avR2(2889, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29561])

      allocate(vertices(867)%branchR2(0:0))
      call avR2(867, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(758)%branchR2(0:0))
      call avR2(758, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(2068)%branchR2(0:1))
      call avR2(2068, 0, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_8781, nGC_8781])

      call avR2(2068, 1, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_8780, nGC_8779])

      allocate(vertices(3610)%branchR2(0:1))
      call avR2(3610, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9103, nGC_9103,      &
      nGC_9103])

      call avR2(3610, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9102, nGC_9102,      &
      nGC_9102])

      allocate(vertices(1143)%branchR2(0:1))
      call avR2(1143, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8906, nGC_8904])

      call avR2(1143, 1, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8919, nGC_8918])

      allocate(vertices(888)%branchR2(0:0))
      call avR2(888, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9081])

      allocate(vertices(1515)%branchR2(0:0))
      call avR2(1515, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8802])

      allocate(vertices(1279)%branchR2(0:0))
      call avR2(1279, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_9005, nGC_9004])

      allocate(vertices(763)%branchR2(0:1))
      call avR2(763, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_9008, nGC_9008])

      call avR2(763, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_9006, nGC_9007])

      allocate(vertices(1531)%branchR2(0:0))
      call avR2(1531, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9143])

      allocate(vertices(1354)%branchR2(0:0))
      call avR2(1354, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8942, nGC_8941])

      allocate(vertices(1811)%branchR2(0:0))
      call avR2(1811, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9114])

      allocate(vertices(1268)%branchR2(0:0))
      call avR2(1268, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9099])

      allocate(vertices(1112)%branchR2(0:0))
      call avR2(1112, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9151])

      allocate(vertices(2408)%branchR2(0:0))
      call avR2(2408, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(2306)%branchR2(0:0))
      call avR2(2306, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9036, nGC_9037])

      allocate(vertices(1347)%branchR2(0:0))
      call avR2(1347, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(2249)%branchR2(0:0))
      call avR2(2249, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9100])

      allocate(vertices(751)%branchR2(0:0))
      call avR2(751, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8891])

      allocate(vertices(2510)%branchR2(0:0))
      call avR2(2510, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(1027)%branchR2(0:1))
      call avR2(1027, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_8784, nGC_8784])

      call avR2(1027, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_8801, nGC_8800])

      allocate(vertices(2324)%branchR2(0:0))
      call avR2(2324, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9081])

      allocate(vertices(2092)%branchR2(0:0))
      call avR2(2092, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(3611)%branchR2(0:1))
      call avR2(3611, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9146])

      call avR2(3611, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9145])

      allocate(vertices(148)%branchR2(0:0))
      call avR2(148, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9113])

      allocate(vertices(558)%branchR2(0:0))
      call avR2(558, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9022])

      allocate(vertices(2000)%branchR2(0:0))
      call avR2(2000, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(1280)%branchR2(0:0))
      call avR2(1280, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(1396)%branchR2(0:0))
      call avR2(1396, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9100])

      allocate(vertices(2418)%branchR2(0:0))
      call avR2(2418, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9219])

      allocate(vertices(986)%branchR2(0:3))
      call avR2(986, 0, 30, 1, 0, VFFa1, 0, [1, 2], [nGC_9073, nGC_9072])

      call avR2(986, 1, 30, 1, 0, VFFa1, 0, [3, 0], [nGC_9067, nGC_9067])

      call avR2(986, 2, 31, 1, 0, VFFa1, 0, [1, 2], [nGC_9071, nGC_9070])

      call avR2(986, 3, 31, 1, 0, VFFa1, 0, [3, 0], [nGC_9064, nGC_9064])

      allocate(vertices(3612)%branchR2(0:0))
      call avR2(3612, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(3613)%branchR2(0:0))
      call avR2(3613, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(57)%branchR2(0:0))
      call avR2(57, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

      allocate(vertices(1622)%branchR2(0:0))
      call avR2(1622, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(2951)%branchR2(0:0))
      call avR2(2951, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9122])

      allocate(vertices(1260)%branchR2(0:1))
      call avR2(1260, 0, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_9030, nGC_9028])

      call avR2(1260, 1, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_9047, nGC_9046])

      allocate(vertices(731)%branchR2(0:0))
      call avR2(731, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9081])

      allocate(vertices(1342)%branchR2(0:0))
      call avR2(1342, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9128])

      allocate(vertices(2377)%branchR2(0:0))
      call avR2(2377, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(3243)%branchR2(0:0))
      call avR2(3243, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9159])

      allocate(vertices(2371)%branchR2(0:0))
      call avR2(2371, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(475)%branchR2(0:0))
      call avR2(475, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(338)%branchR2(0:0))
      call avR2(338, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(1216)%branchR2(0:0))
      call avR2(1216, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(364)%branchR2(0:0))
      call avR2(364, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9093])

      allocate(vertices(667)%branchR2(0:0))
      call avR2(667, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(1043)%branchR2(0:0))
      call avR2(1043, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29632])

      allocate(vertices(1689)%branchR2(0:0))
      call avR2(1689, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(1701)%branchR2(0:0))
      call avR2(1701, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8847])

      allocate(vertices(2280)%branchR2(0:0))
      call avR2(2280, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9213])

      allocate(vertices(1046)%branchR2(0:0))
      call avR2(1046, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9253, nGC_9252,       &
      nGC_9254])

      allocate(vertices(3538)%branchR2(0:0))
      call avR2(3538, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9119])

      allocate(vertices(2036)%branchR2(0:0))
      call avR2(2036, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(262)%branchR2(0:0))
      call avR2(262, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(451)%branchR2(0:1))
      call avR2(451, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8903, nGC_8905])

      call avR2(451, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8904, nGC_8906])

      allocate(vertices(59)%branchR2(0:1))
      call avR2(59, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8953, nGC_8955])

      call avR2(59, 1, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8954, nGC_8956])

      allocate(vertices(2566)%branchR2(0:0))
      call avR2(2566, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(73)%branchR2(0:0))
      call avR2(73, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9093])

      allocate(vertices(1796)%branchR2(0:0))
      call avR2(1796, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9116])

      allocate(vertices(2342)%branchR2(0:1))
      call avR2(2342, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8935, nGC_8937])

      call avR2(2342, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8936, nGC_8938])

      allocate(vertices(1392)%branchR2(0:0))
      call avR2(1392, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9126])

      allocate(vertices(582)%branchR2(0:0))
      call avR2(582, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9214])

      allocate(vertices(550)%branchR2(0:0))
      call avR2(550, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(1507)%branchR2(0:0))
      call avR2(1507, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(585)%branchR2(0:0))
      call avR2(585, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(651)%branchR2(0:1))
      call avR2(651, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8943, nGC_8945])

      call avR2(651, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8944, nGC_8946])

      allocate(vertices(1106)%branchR2(0:0))
      call avR2(1106, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9022])

      allocate(vertices(200)%branchR2(0:0))
      call avR2(200, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8837])

      allocate(vertices(3038)%branchR2(0:0))
      call avR2(3038, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_8710, nGC_8709])

      allocate(vertices(3123)%branchR2(0:0))
      call avR2(3123, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9078])

      allocate(vertices(2714)%branchR2(0:0))
      call avR2(2714, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9096])

      allocate(vertices(2327)%branchR2(0:0))
      call avR2(2327, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8940, nGC_8939])

      allocate(vertices(3614)%branchR2(0:0))
      call avR2(3614, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9082])

      allocate(vertices(3554)%branchR2(0:0))
      call avR2(3554, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9110])

      allocate(vertices(1994)%branchR2(0:0))
      call avR2(1994, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(358)%branchR2(0:0))
      call avR2(358, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9093])

      allocate(vertices(3615)%branchR2(0:1))
      call avR2(3615, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9208])

      call avR2(3615, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9207])

      allocate(vertices(230)%branchR2(0:0))
      call avR2(230, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9183])

      allocate(vertices(374)%branchR2(0:0))
      call avR2(374, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

      allocate(vertices(2045)%branchR2(0:0))
      call avR2(2045, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(1720)%branchR2(0:1))
      call avR2(1720, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_9011, nGC_9011])

      call avR2(1720, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_9009, nGC_9010])

      allocate(vertices(30)%branchR2(0:0))
      call avR2(30, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(3106)%branchR2(0:0))
      call avR2(3106, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9205])

      allocate(vertices(3049)%branchR2(0:0))
      call avR2(3049, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9122])

      allocate(vertices(91)%branchR2(0:0))
      call avR2(91, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

      allocate(vertices(2359)%branchR2(0:0))
      call avR2(2359, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8832])

      allocate(vertices(3616)%branchR2(0:1))
      call avR2(3616, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9239])

      call avR2(3616, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9240])

      allocate(vertices(88)%branchR2(0:0))
      call avR2(88, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(2339)%branchR2(0:1))
      call avR2(2339, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8823, nGC_8825])

      call avR2(2339, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8824, nGC_8826])

      allocate(vertices(3430)%branchR2(0:0))
      call avR2(3430, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9095])

      allocate(vertices(153)%branchR2(0:0))
      call avR2(153, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9244])

      allocate(vertices(1884)%branchR2(0:0))
      call avR2(1884, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9093])

      allocate(vertices(1119)%branchR2(0:0))
      call avR2(1119, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(1536)%branchR2(0:1))
      call avR2(1536, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8878, nGC_8880])

      call avR2(1536, 1, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8879, nGC_8881])

      allocate(vertices(665)%branchR2(0:0))
      call avR2(665, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(1034)%branchR2(0:1))
      call avR2(1034, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_8801, nGC_8800])

      call avR2(1034, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_8784, nGC_8784])

      allocate(vertices(3292)%branchR2(0:0))
      call avR2(3292, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9199])

      allocate(vertices(292)%branchR2(0:0))
      call avR2(292, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8808])

      allocate(vertices(3521)%branchR2(0:0))
      call avR2(3521, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9095])

      allocate(vertices(257)%branchR2(0:0))
      call avR2(257, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(1026)%branchR2(0:0))
      call avR2(1026, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9132])

      allocate(vertices(2332)%branchR2(0:0))
      call avR2(2332, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9171])

      allocate(vertices(1686)%branchR2(0:0))
      call avR2(1686, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9144])

      allocate(vertices(2175)%branchR2(0:0))
      call avR2(2175, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

      allocate(vertices(3617)%branchR2(0:0))
      call avR2(3617, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(3499)%branchR2(0:0))
      call avR2(3499, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9205])

      allocate(vertices(1909)%branchR2(0:0))
      call avR2(1909, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9125, nGC_9124,       &
      nGC_9123])

      allocate(vertices(82)%branchR2(0:0))
      call avR2(82, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9022])

      allocate(vertices(3618)%branchR2(0:0))
      call avR2(3618, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9084])

      allocate(vertices(1449)%branchR2(0:0))
      call avR2(1449, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(2591)%branchR2(0:0))
      call avR2(2591, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(722)%branchR2(0:0))
      call avR2(722, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9254, nGC_9252,        &
      nGC_9253])

      allocate(vertices(1497)%branchR2(0:0))
      call avR2(1497, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9234])

      allocate(vertices(3394)%branchR2(0:0))
      call avR2(3394, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(1133)%branchR2(0:0))
      call avR2(1133, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(714)%branchR2(0:1))
      call avR2(714, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8815, nGC_8817])

      call avR2(714, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8816, nGC_8818])

      allocate(vertices(764)%branchR2(0:0))
      call avR2(764, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9022])

      allocate(vertices(1028)%branchR2(0:0))
      call avR2(1028, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9222])

      allocate(vertices(3191)%branchR2(0:0))
      call avR2(3191, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_8792])

      allocate(vertices(2015)%branchR2(0:0))
      call avR2(2015, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9220])

      allocate(vertices(729)%branchR2(0:0))
      call avR2(729, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8805])

      allocate(vertices(3104)%branchR2(0:0))
      call avR2(3104, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9181])

      allocate(vertices(3562)%branchR2(0:0))
      call avR2(3562, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9196])

      allocate(vertices(2317)%branchR2(0:0))
      call avR2(2317, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(1116)%branchR2(0:0))
      call avR2(1116, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(2859)%branchR2(0:0))
      call avR2(2859, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9196])

      allocate(vertices(181)%branchR2(0:0))
      call avR2(181, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9100])

      allocate(vertices(1802)%branchR2(0:0))
      call avR2(1802, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(518)%branchR2(0:0))
      call avR2(518, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(3619)%branchR2(0:1))
      call avR2(3619, 0, 43, 1, 0, SVV0, 0, [2, 1], [nGC_9002])

      call avR2(3619, 1, 44, 1, 0, SVV0, 0, [2, 1], [nGC_9003])

      allocate(vertices(1674)%branchR2(0:0))
      call avR2(1674, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(3181)%branchR2(0:0))
      call avR2(3181, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29754])

      allocate(vertices(1522)%branchR2(0:1))
      call avR2(1522, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8900, nGC_8902])

      call avR2(1522, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8916, nGC_8917])

      allocate(vertices(3052)%branchR2(0:0))
      call avR2(3052, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29760])

      allocate(vertices(2698)%branchR2(0:0))
      call avR2(2698, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(3465)%branchR2(0:0))
      call avR2(3465, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9079])

      allocate(vertices(3620)%branchR2(0:1))
      call avR2(3620, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9229])

      call avR2(3620, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9230])

      allocate(vertices(2228)%branchR2(0:0))
      call avR2(2228, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8908])

      allocate(vertices(3500)%branchR2(0:0))
      call avR2(3500, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9159])

      allocate(vertices(2421)%branchR2(0:0))
      call avR2(2421, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(3007)%branchR2(0:0))
      call avR2(3007, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9160])

      allocate(vertices(1662)%branchR2(0:0))
      call avR2(1662, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9035])

      allocate(vertices(1070)%branchR2(0:1))
      call avR2(1070, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_9018])

      call avR2(1070, 1, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_9019])

      allocate(vertices(175)%branchR2(0:0))
      call avR2(175, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8808])

      allocate(vertices(2178)%branchR2(0:1))
      call avR2(2178, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8884, nGC_8886])

      call avR2(2178, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8885, nGC_8887])

      allocate(vertices(1290)%branchR2(0:0))
      call avR2(1290, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_8789, nGC_8790])

      allocate(vertices(294)%branchR2(0:3))
      call avR2(294, 0, 24, 1, 0, FaVF0, 0, [1, 2], [nGC_9053, nGC_9051])

      call avR2(294, 1, 24, 1, 0, FaVF0, 0, [3, 0], [nGC_9052, nGC_9052])

      call avR2(294, 2, 25, 1, 0, FaVF0, 0, [1, 2], [nGC_9050, nGC_9048])

      call avR2(294, 3, 25, 1, 0, FaVF0, 0, [3, 0], [nGC_9049, nGC_9049])

      allocate(vertices(1751)%branchR2(0:0))
      call avR2(1751, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(2333)%branchR2(0:1))
      call avR2(2333, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_9008, nGC_9008])

      call avR2(2333, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_9006, nGC_9007])

      allocate(vertices(1916)%branchR2(0:0))
      call avR2(1916, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9250, nGC_9251,       &
      nGC_9251])

      allocate(vertices(3000)%branchR2(0:0))
      call avR2(3000, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(151)%branchR2(0:0))
      call avR2(151, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9219])

      allocate(vertices(3621)%branchR2(0:0))
      call avR2(3621, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9082])

      allocate(vertices(2806)%branchR2(0:0))
      call avR2(2806, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8777])

      allocate(vertices(189)%branchR2(0:0))
      call avR2(189, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9117])

      allocate(vertices(2778)%branchR2(0:0))
      call avR2(2778, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9095])

      allocate(vertices(964)%branchR2(0:0))
      call avR2(964, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9132])

      allocate(vertices(2122)%branchR2(0:0))
      call avR2(2122, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8989])

      allocate(vertices(2024)%branchR2(0:0))
      call avR2(2024, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9201])

      allocate(vertices(2204)%branchR2(0:3))
      call avR2(2204, 0, 29, 1, 0, VFaF1, 0, [1, 2], [nGC_9063, nGC_9062])

      call avR2(2204, 1, 29, 1, 0, VFaF1, 0, [3, 0], [nGC_9064, nGC_9064])

      call avR2(2204, 2, 28, 1, 0, VFaF1, 0, [1, 2], [nGC_9066, nGC_9065])

      call avR2(2204, 3, 28, 1, 0, VFaF1, 0, [3, 0], [nGC_9067, nGC_9067])

      allocate(vertices(2200)%branchR2(0:0))
      call avR2(2200, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(2494)%branchR2(0:1))
      call avR2(2494, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8977, nGC_8978])

      call avR2(2494, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8979, nGC_8979])

      allocate(vertices(1037)%branchR2(0:0))
      call avR2(1037, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9094])

      allocate(vertices(2374)%branchR2(0:0))
      call avR2(2374, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(3622)%branchR2(0:1))
      call avR2(3622, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9130, nGC_9130,      &
      nGC_9130])

      call avR2(3622, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9131, nGC_9131,      &
      nGC_9131])

      allocate(vertices(1479)%branchR2(0:0))
      call avR2(1479, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9038])

      allocate(vertices(2980)%branchR2(0:0))
      call avR2(2980, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9181])

      allocate(vertices(1021)%branchR2(0:0))
      call avR2(1021, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9116])

      allocate(vertices(522)%branchR2(0:0))
      call avR2(522, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

      allocate(vertices(1956)%branchR2(0:0))
      call avR2(1956, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8778])

      allocate(vertices(3539)%branchR2(0:0))
      call avR2(3539, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9163])

      allocate(vertices(712)%branchR2(0:1))
      call avR2(712, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8826, nGC_8824])

      call avR2(712, 1, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8845, nGC_8844])

      allocate(vertices(2151)%branchR2(0:1))
      call avR2(2151, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8965, nGC_8966])

      call avR2(2151, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8967, nGC_8967])

      allocate(vertices(3067)%branchR2(0:0))
      call avR2(3067, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9159])

      allocate(vertices(3361)%branchR2(0:0))
      call avR2(3361, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(2701)%branchR2(0:0))
      call avR2(2701, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

      allocate(vertices(1484)%branchR2(0:0))
      call avR2(1484, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9191])

      allocate(vertices(1934)%branchR2(0:0))
      call avR2(1934, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(1404)%branchR2(0:0))
      call avR2(1404, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(2948)%branchR2(0:0))
      call avR2(2948, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8835])

      allocate(vertices(1056)%branchR2(0:0))
      call avR2(1056, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(3623)%branchR2(0:1))
      call avR2(3623, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9230])

      call avR2(3623, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9229])

      allocate(vertices(1180)%branchR2(0:1))
      call avR2(1180, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8901, nGC_8899])

      call avR2(1180, 1, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8902, nGC_8900])

      allocate(vertices(779)%branchR2(0:0))
      call avR2(779, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(1434)%branchR2(0:0))
      call avR2(1434, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(2207)%branchR2(0:0))
      call avR2(2207, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9125, nGC_9123,       &
      nGC_9124])

      allocate(vertices(2517)%branchR2(0:0))
      call avR2(2517, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(785)%branchR2(0:0))
      call avR2(785, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(3624)%branchR2(0:1))
      call avR2(3624, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9256, nGC_9256,      &
      nGC_9256])

      call avR2(3624, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9257, nGC_9257,      &
      nGC_9257])

      allocate(vertices(1076)%branchR2(0:1))
      call avR2(1076, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_9009, nGC_9010])

      call avR2(1076, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_9011, nGC_9011])

      allocate(vertices(1499)%branchR2(0:0))
      call avR2(1499, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9192])

      allocate(vertices(134)%branchR2(0:0))
      call avR2(134, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8772])

      allocate(vertices(154)%branchR2(0:0))
      call avR2(154, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(1560)%branchR2(0:0))
      call avR2(1560, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8850])

      allocate(vertices(3625)%branchR2(0:1))
      call avR2(3625, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9146])

      call avR2(3625, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9145])

      allocate(vertices(1035)%branchR2(0:0))
      call avR2(1035, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(1938)%branchR2(0:0))
      call avR2(1938, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9213])

      allocate(vertices(2841)%branchR2(0:0))
      call avR2(2841, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8765])

      allocate(vertices(1970)%branchR2(0:0))
      call avR2(1970, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9117])

      allocate(vertices(2330)%branchR2(0:1))
      call avR2(2330, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_8781, nGC_8781])

      call avR2(2330, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_8795, nGC_8794])

      allocate(vertices(2170)%branchR2(0:0))
      call avR2(2170, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(386)%branchR2(0:0))
      call avR2(386, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8809])

      allocate(vertices(1626)%branchR2(0:0))
      call avR2(1626, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9213])

      allocate(vertices(3577)%branchR2(0:0))
      call avR2(3577, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8774])

      allocate(vertices(1409)%branchR2(0:0))
      call avR2(1409, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9022])

      allocate(vertices(367)%branchR2(0:0))
      call avR2(367, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9094])

      allocate(vertices(862)%branchR2(0:0))
      call avR2(862, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(1128)%branchR2(0:0))
      call avR2(1128, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8891])

      allocate(vertices(2071)%branchR2(0:1))
      call avR2(2071, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8820, nGC_8822])

      call avR2(2071, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8842, nGC_8843])

      allocate(vertices(3064)%branchR2(0:0))
      call avR2(3064, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9199])

      allocate(vertices(917)%branchR2(0:1))
      call avR2(917, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_9029, nGC_9027])

      call avR2(917, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_9030, nGC_9028])

      allocate(vertices(3496)%branchR2(0:0))
      call avR2(3496, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(3422)%branchR2(0:0))
      call avR2(3422, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(1433)%branchR2(0:0))
      call avR2(1433, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9187])

      allocate(vertices(1311)%branchR2(0:1))
      call avR2(1311, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8987, nGC_8987])

      call avR2(1311, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8985, nGC_8986])

      allocate(vertices(2057)%branchR2(0:0))
      call avR2(2057, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(1419)%branchR2(0:0))
      call avR2(1419, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8908])

      allocate(vertices(3264)%branchR2(0:0))
      call avR2(3264, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_8791])

      allocate(vertices(1324)%branchR2(0:0))
      call avR2(1324, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29893])

      allocate(vertices(776)%branchR2(0:0))
      call avR2(776, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(2743)%branchR2(0:0))
      call avR2(2743, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8810])

      allocate(vertices(422)%branchR2(0:0))
      call avR2(422, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(90)%branchR2(0:0))
      call avR2(90, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9164])

      allocate(vertices(2360)%branchR2(0:0))
      call avR2(2360, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(1074)%branchR2(0:1))
      call avR2(1074, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8903, nGC_8905])

      call avR2(1074, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8904, nGC_8906])

      allocate(vertices(1766)%branchR2(0:1))
      call avR2(1766, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_9011, nGC_9011])

      call avR2(1766, 1, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_9009, nGC_9010])

      allocate(vertices(388)%branchR2(0:0))
      call avR2(388, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(3296)%branchR2(0:0))
      call avR2(3296, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9204])

      allocate(vertices(3626)%branchR2(0:0))
      call avR2(3626, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(18)%branchR2(0:0))
      call avR2(18, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(3627)%branchR2(0:0))
      call avR2(3627, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(1083)%branchR2(0:0))
      call avR2(1083, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8873, nGC_8872])

      allocate(vertices(1274)%branchR2(0:0))
      call avR2(1274, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9100])

      allocate(vertices(514)%branchR2(0:1))
      call avR2(514, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8821, nGC_8819])

      call avR2(514, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8822, nGC_8820])

      allocate(vertices(2641)%branchR2(0:1))
      call avR2(2641, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8895, nGC_8897])

      call avR2(2641, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8896, nGC_8898])

      allocate(vertices(3318)%branchR2(0:0))
      call avR2(3318, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9095])

      allocate(vertices(1771)%branchR2(0:0))
      call avR2(1771, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8834])

      allocate(vertices(3265)%branchR2(0:0))
      call avR2(3265, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9160])

      allocate(vertices(74)%branchR2(0:1))
      call avR2(74, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8884, nGC_8886])

      call avR2(74, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8885, nGC_8887])

      allocate(vertices(3470)%branchR2(0:0))
      call avR2(3470, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9235])

      allocate(vertices(3628)%branchR2(0:0))
      call avR2(3628, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9111])

      allocate(vertices(2603)%branchR2(0:0))
      call avR2(2603, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9214])

      allocate(vertices(302)%branchR2(0:0))
      call avR2(302, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9116])

      allocate(vertices(3018)%branchR2(0:0))
      call avR2(3018, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8853])

      allocate(vertices(2530)%branchR2(0:0))
      call avR2(2530, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9222])

      allocate(vertices(3177)%branchR2(0:0))
      call avR2(3177, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9159])

      allocate(vertices(474)%branchR2(0:1))
      call avR2(474, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8858, nGC_8860])

      call avR2(474, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8859, nGC_8861])

      allocate(vertices(3509)%branchR2(0:0))
      call avR2(3509, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9238])

      allocate(vertices(2376)%branchR2(0:0))
      call avR2(2376, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(530)%branchR2(0:0))
      call avR2(530, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(1118)%branchR2(0:1))
      call avR2(1118, 0, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_8784, nGC_8784])

      call avR2(1118, 1, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_8783, nGC_8782])

      allocate(vertices(635)%branchR2(0:0))
      call avR2(635, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(2850)%branchR2(0:0))
      call avR2(2850, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_8793])

      allocate(vertices(1435)%branchR2(0:0))
      call avR2(1435, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9171])

      allocate(vertices(2527)%branchR2(0:0))
      call avR2(2527, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9164])

      allocate(vertices(3629)%branchR2(0:0))
      call avR2(3629, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9084])

      allocate(vertices(381)%branchR2(0:0))
      call avR2(381, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8848])

      allocate(vertices(2477)%branchR2(0:0))
      call avR2(2477, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(595)%branchR2(0:0))
      call avR2(595, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(684)%branchR2(0:0))
      call avR2(684, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

      allocate(vertices(3630)%branchR2(0:1))
      call avR2(3630, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9242])

      call avR2(3630, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9243])

      allocate(vertices(3631)%branchR2(0:0))
      call avR2(3631, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9084])

      allocate(vertices(63)%branchR2(0:1))
      call avR2(63, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8935, nGC_8937])

      call avR2(63, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8936, nGC_8938])

      allocate(vertices(1992)%branchR2(0:0))
      call avR2(1992, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9223])

      allocate(vertices(478)%branchR2(0:0))
      call avR2(478, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8805])

      allocate(vertices(1943)%branchR2(0:0))
      call avR2(1943, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9190])

      allocate(vertices(976)%branchR2(0:0))
      call avR2(976, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29966])

      allocate(vertices(3251)%branchR2(0:0))
      call avR2(3251, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9120])

      allocate(vertices(3162)%branchR2(0:0))
      call avR2(3162, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9159])

      allocate(vertices(681)%branchR2(0:0))
      call avR2(681, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(1333)%branchR2(0:0))
      call avR2(1333, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8764])

      allocate(vertices(3370)%branchR2(0:0))
      call avR2(3370, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9235])

      allocate(vertices(467)%branchR2(0:0))
      call avR2(467, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(3027)%branchR2(0:0))
      call avR2(3027, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(449)%branchR2(0:0))
      call avR2(449, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9193])

      allocate(vertices(1368)%branchR2(0:1))
      call avR2(1368, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8898, nGC_8896])

      call avR2(1368, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8915, nGC_8914])

      allocate(vertices(1178)%branchR2(0:0))
      call avR2(1178, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(3004)%branchR2(0:0))
      call avR2(3004, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(855)%branchR2(0:0))
      call avR2(855, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(2996)%branchR2(0:0))
      call avR2(2996, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(432)%branchR2(0:0))
      call avR2(432, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8909])

      allocate(vertices(870)%branchR2(0:3))
      call avR2(870, 0, 30, 1, 0, VFFa1, 0, [1, 2], [nGC_9057, nGC_9056])

      call avR2(870, 1, 30, 1, 0, VFFa1, 0, [3, 0], [nGC_9052, nGC_9052])

      call avR2(870, 2, 31, 1, 0, VFFa1, 0, [1, 2], [nGC_9055, nGC_9054])

      call avR2(870, 3, 31, 1, 0, VFFa1, 0, [3, 0], [nGC_9049, nGC_9049])

      allocate(vertices(3632)%branchR2(0:1))
      call avR2(3632, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9207])

      call avR2(3632, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9208])

      allocate(vertices(469)%branchR2(0:1))
      call avR2(469, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8783, nGC_8782])

      call avR2(469, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8784, nGC_8784])

      allocate(vertices(3633)%branchR2(0:0))
      call avR2(3633, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9082])

      allocate(vertices(3210)%branchR2(0:0))
      call avR2(3210, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29997])

      allocate(vertices(1444)%branchR2(0:0))
      call avR2(1444, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29966])

      allocate(vertices(743)%branchR2(0:1))
      call avR2(743, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8821, nGC_8819])

      call avR2(743, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8822, nGC_8820])

      allocate(vertices(3443)%branchR2(0:0))
      call avR2(3443, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9204])

      allocate(vertices(210)%branchR2(0:0))
      call avR2(210, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(1259)%branchR2(0:0))
      call avR2(1259, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9234])

      allocate(vertices(586)%branchR2(0:0))
      call avR2(586, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8828])

      allocate(vertices(2067)%branchR2(0:0))
      call avR2(2067, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(3634)%branchR2(0:1))
      call avR2(3634, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9229])

      call avR2(3634, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9230])

      allocate(vertices(3098)%branchR2(0:0))
      call avR2(3098, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9160])

      allocate(vertices(370)%branchR2(0:0))
      call avR2(370, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(276)%branchR2(0:0))
      call avR2(276, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(597)%branchR2(0:0))
      call avR2(597, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8960])

      allocate(vertices(1266)%branchR2(0:0))
      call avR2(1266, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8984, nGC_8983])

      allocate(vertices(1634)%branchR2(0:0))
      call avR2(1634, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9081])

      allocate(vertices(3095)%branchR2(0:0))
      call avR2(3095, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9119])

      allocate(vertices(707)%branchR2(0:0))
      call avR2(707, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9222])

      allocate(vertices(903)%branchR2(0:0))
      call avR2(903, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9182])

      allocate(vertices(2730)%branchR2(0:0))
      call avR2(2730, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9095])

      allocate(vertices(921)%branchR2(0:0))
      call avR2(921, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9222])

      allocate(vertices(3268)%branchR2(0:0))
      call avR2(3268, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9160])

      allocate(vertices(2292)%branchR2(0:1))
      call avR2(2292, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8999, nGC_8999])

      call avR2(2292, 1, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8997, nGC_8998])

      allocate(vertices(2557)%branchR2(0:0))
      call avR2(2557, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9117])

      allocate(vertices(1535)%branchR2(0:0))
      call avR2(1535, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(2296)%branchR2(0:0))
      call avR2(2296, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9171])

      allocate(vertices(2405)%branchR2(0:0))
      call avR2(2405, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9114])

      allocate(vertices(3635)%branchR2(0:1))
      call avR2(3635, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9207])

      call avR2(3635, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9208])

      allocate(vertices(1818)%branchR2(0:0))
      call avR2(1818, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8829])

      allocate(vertices(2062)%branchR2(0:0))
      call avR2(2062, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(1533)%branchR2(0:0))
      call avR2(1533, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(1194)%branchR2(0:0))
      call avR2(1194, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9143])

      allocate(vertices(2416)%branchR2(0:0))
      call avR2(2416, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_9033, nGC_9034])

      allocate(vertices(2034)%branchR2(0:1))
      call avR2(2034, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8826, nGC_8824])

      call avR2(2034, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8845, nGC_8844])

      allocate(vertices(1713)%branchR2(0:1))
      call avR2(1713, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_8786, nGC_8785])

      call avR2(1713, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_8781, nGC_8781])

      allocate(vertices(223)%branchR2(0:0))
      call avR2(223, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(1318)%branchR2(0:1))
      call avR2(1318, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8927, nGC_8929])

      call avR2(1318, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8928, nGC_8930])

      allocate(vertices(3211)%branchR2(0:0))
      call avR2(3211, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9181])

      allocate(vertices(662)%branchR2(0:0))
      call avR2(662, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(2192)%branchR2(0:0))
      call avR2(2192, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(2348)%branchR2(0:0))
      call avR2(2348, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(2520)%branchR2(0:0))
      call avR2(2520, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(915)%branchR2(0:0))
      call avR2(915, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9021])

      allocate(vertices(2427)%branchR2(0:0))
      call avR2(2427, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9099])

      allocate(vertices(1597)%branchR2(0:0))
      call avR2(1597, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30058])

      allocate(vertices(205)%branchR2(0:0))
      call avR2(205, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9232])

      allocate(vertices(3275)%branchR2(0:0))
      call avR2(3275, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30061])

      allocate(vertices(2576)%branchR2(0:0))
      call avR2(2576, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(3014)%branchR2(0:0))
      call avR2(3014, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30064])

      allocate(vertices(2874)%branchR2(0:0))
      call avR2(2874, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9160])

      allocate(vertices(3636)%branchR2(0:0))
      call avR2(3636, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9083])

      allocate(vertices(3512)%branchR2(0:0))
      call avR2(3512, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9078])

      allocate(vertices(2967)%branchR2(0:0))
      call avR2(2967, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9163])

      allocate(vertices(1805)%branchR2(0:0))
      call avR2(1805, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9224])

      allocate(vertices(2497)%branchR2(0:0))
      call avR2(2497, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9234])

      allocate(vertices(373)%branchR2(0:3))
      call avR2(373, 0, 30, 1, 0, VFFa1, 0, [1, 2], [nGC_9061, nGC_9060])

      call avR2(373, 1, 30, 1, 0, VFFa1, 0, [3, 0], [nGC_9052, nGC_9052])

      call avR2(373, 2, 31, 1, 0, VFFa1, 0, [1, 2], [nGC_9059, nGC_9058])

      call avR2(373, 3, 31, 1, 0, VFFa1, 0, [3, 0], [nGC_9049, nGC_9049])

      allocate(vertices(1521)%branchR2(0:0))
      call avR2(1521, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9116])

      allocate(vertices(996)%branchR2(0:0))
      call avR2(996, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(1896)%branchR2(0:0))
      call avR2(1896, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8923])

      allocate(vertices(1099)%branchR2(0:0))
      call avR2(1099, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9219])

      allocate(vertices(3061)%branchR2(0:0))
      call avR2(3061, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8852])

      allocate(vertices(525)%branchR2(0:0))
      call avR2(525, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(3637)%branchR2(0:0))
      call avR2(3637, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9088])

      allocate(vertices(2318)%branchR2(0:0))
      call avR2(2318, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(1210)%branchR2(0:0))
      call avR2(1210, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9190])

      allocate(vertices(631)%branchR2(0:0))
      call avR2(631, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_8787, nGC_8788])

      allocate(vertices(533)%branchR2(0:0))
      call avR2(533, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

      allocate(vertices(490)%branchR2(0:0))
      call avR2(490, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(814)%branchR2(0:0))
      call avR2(814, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_9001, nGC_9000])

      allocate(vertices(741)%branchR2(0:0))
      call avR2(741, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9220])

      allocate(vertices(1683)%branchR2(0:0))
      call avR2(1683, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(2955)%branchR2(0:0))
      call avR2(2955, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9095])

      allocate(vertices(2727)%branchR2(0:0))
      call avR2(2727, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(1111)%branchR2(0:0))
      call avR2(1111, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(1613)%branchR2(0:0))
      call avR2(1613, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(2188)%branchR2(0:0))
      call avR2(2188, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(2098)%branchR2(0:0))
      call avR2(2098, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9215])

      allocate(vertices(2260)%branchR2(0:0))
      call avR2(2260, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9117])

      allocate(vertices(3638)%branchR2(0:1))
      call avR2(3638, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9162])

      call avR2(3638, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9161])

      allocate(vertices(2638)%branchR2(0:0))
      call avR2(2638, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9021])

      allocate(vertices(3172)%branchR2(0:0))
      call avR2(3172, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9120])

      allocate(vertices(2571)%branchR2(0:0))
      call avR2(2571, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9183])

      allocate(vertices(2369)%branchR2(0:0))
      call avR2(2369, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

      allocate(vertices(652)%branchR2(0:0))
      call avR2(652, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(263)%branchR2(0:1))
      call avR2(263, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8982, nGC_8982])

      call avR2(263, 1, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8980, nGC_8981])

      allocate(vertices(1125)%branchR2(0:0))
      call avR2(1125, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(1889)%branchR2(0:0))
      call avR2(1889, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9165])

      allocate(vertices(348)%branchR2(0:1))
      call avR2(348, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8821, nGC_8819])

      call avR2(348, 1, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8822, nGC_8820])

      allocate(vertices(53)%branchR2(0:1))
      call avR2(53, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9018])

      call avR2(53, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9019])

      allocate(vertices(3639)%branchR2(0:0))
      call avR2(3639, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9083])

      allocate(vertices(2356)%branchR2(0:0))
      call avR2(2356, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(3380)%branchR2(0:0))
      call avR2(3380, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9095])

      allocate(vertices(3158)%branchR2(0:0))
      call avR2(3158, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9196])

      allocate(vertices(1481)%branchR2(0:0))
      call avR2(1481, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8913])

      allocate(vertices(643)%branchR2(0:0))
      call avR2(643, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8976, nGC_8975])

      allocate(vertices(1690)%branchR2(0:1))
      call avR2(1690, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8866, nGC_8868])

      call avR2(1690, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8867, nGC_8869])

      allocate(vertices(981)%branchR2(0:0))
      call avR2(981, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8814])

      allocate(vertices(3447)%branchR2(0:0))
      call avR2(3447, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9079])

      allocate(vertices(3359)%branchR2(0:0))
      call avR2(3359, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9163])

      allocate(vertices(1446)%branchR2(0:0))
      call avR2(1446, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(2589)%branchR2(0:0))
      call avR2(2589, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9021])

      allocate(vertices(3376)%branchR2(0:0))
      call avR2(3376, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(2020)%branchR2(0:0))
      call avR2(2020, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9201])

      allocate(vertices(988)%branchR2(0:1))
      call avR2(988, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_9019])

      call avR2(988, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_9020])

      allocate(vertices(1020)%branchR2(0:0))
      call avR2(1020, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8773])

      allocate(vertices(2977)%branchR2(0:0))
      call avR2(2977, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9235])

      allocate(vertices(1413)%branchR2(0:0))
      call avR2(1413, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8913])

      allocate(vertices(2543)%branchR2(0:1))
      call avR2(2543, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_8797, nGC_8796])

      call avR2(2543, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_8784, nGC_8784])

      allocate(vertices(1501)%branchR2(0:0))
      call avR2(1501, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9114])

      allocate(vertices(420)%branchR2(0:0))
      call avR2(420, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30147])

      allocate(vertices(3640)%branchR2(0:1))
      call avR2(3640, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9216])

      call avR2(3640, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9217])

      allocate(vertices(753)%branchR2(0:0))
      call avR2(753, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9094])

      allocate(vertices(1308)%branchR2(0:0))
      call avR2(1308, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8894])

      allocate(vertices(1369)%branchR2(0:0))
      call avR2(1369, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(1066)%branchR2(0:0))
      call avR2(1066, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(2156)%branchR2(0:1))
      call avR2(2156, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8927, nGC_8929])

      call avR2(2156, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8928, nGC_8930])

      allocate(vertices(3641)%branchR2(0:1))
      call avR2(3641, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9146])

      call avR2(3641, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9145])

      allocate(vertices(3378)%branchR2(0:0))
      call avR2(3378, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(2963)%branchR2(0:1))
      call avR2(2963, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_8741, nGC_8738,       &
      nGC_8739, nGC_8739])

      call avR2(2963, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_8733, nGC_8733,       &
      nGC_8740, nGC_8740])

      allocate(vertices(3145)%branchR2(0:0))
      call avR2(3145, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8775])

      allocate(vertices(2704)%branchR2(0:0))
      call avR2(2704, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9193])

      allocate(vertices(247)%branchR2(0:0))
      call avR2(247, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9187])

      allocate(vertices(3642)%branchR2(0:1))
      call avR2(3642, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9242])

      call avR2(3642, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9243])

      allocate(vertices(745)%branchR2(0:0))
      call avR2(745, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9183])

      allocate(vertices(140)%branchR2(0:0))
      call avR2(140, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(1329)%branchR2(0:0))
      call avR2(1329, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9171])

      allocate(vertices(933)%branchR2(0:0))
      call avR2(933, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9191])

      allocate(vertices(2112)%branchR2(0:1))
      call avR2(2112, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8943, nGC_8945])

      call avR2(2112, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8944, nGC_8946])

      allocate(vertices(28)%branchR2(0:0))
      call avR2(28, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(1910)%branchR2(0:1))
      call avR2(1910, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8967, nGC_8967])

      call avR2(1910, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8965, nGC_8966])

      allocate(vertices(1763)%branchR2(0:0))
      call avR2(1763, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(3546)%branchR2(0:0))
      call avR2(3546, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9079])

      allocate(vertices(1703)%branchR2(0:1))
      call avR2(1703, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8874, nGC_8876])

      call avR2(1703, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8875, nGC_8877])

      allocate(vertices(3643)%branchR2(0:0))
      call avR2(3643, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9188])

      allocate(vertices(2620)%branchR2(0:0))
      call avR2(2620, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9021])

      allocate(vertices(1048)%branchR2(0:0))
      call avR2(1048, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9099])

      allocate(vertices(3011)%branchR2(0:0))
      call avR2(3011, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9120])

      allocate(vertices(1454)%branchR2(0:0))
      call avR2(1454, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(2225)%branchR2(0:0))
      call avR2(2225, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(2632)%branchR2(0:0))
      call avR2(2632, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_8798, nGC_8799])

      allocate(vertices(857)%branchR2(0:1))
      call avR2(857, 0, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_9019])

      call avR2(857, 1, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_9020])

      allocate(vertices(3644)%branchR2(0:0))
      call avR2(3644, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9111])

      allocate(vertices(435)%branchR2(0:0))
      call avR2(435, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(613)%branchR2(0:0))
      call avR2(613, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8803])

      allocate(vertices(321)%branchR2(0:0))
      call avR2(321, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(2256)%branchR2(0:0))
      call avR2(2256, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9219])

      allocate(vertices(1257)%branchR2(0:0))
      call avR2(1257, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(2263)%branchR2(0:0))
      call avR2(2263, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(2465)%branchR2(0:1))
      call avR2(2465, 0, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_9026, nGC_9024])

      call avR2(2465, 1, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_9032, nGC_9031])

      allocate(vertices(895)%branchR2(0:0))
      call avR2(895, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8839])

      allocate(vertices(1926)%branchR2(0:3))
      call avR2(1926, 0, 29, 1, 0, VFaF1, 0, [1, 2], [nGC_9071, nGC_9070])

      call avR2(1926, 1, 29, 1, 0, VFaF1, 0, [3, 0], [nGC_9064, nGC_9064])

      call avR2(1926, 2, 28, 1, 0, VFaF1, 0, [1, 2], [nGC_9073, nGC_9072])

      call avR2(1926, 3, 28, 1, 0, VFaF1, 0, [3, 0], [nGC_9067, nGC_9067])

      allocate(vertices(504)%branchR2(0:0))
      call avR2(504, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(2680)%branchR2(0:0))
      call avR2(2680, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9236])

      allocate(vertices(1330)%branchR2(0:0))
      call avR2(1330, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_9013, nGC_9012])

      allocate(vertices(2046)%branchR2(0:0))
      call avR2(2046, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9171])

      allocate(vertices(3645)%branchR2(0:1))
      call avR2(3645, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9131, nGC_9131,      &
      nGC_9131])

      call avR2(3645, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9130, nGC_9130,      &
      nGC_9130])

      allocate(vertices(3444)%branchR2(0:0))
      call avR2(3444, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_8744, nGC_8745,       &
      nGC_8759, nGC_8759])

      allocate(vertices(3280)%branchR2(0:0))
      call avR2(3280, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9235])

      allocate(vertices(2895)%branchR2(0:0))
      call avR2(2895, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9122])

      allocate(vertices(46)%branchR2(0:0))
      call avR2(46, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8771])

      allocate(vertices(2592)%branchR2(0:0))
      call avR2(2592, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9116])

      allocate(vertices(1628)%branchR2(0:0))
      call avR2(1628, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9171])

      allocate(vertices(2658)%branchR2(0:0))
      call avR2(2658, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9118])

      allocate(vertices(1556)%branchR2(0:0))
      call avR2(1556, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(803)%branchR2(0:0))
      call avR2(803, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(3646)%branchR2(0:1))
      call avR2(3646, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9162])

      call avR2(3646, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9161])

      allocate(vertices(3647)%branchR2(0:1))
      call avR2(3647, 0, 43, 1, 0, SVV0, 0, [2, 1], [nGC_8973])

      call avR2(3647, 1, 44, 1, 0, SVV0, 0, [2, 1], [nGC_8974])

      allocate(vertices(55)%branchR2(0:0))
      call avR2(55, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9144])

      allocate(vertices(864)%branchR2(0:0))
      call avR2(864, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8888])

      allocate(vertices(816)%branchR2(0:0))
      call avR2(816, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9114])

      allocate(vertices(2459)%branchR2(0:1))
      call avR2(2459, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8947, nGC_8949])

      call avR2(2459, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8948, nGC_8950])

      allocate(vertices(2238)%branchR2(0:0))
      call avR2(2238, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(2331)%branchR2(0:0))
      call avR2(2331, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(1447)%branchR2(0:0))
      call avR2(1447, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(3648)%branchR2(0:0))
      call avR2(3648, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(2425)%branchR2(0:0))
      call avR2(2425, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8883, nGC_8882])

      allocate(vertices(1211)%branchR2(0:0))
      call avR2(1211, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(629)%branchR2(0:0))
      call avR2(629, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8846])

      allocate(vertices(2567)%branchR2(0:0))
      call avR2(2567, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9123, nGC_9125,       &
      nGC_9124])

      allocate(vertices(2167)%branchR2(0:0))
      call avR2(2167, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(2472)%branchR2(0:0))
      call avR2(2472, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(3025)%branchR2(0:0))
      call avR2(3025, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8853])

      allocate(vertices(3112)%branchR2(0:0))
      call avR2(3112, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9180])

      allocate(vertices(1860)%branchR2(0:0))
      call avR2(1860, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(445)%branchR2(0:1))
      call avR2(445, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8903, nGC_8905])

      call avR2(445, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8904, nGC_8906])

      allocate(vertices(169)%branchR2(0:0))
      call avR2(169, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(628)%branchR2(0:0))
      call avR2(628, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

      allocate(vertices(2303)%branchR2(0:0))
      call avR2(2303, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(2523)%branchR2(0:0))
      call avR2(2523, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(3575)%branchR2(0:0))
      call avR2(3575, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9159])

      allocate(vertices(807)%branchR2(0:0))
      call avR2(807, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9225])

      allocate(vertices(812)%branchR2(0:0))
      call avR2(812, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(3406)%branchR2(0:0))
      call avR2(3406, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9078])

      allocate(vertices(1164)%branchR2(0:0))
      call avR2(1164, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(1866)%branchR2(0:0))
      call avR2(1866, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(1548)%branchR2(0:1))
      call avR2(1548, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8927, nGC_8929])

      call avR2(1548, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8928, nGC_8930])

      allocate(vertices(3441)%branchR2(0:0))
      call avR2(3441, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9199])

      allocate(vertices(3252)%branchR2(0:0))
      call avR2(3252, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(3505)%branchR2(0:0))
      call avR2(3505, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9120])

      allocate(vertices(1733)%branchR2(0:1))
      call avR2(1733, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8903, nGC_8905])

      call avR2(1733, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8904, nGC_8906])

      allocate(vertices(2783)%branchR2(0:0))
      call avR2(2783, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9110])

      allocate(vertices(1742)%branchR2(0:0))
      call avR2(1742, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9117])

      allocate(vertices(2399)%branchR2(0:0))
      call avR2(2399, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9165])

      allocate(vertices(3048)%branchR2(0:0))
      call avR2(3048, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9096])

      allocate(vertices(3320)%branchR2(0:0))
      call avR2(3320, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9196])

      allocate(vertices(1491)%branchR2(0:0))
      call avR2(1491, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8961])

      allocate(vertices(3649)%branchR2(0:1))
      call avR2(3649, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9249, nGC_9249,      &
      nGC_9249])

      call avR2(3649, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9248, nGC_9248,      &
      nGC_9248])

      allocate(vertices(1149)%branchR2(0:0))
      call avR2(1149, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(3650)%branchR2(0:0))
      call avR2(3650, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9087, nGC_9087,       &
      nGC_9087])

      allocate(vertices(1940)%branchR2(0:0))
      call avR2(1940, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9021])

      allocate(vertices(156)%branchR2(0:0))
      call avR2(156, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(1236)%branchR2(0:0))
      call avR2(1236, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(794)%branchR2(0:0))
      call avR2(794, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9218])

      allocate(vertices(654)%branchR2(0:0))
      call avR2(654, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(956)%branchR2(0:0))
      call avR2(956, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8984, nGC_8983])

      allocate(vertices(1192)%branchR2(0:0))
      call avR2(1192, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(2220)%branchR2(0:1))
      call avR2(2220, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_8783, nGC_8782])

      call avR2(2220, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_8784, nGC_8784])

      allocate(vertices(594)%branchR2(0:0))
      call avR2(594, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30309])

      allocate(vertices(1688)%branchR2(0:0))
      call avR2(1688, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8773])

      allocate(vertices(3651)%branchR2(0:1))
      call avR2(3651, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9102, nGC_9102,      &
      nGC_9102])

      call avR2(3651, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9103, nGC_9103,      &
      nGC_9103])

      allocate(vertices(2501)%branchR2(0:0))
      call avR2(2501, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8952, nGC_8951])

      allocate(vertices(2284)%branchR2(0:0))
      call avR2(2284, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(324)%branchR2(0:1))
      call avR2(324, 0, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_9025, nGC_9023])

      call avR2(324, 1, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_9026, nGC_9024])

      allocate(vertices(526)%branchR2(0:0))
      call avR2(526, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9116])

      allocate(vertices(2856)%branchR2(0:0))
      call avR2(2856, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(1882)%branchR2(0:0))
      call avR2(1882, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9222])

      allocate(vertices(2336)%branchR2(0:0))
      call avR2(2336, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9215])

      allocate(vertices(1565)%branchR2(0:0))
      call avR2(1565, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9218])

      allocate(vertices(3398)%branchR2(0:0))
      call avR2(3398, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9079])

      allocate(vertices(2346)%branchR2(0:0))
      call avR2(2346, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(3393)%branchR2(0:0))
      call avR2(3393, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8776])

      allocate(vertices(2379)%branchR2(0:0))
      call avR2(2379, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9144])

      allocate(vertices(1773)%branchR2(0:0))
      call avR2(1773, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9128])

      allocate(vertices(1237)%branchR2(0:0))
      call avR2(1237, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9132])

      allocate(vertices(270)%branchR2(0:3))
      call avR2(270, 0, 27, 1, 0, FVFa0, 0, [1, 2], [nGC_9055, nGC_9054])

      call avR2(270, 1, 27, 1, 0, FVFa0, 0, [3, 0], [nGC_9049, nGC_9049])

      call avR2(270, 2, 26, 1, 0, FVFa0, 0, [1, 2], [nGC_9057, nGC_9056])

      call avR2(270, 3, 26, 1, 0, FVFa0, 0, [3, 0], [nGC_9052, nGC_9052])

      allocate(vertices(56)%branchR2(0:0))
      call avR2(56, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9093])

      allocate(vertices(1335)%branchR2(0:0))
      call avR2(1335, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(2639)%branchR2(0:1))
      call avR2(2639, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8980, nGC_8981])

      call avR2(2639, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8982, nGC_8982])

      allocate(vertices(3652)%branchR2(0:0))
      call avR2(3652, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9086])

      allocate(vertices(3653)%branchR2(0:1))
      call avR2(3653, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9249, nGC_9249,      &
      nGC_9249])

      call avR2(3653, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9248, nGC_9248,      &
      nGC_9248])

      allocate(vertices(612)%branchR2(0:0))
      call avR2(612, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30346])

      allocate(vertices(2227)%branchR2(0:0))
      call avR2(2227, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(2443)%branchR2(0:0))
      call avR2(2443, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(328)%branchR2(0:0))
      call avR2(328, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9171])

      allocate(vertices(617)%branchR2(0:0))
      call avR2(617, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(3081)%branchR2(0:0))
      call avR2(3081, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(546)%branchR2(0:0))
      call avR2(546, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9237])

      allocate(vertices(2645)%branchR2(0:0))
      call avR2(2645, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(412)%branchR2(0:1))
      call avR2(412, 0, 17, 1, 0, FaVF1, 0, [2, 1], [nGC_9019])

      call avR2(412, 1, 17, 1, 0, FaVF1, 0, [0, 3], [nGC_9020])

      allocate(vertices(2023)%branchR2(0:0))
      call avR2(2023, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(196)%branchR2(0:0))
      call avR2(196, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(1853)%branchR2(0:0))
      call avR2(1853, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(1262)%branchR2(0:0))
      call avR2(1262, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(105)%branchR2(0:0))
      call avR2(105, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(1378)%branchR2(0:0))
      call avR2(1378, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(1439)%branchR2(0:0))
      call avR2(1439, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(747)%branchR2(0:0))
      call avR2(747, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(1729)%branchR2(0:0))
      call avR2(1729, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9222])

      allocate(vertices(3149)%branchR2(0:0))
      call avR2(3149, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9122])

      allocate(vertices(52)%branchR2(0:0))
      call avR2(52, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(1765)%branchR2(0:0))
      call avR2(1765, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(1365)%branchR2(0:1))
      call avR2(1365, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_9014, nGC_9015])

      call avR2(1365, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_9016, nGC_9016])

      allocate(vertices(1015)%branchR2(0:1))
      call avR2(1015, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8906, nGC_8904])

      call avR2(1015, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8919, nGC_8918])

      allocate(vertices(2142)%branchR2(0:0))
      call avR2(2142, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8807])

      allocate(vertices(1616)%branchR2(0:0))
      call avR2(1616, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(2166)%branchR2(0:0))
      call avR2(2166, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(1997)%branchR2(0:0))
      call avR2(1997, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(1562)%branchR2(0:0))
      call avR2(1562, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(1355)%branchR2(0:0))
      call avR2(1355, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(3510)%branchR2(0:0))
      call avR2(3510, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8770])

      allocate(vertices(1950)%branchR2(0:0))
      call avR2(1950, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9117])

      allocate(vertices(3584)%branchR2(0:0))
      call avR2(3584, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(489)%branchR2(0:0))
      call avR2(489, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30385])

      allocate(vertices(2505)%branchR2(0:0))
      call avR2(2505, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8807])

      allocate(vertices(2983)%branchR2(0:0))
      call avR2(2983, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9204])

      allocate(vertices(163)%branchR2(0:0))
      call avR2(163, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(2744)%branchR2(0:0))
      call avR2(2744, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_8744, nGC_8745,       &
      nGC_8759, nGC_8759])

      allocate(vertices(1847)%branchR2(0:0))
      call avR2(1847, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9182])

      allocate(vertices(1986)%branchR2(0:0))
      call avR2(1986, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9228])

      allocate(vertices(1734)%branchR2(0:0))
      call avR2(1734, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8846])

      allocate(vertices(3045)%branchR2(0:0))
      call avR2(3045, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9163])

      allocate(vertices(2329)%branchR2(0:0))
      call avR2(2329, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(3654)%branchR2(0:1))
      call avR2(3654, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9197])

      call avR2(3654, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9198])

      allocate(vertices(3655)%branchR2(0:0))
      call avR2(3655, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9111])

      allocate(vertices(3520)%branchR2(0:0))
      call avR2(3520, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29754])

      allocate(vertices(689)%branchR2(0:1))
      call avR2(689, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8895, nGC_8897])

      call avR2(689, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8896, nGC_8898])

      allocate(vertices(644)%branchR2(0:0))
      call avR2(644, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(3090)%branchR2(0:0))
      call avR2(3090, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(10)%branchR2(0:3))
      call avR2(10, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9077, nGC_9076])

      call avR2(10, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9067, nGC_9067])

      call avR2(10, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9075, nGC_9074])

      call avR2(10, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9064, nGC_9064])

      allocate(vertices(8)%branchR2(0:1))
      call avR2(8, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_9018])

      call avR2(8, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_9019])

      allocate(vertices(1948)%branchR2(0:0))
      call avR2(1948, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9164])

      allocate(vertices(1836)%branchR2(0:0))
      call avR2(1836, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9080])

      allocate(vertices(460)%branchR2(0:0))
      call avR2(460, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9039])

      allocate(vertices(3375)%branchR2(0:0))
      call avR2(3375, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9079])

      allocate(vertices(2861)%branchR2(0:0))
      call avR2(2861, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9204])

      allocate(vertices(3585)%branchR2(0:0))
      call avR2(3585, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8776])

      allocate(vertices(3074)%branchR2(0:0))
      call avR2(3074, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(2297)%branchR2(0:0))
      call avR2(2297, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9171])

      allocate(vertices(378)%branchR2(0:0))
      call avR2(378, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9099])

      allocate(vertices(1637)%branchR2(0:0))
      call avR2(1637, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9099])

      allocate(vertices(951)%branchR2(0:0))
      call avR2(951, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9225])

      allocate(vertices(541)%branchR2(0:0))
      call avR2(541, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30427])

      allocate(vertices(1602)%branchR2(0:0))
      call avR2(1602, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9094])

      allocate(vertices(2319)%branchR2(0:0))
      call avR2(2319, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8805])

      allocate(vertices(3656)%branchR2(0:0))
      call avR2(3656, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(380)%branchR2(0:0))
      call avR2(380, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9222])

      allocate(vertices(2885)%branchR2(0:0))
      call avR2(2885, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(2993)%branchR2(0:1))
      call avR2(2993, 0, 16, 1, 0, VV1, 0, [2, 0], [nGC_8751, nGC_8750,        &
      nGC_8752])

      call avR2(2993, 1, 15, 1, 0, VV1, 0, [2, 0], [nGC_8748, nGC_8747,        &
      nGC_8749])

      allocate(vertices(3657)%branchR2(0:0))
      call avR2(3657, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8768])

      allocate(vertices(943)%branchR2(0:0))
      call avR2(943, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9234])

      allocate(vertices(3047)%branchR2(0:0))
      call avR2(3047, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9238])

      allocate(vertices(172)%branchR2(0:0))
      call avR2(172, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8856])

      allocate(vertices(1032)%branchR2(0:0))
      call avR2(1032, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(891)%branchR2(0:0))
      call avR2(891, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(2798)%branchR2(0:0))
      call avR2(2798, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9079])

      allocate(vertices(510)%branchR2(0:0))
      call avR2(510, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

      allocate(vertices(593)%branchR2(0:0))
      call avR2(593, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8961])

      allocate(vertices(122)%branchR2(0:0))
      call avR2(122, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(25)%branchR2(0:0))
      call avR2(25, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9213])

      allocate(vertices(1919)%branchR2(0:0))
      call avR2(1919, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(3012)%branchR2(0:0))
      call avR2(3012, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9120])

      allocate(vertices(2059)%branchR2(0:0))
      call avR2(2059, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9182])

      allocate(vertices(2373)%branchR2(0:1))
      call avR2(2373, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8858, nGC_8860])

      call avR2(2373, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8859, nGC_8861])

      allocate(vertices(621)%branchR2(0:0))
      call avR2(621, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

      allocate(vertices(3658)%branchR2(0:1))
      call avR2(3658, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9246])

      call avR2(3658, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9247])

      allocate(vertices(1962)%branchR2(0:0))
      call avR2(1962, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(3040)%branchR2(0:0))
      call avR2(3040, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9199])

      allocate(vertices(3659)%branchR2(0:0))
      call avR2(3659, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9098, nGC_9097,       &
      nGC_9098])

      allocate(vertices(3254)%branchR2(0:0))
      call avR2(3254, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8836])

      allocate(vertices(709)%branchR2(0:0))
      call avR2(709, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9220])

      allocate(vertices(2259)%branchR2(0:0))
      call avR2(2259, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9220])

      allocate(vertices(3101)%branchR2(0:0))
      call avR2(3101, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(1757)%branchR2(0:0))
      call avR2(1757, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9194])

      allocate(vertices(1969)%branchR2(0:1))
      call avR2(1969, 0, 17, 1, 0, FaVF1, 0, [2, 1], [nGC_9019])

      call avR2(1969, 1, 17, 1, 0, FaVF1, 0, [0, 3], [nGC_9020])

      allocate(vertices(463)%branchR2(0:0))
      call avR2(463, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8808])

      allocate(vertices(3006)%branchR2(0:0))
      call avR2(3006, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9163])

      allocate(vertices(1486)%branchR2(0:0))
      call avR2(1486, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8959])

      allocate(vertices(3135)%branchR2(0:0))
      call avR2(3135, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9095])

      allocate(vertices(563)%branchR2(0:0))
      call avR2(563, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9118])

      allocate(vertices(1356)%branchR2(0:0))
      call avR2(1356, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

      allocate(vertices(775)%branchR2(0:0))
      call avR2(775, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9044, nGC_9045])

      allocate(vertices(596)%branchR2(0:0))
      call avR2(596, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9201])

      allocate(vertices(2391)%branchR2(0:0))
      call avR2(2391, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_9005, nGC_9004])

      allocate(vertices(845)%branchR2(0:0))
      call avR2(845, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(1177)%branchR2(0:0))
      call avR2(1177, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8854])

      allocate(vertices(1029)%branchR2(0:0))
      call avR2(1029, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(1277)%branchR2(0:0))
      call avR2(1277, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8827])

      allocate(vertices(3660)%branchR2(0:0))
      call avR2(3660, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9084])

      allocate(vertices(2358)%branchR2(0:0))
      call avR2(2358, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(253)%branchR2(0:0))
      call avR2(253, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(1617)%branchR2(0:1))
      call avR2(1617, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8898, nGC_8896])

      call avR2(1617, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8915, nGC_8914])

      allocate(vertices(1103)%branchR2(0:0))
      call avR2(1103, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(1885)%branchR2(0:0))
      call avR2(1885, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(1176)%branchR2(0:0))
      call avR2(1176, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9021])

      allocate(vertices(3383)%branchR2(0:0))
      call avR2(3383, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9122])

      allocate(vertices(912)%branchR2(0:0))
      call avR2(912, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9038])

      allocate(vertices(2248)%branchR2(0:0))
      call avR2(2248, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(2882)%branchR2(0:0))
      call avR2(2882, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8767])

      allocate(vertices(783)%branchR2(0:0))
      call avR2(783, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8855])

      allocate(vertices(2049)%branchR2(0:0))
      call avR2(2049, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8871, nGC_8870])

      allocate(vertices(749)%branchR2(0:0))
      call avR2(749, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9190])

      allocate(vertices(2846)%branchR2(0:0))
      call avR2(2846, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29997])

      allocate(vertices(646)%branchR2(0:0))
      call avR2(646, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8833])

      allocate(vertices(164)%branchR2(0:0))
      call avR2(164, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8920])

      allocate(vertices(2541)%branchR2(0:0))
      call avR2(2541, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(2988)%branchR2(0:0))
      call avR2(2988, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9122])

      allocate(vertices(3661)%branchR2(0:5))
      call avR2(3661, 0, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_9137, nGC_9137,      &
      nGC_9137])

      call avR2(3661, 1, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_9138, nGC_9138,      &
      nGC_9138])

      call avR2(3661, 2, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_9139, nGC_9139,      &
      nGC_9139])

      call avR2(3661, 3, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_9138, nGC_9138,      &
      nGC_9138])

      call avR2(3661, 4, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_9138, nGC_9138,      &
      nGC_9138])

      call avR2(3661, 5, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_9139, nGC_9139,      &
      nGC_9139])

      allocate(vertices(2301)%branchR2(0:0))
      call avR2(2301, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(3571)%branchR2(0:0))
      call avR2(3571, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9120])

      allocate(vertices(880)%branchR2(0:0))
      call avR2(880, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9128])

      allocate(vertices(973)%branchR2(0:0))
      call avR2(973, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9191])

      allocate(vertices(2392)%branchR2(0:0))
      call avR2(2392, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9213])

      allocate(vertices(3662)%branchR2(0:0))
      call avR2(3662, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9188])

      allocate(vertices(2267)%branchR2(0:0))
      call avR2(2267, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(2660)%branchR2(0:0))
      call avR2(2660, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8829])

      allocate(vertices(2782)%branchR2(0:0))
      call avR2(2782, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9079])

      allocate(vertices(2538)%branchR2(0:0))
      call avR2(2538, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(2382)%branchR2(0:0))
      call avR2(2382, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(319)%branchR2(0:0))
      call avR2(319, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(2793)%branchR2(0:0))
      call avR2(2793, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29561])

      allocate(vertices(1786)%branchR2(0:0))
      call avR2(1786, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(1852)%branchR2(0:0))
      call avR2(1852, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(1644)%branchR2(0:0))
      call avR2(1644, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8764])

      allocate(vertices(1292)%branchR2(0:0))
      call avR2(1292, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9194])

      allocate(vertices(115)%branchR2(0:0))
      call avR2(115, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(1256)%branchR2(0:0))
      call avR2(1256, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(1724)%branchR2(0:0))
      call avR2(1724, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8892])

      allocate(vertices(757)%branchR2(0:0))
      call avR2(757, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9232])

      allocate(vertices(2597)%branchR2(0:0))
      call avR2(2597, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(3489)%branchR2(0:0))
      call avR2(3489, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9159])

      allocate(vertices(1863)%branchR2(0:0))
      call avR2(1863, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8890])

      allocate(vertices(3036)%branchR2(0:0))
      call avR2(3036, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9235])

    end subroutine fill_vertices_mdl9
end module vertices_info9
