!******************************************************************************!
!                                                                              !
!    fill_ctcouplings10.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings10.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings10
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl10()
      coupl(nGC_9197) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_135)*coupl( &
                        nGC_136) + coupl(nGC_139)*coupl(nGC_140) + coupl(      &
                        nGC_151)*coupl(nGC_152) + coupl(nGC_175)*coupl(nGC_176 &
                        ) + coupl(nGC_182)*coupl(nGC_183) + coupl(nGC_197)*    &
                        coupl(nGC_198))/(16d0*pi**2d0*Nc)
      coupl(nGC_9192) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_135)**2d0  &
                         + 80d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_135)*    &
                        coupl(nGC_136) + 20d0*Nc*cima*coupl(nGC_130)**2d0*coupl&
                        (nGC_136)**2d0 + 20d0*Nc*cima*coupl(nGC_139)**2d0*coupl&
                        (nGC_141)**2d0 + 80d0*Nc*cima*coupl(nGC_139)*coupl(    &
                        nGC_140)*coupl(nGC_141)**2d0 + 20d0*Nc*cima*coupl(     &
                        nGC_140)**2d0*coupl(nGC_141)**2d0 + 20d0*Nc*cima*coupl(&
                        nGC_145)**2d0*coupl(nGC_151)**2d0 + 80d0*Nc*cima*coupl(&
                        nGC_145)**2d0*coupl(nGC_151)*coupl(nGC_152) + 20d0*Nc* &
                        cima*coupl(nGC_145)**2d0*coupl(nGC_152)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_169)**2d0*coupl(nGC_175)**2d0 + 80d0*Nc*&
                        cima*coupl(nGC_169)**2d0*coupl(nGC_175)*coupl(nGC_176  &
                        ) + 20d0*Nc*cima*coupl(nGC_169)**2d0*coupl(nGC_176)**  &
                        2d0 + 20d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_182)**&
                        2d0 + 80d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_182)* &
                        coupl(nGC_183) + 20d0*Nc*cima*coupl(nGC_177)**2d0*coupl&
                        (nGC_183)**2d0 + 20d0*Nc*cima*coupl(nGC_192)**2d0*coupl&
                        (nGC_197)**2d0 + 80d0*Nc*cima*coupl(nGC_192)**2d0*coupl&
                        (nGC_197)*coupl(nGC_198) + 20d0*Nc*cima*coupl(nGC_192  &
                        )**2d0*coupl(nGC_198)**2d0 + 6d0*cima*coupl(nGC_101)*  &
                        coupl(nGC_99) - 5d0*cima*coupl(nGC_1319)**2d0*coupl(   &
                        nGC_1491)**2d0 - 5d0*cima*coupl(nGC_1319)**2d0*coupl(  &
                        nGC_1795)**2d0 - 20d0*cima*coupl(nGC_1319)*coupl(      &
                        nGC_1491)*coupl(nGC_64)*coupl(nGC_72) - 20d0*cima*coupl&
                        (nGC_1319)*coupl(nGC_1795)*coupl(nGC_63)*coupl(nGC_72  &
                        ) - 10d0*cima*coupl(nGC_1319)*coupl(nGC_1919)*coupl(   &
                        nGC_68)*coupl(nGC_72) - 10d0*cima*coupl(nGC_1319)*coupl&
                        (nGC_2961)*coupl(nGC_69)*coupl(nGC_72) + 20d0*cima*    &
                        coupl(nGC_153)**2d0*coupl(nGC_159)**2d0 + 80d0*cima*   &
                        coupl(nGC_153)**2d0*coupl(nGC_159)*coupl(nGC_160) +    &
                        20d0*cima*coupl(nGC_153)**2d0*coupl(nGC_160)**2d0 +    &
                        20d0*cima*coupl(nGC_161)**2d0*coupl(nGC_167)**2d0 +    &
                        80d0*cima*coupl(nGC_161)**2d0*coupl(nGC_167)*coupl(    &
                        nGC_168) + 20d0*cima*coupl(nGC_161)**2d0*coupl(nGC_168 &
                        )**2d0 + 20d0*cima*coupl(nGC_184)**2d0*coupl(nGC_190)**&
                        2d0 + 80d0*cima*coupl(nGC_184)**2d0*coupl(nGC_190)*    &
                        coupl(nGC_191) + 20d0*cima*coupl(nGC_184)**2d0*coupl(  &
                        nGC_191)**2d0 - 10d0*cima*coupl(nGC_3231)**2d0*coupl(  &
                        nGC_91)**2d0 - 20d0*cima*coupl(nGC_3231)*coupl(nGC_661 &
                        )*coupl(nGC_91)*coupl(nGC_94) + 12d0*cima*coupl(nGC_61 &
                        )*coupl(nGC_62) - 5d0*cima*coupl(nGC_63)**2d0*coupl(   &
                        nGC_72)**2d0 - 5d0*cima*coupl(nGC_64)**2d0*coupl(nGC_72&
                        )**2d0 - 10d0*cima*coupl(nGC_661)**2d0*coupl(nGC_94)** &
                        2d0 - 3d0*coupl(nGC_101)*coupl(nGC_3231)*coupl(nGC_91  &
                        ) - 3d0*coupl(nGC_101)*coupl(nGC_661)*coupl(nGC_94) +  &
                        3d0*coupl(nGC_11)*coupl(nGC_3231)*coupl(nGC_91) + 3d0* &
                        coupl(nGC_13)*coupl(nGC_661)*coupl(nGC_94) + 6d0*coupl(&
                        nGC_1319)*coupl(nGC_35)*coupl(nGC_72) + 6d0*coupl(     &
                        nGC_1319)*coupl(nGC_48)*coupl(nGC_68) + 6d0*coupl(     &
                        nGC_1319)*coupl(nGC_49)*coupl(nGC_69) - 6d0*coupl(     &
                        nGC_1319)*coupl(nGC_61)*coupl(nGC_72) + 3d0*coupl(     &
                        nGC_1491)*coupl(nGC_2961)*coupl(nGC_43) + 3d0*coupl(   &
                        nGC_1491)*coupl(nGC_53)*coupl(nGC_64) - 3d0*coupl(     &
                        nGC_1491)*coupl(nGC_62)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_1795)*coupl(nGC_1919)*coupl(nGC_43) + 3d0*coupl(   &
                        nGC_1795)*coupl(nGC_53)*coupl(nGC_63) - 3d0*coupl(     &
                        nGC_1795)*coupl(nGC_62)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_1919)*coupl(nGC_49)*coupl(nGC_72) + 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_56)*coupl(nGC_68) - 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_62)*coupl(nGC_68) + 6d0*coupl(     &
                        nGC_25)*coupl(nGC_3231)*coupl(nGC_661) + 6d0*coupl(    &
                        nGC_25)*coupl(nGC_91)*coupl(nGC_94) + 6d0*coupl(nGC_28 &
                        )*coupl(nGC_3231)*coupl(nGC_661) + 6d0*coupl(nGC_28)*  &
                        coupl(nGC_91)*coupl(nGC_94) + 6d0*coupl(nGC_2961)*coupl&
                        (nGC_48)*coupl(nGC_72) + 3d0*coupl(nGC_2961)*coupl(    &
                        nGC_56)*coupl(nGC_69) - 3d0*coupl(nGC_2961)*coupl(     &
                        nGC_62)*coupl(nGC_69) + 6d0*coupl(nGC_3231)**2d0*coupl(&
                        nGC_39) + 3d0*coupl(nGC_3231)*coupl(nGC_47)*coupl(     &
                        nGC_94) + 3d0*coupl(nGC_3231)*coupl(nGC_55)*coupl(     &
                        nGC_91) + 3d0*coupl(nGC_3231)*coupl(nGC_9)*coupl(nGC_94&
                        ) - 3d0*coupl(nGC_3231)*coupl(nGC_91)*coupl(nGC_99) +  &
                        6d0*coupl(nGC_37)*coupl(nGC_661)**2d0 + 6d0*coupl(     &
                        nGC_37)*coupl(nGC_94)**2d0 + 6d0*coupl(nGC_39)*coupl(  &
                        nGC_91)**2d0 + 3d0*coupl(nGC_43)*coupl(nGC_63)*coupl(  &
                        nGC_68) + 3d0*coupl(nGC_43)*coupl(nGC_64)*coupl(nGC_69 &
                        ) + 3d0*coupl(nGC_47)*coupl(nGC_661)*coupl(nGC_91) +   &
                        3d0*coupl(nGC_59)*coupl(nGC_661)*coupl(nGC_94) + 3d0*  &
                        coupl(nGC_661)*coupl(nGC_9)*coupl(nGC_91) - 3d0*coupl( &
                        nGC_661)*coupl(nGC_94)*coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_9191) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl(     &
                        nGC_135)**2d0 + 80d0*Nc*cima*coupl(nGC_130)*coupl(     &
                        nGC_133)*coupl(nGC_135)*coupl(nGC_136) + 20d0*Nc*cima* &
                        coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_136)**2d0 +    &
                        20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_139)**2d0*coupl( &
                        nGC_141) + 80d0*Nc*cima*coupl(nGC_137)*coupl(nGC_139)* &
                        coupl(nGC_140)*coupl(nGC_141) + 20d0*Nc*cima*coupl(    &
                        nGC_137)*coupl(nGC_140)**2d0*coupl(nGC_141) + 20d0*Nc* &
                        cima*coupl(nGC_145)*coupl(nGC_149)*coupl(nGC_151)**2d0 &
                         + 80d0*Nc*cima*coupl(nGC_145)*coupl(nGC_149)*coupl(   &
                        nGC_151)*coupl(nGC_152) + 20d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_149)*coupl(nGC_152)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_169)*coupl(nGC_173)*coupl(nGC_175)**2d0 + 80d0*Nc*&
                        cima*coupl(nGC_169)*coupl(nGC_173)*coupl(nGC_175)*coupl&
                        (nGC_176) + 20d0*Nc*cima*coupl(nGC_169)*coupl(nGC_173)*&
                        coupl(nGC_176)**2d0 + 20d0*Nc*cima*coupl(nGC_177)*coupl&
                        (nGC_180)*coupl(nGC_182)**2d0 + 80d0*Nc*cima*coupl(    &
                        nGC_177)*coupl(nGC_180)*coupl(nGC_182)*coupl(nGC_183   &
                        ) + 20d0*Nc*cima*coupl(nGC_177)*coupl(nGC_180)*coupl(  &
                        nGC_183)**2d0 + 20d0*Nc*cima*coupl(nGC_192)*coupl(     &
                        nGC_195)*coupl(nGC_197)**2d0 + 80d0*Nc*cima*coupl(     &
                        nGC_192)*coupl(nGC_195)*coupl(nGC_197)*coupl(nGC_198   &
                        ) + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_195)*coupl(  &
                        nGC_198)**2d0 - 5d0*cima*coupl(nGC_1079)*coupl(nGC_3231&
                        )*coupl(nGC_91)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1079&
                        )*coupl(nGC_661)*coupl(nGC_94)**2d0 - 5d0*cima*coupl(  &
                        nGC_1319)**2d0*coupl(nGC_1491)*coupl(nGC_2961) - 5d0*  &
                        cima*coupl(nGC_1319)**2d0*coupl(nGC_1795)*coupl(       &
                        nGC_1919) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1491)*  &
                        coupl(nGC_68)*coupl(nGC_72) - 10d0*cima*coupl(nGC_1319 &
                        )*coupl(nGC_1491)*coupl(nGC_69)*coupl(nGC_72) - 10d0*  &
                        cima*coupl(nGC_1319)*coupl(nGC_1795)*coupl(nGC_68)*    &
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1795&
                        )*coupl(nGC_69)*coupl(nGC_72) - 10d0*cima*coupl(       &
                        nGC_1319)*coupl(nGC_1919)*coupl(nGC_63)*coupl(nGC_72   &
                        ) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1919)*coupl(    &
                        nGC_64)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1319)*coupl(&
                        nGC_2961)*coupl(nGC_63)*coupl(nGC_72) - 10d0*cima*coupl&
                        (nGC_1319)*coupl(nGC_2961)*coupl(nGC_64)*coupl(nGC_72  &
                        ) + 20d0*cima*coupl(nGC_153)*coupl(nGC_157)*coupl(     &
                        nGC_159)**2d0 + 80d0*cima*coupl(nGC_153)*coupl(nGC_157 &
                        )*coupl(nGC_159)*coupl(nGC_160) + 20d0*cima*coupl(     &
                        nGC_153)*coupl(nGC_157)*coupl(nGC_160)**2d0 + 20d0*cima&
                        *coupl(nGC_161)*coupl(nGC_165)*coupl(nGC_167)**2d0 +   &
                        80d0*cima*coupl(nGC_161)*coupl(nGC_165)*coupl(nGC_167)*&
                        coupl(nGC_168) + 20d0*cima*coupl(nGC_161)*coupl(nGC_165&
                        )*coupl(nGC_168)**2d0 + 20d0*cima*coupl(nGC_184)*coupl(&
                        nGC_188)*coupl(nGC_190)**2d0 + 80d0*cima*coupl(nGC_184 &
                        )*coupl(nGC_188)*coupl(nGC_190)*coupl(nGC_191) + 20d0* &
                        cima*coupl(nGC_184)*coupl(nGC_188)*coupl(nGC_191)**2d0 &
                         - 5d0*cima*coupl(nGC_3231)**2d0*coupl(nGC_91)*coupl(  &
                        nGC_94) - 5d0*cima*coupl(nGC_3231)*coupl(nGC_661)*coupl&
                        (nGC_91)**2d0 - 5d0*cima*coupl(nGC_3231)*coupl(nGC_661 &
                        )*coupl(nGC_91)*coupl(nGC_92) - 5d0*cima*coupl(nGC_3231&
                        )*coupl(nGC_661)*coupl(nGC_94)**2d0 - 5d0*cima*coupl(  &
                        nGC_63)*coupl(nGC_68)*coupl(nGC_72)**2d0 - 5d0*cima*   &
                        coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_72)**2d0 - 5d0*  &
                        cima*coupl(nGC_661)**2d0*coupl(nGC_91)*coupl(nGC_94) - &
                        5d0*cima*coupl(nGC_661)**2d0*coupl(nGC_92)*coupl(nGC_94&
                        ) + 3d0*coupl(nGC_10)*coupl(nGC_661)*coupl(nGC_94) -   &
                        3d0*coupl(nGC_101)*coupl(nGC_1079)*coupl(nGC_94) - 3d0*&
                        coupl(nGC_101)*coupl(nGC_661)*coupl(nGC_91) + 3d0*coupl&
                        (nGC_1079)*coupl(nGC_28)*coupl(nGC_3231) + 3d0*coupl(  &
                        nGC_1079)*coupl(nGC_37)*coupl(nGC_661) + 3d0*coupl(    &
                        nGC_13)*coupl(nGC_3231)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_13)*coupl(nGC_661)*coupl(nGC_91) + 6d0*coupl(      &
                        nGC_1319)*coupl(nGC_23)*coupl(nGC_72) + 3d0*coupl(     &
                        nGC_1319)*coupl(nGC_40)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_1319)*coupl(nGC_41)*coupl(nGC_68) + 3d0*coupl(     &
                        nGC_1319)*coupl(nGC_48)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_1319)*coupl(nGC_49)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_1491)*coupl(nGC_1795)*coupl(nGC_43) + 3d0*coupl(   &
                        nGC_1491)*coupl(nGC_49)*coupl(nGC_72) + 3d0*coupl(     &
                        nGC_1491)*coupl(nGC_53)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_1491)*coupl(nGC_56)*coupl(nGC_68) + 3d0*coupl(     &
                        nGC_1795)*coupl(nGC_48)*coupl(nGC_72) + 3d0*coupl(     &
                        nGC_1795)*coupl(nGC_53)*coupl(nGC_68) + 3d0*coupl(     &
                        nGC_1795)*coupl(nGC_56)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_40)*coupl(nGC_72) - 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_62)*coupl(nGC_63) - 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_62)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_25)*coupl(nGC_3231)**2d0 + 3d0*coupl(nGC_25)*coupl(&
                        nGC_661)**2d0 + 3d0*coupl(nGC_25)*coupl(nGC_91)**2d0 + &
                        3d0*coupl(nGC_25)*coupl(nGC_94)**2d0 + 3d0*coupl(nGC_28&
                        )*coupl(nGC_91)*coupl(nGC_92) + 3d0*coupl(nGC_29)*coupl&
                        (nGC_661)**2d0 + 3d0*coupl(nGC_29)*coupl(nGC_94)**2d0  &
                         + 3d0*coupl(nGC_2961)*coupl(nGC_41)*coupl(nGC_72) -   &
                        3d0*coupl(nGC_2961)*coupl(nGC_62)*coupl(nGC_63) - 3d0* &
                        coupl(nGC_2961)*coupl(nGC_62)*coupl(nGC_64) + 3d0*coupl&
                        (nGC_3231)*coupl(nGC_33)*coupl(nGC_661) + 3d0*coupl(   &
                        nGC_3231)*coupl(nGC_37)*coupl(nGC_661) + 3d0*coupl(    &
                        nGC_3231)*coupl(nGC_39)*coupl(nGC_661) + 3d0*coupl(    &
                        nGC_3231)*coupl(nGC_47)*coupl(nGC_92) + 3d0*coupl(     &
                        nGC_3231)*coupl(nGC_55)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_3231)*coupl(nGC_9)*coupl(nGC_91) + 3d0*coupl(nGC_33&
                        )*coupl(nGC_91)*coupl(nGC_94) + 3d0*coupl(nGC_37)*coupl&
                        (nGC_91)*coupl(nGC_94) + 3d0*coupl(nGC_37)*coupl(nGC_92&
                        )*coupl(nGC_94) + 3d0*coupl(nGC_39)*coupl(nGC_91)*coupl&
                        (nGC_94) + 3d0*coupl(nGC_43)*coupl(nGC_68)**2d0 + 3d0* &
                        coupl(nGC_43)*coupl(nGC_69)**2d0 + 3d0*coupl(nGC_47)*  &
                        coupl(nGC_661)*coupl(nGC_94) + 3d0*coupl(nGC_59)*coupl(&
                        nGC_661)*coupl(nGC_92))/(96d0*pi**2d0)
      coupl(nGC_9190) = (20d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_135)**2d0  &
                         + 80d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_135)*    &
                        coupl(nGC_136) + 20d0*Nc*cima*coupl(nGC_133)**2d0*coupl&
                        (nGC_136)**2d0 + 20d0*Nc*cima*coupl(nGC_137)**2d0*coupl&
                        (nGC_139)**2d0 + 80d0*Nc*cima*coupl(nGC_137)**2d0*coupl&
                        (nGC_139)*coupl(nGC_140) + 20d0*Nc*cima*coupl(nGC_137  &
                        )**2d0*coupl(nGC_140)**2d0 + 20d0*Nc*cima*coupl(nGC_149&
                        )**2d0*coupl(nGC_151)**2d0 + 80d0*Nc*cima*coupl(nGC_149&
                        )**2d0*coupl(nGC_151)*coupl(nGC_152) + 20d0*Nc*cima*   &
                        coupl(nGC_149)**2d0*coupl(nGC_152)**2d0 + 20d0*Nc*cima*&
                        coupl(nGC_173)**2d0*coupl(nGC_175)**2d0 + 80d0*Nc*cima*&
                        coupl(nGC_173)**2d0*coupl(nGC_175)*coupl(nGC_176) +    &
                        20d0*Nc*cima*coupl(nGC_173)**2d0*coupl(nGC_176)**2d0 + &
                        20d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_182)**2d0 + &
                        80d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_182)*coupl( &
                        nGC_183) + 20d0*Nc*cima*coupl(nGC_180)**2d0*coupl(     &
                        nGC_183)**2d0 + 20d0*Nc*cima*coupl(nGC_195)**2d0*coupl(&
                        nGC_197)**2d0 + 80d0*Nc*cima*coupl(nGC_195)**2d0*coupl(&
                        nGC_197)*coupl(nGC_198) + 20d0*Nc*cima*coupl(nGC_195)**&
                        2d0*coupl(nGC_198)**2d0 + 6d0*cima*coupl(nGC_101)*coupl&
                        (nGC_99) - 10d0*cima*coupl(nGC_1079)*coupl(nGC_3231)*  &
                        coupl(nGC_91)*coupl(nGC_92) - 10d0*cima*coupl(nGC_1079 &
                        )*coupl(nGC_661)*coupl(nGC_92)*coupl(nGC_94) - 5d0*cima&
                        *coupl(nGC_1319)**2d0*coupl(nGC_1919)**2d0 - 5d0*cima* &
                        coupl(nGC_1319)**2d0*coupl(nGC_2961)**2d0 - 10d0*cima* &
                        coupl(nGC_1319)*coupl(nGC_1491)*coupl(nGC_64)*coupl(   &
                        nGC_72) - 10d0*cima*coupl(nGC_1319)*coupl(nGC_1795)*   &
                        coupl(nGC_63)*coupl(nGC_72) - 20d0*cima*coupl(nGC_1319 &
                        )*coupl(nGC_1919)*coupl(nGC_68)*coupl(nGC_72) - 20d0*  &
                        cima*coupl(nGC_1319)*coupl(nGC_2961)*coupl(nGC_69)*    &
                        coupl(nGC_72) + 20d0*cima*coupl(nGC_157)**2d0*coupl(   &
                        nGC_159)**2d0 + 80d0*cima*coupl(nGC_157)**2d0*coupl(   &
                        nGC_159)*coupl(nGC_160) + 20d0*cima*coupl(nGC_157)**2d0&
                        *coupl(nGC_160)**2d0 + 20d0*cima*coupl(nGC_165)**2d0*  &
                        coupl(nGC_167)**2d0 + 80d0*cima*coupl(nGC_165)**2d0*   &
                        coupl(nGC_167)*coupl(nGC_168) + 20d0*cima*coupl(nGC_165&
                        )**2d0*coupl(nGC_168)**2d0 + 20d0*cima*coupl(nGC_188)**&
                        2d0*coupl(nGC_190)**2d0 + 80d0*cima*coupl(nGC_188)**2d0&
                        *coupl(nGC_190)*coupl(nGC_191) + 20d0*cima*coupl(      &
                        nGC_188)**2d0*coupl(nGC_191)**2d0 - 10d0*cima*coupl(   &
                        nGC_3231)*coupl(nGC_661)*coupl(nGC_91)*coupl(nGC_94) + &
                        12d0*cima*coupl(nGC_61)*coupl(nGC_62) - 10d0*cima*coupl&
                        (nGC_661)**2d0*coupl(nGC_94)**2d0 - 5d0*cima*coupl(    &
                        nGC_68)**2d0*coupl(nGC_72)**2d0 - 5d0*cima*coupl(nGC_69&
                        )**2d0*coupl(nGC_72)**2d0 + 3d0*coupl(nGC_10)*coupl(   &
                        nGC_3231)*coupl(nGC_94) + 3d0*coupl(nGC_10)*coupl(     &
                        nGC_661)*coupl(nGC_91) - 3d0*coupl(nGC_101)*coupl(     &
                        nGC_1079)*coupl(nGC_92) - 3d0*coupl(nGC_101)*coupl(    &
                        nGC_661)*coupl(nGC_94) + 6d0*coupl(nGC_1079)*coupl(    &
                        nGC_29)*coupl(nGC_661) + 6d0*coupl(nGC_1079)*coupl(    &
                        nGC_3231)*coupl(nGC_37) + 3d0*coupl(nGC_1079)*coupl(   &
                        nGC_47)*coupl(nGC_94) + 3d0*coupl(nGC_1079)*coupl(     &
                        nGC_59)*coupl(nGC_92) + 3d0*coupl(nGC_12)*coupl(nGC_661&
                        )*coupl(nGC_94) + 3d0*coupl(nGC_13)*coupl(nGC_3231)*   &
                        coupl(nGC_91) + 6d0*coupl(nGC_1319)*coupl(nGC_32)*coupl&
                        (nGC_72) + 6d0*coupl(nGC_1319)*coupl(nGC_40)*coupl(    &
                        nGC_63) + 6d0*coupl(nGC_1319)*coupl(nGC_41)*coupl(     &
                        nGC_64) - 6d0*coupl(nGC_1319)*coupl(nGC_61)*coupl(     &
                        nGC_72) + 3d0*coupl(nGC_1491)*coupl(nGC_1919)*coupl(   &
                        nGC_43) + 6d0*coupl(nGC_1491)*coupl(nGC_40)*coupl(     &
                        nGC_72) + 3d0*coupl(nGC_1491)*coupl(nGC_56)*coupl(     &
                        nGC_64) - 3d0*coupl(nGC_1491)*coupl(nGC_62)*coupl(     &
                        nGC_64) + 3d0*coupl(nGC_1795)*coupl(nGC_2961)*coupl(   &
                        nGC_43) + 6d0*coupl(nGC_1795)*coupl(nGC_41)*coupl(     &
                        nGC_72) + 3d0*coupl(nGC_1795)*coupl(nGC_56)*coupl(     &
                        nGC_63) - 3d0*coupl(nGC_1795)*coupl(nGC_62)*coupl(     &
                        nGC_63) + 3d0*coupl(nGC_1919)*coupl(nGC_53)*coupl(     &
                        nGC_68) - 3d0*coupl(nGC_1919)*coupl(nGC_62)*coupl(     &
                        nGC_68) + 6d0*coupl(nGC_25)*coupl(nGC_3231)*coupl(     &
                        nGC_661) + 6d0*coupl(nGC_25)*coupl(nGC_91)*coupl(nGC_94&
                        ) + 6d0*coupl(nGC_29)*coupl(nGC_92)*coupl(nGC_94) + 3d0&
                        *coupl(nGC_2961)*coupl(nGC_53)*coupl(nGC_69) - 3d0*    &
                        coupl(nGC_2961)*coupl(nGC_62)*coupl(nGC_69) - 3d0*coupl&
                        (nGC_3231)*coupl(nGC_91)*coupl(nGC_99) + 6d0*coupl(    &
                        nGC_33)*coupl(nGC_661)**2d0 + 6d0*coupl(nGC_33)*coupl( &
                        nGC_94)**2d0 + 6d0*coupl(nGC_37)*coupl(nGC_91)*coupl(  &
                        nGC_92) + 3d0*coupl(nGC_43)*coupl(nGC_63)*coupl(nGC_69 &
                        ) + 3d0*coupl(nGC_43)*coupl(nGC_64)*coupl(nGC_68) + 3d0&
                        *coupl(nGC_47)*coupl(nGC_661)*coupl(nGC_92) + 3d0*coupl&
                        (nGC_55)*coupl(nGC_661)*coupl(nGC_94) - 3d0*coupl(     &
                        nGC_661)*coupl(nGC_94)*coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_TS_GC_118_Hh) = -coupl(nGC_118)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_14_Hl) = -coupl(nGC_14)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_69_Hh) = -coupl(nGC_69)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_69_Hl) = -coupl(nGC_69)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_188_Hh) = -coupl(nGC_188)*dtHh_QED1/cMHH**2d0
      coupl(nGC_16507) = coupl(nGC_145)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_16506) = coupl(nGC_145)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_13566) = coupl(nGC_14)*dZHl_QED2/2d0 + coupl(nGC_14)*          &
                         dZWMinus_QED2/2d0 + coupl(nGC_14)*dZZ_QED2/2d0 + coupl&
                         (nGC_16)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_16)*     &
                         dZHhHl_QED2/2d0 + coupl(nGC_65)*dZAZ_QED2/2d0 + coupl(&
                         nGC_9375)
      coupl(nGC_14924) = coupl(nGC_84)*dZdR_QCD2
      coupl(nGC_14927) = coupl(nGC_87)*dZdL_QCD2
      coupl(nGC_18118) = coupl(nGC_7)*dZcR_QCD2
      coupl(nGC_18115) = coupl(nGC_7)*dZcL_QED2
      coupl(nGC_18116) = coupl(nGC_7)*dZcL_QCD2
      coupl(nGC_18117) = coupl(nGC_7)*dZcR_QED2
      coupl(nGC_23891) = coupl(nGC_TS_GC_63_Hh) + coupl(nGC_TS_GC_69_Hl)
      coupl(nGC_23890) = coupl(nGC_MW_GF)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_25013) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_25015) = coupl(nGC_9642) + coupl(nGC_TS_GC_169_Hl) + coupl(    &
                         nGC_TS_GC_173_Hh)
      coupl(nGC_25014) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_25017) = coupl(nGC_25008) + coupl(nGC_9643)
      coupl(nGC_25016) = coupl(nGC_25007) + coupl(nGC_25015)
      coupl(nGC_15669) = coupl(nGC_102)*dZHMinus_QED2/2d0 + coupl(nGC_102)*    &
                         dZWMinus_QED2/2d0 + coupl(nGC_102)*dZZ_QED2/2d0 +     &
                         coupl(nGC_107)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_126&
                         )*dZAZ_QED2/2d0 + coupl(nGC_9378) + coupl(            &
                         nGC_TS_GC_15_Hh) + coupl(nGC_TS_GC_16_Hl)
      coupl(nGC_20847) = -coupl(nGC_15375)
      coupl(nGC_TS_GC_49_Hl) = -coupl(nGC_49)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_49_Hh) = -coupl(nGC_49)*dtHh_QED1/cMHH**2d0
      coupl(nGC_19213) = coupl(nGC_MZ_GF)*dZG0Ha_QED2/2d0
      coupl(nGC_14629) = coupl(nGC_64)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_8705) = cima*(4d0*Nc*coupl(nGC_131)**2d0 + 4d0*Nc*coupl(nGC_142&
                        )**2d0 + 4d0*Nc*coupl(nGC_146)**2d0 + 4d0*Nc*coupl(    &
                        nGC_170)**2d0 + 4d0*Nc*coupl(nGC_178)**2d0 + 4d0*Nc*   &
                        coupl(nGC_193)**2d0 + coupl(nGC_1283)**2d0 + 2d0*coupl(&
                        nGC_1319)*coupl(nGC_72) + coupl(nGC_1491)*coupl(nGC_64 &
                        ) + coupl(nGC_1529)**2d0 + 4d0*coupl(nGC_154)**2d0 +   &
                        4d0*coupl(nGC_162)**2d0 + coupl(nGC_17)**2d0 + coupl(  &
                        nGC_1795)*coupl(nGC_63) + 4d0*coupl(nGC_185)**2d0 +    &
                        coupl(nGC_1919)*coupl(nGC_68) + coupl(nGC_2961)*coupl( &
                        nGC_69) + coupl(nGC_96)**2d0)/(192d0*pi**2d0)
      coupl(nGC_15339) = coupl(nGC_10)*dZHhHl_QED2 + coupl(nGC_13)*dZHh_QED2 + &
                         coupl(nGC_13)*dZHl_QED2 + coupl(nGC_9)*dZHlHh_QED2 +  &
                         coupl(nGC_9303)
      coupl(nGC_15440) = coupl(nGC_41)*dZHaG0_QED2/2d0 + coupl(nGC_41)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_48)*dZHMinus_QED2/2d0 +   &
                         coupl(nGC_48)*dZHl_QED2/2d0 + coupl(nGC_9308)
      coupl(nGC_14314) = coupl(nGC_28)*dZG0/2d0
      coupl(nGC_12877) = coupl(nGC_70)*dZGMinus/2d0
      coupl(nGC_14000) = coupl(nGC_69)*dZGMinus/2d0
      coupl(nGC_8969) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_149) - coupl(nGC_1079 &
                        )*coupl(nGC_147)*coupl(nGC_84) - coupl(nGC_145)**2d0*  &
                        coupl(nGC_149) - coupl(nGC_146)*coupl(nGC_1491)*coupl( &
                        nGC_80) - coupl(nGC_146)*coupl(nGC_193)*coupl(nGC_195  &
                        ) - coupl(nGC_147)**2d0*coupl(nGC_149) - coupl(nGC_147 &
                        )*coupl(nGC_87)*coupl(nGC_92) - coupl(nGC_149)**3d0 -  &
                        coupl(nGC_149)*coupl(nGC_151)**2d0 + 8d0*coupl(nGC_149 &
                        )*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_150)*coupl(  &
                        nGC_195)*coupl(nGC_196) - coupl(nGC_150)*coupl(nGC_68)*&
                        coupl(nGC_80) - coupl(nGC_151)*coupl(nGC_661)*coupl(   &
                        nGC_84) - coupl(nGC_151)*coupl(nGC_87)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_8968) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_149) - coupl(nGC_1079 &
                        )*coupl(nGC_148)*coupl(nGC_87) - coupl(nGC_145)**2d0*  &
                        coupl(nGC_149) - coupl(nGC_146)*coupl(nGC_193)*coupl(  &
                        nGC_195) - coupl(nGC_146)*coupl(nGC_64)*coupl(nGC_80   &
                        ) - coupl(nGC_148)**2d0*coupl(nGC_149) - coupl(nGC_148 &
                        )*coupl(nGC_84)*coupl(nGC_92) - coupl(nGC_149)**3d0 -  &
                        coupl(nGC_149)*coupl(nGC_152)**2d0 + 8d0*coupl(nGC_149 &
                        )*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_150)*coupl(  &
                        nGC_1919)*coupl(nGC_80) - coupl(nGC_150)*coupl(nGC_195 &
                        )*coupl(nGC_196) - coupl(nGC_152)*coupl(nGC_661)*coupl(&
                        nGC_87) - coupl(nGC_152)*coupl(nGC_84)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_12899) = coupl(nGC_74)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_20978) = coupl(nGC_47)*dZHa_QED2/2d0 + coupl(nGC_55)*          &
                         dZG0Ha_QED2/2d0 + 3d0*coupl(nGC_59)*dZHaG0_QED2/2d0 + &
                         coupl(nGC_9324)
      coupl(nGC_8963) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_137) - coupl(nGC_1079 &
                        )*coupl(nGC_144)*coupl(nGC_84) - coupl(nGC_137)**3d0 - &
                        coupl(nGC_137)*coupl(nGC_139)**2d0 - coupl(nGC_137)*   &
                        coupl(nGC_141)**2d0 - coupl(nGC_137)*coupl(nGC_144)**  &
                        2d0 + 8d0*coupl(nGC_137)*coupl(nGC_84)*coupl(nGC_87) - &
                        coupl(nGC_138)*coupl(nGC_180)*coupl(nGC_181) - coupl(  &
                        nGC_138)*coupl(nGC_68)*coupl(nGC_80) - coupl(nGC_139)* &
                        coupl(nGC_661)*coupl(nGC_84) - coupl(nGC_139)*coupl(   &
                        nGC_87)*coupl(nGC_94) - coupl(nGC_142)*coupl(nGC_1491)*&
                        coupl(nGC_80) - coupl(nGC_142)*coupl(nGC_178)*coupl(   &
                        nGC_180) - coupl(nGC_144)*coupl(nGC_87)*coupl(nGC_92   &
                        ))/(32d0*pi**2d0)
      coupl(nGC_8962) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_137) - coupl(nGC_1079 &
                        )*coupl(nGC_143)*coupl(nGC_87) - coupl(nGC_137)**3d0 - &
                        coupl(nGC_137)*coupl(nGC_140)**2d0 - coupl(nGC_137)*   &
                        coupl(nGC_141)**2d0 - coupl(nGC_137)*coupl(nGC_143)**  &
                        2d0 + 8d0*coupl(nGC_137)*coupl(nGC_84)*coupl(nGC_87) - &
                        coupl(nGC_138)*coupl(nGC_180)*coupl(nGC_181) - coupl(  &
                        nGC_138)*coupl(nGC_1919)*coupl(nGC_80) - coupl(nGC_140 &
                        )*coupl(nGC_661)*coupl(nGC_87) - coupl(nGC_140)*coupl( &
                        nGC_84)*coupl(nGC_94) - coupl(nGC_142)*coupl(nGC_178)* &
                        coupl(nGC_180) - coupl(nGC_142)*coupl(nGC_64)*coupl(   &
                        nGC_80) - coupl(nGC_143)*coupl(nGC_84)*coupl(nGC_92))/(&
                        32d0*pi**2d0)
      coupl(nGC_8964) = coupl(nGC_137)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8967) = coupl(nGC_133)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8966) = (-coupl(nGC_1079)*coupl(nGC_132)*coupl(nGC_85) - coupl(&
                        nGC_130)**2d0*coupl(nGC_133) - coupl(nGC_131)*coupl(   &
                        nGC_170)*coupl(nGC_173) - coupl(nGC_131)*coupl(nGC_1795&
                        )*coupl(nGC_80) - coupl(nGC_132)**2d0*coupl(nGC_133) - &
                        coupl(nGC_132)*coupl(nGC_88)*coupl(nGC_92) - coupl(    &
                        nGC_133)**3d0 - coupl(nGC_133)*coupl(nGC_136)**2d0 +   &
                        8d0*coupl(nGC_133)*coupl(nGC_2)**2d0 + 8d0*coupl(      &
                        nGC_133)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_134)* &
                        coupl(nGC_173)*coupl(nGC_174) - coupl(nGC_134)*coupl(  &
                        nGC_69)*coupl(nGC_80) - coupl(nGC_136)*coupl(nGC_661)* &
                        coupl(nGC_85) - coupl(nGC_136)*coupl(nGC_88)*coupl(    &
                        nGC_94))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_108_Hl) = -coupl(nGC_108)*dtHl_QED1/cMHL**2d0
      coupl(nGC_8819) = (coupl(nGC_1)*coupl(nGC_134)*coupl(nGC_17) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_134)*coupl(nGC_2) + coupl(nGC_1283)*  &
                        coupl(nGC_134)*coupl(nGC_85) - coupl(nGC_130)*coupl(   &
                        nGC_169)*coupl(nGC_174) + coupl(nGC_130)*coupl(nGC_63)*&
                        coupl(nGC_80) + coupl(nGC_1319)*coupl(nGC_136)*coupl(  &
                        nGC_80) - coupl(nGC_132)*coupl(nGC_171)*coupl(nGC_174  &
                        ) - coupl(nGC_133)*coupl(nGC_173)*coupl(nGC_174) +     &
                        coupl(nGC_133)*coupl(nGC_68)*coupl(nGC_80) + coupl(    &
                        nGC_134)*coupl(nGC_1529)*coupl(nGC_2) + 8d0*coupl(     &
                        nGC_134)*coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_134)* &
                        coupl(nGC_87)*coupl(nGC_96) - coupl(nGC_136)*coupl(    &
                        nGC_174)*coupl(nGC_175))/(32d0*pi**2d0)
      coupl(nGC_8818) = coupl(nGC_181)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8815) = (-coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_1529) + 8d0*   &
                        coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_2) - coupl(      &
                        nGC_1283)*coupl(nGC_138)*coupl(nGC_84) - coupl(nGC_1319&
                        )*coupl(nGC_140)*coupl(nGC_80) - coupl(nGC_137)*coupl( &
                        nGC_180)*coupl(nGC_181) - coupl(nGC_137)*coupl(nGC_68)*&
                        coupl(nGC_80) - coupl(nGC_138)*coupl(nGC_17)*coupl(    &
                        nGC_2) + 8d0*coupl(nGC_138)*coupl(nGC_84)*coupl(nGC_88 &
                        ) - coupl(nGC_138)*coupl(nGC_88)*coupl(nGC_96) - coupl(&
                        nGC_140)*coupl(nGC_181)*coupl(nGC_182) - coupl(nGC_141 &
                        )*coupl(nGC_177)*coupl(nGC_181) - coupl(nGC_141)*coupl(&
                        nGC_63)*coupl(nGC_80) - coupl(nGC_143)*coupl(nGC_181)* &
                        coupl(nGC_2153))/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl10
end module fill_ctcouplings10
