!******************************************************************************!
!                                                                              !
!    fill_ctcouplings13.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings13.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings13
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl13()
      coupl(nGC_8971) = (coupl(nGC_1079)*coupl(nGC_155)*coupl(nGC_89) - coupl( &
                        nGC_153)**2d0*coupl(nGC_157) + coupl(nGC_154)*coupl(   &
                        nGC_63)*coupl(nGC_80) - coupl(nGC_155)**2d0*coupl(     &
                        nGC_157) + coupl(nGC_155)*coupl(nGC_86)*coupl(nGC_92   &
                        ) - coupl(nGC_157)**3d0 - coupl(nGC_157)*coupl(nGC_159 &
                        )**2d0 + 8d0*coupl(nGC_157)*coupl(nGC_4)**2d0 + 8d0*   &
                        coupl(nGC_157)*coupl(nGC_86)*coupl(nGC_89) + coupl(    &
                        nGC_158)*coupl(nGC_2961)*coupl(nGC_80) + coupl(nGC_159 &
                        )*coupl(nGC_661)*coupl(nGC_89) + coupl(nGC_159)*coupl( &
                        nGC_86)*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_8978) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_173) - coupl(nGC_1079 &
                        )*coupl(nGC_171)*coupl(nGC_84) - coupl(nGC_131)*coupl( &
                        nGC_133)*coupl(nGC_170) - coupl(nGC_133)*coupl(nGC_134 &
                        )*coupl(nGC_174) - coupl(nGC_1491)*coupl(nGC_170)*coupl&
                        (nGC_80) - coupl(nGC_169)**2d0*coupl(nGC_173) - coupl( &
                        nGC_171)**2d0*coupl(nGC_173) - coupl(nGC_171)*coupl(   &
                        nGC_87)*coupl(nGC_92) - coupl(nGC_173)**3d0 - coupl(   &
                        nGC_173)*coupl(nGC_175)**2d0 + 8d0*coupl(nGC_173)*coupl&
                        (nGC_84)*coupl(nGC_87) - coupl(nGC_174)*coupl(nGC_68)* &
                        coupl(nGC_80) - coupl(nGC_175)*coupl(nGC_661)*coupl(   &
                        nGC_84) - coupl(nGC_175)*coupl(nGC_87)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_8979) = coupl(nGC_173)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_40_Hh) = -coupl(nGC_40)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_40_Hl) = -coupl(nGC_40)*dtHl_QED1/cMHL**2d0
      coupl(nGC_9500) = coupl(nGC_8267)*dyup2_QED3 + coupl(nGC_8268)*dyup1_QED3&
                         + coupl(nGC_8269)*da_QED2
      coupl(nGC_TS_GC_157_Hh) = -coupl(nGC_157)*dtHh_QED1/cMHH**2d0
      coupl(nGC_24499) = coupl(nGC_14902) - coupl(nGC_14906)
      coupl(nGC_TS_GC_119_Hl) = -coupl(nGC_119)*dtHl_QED1/cMHL**2d0
      coupl(nGC_16093) = coupl(nGC_I)*dZHa_QED2
      coupl(nGC_16563) = coupl(nGC_2)*dZuR_QED2 + coupl(nGC_85)*dZZA_QED2/2d0
      coupl(nGC_16561) = coupl(nGC_2)*dZuL_QED2 + coupl(nGC_88)*dZZA_QED2/2d0
      coupl(nGC_17941) = coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_82)*dZZ_QED2/  &
                         2d0 + coupl(nGC_9282)
      coupl(nGC_17415) = -coupl(nGC_14046)
      coupl(nGC_14801) = coupl(nGC_21)*dZGMinus/2d0
      coupl(nGC_24531) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_14808) = coupl(nGC_1)*dZAZ_QED2/2d0
      coupl(nGC_23926) = coupl(nGC_122)*dZGMinus/2d0
      coupl(nGC_9509) = coupl(nGC_431)*dyt2_QED1_QCD2 + coupl(nGC_435)*        &
                        dyt1_QED1_QCD2
      coupl(nGC_13677) = coupl(nGC_82)*dZWMinus_QED2/2d0 + coupl(nGC_9282)
      coupl(nGC_13678) = -coupl(nGC_13677)
      coupl(nGC_TS_GC_61_Hh) = -coupl(nGC_61)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_61_Hl) = -coupl(nGC_61)*dtHl_QED1/cMHL**2d0
      coupl(nGC_19301) = coupl(nGC_19292) + coupl(nGC_9639)
      coupl(nGC_15311) = coupl(nGC_100)*(dZGMinusHMinus_QED2 +                 &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_15314) = coupl(nGC_83)*dZAZ_QED2
      coupl(nGC_14372) = coupl(nGC_110)*dZHlHh_QED2/2d0 + coupl(nGC_111)*      &
                         dZGMinusHMinus_QED2 + coupl(nGC_118)*dZHMinus_QED2 +  &
                         coupl(nGC_118)*dZHh_QED2/2d0 + coupl(nGC_9335) + coupl&
                         (nGC_TS_GC_22_Hl) + coupl(nGC_TS_GC_34_Hh)
      coupl(nGC_TS_GC_31_Hl) = -coupl(nGC_31)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13418) = 3d0*coupl(nGC_45)*dZGMinus/2d0
      coupl(nGC_13899) = coupl(nGC_114)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_18265) = coupl(nGC_18260) + coupl(nGC_9637)
      coupl(nGC_13070) = coupl(nGC_65)*dZGMinus/2d0
      coupl(nGC_13074) = coupl(nGC_14)*dZZA_QED2/2d0 + coupl(nGC_65)*dZA_QED2/ &
                         2d0 + coupl(nGC_65)*dZHl_QED2/2d0 + coupl(nGC_65)*    &
                         dZWMinus_QED2/2d0 + coupl(nGC_70)*dZHMinusGMinus_QED2/&
                         2d0 + coupl(nGC_70)*dZHhHl_QED2/2d0 + coupl(nGC_9354)
      coupl(nGC_13079) = coupl(nGC_56)*dZGMinus
      coupl(nGC_14570) = coupl(nGC_107)*dZZA_QED2/2d0 + coupl(nGC_126)*        &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_127)*dZA_QED2/2d0 &
                          + coupl(nGC_127)*dZWMinus_QED2/2d0 + coupl(nGC_9356  &
                         ) + coupl(nGC_TS_GC_65_Hl) + coupl(nGC_TS_GC_70_Hh)
      coupl(nGC_TS_GC_48_Hh) = -coupl(nGC_48)*dtHh_QED1/cMHH**2d0
      coupl(nGC_23113) = coupl(nGC_I)*dZGMinus
      coupl(nGC_14202) = -coupl(nGC_13444)
      coupl(nGC_13256) = coupl(nGC_I)*dZHMinus_QED2
      coupl(nGC_13098) = coupl(nGC_194)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_9501) = coupl(nGC_8332)*dyc1_QED1_QCD2 + coupl(nGC_8333)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_9502) = coupl(nGC_8332)*dyc1_QED3 + coupl(nGC_8333)*dyc2_QED3  &
                         + coupl(nGC_8334)*da_QED2
      coupl(nGC_9507) = coupl(nGC_8652)*db_QED2 + coupl(nGC_8653)*dyc1_QED3 +  &
                        coupl(nGC_8654)*dyc2_QED3
      coupl(nGC_9508) = coupl(nGC_8653)*dyc1_QED1_QCD2 + coupl(nGC_8654)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_13091) = coupl(nGC_197)*dZG0Ha_QED2/2d0
      coupl(nGC_13097) = coupl(nGC_194)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_12787) = coupl(nGC_48)*dZGMinus/2d0
      coupl(nGC_12784) = coupl(nGC_62)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_12780) = coupl(nGC_17)*(dZGMinusHMinus_QED2 +                  &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_8749) = cima*coupl(nGC_7)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 + &
                        cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**  &
                        2d0)
    end subroutine fill_CTcouplings_mdl13
end module fill_ctcouplings13
