!******************************************************************************!
!                                                                              !
!    fill_ctcouplings14.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings14.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings14
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl14()
      coupl(nGC_8748) = -Nc*cima*coupl(nGC_6)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_8741) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_8740) = cMC*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_8743) = cMD*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_8742) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(    &
                        nGC_87))/(8d0*pi**2d0)
      coupl(nGC_8745) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_80)**2d0 + coupl(  &
                        nGC_89)**2d0)/(16d0*pi**2d0)
      coupl(nGC_8744) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_86)**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_8747) = cima*sq2**2d0*(Nc*coupl(nGC_6)**2d0 - 4d0*coupl(nGC_7  &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_8746) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_86)*coupl(    &
                        nGC_89))/(8d0*pi**2d0)
      coupl(nGC_TS_GC_37_Hh) = -coupl(nGC_37)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_37_Hl) = -coupl(nGC_37)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13325) = 2d0*coupl(nGC_54)*dZGMinus
      coupl(nGC_9348) = coupl(nGC_8684)*dl4_QED4 + coupl(nGC_8685)*dl5_QED4 +  &
                        coupl(nGC_8686)*db_QED2 + coupl(nGC_8687)*dvev1_QED1 + &
                        coupl(nGC_8688)*dvev2_QED1
      coupl(nGC_9349) = coupl(nGC_7964)*dl4_QED4 + coupl(nGC_7965)*dl5_QED4 +  &
                        coupl(nGC_7966)*db_QED2 + coupl(nGC_7967)*dvev1_QED1 + &
                        coupl(nGC_7968)*dvev2_QED1
      coupl(nGC_9439) = coupl(nGC_8419)*dydo1_QED1_QCD2 + coupl(nGC_8420)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_9434) = coupl(nGC_8425)*dydo1_QED3 + coupl(nGC_8426)*dydo2_QED3&
                         + coupl(nGC_8427)*da_QED2
      coupl(nGC_9343) = coupl(nGC_8204)*dl3_QED4 + coupl(nGC_8205)*db_QED2 +   &
                        coupl(nGC_8206)*dl2_QED4 + coupl(nGC_8207)*dl5_QED4 +  &
                        coupl(nGC_8208)*dvev2_QED1 + coupl(nGC_8209)*dvev1_QED1&
                         + coupl(nGC_8210)*dl1_QED4 + coupl(nGC_8211)*dl4_QED4 &
                         + coupl(nGC_8212)*da_QED2
      coupl(nGC_9340) = coupl(nGC_8597)*dl3_QED4 + coupl(nGC_8598)*db_QED2 +   &
                        coupl(nGC_8599)*dl2_QED4 + coupl(nGC_8600)*dl5_QED4 +  &
                        coupl(nGC_8601)*dvev2_QED1 + coupl(nGC_8602)*dvev1_QED1&
                         + coupl(nGC_8603)*dl1_QED4 + coupl(nGC_8604)*dl4_QED4 &
                         + coupl(nGC_8605)*da_QED2
      coupl(nGC_9341) = coupl(nGC_8179)*dl3_QED4 + coupl(nGC_8180)*db_QED2 +   &
                        coupl(nGC_8181)*dl2_QED4 + coupl(nGC_8182)*dl5_QED4 +  &
                        coupl(nGC_8183)*dvev2_QED1 + coupl(nGC_8184)*dvev1_QED1&
                         + coupl(nGC_8185)*dl1_QED4 + coupl(nGC_8186)*dl4_QED4 &
                         + coupl(nGC_8187)*da_QED2
      coupl(nGC_9430) = coupl(nGC_8385)*dyd13x3_QED1_QCD2 + coupl(nGC_8386)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_9347) = coupl(nGC_8657)*dl3_QED4 + coupl(nGC_8658)*db_QED2 +   &
                        coupl(nGC_8659)*dl2_QED4 + coupl(nGC_8660)*dl5_QED4 +  &
                        coupl(nGC_8661)*dvev2_QED1 + coupl(nGC_8662)*dvev1_QED1&
                         + coupl(nGC_8663)*dl1_QED4 + coupl(nGC_8664)*dl4_QED4 &
                         + coupl(nGC_8665)*da_QED2
      coupl(nGC_9344) = coupl(nGC_8400)*dl3_QED4 + coupl(nGC_8401)*dl1_QED4 +  &
                        coupl(nGC_8402)*dl2_QED4 + coupl(nGC_8403)*dl5_QED4 +  &
                        coupl(nGC_8404)*dl4_QED4 + coupl(nGC_8405)*dvev1_QED1  &
                         + coupl(nGC_8406)*dvev2_QED1 + coupl(nGC_8407)*da_QED2
      coupl(nGC_9433) = coupl(nGC_8425)*dydo1_QED1_QCD2 + coupl(nGC_8426)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_8902) = coupl(nGC_170)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8900) = coupl(nGC_131)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8907) = (-coupl(nGC_1283)*coupl(nGC_154)*coupl(nGC_86) - coupl(&
                        nGC_1319)*coupl(nGC_156)*coupl(nGC_80) - coupl(nGC_1491&
                        )*coupl(nGC_157)*coupl(nGC_80) - coupl(nGC_1529)*coupl(&
                        nGC_154)*coupl(nGC_4) - coupl(nGC_153)*coupl(nGC_1919)*&
                        coupl(nGC_80) + 8d0*coupl(nGC_154)*coupl(nGC_86)*coupl(&
                        nGC_90) - coupl(nGC_154)*coupl(nGC_90)*coupl(nGC_96))/(&
                        32d0*pi**2d0)
      coupl(nGC_8906) = coupl(nGC_193)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8905) = (-coupl(nGC_1)*coupl(nGC_1529)*coupl(nGC_193) + 8d0*   &
                        coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_2) - coupl(      &
                        nGC_1283)*coupl(nGC_193)*coupl(nGC_87) - coupl(nGC_145 &
                        )*coupl(nGC_146)*coupl(nGC_192) - coupl(nGC_146)*coupl(&
                        nGC_147)*coupl(nGC_194) - coupl(nGC_146)*coupl(nGC_149 &
                        )*coupl(nGC_195) - coupl(nGC_146)*coupl(nGC_151)*coupl(&
                        nGC_198) - coupl(nGC_17)*coupl(nGC_193)*coupl(nGC_2) - &
                        coupl(nGC_192)*coupl(nGC_69)*coupl(nGC_80) + 8d0*coupl(&
                        nGC_193)*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_193)* &
                        coupl(nGC_85)*coupl(nGC_96) - coupl(nGC_194)*coupl(    &
                        nGC_72)*coupl(nGC_80) - coupl(nGC_195)*coupl(nGC_63)*  &
                        coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_8904) = coupl(nGC_146)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8909) = (coupl(nGC_1283)*coupl(nGC_185)*coupl(nGC_90) + coupl( &
                        nGC_17)*coupl(nGC_185)*coupl(nGC_4) + coupl(nGC_184)*  &
                        coupl(nGC_69)*coupl(nGC_80) + 8d0*coupl(nGC_185)*coupl(&
                        nGC_86)*coupl(nGC_90) + coupl(nGC_185)*coupl(nGC_86)*  &
                        coupl(nGC_96) + coupl(nGC_187)*coupl(nGC_72)*coupl(    &
                        nGC_80) + coupl(nGC_188)*coupl(nGC_63)*coupl(nGC_80))/(&
                        32d0*pi**2d0)
      coupl(nGC_8908) = (-coupl(nGC_1283)*coupl(nGC_162)*coupl(nGC_86) - coupl(&
                        nGC_1319)*coupl(nGC_164)*coupl(nGC_80) - coupl(nGC_1491&
                        )*coupl(nGC_165)*coupl(nGC_80) - coupl(nGC_1529)*coupl(&
                        nGC_162)*coupl(nGC_4) - coupl(nGC_161)*coupl(nGC_1919)*&
                        coupl(nGC_80) + 8d0*coupl(nGC_162)*coupl(nGC_86)*coupl(&
                        nGC_90) - coupl(nGC_162)*coupl(nGC_90)*coupl(nGC_96))/(&
                        32d0*pi**2d0)
      coupl(nGC_TS_GC_27_Hh) = -coupl(nGC_27)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9236) = (-32d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_85)**2d0  &
                         + 40d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_85)*coupl&
                        (nGC_88) - 32d0*Nc*cima*coupl(nGC_133)**2d0*coupl(     &
                        nGC_88)**2d0 - 32d0*Nc*cima*coupl(nGC_137)**2d0*coupl( &
                        nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_137)**2d0*coupl( &
                        nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_137)**  &
                        2d0*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_149)** &
                        2d0*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_149)** &
                        2d0*coupl(nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(  &
                        nGC_149)**2d0*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl( &
                        nGC_173)**2d0*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl( &
                        nGC_173)**2d0*coupl(nGC_84)*coupl(nGC_87) - 32d0*Nc*   &
                        cima*coupl(nGC_173)**2d0*coupl(nGC_87)**2d0 - 32d0*Nc* &
                        cima*coupl(nGC_180)**2d0*coupl(nGC_85)**2d0 + 40d0*Nc* &
                        cima*coupl(nGC_180)**2d0*coupl(nGC_85)*coupl(nGC_88) - &
                        32d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_88)**2d0 -  &
                        32d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_85)**2d0 +  &
                        40d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_85)*coupl(  &
                        nGC_88) - 32d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_88&
                        )**2d0 + 4d0*cima*coupl(nGC_1079)**2d0*coupl(nGC_92)** &
                        2d0 + 4d0*cima*coupl(nGC_1079)**2d0*coupl(nGC_94)**2d0 &
                         + 4d0*cima*coupl(nGC_1079)*coupl(nGC_661)*coupl(nGC_91&
                        )*coupl(nGC_94) + 4d0*cima*coupl(nGC_1079)*coupl(      &
                        nGC_661)*coupl(nGC_92)*coupl(nGC_94) + 12d0*cima*coupl(&
                        nGC_1153)*coupl(nGC_61) + 4d0*cima*coupl(nGC_1283)**2d0&
                        *coupl(nGC_1491)*coupl(nGC_64) + 4d0*cima*coupl(       &
                        nGC_1283)**2d0*coupl(nGC_1919)*coupl(nGC_68) + 9d0*cima&
                        *coupl(nGC_1491)*coupl(nGC_64)*coupl(nGC_781)**2d0 -   &
                        32d0*cima*coupl(nGC_157)**2d0*coupl(nGC_86)**2d0 + 40d0&
                        *cima*coupl(nGC_157)**2d0*coupl(nGC_86)*coupl(nGC_89   &
                        ) - 32d0*cima*coupl(nGC_157)**2d0*coupl(nGC_89)**2d0 - &
                        32d0*cima*coupl(nGC_165)**2d0*coupl(nGC_86)**2d0 + 40d0&
                        *cima*coupl(nGC_165)**2d0*coupl(nGC_86)*coupl(nGC_89   &
                        ) - 32d0*cima*coupl(nGC_165)**2d0*coupl(nGC_89)**2d0 + &
                        9d0*cima*coupl(nGC_1795)*coupl(nGC_63)*coupl(nGC_82)** &
                        2d0 + 4d0*cima*coupl(nGC_1795)*coupl(nGC_63)*coupl(    &
                        nGC_96)**2d0 - 32d0*cima*coupl(nGC_188)**2d0*coupl(    &
                        nGC_86)**2d0 + 40d0*cima*coupl(nGC_188)**2d0*coupl(    &
                        nGC_86)*coupl(nGC_89) - 32d0*cima*coupl(nGC_188)**2d0* &
                        coupl(nGC_89)**2d0 + 9d0*cima*coupl(nGC_1919)*coupl(   &
                        nGC_68)*coupl(nGC_781)**2d0 + 9d0*cima*coupl(nGC_2961)*&
                        coupl(nGC_69)*coupl(nGC_82)**2d0 + 4d0*cima*coupl(     &
                        nGC_2961)*coupl(nGC_69)*coupl(nGC_96)**2d0 + 4d0*cima* &
                        coupl(nGC_3231)*coupl(nGC_661)*coupl(nGC_91)*coupl(    &
                        nGC_94) + 4d0*cima*coupl(nGC_3231)*coupl(nGC_661)*coupl&
                        (nGC_92)*coupl(nGC_94) + 4d0*cima*coupl(nGC_661)**2d0* &
                        coupl(nGC_92)**2d0 + 4d0*cima*coupl(nGC_661)**2d0*coupl&
                        (nGC_94)**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_1491)*    &
                        coupl(nGC_64) + 3d0*coupl(nGC_100)*coupl(nGC_1795)*    &
                        coupl(nGC_63) + 3d0*coupl(nGC_100)*coupl(nGC_1919)*    &
                        coupl(nGC_68) + 3d0*coupl(nGC_100)*coupl(nGC_2961)*    &
                        coupl(nGC_69) + 3d0*coupl(nGC_101)*coupl(nGC_1079)*    &
                        coupl(nGC_92) + 3d0*coupl(nGC_101)*coupl(nGC_661)*coupl&
                        (nGC_94) - 3d0*coupl(nGC_1153)*coupl(nGC_1491)*coupl(  &
                        nGC_64) - 3d0*coupl(nGC_1153)*coupl(nGC_1795)*coupl(   &
                        nGC_63) - 3d0*coupl(nGC_1153)*coupl(nGC_1919)*coupl(   &
                        nGC_68) - 3d0*coupl(nGC_1153)*coupl(nGC_2961)*coupl(   &
                        nGC_69) - 6d0*coupl(nGC_1491)*coupl(nGC_15)*coupl(     &
                        nGC_781) - 6d0*coupl(nGC_15)*coupl(nGC_1795)*coupl(    &
                        nGC_82) - 6d0*coupl(nGC_15)*coupl(nGC_63)*coupl(nGC_82 &
                        ) - 6d0*coupl(nGC_15)*coupl(nGC_64)*coupl(nGC_781) -   &
                        6d0*coupl(nGC_16)*coupl(nGC_1919)*coupl(nGC_781) - 6d0*&
                        coupl(nGC_16)*coupl(nGC_2961)*coupl(nGC_82) - 6d0*coupl&
                        (nGC_16)*coupl(nGC_68)*coupl(nGC_781) - 6d0*coupl(     &
                        nGC_16)*coupl(nGC_69)*coupl(nGC_82) + 18d0*coupl(nGC_61&
                        )*coupl(nGC_781)**2d0 + 18d0*coupl(nGC_61)*coupl(nGC_82&
                        )**2d0)/(96d0*pi**2d0)
      coupl(nGC_9237) = (40d0*Nc*cima*coupl(nGC_130)**3d0*coupl(nGC_133) + 40d0&
                        *Nc*cima*coupl(nGC_137)*coupl(nGC_141)**3d0 + 40d0*Nc* &
                        cima*coupl(nGC_145)**3d0*coupl(nGC_149) + 40d0*Nc*cima*&
                        coupl(nGC_169)**3d0*coupl(nGC_173) + 40d0*Nc*cima*coupl&
                        (nGC_177)**3d0*coupl(nGC_180) + 40d0*Nc*cima*coupl(    &
                        nGC_192)**3d0*coupl(nGC_195) - 5d0*cima*coupl(nGC_1079 &
                        )*coupl(nGC_3231)*coupl(nGC_91)*coupl(nGC_94) - 5d0*   &
                        cima*coupl(nGC_1079)*coupl(nGC_661)*coupl(nGC_94)**2d0 &
                         - 5d0*cima*coupl(nGC_1491)**2d0*coupl(nGC_64)*coupl(  &
                        nGC_69) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_1795)*    &
                        coupl(nGC_63)*coupl(nGC_68) - 5d0*cima*coupl(nGC_1491)*&
                        coupl(nGC_1795)*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*&
                        coupl(nGC_1491)*coupl(nGC_1919)*coupl(nGC_68)**2d0 -   &
                        5d0*cima*coupl(nGC_1491)*coupl(nGC_2961)*coupl(nGC_63)*&
                        coupl(nGC_64) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_2961&
                        )*coupl(nGC_64)**2d0 - 5d0*cima*coupl(nGC_1491)*coupl( &
                        nGC_2961)*coupl(nGC_69)**2d0 + 40d0*cima*coupl(nGC_153 &
                        )**3d0*coupl(nGC_157) + 40d0*cima*coupl(nGC_161)**3d0* &
                        coupl(nGC_165) - 5d0*cima*coupl(nGC_1795)**2d0*coupl(  &
                        nGC_63)*coupl(nGC_68) - 5d0*cima*coupl(nGC_1795)*coupl(&
                        nGC_1919)*coupl(nGC_63)**2d0 - 5d0*cima*coupl(nGC_1795 &
                        )*coupl(nGC_1919)*coupl(nGC_63)*coupl(nGC_64) - 5d0*   &
                        cima*coupl(nGC_1795)*coupl(nGC_1919)*coupl(nGC_68)**2d0&
                         - 5d0*cima*coupl(nGC_1795)*coupl(nGC_2961)*coupl(     &
                        nGC_69)**2d0 + 40d0*cima*coupl(nGC_184)**3d0*coupl(    &
                        nGC_188) - 5d0*cima*coupl(nGC_1919)**2d0*coupl(nGC_63)*&
                        coupl(nGC_68) - 5d0*cima*coupl(nGC_1919)**2d0*coupl(   &
                        nGC_64)*coupl(nGC_68) - 5d0*cima*coupl(nGC_2961)**2d0* &
                        coupl(nGC_63)*coupl(nGC_69) - 5d0*cima*coupl(nGC_2961  &
                        )**2d0*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(   &
                        nGC_3231)**2d0*coupl(nGC_91)*coupl(nGC_94) - 5d0*cima* &
                        coupl(nGC_3231)*coupl(nGC_661)*coupl(nGC_91)**2d0 - 5d0&
                        *cima*coupl(nGC_3231)*coupl(nGC_661)*coupl(nGC_91)*    &
                        coupl(nGC_92) - 5d0*cima*coupl(nGC_3231)*coupl(nGC_661 &
                        )*coupl(nGC_94)**2d0 - 5d0*cima*coupl(nGC_661)**2d0*   &
                        coupl(nGC_91)*coupl(nGC_94) - 5d0*cima*coupl(nGC_661)**&
                        2d0*coupl(nGC_92)*coupl(nGC_94) + 2d0*coupl(nGC_1079)* &
                        coupl(nGC_28)*coupl(nGC_91) + 2d0*coupl(nGC_1079)*coupl&
                        (nGC_31)*coupl(nGC_94) - coupl(nGC_1079)*coupl(nGC_94)*&
                        coupl(nGC_99) + 2d0*coupl(nGC_1491)*coupl(nGC_1795)*   &
                        coupl(nGC_24) + 3d0*coupl(nGC_1491)*coupl(nGC_23)*coupl&
                        (nGC_64) + 3d0*coupl(nGC_1491)*coupl(nGC_2961)*coupl(  &
                        nGC_36) + coupl(nGC_1491)*coupl(nGC_30)*coupl(nGC_68   &
                        ) + coupl(nGC_1491)*coupl(nGC_35)*coupl(nGC_69) - 2d0* &
                        coupl(nGC_1491)*coupl(nGC_61)*coupl(nGC_68) - 2d0*coupl&
                        (nGC_1491)*coupl(nGC_61)*coupl(nGC_69) + 3d0*coupl(    &
                        nGC_1795)*coupl(nGC_1919)*coupl(nGC_36) + 3d0*coupl(   &
                        nGC_1795)*coupl(nGC_23)*coupl(nGC_63) + coupl(nGC_1795 &
                        )*coupl(nGC_30)*coupl(nGC_69) + coupl(nGC_1795)*coupl( &
                        nGC_35)*coupl(nGC_68) - 2d0*coupl(nGC_1795)*coupl(     &
                        nGC_61)*coupl(nGC_68) - 2d0*coupl(nGC_1795)*coupl(     &
                        nGC_61)*coupl(nGC_69) + 2d0*coupl(nGC_1919)**2d0*coupl(&
                        nGC_24) + 3d0*coupl(nGC_1919)*coupl(nGC_22)*coupl(     &
                        nGC_68) + 2d0*coupl(nGC_1919)*coupl(nGC_30)*coupl(     &
                        nGC_64) + 2d0*coupl(nGC_1919)*coupl(nGC_35)*coupl(     &
                        nGC_63) - coupl(nGC_1919)*coupl(nGC_61)*coupl(nGC_63   &
                        ) - coupl(nGC_1919)*coupl(nGC_61)*coupl(nGC_64) + 3d0* &
                        coupl(nGC_22)*coupl(nGC_2961)*coupl(nGC_69) + 2d0*coupl&
                        (nGC_24)*coupl(nGC_2961)**2d0 + 4d0*coupl(nGC_24)*coupl&
                        (nGC_63)*coupl(nGC_64) + coupl(nGC_24)*coupl(nGC_68)** &
                        2d0 + coupl(nGC_24)*coupl(nGC_69)**2d0 + 3d0*coupl(    &
                        nGC_25)*coupl(nGC_3231)*coupl(nGC_91) + 3d0*coupl(     &
                        nGC_26)*coupl(nGC_661)*coupl(nGC_94) + coupl(nGC_28)*  &
                        coupl(nGC_3231)*coupl(nGC_92) + 3d0*coupl(nGC_28)*coupl&
                        (nGC_661)*coupl(nGC_94) + 2d0*coupl(nGC_2961)*coupl(   &
                        nGC_30)*coupl(nGC_63) + 2d0*coupl(nGC_2961)*coupl(     &
                        nGC_35)*coupl(nGC_64) - coupl(nGC_2961)*coupl(nGC_61)* &
                        coupl(nGC_63) - coupl(nGC_2961)*coupl(nGC_61)*coupl(   &
                        nGC_64) + coupl(nGC_31)*coupl(nGC_661)*coupl(nGC_92) + &
                        3d0*coupl(nGC_3231)*coupl(nGC_37)*coupl(nGC_94) + coupl&
                        (nGC_3231)*coupl(nGC_39)*coupl(nGC_94) - 2d0*coupl(    &
                        nGC_3231)*coupl(nGC_94)*coupl(nGC_99) + 3d0*coupl(     &
                        nGC_36)*coupl(nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_36 &
                        )*coupl(nGC_64)*coupl(nGC_69) + 3d0*coupl(nGC_37)*coupl&
                        (nGC_661)*coupl(nGC_91) + 2d0*coupl(nGC_39)*coupl(     &
                        nGC_661)*coupl(nGC_91) - coupl(nGC_661)*coupl(nGC_91)* &
                        coupl(nGC_99) - 2d0*coupl(nGC_661)*coupl(nGC_92)*coupl(&
                        nGC_99))/(32d0*pi**2d0)
      coupl(nGC_9232) = (40d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)**3d0 + 40d0&
                        *Nc*cima*coupl(nGC_137)**3d0*coupl(nGC_141) + 40d0*Nc* &
                        cima*coupl(nGC_145)*coupl(nGC_149)**3d0 + 40d0*Nc*cima*&
                        coupl(nGC_169)*coupl(nGC_173)**3d0 + 40d0*Nc*cima*coupl&
                        (nGC_177)*coupl(nGC_180)**3d0 + 40d0*Nc*cima*coupl(    &
                        nGC_192)*coupl(nGC_195)**3d0 - 5d0*cima*coupl(nGC_1079 &
                        )**2d0*coupl(nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(   &
                        nGC_1079)*coupl(nGC_3231)*coupl(nGC_92)*coupl(nGC_94   &
                        ) - 5d0*cima*coupl(nGC_1079)*coupl(nGC_661)*coupl(     &
                        nGC_91)*coupl(nGC_92) - 5d0*cima*coupl(nGC_1079)*coupl(&
                        nGC_661)*coupl(nGC_92)**2d0 - 5d0*cima*coupl(nGC_1079)*&
                        coupl(nGC_661)*coupl(nGC_94)**2d0 - 5d0*cima*coupl(    &
                        nGC_1491)**2d0*coupl(nGC_64)*coupl(nGC_68) - 5d0*cima* &
                        coupl(nGC_1491)*coupl(nGC_1795)*coupl(nGC_63)*coupl(   &
                        nGC_69) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_1795)*    &
                        coupl(nGC_64)*coupl(nGC_68) - 5d0*cima*coupl(nGC_1491)*&
                        coupl(nGC_1919)*coupl(nGC_63)*coupl(nGC_64) - 5d0*cima*&
                        coupl(nGC_1491)*coupl(nGC_1919)*coupl(nGC_64)**2d0 -   &
                        5d0*cima*coupl(nGC_1491)*coupl(nGC_1919)*coupl(nGC_68  &
                        )**2d0 - 5d0*cima*coupl(nGC_1491)*coupl(nGC_2961)*coupl&
                        (nGC_69)**2d0 + 40d0*cima*coupl(nGC_153)*coupl(nGC_157 &
                        )**3d0 + 40d0*cima*coupl(nGC_161)*coupl(nGC_165)**3d0  &
                         - 5d0*cima*coupl(nGC_1795)**2d0*coupl(nGC_63)*coupl(  &
                        nGC_69) - 5d0*cima*coupl(nGC_1795)*coupl(nGC_1919)*    &
                        coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_1795)*coupl(   &
                        nGC_2961)*coupl(nGC_63)**2d0 - 5d0*cima*coupl(nGC_1795 &
                        )*coupl(nGC_2961)*coupl(nGC_63)*coupl(nGC_64) - 5d0*   &
                        cima*coupl(nGC_1795)*coupl(nGC_2961)*coupl(nGC_69)**2d0&
                         + 40d0*cima*coupl(nGC_184)*coupl(nGC_188)**3d0 - 5d0* &
                        cima*coupl(nGC_1919)**2d0*coupl(nGC_63)*coupl(nGC_68   &
                        ) - 5d0*cima*coupl(nGC_1919)**2d0*coupl(nGC_64)*coupl( &
                        nGC_68) - 5d0*cima*coupl(nGC_2961)**2d0*coupl(nGC_63)* &
                        coupl(nGC_69) - 5d0*cima*coupl(nGC_2961)**2d0*coupl(   &
                        nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(nGC_3231)*coupl(&
                        nGC_661)*coupl(nGC_94)**2d0 - 5d0*cima*coupl(nGC_661)**&
                        2d0*coupl(nGC_91)*coupl(nGC_94) - 5d0*cima*coupl(      &
                        nGC_661)**2d0*coupl(nGC_92)*coupl(nGC_94) + 3d0*coupl( &
                        nGC_1079)*coupl(nGC_26)*coupl(nGC_92) + coupl(nGC_1079 &
                        )*coupl(nGC_29)*coupl(nGC_91) + 3d0*coupl(nGC_1079)*   &
                        coupl(nGC_37)*coupl(nGC_94) + coupl(nGC_1079)*coupl(   &
                        nGC_38)*coupl(nGC_94) - 2d0*coupl(nGC_1079)*coupl(     &
                        nGC_94)*coupl(nGC_99) + 4d0*coupl(nGC_1491)*coupl(     &
                        nGC_1795)*coupl(nGC_27) + 3d0*coupl(nGC_1491)*coupl(   &
                        nGC_1919)*coupl(nGC_36) + 3d0*coupl(nGC_1491)*coupl(   &
                        nGC_22)*coupl(nGC_64) + 2d0*coupl(nGC_1491)*coupl(     &
                        nGC_32)*coupl(nGC_69) + 2d0*coupl(nGC_1491)*coupl(     &
                        nGC_34)*coupl(nGC_68) - coupl(nGC_1491)*coupl(nGC_61)* &
                        coupl(nGC_68) - coupl(nGC_1491)*coupl(nGC_61)*coupl(   &
                        nGC_69) + 3d0*coupl(nGC_1795)*coupl(nGC_22)*coupl(     &
                        nGC_63) + 3d0*coupl(nGC_1795)*coupl(nGC_2961)*coupl(   &
                        nGC_36) + 2d0*coupl(nGC_1795)*coupl(nGC_32)*coupl(     &
                        nGC_68) + 2d0*coupl(nGC_1795)*coupl(nGC_34)*coupl(     &
                        nGC_69) - coupl(nGC_1795)*coupl(nGC_61)*coupl(nGC_68   &
                        ) - coupl(nGC_1795)*coupl(nGC_61)*coupl(nGC_69) + coupl&
                        (nGC_1919)**2d0*coupl(nGC_27) + 3d0*coupl(nGC_1919)*   &
                        coupl(nGC_23)*coupl(nGC_68) + coupl(nGC_1919)*coupl(   &
                        nGC_32)*coupl(nGC_63) + coupl(nGC_1919)*coupl(nGC_34)* &
                        coupl(nGC_64) - 2d0*coupl(nGC_1919)*coupl(nGC_61)*coupl&
                        (nGC_63) - 2d0*coupl(nGC_1919)*coupl(nGC_61)*coupl(    &
                        nGC_64) + 3d0*coupl(nGC_23)*coupl(nGC_2961)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_25)*coupl(nGC_661)*coupl(nGC_94&
                        ) + coupl(nGC_27)*coupl(nGC_2961)**2d0 + 2d0*coupl(    &
                        nGC_27)*coupl(nGC_63)*coupl(nGC_64) + 2d0*coupl(nGC_27 &
                        )*coupl(nGC_68)**2d0 + 2d0*coupl(nGC_27)*coupl(nGC_69  &
                        )**2d0 + 2d0*coupl(nGC_29)*coupl(nGC_3231)*coupl(nGC_92&
                        ) + 3d0*coupl(nGC_29)*coupl(nGC_661)*coupl(nGC_94) +   &
                        coupl(nGC_2961)*coupl(nGC_32)*coupl(nGC_64) + coupl(   &
                        nGC_2961)*coupl(nGC_34)*coupl(nGC_63) - 2d0*coupl(     &
                        nGC_2961)*coupl(nGC_61)*coupl(nGC_63) - 2d0*coupl(     &
                        nGC_2961)*coupl(nGC_61)*coupl(nGC_64) + 2d0*coupl(     &
                        nGC_3231)*coupl(nGC_33)*coupl(nGC_94) - coupl(nGC_3231 &
                        )*coupl(nGC_94)*coupl(nGC_99) + coupl(nGC_33)*coupl(   &
                        nGC_661)*coupl(nGC_91) + 3d0*coupl(nGC_36)*coupl(nGC_63&
                        )*coupl(nGC_69) + 3d0*coupl(nGC_36)*coupl(nGC_64)*coupl&
                        (nGC_68) + 3d0*coupl(nGC_37)*coupl(nGC_661)*coupl(     &
                        nGC_92) + 2d0*coupl(nGC_38)*coupl(nGC_661)*coupl(nGC_92&
                        ) - 2d0*coupl(nGC_661)*coupl(nGC_91)*coupl(nGC_99) -   &
                        coupl(nGC_661)*coupl(nGC_92)*coupl(nGC_99))/(32d0*pi** &
                        2d0)
      coupl(nGC_9233) = (120d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_133)**2d0 &
                         + 120d0*Nc*cima*coupl(nGC_137)**2d0*coupl(nGC_141)**  &
                        2d0 + 120d0*Nc*cima*coupl(nGC_145)**2d0*coupl(nGC_149  &
                        )**2d0 + 120d0*Nc*cima*coupl(nGC_169)**2d0*coupl(      &
                        nGC_173)**2d0 + 120d0*Nc*cima*coupl(nGC_177)**2d0*coupl&
                        (nGC_180)**2d0 + 120d0*Nc*cima*coupl(nGC_192)**2d0*    &
                        coupl(nGC_195)**2d0 - 5d0*cima*coupl(nGC_1079)**2d0*   &
                        coupl(nGC_94)**2d0 - 10d0*cima*coupl(nGC_1079)*coupl(  &
                        nGC_3231)*coupl(nGC_91)*coupl(nGC_92) - 10d0*cima*coupl&
                        (nGC_1079)*coupl(nGC_3231)*coupl(nGC_94)**2d0 - 10d0*  &
                        cima*coupl(nGC_1079)*coupl(nGC_661)*coupl(nGC_91)*coupl&
                        (nGC_94) - 20d0*cima*coupl(nGC_1079)*coupl(nGC_661)*   &
                        coupl(nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1491  &
                        )**2d0*coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_1491)** &
                        2d0*coupl(nGC_69)**2d0 - 20d0*cima*coupl(nGC_1491)*    &
                        coupl(nGC_1795)*coupl(nGC_63)*coupl(nGC_64) - 10d0*cima&
                        *coupl(nGC_1491)*coupl(nGC_1795)*coupl(nGC_68)**2d0 -  &
                        10d0*cima*coupl(nGC_1491)*coupl(nGC_1795)*coupl(nGC_69 &
                        )**2d0 - 10d0*cima*coupl(nGC_1491)*coupl(nGC_1919)*    &
                        coupl(nGC_63)*coupl(nGC_68) - 20d0*cima*coupl(nGC_1491 &
                        )*coupl(nGC_1919)*coupl(nGC_64)*coupl(nGC_68) - 10d0*  &
                        cima*coupl(nGC_1491)*coupl(nGC_2961)*coupl(nGC_63)*    &
                        coupl(nGC_69) - 20d0*cima*coupl(nGC_1491)*coupl(       &
                        nGC_2961)*coupl(nGC_64)*coupl(nGC_69) + 120d0*cima*    &
                        coupl(nGC_153)**2d0*coupl(nGC_157)**2d0 + 120d0*cima*  &
                        coupl(nGC_161)**2d0*coupl(nGC_165)**2d0 - 5d0*cima*    &
                        coupl(nGC_1795)**2d0*coupl(nGC_68)**2d0 - 5d0*cima*    &
                        coupl(nGC_1795)**2d0*coupl(nGC_69)**2d0 - 20d0*cima*   &
                        coupl(nGC_1795)*coupl(nGC_1919)*coupl(nGC_63)*coupl(   &
                        nGC_68) - 10d0*cima*coupl(nGC_1795)*coupl(nGC_1919)*   &
                        coupl(nGC_64)*coupl(nGC_68) - 20d0*cima*coupl(nGC_1795 &
                        )*coupl(nGC_2961)*coupl(nGC_63)*coupl(nGC_69) - 10d0*  &
                        cima*coupl(nGC_1795)*coupl(nGC_2961)*coupl(nGC_64)*    &
                        coupl(nGC_69) + 120d0*cima*coupl(nGC_184)**2d0*coupl(  &
                        nGC_188)**2d0 - 5d0*cima*coupl(nGC_1919)**2d0*coupl(   &
                        nGC_63)**2d0 - 10d0*cima*coupl(nGC_1919)**2d0*coupl(   &
                        nGC_63)*coupl(nGC_64) - 5d0*cima*coupl(nGC_1919)**2d0* &
                        coupl(nGC_64)**2d0 - 10d0*cima*coupl(nGC_1919)**2d0*   &
                        coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_2961)**2d0*    &
                        coupl(nGC_63)**2d0 - 10d0*cima*coupl(nGC_2961)**2d0*   &
                        coupl(nGC_63)*coupl(nGC_64) - 5d0*cima*coupl(nGC_2961  &
                        )**2d0*coupl(nGC_64)**2d0 - 10d0*cima*coupl(nGC_2961)**&
                        2d0*coupl(nGC_69)**2d0 - 5d0*cima*coupl(nGC_3231)**2d0*&
                        coupl(nGC_94)**2d0 - 20d0*cima*coupl(nGC_3231)*coupl(  &
                        nGC_661)*coupl(nGC_91)*coupl(nGC_94) - 10d0*cima*coupl(&
                        nGC_3231)*coupl(nGC_661)*coupl(nGC_92)*coupl(nGC_94) + &
                        12d0*cima*coupl(nGC_61)**2d0 - 5d0*cima*coupl(nGC_661  &
                        )**2d0*coupl(nGC_91)**2d0 - 10d0*cima*coupl(nGC_661)** &
                        2d0*coupl(nGC_91)*coupl(nGC_92) - 5d0*cima*coupl(      &
                        nGC_661)**2d0*coupl(nGC_92)**2d0 - 10d0*cima*coupl(    &
                        nGC_661)**2d0*coupl(nGC_94)**2d0 + 6d0*cima*coupl(     &
                        nGC_99)**2d0 + 6d0*coupl(nGC_1079)*coupl(nGC_26)*coupl(&
                        nGC_94) + 3d0*coupl(nGC_1079)*coupl(nGC_28)*coupl(     &
                        nGC_94) + 3d0*coupl(nGC_1079)*coupl(nGC_31)*coupl(     &
                        nGC_92) + 6d0*coupl(nGC_1079)*coupl(nGC_37)*coupl(     &
                        nGC_91) - 3d0*coupl(nGC_1079)*coupl(nGC_92)*coupl(     &
                        nGC_99) + 12d0*coupl(nGC_1491)*coupl(nGC_1795)*coupl(  &
                        nGC_36) + 3d0*coupl(nGC_1491)*coupl(nGC_1919)*coupl(   &
                        nGC_24) + 6d0*coupl(nGC_1491)*coupl(nGC_22)*coupl(     &
                        nGC_68) + 6d0*coupl(nGC_1491)*coupl(nGC_23)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_1491)*coupl(nGC_27)*coupl(     &
                        nGC_2961) + 3d0*coupl(nGC_1491)*coupl(nGC_30)*coupl(   &
                        nGC_64) + 3d0*coupl(nGC_1491)*coupl(nGC_32)*coupl(     &
                        nGC_64) - 6d0*coupl(nGC_1491)*coupl(nGC_61)*coupl(     &
                        nGC_64) + 3d0*coupl(nGC_1795)*coupl(nGC_1919)*coupl(   &
                        nGC_27) + 6d0*coupl(nGC_1795)*coupl(nGC_22)*coupl(     &
                        nGC_69) + 6d0*coupl(nGC_1795)*coupl(nGC_23)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_1795)*coupl(nGC_24)*coupl(     &
                        nGC_2961) + 3d0*coupl(nGC_1795)*coupl(nGC_30)*coupl(   &
                        nGC_63) + 3d0*coupl(nGC_1795)*coupl(nGC_32)*coupl(     &
                        nGC_63) - 6d0*coupl(nGC_1795)*coupl(nGC_61)*coupl(     &
                        nGC_63) + 6d0*coupl(nGC_1919)**2d0*coupl(nGC_36) + 6d0*&
                        coupl(nGC_1919)*coupl(nGC_22)*coupl(nGC_64) + 6d0*coupl&
                        (nGC_1919)*coupl(nGC_23)*coupl(nGC_63) + 3d0*coupl(    &
                        nGC_1919)*coupl(nGC_34)*coupl(nGC_68) + 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_35)*coupl(nGC_68) - 6d0*coupl(     &
                        nGC_1919)*coupl(nGC_61)*coupl(nGC_68) + 6d0*coupl(     &
                        nGC_22)*coupl(nGC_2961)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_23)*coupl(nGC_2961)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_24)*coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_24 &
                        )*coupl(nGC_64)*coupl(nGC_68) + 6d0*coupl(nGC_25)*coupl&
                        (nGC_3231)*coupl(nGC_94) + 6d0*coupl(nGC_25)*coupl(    &
                        nGC_661)*coupl(nGC_91) + 6d0*coupl(nGC_26)*coupl(      &
                        nGC_661)*coupl(nGC_92) + 3d0*coupl(nGC_27)*coupl(nGC_63&
                        )*coupl(nGC_68) + 3d0*coupl(nGC_27)*coupl(nGC_64)*coupl&
                        (nGC_69) + 3d0*coupl(nGC_28)*coupl(nGC_661)*coupl(     &
                        nGC_92) + 3d0*coupl(nGC_29)*coupl(nGC_3231)*coupl(     &
                        nGC_94) + 3d0*coupl(nGC_29)*coupl(nGC_661)*coupl(nGC_91&
                        ) + 6d0*coupl(nGC_2961)**2d0*coupl(nGC_36) + 3d0*coupl(&
                        nGC_2961)*coupl(nGC_34)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_2961)*coupl(nGC_35)*coupl(nGC_69) - 6d0*coupl(     &
                        nGC_2961)*coupl(nGC_61)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_3231)*coupl(nGC_33)*coupl(nGC_91) + 6d0*coupl(     &
                        nGC_3231)*coupl(nGC_37)*coupl(nGC_92) - 3d0*coupl(     &
                        nGC_3231)*coupl(nGC_91)*coupl(nGC_99) + 12d0*coupl(    &
                        nGC_36)*coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_36 &
                        )*coupl(nGC_68)**2d0 + 6d0*coupl(nGC_36)*coupl(nGC_69  &
                        )**2d0 + 12d0*coupl(nGC_37)*coupl(nGC_661)*coupl(nGC_94&
                        ) + 3d0*coupl(nGC_38)*coupl(nGC_661)*coupl(nGC_94) +   &
                        3d0*coupl(nGC_39)*coupl(nGC_661)*coupl(nGC_94) - 6d0*  &
                        coupl(nGC_661)*coupl(nGC_94)*coupl(nGC_99))/(96d0*pi** &
                        2d0)
      coupl(nGC_9231) = (20d0*Nc*cima*coupl(nGC_133)**4d0 + 20d0*Nc*cima*coupl(&
                        nGC_137)**4d0 + 20d0*Nc*cima*coupl(nGC_149)**4d0 + 20d0&
                        *Nc*cima*coupl(nGC_173)**4d0 + 20d0*Nc*cima*coupl(     &
                        nGC_180)**4d0 + 20d0*Nc*cima*coupl(nGC_195)**4d0 - 5d0*&
                        cima*coupl(nGC_1079)**2d0*coupl(nGC_92)**2d0 - 10d0*   &
                        cima*coupl(nGC_1079)*coupl(nGC_661)*coupl(nGC_92)*coupl&
                        (nGC_94) - 5d0*cima*coupl(nGC_1491)**2d0*coupl(nGC_64  &
                        )**2d0 - 10d0*cima*coupl(nGC_1491)*coupl(nGC_1919)*    &
                        coupl(nGC_64)*coupl(nGC_68) + 20d0*cima*coupl(nGC_157  &
                        )**4d0 + 20d0*cima*coupl(nGC_165)**4d0 - 5d0*cima*coupl&
                        (nGC_1795)**2d0*coupl(nGC_63)**2d0 - 10d0*cima*coupl(  &
                        nGC_1795)*coupl(nGC_2961)*coupl(nGC_63)*coupl(nGC_69   &
                        ) + 20d0*cima*coupl(nGC_188)**4d0 - 5d0*cima*coupl(    &
                        nGC_1919)**2d0*coupl(nGC_68)**2d0 - 5d0*cima*coupl(    &
                        nGC_2961)**2d0*coupl(nGC_69)**2d0 + 6d0*cima*coupl(    &
                        nGC_61)**2d0 - 5d0*cima*coupl(nGC_661)**2d0*coupl(     &
                        nGC_94)**2d0 + 3d0*cima*coupl(nGC_99)**2d0 + 3d0*coupl(&
                        nGC_1079)*coupl(nGC_29)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_1079)*coupl(nGC_38)*coupl(nGC_92) - 3d0*coupl(     &
                        nGC_1079)*coupl(nGC_92)*coupl(nGC_99) + 3d0*coupl(     &
                        nGC_1491)*coupl(nGC_1919)*coupl(nGC_27) + 3d0*coupl(   &
                        nGC_1491)*coupl(nGC_34)*coupl(nGC_64) - 3d0*coupl(     &
                        nGC_1491)*coupl(nGC_61)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_1795)*coupl(nGC_27)*coupl(nGC_2961) + 3d0*coupl(   &
                        nGC_1795)*coupl(nGC_34)*coupl(nGC_63) - 3d0*coupl(     &
                        nGC_1795)*coupl(nGC_61)*coupl(nGC_63) + 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_32)*coupl(nGC_68) - 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_61)*coupl(nGC_68) + 3d0*coupl(     &
                        nGC_27)*coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_27 &
                        )*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_29)*coupl&
                        (nGC_661)*coupl(nGC_92) + 3d0*coupl(nGC_2961)*coupl(   &
                        nGC_32)*coupl(nGC_69) - 3d0*coupl(nGC_2961)*coupl(     &
                        nGC_61)*coupl(nGC_69) + 3d0*coupl(nGC_33)*coupl(nGC_661&
                        )*coupl(nGC_94) - 3d0*coupl(nGC_661)*coupl(nGC_94)*    &
                        coupl(nGC_99))/(16d0*pi**2d0)
      coupl(nGC_9238) = (-32d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl(    &
                        nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_130)*coupl(      &
                        nGC_133)*coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*   &
                        coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_88)**2d0 - 32d0&
                        *Nc*cima*coupl(nGC_137)*coupl(nGC_141)*coupl(nGC_84)** &
                        2d0 + 40d0*Nc*cima*coupl(nGC_137)*coupl(nGC_141)*coupl(&
                        nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_137)*   &
                        coupl(nGC_141)*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(&
                        nGC_145)*coupl(nGC_149)*coupl(nGC_84)**2d0 + 40d0*Nc*  &
                        cima*coupl(nGC_145)*coupl(nGC_149)*coupl(nGC_84)*coupl(&
                        nGC_87) - 32d0*Nc*cima*coupl(nGC_145)*coupl(nGC_149)*  &
                        coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_169)*coupl(&
                        nGC_173)*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(      &
                        nGC_169)*coupl(nGC_173)*coupl(nGC_84)*coupl(nGC_87) -  &
                        32d0*Nc*cima*coupl(nGC_169)*coupl(nGC_173)*coupl(nGC_87&
                        )**2d0 - 32d0*Nc*cima*coupl(nGC_177)*coupl(nGC_180)*   &
                        coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_177)*coupl(&
                        nGC_180)*coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*   &
                        coupl(nGC_177)*coupl(nGC_180)*coupl(nGC_88)**2d0 - 32d0&
                        *Nc*cima*coupl(nGC_192)*coupl(nGC_195)*coupl(nGC_85)** &
                        2d0 + 40d0*Nc*cima*coupl(nGC_192)*coupl(nGC_195)*coupl(&
                        nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*coupl(nGC_192)*   &
                        coupl(nGC_195)*coupl(nGC_88)**2d0 + 4d0*cima*coupl(    &
                        nGC_1079)*coupl(nGC_661)*coupl(nGC_92)**2d0 + 4d0*cima*&
                        coupl(nGC_1079)*coupl(nGC_661)*coupl(nGC_94)**2d0 + 4d0&
                        *cima*coupl(nGC_1283)**2d0*coupl(nGC_1491)*coupl(nGC_68&
                        ) + 4d0*cima*coupl(nGC_1283)**2d0*coupl(nGC_1795)*coupl&
                        (nGC_68) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_69)*coupl&
                        (nGC_96)**2d0 - 32d0*cima*coupl(nGC_153)*coupl(nGC_157 &
                        )*coupl(nGC_86)**2d0 + 40d0*cima*coupl(nGC_153)*coupl( &
                        nGC_157)*coupl(nGC_86)*coupl(nGC_89) - 32d0*cima*coupl(&
                        nGC_153)*coupl(nGC_157)*coupl(nGC_89)**2d0 - 32d0*cima*&
                        coupl(nGC_161)*coupl(nGC_165)*coupl(nGC_86)**2d0 + 40d0&
                        *cima*coupl(nGC_161)*coupl(nGC_165)*coupl(nGC_86)*coupl&
                        (nGC_89) - 32d0*cima*coupl(nGC_161)*coupl(nGC_165)*    &
                        coupl(nGC_89)**2d0 + 4d0*cima*coupl(nGC_1795)*coupl(   &
                        nGC_69)*coupl(nGC_96)**2d0 - 32d0*cima*coupl(nGC_184)* &
                        coupl(nGC_188)*coupl(nGC_86)**2d0 + 40d0*cima*coupl(   &
                        nGC_184)*coupl(nGC_188)*coupl(nGC_86)*coupl(nGC_89) -  &
                        32d0*cima*coupl(nGC_184)*coupl(nGC_188)*coupl(nGC_89)**&
                        2d0 + 9d0*cima*coupl(nGC_1919)*coupl(nGC_63)*coupl(    &
                        nGC_781)**2d0 + 9d0*cima*coupl(nGC_1919)*coupl(nGC_64)*&
                        coupl(nGC_781)**2d0 + 9d0*cima*coupl(nGC_2961)*coupl(  &
                        nGC_63)*coupl(nGC_82)**2d0 + 9d0*cima*coupl(nGC_2961)* &
                        coupl(nGC_64)*coupl(nGC_82)**2d0 + 4d0*cima*coupl(     &
                        nGC_3231)**2d0*coupl(nGC_91)*coupl(nGC_94) + 4d0*cima* &
                        coupl(nGC_3231)**2d0*coupl(nGC_92)*coupl(nGC_94) + 4d0*&
                        cima*coupl(nGC_3231)*coupl(nGC_661)*coupl(nGC_92)**2d0 &
                         + 4d0*cima*coupl(nGC_3231)*coupl(nGC_661)*coupl(nGC_94&
                        )**2d0 + 4d0*cima*coupl(nGC_661)**2d0*coupl(nGC_91)*   &
                        coupl(nGC_94) + 4d0*cima*coupl(nGC_661)**2d0*coupl(    &
                        nGC_92)*coupl(nGC_94) + 3d0*coupl(nGC_100)*coupl(      &
                        nGC_1491)*coupl(nGC_68) + 3d0*coupl(nGC_100)*coupl(    &
                        nGC_1491)*coupl(nGC_69) + 3d0*coupl(nGC_100)*coupl(    &
                        nGC_1795)*coupl(nGC_68) + 3d0*coupl(nGC_100)*coupl(    &
                        nGC_1795)*coupl(nGC_69) + 3d0*coupl(nGC_101)*coupl(    &
                        nGC_3231)*coupl(nGC_94) + 3d0*coupl(nGC_101)*coupl(    &
                        nGC_661)*coupl(nGC_92) - 3d0*coupl(nGC_1153)*coupl(    &
                        nGC_1919)*coupl(nGC_63) - 3d0*coupl(nGC_1153)*coupl(   &
                        nGC_1919)*coupl(nGC_64) - 3d0*coupl(nGC_1153)*coupl(   &
                        nGC_2961)*coupl(nGC_63) - 3d0*coupl(nGC_1153)*coupl(   &
                        nGC_2961)*coupl(nGC_64) - 6d0*coupl(nGC_14)*coupl(     &
                        nGC_1919)*coupl(nGC_781) - 6d0*coupl(nGC_14)*coupl(    &
                        nGC_2961)*coupl(nGC_82) - 6d0*coupl(nGC_15)*coupl(     &
                        nGC_1919)*coupl(nGC_781) - 6d0*coupl(nGC_15)*coupl(    &
                        nGC_2961)*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl(     &
                        nGC_63)*coupl(nGC_781) - 6d0*coupl(nGC_16)*coupl(nGC_63&
                        )*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_64)*coupl&
                        (nGC_781) - 6d0*coupl(nGC_16)*coupl(nGC_64)*coupl(     &
                        nGC_82))/(96d0*pi**2d0)
      coupl(nGC_9239) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_133)**2d0 + &
                        coupl(nGC_137)**2d0 + coupl(nGC_149)**2d0 + coupl(     &
                        nGC_173)**2d0 + coupl(nGC_180)**2d0 + coupl(nGC_195)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_23260) = coupl(nGC_23251) + coupl(nGC_9635)
      coupl(nGC_16959) = -coupl(nGC_13929) + coupl(nGC_13930)
      coupl(nGC_16554) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_16559) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_TS_GC_29_Hh) = -coupl(nGC_29)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9650) = coupl(nGC_601)*dMZ2_QED2
      coupl(nGC_31266) = -coupl(nGC_8810)
      coupl(nGC_17310) = coupl(nGC_18)*dZA_QED2 + coupl(nGC_18)*dZHMinus_QED2  &
                          + coupl(nGC_9350) + coupl(nGC_97)*dZZA_QED2
      coupl(nGC_TS_GC_66_Hh) = -coupl(nGC_66)*dtHh_QED1/cMHH**2d0
      coupl(nGC_12669) = coupl(nGC_20)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_9415) = coupl(nGC_8547)*dyd12x2_QED1_QCD2 + coupl(nGC_8548)*   &
                        dys2_QED1_QCD2
    end subroutine fill_CTcouplings_mdl14
end module fill_ctcouplings14
