!******************************************************************************!
!                                                                              !
!    fill_ctcouplings16.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings16.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings16
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl16()
      coupl(nGC_9398) = coupl(nGC_8622)*dyup1_QED1_QCD2 + coupl(nGC_8623)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_9243) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_130)*coupl(&
                        nGC_133) - coupl(nGC_137)*coupl(nGC_141) - coupl(      &
                        nGC_145)*coupl(nGC_149) - coupl(nGC_169)*coupl(nGC_173 &
                        ) - coupl(nGC_177)*coupl(nGC_180) - coupl(nGC_192)*    &
                        coupl(nGC_195))/(16d0*pi**2d0)
      coupl(nGC_9242) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_130)*coupl( &
                        nGC_133) + coupl(nGC_137)*coupl(nGC_141) + coupl(      &
                        nGC_145)*coupl(nGC_149) + coupl(nGC_169)*coupl(nGC_173 &
                        ) + coupl(nGC_177)*coupl(nGC_180) + coupl(nGC_192)*    &
                        coupl(nGC_195))/(16d0*pi**2d0*Nc)
      coupl(nGC_9241) = (20d0*Nc*cima*coupl(nGC_130)**4d0 + 20d0*Nc*cima*coupl(&
                        nGC_141)**4d0 + 20d0*Nc*cima*coupl(nGC_145)**4d0 + 20d0&
                        *Nc*cima*coupl(nGC_169)**4d0 + 20d0*Nc*cima*coupl(     &
                        nGC_177)**4d0 + 20d0*Nc*cima*coupl(nGC_192)**4d0 - 5d0*&
                        cima*coupl(nGC_1491)**2d0*coupl(nGC_64)**2d0 - 10d0*   &
                        cima*coupl(nGC_1491)*coupl(nGC_2961)*coupl(nGC_64)*    &
                        coupl(nGC_69) + 20d0*cima*coupl(nGC_153)**4d0 + 20d0*  &
                        cima*coupl(nGC_161)**4d0 - 5d0*cima*coupl(nGC_1795)**  &
                        2d0*coupl(nGC_63)**2d0 - 10d0*cima*coupl(nGC_1795)*    &
                        coupl(nGC_1919)*coupl(nGC_63)*coupl(nGC_68) + 20d0*cima&
                        *coupl(nGC_184)**4d0 - 5d0*cima*coupl(nGC_1919)**2d0*  &
                        coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_2961)**2d0*    &
                        coupl(nGC_69)**2d0 - 5d0*cima*coupl(nGC_3231)**2d0*    &
                        coupl(nGC_91)**2d0 - 10d0*cima*coupl(nGC_3231)*coupl(  &
                        nGC_661)*coupl(nGC_91)*coupl(nGC_94) + 6d0*cima*coupl( &
                        nGC_61)**2d0 - 5d0*cima*coupl(nGC_661)**2d0*coupl(     &
                        nGC_94)**2d0 + 3d0*cima*coupl(nGC_99)**2d0 + 3d0*coupl(&
                        nGC_1491)*coupl(nGC_24)*coupl(nGC_2961) + 3d0*coupl(   &
                        nGC_1491)*coupl(nGC_35)*coupl(nGC_64) - 3d0*coupl(     &
                        nGC_1491)*coupl(nGC_61)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_1795)*coupl(nGC_1919)*coupl(nGC_24) + 3d0*coupl(   &
                        nGC_1795)*coupl(nGC_35)*coupl(nGC_63) - 3d0*coupl(     &
                        nGC_1795)*coupl(nGC_61)*coupl(nGC_63) + 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_30)*coupl(nGC_68) - 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_61)*coupl(nGC_68) + 3d0*coupl(     &
                        nGC_24)*coupl(nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_24 &
                        )*coupl(nGC_64)*coupl(nGC_69) + 3d0*coupl(nGC_28)*coupl&
                        (nGC_3231)*coupl(nGC_94) + 3d0*coupl(nGC_28)*coupl(    &
                        nGC_661)*coupl(nGC_91) + 3d0*coupl(nGC_2961)*coupl(    &
                        nGC_30)*coupl(nGC_69) - 3d0*coupl(nGC_2961)*coupl(     &
                        nGC_61)*coupl(nGC_69) + 3d0*coupl(nGC_31)*coupl(nGC_661&
                        )*coupl(nGC_94) + 3d0*coupl(nGC_3231)*coupl(nGC_39)*   &
                        coupl(nGC_91) - 3d0*coupl(nGC_3231)*coupl(nGC_91)*coupl&
                        (nGC_99) - 3d0*coupl(nGC_661)*coupl(nGC_94)*coupl(     &
                        nGC_99))/(16d0*pi**2d0)
      coupl(nGC_9240) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_133)**2d0  &
                         - coupl(nGC_137)**2d0 - coupl(nGC_149)**2d0 - coupl(  &
                        nGC_173)**2d0 - coupl(nGC_180)**2d0 - coupl(nGC_195)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_9247) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_130)**2d0  &
                         - coupl(nGC_141)**2d0 - coupl(nGC_145)**2d0 - coupl(  &
                        nGC_169)**2d0 - coupl(nGC_177)**2d0 - coupl(nGC_192)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_9245) = (-32d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_85)**2d0  &
                         + 40d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_85)*coupl&
                        (nGC_88) - 32d0*Nc*cima*coupl(nGC_130)**2d0*coupl(     &
                        nGC_88)**2d0 - 32d0*Nc*cima*coupl(nGC_141)**2d0*coupl( &
                        nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_141)**2d0*coupl( &
                        nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_141)**  &
                        2d0*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_145)** &
                        2d0*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_145)** &
                        2d0*coupl(nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(  &
                        nGC_145)**2d0*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl( &
                        nGC_169)**2d0*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl( &
                        nGC_169)**2d0*coupl(nGC_84)*coupl(nGC_87) - 32d0*Nc*   &
                        cima*coupl(nGC_169)**2d0*coupl(nGC_87)**2d0 - 32d0*Nc* &
                        cima*coupl(nGC_177)**2d0*coupl(nGC_85)**2d0 + 40d0*Nc* &
                        cima*coupl(nGC_177)**2d0*coupl(nGC_85)*coupl(nGC_88) - &
                        32d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_88)**2d0 -  &
                        32d0*Nc*cima*coupl(nGC_192)**2d0*coupl(nGC_85)**2d0 +  &
                        40d0*Nc*cima*coupl(nGC_192)**2d0*coupl(nGC_85)*coupl(  &
                        nGC_88) - 32d0*Nc*cima*coupl(nGC_192)**2d0*coupl(nGC_88&
                        )**2d0 + 4d0*cima*coupl(nGC_1079)*coupl(nGC_661)*coupl(&
                        nGC_91)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1079)*coupl(&
                        nGC_661)*coupl(nGC_92)*coupl(nGC_94) + 12d0*cima*coupl(&
                        nGC_1153)*coupl(nGC_61) + 4d0*cima*coupl(nGC_1283)**2d0&
                        *coupl(nGC_1795)*coupl(nGC_63) + 4d0*cima*coupl(       &
                        nGC_1283)**2d0*coupl(nGC_1919)*coupl(nGC_68) + 9d0*cima&
                        *coupl(nGC_1491)*coupl(nGC_64)*coupl(nGC_82)**2d0 + 4d0&
                        *cima*coupl(nGC_1491)*coupl(nGC_64)*coupl(nGC_96)**2d0 &
                         - 32d0*cima*coupl(nGC_153)**2d0*coupl(nGC_86)**2d0 +  &
                        40d0*cima*coupl(nGC_153)**2d0*coupl(nGC_86)*coupl(     &
                        nGC_89) - 32d0*cima*coupl(nGC_153)**2d0*coupl(nGC_89)**&
                        2d0 - 32d0*cima*coupl(nGC_161)**2d0*coupl(nGC_86)**2d0 &
                         + 40d0*cima*coupl(nGC_161)**2d0*coupl(nGC_86)*coupl(  &
                        nGC_89) - 32d0*cima*coupl(nGC_161)**2d0*coupl(nGC_89)**&
                        2d0 + 9d0*cima*coupl(nGC_1795)*coupl(nGC_63)*coupl(    &
                        nGC_781)**2d0 - 32d0*cima*coupl(nGC_184)**2d0*coupl(   &
                        nGC_86)**2d0 + 40d0*cima*coupl(nGC_184)**2d0*coupl(    &
                        nGC_86)*coupl(nGC_89) - 32d0*cima*coupl(nGC_184)**2d0* &
                        coupl(nGC_89)**2d0 + 9d0*cima*coupl(nGC_1919)*coupl(   &
                        nGC_68)*coupl(nGC_781)**2d0 + 9d0*cima*coupl(nGC_2961)*&
                        coupl(nGC_69)*coupl(nGC_82)**2d0 + 4d0*cima*coupl(     &
                        nGC_2961)*coupl(nGC_69)*coupl(nGC_96)**2d0 + 4d0*cima* &
                        coupl(nGC_3231)**2d0*coupl(nGC_91)**2d0 + 4d0*cima*    &
                        coupl(nGC_3231)**2d0*coupl(nGC_94)**2d0 + 4d0*cima*    &
                        coupl(nGC_3231)*coupl(nGC_661)*coupl(nGC_91)*coupl(    &
                        nGC_94) + 4d0*cima*coupl(nGC_3231)*coupl(nGC_661)*coupl&
                        (nGC_92)*coupl(nGC_94) + 4d0*cima*coupl(nGC_661)**2d0* &
                        coupl(nGC_91)**2d0 + 4d0*cima*coupl(nGC_661)**2d0*coupl&
                        (nGC_94)**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_1491)*    &
                        coupl(nGC_64) + 3d0*coupl(nGC_100)*coupl(nGC_1795)*    &
                        coupl(nGC_63) + 3d0*coupl(nGC_100)*coupl(nGC_1919)*    &
                        coupl(nGC_68) + 3d0*coupl(nGC_100)*coupl(nGC_2961)*    &
                        coupl(nGC_69) + 3d0*coupl(nGC_101)*coupl(nGC_3231)*    &
                        coupl(nGC_91) + 3d0*coupl(nGC_101)*coupl(nGC_661)*coupl&
                        (nGC_94) - 3d0*coupl(nGC_1153)*coupl(nGC_1491)*coupl(  &
                        nGC_64) - 3d0*coupl(nGC_1153)*coupl(nGC_1795)*coupl(   &
                        nGC_63) - 3d0*coupl(nGC_1153)*coupl(nGC_1919)*coupl(   &
                        nGC_68) - 3d0*coupl(nGC_1153)*coupl(nGC_2961)*coupl(   &
                        nGC_69) - 6d0*coupl(nGC_14)*coupl(nGC_1491)*coupl(     &
                        nGC_82) - 6d0*coupl(nGC_14)*coupl(nGC_1795)*coupl(     &
                        nGC_781) - 6d0*coupl(nGC_14)*coupl(nGC_63)*coupl(      &
                        nGC_781) - 6d0*coupl(nGC_14)*coupl(nGC_64)*coupl(nGC_82&
                        ) - 6d0*coupl(nGC_16)*coupl(nGC_1919)*coupl(nGC_781) - &
                        6d0*coupl(nGC_16)*coupl(nGC_2961)*coupl(nGC_82) - 6d0* &
                        coupl(nGC_16)*coupl(nGC_68)*coupl(nGC_781) - 6d0*coupl(&
                        nGC_16)*coupl(nGC_69)*coupl(nGC_82) + 18d0*coupl(nGC_61&
                        )*coupl(nGC_781)**2d0 + 18d0*coupl(nGC_61)*coupl(nGC_82&
                        )**2d0)/(96d0*pi**2d0)
      coupl(nGC_9249) = -cima*coupl(nGC_7)**2d0*coupl(nGC_80)**2d0*sq2**2d0/(  &
                        32d0*pi**2d0*Nc)
      coupl(nGC_9248) = cima*coupl(nGC_7)**2d0*coupl(nGC_80)**2d0*sq2**2d0/(   &
                        32d0*pi**2d0)
      coupl(nGC_19791) = coupl(nGC_129)*dZZA_QED2/2d0
      coupl(nGC_9257) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_84)**2d0 +  &
                        coupl(nGC_85)**2d0 + coupl(nGC_87)**2d0 + coupl(nGC_88 &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_16437) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_17439) = coupl(nGC_88)*dZZ_QED2/2d0 + coupl(nGC_88)*dZtL_QED2  &
                          + coupl(nGC_9390)
      coupl(nGC_17434) = coupl(nGC_88)*dZtL_QCD2
      coupl(nGC_16129) = coupl(nGC_133)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_16128) = coupl(nGC_133)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_20802) = coupl(nGC_3)*dZA_QED2/2d0 + coupl(nGC_82)*dZZA_QED2/  &
                         2d0 + coupl(nGC_9280)
      coupl(nGC_15020) = coupl(nGC_15013) + coupl(nGC_9435)
      coupl(nGC_TS_GC_116_Hh) = -coupl(nGC_116)*dtHh_QED1/cMHH**2d0
      coupl(nGC_20975) = 3d0*coupl(nGC_47)*dZG0/2d0
      coupl(nGC_15153) = coupl(nGC_120)*dZG0/2d0
      coupl(nGC_15157) = coupl(nGC_109)*dZG0Ha_QED2/2d0 + coupl(nGC_112)*      &
                         dZHhHl_QED2/2d0 + coupl(nGC_113)*dZHaG0_QED2/2d0 +    &
                         coupl(nGC_120)*dZHa_QED2/2d0 + coupl(nGC_120)*        &
                         dZHl_QED2/2d0 + coupl(nGC_9339) + coupl(              &
                         nGC_TS_GC_28_Hl) + coupl(nGC_TS_GC_37_Hh)
      coupl(nGC_TS_GC_149_Hh) = -coupl(nGC_149)*dtHh_QED1/cMHH**2d0
      coupl(nGC_15773) = coupl(nGC_189)*dZGMinus/2d0
      coupl(nGC_15775) = coupl(nGC_185)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_189&
                         )*dZnu_tauL_QED2/2d0 + coupl(nGC_189)*dZtauMinusR_QED2&
                         /2d0 + coupl(nGC_9459)
      coupl(nGC_15377) = coupl(nGC_64)*dZHl_QED2/2d0 + coupl(nGC_64)*          &
                         dZWMinus_QED2/2d0 + coupl(nGC_69)*dZHhHl_QED2/2d0 +   &
                         coupl(nGC_9360)
      coupl(nGC_15378) = -coupl(nGC_15372) + coupl(nGC_15377)
      coupl(nGC_TS_GC_48_Hl) = -coupl(nGC_48)*dtHl_QED1/cMHL**2d0
      coupl(nGC_14514) = coupl(nGC_182)*dZG0/2d0
      coupl(nGC_14516) = coupl(nGC_183)*dZtL_QCD2/2d0 + coupl(nGC_183)*        &
                         dZtR_QCD2/2d0 + coupl(nGC_9491)
      coupl(nGC_14517) = coupl(nGC_182)*dZtL_QCD2/2d0 + coupl(nGC_182)*        &
                         dZtR_QCD2/2d0 + coupl(nGC_9489)
      coupl(nGC_14518) = coupl(nGC_183)*dZtL_QED2/2d0 + coupl(nGC_183)*        &
                         dZtR_QED2/2d0 + coupl(nGC_9492)
      coupl(nGC_TS_GC_30_Hl) = -coupl(nGC_30)*dtHl_QED1/cMHL**2d0
      coupl(nGC_9520) = coupl(nGC_8695)*db_QED2 + coupl(nGC_8696)*dZee_QED2 +  &
                        coupl(nGC_8697)*dMZ2_QED2 + coupl(nGC_8698)*dsw_QED2 + &
                        coupl(nGC_8699)*dcw_QED2 + coupl(nGC_8700)*da_QED2
      coupl(nGC_8723) = cima*(8d0*Nc*coupl(nGC_130)*coupl(nGC_133) + 8d0*Nc*   &
                        coupl(nGC_137)*coupl(nGC_141) + 8d0*Nc*coupl(nGC_145)* &
                        coupl(nGC_149) + 8d0*Nc*coupl(nGC_169)*coupl(nGC_173   &
                        ) + 8d0*Nc*coupl(nGC_177)*coupl(nGC_180) + 8d0*Nc*coupl&
                        (nGC_192)*coupl(nGC_195) + coupl(nGC_1079)*coupl(nGC_94&
                        ) + coupl(nGC_1491)*coupl(nGC_68) + coupl(nGC_1491)*   &
                        coupl(nGC_69) + 8d0*coupl(nGC_153)*coupl(nGC_157) + 8d0&
                        *coupl(nGC_161)*coupl(nGC_165) + coupl(nGC_1795)*coupl(&
                        nGC_68) + coupl(nGC_1795)*coupl(nGC_69) + 8d0*coupl(   &
                        nGC_184)*coupl(nGC_188) + coupl(nGC_1919)*coupl(nGC_63 &
                        ) + coupl(nGC_1919)*coupl(nGC_64) + coupl(nGC_2961)*   &
                        coupl(nGC_63) + coupl(nGC_2961)*coupl(nGC_64) + coupl( &
                        nGC_3231)*coupl(nGC_94) + coupl(nGC_661)*coupl(nGC_91  &
                        ) + coupl(nGC_661)*coupl(nGC_92))/(192d0*pi**2d0)
      coupl(nGC_8722) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_137)**2d0 - 8d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_133)**2d0 - 8d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_149)**2d0 - 8d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_173)**2d0 - 8d0*Nc*cMT**2d0*cima*coupl(nGC_180)**  &
                        2d0 - 8d0*Nc*cMU**2d0*cima*coupl(nGC_195)**2d0 - 8d0*  &
                        cME**2d0*cima*coupl(nGC_157)**2d0 - cMHA**2d0*cima*    &
                        coupl(nGC_1079)*coupl(nGC_92) - cMHC**2d0*cima*coupl(  &
                        nGC_1491)*coupl(nGC_64) - cMHC**2d0*cima*coupl(nGC_1795&
                        )*coupl(nGC_63) - 8d0*cMM**2d0*cima*coupl(nGC_165)**2d0&
                         - 8d0*cMTA**2d0*cima*coupl(nGC_188)**2d0 - cMW**2d0*  &
                        cima*coupl(nGC_1491)*coupl(nGC_64) - cMW**2d0*cima*    &
                        coupl(nGC_1795)*coupl(nGC_63) - 2d0*cMW**2d0*cima*coupl&
                        (nGC_1919)*coupl(nGC_68) - 2d0*cMW**2d0*cima*coupl(    &
                        nGC_2961)*coupl(nGC_69) - 4d0*cMW**2d0*coupl(nGC_61) - &
                        cMZ**2d0*cima*coupl(nGC_1079)*coupl(nGC_92) - 2d0*cMZ**&
                        2d0*cima*coupl(nGC_661)*coupl(nGC_94) - 2d0*cMZ**2d0*  &
                        coupl(nGC_99) + 4d0*cima*coupl(nGC_125)**2d0 + 2d0*cima&
                        *coupl(nGC_129)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8721) = cima*(4d0*Nc*coupl(nGC_133)**2d0 + 4d0*Nc*coupl(nGC_137&
                        )**2d0 + 4d0*Nc*coupl(nGC_149)**2d0 + 4d0*Nc*coupl(    &
                        nGC_173)**2d0 + 4d0*Nc*coupl(nGC_180)**2d0 + 4d0*Nc*   &
                        coupl(nGC_195)**2d0 + coupl(nGC_1079)*coupl(nGC_92) +  &
                        coupl(nGC_1491)*coupl(nGC_64) + 4d0*coupl(nGC_157)**2d0&
                         + 4d0*coupl(nGC_165)**2d0 + coupl(nGC_1795)*coupl(    &
                        nGC_63) + 4d0*coupl(nGC_188)**2d0 + coupl(nGC_1919)*   &
                        coupl(nGC_68) + coupl(nGC_2961)*coupl(nGC_69) + coupl( &
                        nGC_661)*coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_8726) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_141)**2d0 - 8d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_130)**2d0 - 8d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_145)**2d0 - 8d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_169)**2d0 - 8d0*Nc*cMT**2d0*cima*coupl(nGC_177)**  &
                        2d0 - 8d0*Nc*cMU**2d0*cima*coupl(nGC_192)**2d0 - 8d0*  &
                        cME**2d0*cima*coupl(nGC_153)**2d0 - cMHA**2d0*cima*    &
                        coupl(nGC_661)*coupl(nGC_94) - cMHC**2d0*cima*coupl(   &
                        nGC_1919)*coupl(nGC_68) - cMHC**2d0*cima*coupl(nGC_2961&
                        )*coupl(nGC_69) - 8d0*cMM**2d0*cima*coupl(nGC_161)**2d0&
                         - 8d0*cMTA**2d0*cima*coupl(nGC_184)**2d0 - 2d0*cMW**  &
                        2d0*cima*coupl(nGC_1491)*coupl(nGC_64) - 2d0*cMW**2d0* &
                        cima*coupl(nGC_1795)*coupl(nGC_63) - cMW**2d0*cima*    &
                        coupl(nGC_1919)*coupl(nGC_68) - cMW**2d0*cima*coupl(   &
                        nGC_2961)*coupl(nGC_69) - 4d0*cMW**2d0*coupl(nGC_61) - &
                        2d0*cMZ**2d0*cima*coupl(nGC_3231)*coupl(nGC_91) - cMZ**&
                        2d0*cima*coupl(nGC_661)*coupl(nGC_94) - 2d0*cMZ**2d0*  &
                        coupl(nGC_99) + 4d0*cima*coupl(nGC_124)**2d0 + 2d0*cima&
                        *coupl(nGC_128)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8725) = cima*(4d0*Nc*coupl(nGC_130)**2d0 + 4d0*Nc*coupl(nGC_141&
                        )**2d0 + 4d0*Nc*coupl(nGC_145)**2d0 + 4d0*Nc*coupl(    &
                        nGC_169)**2d0 + 4d0*Nc*coupl(nGC_177)**2d0 + 4d0*Nc*   &
                        coupl(nGC_192)**2d0 + coupl(nGC_1491)*coupl(nGC_64) +  &
                        4d0*coupl(nGC_153)**2d0 + 4d0*coupl(nGC_161)**2d0 +    &
                        coupl(nGC_1795)*coupl(nGC_63) + 4d0*coupl(nGC_184)**2d0&
                         + coupl(nGC_1919)*coupl(nGC_68) + coupl(nGC_2961)*    &
                        coupl(nGC_69) + coupl(nGC_3231)*coupl(nGC_91) + coupl( &
                        nGC_661)*coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_8724) = cima*(-16d0*Nc*cMB**2d0*coupl(nGC_137)*coupl(nGC_141   &
                        ) - 16d0*Nc*cMC**2d0*coupl(nGC_130)*coupl(nGC_133) -   &
                        16d0*Nc*cMD**2d0*coupl(nGC_145)*coupl(nGC_149) - 16d0* &
                        Nc*cMS**2d0*coupl(nGC_169)*coupl(nGC_173) - 16d0*Nc*cMT&
                        **2d0*coupl(nGC_177)*coupl(nGC_180) - 16d0*Nc*cMU**2d0*&
                        coupl(nGC_192)*coupl(nGC_195) - 16d0*cME**2d0*coupl(   &
                        nGC_153)*coupl(nGC_157) - cMHA**2d0*coupl(nGC_1079)*   &
                        coupl(nGC_94) - cMHA**2d0*coupl(nGC_661)*coupl(nGC_92  &
                        ) - cMHC**2d0*coupl(nGC_1491)*coupl(nGC_68) - cMHC**2d0&
                        *coupl(nGC_1795)*coupl(nGC_69) - cMHC**2d0*coupl(      &
                        nGC_1919)*coupl(nGC_64) - cMHC**2d0*coupl(nGC_2961)*   &
                        coupl(nGC_63) - 16d0*cMM**2d0*coupl(nGC_161)*coupl(    &
                        nGC_165) - 16d0*cMTA**2d0*coupl(nGC_184)*coupl(nGC_188 &
                        ) - cMW**2d0*coupl(nGC_1491)*coupl(nGC_68) - 2d0*cMW** &
                        2d0*coupl(nGC_1491)*coupl(nGC_69) - 2d0*cMW**2d0*coupl(&
                        nGC_1795)*coupl(nGC_68) - cMW**2d0*coupl(nGC_1795)*    &
                        coupl(nGC_69) - 2d0*cMW**2d0*coupl(nGC_1919)*coupl(    &
                        nGC_63) - cMW**2d0*coupl(nGC_1919)*coupl(nGC_64) - cMW &
                        **2d0*coupl(nGC_2961)*coupl(nGC_63) - 2d0*cMW**2d0*    &
                        coupl(nGC_2961)*coupl(nGC_64) - cMZ**2d0*coupl(nGC_1079&
                        )*coupl(nGC_94) - 2d0*cMZ**2d0*coupl(nGC_3231)*coupl(  &
                        nGC_94) - 2d0*cMZ**2d0*coupl(nGC_661)*coupl(nGC_91) -  &
                        cMZ**2d0*coupl(nGC_661)*coupl(nGC_92) + 8d0*coupl(     &
                        nGC_124)*coupl(nGC_125) + 4d0*coupl(nGC_128)*coupl(    &
                        nGC_129))/(64d0*pi**2d0)
      coupl(nGC_12927) = coupl(nGC_37)*dZG0/2d0
      coupl(nGC_13435) = coupl(nGC_62)*(dZGMinusHMinus_QED2 +                  &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_12748) = coupl(nGC_19)*dZZA_QED2/2d0 + coupl(nGC_73)*dZA_QED2/ &
                         2d0 + coupl(nGC_73)*dZWMinus_QED2/2d0 + coupl(nGC_9362&
                         )
      coupl(nGC_20059) = coupl(nGC_187)*dZHaG0_QED2/2d0 + coupl(nGC_191)*      &
                         dZtauMinusL_QED2/2d0 + coupl(nGC_191)*dZtauMinusR_QED2&
                         /2d0 + coupl(nGC_9468)
      coupl(nGC_12743) = coupl(nGC_41)*dZG0Ha_QED2/2d0 + coupl(nGC_41)*        &
                         dZHlHh_QED2/2d0 + coupl(nGC_49)*dZHMinus_QED2/2d0 +   &
                         coupl(nGC_49)*dZHa_QED2/2d0 + coupl(nGC_49)*dZHh_QED2/&
                         2d0 + coupl(nGC_9307)
      coupl(nGC_12740) = coupl(nGC_49)*dZGMinus/2d0
      coupl(nGC_9416) = coupl(nGC_8547)*dyd12x2_QED3 + coupl(nGC_8548)*        &
                        dys2_QED3 + coupl(nGC_8549)*db_QED2
      coupl(nGC_9417) = coupl(nGC_8582)*db_QED2 + coupl(nGC_8583)*dyt1_QED3 +  &
                        coupl(nGC_8584)*dyt2_QED3
      coupl(nGC_13346) = coupl(nGC_5)*dZAZ_QED2/2d0 + coupl(nGC_79)*dZZA_QED2/ &
                         2d0
      coupl(nGC_13347) = coupl(nGC_83)*dZA_QED2/2d0 + coupl(nGC_83)*           &
                         dZWMinus_QED2 + coupl(nGC_83)*dZZ_QED2/2d0 + coupl(   &
                         nGC_9284)
    end subroutine fill_CTcouplings_mdl16
end module fill_ctcouplings16
