!******************************************************************************!
!                                                                              !
!    fill_ctcouplings17.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings17.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings17
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl17()
      coupl(nGC_9412) = coupl(nGC_8515)*dyup1_QED1_QCD2 + coupl(nGC_8516)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_9410) = coupl(nGC_8411)*dydo2_QED3 + coupl(nGC_8412)*db_QED2 + &
                        coupl(nGC_8413)*dydo1_QED3
      coupl(nGC_9411) = coupl(nGC_8514)*db_QED2 + coupl(nGC_8515)*dyup1_QED3 + &
                        coupl(nGC_8516)*dyup2_QED3
      coupl(nGC_13348) = coupl(nGC_13346) - coupl(nGC_13347)/2d0
      coupl(nGC_13349) = -2d0*coupl(nGC_13346) + coupl(nGC_13347)
      coupl(nGC_9418) = coupl(nGC_8583)*dyt1_QED1_QCD2 + coupl(nGC_8584)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_9419) = coupl(nGC_8389)*db_QED2 + coupl(nGC_8390)*dyd13x3_QED3 &
                         + coupl(nGC_8391)*dyb2_QED3
      coupl(nGC_12699) = coupl(nGC_154)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_158&
                         )*dZeMinusR_QED2/2d0 + coupl(nGC_158)*dZnu_eL_QED2/2d0&
                          + coupl(nGC_9457)
      coupl(nGC_12690) = coupl(nGC_19)*dZHMinus_QED2/2d0 + coupl(nGC_19)*      &
                         dZHa_QED2/2d0 + coupl(nGC_19)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_19)*dZZ_QED2/2d0 + coupl(nGC_73)*dZAZ_QED2/ &
                         2d0 + coupl(nGC_9379)
      coupl(nGC_8929) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_144) - coupl(nGC_1079 &
                        )*coupl(nGC_137)*coupl(nGC_87) - coupl(nGC_1319)*coupl(&
                        nGC_142)*coupl(nGC_80) - coupl(nGC_137)**2d0*coupl(    &
                        nGC_143) - coupl(nGC_137)*coupl(nGC_84)*coupl(nGC_92   &
                        ) - coupl(nGC_138)*coupl(nGC_181)*coupl(nGC_2153) -    &
                        coupl(nGC_139)**2d0*coupl(nGC_143) - coupl(nGC_141)**  &
                        2d0*coupl(nGC_143) - coupl(nGC_141)*coupl(nGC_661)*    &
                        coupl(nGC_87) - coupl(nGC_141)*coupl(nGC_84)*coupl(    &
                        nGC_94) - coupl(nGC_142)*coupl(nGC_178)*coupl(nGC_2153 &
                        ) - coupl(nGC_143)*coupl(nGC_144)**2d0 + 8d0*coupl(    &
                        nGC_144)*coupl(nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_8928) = coupl(nGC_143)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8927) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_143) - coupl(nGC_1079 &
                        )*coupl(nGC_137)*coupl(nGC_84) - coupl(nGC_137)**2d0*  &
                        coupl(nGC_144) - coupl(nGC_137)*coupl(nGC_87)*coupl(   &
                        nGC_92) - coupl(nGC_138)*coupl(nGC_179)*coupl(nGC_181  &
                        ) - coupl(nGC_140)**2d0*coupl(nGC_144) - coupl(nGC_141 &
                        )**2d0*coupl(nGC_144) - coupl(nGC_141)*coupl(nGC_661)* &
                        coupl(nGC_84) - coupl(nGC_141)*coupl(nGC_87)*coupl(    &
                        nGC_94) - coupl(nGC_142)*coupl(nGC_178)*coupl(nGC_179  &
                        ) - coupl(nGC_142)*coupl(nGC_72)*coupl(nGC_80) - coupl(&
                        nGC_143)**2d0*coupl(nGC_144) + 8d0*coupl(nGC_143)*coupl&
                        (nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_8921) = (coupl(nGC_1283)*coupl(nGC_162)*coupl(nGC_90) + coupl( &
                        nGC_1319)*coupl(nGC_163)*coupl(nGC_80) + coupl(nGC_161 &
                        )*coupl(nGC_2961)*coupl(nGC_80) + coupl(nGC_162)*coupl(&
                        nGC_17)*coupl(nGC_4) + 8d0*coupl(nGC_162)*coupl(nGC_86 &
                        )*coupl(nGC_90) + coupl(nGC_162)*coupl(nGC_86)*coupl(  &
                        nGC_96) + coupl(nGC_165)*coupl(nGC_1795)*coupl(nGC_80  &
                        ))/(32d0*pi**2d0)
      coupl(nGC_8920) = (coupl(nGC_1283)*coupl(nGC_154)*coupl(nGC_90) + coupl( &
                        nGC_1319)*coupl(nGC_155)*coupl(nGC_80) + coupl(nGC_153 &
                        )*coupl(nGC_2961)*coupl(nGC_80) + coupl(nGC_154)*coupl(&
                        nGC_17)*coupl(nGC_4) + 8d0*coupl(nGC_154)*coupl(nGC_86 &
                        )*coupl(nGC_90) + coupl(nGC_154)*coupl(nGC_86)*coupl(  &
                        nGC_96) + coupl(nGC_157)*coupl(nGC_1795)*coupl(nGC_80  &
                        ))/(32d0*pi**2d0)
      coupl(nGC_8922) = (-coupl(nGC_1283)*coupl(nGC_185)*coupl(nGC_86) - coupl(&
                        nGC_1529)*coupl(nGC_185)*coupl(nGC_4) - coupl(nGC_184)*&
                        coupl(nGC_68)*coupl(nGC_80) + 8d0*coupl(nGC_185)*coupl(&
                        nGC_86)*coupl(nGC_90) - coupl(nGC_185)*coupl(nGC_90)*  &
                        coupl(nGC_96) - coupl(nGC_186)*coupl(nGC_72)*coupl(    &
                        nGC_80) - coupl(nGC_188)*coupl(nGC_64)*coupl(nGC_80))/(&
                        32d0*pi**2d0)
      coupl(nGC_9389) = coupl(nGC_8265)*dsw_QED2 + coupl(nGC_8266)*dZee_QED2
      coupl(nGC_9386) = coupl(nGC_8656)*dZee_QED2
      coupl(nGC_9387) = coupl(nGC_8651)*dZee_QED2
      coupl(nGC_9384) = coupl(nGC_397)*dZee_QED2 + coupl(nGC_399)*dvev1_QED1 + &
                        coupl(nGC_401)*da_QED2 + coupl(nGC_403)*dcw_QED2 +     &
                        coupl(nGC_405)*dvev2_QED1 + coupl(nGC_407)*dsw_QED2
      coupl(nGC_9385) = coupl(nGC_8666)*dZee_QED2
      coupl(nGC_9382) = coupl(nGC_8158)*dsw_QED2 + coupl(nGC_8159)*dcw_QED2 +  &
                        coupl(nGC_8160)*dZee_QED2
      coupl(nGC_9383) = coupl(nGC_383)*dZee_QED2 + coupl(nGC_385)*dvev1_QED1 + &
                        coupl(nGC_387)*da_QED2 + coupl(nGC_389)*dcw_QED2 +     &
                        coupl(nGC_391)*dvev2_QED1 + coupl(nGC_393)*dsw_QED2
      coupl(nGC_9380) = coupl(nGC_8253)*dsw_QED2 + coupl(nGC_8254)*dcw_QED2 +  &
                        coupl(nGC_8255)*dZee_QED2
      coupl(nGC_9381) = coupl(nGC_8219)*dsw_QED2 + coupl(nGC_8220)*dcw_QED2 +  &
                        coupl(nGC_8221)*dZee_QED2
      coupl(nGC_9255) = (3d0*Nc*cima*coupl(nGC_84)**4d0 + 3d0*Nc*cima*coupl(   &
                        nGC_85)**4d0 + 3d0*Nc*cima*coupl(nGC_87)**4d0 + 3d0*Nc*&
                        cima*coupl(nGC_88)**4d0 + 3d0*cima*coupl(nGC_1153)**2d0&
                         - 10d0*cima*coupl(nGC_781)**4d0 - 10d0*cima*coupl(    &
                        nGC_82)**4d0 + 3d0*cima*coupl(nGC_86)**4d0 + 3d0*cima* &
                        coupl(nGC_89)**4d0 + 3d0*cima*coupl(nGC_90)**4d0 + 9d0*&
                        coupl(nGC_1153)*coupl(nGC_781)**2d0 + 9d0*coupl(       &
                        nGC_1153)*coupl(nGC_82)**2d0 + 3d0*coupl(nGC_781)**2d0*&
                        coupl(nGC_79) + 3d0*coupl(nGC_79)*coupl(nGC_82)**2d0)/(&
                        24d0*pi**2d0)
      coupl(nGC_9256) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_84)**2d0 - &
                        coupl(nGC_85)**2d0 - coupl(nGC_87)**2d0 - coupl(nGC_88 &
                        )**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_124_Hl) = -coupl(nGC_124)*dtHl_QED1/cMHL**2d0
      coupl(nGC_9258) = cima*coupl(nGC_7)**3d0*sq2**3d0*(coupl(nGC_84) + coupl(&
                        nGC_85) + coupl(nGC_87) + coupl(nGC_88))/(32d0*pi**2d0*&
                        Nc**2d0)
      coupl(nGC_9259) = cima*coupl(nGC_7)**3d0*sq2**3d0*(-coupl(nGC_84) - coupl&
                        (nGC_85) - coupl(nGC_87) - coupl(nGC_88))/(64d0*pi**2d0&
                        *Nc)
      coupl(nGC_9095) = (10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_87) - 16d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84&
                        ) + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_138)*coupl(    &
                        nGC_142)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84) + 10d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_150)*coupl( &
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*    &
                        coupl(nGC_174)*coupl(nGC_84) + 10d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88) + 10d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_181)*coupl(&
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_178)*    &
                        coupl(nGC_181)*coupl(nGC_87) + 10d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85) - 16d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196)*coupl(&
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*  &
                        coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc*cima*coupl(nGC_131&
                        )*coupl(nGC_134)*coupl(nGC_2)*coupl(nGC_87) + 10d0*Nc* &
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_2)*coupl( &
                        nGC_84) - 16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*  &
                        coupl(nGC_2)*coupl(nGC_88) + 10d0*Nc*cima*coupl(nGC_146&
                        )*coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_2)*coupl( &
                        nGC_88) + 10d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*  &
                        coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_170&
                        )*coupl(nGC_174)*coupl(nGC_2)*coupl(nGC_88) - 16d0*Nc* &
                        cima*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_2)*coupl( &
                        nGC_85) + 10d0*Nc*cima*coupl(nGC_178)*coupl(nGC_181)*  &
                        coupl(nGC_2)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_193&
                        )*coupl(nGC_196)*coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc* &
                        cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2)*coupl( &
                        nGC_87) - 16d0*cima*coupl(nGC_154)*coupl(nGC_158)*coupl&
                        (nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(nGC_154)*coupl(&
                        nGC_158)*coupl(nGC_4)*coupl(nGC_90) - 16d0*cima*coupl( &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_4)*coupl(nGC_86) +   &
                        10d0*cima*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_4)*  &
                        coupl(nGC_90) - 16d0*cima*coupl(nGC_185)*coupl(nGC_189 &
                        )*coupl(nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(nGC_185 &
                        )*coupl(nGC_189)*coupl(nGC_4)*coupl(nGC_90) + 9d0*cima*&
                        coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_82  &
                        ) + 9d0*cima*coupl(nGC_3)*coupl(nGC_64)*coupl(nGC_68)* &
                        coupl(nGC_82) - 3d0*coupl(nGC_14)*coupl(nGC_3)*coupl(  &
                        nGC_68) - 3d0*coupl(nGC_1491)*coupl(nGC_70)*coupl(     &
                        nGC_781) - 3d0*coupl(nGC_15)*coupl(nGC_3)*coupl(nGC_68 &
                        ) - 3d0*coupl(nGC_16)*coupl(nGC_3)*coupl(nGC_63) - 3d0*&
                        coupl(nGC_16)*coupl(nGC_3)*coupl(nGC_64) - 3d0*coupl(  &
                        nGC_2961)*coupl(nGC_66)*coupl(nGC_781) - 3d0*coupl(    &
                        nGC_63)*coupl(nGC_68)*coupl(nGC_83) - 3d0*coupl(nGC_64 &
                        )*coupl(nGC_68)*coupl(nGC_83) - 3d0*coupl(nGC_64)*coupl&
                        (nGC_70)*coupl(nGC_82) - 3d0*coupl(nGC_65)*coupl(nGC_68&
                        )*coupl(nGC_82))/(96d0*pi**2d0)
      coupl(nGC_TS_GC_11_Hl) = -coupl(nGC_11)*dtHl_QED1/cMHL**2d0
      coupl(nGC_15971) = coupl(nGC_123)*dZGMinus/2d0
      coupl(nGC_17339) = coupl(nGC_9650) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_17338) = coupl(nGC_TS_GC_91_Hl) + coupl(nGC_TS_GC_94_Hh)
      coupl(nGC_17337) = coupl(nGC_MZ_GF)*dZG0/2d0
      coupl(nGC_13901) = coupl(nGC_114)*dZHMinus_QED2/2d0 + coupl(nGC_123)*    &
                         dZHaG0_QED2/2d0 + coupl(nGC_9348) + coupl(            &
                         nGC_TS_GC_41_Hh) + coupl(nGC_TS_GC_48_Hl)
      coupl(nGC_16444) = coupl(nGC_1)*dZdL_QED2 + coupl(nGC_87)*dZZA_QED2/2d0
      coupl(nGC_16445) = coupl(nGC_1)*dZdR_QED2 + coupl(nGC_84)*dZZA_QED2/2d0
      coupl(nGC_16440) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_15018) = coupl(nGC_169)*dZHlHh_QED2/2d0 + coupl(nGC_173)*      &
                         dZHh_QED2/2d0 + coupl(nGC_9436)
      coupl(nGC_15019) = coupl(nGC_15012) + coupl(nGC_15018)
      coupl(nGC_15349) = -coupl(nGC_15344)
      coupl(nGC_15347) = coupl(nGC_91)*dZHl_QED2/2d0 + coupl(nGC_91)*dZZ_QED2/ &
                         2d0 + coupl(nGC_9370) + coupl(nGC_94)*dZHaG0_QED2/2d0 &
                          + coupl(nGC_94)*dZHhHl_QED2/2d0
      coupl(nGC_14183) = coupl(nGC_146)*dZdR_QCD2/2d0 + coupl(nGC_146)*        &
                         dZuL_QCD2/2d0 + coupl(nGC_9409)
      coupl(nGC_14186) = coupl(nGC_193)*dZHMinus_QED2/2d0 + coupl(nGC_193)*    &
                         dZdL_QED2/2d0 + coupl(nGC_193)*dZuR_QED2/2d0 + coupl( &
                         nGC_196)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_9411)
      coupl(nGC_14185) = coupl(nGC_146)*dZHMinus_QED2/2d0 + coupl(nGC_146)*    &
                         dZdR_QED2/2d0 + coupl(nGC_146)*dZuL_QED2/2d0 + coupl( &
                         nGC_150)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_9410)
      coupl(nGC_14184) = coupl(nGC_193)*dZdL_QCD2/2d0 + coupl(nGC_193)*        &
                         dZuR_QCD2/2d0 + coupl(nGC_9412)
      coupl(nGC_18712) = -coupl(nGC_14000)
      coupl(nGC_14504) = coupl(nGC_100)*dZHMinus_QED2 + coupl(nGC_100)*dZZ_QED2&
                          + coupl(nGC_9381) + coupl(nGC_97)*dZAZ_QED2
      coupl(nGC_13643) = coupl(nGC_MHC)*dZHMinusGMinus_QED2/2d0 + coupl(       &
                         nGC_TS_GC_111_Hh) + coupl(nGC_TS_GC_119_Hl)
    end subroutine fill_CTcouplings_mdl17
end module fill_ctcouplings17
