!******************************************************************************!
!                                                                              !
!    fill_ctcouplings18.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings18.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings18
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl18()
      coupl(nGC_13642) = coupl(nGC_I)*(dZGMinusHMinus_QED2 +                   &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_14508) = coupl(nGC_183)*dZG0/2d0
      coupl(nGC_9432) = coupl(nGC_8382)*dyd13x3_QED1_QCD2 + coupl(nGC_8383)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_8730) = cima*(-2d0*Nc*coupl(nGC_84)**2d0 - 2d0*Nc*coupl(nGC_85 &
                        )**2d0 - 2d0*Nc*coupl(nGC_87)**2d0 - 2d0*Nc*coupl(     &
                        nGC_88)**2d0 - coupl(nGC_781)**2d0 - coupl(nGC_82)**2d0&
                         - 2d0*coupl(nGC_86)**2d0 - 2d0*coupl(nGC_89)**2d0 -   &
                        2d0*coupl(nGC_90)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8731) = cima*(coupl(nGC_781)**2d0 + coupl(nGC_82)**2d0)/(48d0* &
                        pi**2d0)
      coupl(nGC_8732) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_84)**2d0 + 2d0*Nc*cMB**&
                        2d0*cima*coupl(nGC_87)**2d0 + 2d0*Nc*cMC**2d0*cima*    &
                        coupl(nGC_85)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_88 &
                        )**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(nGC_84)**2d0 + 2d0*&
                        Nc*cMD**2d0*cima*coupl(nGC_87)**2d0 + 2d0*Nc*cMS**2d0* &
                        cima*coupl(nGC_84)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(  &
                        nGC_87)**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_85)**2d0 &
                         + 2d0*Nc*cMT**2d0*cima*coupl(nGC_88)**2d0 + 2d0*Nc*cMU&
                        **2d0*cima*coupl(nGC_85)**2d0 + 2d0*Nc*cMU**2d0*cima*  &
                        coupl(nGC_88)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_86)** &
                        2d0 + 2d0*cME**2d0*cima*coupl(nGC_89)**2d0 + 2d0*cMM** &
                        2d0*cima*coupl(nGC_86)**2d0 + 2d0*cMM**2d0*cima*coupl( &
                        nGC_89)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_86)**2d0 + &
                        2d0*cMTA**2d0*cima*coupl(nGC_89)**2d0 + 3d0*cMW**2d0*  &
                        cima*coupl(nGC_781)**2d0 + 3d0*cMW**2d0*cima*coupl(    &
                        nGC_82)**2d0 - 2d0*cMW**2d0*coupl(nGC_1153))/(16d0*pi**&
                        2d0)
      coupl(nGC_8733) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0*&
                        pi**2d0*Nc)
      coupl(nGC_8734) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_80)**2d0 - coupl( &
                        nGC_87)**2d0)/(16d0*pi**2d0)
      coupl(nGC_8735) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(    &
                        nGC_87))/(8d0*pi**2d0)
      coupl(nGC_8736) = cMB*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_8737) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_8738) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_80)**2d0 - coupl( &
                        nGC_88)**2d0)/(16d0*pi**2d0)
      coupl(nGC_8739) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(    &
                        nGC_88))/(8d0*pi**2d0)
      coupl(nGC_12916) = coupl(nGC_64)*dZHMinus_QED2/2d0 + coupl(nGC_64)*      &
                         dZHh_QED2/2d0 + coupl(nGC_64)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_68)*dZHlHh_QED2/2d0 + coupl(nGC_9360)
      coupl(nGC_12917) = coupl(nGC_12915) - coupl(nGC_12916)
      coupl(nGC_12911) = dZGMinusHMinus_QED2*(coupl(nGC_114) + coupl(nGC_115))/&
                         2d0
      coupl(nGC_13422) = coupl(nGC_45)*dZHMinus_QED2/2d0 + coupl(nGC_54)*      &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_57)*              &
                         dZHMinusGMinus_QED2 + coupl(nGC_60)*                  &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_9326)
      coupl(nGC_12777) = coupl(nGC_22)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_23)*&
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_24)*dZHlHh_QED2/  &
                         2d0 + coupl(nGC_27)*dZHhHl_QED2/2d0 + coupl(nGC_36)*  &
                         dZHMinus_QED2/2d0 + coupl(nGC_36)*dZHh_QED2/2d0 +     &
                         coupl(nGC_36)*dZHl_QED2/2d0 + coupl(nGC_9309)
      coupl(nGC_12772) = coupl(nGC_36)*dZGMinus/2d0
      coupl(nGC_13357) = coupl(nGC_90)*dZZ_QED2/2d0 + coupl(nGC_90)*           &
                         dZnu_tauL_QED2 + coupl(nGC_9394)
      coupl(nGC_9461) = coupl(nGC_8511)*db_QED2 + coupl(nGC_8512)*dym1_QED3 +  &
                        coupl(nGC_8513)*dym2_QED3
      coupl(nGC_13354) = coupl(nGC_18)*dZA_QED2 + coupl(nGC_9350) + coupl(     &
                         nGC_97)*dZZA_QED2
      coupl(nGC_9467) = coupl(nGC_8643)*db_QED2 + coupl(nGC_8644)*dytau1_QED3  &
                         + coupl(nGC_8645)*dytau2_QED3
      coupl(nGC_9466) = coupl(nGC_8535)*db_QED2 + coupl(nGC_8536)*dym1_QED3 +  &
                        coupl(nGC_8537)*dym2_QED3
      coupl(nGC_9465) = coupl(nGC_8532)*db_QED2 + coupl(nGC_8533)*dym1_QED3 +  &
                        coupl(nGC_8534)*dym2_QED3
      coupl(nGC_9464) = coupl(nGC_8489)*db_QED2 + coupl(nGC_8490)*dye2_QED3 +  &
                        coupl(nGC_8491)*dye1_QED3
      coupl(nGC_9469) = coupl(nGC_8477)*da_QED2 + coupl(nGC_8478)*dye1_QED3 +  &
                        coupl(nGC_8479)*dye2_QED3
      coupl(nGC_8938) = coupl(nGC_147)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8939) = (coupl(nGC_1079)*coupl(nGC_157)*coupl(nGC_86) - coupl( &
                        nGC_153)**2d0*coupl(nGC_156) + coupl(nGC_153)*coupl(   &
                        nGC_661)*coupl(nGC_86) + coupl(nGC_153)*coupl(nGC_89)* &
                        coupl(nGC_94) + coupl(nGC_154)*coupl(nGC_72)*coupl(    &
                        nGC_80) - coupl(nGC_155)**2d0*coupl(nGC_156) + 8d0*    &
                        coupl(nGC_155)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_155)* &
                        coupl(nGC_86)*coupl(nGC_89) - coupl(nGC_156)*coupl(    &
                        nGC_157)**2d0 - coupl(nGC_156)*coupl(nGC_159)**2d0 +   &
                        coupl(nGC_157)*coupl(nGC_89)*coupl(nGC_92))/(32d0*pi** &
                        2d0)
      coupl(nGC_8930) = coupl(nGC_144)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8936) = coupl(nGC_148)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8937) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_147) - coupl(nGC_1079 &
                        )*coupl(nGC_149)*coupl(nGC_87) - coupl(nGC_1319)*coupl(&
                        nGC_146)*coupl(nGC_80) - coupl(nGC_145)**2d0*coupl(    &
                        nGC_148) - coupl(nGC_145)*coupl(nGC_661)*coupl(nGC_87  &
                        ) - coupl(nGC_145)*coupl(nGC_84)*coupl(nGC_94) - coupl(&
                        nGC_146)*coupl(nGC_193)*coupl(nGC_797) - coupl(nGC_147 &
                        )**2d0*coupl(nGC_148) + 8d0*coupl(nGC_147)*coupl(nGC_84&
                        )*coupl(nGC_87) - coupl(nGC_148)*coupl(nGC_149)**2d0 - &
                        coupl(nGC_148)*coupl(nGC_151)**2d0 - coupl(nGC_149)*   &
                        coupl(nGC_84)*coupl(nGC_92) - coupl(nGC_150)*coupl(    &
                        nGC_196)*coupl(nGC_797))/(32d0*pi**2d0)
      coupl(nGC_8934) = coupl(nGC_132)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8935) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_148) - coupl(nGC_1079 &
                        )*coupl(nGC_149)*coupl(nGC_84) - coupl(nGC_145)**2d0*  &
                        coupl(nGC_147) - coupl(nGC_145)*coupl(nGC_661)*coupl(  &
                        nGC_84) - coupl(nGC_145)*coupl(nGC_87)*coupl(nGC_94) - &
                        coupl(nGC_146)*coupl(nGC_193)*coupl(nGC_194) - coupl(  &
                        nGC_146)*coupl(nGC_72)*coupl(nGC_80) - coupl(nGC_147)* &
                        coupl(nGC_148)**2d0 - coupl(nGC_147)*coupl(nGC_149)**  &
                        2d0 - coupl(nGC_147)*coupl(nGC_152)**2d0 + 8d0*coupl(  &
                        nGC_148)*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_149)* &
                        coupl(nGC_87)*coupl(nGC_92) - coupl(nGC_150)*coupl(    &
                        nGC_194)*coupl(nGC_196))/(32d0*pi**2d0)
      coupl(nGC_16323) = coupl(nGC_87)*dZZ_QED2/2d0 + coupl(nGC_87)*dZsL_QED2  &
                          + coupl(nGC_9392)
      coupl(nGC_9265) = (6d0*Nc*cima*coupl(nGC_5231)*coupl(nGC_5233) - 6d0*Nc* &
                        cima*coupl(nGC_5233)*coupl(nGC_8) + 10d0*Nc*cima*coupl(&
                        nGC_6)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_5227)*coupl(   &
                        nGC_6)**2d0*sq2**2d0 + 9d0*Nc*coupl(nGC_5231)*coupl(   &
                        nGC_6)**2d0*sq2**2d0 - 9d0*Nc*coupl(nGC_5233)*coupl(   &
                        nGC_6)**2d0*sq2**2d0 - 9d0*Nc*coupl(nGC_6)**2d0*coupl( &
                        nGC_8)*sq2**2d0 - 6d0*cima*coupl(nGC_7)**4d0*sq2**4d0  &
                        )/(384d0*pi**2d0*Nc)
      coupl(nGC_9264) = (3d0*Nc*cima*coupl(nGC_5231)*coupl(nGC_5233) - 3d0*Nc* &
                        cima*coupl(nGC_5233)*coupl(nGC_8) + 5d0*Nc*cima*coupl( &
                        nGC_6)**4d0*sq2**4d0 + 3d0*Nc*coupl(nGC_5231)*coupl(   &
                        nGC_6)**2d0*sq2**2d0 - 3d0*Nc*coupl(nGC_5233)*coupl(   &
                        nGC_6)**2d0*sq2**2d0 - 6d0*Nc*coupl(nGC_6)**2d0*coupl( &
                        nGC_8)*sq2**2d0 - 3d0*cima*coupl(nGC_7)**4d0*sq2**4d0  &
                        )/(192d0*pi**2d0*Nc)
      coupl(nGC_9267) = (12d0*cima*coupl(nGC_5233)**2d0 - 20d0*cima*coupl(nGC_6&
                        )**4d0*sq2**4d0 + 3d0*coupl(nGC_5227)*coupl(nGC_6)**2d0&
                        *sq2**2d0 + 3d0*coupl(nGC_5231)*coupl(nGC_6)**2d0*sq2**&
                        2d0 + 33d0*coupl(nGC_5233)*coupl(nGC_6)**2d0*sq2**2d0  &
                         + 3d0*coupl(nGC_6)**2d0*coupl(nGC_8)*sq2**2d0)/(384d0*&
                        pi**2d0)
      coupl(nGC_9266) = (3d0*cima*coupl(nGC_5231)**2d0 - 6d0*cima*coupl(       &
                        nGC_5231)*coupl(nGC_8) - 5d0*cima*coupl(nGC_6)**4d0*sq2&
                        **4d0 + 3d0*cima*coupl(nGC_8)**2d0 - 6d0*coupl(nGC_5231&
                        )*coupl(nGC_6)**2d0*sq2**2d0 + 9d0*coupl(nGC_6)**2d0*  &
                        coupl(nGC_8)*sq2**2d0)/(96d0*pi**2d0)
      coupl(nGC_9261) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_6)**4d0*sq2**2d0 + 3d0&
                        *Nc*coupl(nGC_5227)*coupl(nGC_6)**2d0 - 3d0*Nc*coupl(  &
                        nGC_5233)*coupl(nGC_6)**2d0 - 30d0*cima*coupl(nGC_7)** &
                        4d0*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_9263) = (12d0*Nc*cima*coupl(nGC_5231)*coupl(nGC_5233) - 12d0*Nc&
                        *cima*coupl(nGC_5233)*coupl(nGC_8) + 20d0*Nc*cima*coupl&
                        (nGC_6)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_5227)*coupl(  &
                        nGC_6)**2d0*sq2**2d0 + 15d0*Nc*coupl(nGC_5231)*coupl(  &
                        nGC_6)**2d0*sq2**2d0 - 15d0*Nc*coupl(nGC_5233)*coupl(  &
                        nGC_6)**2d0*sq2**2d0 - 21d0*Nc*coupl(nGC_6)**2d0*coupl(&
                        nGC_8)*sq2**2d0 - 12d0*cima*coupl(nGC_7)**4d0*sq2**4d0 &
                        )/(768d0*pi**2d0*Nc)
      coupl(nGC_9262) = (12d0*Nc*cima*coupl(nGC_5231)**2d0 - 8d0*Nc*cima*coupl(&
                        nGC_6)**4d0*sq2**4d0 + 12d0*Nc*cima*coupl(nGC_8)**2d0  &
                         - 21d0*Nc*coupl(nGC_5231)*coupl(nGC_6)**2d0*sq2**2d0  &
                         + 21d0*Nc*coupl(nGC_6)**2d0*coupl(nGC_8)*sq2**2d0 +   &
                        36d0*cima*coupl(nGC_7)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_9069) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_6)**3d0 - 48d0*coupl(&
                        nGC_7)**3d0)/(768d0*pi**2d0)
      coupl(nGC_9068) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_6)**3d0 + 48d0*coupl( &
                        nGC_7)**3d0)/(768d0*pi**2d0)
      coupl(nGC_9067) = coupl(nGC_7)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_6  &
                        ) - coupl(nGC_7))/(64d0*pi**2d0*Nc)
      coupl(nGC_9066) = coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_169&
                        )**2d0 + coupl(nGC_170)**2d0 + coupl(nGC_171)*coupl(   &
                        nGC_172) + coupl(nGC_173)**2d0 + coupl(nGC_174)**2d0 + &
                        coupl(nGC_175)*coupl(nGC_176) + 4d0*coupl(nGC_84)**2d0 &
                        )/(64d0*pi**2d0)
      coupl(nGC_9065) = coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_131&
                        )**2d0 + coupl(nGC_134)**2d0 + coupl(nGC_169)**2d0 +   &
                        coupl(nGC_171)*coupl(nGC_172) + coupl(nGC_173)**2d0 +  &
                        coupl(nGC_175)*coupl(nGC_176) + 4d0*coupl(nGC_80)**2d0 &
                         + 4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9064) = coupl(nGC_7)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_6   &
                        ) + coupl(nGC_7))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_9063) = coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                        nGC_169)**2d0 - coupl(nGC_170)**2d0 - coupl(nGC_171)*  &
                        coupl(nGC_172) - coupl(nGC_173)**2d0 - coupl(nGC_174)**&
                        2d0 - coupl(nGC_175)*coupl(nGC_176) - 4d0*coupl(nGC_84 &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9062) = coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                        nGC_131)**2d0 - coupl(nGC_134)**2d0 - coupl(nGC_169)** &
                        2d0 - coupl(nGC_171)*coupl(nGC_172) - coupl(nGC_173)** &
                        2d0 - coupl(nGC_175)*coupl(nGC_176) - 4d0*coupl(nGC_80 &
                        )**2d0 - 4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl18
end module fill_ctcouplings18
