!******************************************************************************!
!                                                                              !
!    fill_ctcouplings19.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings19.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings19
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl19()
      coupl(nGC_9061) = -coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_145)**2d0 - coupl(nGC_146)**2d0 - coupl(nGC_147)*  &
                        coupl(nGC_148) - coupl(nGC_149)**2d0 - coupl(nGC_150)**&
                        2d0 - coupl(nGC_151)*coupl(nGC_152) - 4d0*coupl(nGC_84 &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_9060) = -coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_145)**2d0 - coupl(nGC_147)*coupl(nGC_148) - coupl( &
                        nGC_149)**2d0 - coupl(nGC_151)*coupl(nGC_152) - coupl( &
                        nGC_193)**2d0 - coupl(nGC_196)**2d0 - 4d0*coupl(nGC_80 &
                        )**2d0 - 4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9287) = coupl(nGC_7930)*dl3_QED4 + coupl(nGC_7931)*dl1_QED4 +  &
                        coupl(nGC_7932)*dl2_QED4 + coupl(nGC_7933)*dl5_QED4 +  &
                        coupl(nGC_7934)*dl4_QED4 + coupl(nGC_7935)*db_QED2
      coupl(nGC_9286) = coupl(nGC_8226)*dl3_QED4 + coupl(nGC_8227)*dl1_QED4 +  &
                        coupl(nGC_8228)*dl2_QED4 + coupl(nGC_8229)*dl5_QED4 +  &
                        coupl(nGC_8230)*dl4_QED4 + coupl(nGC_8231)*db_QED2
      coupl(nGC_9285) = coupl(nGC_7908)*dsw_QED2 + coupl(nGC_7909)*dcw_QED2 +  &
                        coupl(nGC_7910)*dZee_QED2
      coupl(nGC_9283) = coupl(nGC_7903)*dsw_QED2 + coupl(nGC_7904)*dZee_QED2
      coupl(nGC_9281) = coupl(nGC_8667)*dZee_QED2
      coupl(nGC_9289) = coupl(nGC_8067)*dl3_QED4 + coupl(nGC_8068)*db_QED2 +   &
                        coupl(nGC_8069)*dl2_QED4 + coupl(nGC_8070)*dl5_QED4 +  &
                        coupl(nGC_8071)*dl4_QED4 + coupl(nGC_8072)*dl1_QED4 +  &
                        coupl(nGC_8073)*da_QED2
      coupl(nGC_9288) = coupl(nGC_7958)*dl3_QED4 + coupl(nGC_7959)*dl1_QED4 +  &
                        coupl(nGC_7960)*dl2_QED4 + coupl(nGC_7961)*dl5_QED4 +  &
                        coupl(nGC_7962)*dl4_QED4 + coupl(nGC_7963)*db_QED2
      coupl(nGC_15900) = coupl(nGC_43)*dZHMinusGMinus_QED2 + coupl(nGC_43)*    &
                         dZHaG0_QED2 + coupl(nGC_9287)
      coupl(nGC_14983) = coupl(nGC_138)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_142&
                         )*dZHMinus_QED2/2d0 + coupl(nGC_142)*dZbR_QED2/2d0 +  &
                         coupl(nGC_142)*dZtL_QED2/2d0 + coupl(nGC_9419)
      coupl(nGC_14986) = coupl(nGC_178)*dZbL_QCD2/2d0 + coupl(nGC_178)*        &
                         dZtR_QCD2/2d0 + coupl(nGC_9418)
      coupl(nGC_14985) = coupl(nGC_142)*dZbR_QCD2/2d0 + coupl(nGC_142)*        &
                         dZtL_QCD2/2d0 + coupl(nGC_9420)
      coupl(nGC_14984) = coupl(nGC_178)*dZHMinus_QED2/2d0 + coupl(nGC_178)*    &
                         dZbL_QED2/2d0 + coupl(nGC_178)*dZtR_QED2/2d0 + coupl( &
                         nGC_181)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_9417)
      coupl(nGC_16105) = coupl(nGC_MMW_GF)*dZGMinus/2d0
      coupl(nGC_16107) = coupl(nGC_9649) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_16106) = coupl(nGC_TS_GC_64_Hl) + coupl(nGC_TS_GC_69_Hh)
      coupl(nGC_9110) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(      &
                        nGC_136)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_140)*coupl(nGC_142)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*coupl(     &
                        nGC_176)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_178)*coupl(nGC_183)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_198)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_131)*coupl(nGC_136)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_140&
                        )*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_176)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_178 &
                        )*coupl(nGC_183)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_193)*coupl(nGC_198)*coupl(nGC_2)*coupl( &
                        nGC_80) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_17)*coupl(&
                        nGC_3231)*coupl(nGC_68) + 4d0*cima*coupl(nGC_1283)*    &
                        coupl(nGC_17)*coupl(nGC_64)*coupl(nGC_661) + 4d0*cima* &
                        coupl(nGC_1319)*coupl(nGC_1529)*coupl(nGC_1795)*coupl( &
                        nGC_69) + 4d0*cima*coupl(nGC_1319)*coupl(nGC_1529)*    &
                        coupl(nGC_2961)*coupl(nGC_64) + 4d0*cima*coupl(nGC_154 &
                        )*coupl(nGC_160)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*&
                        coupl(nGC_162)*coupl(nGC_168)*coupl(nGC_4)*coupl(nGC_80&
                        ) + 4d0*cima*coupl(nGC_185)*coupl(nGC_191)*coupl(nGC_4 &
                        )*coupl(nGC_80) + 9d0*cima*coupl(nGC_3)*coupl(nGC_64)* &
                        coupl(nGC_781)*coupl(nGC_94) + 9d0*cima*coupl(nGC_3)*  &
                        coupl(nGC_68)*coupl(nGC_781)*coupl(nGC_91) + 6d0*coupl(&
                        nGC_1283)*coupl(nGC_3231)*coupl(nGC_70) + 6d0*coupl(   &
                        nGC_1283)*coupl(nGC_66)*coupl(nGC_661) + 6d0*coupl(    &
                        nGC_1319)*coupl(nGC_1795)*coupl(nGC_70) + 6d0*coupl(   &
                        nGC_1319)*coupl(nGC_2961)*coupl(nGC_65) - 6d0*coupl(   &
                        nGC_3231)*coupl(nGC_70)*coupl(nGC_82) - 6d0*coupl(     &
                        nGC_64)*coupl(nGC_803)*coupl(nGC_94) - 6d0*coupl(nGC_66&
                        )*coupl(nGC_661)*coupl(nGC_82) - 6d0*coupl(nGC_68)*    &
                        coupl(nGC_803)*coupl(nGC_91))/(192d0*pi**2d0)
      coupl(nGC_TS_GC_195_Hh) = -coupl(nGC_195)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13352) = coupl(nGC_18)*dZGMinus
      coupl(nGC_16079) = coupl(nGC_139)*dZG0Ha_QED2/2d0 + coupl(nGC_144)*      &
                         dZHa_QED2/2d0 + coupl(nGC_144)*dZbL_QED2/2d0 + coupl( &
                         nGC_144)*dZbR_QED2/2d0 + coupl(nGC_9455)
      coupl(nGC_9198) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_135)*coupl(&
                        nGC_136) - coupl(nGC_139)*coupl(nGC_140) - coupl(      &
                        nGC_151)*coupl(nGC_152) - coupl(nGC_175)*coupl(nGC_176 &
                        ) - coupl(nGC_182)*coupl(nGC_183) - coupl(nGC_197)*    &
                        coupl(nGC_198))/(16d0*pi**2d0)
      coupl(nGC_9336) = coupl(nGC_8293)*dl4_QED4 + coupl(nGC_8294)*dl5_QED4 +  &
                        coupl(nGC_8295)*db_QED2 + coupl(nGC_8296)*dvev1_QED1 + &
                        coupl(nGC_8297)*dvev2_QED1
      coupl(nGC_TS_GC_26_Hl) = -coupl(nGC_26)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_26_Hh) = -coupl(nGC_26)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_109_Hl) = -coupl(nGC_109)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13747) = coupl(nGC_163)*dZHaG0_QED2/2d0 + coupl(nGC_167)*      &
                         dZmuMinusL_QED2/2d0 + coupl(nGC_167)*dZmuMinusR_QED2/ &
                         2d0 + coupl(nGC_9466)
      coupl(nGC_13748) = coupl(nGC_164)*dZHaG0_QED2/2d0 + coupl(nGC_168)*      &
                         dZmuMinusL_QED2/2d0 + coupl(nGC_168)*dZmuMinusR_QED2/ &
                         2d0 + coupl(nGC_9465)
      coupl(nGC_12973) = coupl(nGC_39)*dZG0
      coupl(nGC_19299) = coupl(nGC_9638) + coupl(nGC_TS_GC_177_Hl) + coupl(    &
                         nGC_TS_GC_180_Hh)
      coupl(nGC_13982) = coupl(nGC_20)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_13631) = coupl(nGC_20)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_13984) = coupl(nGC_20)*dZWMinus_QED2/2d0 + coupl(nGC_20)*      &
                         dZZ_QED2/2d0 + coupl(nGC_74)*dZAZ_QED2/2d0 + coupl(   &
                         nGC_9373)
      coupl(nGC_13292) = coupl(nGC_179)*dZtL_QED2/2d0 + coupl(nGC_179)*        &
                         dZtR_QED2/2d0 + coupl(nGC_183)*dZG0Ha_QED2/2d0
      coupl(nGC_13293) = coupl(nGC_179)*dZHa_QED2/2d0 + coupl(nGC_9510)
      coupl(nGC_13290) = -coupl(nGC_13289) - coupl(nGC_9509)
      coupl(nGC_13291) = coupl(nGC_13289) + coupl(nGC_9509)
      coupl(nGC_21863) = coupl(nGC_117)*dZG0
      coupl(nGC_21865) = coupl(nGC_109)*dZHlHh_QED2/2d0 + coupl(nGC_112)*      &
                         dZHaG0_QED2 + coupl(nGC_117)*dZHh_QED2/2d0 + coupl(   &
                         nGC_9330) + coupl(nGC_TS_GC_25_Hl) + coupl(           &
                         nGC_TS_GC_33_Hh)
      coupl(nGC_TS_GC_184_Hl) = -coupl(nGC_184)*dtHl_QED1/cMHL**2d0
      coupl(nGC_8708) = cima*(-4d0*Nc*cMB**2d0*coupl(nGC_138)*coupl(nGC_142) - &
                        4d0*Nc*cMB**2d0*coupl(nGC_178)*coupl(nGC_181) - 4d0*Nc*&
                        cMC**2d0*coupl(nGC_131)*coupl(nGC_134) - 4d0*Nc*cMC**  &
                        2d0*coupl(nGC_170)*coupl(nGC_174) - 4d0*Nc*cMD**2d0*   &
                        coupl(nGC_146)*coupl(nGC_150) - 4d0*Nc*cMD**2d0*coupl( &
                        nGC_193)*coupl(nGC_196) - 4d0*Nc*cMS**2d0*coupl(nGC_131&
                        )*coupl(nGC_134) - 4d0*Nc*cMS**2d0*coupl(nGC_170)*coupl&
                        (nGC_174) - 4d0*Nc*cMT**2d0*coupl(nGC_138)*coupl(      &
                        nGC_142) - 4d0*Nc*cMT**2d0*coupl(nGC_178)*coupl(nGC_181&
                        ) - 4d0*Nc*cMU**2d0*coupl(nGC_146)*coupl(nGC_150) - 4d0&
                        *Nc*cMU**2d0*coupl(nGC_193)*coupl(nGC_196) - 4d0*cME** &
                        2d0*coupl(nGC_154)*coupl(nGC_158) - cMHH**2d0*coupl(   &
                        nGC_1795)*coupl(nGC_2961) - cMHH**2d0*coupl(nGC_64)*   &
                        coupl(nGC_68) - cMHL**2d0*coupl(nGC_1491)*coupl(       &
                        nGC_2961) - cMHL**2d0*coupl(nGC_63)*coupl(nGC_68) - 4d0&
                        *cMM**2d0*coupl(nGC_162)*coupl(nGC_166) - 4d0*cMTA**2d0&
                        *coupl(nGC_185)*coupl(nGC_189) - cMW**2d0*coupl(       &
                        nGC_1491)*coupl(nGC_2961) - cMW**2d0*coupl(nGC_1795)*  &
                        coupl(nGC_2961) - cMW**2d0*coupl(nGC_63)*coupl(nGC_68  &
                        ) - cMW**2d0*coupl(nGC_64)*coupl(nGC_68) + 8d0*coupl(  &
                        nGC_102)*coupl(nGC_107) + 8d0*coupl(nGC_126)*coupl(    &
                        nGC_127))/(64d0*pi**2d0)
      coupl(nGC_12901) = coupl(nGC_20)*dZZA_QED2/2d0 + coupl(nGC_74)*dZA_QED2/ &
                         2d0 + coupl(nGC_74)*dZWMinus_QED2/2d0 + coupl(nGC_9352&
                         )
      coupl(nGC_8704) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_138)**2d0 - 4d0*Nc*cMB&
                        **2d0*cima*coupl(nGC_181)**2d0 - 4d0*Nc*cMC**2d0*cima* &
                        coupl(nGC_134)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(      &
                        nGC_174)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(nGC_150)**  &
                        2d0 - 4d0*Nc*cMD**2d0*cima*coupl(nGC_196)**2d0 - 4d0*Nc&
                        *cMS**2d0*cima*coupl(nGC_134)**2d0 - 4d0*Nc*cMS**2d0*  &
                        cima*coupl(nGC_174)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl( &
                        nGC_138)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_181)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_150)**2d0 - 4d0*Nc&
                        *cMU**2d0*cima*coupl(nGC_196)**2d0 - 4d0*cME**2d0*cima*&
                        coupl(nGC_158)**2d0 - cMHH**2d0*cima*coupl(nGC_1919)*  &
                        coupl(nGC_68) - cMHH**2d0*cima*coupl(nGC_2961)*coupl(  &
                        nGC_69) - cMHL**2d0*cima*coupl(nGC_1491)*coupl(nGC_64  &
                        ) - cMHL**2d0*cima*coupl(nGC_1795)*coupl(nGC_63) - 4d0*&
                        cMM**2d0*cima*coupl(nGC_166)**2d0 - 4d0*cMTA**2d0*cima*&
                        coupl(nGC_189)**2d0 - cMW**2d0*cima*coupl(nGC_1283)**  &
                        2d0 - 2d0*cMW**2d0*cima*coupl(nGC_1319)*coupl(nGC_72   &
                        ) - cMW**2d0*cima*coupl(nGC_1491)*coupl(nGC_64) - cMW**&
                        2d0*cima*coupl(nGC_1529)**2d0 - cMW**2d0*cima*coupl(   &
                        nGC_17)**2d0 - cMW**2d0*cima*coupl(nGC_1795)*coupl(    &
                        nGC_63) - cMW**2d0*cima*coupl(nGC_1919)*coupl(nGC_68   &
                        ) - cMW**2d0*cima*coupl(nGC_2961)*coupl(nGC_69) - cMW**&
                        2d0*cima*coupl(nGC_96)**2d0 - 8d0*cMW**2d0*coupl(nGC_62&
                        ) - cMZ**2d0*cima*coupl(nGC_1283)**2d0 - 2d0*cMZ**2d0* &
                        cima*coupl(nGC_1319)*coupl(nGC_72) - cMZ**2d0*cima*    &
                        coupl(nGC_96)**2d0 - 4d0*cMZ**2d0*coupl(nGC_100) + 8d0*&
                        cima*coupl(nGC_107)**2d0 + 8d0*cima*coupl(nGC_127)**2d0&
                        )/(64d0*pi**2d0)
      coupl(nGC_8706) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_142)**2d0 - 4d0*Nc*cMB&
                        **2d0*cima*coupl(nGC_178)**2d0 - 4d0*Nc*cMC**2d0*cima* &
                        coupl(nGC_131)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(      &
                        nGC_170)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(nGC_146)**  &
                        2d0 - 4d0*Nc*cMD**2d0*cima*coupl(nGC_193)**2d0 - 4d0*Nc&
                        *cMS**2d0*cima*coupl(nGC_131)**2d0 - 4d0*Nc*cMS**2d0*  &
                        cima*coupl(nGC_170)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl( &
                        nGC_142)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_178)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_146)**2d0 - 4d0*Nc&
                        *cMU**2d0*cima*coupl(nGC_193)**2d0 - 4d0*cME**2d0*cima*&
                        coupl(nGC_154)**2d0 - 2d0*cMHA**2d0*cima*coupl(nGC_1319&
                        )*coupl(nGC_72) - cMHC**2d0*cima*coupl(nGC_1283)**2d0  &
                         - cMHC**2d0*cima*coupl(nGC_1529)**2d0 - cMHC**2d0*cima&
                        *coupl(nGC_17)**2d0 - cMHC**2d0*cima*coupl(nGC_96)**2d0&
                         - cMHH**2d0*cima*coupl(nGC_1491)*coupl(nGC_64) - cMHH &
                        **2d0*cima*coupl(nGC_1795)*coupl(nGC_63) - cMHL**2d0*  &
                        cima*coupl(nGC_1919)*coupl(nGC_68) - cMHL**2d0*cima*   &
                        coupl(nGC_2961)*coupl(nGC_69) - 4d0*cMM**2d0*cima*coupl&
                        (nGC_162)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_185)**2d0&
                         - 2d0*cMW**2d0*cima*coupl(nGC_1319)*coupl(nGC_72) -   &
                        cMW**2d0*cima*coupl(nGC_1491)*coupl(nGC_64) - cMW**2d0*&
                        cima*coupl(nGC_1795)*coupl(nGC_63) - cMW**2d0*cima*    &
                        coupl(nGC_1919)*coupl(nGC_68) - cMW**2d0*cima*coupl(   &
                        nGC_2961)*coupl(nGC_69) - 8d0*cMW**2d0*coupl(nGC_62) - &
                        cMZ**2d0*cima*coupl(nGC_1283)**2d0 - cMZ**2d0*cima*    &
                        coupl(nGC_96)**2d0 - 4d0*cMZ**2d0*coupl(nGC_100) + 8d0*&
                        cima*coupl(nGC_102)**2d0 + 8d0*cima*coupl(nGC_126)**2d0&
                        )/(64d0*pi**2d0)
      coupl(nGC_8701) = cima*(4d0*Nc*coupl(nGC_131)*coupl(nGC_134) + 4d0*Nc*   &
                        coupl(nGC_138)*coupl(nGC_142) + 4d0*Nc*coupl(nGC_146)* &
                        coupl(nGC_150) + 4d0*Nc*coupl(nGC_170)*coupl(nGC_174   &
                        ) + 4d0*Nc*coupl(nGC_178)*coupl(nGC_181) + 4d0*Nc*coupl&
                        (nGC_193)*coupl(nGC_196) + coupl(nGC_1491)*coupl(      &
                        nGC_1919) + 4d0*coupl(nGC_154)*coupl(nGC_158) + 4d0*   &
                        coupl(nGC_162)*coupl(nGC_166) + coupl(nGC_1795)*coupl( &
                        nGC_1919) + 4d0*coupl(nGC_185)*coupl(nGC_189) + coupl( &
                        nGC_63)*coupl(nGC_69) + coupl(nGC_64)*coupl(nGC_69))/( &
                        192d0*pi**2d0)
      coupl(nGC_8703) = cima*(4d0*Nc*coupl(nGC_134)**2d0 + 4d0*Nc*coupl(nGC_138&
                        )**2d0 + 4d0*Nc*coupl(nGC_150)**2d0 + 4d0*Nc*coupl(    &
                        nGC_174)**2d0 + 4d0*Nc*coupl(nGC_181)**2d0 + 4d0*Nc*   &
                        coupl(nGC_196)**2d0 + coupl(nGC_1283)**2d0 + 2d0*coupl(&
                        nGC_1319)*coupl(nGC_72) + coupl(nGC_1491)*coupl(nGC_64 &
                        ) + coupl(nGC_1529)**2d0 + 4d0*coupl(nGC_158)**2d0 +   &
                        4d0*coupl(nGC_166)**2d0 + coupl(nGC_17)**2d0 + coupl(  &
                        nGC_1795)*coupl(nGC_63) + 4d0*coupl(nGC_189)**2d0 +    &
                        coupl(nGC_1919)*coupl(nGC_68) + coupl(nGC_2961)*coupl( &
                        nGC_69) + coupl(nGC_96)**2d0)/(192d0*pi**2d0)
      coupl(nGC_8702) = cima*(-4d0*Nc*cMB**2d0*coupl(nGC_138)*coupl(nGC_142) - &
                        4d0*Nc*cMB**2d0*coupl(nGC_178)*coupl(nGC_181) - 4d0*Nc*&
                        cMC**2d0*coupl(nGC_131)*coupl(nGC_134) - 4d0*Nc*cMC**  &
                        2d0*coupl(nGC_170)*coupl(nGC_174) - 4d0*Nc*cMD**2d0*   &
                        coupl(nGC_146)*coupl(nGC_150) - 4d0*Nc*cMD**2d0*coupl( &
                        nGC_193)*coupl(nGC_196) - 4d0*Nc*cMS**2d0*coupl(nGC_131&
                        )*coupl(nGC_134) - 4d0*Nc*cMS**2d0*coupl(nGC_170)*coupl&
                        (nGC_174) - 4d0*Nc*cMT**2d0*coupl(nGC_138)*coupl(      &
                        nGC_142) - 4d0*Nc*cMT**2d0*coupl(nGC_178)*coupl(nGC_181&
                        ) - 4d0*Nc*cMU**2d0*coupl(nGC_146)*coupl(nGC_150) - 4d0&
                        *Nc*cMU**2d0*coupl(nGC_193)*coupl(nGC_196) - 4d0*cME** &
                        2d0*coupl(nGC_154)*coupl(nGC_158) - cMHH**2d0*coupl(   &
                        nGC_1491)*coupl(nGC_1919) - cMHH**2d0*coupl(nGC_63)*   &
                        coupl(nGC_69) - cMHL**2d0*coupl(nGC_1795)*coupl(       &
                        nGC_1919) - cMHL**2d0*coupl(nGC_64)*coupl(nGC_69) - 4d0&
                        *cMM**2d0*coupl(nGC_162)*coupl(nGC_166) - 4d0*cMTA**2d0&
                        *coupl(nGC_185)*coupl(nGC_189) - cMW**2d0*coupl(       &
                        nGC_1491)*coupl(nGC_1919) - cMW**2d0*coupl(nGC_1795)*  &
                        coupl(nGC_1919) - cMW**2d0*coupl(nGC_63)*coupl(nGC_69  &
                        ) - cMW**2d0*coupl(nGC_64)*coupl(nGC_69) + 8d0*coupl(  &
                        nGC_102)*coupl(nGC_107) + 8d0*coupl(nGC_126)*coupl(    &
                        nGC_127))/(64d0*pi**2d0)
      coupl(nGC_13182) = coupl(nGC_5)*dZA_QED2 + coupl(nGC_5)*dZWMinus_QED2 +  &
                         coupl(nGC_9281)
      coupl(nGC_13183) = -coupl(nGC_13181)/2d0 + coupl(nGC_13182)
      coupl(nGC_13184) = coupl(nGC_13181) - 2d0*coupl(nGC_13182)
    end subroutine fill_CTcouplings_mdl19
end module fill_ctcouplings19
