!******************************************************************************!
!                                                                              !
!    fill_ctcouplings20.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings20.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings20
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl20()
      coupl(nGC_14409) = coupl(nGC_3)*dZA_QED2/2d0 + coupl(nGC_3)*dZWMinus_QED2&
                          + coupl(nGC_82)*dZZA_QED2/2d0 + coupl(nGC_9280)
      coupl(nGC_19125) = coupl(nGC_93)*dZHl_QED2/2d0 + coupl(nGC_95)*          &
                         dZHhHl_QED2/2d0 + coupl(nGC_9520)
      coupl(nGC_8895) = (-coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_1529) + 8d0*   &
                        coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_2) - coupl(      &
                        nGC_1283)*coupl(nGC_142)*coupl(nGC_84) - coupl(nGC_1319&
                        )*coupl(nGC_143)*coupl(nGC_80) - coupl(nGC_137)*coupl( &
                        nGC_1491)*coupl(nGC_80) - coupl(nGC_137)*coupl(nGC_178 &
                        )*coupl(nGC_180) - coupl(nGC_140)*coupl(nGC_178)*coupl(&
                        nGC_182) - coupl(nGC_141)*coupl(nGC_177)*coupl(nGC_178 &
                        ) - coupl(nGC_141)*coupl(nGC_1919)*coupl(nGC_80) -     &
                        coupl(nGC_142)*coupl(nGC_17)*coupl(nGC_2) + 8d0*coupl( &
                        nGC_142)*coupl(nGC_84)*coupl(nGC_88) - coupl(nGC_142)* &
                        coupl(nGC_88)*coupl(nGC_96) - coupl(nGC_143)*coupl(    &
                        nGC_178)*coupl(nGC_2153))/(32d0*pi**2d0)
      coupl(nGC_8897) = (-coupl(nGC_1)*coupl(nGC_1529)*coupl(nGC_178) + 8d0*   &
                        coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_2) - coupl(      &
                        nGC_1283)*coupl(nGC_178)*coupl(nGC_87) - coupl(nGC_137 &
                        )*coupl(nGC_142)*coupl(nGC_180) - coupl(nGC_139)*coupl(&
                        nGC_142)*coupl(nGC_183) - coupl(nGC_141)*coupl(nGC_142 &
                        )*coupl(nGC_177) - coupl(nGC_142)*coupl(nGC_144)*coupl(&
                        nGC_179) - coupl(nGC_17)*coupl(nGC_178)*coupl(nGC_2) - &
                        coupl(nGC_177)*coupl(nGC_69)*coupl(nGC_80) + 8d0*coupl(&
                        nGC_178)*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_178)* &
                        coupl(nGC_85)*coupl(nGC_96) - coupl(nGC_179)*coupl(    &
                        nGC_72)*coupl(nGC_80) - coupl(nGC_180)*coupl(nGC_63)*  &
                        coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_13369) = coupl(nGC_101)*dZHa_QED2 + coupl(nGC_101)*dZZ_QED2 +  &
                         coupl(nGC_9380)
      coupl(nGC_8890) = (-4d0*Nc*coupl(nGC_131)**2d0*coupl(nGC_85) + 4d0*Nc*   &
                        coupl(nGC_131)**2d0*coupl(nGC_87) + 4d0*Nc*coupl(      &
                        nGC_142)**2d0*coupl(nGC_84) - 4d0*Nc*coupl(nGC_142)**  &
                        2d0*coupl(nGC_88) + 4d0*Nc*coupl(nGC_146)**2d0*coupl(  &
                        nGC_84) - 4d0*Nc*coupl(nGC_146)**2d0*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_170)**2d0*coupl(nGC_84) - 4d0*Nc*coupl&
                        (nGC_170)**2d0*coupl(nGC_88) - 4d0*Nc*coupl(nGC_178)** &
                        2d0*coupl(nGC_85) + 4d0*Nc*coupl(nGC_178)**2d0*coupl(  &
                        nGC_87) - 4d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_87) + coupl(      &
                        nGC_1079)*coupl(nGC_1319)*coupl(nGC_63) + coupl(       &
                        nGC_1283)**2d0*coupl(nGC_96) + coupl(nGC_1319)*coupl(  &
                        nGC_661)*coupl(nGC_69) - 6d0*coupl(nGC_1319)*coupl(    &
                        nGC_72)*coupl(nGC_82) - 6d0*coupl(nGC_1491)*coupl(     &
                        nGC_64)*coupl(nGC_82) + coupl(nGC_1529)**2d0*coupl(    &
                        nGC_96) + 4d0*coupl(nGC_154)**2d0*coupl(nGC_86) - 4d0* &
                        coupl(nGC_154)**2d0*coupl(nGC_90) + 4d0*coupl(nGC_162  &
                        )**2d0*coupl(nGC_86) - 4d0*coupl(nGC_162)**2d0*coupl(  &
                        nGC_90) + coupl(nGC_1795)*coupl(nGC_72)*coupl(nGC_92   &
                        ) + 4d0*coupl(nGC_185)**2d0*coupl(nGC_86) - 4d0*coupl( &
                        nGC_185)**2d0*coupl(nGC_90) - 6d0*coupl(nGC_1919)*coupl&
                        (nGC_68)*coupl(nGC_82) + coupl(nGC_2961)*coupl(nGC_72)*&
                        coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_8893) = (4d0*Nc*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_80) +   &
                        coupl(nGC_1283)*coupl(nGC_1319)*coupl(nGC_661) - 6d0*  &
                        coupl(nGC_1319)*coupl(nGC_781)*coupl(nGC_94) + coupl(  &
                        nGC_1491)*coupl(nGC_1795)*coupl(nGC_69) - 4d0*coupl(   &
                        nGC_153)*coupl(nGC_154)*coupl(nGC_80) - 4d0*coupl(     &
                        nGC_161)*coupl(nGC_162)*coupl(nGC_80) - 6d0*coupl(     &
                        nGC_17)*coupl(nGC_1919)*coupl(nGC_3) + coupl(nGC_1795)*&
                        coupl(nGC_2961)*coupl(nGC_63) - 4d0*coupl(nGC_184)*    &
                        coupl(nGC_185)*coupl(nGC_80) - 6d0*coupl(nGC_1919)*    &
                        coupl(nGC_82)*coupl(nGC_96) + coupl(nGC_63)**2d0*coupl(&
                        nGC_68) + coupl(nGC_68)*coupl(nGC_69)**2d0 + coupl(    &
                        nGC_68)*coupl(nGC_72)**2d0)/(96d0*pi**2d0)
      coupl(nGC_8892) = (4d0*Nc*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_80) +   &
                        coupl(nGC_1079)*coupl(nGC_1283)*coupl(nGC_1319) - 6d0* &
                        coupl(nGC_1319)*coupl(nGC_781)*coupl(nGC_92) - 6d0*    &
                        coupl(nGC_1491)*coupl(nGC_17)*coupl(nGC_3) + coupl(    &
                        nGC_1491)*coupl(nGC_1919)*coupl(nGC_69) - 6d0*coupl(   &
                        nGC_1491)*coupl(nGC_82)*coupl(nGC_96) - 4d0*coupl(     &
                        nGC_154)*coupl(nGC_157)*coupl(nGC_80) - 4d0*coupl(     &
                        nGC_162)*coupl(nGC_165)*coupl(nGC_80) - 4d0*coupl(     &
                        nGC_185)*coupl(nGC_188)*coupl(nGC_80) + coupl(nGC_1919 &
                        )*coupl(nGC_2961)*coupl(nGC_63) + coupl(nGC_63)**2d0*  &
                        coupl(nGC_64) + coupl(nGC_64)*coupl(nGC_69)**2d0 +     &
                        coupl(nGC_64)*coupl(nGC_72)**2d0)/(96d0*pi**2d0)
      coupl(nGC_8899) = (coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_17) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_131)*coupl(nGC_2) + coupl(nGC_1283)*  &
                        coupl(nGC_131)*coupl(nGC_85) - coupl(nGC_130)*coupl(   &
                        nGC_169)*coupl(nGC_170) + coupl(nGC_130)*coupl(nGC_1919&
                        )*coupl(nGC_80) + coupl(nGC_131)*coupl(nGC_1529)*coupl(&
                        nGC_2) + 8d0*coupl(nGC_131)*coupl(nGC_85)*coupl(nGC_87 &
                        ) + coupl(nGC_131)*coupl(nGC_87)*coupl(nGC_96) + coupl(&
                        nGC_1319)*coupl(nGC_132)*coupl(nGC_80) - coupl(nGC_132 &
                        )*coupl(nGC_170)*coupl(nGC_171) + coupl(nGC_133)*coupl(&
                        nGC_1491)*coupl(nGC_80) - coupl(nGC_133)*coupl(nGC_170 &
                        )*coupl(nGC_173) - coupl(nGC_136)*coupl(nGC_170)*coupl(&
                        nGC_175))/(32d0*pi**2d0)
      coupl(nGC_8898) = coupl(nGC_178)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9470) = coupl(nGC_8526)*dym1_QED3 + coupl(nGC_8527)*dym2_QED3  &
                         + coupl(nGC_8528)*da_QED2
      coupl(nGC_9471) = coupl(nGC_8637)*dytau1_QED3 + coupl(nGC_8638)*         &
                        dytau2_QED3 + coupl(nGC_8639)*da_QED2
      coupl(nGC_9472) = coupl(nGC_8471)*da_QED2 + coupl(nGC_8472)*dye1_QED3 +  &
                        coupl(nGC_8473)*dye2_QED3
      coupl(nGC_9473) = coupl(nGC_8497)*dym1_QED3 + coupl(nGC_8498)*dym2_QED3  &
                         + coupl(nGC_8499)*da_QED2
      coupl(nGC_9474) = coupl(nGC_8618)*dytau1_QED3 + coupl(nGC_8619)*         &
                        dytau2_QED3 + coupl(nGC_8620)*da_QED2
      coupl(nGC_9475) = coupl(nGC_8468)*db_QED2 + coupl(nGC_8469)*dye2_QED3 +  &
                        coupl(nGC_8470)*dye1_QED3
      coupl(nGC_9477) = coupl(nGC_8523)*db_QED2 + coupl(nGC_8524)*dym1_QED3 +  &
                        coupl(nGC_8525)*dym2_QED3
      coupl(nGC_9478) = coupl(nGC_8520)*db_QED2 + coupl(nGC_8521)*dym1_QED3 +  &
                        coupl(nGC_8522)*dym2_QED3
      coupl(nGC_9479) = coupl(nGC_8627)*db_QED2 + coupl(nGC_8628)*dytau1_QED3  &
                         + coupl(nGC_8629)*dytau2_QED3
      coupl(nGC_12712) = coupl(nGC_7)*dZuL_QED2
      coupl(nGC_8885) = coupl(nGC_197)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8961) = (-8d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_84)**2d0 + 8d0*Nc&
                        *cMB*coupl(nGC_137)*coupl(nGC_84)*coupl(nGC_87) - 8d0* &
                        Nc*cMB*coupl(nGC_137)*coupl(nGC_87)**2d0 - 8d0*Nc*cMC* &
                        coupl(nGC_133)*coupl(nGC_85)**2d0 + 8d0*Nc*cMC*coupl(  &
                        nGC_133)*coupl(nGC_85)*coupl(nGC_88) - 8d0*Nc*cMC*coupl&
                        (nGC_133)*coupl(nGC_88)**2d0 - 8d0*Nc*cMD*coupl(nGC_149&
                        )*coupl(nGC_84)**2d0 + 8d0*Nc*cMD*coupl(nGC_149)*coupl(&
                        nGC_84)*coupl(nGC_87) - 8d0*Nc*cMD*coupl(nGC_149)*coupl&
                        (nGC_87)**2d0 - 8d0*Nc*cMS*coupl(nGC_173)*coupl(nGC_84 &
                        )**2d0 + 8d0*Nc*cMS*coupl(nGC_173)*coupl(nGC_84)*coupl(&
                        nGC_87) - 8d0*Nc*cMS*coupl(nGC_173)*coupl(nGC_87)**2d0 &
                         - 8d0*Nc*cMT*coupl(nGC_180)*coupl(nGC_85)**2d0 + 8d0* &
                        Nc*cMT*coupl(nGC_180)*coupl(nGC_85)*coupl(nGC_88) - 8d0&
                        *Nc*cMT*coupl(nGC_180)*coupl(nGC_88)**2d0 - 8d0*Nc*cMU*&
                        coupl(nGC_195)*coupl(nGC_85)**2d0 + 8d0*Nc*cMU*coupl(  &
                        nGC_195)*coupl(nGC_85)*coupl(nGC_88) - 8d0*Nc*cMU*coupl&
                        (nGC_195)*coupl(nGC_88)**2d0 - 8d0*cME*coupl(nGC_157)* &
                        coupl(nGC_86)**2d0 + 8d0*cME*coupl(nGC_157)*coupl(     &
                        nGC_86)*coupl(nGC_89) - 8d0*cME*coupl(nGC_157)*coupl(  &
                        nGC_89)**2d0 - 8d0*cMM*coupl(nGC_165)*coupl(nGC_86)**  &
                        2d0 + 8d0*cMM*coupl(nGC_165)*coupl(nGC_86)*coupl(nGC_89&
                        ) - 8d0*cMM*coupl(nGC_165)*coupl(nGC_89)**2d0 - 8d0*   &
                        cMTA*coupl(nGC_188)*coupl(nGC_86)**2d0 + 8d0*cMTA*coupl&
                        (nGC_188)*coupl(nGC_86)*coupl(nGC_89) - 8d0*cMTA*coupl(&
                        nGC_188)*coupl(nGC_89)**2d0 + 4d0*cima*coupl(nGC_1153)*&
                        coupl(nGC_125) - coupl(nGC_102)*coupl(nGC_1491)*coupl( &
                        nGC_781) - coupl(nGC_102)*coupl(nGC_1795)*coupl(nGC_82 &
                        ) - coupl(nGC_102)*coupl(nGC_63)*coupl(nGC_82) - coupl(&
                        nGC_102)*coupl(nGC_64)*coupl(nGC_781) - coupl(nGC_107)*&
                        coupl(nGC_1919)*coupl(nGC_781) - coupl(nGC_107)*coupl( &
                        nGC_2961)*coupl(nGC_82) - coupl(nGC_107)*coupl(nGC_68)*&
                        coupl(nGC_781) - coupl(nGC_107)*coupl(nGC_69)*coupl(   &
                        nGC_82) + 6d0*coupl(nGC_125)*coupl(nGC_781)**2d0 + 6d0*&
                        coupl(nGC_125)*coupl(nGC_82)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12894) = coupl(nGC_89)*dZZ_QED2/2d0 + coupl(nGC_89)*           &
                         dZmuMinusL_QED2 + coupl(nGC_9395)
      coupl(nGC_9278) = coupl(nGC_8677)*dZgs_QCD2
      coupl(nGC_9279) = coupl(nGC_8678)*dZgs_QCD2
      coupl(nGC_9272) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_6)**4d0*sq2**2d0 + 9d0&
                        *Nc*coupl(nGC_5227)*coupl(nGC_6)**2d0 - 3d0*Nc*coupl(  &
                        nGC_5233)*coupl(nGC_6)**2d0 - 60d0*cima*coupl(nGC_7)** &
                        4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_9273) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_6)**4d0*sq2**2d0 + 3d0&
                        *Nc*coupl(nGC_5227)*coupl(nGC_6)**2d0 - 9d0*Nc*coupl(  &
                        nGC_5233)*coupl(nGC_6)**2d0 - 60d0*cima*coupl(nGC_7)** &
                        4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_9270) = (-12d0*Nc*cima*coupl(nGC_5231)*coupl(nGC_8) - 4d0*Nc*  &
                        cima*coupl(nGC_6)**4d0*sq2**4d0 - 9d0*Nc*coupl(nGC_5231&
                        )*coupl(nGC_6)**2d0*sq2**2d0 + 12d0*Nc*coupl(nGC_6)**  &
                        2d0*coupl(nGC_8)*sq2**2d0 + 18d0*cima*coupl(nGC_7)**4d0&
                        *sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_9271) = (12d0*Nc*cima*coupl(nGC_5231)**2d0 - 8d0*Nc*cima*coupl(&
                        nGC_6)**4d0*sq2**4d0 + 12d0*Nc*cima*coupl(nGC_8)**2d0  &
                         - 3d0*Nc*coupl(nGC_5231)*coupl(nGC_6)**2d0*sq2**2d0 + &
                        39d0*Nc*coupl(nGC_6)**2d0*coupl(nGC_8)*sq2**2d0 + 36d0*&
                        cima*coupl(nGC_7)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_9276) = -3d0*cima*coupl(nGC_7)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**&
                        3d0)
      coupl(nGC_9277) = cima*coupl(nGC_7)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_9274) = (-24d0*Nc*cima*coupl(nGC_5231)*coupl(nGC_8) - 8d0*Nc*  &
                        cima*coupl(nGC_6)**4d0*sq2**4d0 - 39d0*Nc*coupl(       &
                        nGC_5231)*coupl(nGC_6)**2d0*sq2**2d0 + 3d0*Nc*coupl(   &
                        nGC_6)**2d0*coupl(nGC_8)*sq2**2d0 + 36d0*cima*coupl(   &
                        nGC_7)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_9275) = (-12d0*Nc*cima*coupl(nGC_5231)*coupl(nGC_8) - 4d0*Nc*  &
                        cima*coupl(nGC_6)**4d0*sq2**4d0 - 12d0*Nc*coupl(       &
                        nGC_5231)*coupl(nGC_6)**2d0*sq2**2d0 + 9d0*Nc*coupl(   &
                        nGC_6)**2d0*coupl(nGC_8)*sq2**2d0 + 18d0*cima*coupl(   &
                        nGC_7)**4d0*sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_9074) = coupl(nGC_7)*sq2*(-coupl(nGC_146)**2d0 - coupl(nGC_150 &
                        )**2d0 - coupl(nGC_192)**2d0 - coupl(nGC_194)*coupl(   &
                        nGC_797) - coupl(nGC_195)**2d0 - coupl(nGC_197)*coupl( &
                        nGC_198) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_80)** &
                        2d0 - 4d0*coupl(nGC_88)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9075) = coupl(nGC_7)*sq2*(-coupl(nGC_192)**2d0 - coupl(nGC_193 &
                        )**2d0 - coupl(nGC_194)*coupl(nGC_797) - coupl(nGC_195 &
                        )**2d0 - coupl(nGC_196)**2d0 - coupl(nGC_197)*coupl(   &
                        nGC_198) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_85)** &
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9076) = coupl(nGC_7)*sq2*(coupl(nGC_146)**2d0 + coupl(nGC_150  &
                        )**2d0 + coupl(nGC_192)**2d0 + coupl(nGC_194)*coupl(   &
                        nGC_797) + coupl(nGC_195)**2d0 + coupl(nGC_197)*coupl( &
                        nGC_198) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_80)** &
                        2d0 + 4d0*coupl(nGC_88)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9077) = coupl(nGC_7)*sq2*(coupl(nGC_192)**2d0 + coupl(nGC_193  &
                        )**2d0 + coupl(nGC_194)*coupl(nGC_797) + coupl(nGC_195 &
                        )**2d0 + coupl(nGC_196)**2d0 + coupl(nGC_197)*coupl(   &
                        nGC_198) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_85)** &
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_9070) = coupl(nGC_7)*sq2*(-coupl(nGC_138)**2d0 - coupl(nGC_142 &
                        )**2d0 - coupl(nGC_177)**2d0 - coupl(nGC_179)*coupl(   &
                        nGC_2153) - coupl(nGC_180)**2d0 - coupl(nGC_182)*coupl(&
                        nGC_183) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_80)** &
                        2d0 - 4d0*coupl(nGC_88)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9071) = coupl(nGC_7)*sq2*(-coupl(nGC_177)**2d0 - coupl(nGC_178 &
                        )**2d0 - coupl(nGC_179)*coupl(nGC_2153) - coupl(nGC_180&
                        )**2d0 - coupl(nGC_181)**2d0 - coupl(nGC_182)*coupl(   &
                        nGC_183) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_85)** &
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9072) = coupl(nGC_7)*sq2*(coupl(nGC_138)**2d0 + coupl(nGC_142  &
                        )**2d0 + coupl(nGC_177)**2d0 + coupl(nGC_179)*coupl(   &
                        nGC_2153) + coupl(nGC_180)**2d0 + coupl(nGC_182)*coupl(&
                        nGC_183) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_80)** &
                        2d0 + 4d0*coupl(nGC_88)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9073) = coupl(nGC_7)*sq2*(coupl(nGC_177)**2d0 + coupl(nGC_178  &
                        )**2d0 + coupl(nGC_179)*coupl(nGC_2153) + coupl(nGC_180&
                        )**2d0 + coupl(nGC_181)**2d0 + coupl(nGC_182)*coupl(   &
                        nGC_183) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_85)** &
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_9294) = coupl(nGC_7914)*dl3_QED4 + coupl(nGC_7915)*dl1_QED4 +  &
                        coupl(nGC_7916)*dl2_QED4 + coupl(nGC_7917)*dl5_QED4 +  &
                        coupl(nGC_7918)*dl4_QED4 + coupl(nGC_7919)*da_QED2
      coupl(nGC_9295) = coupl(nGC_8671)*dl3_QED4 + coupl(nGC_8672)*dl1_QED4 +  &
                        coupl(nGC_8673)*dl2_QED4 + coupl(nGC_8674)*dl5_QED4 +  &
                        coupl(nGC_8675)*dl4_QED4 + coupl(nGC_8676)*db_QED2
      coupl(nGC_9296) = coupl(nGC_8033)*dl3_QED4 + coupl(nGC_8034)*db_QED2 +   &
                        coupl(nGC_8035)*dl2_QED4 + coupl(nGC_8036)*dl5_QED4 +  &
                        coupl(nGC_8037)*dl4_QED4 + coupl(nGC_8038)*dl1_QED4 +  &
                        coupl(nGC_8039)*da_QED2
      coupl(nGC_9297) = coupl(nGC_8213)*dl3_QED4 + coupl(nGC_8214)*dl1_QED4 +  &
                        coupl(nGC_8215)*dl2_QED4 + coupl(nGC_8216)*dl5_QED4 +  &
                        coupl(nGC_8217)*dl4_QED4 + coupl(nGC_8218)*db_QED2
      coupl(nGC_9290) = coupl(nGC_8047)*dl3_QED4 + coupl(nGC_8048)*db_QED2 +   &
                        coupl(nGC_8049)*dl2_QED4 + coupl(nGC_8050)*dl5_QED4 +  &
                        coupl(nGC_8051)*dl4_QED4 + coupl(nGC_8052)*dl1_QED4 +  &
                        coupl(nGC_8053)*da_QED2
      coupl(nGC_9291) = coupl(nGC_7920)*dl3_QED4 + coupl(nGC_7921)*dl1_QED4 +  &
                        coupl(nGC_7922)*dl2_QED4 + coupl(nGC_7923)*dl5_QED4 +  &
                        coupl(nGC_7924)*dl4_QED4 + coupl(nGC_7925)*da_QED2
      coupl(nGC_9292) = coupl(nGC_8198)*dl3_QED4 + coupl(nGC_8199)*dl1_QED4 +  &
                        coupl(nGC_8200)*dl2_QED4 + coupl(nGC_8201)*dl5_QED4 +  &
                        coupl(nGC_8202)*dl4_QED4 + coupl(nGC_8203)*db_QED2
      coupl(nGC_9293) = coupl(nGC_8057)*dl3_QED4 + coupl(nGC_8058)*db_QED2 +   &
                        coupl(nGC_8059)*dl2_QED4 + coupl(nGC_8060)*dl5_QED4 +  &
                        coupl(nGC_8061)*dl4_QED4 + coupl(nGC_8062)*dl1_QED4 +  &
                        coupl(nGC_8063)*da_QED2
      coupl(nGC_9298) = coupl(nGC_8232)*dl3_QED4 + coupl(nGC_8233)*dl1_QED4 +  &
                        coupl(nGC_8234)*dl2_QED4 + coupl(nGC_8235)*dl5_QED4 +  &
                        coupl(nGC_8236)*dl4_QED4 + coupl(nGC_8237)*db_QED2
    end subroutine fill_CTcouplings_mdl20
end module fill_ctcouplings20
