!******************************************************************************!
!                                                                              !
!    fill_ctcouplings22.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings22.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings22
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl22()
      coupl(nGC_12629) = dZHMinusGMinus_QED2*(coupl(nGC_114) + coupl(nGC_115))/&
                         2d0
      coupl(nGC_9049) = -coupl(nGC_7)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_6 &
                        ) - coupl(nGC_7))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_23703) = coupl(nGC_TS_GC_63_Hl) + coupl(nGC_TS_GC_68_Hh)
      coupl(nGC_9048) = -coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_137)**2d0 + coupl(nGC_139)*coupl(nGC_140) + coupl( &
                        nGC_141)**2d0 + coupl(nGC_143)*coupl(nGC_144) + coupl( &
                        nGC_178)**2d0 + coupl(nGC_181)**2d0 + 4d0*coupl(nGC_80 &
                        )**2d0 + 4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_104_Hl) = -coupl(nGC_104)*dtHl_QED1/cMHL**2d0
      coupl(nGC_9041) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_84) + coupl(nGC_169)**&
                        2d0*coupl(nGC_87) + coupl(nGC_170)**2d0*coupl(nGC_88   &
                        ) + coupl(nGC_171)*coupl(nGC_172)*coupl(nGC_87) + coupl&
                        (nGC_173)**2d0*coupl(nGC_87) + coupl(nGC_174)**2d0*    &
                        coupl(nGC_88) + coupl(nGC_175)*coupl(nGC_176)*coupl(   &
                        nGC_87) + 4d0*coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9040) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_87) + coupl(nGC_131)**&
                        2d0*coupl(nGC_85) + coupl(nGC_134)**2d0*coupl(nGC_85   &
                        ) + coupl(nGC_169)**2d0*coupl(nGC_84) + coupl(nGC_171)*&
                        coupl(nGC_172)*coupl(nGC_84) + coupl(nGC_173)**2d0*    &
                        coupl(nGC_84) + coupl(nGC_175)*coupl(nGC_176)*coupl(   &
                        nGC_84) + 4d0*coupl(nGC_781)*coupl(nGC_80)**2d0 + 4d0* &
                        coupl(nGC_80)**2d0*coupl(nGC_88) + 4d0*coupl(nGC_87)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_9043) = (coupl(nGC_177)**2d0*coupl(nGC_88) + coupl(nGC_178)**  &
                        2d0*coupl(nGC_87) + coupl(nGC_179)*coupl(nGC_2153)*    &
                        coupl(nGC_88) + coupl(nGC_180)**2d0*coupl(nGC_88) +    &
                        coupl(nGC_181)**2d0*coupl(nGC_87) + coupl(nGC_182)*    &
                        coupl(nGC_183)*coupl(nGC_88) + 4d0*coupl(nGC_2)**2d0*  &
                        coupl(nGC_85) + 4d0*coupl(nGC_85)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9042) = (coupl(nGC_138)**2d0*coupl(nGC_84) + coupl(nGC_142)**  &
                        2d0*coupl(nGC_84) + coupl(nGC_177)**2d0*coupl(nGC_85   &
                        ) + coupl(nGC_179)*coupl(nGC_2153)*coupl(nGC_85) +     &
                        coupl(nGC_180)**2d0*coupl(nGC_85) + coupl(nGC_182)*    &
                        coupl(nGC_183)*coupl(nGC_85) + 4d0*coupl(nGC_2)**2d0*  &
                        coupl(nGC_88) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82) + &
                        4d0*coupl(nGC_80)**2d0*coupl(nGC_87) + 4d0*coupl(nGC_88&
                        )**3d0)/(32d0*pi**2d0)
      coupl(nGC_9045) = (coupl(nGC_184)**2d0*coupl(nGC_86) + coupl(nGC_186)*   &
                        coupl(nGC_187)*coupl(nGC_86) + coupl(nGC_188)**2d0*    &
                        coupl(nGC_86) + coupl(nGC_190)*coupl(nGC_191)*coupl(   &
                        nGC_86) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_89) - 4d0*   &
                        coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*coupl(nGC_80)** &
                        2d0*coupl(nGC_90) + 4d0*coupl(nGC_89)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_9044) = (coupl(nGC_184)**2d0*coupl(nGC_89) + coupl(nGC_185)**  &
                        2d0*coupl(nGC_90) + coupl(nGC_186)*coupl(nGC_187)*coupl&
                        (nGC_89) + coupl(nGC_188)**2d0*coupl(nGC_89) + coupl(  &
                        nGC_189)**2d0*coupl(nGC_90) + coupl(nGC_190)*coupl(    &
                        nGC_191)*coupl(nGC_89) + 4d0*coupl(nGC_4)**2d0*coupl(  &
                        nGC_86) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9047) = (coupl(nGC_192)**2d0*coupl(nGC_88) + coupl(nGC_193)**  &
                        2d0*coupl(nGC_87) + coupl(nGC_194)*coupl(nGC_797)*coupl&
                        (nGC_88) + coupl(nGC_195)**2d0*coupl(nGC_88) + coupl(  &
                        nGC_196)**2d0*coupl(nGC_87) + coupl(nGC_197)*coupl(    &
                        nGC_198)*coupl(nGC_88) + 4d0*coupl(nGC_2)**2d0*coupl(  &
                        nGC_85) + 4d0*coupl(nGC_85)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9046) = (coupl(nGC_146)**2d0*coupl(nGC_84) + coupl(nGC_150)**  &
                        2d0*coupl(nGC_84) + coupl(nGC_192)**2d0*coupl(nGC_85   &
                        ) + coupl(nGC_194)*coupl(nGC_797)*coupl(nGC_85) + coupl&
                        (nGC_195)**2d0*coupl(nGC_85) + coupl(nGC_197)*coupl(   &
                        nGC_198)*coupl(nGC_85) + 4d0*coupl(nGC_2)**2d0*coupl(  &
                        nGC_88) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*  &
                        coupl(nGC_80)**2d0*coupl(nGC_87) + 4d0*coupl(nGC_88)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_16472) = coupl(nGC_17)*dZAZ_QED2/2d0 + coupl(nGC_9371) + coupl(&
                         nGC_96)*dZHMinus_QED2 + coupl(nGC_96)*dZZ_QED2/2d0
      coupl(nGC_9131) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(   &
                        nGC_84) + coupl(nGC_1)*coupl(nGC_87) + coupl(nGC_2)*   &
                        coupl(nGC_85) + coupl(nGC_2)*coupl(nGC_88))/(32d0*pi** &
                        2d0)
      coupl(nGC_9130) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(  &
                        nGC_84) - coupl(nGC_1)*coupl(nGC_87) - coupl(nGC_2)*   &
                        coupl(nGC_85) - coupl(nGC_2)*coupl(nGC_88))/(32d0*pi** &
                        2d0*Nc)
      coupl(nGC_9133) = (20d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_135)*coupl(&
                        nGC_136) + 20d0*Nc*cima*coupl(nGC_134)**2d0*coupl(     &
                        nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(nGC_134)* &
                        coupl(nGC_135)*coupl(nGC_174)*coupl(nGC_176) + 20d0*Nc*&
                        cima*coupl(nGC_134)*coupl(nGC_136)*coupl(nGC_174)*coupl&
                        (nGC_175) + 20d0*Nc*cima*coupl(nGC_135)*coupl(nGC_136)*&
                        coupl(nGC_174)**2d0 + 20d0*Nc*cima*coupl(nGC_138)**2d0*&
                        coupl(nGC_139)*coupl(nGC_140) + 20d0*Nc*cima*coupl(    &
                        nGC_138)**2d0*coupl(nGC_182)*coupl(nGC_183) + 20d0*Nc* &
                        cima*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_181)*coupl&
                        (nGC_183) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_140)*&
                        coupl(nGC_181)*coupl(nGC_182) + 20d0*Nc*cima*coupl(    &
                        nGC_139)*coupl(nGC_140)*coupl(nGC_181)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_150)**2d0*coupl(nGC_151)*coupl(nGC_152  &
                        ) + 20d0*Nc*cima*coupl(nGC_150)**2d0*coupl(nGC_197)*   &
                        coupl(nGC_198) + 20d0*Nc*cima*coupl(nGC_150)*coupl(    &
                        nGC_151)*coupl(nGC_196)*coupl(nGC_198) + 20d0*Nc*cima* &
                        coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_196)*coupl(    &
                        nGC_197) + 20d0*Nc*cima*coupl(nGC_151)*coupl(nGC_152)* &
                        coupl(nGC_196)**2d0 + 20d0*Nc*cima*coupl(nGC_174)**2d0*&
                        coupl(nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(    &
                        nGC_181)**2d0*coupl(nGC_182)*coupl(nGC_183) + 20d0*Nc* &
                        cima*coupl(nGC_196)**2d0*coupl(nGC_197)*coupl(nGC_198  &
                        ) + 6d0*cima*coupl(nGC_100)*coupl(nGC_101) - 10d0*cima*&
                        coupl(nGC_1283)**2d0*coupl(nGC_1319)*coupl(nGC_72) -   &
                        5d0*cima*coupl(nGC_1283)*coupl(nGC_1319)*coupl(nGC_3231&
                        )*coupl(nGC_63) - 5d0*cima*coupl(nGC_1283)*coupl(      &
                        nGC_1319)*coupl(nGC_661)*coupl(nGC_68) - 5d0*cima*coupl&
                        (nGC_1283)*coupl(nGC_1795)*coupl(nGC_72)*coupl(nGC_91  &
                        ) - 5d0*cima*coupl(nGC_1283)*coupl(nGC_1919)*coupl(    &
                        nGC_72)*coupl(nGC_94) - 10d0*cima*coupl(nGC_1319)**2d0*&
                        coupl(nGC_72)**2d0 - 10d0*cima*coupl(nGC_1319)*coupl(  &
                        nGC_1529)**2d0*coupl(nGC_72) - 10d0*cima*coupl(nGC_1319&
                        )*coupl(nGC_1795)*coupl(nGC_63)*coupl(nGC_72) - 10d0*  &
                        cima*coupl(nGC_1319)*coupl(nGC_1919)*coupl(nGC_68)*    &
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_3231&
                        )*coupl(nGC_64)*coupl(nGC_96) - 5d0*cima*coupl(nGC_1319&
                        )*coupl(nGC_661)*coupl(nGC_69)*coupl(nGC_96) - 10d0*   &
                        cima*coupl(nGC_1491)*coupl(nGC_3231)*coupl(nGC_64)*    &
                        coupl(nGC_91) - 10d0*cima*coupl(nGC_1491)*coupl(nGC_661&
                        )*coupl(nGC_69)*coupl(nGC_91) - 5d0*cima*coupl(nGC_1491&
                        )*coupl(nGC_72)*coupl(nGC_91)*coupl(nGC_96) + 20d0*cima&
                        *coupl(nGC_158)**2d0*coupl(nGC_159)*coupl(nGC_160) +   &
                        20d0*cima*coupl(nGC_166)**2d0*coupl(nGC_167)*coupl(    &
                        nGC_168) + 20d0*cima*coupl(nGC_189)**2d0*coupl(nGC_190 &
                        )*coupl(nGC_191) + 24d0*cima*coupl(nGC_19)*coupl(nGC_20&
                        ) - 10d0*cima*coupl(nGC_2961)*coupl(nGC_3231)*coupl(   &
                        nGC_64)*coupl(nGC_94) - 10d0*cima*coupl(nGC_2961)*coupl&
                        (nGC_661)*coupl(nGC_69)*coupl(nGC_94) - 5d0*cima*coupl(&
                        nGC_2961)*coupl(nGC_72)*coupl(nGC_94)*coupl(nGC_96) -  &
                        10d0*cima*coupl(nGC_3231)*coupl(nGC_91)*coupl(nGC_96)**&
                        2d0 + 12d0*cima*coupl(nGC_62)**2d0 - 10d0*cima*coupl(  &
                        nGC_661)*coupl(nGC_94)*coupl(nGC_96)**2d0 + 24d0*cima* &
                        coupl(nGC_73)*coupl(nGC_74) - 3d0*coupl(nGC_100)*coupl(&
                        nGC_3231)*coupl(nGC_91) - 3d0*coupl(nGC_100)*coupl(    &
                        nGC_661)*coupl(nGC_94) - 3d0*coupl(nGC_101)*coupl(     &
                        nGC_96)**2d0 + 3d0*coupl(nGC_1283)**2d0*coupl(nGC_53   &
                        ) - 6d0*coupl(nGC_1283)*coupl(nGC_1319)*coupl(nGC_19   &
                        ) - 6d0*coupl(nGC_1283)*coupl(nGC_20)*coupl(nGC_72) +  &
                        6d0*coupl(nGC_1319)**2d0*coupl(nGC_53) - 6d0*coupl(    &
                        nGC_1319)*coupl(nGC_1529)*coupl(nGC_73) + 6d0*coupl(   &
                        nGC_1319)*coupl(nGC_54)*coupl(nGC_72) + 3d0*coupl(     &
                        nGC_1319)*coupl(nGC_55)*coupl(nGC_72) - 9d0*coupl(     &
                        nGC_1319)*coupl(nGC_62)*coupl(nGC_72) - 6d0*coupl(     &
                        nGC_1491)*coupl(nGC_20)*coupl(nGC_91) + 3d0*coupl(     &
                        nGC_1491)*coupl(nGC_25)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_1491)*coupl(nGC_39)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_1529)**2d0*coupl(nGC_53) - 6d0*coupl(nGC_1529)*    &
                        coupl(nGC_72)*coupl(nGC_74) - 3d0*coupl(nGC_1795)*coupl&
                        (nGC_62)*coupl(nGC_63) - 6d0*coupl(nGC_19)*coupl(      &
                        nGC_3231)*coupl(nGC_64) - 6d0*coupl(nGC_19)*coupl(     &
                        nGC_661)*coupl(nGC_69) - 3d0*coupl(nGC_1919)*coupl(    &
                        nGC_62)*coupl(nGC_68) - 6d0*coupl(nGC_20)*coupl(       &
                        nGC_2961)*coupl(nGC_94) + 3d0*coupl(nGC_23)*coupl(     &
                        nGC_3231)*coupl(nGC_94) + 3d0*coupl(nGC_23)*coupl(     &
                        nGC_661)*coupl(nGC_91) + 3d0*coupl(nGC_25)*coupl(      &
                        nGC_2961)*coupl(nGC_64) + 3d0*coupl(nGC_2961)*coupl(   &
                        nGC_33)*coupl(nGC_69) + 3d0*coupl(nGC_32)*coupl(nGC_661&
                        )*coupl(nGC_94) + 3d0*coupl(nGC_3231)*coupl(nGC_35)*   &
                        coupl(nGC_91) + 6d0*coupl(nGC_53)*coupl(nGC_72)**2d0)/(&
                        96d0*pi**2d0)
      coupl(nGC_9135) = (20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_134)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_138)**2d0*coupl(nGC_142)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_150)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_174)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_178)**2d0*coupl(nGC_181)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_196)**2d0&
                         + 6d0*cima*coupl(nGC_100)**2d0 - 5d0*cima*coupl(      &
                        nGC_1283)**2d0*coupl(nGC_96)**2d0 - 10d0*cima*coupl(   &
                        nGC_1283)*coupl(nGC_1529)*coupl(nGC_17)*coupl(nGC_96   &
                        ) - 5d0*cima*coupl(nGC_1319)**2d0*coupl(nGC_72)**2d0 - &
                        5d0*cima*coupl(nGC_1319)*coupl(nGC_1491)*coupl(nGC_64)*&
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1795&
                        )*coupl(nGC_63)*coupl(nGC_72) - 10d0*cima*coupl(       &
                        nGC_1319)*coupl(nGC_1919)*coupl(nGC_68)*coupl(nGC_72   &
                        ) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_1795)*coupl(    &
                        nGC_1919)**2d0 - 10d0*cima*coupl(nGC_1491)*coupl(      &
                        nGC_1795)*coupl(nGC_1919)*coupl(nGC_2961) - 5d0*cima*  &
                        coupl(nGC_1491)*coupl(nGC_1795)*coupl(nGC_2961)**2d0 - &
                        5d0*cima*coupl(nGC_1491)*coupl(nGC_1795)*coupl(nGC_63)*&
                        coupl(nGC_64) - 10d0*cima*coupl(nGC_1491)*coupl(       &
                        nGC_1919)*coupl(nGC_64)*coupl(nGC_68) - 5d0*cima*coupl(&
                        nGC_1491)*coupl(nGC_1919)*coupl(nGC_64)*coupl(nGC_69   &
                        ) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_2961)*coupl(    &
                        nGC_63)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1491)*coupl(&
                        nGC_2961)*coupl(nGC_64)*coupl(nGC_68) - 10d0*cima*coupl&
                        (nGC_1491)*coupl(nGC_2961)*coupl(nGC_64)*coupl(nGC_69  &
                        ) - 5d0*cima*coupl(nGC_1529)**2d0*coupl(nGC_17)**2d0 + &
                        20d0*cima*coupl(nGC_154)**2d0*coupl(nGC_158)**2d0 +    &
                        20d0*cima*coupl(nGC_162)**2d0*coupl(nGC_166)**2d0 - 5d0&
                        *cima*coupl(nGC_17)**4d0 - 10d0*cima*coupl(nGC_17)**2d0&
                        *coupl(nGC_96)**2d0 - 5d0*cima*coupl(nGC_1795)*coupl(  &
                        nGC_1919)*coupl(nGC_63)*coupl(nGC_68) - 5d0*cima*coupl(&
                        nGC_1795)*coupl(nGC_2961)*coupl(nGC_63)*coupl(nGC_69   &
                        ) - 5d0*cima*coupl(nGC_1795)*coupl(nGC_2961)*coupl(    &
                        nGC_64)*coupl(nGC_69) + 6d0*cima*coupl(nGC_18)**2d0 +  &
                        20d0*cima*coupl(nGC_185)**2d0*coupl(nGC_189)**2d0 - 5d0&
                        *cima*coupl(nGC_1919)**2d0*coupl(nGC_68)**2d0 + 12d0*  &
                        cima*coupl(nGC_62)**2d0 - 5d0*cima*coupl(nGC_96)**4d0  &
                         + 12d0*cima*coupl(nGC_97)**2d0 - 6d0*coupl(nGC_100)*  &
                        coupl(nGC_96)**2d0 + 6d0*coupl(nGC_1283)**2d0*coupl(   &
                        nGC_57) + 6d0*coupl(nGC_1283)*coupl(nGC_57)*coupl(     &
                        nGC_96) + 3d0*coupl(nGC_1319)*coupl(nGC_1795)*coupl(   &
                        nGC_40) + 3d0*coupl(nGC_1319)*coupl(nGC_1919)*coupl(   &
                        nGC_48) + 3d0*coupl(nGC_1319)*coupl(nGC_41)*coupl(     &
                        nGC_64) + 3d0*coupl(nGC_1319)*coupl(nGC_48)*coupl(     &
                        nGC_68) + 6d0*coupl(nGC_1319)*coupl(nGC_56)*coupl(     &
                        nGC_72) + 6d0*coupl(nGC_1319)*coupl(nGC_58)*coupl(     &
                        nGC_72) - 6d0*coupl(nGC_1319)*coupl(nGC_62)*coupl(     &
                        nGC_72) + 3d0*coupl(nGC_1491)*coupl(nGC_1795)*coupl(   &
                        nGC_36) + 3d0*coupl(nGC_1491)*coupl(nGC_1919)*coupl(   &
                        nGC_27) + 3d0*coupl(nGC_1491)*coupl(nGC_22)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_1491)*coupl(nGC_30)*coupl(     &
                        nGC_64) + 3d0*coupl(nGC_1491)*coupl(nGC_40)*coupl(     &
                        nGC_72) - 3d0*coupl(nGC_1491)*coupl(nGC_62)*coupl(     &
                        nGC_64) + 6d0*coupl(nGC_1529)**2d0*coupl(nGC_57) + 6d0*&
                        coupl(nGC_1529)*coupl(nGC_17)*coupl(nGC_57) - 6d0*coupl&
                        (nGC_17)**2d0*coupl(nGC_18) + 6d0*coupl(nGC_17)**2d0*  &
                        coupl(nGC_57) - 12d0*coupl(nGC_17)*coupl(nGC_96)*coupl(&
                        nGC_97) + 3d0*coupl(nGC_1795)*coupl(nGC_1919)*coupl(   &
                        nGC_24) + 3d0*coupl(nGC_1795)*coupl(nGC_23)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_1795)*coupl(nGC_32)*coupl(     &
                        nGC_63) - 3d0*coupl(nGC_1795)*coupl(nGC_62)*coupl(     &
                        nGC_63) + 3d0*coupl(nGC_1919)**2d0*coupl(nGC_36) + 3d0*&
                        coupl(nGC_1919)*coupl(nGC_49)*coupl(nGC_72) - 6d0*coupl&
                        (nGC_1919)*coupl(nGC_62)*coupl(nGC_68) + 3d0*coupl(    &
                        nGC_22)*coupl(nGC_2961)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_23)*coupl(nGC_2961)*coupl(nGC_63) + 3d0*coupl(     &
                        nGC_24)*coupl(nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_27 &
                        )*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_2961)*   &
                        coupl(nGC_34)*coupl(nGC_69) + 3d0*coupl(nGC_2961)*coupl&
                        (nGC_35)*coupl(nGC_69) + 3d0*coupl(nGC_36)*coupl(nGC_63&
                        )*coupl(nGC_64) + 3d0*coupl(nGC_36)*coupl(nGC_68)**2d0 &
                         + 3d0*coupl(nGC_41)*coupl(nGC_63)*coupl(nGC_72) + 3d0*&
                        coupl(nGC_49)*coupl(nGC_68)*coupl(nGC_72) + 6d0*coupl( &
                        nGC_57)*coupl(nGC_96)**2d0)/(96d0*pi**2d0)
      coupl(nGC_9134) = (10d0*Nc*cima*coupl(nGC_1313)*coupl(nGC_134)**2d0*coupl&
                        (nGC_136) + 10d0*Nc*cima*coupl(nGC_1313)*coupl(nGC_134 &
                        )*coupl(nGC_174)*coupl(nGC_176) + 10d0*Nc*cima*coupl(  &
                        nGC_1313)*coupl(nGC_136)*coupl(nGC_174)**2d0 + 10d0*Nc*&
                        cima*coupl(nGC_132)*coupl(nGC_134)**2d0*coupl(nGC_135  &
                        ) + 10d0*Nc*cima*coupl(nGC_132)*coupl(nGC_134)*coupl(  &
                        nGC_174)*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_132)* &
                        coupl(nGC_135)*coupl(nGC_174)**2d0 + 10d0*Nc*cima*coupl&
                        (nGC_134)**2d0*coupl(nGC_171)*coupl(nGC_176) + 10d0*Nc*&
                        cima*coupl(nGC_134)**2d0*coupl(nGC_172)*coupl(nGC_175  &
                        ) + 10d0*Nc*cima*coupl(nGC_134)*coupl(nGC_135)*coupl(  &
                        nGC_172)*coupl(nGC_174) + 10d0*Nc*cima*coupl(nGC_134)* &
                        coupl(nGC_136)*coupl(nGC_171)*coupl(nGC_174) + 10d0*Nc*&
                        cima*coupl(nGC_138)**2d0*coupl(nGC_139)*coupl(nGC_143  &
                        ) + 10d0*Nc*cima*coupl(nGC_138)**2d0*coupl(nGC_140)*   &
                        coupl(nGC_144) + 10d0*Nc*cima*coupl(nGC_138)**2d0*coupl&
                        (nGC_179)*coupl(nGC_182) + 10d0*Nc*cima*coupl(nGC_138  &
                        )**2d0*coupl(nGC_183)*coupl(nGC_2153) + 10d0*Nc*cima*  &
                        coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_179)*coupl(    &
                        nGC_181) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_140)* &
                        coupl(nGC_181)*coupl(nGC_2153) + 10d0*Nc*cima*coupl(   &
                        nGC_138)*coupl(nGC_143)*coupl(nGC_181)*coupl(nGC_182   &
                        ) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_144)*coupl(  &
                        nGC_181)*coupl(nGC_183) + 10d0*Nc*cima*coupl(nGC_139)* &
                        coupl(nGC_143)*coupl(nGC_181)**2d0 + 10d0*Nc*cima*coupl&
                        (nGC_140)*coupl(nGC_144)*coupl(nGC_181)**2d0 + 10d0*Nc*&
                        cima*coupl(nGC_147)*coupl(nGC_150)**2d0*coupl(nGC_152  &
                        ) + 10d0*Nc*cima*coupl(nGC_147)*coupl(nGC_150)*coupl(  &
                        nGC_196)*coupl(nGC_198) + 10d0*Nc*cima*coupl(nGC_147)* &
                        coupl(nGC_152)*coupl(nGC_196)**2d0 + 10d0*Nc*cima*coupl&
                        (nGC_148)*coupl(nGC_150)**2d0*coupl(nGC_151) + 10d0*Nc*&
                        cima*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_196)*coupl&
                        (nGC_197) + 10d0*Nc*cima*coupl(nGC_148)*coupl(nGC_151)*&
                        coupl(nGC_196)**2d0 + 10d0*Nc*cima*coupl(nGC_150)**2d0*&
                        coupl(nGC_194)*coupl(nGC_197) + 10d0*Nc*cima*coupl(    &
                        nGC_150)**2d0*coupl(nGC_198)*coupl(nGC_797) + 10d0*Nc* &
                        cima*coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_194)*coupl&
                        (nGC_196) + 10d0*Nc*cima*coupl(nGC_150)*coupl(nGC_152)*&
                        coupl(nGC_196)*coupl(nGC_797) + 10d0*Nc*cima*coupl(    &
                        nGC_171)*coupl(nGC_174)**2d0*coupl(nGC_176) + 10d0*Nc* &
                        cima*coupl(nGC_172)*coupl(nGC_174)**2d0*coupl(nGC_175  &
                        ) + 10d0*Nc*cima*coupl(nGC_179)*coupl(nGC_181)**2d0*   &
                        coupl(nGC_182) + 10d0*Nc*cima*coupl(nGC_181)**2d0*coupl&
                        (nGC_183)*coupl(nGC_2153) + 10d0*Nc*cima*coupl(nGC_194 &
                        )*coupl(nGC_196)**2d0*coupl(nGC_197) + 10d0*Nc*cima*   &
                        coupl(nGC_196)**2d0*coupl(nGC_198)*coupl(nGC_797) - 5d0&
                        *cima*coupl(nGC_1079)*coupl(nGC_1283)*coupl(nGC_1319)* &
                        coupl(nGC_68) - 5d0*cima*coupl(nGC_1079)*coupl(nGC_1491&
                        )*coupl(nGC_69)*coupl(nGC_91) - 5d0*cima*coupl(nGC_1079&
                        )*coupl(nGC_2961)*coupl(nGC_69)*coupl(nGC_94) - 5d0*   &
                        cima*coupl(nGC_1079)*coupl(nGC_94)*coupl(nGC_96)**2d0  &
                         - 5d0*cima*coupl(nGC_1283)*coupl(nGC_1319)*coupl(     &
                        nGC_63)*coupl(nGC_661) - 5d0*cima*coupl(nGC_1283)*coupl&
                        (nGC_1795)*coupl(nGC_72)*coupl(nGC_94) - 5d0*cima*coupl&
                        (nGC_1283)*coupl(nGC_1919)*coupl(nGC_72)*coupl(nGC_92  &
                        ) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_3231)*coupl(    &
                        nGC_64)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1491)*coupl(&
                        nGC_64)*coupl(nGC_661)*coupl(nGC_91) - 5d0*cima*coupl( &
                        nGC_1491)*coupl(nGC_661)*coupl(nGC_69)*coupl(nGC_94) + &
                        10d0*cima*coupl(nGC_155)*coupl(nGC_158)**2d0*coupl(    &
                        nGC_160) + 10d0*cima*coupl(nGC_156)*coupl(nGC_158)**2d0&
                        *coupl(nGC_159) + 10d0*cima*coupl(nGC_163)*coupl(      &
                        nGC_166)**2d0*coupl(nGC_168) + 10d0*cima*coupl(nGC_164 &
                        )*coupl(nGC_166)**2d0*coupl(nGC_167) + 10d0*cima*coupl(&
                        nGC_186)*coupl(nGC_189)**2d0*coupl(nGC_191) + 10d0*cima&
                        *coupl(nGC_187)*coupl(nGC_189)**2d0*coupl(nGC_190) -   &
                        5d0*cima*coupl(nGC_2961)*coupl(nGC_3231)*coupl(nGC_64)*&
                        coupl(nGC_92) - 5d0*cima*coupl(nGC_2961)*coupl(nGC_64)*&
                        coupl(nGC_661)*coupl(nGC_94) - 5d0*cima*coupl(nGC_2961 &
                        )*coupl(nGC_661)*coupl(nGC_69)*coupl(nGC_92) - 5d0*cima&
                        *coupl(nGC_3231)*coupl(nGC_94)*coupl(nGC_96)**2d0 - 5d0&
                        *cima*coupl(nGC_661)*coupl(nGC_91)*coupl(nGC_96)**2d0  &
                         - 5d0*cima*coupl(nGC_661)*coupl(nGC_92)*coupl(nGC_96  &
                        )**2d0 - 3d0*coupl(nGC_100)*coupl(nGC_1079)*coupl(     &
                        nGC_94) - 3d0*coupl(nGC_100)*coupl(nGC_661)*coupl(     &
                        nGC_91) - 3d0*coupl(nGC_1079)*coupl(nGC_19)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_1283)**2d0*coupl(nGC_43) + 6d0*&
                        coupl(nGC_1319)**2d0*coupl(nGC_43) + 3d0*coupl(nGC_1319&
                        )*coupl(nGC_41)*coupl(nGC_68) + 6d0*coupl(nGC_1319)*   &
                        coupl(nGC_45)*coupl(nGC_72) + 3d0*coupl(nGC_1319)*coupl&
                        (nGC_47)*coupl(nGC_72) + 3d0*coupl(nGC_1319)*coupl(    &
                        nGC_48)*coupl(nGC_63) - 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_20)*coupl(nGC_94) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_28)*coupl(nGC_64) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_37)*coupl(nGC_69) + 3d0*coupl(nGC_1529)**2d0*coupl(&
                        nGC_43) + 3d0*coupl(nGC_1795)*coupl(nGC_49)*coupl(     &
                        nGC_72) - 3d0*coupl(nGC_19)*coupl(nGC_64)*coupl(nGC_661&
                        ) + 3d0*coupl(nGC_1919)*coupl(nGC_40)*coupl(nGC_72) -  &
                        3d0*coupl(nGC_20)*coupl(nGC_2961)*coupl(nGC_92) + 3d0* &
                        coupl(nGC_23)*coupl(nGC_3231)*coupl(nGC_92) + 3d0*coupl&
                        (nGC_23)*coupl(nGC_661)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_29)*coupl(nGC_2961)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_2961)*coupl(nGC_37)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_32)*coupl(nGC_661)*coupl(nGC_92) + 3d0*coupl(      &
                        nGC_3231)*coupl(nGC_35)*coupl(nGC_94) + 6d0*coupl(     &
                        nGC_43)*coupl(nGC_72)**2d0)/(96d0*pi**2d0)
      coupl(nGC_9137) = cima*coupl(nGC_7)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_9136) = (20d0*Nc*cima*coupl(nGC_1313)*coupl(nGC_132)*coupl(    &
                        nGC_134)**2d0 + 20d0*Nc*cima*coupl(nGC_1313)*coupl(    &
                        nGC_132)*coupl(nGC_174)**2d0 + 20d0*Nc*cima*coupl(     &
                        nGC_1313)*coupl(nGC_134)*coupl(nGC_172)*coupl(nGC_174  &
                        ) + 20d0*Nc*cima*coupl(nGC_132)*coupl(nGC_134)*coupl(  &
                        nGC_171)*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_134)**&
                        2d0*coupl(nGC_171)*coupl(nGC_172) + 20d0*Nc*cima*coupl(&
                        nGC_138)**2d0*coupl(nGC_143)*coupl(nGC_144) + 20d0*Nc* &
                        cima*coupl(nGC_138)**2d0*coupl(nGC_179)*coupl(nGC_2153 &
                        ) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_143)*coupl(  &
                        nGC_181)*coupl(nGC_2153) + 20d0*Nc*cima*coupl(nGC_138)*&
                        coupl(nGC_144)*coupl(nGC_179)*coupl(nGC_181) + 20d0*Nc*&
                        cima*coupl(nGC_143)*coupl(nGC_144)*coupl(nGC_181)**2d0 &
                         + 20d0*Nc*cima*coupl(nGC_147)*coupl(nGC_148)*coupl(   &
                        nGC_150)**2d0 + 20d0*Nc*cima*coupl(nGC_147)*coupl(     &
                        nGC_148)*coupl(nGC_196)**2d0 + 20d0*Nc*cima*coupl(     &
                        nGC_147)*coupl(nGC_150)*coupl(nGC_194)*coupl(nGC_196   &
                        ) + 20d0*Nc*cima*coupl(nGC_148)*coupl(nGC_150)*coupl(  &
                        nGC_196)*coupl(nGC_797) + 20d0*Nc*cima*coupl(nGC_150)**&
                        2d0*coupl(nGC_194)*coupl(nGC_797) + 20d0*Nc*cima*coupl(&
                        nGC_171)*coupl(nGC_172)*coupl(nGC_174)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_179)*coupl(nGC_181)**2d0*coupl(nGC_2153 &
                        ) + 20d0*Nc*cima*coupl(nGC_194)*coupl(nGC_196)**2d0*   &
                        coupl(nGC_797) + 6d0*cima*coupl(nGC_100)*coupl(nGC_101 &
                        ) - 10d0*cima*coupl(nGC_1079)*coupl(nGC_1491)*coupl(   &
                        nGC_69)*coupl(nGC_94) - 10d0*cima*coupl(nGC_1079)*coupl&
                        (nGC_2961)*coupl(nGC_69)*coupl(nGC_92) - 10d0*cima*    &
                        coupl(nGC_1079)*coupl(nGC_92)*coupl(nGC_96)**2d0 - 10d0&
                        *cima*coupl(nGC_1319)**2d0*coupl(nGC_72)**2d0 - 10d0*  &
                        cima*coupl(nGC_1319)*coupl(nGC_1795)*coupl(nGC_63)*    &
                        coupl(nGC_72) - 10d0*cima*coupl(nGC_1319)*coupl(       &
                        nGC_1919)*coupl(nGC_68)*coupl(nGC_72) - 10d0*cima*coupl&
                        (nGC_1491)*coupl(nGC_64)*coupl(nGC_661)*coupl(nGC_94   &
                        ) + 20d0*cima*coupl(nGC_155)*coupl(nGC_156)*coupl(     &
                        nGC_158)**2d0 + 20d0*cima*coupl(nGC_163)*coupl(nGC_164 &
                        )*coupl(nGC_166)**2d0 + 20d0*cima*coupl(nGC_186)*coupl(&
                        nGC_187)*coupl(nGC_189)**2d0 - 10d0*cima*coupl(nGC_2961&
                        )*coupl(nGC_64)*coupl(nGC_661)*coupl(nGC_92) + 12d0*   &
                        cima*coupl(nGC_62)**2d0 - 10d0*cima*coupl(nGC_661)*    &
                        coupl(nGC_94)*coupl(nGC_96)**2d0 - 3d0*coupl(nGC_100)* &
                        coupl(nGC_1079)*coupl(nGC_92) - 3d0*coupl(nGC_100)*    &
                        coupl(nGC_661)*coupl(nGC_94) - 3d0*coupl(nGC_101)*coupl&
                        (nGC_96)**2d0 + 3d0*coupl(nGC_1079)*coupl(nGC_23)*coupl&
                        (nGC_94) + 3d0*coupl(nGC_1079)*coupl(nGC_32)*coupl(    &
                        nGC_92) + 3d0*coupl(nGC_1283)**2d0*coupl(nGC_56) + 6d0*&
                        coupl(nGC_1319)**2d0*coupl(nGC_58) + 6d0*coupl(nGC_1319&
                        )*coupl(nGC_41)*coupl(nGC_63) + 6d0*coupl(nGC_1319)*   &
                        coupl(nGC_49)*coupl(nGC_68) + 6d0*coupl(nGC_1319)*coupl&
                        (nGC_57)*coupl(nGC_72) + 3d0*coupl(nGC_1319)*coupl(    &
                        nGC_59)*coupl(nGC_72) - 9d0*coupl(nGC_1319)*coupl(     &
                        nGC_62)*coupl(nGC_72) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_26)*coupl(nGC_69) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_31)*coupl(nGC_64) + 3d0*coupl(nGC_1529)**2d0*coupl(&
                        nGC_56) + 6d0*coupl(nGC_1795)*coupl(nGC_40)*coupl(     &
                        nGC_72) - 3d0*coupl(nGC_1795)*coupl(nGC_62)*coupl(     &
                        nGC_63) + 6d0*coupl(nGC_1919)*coupl(nGC_48)*coupl(     &
                        nGC_72) - 3d0*coupl(nGC_1919)*coupl(nGC_62)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_23)*coupl(nGC_661)*coupl(nGC_92&
                        ) + 3d0*coupl(nGC_26)*coupl(nGC_2961)*coupl(nGC_64) +  &
                        3d0*coupl(nGC_2961)*coupl(nGC_38)*coupl(nGC_69) + 3d0* &
                        coupl(nGC_35)*coupl(nGC_661)*coupl(nGC_94) + 6d0*coupl(&
                        nGC_58)*coupl(nGC_72)**2d0)/(96d0*pi**2d0)
      coupl(nGC_9139) = cima*coupl(nGC_7)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_9138) = cima*coupl(nGC_7)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl(&
                        nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_29283) = -coupl(nGC_8766)
      coupl(nGC_15281) = coupl(nGC_93)*dZHlHh_QED2/2d0 + coupl(nGC_95)*        &
                         dZHh_QED2/2d0 + coupl(nGC_9519)
      coupl(nGC_13451) = coupl(nGC_164)*dZHa_QED2/2d0 + coupl(nGC_164)*        &
                         dZmuMinusL_QED2/2d0 + coupl(nGC_164)*dZmuMinusR_QED2/ &
                         2d0 + coupl(nGC_168)*dZG0Ha_QED2/2d0 + coupl(nGC_9478)
      coupl(nGC_14085) = coupl(nGC_23)*dZHh_QED2/2d0 + coupl(nGC_23)*dZHl_QED2/&
                         2d0 + coupl(nGC_32)*dZHhHl_QED2/2d0 + coupl(nGC_35)*  &
                         dZHlHh_QED2/2d0 + coupl(nGC_36)*dZHMinusGMinus_QED2 + &
                         coupl(nGC_9313)
      coupl(nGC_13616) = coupl(nGC_111)*dZGMinus/2d0
      coupl(nGC_14646) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_14065) = coupl(nGC_135)*dZG0/2d0
      coupl(nGC_21841) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_12968) = coupl(nGC_112)*dZHa_QED2/2d0 + coupl(nGC_112)*        &
                         dZHh_QED2/2d0 + coupl(nGC_117)*dZG0Ha_QED2/2d0 + coupl&
                         (nGC_120)*dZHlHh_QED2/2d0 + coupl(nGC_121)*dZHaG0_QED2&
                         /2d0 + coupl(nGC_9347) + coupl(nGC_TS_GC_29_Hh) +     &
                         coupl(nGC_TS_GC_37_Hl)
      coupl(nGC_12964) = coupl(nGC_112)*dZG0/2d0
      coupl(nGC_14396) = coupl(nGC_177)*dZHlHh_QED2/2d0 + coupl(nGC_180)*      &
                         dZHh_QED2/2d0 + coupl(nGC_9498)
      coupl(nGC_14397) = coupl(nGC_14393) + coupl(nGC_14396)
      coupl(nGC_14395) = coupl(nGC_14394) + coupl(nGC_9497)
      coupl(nGC_14398) = coupl(nGC_128)*dZZA_QED2/2d0
      coupl(nGC_13382) = coupl(nGC_193)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_196&
                         )*dZdL_QED2/2d0 + coupl(nGC_196)*dZuR_QED2/2d0 + coupl&
                         (nGC_9397)
      coupl(nGC_13383) = coupl(nGC_146)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_150&
                         )*dZdR_QED2/2d0 + coupl(nGC_150)*dZuL_QED2/2d0 + coupl&
                         (nGC_9400)
      coupl(nGC_13384) = coupl(nGC_196)*dZdL_QCD2/2d0 + coupl(nGC_196)*        &
                         dZuR_QCD2/2d0 + coupl(nGC_9398)
      coupl(nGC_13385) = coupl(nGC_150)*dZdR_QCD2/2d0 + coupl(nGC_150)*        &
                         dZuL_QCD2/2d0 + coupl(nGC_9399)
      coupl(nGC_8879) = coupl(nGC_182)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8878) = (-coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_181) - coupl(&
                        nGC_139)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177 &
                        )**2d0*coupl(nGC_183) - coupl(nGC_177)*coupl(nGC_3231)*&
                        coupl(nGC_85) - coupl(nGC_177)*coupl(nGC_88)*coupl(    &
                        nGC_91) - coupl(nGC_180)**2d0*coupl(nGC_183) - coupl(  &
                        nGC_180)*coupl(nGC_661)*coupl(nGC_85) - coupl(nGC_180)*&
                        coupl(nGC_88)*coupl(nGC_94) - coupl(nGC_181)*coupl(    &
                        nGC_72)*coupl(nGC_80) - coupl(nGC_182)**2d0*coupl(     &
                        nGC_183) + 8d0*coupl(nGC_182)*coupl(nGC_2)**2d0 + 8d0* &
                        coupl(nGC_182)*coupl(nGC_85)*coupl(nGC_88) - coupl(    &
                        nGC_183)*coupl(nGC_2153)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8877) = coupl(nGC_175)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8876) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_175) - coupl(nGC_131)*&
                        coupl(nGC_135)*coupl(nGC_170) - coupl(nGC_1319)*coupl( &
                        nGC_174)*coupl(nGC_80) - coupl(nGC_134)*coupl(nGC_135)*&
                        coupl(nGC_174) - coupl(nGC_169)**2d0*coupl(nGC_176) -  &
                        coupl(nGC_169)*coupl(nGC_3231)*coupl(nGC_87) - coupl(  &
                        nGC_169)*coupl(nGC_84)*coupl(nGC_91) - coupl(nGC_171)**&
                        2d0*coupl(nGC_176) - coupl(nGC_173)**2d0*coupl(nGC_176 &
                        ) - coupl(nGC_173)*coupl(nGC_661)*coupl(nGC_87) - coupl&
                        (nGC_173)*coupl(nGC_84)*coupl(nGC_94) - coupl(nGC_175  &
                        )**2d0*coupl(nGC_176) + 8d0*coupl(nGC_175)*coupl(nGC_84&
                        )*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_8875) = coupl(nGC_176)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8874) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_176) - coupl(nGC_131)*&
                        coupl(nGC_136)*coupl(nGC_170) - coupl(nGC_134)*coupl(  &
                        nGC_136)*coupl(nGC_174) - coupl(nGC_169)**2d0*coupl(   &
                        nGC_175) - coupl(nGC_169)*coupl(nGC_3231)*coupl(nGC_84 &
                        ) - coupl(nGC_169)*coupl(nGC_87)*coupl(nGC_91) - coupl(&
                        nGC_172)**2d0*coupl(nGC_175) - coupl(nGC_173)**2d0*    &
                        coupl(nGC_175) - coupl(nGC_173)*coupl(nGC_661)*coupl(  &
                        nGC_84) - coupl(nGC_173)*coupl(nGC_87)*coupl(nGC_94) - &
                        coupl(nGC_174)*coupl(nGC_72)*coupl(nGC_80) - coupl(    &
                        nGC_175)*coupl(nGC_176)**2d0 + 8d0*coupl(nGC_176)*coupl&
                        (nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_8873) = (coupl(nGC_1319)*coupl(nGC_166)*coupl(nGC_80) - coupl( &
                        nGC_161)**2d0*coupl(nGC_167) + coupl(nGC_161)*coupl(   &
                        nGC_3231)*coupl(nGC_89) + coupl(nGC_161)*coupl(nGC_86)*&
                        coupl(nGC_91) - coupl(nGC_164)**2d0*coupl(nGC_167) -   &
                        coupl(nGC_165)**2d0*coupl(nGC_167) + coupl(nGC_165)*   &
                        coupl(nGC_661)*coupl(nGC_89) + coupl(nGC_165)*coupl(   &
                        nGC_86)*coupl(nGC_94) - coupl(nGC_167)*coupl(nGC_168)**&
                        2d0 + 8d0*coupl(nGC_168)*coupl(nGC_4)**2d0 + 8d0*coupl(&
                        nGC_168)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi**2d0)
      coupl(nGC_8872) = (-coupl(nGC_161)**2d0*coupl(nGC_168) + coupl(nGC_161)* &
                        coupl(nGC_3231)*coupl(nGC_86) + coupl(nGC_161)*coupl(  &
                        nGC_89)*coupl(nGC_91) - coupl(nGC_163)**2d0*coupl(     &
                        nGC_168) - coupl(nGC_165)**2d0*coupl(nGC_168) + coupl( &
                        nGC_165)*coupl(nGC_661)*coupl(nGC_86) + coupl(nGC_165)*&
                        coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_166)*coupl(    &
                        nGC_72)*coupl(nGC_80) - coupl(nGC_167)**2d0*coupl(     &
                        nGC_168) + 8d0*coupl(nGC_167)*coupl(nGC_4)**2d0 + 8d0* &
                        coupl(nGC_167)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi** &
                        2d0)
      coupl(nGC_8871) = (coupl(nGC_1319)*coupl(nGC_158)*coupl(nGC_80) - coupl( &
                        nGC_153)**2d0*coupl(nGC_159) + coupl(nGC_153)*coupl(   &
                        nGC_3231)*coupl(nGC_89) + coupl(nGC_153)*coupl(nGC_86)*&
                        coupl(nGC_91) - coupl(nGC_156)**2d0*coupl(nGC_159) -   &
                        coupl(nGC_157)**2d0*coupl(nGC_159) + coupl(nGC_157)*   &
                        coupl(nGC_661)*coupl(nGC_89) + coupl(nGC_157)*coupl(   &
                        nGC_86)*coupl(nGC_94) - coupl(nGC_159)*coupl(nGC_160)**&
                        2d0 + 8d0*coupl(nGC_160)*coupl(nGC_4)**2d0 + 8d0*coupl(&
                        nGC_160)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl22
end module fill_ctcouplings22
