!******************************************************************************!
!                                                                              !
!    fill_ctcouplings23.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings23.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings23
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl23()
      coupl(nGC_8870) = (-coupl(nGC_153)**2d0*coupl(nGC_160) + coupl(nGC_153)* &
                        coupl(nGC_3231)*coupl(nGC_86) + coupl(nGC_153)*coupl(  &
                        nGC_89)*coupl(nGC_91) - coupl(nGC_155)**2d0*coupl(     &
                        nGC_160) - coupl(nGC_157)**2d0*coupl(nGC_160) + coupl( &
                        nGC_157)*coupl(nGC_661)*coupl(nGC_86) + coupl(nGC_157)*&
                        coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_158)*coupl(    &
                        nGC_72)*coupl(nGC_80) - coupl(nGC_159)**2d0*coupl(     &
                        nGC_160) + 8d0*coupl(nGC_159)*coupl(nGC_4)**2d0 + 8d0* &
                        coupl(nGC_159)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi** &
                        2d0)
      coupl(nGC_9454) = coupl(nGC_8409)*dyd13x3_QED1_QCD2 + coupl(nGC_8410)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_12635) = coupl(nGC_22)*dZHMinus_QED2 + coupl(nGC_22)*dZHh_QED2/&
                         2d0 + coupl(nGC_22)*dZHl_QED2/2d0 + coupl(nGC_30)*    &
                         dZHlHh_QED2/2d0 + coupl(nGC_34)*dZHhHl_QED2/2d0 +     &
                         coupl(nGC_36)*dZGMinusHMinus_QED2 + coupl(nGC_9317)
      coupl(nGC_8988) = 3d0*(8d0*Nc*cMB*coupl(nGC_141)**3d0 + 8d0*Nc*cMC*coupl(&
                        nGC_130)**3d0 + 8d0*Nc*cMD*coupl(nGC_145)**3d0 + 8d0*Nc&
                        *cMS*coupl(nGC_169)**3d0 + 8d0*Nc*cMT*coupl(nGC_177)** &
                        3d0 + 8d0*Nc*cMU*coupl(nGC_192)**3d0 + 8d0*cME*coupl(  &
                        nGC_153)**3d0 + 8d0*cMM*coupl(nGC_161)**3d0 + 8d0*cMTA*&
                        coupl(nGC_184)**3d0 + 4d0*cima*coupl(nGC_124)*coupl(   &
                        nGC_61) + 2d0*cima*coupl(nGC_128)*coupl(nGC_99) + coupl&
                        (nGC_108)*coupl(nGC_1491)*coupl(nGC_64) + coupl(nGC_108&
                        )*coupl(nGC_1795)*coupl(nGC_63) + coupl(nGC_109)*coupl(&
                        nGC_3231)*coupl(nGC_91) + coupl(nGC_110)*coupl(nGC_1919&
                        )*coupl(nGC_68) + coupl(nGC_110)*coupl(nGC_2961)*coupl(&
                        nGC_69) + coupl(nGC_113)*coupl(nGC_661)*coupl(nGC_94   &
                        ) + coupl(nGC_119)*coupl(nGC_1491)*coupl(nGC_2961) +   &
                        coupl(nGC_119)*coupl(nGC_1795)*coupl(nGC_1919) + coupl(&
                        nGC_119)*coupl(nGC_63)*coupl(nGC_68) + coupl(nGC_119)* &
                        coupl(nGC_64)*coupl(nGC_69) + coupl(nGC_120)*coupl(    &
                        nGC_3231)*coupl(nGC_94) + coupl(nGC_120)*coupl(nGC_661 &
                        )*coupl(nGC_91) - coupl(nGC_124)*coupl(nGC_1491)*coupl(&
                        nGC_64) - coupl(nGC_124)*coupl(nGC_1795)*coupl(nGC_63  &
                        ) - coupl(nGC_124)*coupl(nGC_1919)*coupl(nGC_68) -     &
                        coupl(nGC_124)*coupl(nGC_2961)*coupl(nGC_69) - coupl(  &
                        nGC_128)*coupl(nGC_3231)*coupl(nGC_91) - coupl(nGC_128 &
                        )*coupl(nGC_661)*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_8983) = (coupl(nGC_1079)*coupl(nGC_186)*coupl(nGC_89) - coupl( &
                        nGC_184)**2d0*coupl(nGC_188) + coupl(nGC_185)*coupl(   &
                        nGC_63)*coupl(nGC_80) - coupl(nGC_186)**2d0*coupl(     &
                        nGC_188) + coupl(nGC_186)*coupl(nGC_86)*coupl(nGC_92   &
                        ) - coupl(nGC_188)**3d0 - coupl(nGC_188)*coupl(nGC_190 &
                        )**2d0 + 8d0*coupl(nGC_188)*coupl(nGC_4)**2d0 + 8d0*   &
                        coupl(nGC_188)*coupl(nGC_86)*coupl(nGC_89) + coupl(    &
                        nGC_189)*coupl(nGC_2961)*coupl(nGC_80) + coupl(nGC_190 &
                        )*coupl(nGC_661)*coupl(nGC_89) + coupl(nGC_190)*coupl( &
                        nGC_86)*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_8982) = coupl(nGC_180)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8981) = (-coupl(nGC_1079)*coupl(nGC_179)*coupl(nGC_85) - coupl(&
                        nGC_137)*coupl(nGC_138)*coupl(nGC_181) - coupl(nGC_137 &
                        )*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177)**2d0* &
                        coupl(nGC_180) - coupl(nGC_178)*coupl(nGC_1795)*coupl( &
                        nGC_80) - coupl(nGC_179)**2d0*coupl(nGC_180) - coupl(  &
                        nGC_179)*coupl(nGC_88)*coupl(nGC_92) - coupl(nGC_180)**&
                        3d0 - coupl(nGC_180)*coupl(nGC_183)**2d0 + 8d0*coupl(  &
                        nGC_180)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_180)*coupl( &
                        nGC_85)*coupl(nGC_88) - coupl(nGC_181)*coupl(nGC_69)*  &
                        coupl(nGC_80) - coupl(nGC_183)*coupl(nGC_661)*coupl(   &
                        nGC_85) - coupl(nGC_183)*coupl(nGC_88)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_8980) = (-coupl(nGC_1079)*coupl(nGC_2153)*coupl(nGC_88) - coupl&
                        (nGC_137)*coupl(nGC_138)*coupl(nGC_181) - coupl(nGC_137&
                        )*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177)**2d0* &
                        coupl(nGC_180) - coupl(nGC_178)*coupl(nGC_63)*coupl(   &
                        nGC_80) - coupl(nGC_180)**3d0 - coupl(nGC_180)*coupl(  &
                        nGC_182)**2d0 + 8d0*coupl(nGC_180)*coupl(nGC_2)**2d0 - &
                        coupl(nGC_180)*coupl(nGC_2153)**2d0 + 8d0*coupl(nGC_180&
                        )*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_181)*coupl(  &
                        nGC_2961)*coupl(nGC_80) - coupl(nGC_182)*coupl(nGC_661 &
                        )*coupl(nGC_88) - coupl(nGC_182)*coupl(nGC_85)*coupl(  &
                        nGC_94) - coupl(nGC_2153)*coupl(nGC_85)*coupl(nGC_92   &
                        ))/(32d0*pi**2d0)
      coupl(nGC_8987) = coupl(nGC_195)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8986) = (-coupl(nGC_1079)*coupl(nGC_194)*coupl(nGC_85) - coupl(&
                        nGC_146)*coupl(nGC_149)*coupl(nGC_193) - coupl(nGC_149 &
                        )*coupl(nGC_150)*coupl(nGC_196) - coupl(nGC_1795)*coupl&
                        (nGC_193)*coupl(nGC_80) - coupl(nGC_192)**2d0*coupl(   &
                        nGC_195) - coupl(nGC_194)**2d0*coupl(nGC_195) - coupl( &
                        nGC_194)*coupl(nGC_88)*coupl(nGC_92) - coupl(nGC_195)**&
                        3d0 - coupl(nGC_195)*coupl(nGC_198)**2d0 + 8d0*coupl(  &
                        nGC_195)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_195)*coupl( &
                        nGC_85)*coupl(nGC_88) - coupl(nGC_196)*coupl(nGC_69)*  &
                        coupl(nGC_80) - coupl(nGC_198)*coupl(nGC_661)*coupl(   &
                        nGC_85) - coupl(nGC_198)*coupl(nGC_88)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_8985) = (-coupl(nGC_1079)*coupl(nGC_797)*coupl(nGC_88) - coupl(&
                        nGC_146)*coupl(nGC_149)*coupl(nGC_193) - coupl(nGC_149 &
                        )*coupl(nGC_150)*coupl(nGC_196) - coupl(nGC_192)**2d0* &
                        coupl(nGC_195) - coupl(nGC_193)*coupl(nGC_63)*coupl(   &
                        nGC_80) - coupl(nGC_195)**3d0 - coupl(nGC_195)*coupl(  &
                        nGC_197)**2d0 + 8d0*coupl(nGC_195)*coupl(nGC_2)**2d0 - &
                        coupl(nGC_195)*coupl(nGC_797)**2d0 + 8d0*coupl(nGC_195 &
                        )*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_196)*coupl(  &
                        nGC_2961)*coupl(nGC_80) - coupl(nGC_197)*coupl(nGC_661 &
                        )*coupl(nGC_88) - coupl(nGC_197)*coupl(nGC_85)*coupl(  &
                        nGC_94) - coupl(nGC_797)*coupl(nGC_85)*coupl(nGC_92))/(&
                        32d0*pi**2d0)
      coupl(nGC_8984) = (coupl(nGC_1079)*coupl(nGC_187)*coupl(nGC_86) + coupl( &
                        nGC_1795)*coupl(nGC_185)*coupl(nGC_80) - coupl(nGC_184 &
                        )**2d0*coupl(nGC_188) - coupl(nGC_187)**2d0*coupl(     &
                        nGC_188) + coupl(nGC_187)*coupl(nGC_89)*coupl(nGC_92   &
                        ) - coupl(nGC_188)**3d0 - coupl(nGC_188)*coupl(nGC_191 &
                        )**2d0 + 8d0*coupl(nGC_188)*coupl(nGC_4)**2d0 + 8d0*   &
                        coupl(nGC_188)*coupl(nGC_86)*coupl(nGC_89) + coupl(    &
                        nGC_189)*coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_191)* &
                        coupl(nGC_661)*coupl(nGC_86) + coupl(nGC_191)*coupl(   &
                        nGC_89)*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_9056) = -coupl(nGC_7)*sq2*(-coupl(nGC_130)**2d0 - coupl(       &
                        nGC_1313)*coupl(nGC_132) - coupl(nGC_133)**2d0 - coupl(&
                        nGC_135)*coupl(nGC_136) - coupl(nGC_170)**2d0 - coupl( &
                        nGC_174)**2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(     &
                        nGC_80)**2d0 - 4d0*coupl(nGC_88)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9057) = -coupl(nGC_7)*sq2*(-coupl(nGC_130)**2d0 - coupl(nGC_131&
                        )**2d0 - coupl(nGC_1313)*coupl(nGC_132) - coupl(nGC_133&
                        )**2d0 - coupl(nGC_134)**2d0 - coupl(nGC_135)*coupl(   &
                        nGC_136) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_85)** &
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_9054) = -coupl(nGC_7)*sq2*(coupl(nGC_130)**2d0 + coupl(nGC_1313&
                        )*coupl(nGC_132) + coupl(nGC_133)**2d0 + coupl(nGC_135 &
                        )*coupl(nGC_136) + coupl(nGC_170)**2d0 + coupl(nGC_174 &
                        )**2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_80)**2d0&
                         + 4d0*coupl(nGC_88)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9055) = -coupl(nGC_7)*sq2*(coupl(nGC_130)**2d0 + coupl(nGC_131 &
                        )**2d0 + coupl(nGC_1313)*coupl(nGC_132) + coupl(nGC_133&
                        )**2d0 + coupl(nGC_134)**2d0 + coupl(nGC_135)*coupl(   &
                        nGC_136) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_85)** &
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9052) = -coupl(nGC_7)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_6  &
                        ) + coupl(nGC_7))/(64d0*pi**2d0*Nc)
      coupl(nGC_9053) = -coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_137)**2d0 - coupl(nGC_138)**2d0 - coupl(nGC_139)*  &
                        coupl(nGC_140) - coupl(nGC_141)**2d0 - coupl(nGC_142)**&
                        2d0 - coupl(nGC_143)*coupl(nGC_144) - 4d0*coupl(nGC_84 &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_9050) = -coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_137)**2d0 + coupl(nGC_138)**2d0 + coupl(nGC_139)*  &
                        coupl(nGC_140) + coupl(nGC_141)**2d0 + coupl(nGC_142)**&
                        2d0 + coupl(nGC_143)*coupl(nGC_144) + 4d0*coupl(nGC_84 &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9058) = -coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_145)**2d0 + coupl(nGC_147)*coupl(nGC_148) + coupl( &
                        nGC_149)**2d0 + coupl(nGC_151)*coupl(nGC_152) + coupl( &
                        nGC_193)**2d0 + coupl(nGC_196)**2d0 + 4d0*coupl(nGC_80 &
                        )**2d0 + 4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9059) = -coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_145)**2d0 + coupl(nGC_146)**2d0 + coupl(nGC_147)*  &
                        coupl(nGC_148) + coupl(nGC_149)**2d0 + coupl(nGC_150)**&
                        2d0 + coupl(nGC_151)*coupl(nGC_152) + 4d0*coupl(nGC_84 &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_18897) = dZGMinusHMinus_QED2*(coupl(nGC_122) + coupl(nGC_123))/&
                         2d0
      coupl(nGC_20393) = -coupl(nGC_16472)
      coupl(nGC_TS_GC_105_Hh) = -coupl(nGC_105)*dtHh_QED1/cMHH**2d0
      coupl(nGC_12678) = coupl(nGC_156)*dZHaG0_QED2/2d0 + coupl(nGC_160)*      &
                         dZeMinusL_QED2/2d0 + coupl(nGC_160)*dZeMinusR_QED2/2d0&
                          + coupl(nGC_9463)
      coupl(nGC_9460) = coupl(nGC_8462)*db_QED2 + coupl(nGC_8463)*dye2_QED3 +  &
                        coupl(nGC_8464)*dye1_QED3
      coupl(nGC_16642) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_81)*dZZ_QED2/  &
                         2d0 + coupl(nGC_9516)
      coupl(nGC_16643) = -coupl(nGC_16642)
      coupl(nGC_9128) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)**3d0 + 20d0&
                        *Nc*cima*coupl(nGC_138)**3d0*coupl(nGC_142) + 20d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_150)**3d0 + 20d0*Nc*cima*&
                        coupl(nGC_170)*coupl(nGC_174)**3d0 + 20d0*Nc*cima*coupl&
                        (nGC_178)*coupl(nGC_181)**3d0 + 20d0*Nc*cima*coupl(    &
                        nGC_193)*coupl(nGC_196)**3d0 - 5d0*cima*coupl(nGC_1319 &
                        )*coupl(nGC_1491)*coupl(nGC_2961)*coupl(nGC_72) - 5d0* &
                        cima*coupl(nGC_1319)*coupl(nGC_1795)*coupl(nGC_1919)*  &
                        coupl(nGC_72) - 10d0*cima*coupl(nGC_1319)*coupl(       &
                        nGC_1795)*coupl(nGC_2961)*coupl(nGC_72) - 5d0*cima*    &
                        coupl(nGC_1319)*coupl(nGC_63)*coupl(nGC_68)*coupl(     &
                        nGC_72) - 10d0*cima*coupl(nGC_1319)*coupl(nGC_64)*coupl&
                        (nGC_68)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1319)*coupl&
                        (nGC_64)*coupl(nGC_69)*coupl(nGC_72) - 5d0*cima*coupl( &
                        nGC_1491)**2d0*coupl(nGC_2961)*coupl(nGC_64) - 5d0*cima&
                        *coupl(nGC_1491)*coupl(nGC_1795)*coupl(nGC_1919)*coupl(&
                        nGC_63) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_1795)*    &
                        coupl(nGC_2961)*coupl(nGC_63) - 5d0*cima*coupl(nGC_1491&
                        )*coupl(nGC_1795)*coupl(nGC_2961)*coupl(nGC_64) - 5d0* &
                        cima*coupl(nGC_1491)*coupl(nGC_2961)**2d0*coupl(nGC_69 &
                        ) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_63)*coupl(nGC_64&
                        )*coupl(nGC_68) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_63&
                        )*coupl(nGC_64)*coupl(nGC_69) + 20d0*cima*coupl(nGC_154&
                        )*coupl(nGC_158)**3d0 + 20d0*cima*coupl(nGC_162)*coupl(&
                        nGC_166)**3d0 - 5d0*cima*coupl(nGC_1795)*coupl(nGC_1919&
                        )*coupl(nGC_2961)*coupl(nGC_68) - 5d0*cima*coupl(      &
                        nGC_1795)*coupl(nGC_2961)**2d0*coupl(nGC_68) - 5d0*cima&
                        *coupl(nGC_1795)*coupl(nGC_2961)**2d0*coupl(nGC_69) -  &
                        5d0*cima*coupl(nGC_1795)*coupl(nGC_63)**2d0*coupl(     &
                        nGC_68) - 5d0*cima*coupl(nGC_1795)*coupl(nGC_63)*coupl(&
                        nGC_64)*coupl(nGC_68) + 20d0*cima*coupl(nGC_185)*coupl(&
                        nGC_189)**3d0 - 5d0*cima*coupl(nGC_1919)*coupl(nGC_63)*&
                        coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_1919)*coupl(   &
                        nGC_64)*coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_2961)* &
                        coupl(nGC_64)*coupl(nGC_68)**2d0 - 5d0*cima*coupl(     &
                        nGC_2961)*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_69) +  &
                        6d0*coupl(nGC_1283)**2d0*coupl(nGC_45) + 6d0*coupl(    &
                        nGC_1283)*coupl(nGC_45)*coupl(nGC_96) + 3d0*coupl(     &
                        nGC_1319)*coupl(nGC_1491)*coupl(nGC_49) + 3d0*coupl(   &
                        nGC_1319)*coupl(nGC_1795)*coupl(nGC_49) + 3d0*coupl(   &
                        nGC_1319)*coupl(nGC_1919)*coupl(nGC_40) + 3d0*coupl(   &
                        nGC_1319)*coupl(nGC_2961)*coupl(nGC_40) + 12d0*coupl(  &
                        nGC_1319)*coupl(nGC_43)*coupl(nGC_72) + 3d0*coupl(     &
                        nGC_1491)*coupl(nGC_1795)*coupl(nGC_23) + 3d0*coupl(   &
                        nGC_1491)*coupl(nGC_24)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_1491)*coupl(nGC_2961)*coupl(nGC_35) - 3d0*coupl(   &
                        nGC_1491)*coupl(nGC_2961)*coupl(nGC_62) + 3d0*coupl(   &
                        nGC_1491)*coupl(nGC_36)*coupl(nGC_69) + 6d0*coupl(     &
                        nGC_1529)**2d0*coupl(nGC_45) + 6d0*coupl(nGC_1529)*    &
                        coupl(nGC_17)*coupl(nGC_45) + 6d0*coupl(nGC_17)**2d0*  &
                        coupl(nGC_45) + 3d0*coupl(nGC_1795)*coupl(nGC_24)*coupl&
                        (nGC_63) + 3d0*coupl(nGC_1795)*coupl(nGC_2961)*coupl(  &
                        nGC_32) - 3d0*coupl(nGC_1795)*coupl(nGC_2961)*coupl(   &
                        nGC_62) + 3d0*coupl(nGC_1795)*coupl(nGC_36)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_1919)*coupl(nGC_27)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_1919)*coupl(nGC_36)*coupl(     &
                        nGC_63) + 3d0*coupl(nGC_23)*coupl(nGC_2961)**2d0 + 3d0*&
                        coupl(nGC_23)*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl( &
                        nGC_23)*coupl(nGC_68)**2d0 + 3d0*coupl(nGC_27)*coupl(  &
                        nGC_2961)*coupl(nGC_69) + 3d0*coupl(nGC_2961)*coupl(   &
                        nGC_36)*coupl(nGC_64) + 3d0*coupl(nGC_32)*coupl(nGC_64 &
                        )*coupl(nGC_68) + 3d0*coupl(nGC_35)*coupl(nGC_63)*coupl&
                        (nGC_68) + 3d0*coupl(nGC_40)*coupl(nGC_68)*coupl(nGC_72&
                        ) + 3d0*coupl(nGC_40)*coupl(nGC_69)*coupl(nGC_72) + 6d0&
                        *coupl(nGC_45)*coupl(nGC_96)**2d0 + 3d0*coupl(nGC_49)* &
                        coupl(nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_49)*coupl( &
                        nGC_64)*coupl(nGC_72) - 3d0*coupl(nGC_62)*coupl(nGC_63 &
                        )*coupl(nGC_68) - 3d0*coupl(nGC_62)*coupl(nGC_64)*coupl&
                        (nGC_68))/(96d0*pi**2d0)
      coupl(nGC_9129) = (20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_134)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_138)**2d0*coupl(nGC_142)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_150)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_174)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_178)**2d0*coupl(nGC_181)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_196)**2d0&
                         - 10d0*cima*coupl(nGC_1319)**2d0*coupl(nGC_72)**2d0 - &
                        10d0*cima*coupl(nGC_1319)*coupl(nGC_1491)*coupl(nGC_63 &
                        )*coupl(nGC_72) - 10d0*cima*coupl(nGC_1319)*coupl(     &
                        nGC_1795)*coupl(nGC_64)*coupl(nGC_72) - 20d0*cima*coupl&
                        (nGC_1319)*coupl(nGC_2961)*coupl(nGC_68)*coupl(nGC_72  &
                        ) - 5d0*cima*coupl(nGC_1491)**2d0*coupl(nGC_2961)**2d0 &
                         - 10d0*cima*coupl(nGC_1491)*coupl(nGC_1795)*coupl(    &
                        nGC_2961)**2d0 - 10d0*cima*coupl(nGC_1491)*coupl(      &
                        nGC_1795)*coupl(nGC_63)*coupl(nGC_64) - 10d0*cima*coupl&
                        (nGC_1491)*coupl(nGC_2961)*coupl(nGC_63)*coupl(nGC_68  &
                        ) + 20d0*cima*coupl(nGC_154)**2d0*coupl(nGC_158)**2d0  &
                         + 20d0*cima*coupl(nGC_162)**2d0*coupl(nGC_166)**2d0 - &
                        5d0*cima*coupl(nGC_1795)**2d0*coupl(nGC_2961)**2d0 -   &
                        10d0*cima*coupl(nGC_1795)*coupl(nGC_2961)*coupl(nGC_64 &
                        )*coupl(nGC_68) + 20d0*cima*coupl(nGC_185)**2d0*coupl( &
                        nGC_189)**2d0 - 10d0*cima*coupl(nGC_2961)**2d0*coupl(  &
                        nGC_68)**2d0 - 5d0*cima*coupl(nGC_63)**2d0*coupl(nGC_68&
                        )**2d0 - 10d0*cima*coupl(nGC_63)*coupl(nGC_64)*coupl(  &
                        nGC_68)**2d0 - 5d0*cima*coupl(nGC_64)**2d0*coupl(nGC_68&
                        )**2d0 + 6d0*coupl(nGC_1283)**2d0*coupl(nGC_60) + 6d0* &
                        coupl(nGC_1283)*coupl(nGC_60)*coupl(nGC_96) + 6d0*coupl&
                        (nGC_1319)*coupl(nGC_1491)*coupl(nGC_40) + 6d0*coupl(  &
                        nGC_1319)*coupl(nGC_2961)*coupl(nGC_48) + 6d0*coupl(   &
                        nGC_1319)*coupl(nGC_40)*coupl(nGC_64) + 6d0*coupl(     &
                        nGC_1319)*coupl(nGC_49)*coupl(nGC_68) + 12d0*coupl(    &
                        nGC_1319)*coupl(nGC_58)*coupl(nGC_72) + 6d0*coupl(     &
                        nGC_1491)*coupl(nGC_1795)*coupl(nGC_36) + 6d0*coupl(   &
                        nGC_1491)*coupl(nGC_24)*coupl(nGC_2961) + 6d0*coupl(   &
                        nGC_1529)**2d0*coupl(nGC_60) + 6d0*coupl(nGC_1529)*    &
                        coupl(nGC_17)*coupl(nGC_60) + 6d0*coupl(nGC_17)**2d0*  &
                        coupl(nGC_60) + 6d0*coupl(nGC_1795)*coupl(nGC_27)*coupl&
                        (nGC_2961) + 6d0*coupl(nGC_1795)*coupl(nGC_40)*coupl(  &
                        nGC_72) + 6d0*coupl(nGC_24)*coupl(nGC_63)*coupl(nGC_68 &
                        ) + 6d0*coupl(nGC_27)*coupl(nGC_64)*coupl(nGC_68) + 6d0&
                        *coupl(nGC_2961)**2d0*coupl(nGC_36) + 6d0*coupl(       &
                        nGC_2961)*coupl(nGC_49)*coupl(nGC_72) + 6d0*coupl(     &
                        nGC_36)*coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_36 &
                        )*coupl(nGC_68)**2d0 + 6d0*coupl(nGC_40)*coupl(nGC_63)*&
                        coupl(nGC_72) + 6d0*coupl(nGC_48)*coupl(nGC_68)*coupl( &
                        nGC_72) + 6d0*coupl(nGC_60)*coupl(nGC_96)**2d0)/(96d0* &
                        pi**2d0)
      coupl(nGC_9126) = (20d0*Nc*cima*coupl(nGC_134)**4d0 + 20d0*Nc*cima*coupl(&
                        nGC_138)**4d0 + 20d0*Nc*cima*coupl(nGC_150)**4d0 + 20d0&
                        *Nc*cima*coupl(nGC_174)**4d0 + 20d0*Nc*cima*coupl(     &
                        nGC_181)**4d0 + 20d0*Nc*cima*coupl(nGC_196)**4d0 + 12d0&
                        *cima*coupl(nGC_100)**2d0 - 5d0*cima*coupl(nGC_1283)** &
                        4d0 - 10d0*cima*coupl(nGC_1283)**2d0*coupl(nGC_1529)** &
                        2d0 - 10d0*cima*coupl(nGC_1283)**2d0*coupl(nGC_96)**2d0&
                         - 20d0*cima*coupl(nGC_1283)*coupl(nGC_1529)*coupl(    &
                        nGC_17)*coupl(nGC_96) - 20d0*cima*coupl(nGC_1319)**2d0*&
                        coupl(nGC_72)**2d0 - 10d0*cima*coupl(nGC_1319)*coupl(  &
                        nGC_1491)*coupl(nGC_63)*coupl(nGC_72) - 10d0*cima*coupl&
                        (nGC_1319)*coupl(nGC_1491)*coupl(nGC_64)*coupl(nGC_72  &
                        ) - 10d0*cima*coupl(nGC_1319)*coupl(nGC_1795)*coupl(   &
                        nGC_63)*coupl(nGC_72) - 10d0*cima*coupl(nGC_1319)*coupl&
                        (nGC_1795)*coupl(nGC_64)*coupl(nGC_72) - 10d0*cima*    &
                        coupl(nGC_1319)*coupl(nGC_1919)*coupl(nGC_68)*coupl(   &
                        nGC_72) - 10d0*cima*coupl(nGC_1319)*coupl(nGC_1919)*   &
                        coupl(nGC_69)*coupl(nGC_72) - 10d0*cima*coupl(nGC_1319 &
                        )*coupl(nGC_2961)*coupl(nGC_68)*coupl(nGC_72) - 10d0*  &
                        cima*coupl(nGC_1319)*coupl(nGC_2961)*coupl(nGC_69)*    &
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_1491)**2d0*coupl(   &
                        nGC_64)**2d0 - 10d0*cima*coupl(nGC_1491)*coupl(nGC_1795&
                        )*coupl(nGC_63)*coupl(nGC_64) - 10d0*cima*coupl(       &
                        nGC_1491)*coupl(nGC_1919)*coupl(nGC_63)*coupl(nGC_69   &
                        ) - 10d0*cima*coupl(nGC_1491)*coupl(nGC_2961)*coupl(   &
                        nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1529)**4d0  &
                         - 10d0*cima*coupl(nGC_1529)**2d0*coupl(nGC_17)**2d0 + &
                        20d0*cima*coupl(nGC_158)**4d0 + 20d0*cima*coupl(nGC_166&
                        )**4d0 - 5d0*cima*coupl(nGC_17)**4d0 - 10d0*cima*coupl(&
                        nGC_17)**2d0*coupl(nGC_96)**2d0 - 5d0*cima*coupl(      &
                        nGC_1795)**2d0*coupl(nGC_63)**2d0 - 10d0*cima*coupl(   &
                        nGC_1795)*coupl(nGC_1919)*coupl(nGC_63)*coupl(nGC_68   &
                        ) - 10d0*cima*coupl(nGC_1795)*coupl(nGC_2961)*coupl(   &
                        nGC_64)*coupl(nGC_68) + 12d0*cima*coupl(nGC_18)**2d0 + &
                        20d0*cima*coupl(nGC_189)**4d0 - 5d0*cima*coupl(nGC_1919&
                        )**2d0*coupl(nGC_68)**2d0 - 10d0*cima*coupl(nGC_1919)* &
                        coupl(nGC_2961)*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*&
                        coupl(nGC_2961)**2d0*coupl(nGC_69)**2d0 + 24d0*cima*   &
                        coupl(nGC_62)**2d0 - 5d0*cima*coupl(nGC_96)**4d0 + 24d0&
                        *cima*coupl(nGC_97)**2d0 - 6d0*coupl(nGC_100)*coupl(   &
                        nGC_1283)**2d0 - 6d0*coupl(nGC_100)*coupl(nGC_96)**2d0 &
                         + 6d0*coupl(nGC_1283)**2d0*coupl(nGC_54) - 12d0*coupl(&
                        nGC_1283)*coupl(nGC_1529)*coupl(nGC_97) + 6d0*coupl(   &
                        nGC_1283)*coupl(nGC_54)*coupl(nGC_96) + 12d0*coupl(    &
                        nGC_1319)*coupl(nGC_53)*coupl(nGC_72) - 12d0*coupl(    &
                        nGC_1319)*coupl(nGC_62)*coupl(nGC_72) + 6d0*coupl(     &
                        nGC_1491)*coupl(nGC_23)*coupl(nGC_69) + 6d0*coupl(     &
                        nGC_1491)*coupl(nGC_35)*coupl(nGC_64) - 6d0*coupl(     &
                        nGC_1491)*coupl(nGC_62)*coupl(nGC_64) - 6d0*coupl(     &
                        nGC_1529)**2d0*coupl(nGC_18) + 6d0*coupl(nGC_1529)**2d0&
                        *coupl(nGC_54) + 6d0*coupl(nGC_1529)*coupl(nGC_17)*    &
                        coupl(nGC_54) - 6d0*coupl(nGC_17)**2d0*coupl(nGC_18) + &
                        6d0*coupl(nGC_17)**2d0*coupl(nGC_54) - 12d0*coupl(     &
                        nGC_17)*coupl(nGC_96)*coupl(nGC_97) + 6d0*coupl(       &
                        nGC_1795)*coupl(nGC_23)*coupl(nGC_68) + 6d0*coupl(     &
                        nGC_1795)*coupl(nGC_35)*coupl(nGC_63) - 6d0*coupl(     &
                        nGC_1795)*coupl(nGC_62)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_1919)*coupl(nGC_23)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_1919)*coupl(nGC_32)*coupl(nGC_68) - 6d0*coupl(     &
                        nGC_1919)*coupl(nGC_62)*coupl(nGC_68) + 6d0*coupl(     &
                        nGC_23)*coupl(nGC_2961)*coupl(nGC_64) + 6d0*coupl(     &
                        nGC_2961)*coupl(nGC_32)*coupl(nGC_69) - 6d0*coupl(     &
                        nGC_2961)*coupl(nGC_62)*coupl(nGC_69) + 6d0*coupl(     &
                        nGC_54)*coupl(nGC_96)**2d0)/(96d0*pi**2d0)
      coupl(nGC_13217) = coupl(nGC_13203) + coupl(nGC_13214)
      coupl(nGC_TS_GC_121_Hh) = -coupl(nGC_121)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9132) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)**3d0 + 20d0&
                        *Nc*cima*coupl(nGC_138)**3d0*coupl(nGC_142) + 20d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_150)**3d0 + 20d0*Nc*cima*&
                        coupl(nGC_170)*coupl(nGC_174)**3d0 + 20d0*Nc*cima*coupl&
                        (nGC_178)*coupl(nGC_181)**3d0 + 20d0*Nc*cima*coupl(    &
                        nGC_193)*coupl(nGC_196)**3d0 - 10d0*cima*coupl(nGC_1319&
                        )*coupl(nGC_1491)*coupl(nGC_1919)*coupl(nGC_72) - 5d0* &
                        cima*coupl(nGC_1319)*coupl(nGC_1491)*coupl(nGC_2961)*  &
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1795&
                        )*coupl(nGC_1919)*coupl(nGC_72) - 5d0*cima*coupl(      &
                        nGC_1319)*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_72) -  &
                        10d0*cima*coupl(nGC_1319)*coupl(nGC_63)*coupl(nGC_69)* &
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_64)*&
                        coupl(nGC_69)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1491)*&
                        coupl(nGC_1795)*coupl(nGC_1919)*coupl(nGC_63) - 5d0*   &
                        cima*coupl(nGC_1491)*coupl(nGC_1795)*coupl(nGC_1919)*  &
                        coupl(nGC_64) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_1795&
                        )*coupl(nGC_2961)*coupl(nGC_64) - 5d0*cima*coupl(      &
                        nGC_1491)*coupl(nGC_1919)**2d0*coupl(nGC_68) - 5d0*cima&
                        *coupl(nGC_1491)*coupl(nGC_1919)**2d0*coupl(nGC_69) -  &
                        5d0*cima*coupl(nGC_1491)*coupl(nGC_1919)*coupl(nGC_2961&
                        )*coupl(nGC_69) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_63&
                        )*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1491&
                        )*coupl(nGC_64)**2d0*coupl(nGC_69) + 20d0*cima*coupl(  &
                        nGC_154)*coupl(nGC_158)**3d0 + 20d0*cima*coupl(nGC_162 &
                        )*coupl(nGC_166)**3d0 - 5d0*cima*coupl(nGC_1795)**2d0* &
                        coupl(nGC_1919)*coupl(nGC_63) - 5d0*cima*coupl(nGC_1795&
                        )*coupl(nGC_1919)**2d0*coupl(nGC_68) - 5d0*cima*coupl( &
                        nGC_1795)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_68) -  &
                        5d0*cima*coupl(nGC_1795)*coupl(nGC_63)*coupl(nGC_64)*  &
                        coupl(nGC_69) + 20d0*cima*coupl(nGC_185)*coupl(nGC_189 &
                        )**3d0 - 5d0*cima*coupl(nGC_1919)*coupl(nGC_63)*coupl( &
                        nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1919)*coupl(&
                        nGC_63)*coupl(nGC_69)**2d0 - 5d0*cima*coupl(nGC_2961)* &
                        coupl(nGC_63)*coupl(nGC_69)**2d0 - 5d0*cima*coupl(     &
                        nGC_2961)*coupl(nGC_64)*coupl(nGC_69)**2d0 + 3d0*coupl(&
                        nGC_1283)**2d0*coupl(nGC_45) + 6d0*coupl(nGC_1283)*    &
                        coupl(nGC_45)*coupl(nGC_96) + 3d0*coupl(nGC_1319)*coupl&
                        (nGC_1491)*coupl(nGC_48) + 3d0*coupl(nGC_1319)*coupl(  &
                        nGC_1795)*coupl(nGC_48) + 3d0*coupl(nGC_1319)*coupl(   &
                        nGC_1919)*coupl(nGC_41) + 3d0*coupl(nGC_1319)*coupl(   &
                        nGC_2961)*coupl(nGC_41) + 12d0*coupl(nGC_1319)*coupl(  &
                        nGC_43)*coupl(nGC_72) + 6d0*coupl(nGC_1491)*coupl(     &
                        nGC_1795)*coupl(nGC_23) + 6d0*coupl(nGC_1491)*coupl(   &
                        nGC_1919)*coupl(nGC_32) + 3d0*coupl(nGC_1491)*coupl(   &
                        nGC_24)*coupl(nGC_64) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_36)*coupl(nGC_69) + 3d0*coupl(nGC_1529)**2d0*coupl(&
                        nGC_45) + 6d0*coupl(nGC_1529)*coupl(nGC_17)*coupl(     &
                        nGC_45) + 9d0*coupl(nGC_17)**2d0*coupl(nGC_45) + 6d0*  &
                        coupl(nGC_1795)*coupl(nGC_1919)*coupl(nGC_35) + 3d0*   &
                        coupl(nGC_1795)*coupl(nGC_24)*coupl(nGC_63) + 3d0*coupl&
                        (nGC_1795)*coupl(nGC_36)*coupl(nGC_68) + 6d0*coupl(    &
                        nGC_1919)**2d0*coupl(nGC_23) + 3d0*coupl(nGC_1919)*    &
                        coupl(nGC_27)*coupl(nGC_68) + 3d0*coupl(nGC_1919)*coupl&
                        (nGC_36)*coupl(nGC_63) + 3d0*coupl(nGC_27)*coupl(      &
                        nGC_2961)*coupl(nGC_69) + 3d0*coupl(nGC_2961)*coupl(   &
                        nGC_36)*coupl(nGC_64) + 3d0*coupl(nGC_41)*coupl(nGC_68 &
                        )*coupl(nGC_72) + 3d0*coupl(nGC_41)*coupl(nGC_69)*coupl&
                        (nGC_72) + 9d0*coupl(nGC_45)*coupl(nGC_96)**2d0 + 3d0* &
                        coupl(nGC_48)*coupl(nGC_63)*coupl(nGC_72) + 3d0*coupl( &
                        nGC_48)*coupl(nGC_64)*coupl(nGC_72) - 6d0*coupl(nGC_62 &
                        )*coupl(nGC_63)*coupl(nGC_69) - 6d0*coupl(nGC_62)*coupl&
                        (nGC_64)*coupl(nGC_69))/(96d0*pi**2d0)
      coupl(nGC_29453) = -coupl(nGC_8890)
      coupl(nGC_16666) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_20410) = coupl(nGC_192)*dZHlHh_QED2/2d0 + coupl(nGC_195)*      &
                         dZHh_QED2/2d0 + coupl(nGC_9494)
      coupl(nGC_20411) = coupl(nGC_20407) + coupl(nGC_20410)
      coupl(nGC_21274) = -coupl(nGC_21273)
      coupl(nGC_8833) = (4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_142&
                        ) + 4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_178)*coupl(    &
                        nGC_181) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*   &
                        coupl(nGC_180) + 2d0*Nc*cMB*coupl(nGC_142)*coupl(      &
                        nGC_180)*coupl(nGC_181) + 4d0*Nc*cMC*coupl(nGC_131)*   &
                        coupl(nGC_133)*coupl(nGC_134) + 2d0*Nc*cMC*coupl(      &
                        nGC_131)*coupl(nGC_173)*coupl(nGC_174) + 4d0*Nc*cMC*   &
                        coupl(nGC_133)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc* &
                        cMC*coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_173) + 4d0*&
                        Nc*cMD*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_150) +  &
                        2d0*Nc*cMD*coupl(nGC_146)*coupl(nGC_195)*coupl(nGC_196 &
                        ) + 4d0*Nc*cMD*coupl(nGC_149)*coupl(nGC_193)*coupl(    &
                        nGC_196) + 2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_193)*   &
                        coupl(nGC_195) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(      &
                        nGC_133)*coupl(nGC_174) + 4d0*Nc*cMS*coupl(nGC_131)*   &
                        coupl(nGC_134)*coupl(nGC_173) + 2d0*Nc*cMS*coupl(      &
                        nGC_133)*coupl(nGC_134)*coupl(nGC_170) + 4d0*Nc*cMS*   &
                        coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_174) + 2d0*Nc* &
                        cMT*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178) + 2d0*&
                        Nc*cMT*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_181) +  &
                        4d0*Nc*cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_180 &
                        ) + 4d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_180)*coupl(    &
                        nGC_181) + 2d0*Nc*cMU*coupl(nGC_146)*coupl(nGC_149)*   &
                        coupl(nGC_196) + 4d0*Nc*cMU*coupl(nGC_146)*coupl(      &
                        nGC_150)*coupl(nGC_195) + 2d0*Nc*cMU*coupl(nGC_149)*   &
                        coupl(nGC_150)*coupl(nGC_193) + 4d0*Nc*cMU*coupl(      &
                        nGC_193)*coupl(nGC_195)*coupl(nGC_196) + 4d0*cME*coupl(&
                        nGC_154)*coupl(nGC_157)*coupl(nGC_158) + 4d0*cMM*coupl(&
                        nGC_162)*coupl(nGC_165)*coupl(nGC_166) + 4d0*cMTA*coupl&
                        (nGC_185)*coupl(nGC_188)*coupl(nGC_189) + 4d0*cima*    &
                        coupl(nGC_102)*coupl(nGC_16) + 4d0*cima*coupl(nGC_107)*&
                        coupl(nGC_15) + 4d0*cima*coupl(nGC_126)*coupl(nGC_70   &
                        ) + 4d0*cima*coupl(nGC_127)*coupl(nGC_66) - coupl(     &
                        nGC_102)*coupl(nGC_1919)*coupl(nGC_96) - coupl(nGC_102 &
                        )*coupl(nGC_661)*coupl(nGC_72) + coupl(nGC_103)*coupl( &
                        nGC_1491)*coupl(nGC_1795) + coupl(nGC_103)*coupl(      &
                        nGC_1919)**2d0 + coupl(nGC_105)*coupl(nGC_1491)*coupl( &
                        nGC_1919) + coupl(nGC_106)*coupl(nGC_1795)*coupl(      &
                        nGC_1919) - coupl(nGC_107)*coupl(nGC_1319)*coupl(nGC_92&
                        ) - coupl(nGC_107)*coupl(nGC_1491)*coupl(nGC_96) +     &
                        coupl(nGC_1079)*coupl(nGC_123)*coupl(nGC_1283) + coupl(&
                        nGC_108)*coupl(nGC_1919)*coupl(nGC_69) + coupl(nGC_110 &
                        )*coupl(nGC_1491)*coupl(nGC_64) + coupl(nGC_111)*coupl(&
                        nGC_17)**2d0 + coupl(nGC_111)*coupl(nGC_63)*coupl(     &
                        nGC_64) + coupl(nGC_111)*coupl(nGC_68)*coupl(nGC_69) + &
                        coupl(nGC_111)*coupl(nGC_96)**2d0 + coupl(nGC_112)*    &
                        coupl(nGC_1319)*coupl(nGC_72) + coupl(nGC_114)*coupl(  &
                        nGC_1283)*coupl(nGC_661) + coupl(nGC_114)*coupl(       &
                        nGC_1283)*coupl(nGC_94) + coupl(nGC_114)*coupl(nGC_1319&
                        )*coupl(nGC_68) + coupl(nGC_116)*coupl(nGC_1919)*coupl(&
                        nGC_63) + coupl(nGC_118)*coupl(nGC_1491)*coupl(nGC_69  &
                        ) + coupl(nGC_119)*coupl(nGC_64)*coupl(nGC_68) + coupl(&
                        nGC_119)*coupl(nGC_64)*coupl(nGC_69) + coupl(nGC_123)* &
                        coupl(nGC_1283)*coupl(nGC_92) + coupl(nGC_123)*coupl(  &
                        nGC_64)*coupl(nGC_72) - coupl(nGC_125)*coupl(nGC_63)*  &
                        coupl(nGC_69) - coupl(nGC_125)*coupl(nGC_64)*coupl(    &
                        nGC_69) - coupl(nGC_126)*coupl(nGC_17)*coupl(nGC_1919  &
                        ) - coupl(nGC_127)*coupl(nGC_1491)*coupl(nGC_17))/(32d0&
                        *pi**2d0)
      coupl(nGC_8832) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_143&
                        ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_142)*coupl(    &
                        nGC_144) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*   &
                        coupl(nGC_2153) + 2d0*Nc*cMB*coupl(nGC_142)*coupl(     &
                        nGC_179)*coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_143)*   &
                        coupl(nGC_178)*coupl(nGC_181) + 2d0*Nc*cMB*coupl(      &
                        nGC_144)*coupl(nGC_178)*coupl(nGC_181) + 2d0*Nc*cMC*   &
                        coupl(nGC_131)*coupl(nGC_1313)*coupl(nGC_134) + 2d0*Nc*&
                        cMC*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_134) + 2d0*&
                        Nc*cMC*coupl(nGC_131)*coupl(nGC_172)*coupl(nGC_174) +  &
                        2d0*Nc*cMC*coupl(nGC_1313)*coupl(nGC_170)*coupl(nGC_174&
                        ) + 2d0*Nc*cMC*coupl(nGC_132)*coupl(nGC_170)*coupl(    &
                        nGC_174) + 2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_170)*   &
                        coupl(nGC_171) + 2d0*Nc*cMD*coupl(nGC_146)*coupl(      &
                        nGC_147)*coupl(nGC_150) + 2d0*Nc*cMD*coupl(nGC_146)*   &
                        coupl(nGC_148)*coupl(nGC_150) + 2d0*Nc*cMD*coupl(      &
                        nGC_146)*coupl(nGC_194)*coupl(nGC_196) + 2d0*Nc*cMD*   &
                        coupl(nGC_147)*coupl(nGC_193)*coupl(nGC_196) + 2d0*Nc* &
                        cMD*coupl(nGC_148)*coupl(nGC_193)*coupl(nGC_196) + 2d0*&
                        Nc*cMD*coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_797) +  &
                        2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_1313)*coupl(nGC_174&
                        ) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                        nGC_171) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*   &
                        coupl(nGC_172) + 2d0*Nc*cMS*coupl(nGC_132)*coupl(      &
                        nGC_134)*coupl(nGC_170) + 2d0*Nc*cMS*coupl(nGC_170)*   &
                        coupl(nGC_171)*coupl(nGC_174) + 2d0*Nc*cMS*coupl(      &
                        nGC_170)*coupl(nGC_172)*coupl(nGC_174) + 2d0*Nc*cMT*   &
                        coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_179) + 2d0*Nc* &
                        cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_2153) + 2d0&
                        *Nc*cMT*coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_178) + &
                        2d0*Nc*cMT*coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_181 &
                        ) + 2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_179)*coupl(    &
                        nGC_181) + 2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_181)*   &
                        coupl(nGC_2153) + 2d0*Nc*cMU*coupl(nGC_146)*coupl(     &
                        nGC_147)*coupl(nGC_196) + 2d0*Nc*cMU*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_194) + 2d0*Nc*cMU*coupl(      &
                        nGC_146)*coupl(nGC_150)*coupl(nGC_797) + 2d0*Nc*cMU*   &
                        coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_193) + 2d0*Nc* &
                        cMU*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_196) + 2d0*&
                        Nc*cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_797) +  &
                        2d0*cME*coupl(nGC_154)*coupl(nGC_155)*coupl(nGC_158) + &
                        2d0*cME*coupl(nGC_154)*coupl(nGC_156)*coupl(nGC_158) + &
                        2d0*cMM*coupl(nGC_162)*coupl(nGC_163)*coupl(nGC_166) + &
                        2d0*cMM*coupl(nGC_162)*coupl(nGC_164)*coupl(nGC_166) + &
                        2d0*cMTA*coupl(nGC_185)*coupl(nGC_186)*coupl(nGC_189   &
                        ) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_187)*coupl(      &
                        nGC_189) + 4d0*cima*coupl(nGC_107)*coupl(nGC_19) + 4d0*&
                        cima*coupl(nGC_127)*coupl(nGC_73) - coupl(nGC_102)*    &
                        coupl(nGC_1795)*coupl(nGC_94) - coupl(nGC_102)*coupl(  &
                        nGC_1919)*coupl(nGC_92) - coupl(nGC_107)*coupl(nGC_1079&
                        )*coupl(nGC_1491) - coupl(nGC_107)*coupl(nGC_1319)*    &
                        coupl(nGC_96) - coupl(nGC_107)*coupl(nGC_1919)*coupl(  &
                        nGC_661) + coupl(nGC_1079)*coupl(nGC_111)*coupl(       &
                        nGC_1283) + coupl(nGC_110)*coupl(nGC_1319)*coupl(nGC_64&
                        ) + coupl(nGC_111)*coupl(nGC_1283)*coupl(nGC_92) +     &
                        coupl(nGC_111)*coupl(nGC_63)*coupl(nGC_72) + coupl(    &
                        nGC_112)*coupl(nGC_1491)*coupl(nGC_72) + coupl(nGC_113 &
                        )*coupl(nGC_1319)*coupl(nGC_1795) + coupl(nGC_118)*    &
                        coupl(nGC_1319)*coupl(nGC_69) + coupl(nGC_119)*coupl(  &
                        nGC_1283)*coupl(nGC_661) + coupl(nGC_119)*coupl(       &
                        nGC_1283)*coupl(nGC_94) + coupl(nGC_119)*coupl(nGC_69)*&
                        coupl(nGC_72) + coupl(nGC_120)*coupl(nGC_1919)*coupl(  &
                        nGC_72) + coupl(nGC_121)*coupl(nGC_1319)*coupl(nGC_1919&
                        ) + coupl(nGC_123)*coupl(nGC_17)**2d0 + coupl(nGC_123)*&
                        coupl(nGC_72)**2d0 + coupl(nGC_123)*coupl(nGC_96)**2d0 &
                         - coupl(nGC_127)*coupl(nGC_1319)*coupl(nGC_17))/(32d0*&
                        pi**2d0)
      coupl(nGC_14895) = coupl(nGC_171)*dZsL_QCD2/2d0 + coupl(nGC_171)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9451)
      coupl(nGC_15634) = coupl(nGC_172)*dZHaG0_QED2/2d0 + coupl(nGC_176)*      &
                         dZsL_QED2/2d0 + coupl(nGC_176)*dZsR_QED2/2d0 + coupl( &
                         nGC_9426)
      coupl(nGC_15635) = coupl(nGC_171)*dZHaG0_QED2/2d0 + coupl(nGC_175)*      &
                         dZsL_QED2/2d0 + coupl(nGC_175)*dZsR_QED2/2d0 + coupl( &
                         nGC_9428)
      coupl(nGC_15632) = coupl(nGC_176)*dZsL_QCD2/2d0 + coupl(nGC_176)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9425)
      coupl(nGC_15633) = coupl(nGC_175)*dZsL_QCD2/2d0 + coupl(nGC_175)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9427)
      coupl(nGC_13562) = coupl(nGC_14)*dZGMinus/2d0
      coupl(nGC_8835) = (4d0*Nc*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_85) -  &
                        4d0*Nc*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_87) +   &
                        coupl(nGC_1079)*coupl(nGC_1319)*coupl(nGC_1919) + coupl&
                        (nGC_1319)*coupl(nGC_1795)*coupl(nGC_661) + coupl(     &
                        nGC_1491)*coupl(nGC_72)*coupl(nGC_94) - 4d0*coupl(     &
                        nGC_154)*coupl(nGC_158)*coupl(nGC_86) + 4d0*coupl(     &
                        nGC_154)*coupl(nGC_158)*coupl(nGC_90) - 4d0*coupl(     &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_86) + 4d0*coupl(     &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_90) - 4d0*coupl(     &
                        nGC_185)*coupl(nGC_189)*coupl(nGC_86) + 4d0*coupl(     &
                        nGC_185)*coupl(nGC_189)*coupl(nGC_90) + coupl(nGC_1919 &
                        )*coupl(nGC_72)*coupl(nGC_91) - 6d0*coupl(nGC_63)*coupl&
                        (nGC_69)*coupl(nGC_781) - 6d0*coupl(nGC_64)*coupl(     &
                        nGC_69)*coupl(nGC_781))/(96d0*pi**2d0)
      coupl(nGC_8782) = (coupl(nGC_1)*coupl(nGC_170)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_174)**2d0 + 4d0*coupl(nGC_1)*coupl(nGC_80)**2d0 +  &
                        coupl(nGC_130)**2d0*coupl(nGC_2) + coupl(nGC_1313)*    &
                        coupl(nGC_132)*coupl(nGC_2) + coupl(nGC_133)**2d0*coupl&
                        (nGC_2) + coupl(nGC_135)*coupl(nGC_136)*coupl(nGC_2) + &
                        4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_88  &
                        )**2d0 + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_14652) = coupl(nGC_1)*dZbL_QED2 + coupl(nGC_87)*dZZA_QED2/2d0
    end subroutine fill_CTcouplings_mdl23
end module fill_ctcouplings23
