!******************************************************************************!
!                                                                              !
!    fill_ctcouplings25.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings25.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings25
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl25()
      coupl(nGC_9269) = (6d0*cima*coupl(nGC_5233)**2d0 - 10d0*cima*coupl(nGC_6 &
                        )**4d0*sq2**4d0 + 3d0*coupl(nGC_5227)*coupl(nGC_6)**2d0&
                        *sq2**2d0 + 18d0*coupl(nGC_5233)*coupl(nGC_6)**2d0*sq2 &
                        **2d0)/(192d0*pi**2d0)
      coupl(nGC_17380) = coupl(nGC_91)*dZG0Ha_QED2/2d0 + coupl(nGC_92)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_9369) + coupl(nGC_94)*    &
                         dZHa_QED2/2d0 + coupl(nGC_94)*dZHl_QED2/2d0 + coupl(  &
                         nGC_94)*dZZ_QED2/2d0
      coupl(nGC_17381) = -coupl(nGC_17380)
      coupl(nGC_9268) = (6d0*cima*coupl(nGC_5233)**2d0 - 10d0*cima*coupl(nGC_6 &
                        )**4d0*sq2**4d0 + 3d0*coupl(nGC_5231)*coupl(nGC_6)**2d0&
                        *sq2**2d0 + 15d0*coupl(nGC_5233)*coupl(nGC_6)**2d0*sq2 &
                        **2d0 + 3d0*coupl(nGC_6)**2d0*coupl(nGC_8)*sq2**2d0)/( &
                        192d0*pi**2d0)
      coupl(nGC_9487) = coupl(nGC_8440)*db_QED2 + coupl(nGC_8441)*dyc1_QED3 +  &
                        coupl(nGC_8442)*dyc2_QED3
      coupl(nGC_9338) = coupl(nGC_8270)*dl4_QED4 + coupl(nGC_8271)*dl5_QED4 +  &
                        coupl(nGC_8272)*db_QED2 + coupl(nGC_8273)*dvev1_QED1 + &
                        coupl(nGC_8274)*dvev2_QED1
      coupl(nGC_9337) = coupl(nGC_8113)*dl3_QED4 + coupl(nGC_8114)*db_QED2 +   &
                        coupl(nGC_8115)*dl2_QED4 + coupl(nGC_8116)*dl5_QED4 +  &
                        coupl(nGC_8117)*dvev2_QED1 + coupl(nGC_8118)*dvev1_QED1&
                         + coupl(nGC_8119)*dl1_QED4 + coupl(nGC_8120)*dl4_QED4 &
                         + coupl(nGC_8121)*da_QED2
      coupl(nGC_9488) = coupl(nGC_8441)*dyc1_QED1_QCD2 + coupl(nGC_8442)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_9334) = coupl(nGC_8167)*dl3_QED4 + coupl(nGC_8168)*dl1_QED4 +  &
                        coupl(nGC_8169)*dl2_QED4 + coupl(nGC_8170)*dl5_QED4 +  &
                        coupl(nGC_8171)*dl4_QED4 + coupl(nGC_8172)*dvev1_QED1  &
                         + coupl(nGC_8173)*dvev2_QED1 + coupl(nGC_8174)*da_QED2
      coupl(nGC_9332) = coupl(nGC_8448)*dl3_QED4 + coupl(nGC_8449)*dl1_QED4 +  &
                        coupl(nGC_8450)*dl2_QED4 + coupl(nGC_8451)*dl5_QED4 +  &
                        coupl(nGC_8452)*dl4_QED4 + coupl(nGC_8453)*dvev1_QED1  &
                         + coupl(nGC_8454)*dvev2_QED1 + coupl(nGC_8455)*da_QED2
      coupl(nGC_17817) = coupl(nGC_14629) - coupl(nGC_14633)
      coupl(nGC_24344) = coupl(nGC_TS_GC_109_Hl) + coupl(nGC_TS_GC_117_Hh)
      coupl(nGC_24341) = coupl(nGC_I)*dZG0
      coupl(nGC_9149) = (10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*coupl(     &
                        nGC_134)*coupl(nGC_135) + 10d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_136) + 10d0*Nc*&
                        cima*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_174)*coupl&
                        (nGC_175) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*&
                        coupl(nGC_173)*coupl(nGC_175) + 10d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_173)*coupl(nGC_176   &
                        ) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_136)*coupl(  &
                        nGC_173)*coupl(nGC_174) + 10d0*Nc*cima*coupl(nGC_133)* &
                        coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_176) + 10d0*Nc*&
                        cima*coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_170)*coupl&
                        (nGC_174) + 10d0*Nc*cima*coupl(nGC_133)*coupl(nGC_136)*&
                        coupl(nGC_170)*coupl(nGC_174) + 10d0*Nc*cima*coupl(    &
                        nGC_134)*coupl(nGC_135)*coupl(nGC_170)*coupl(nGC_173   &
                        ) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*coupl(  &
                        nGC_139)*coupl(nGC_142) + 10d0*Nc*cima*coupl(nGC_137)* &
                        coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_142) + 10d0*Nc*&
                        cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178)*coupl&
                        (nGC_183) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_139)*&
                        coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*coupl(    &
                        nGC_137)*coupl(nGC_140)*coupl(nGC_178)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(  &
                        nGC_181)*coupl(nGC_182) + 10d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_139)*coupl(nGC_178)*coupl(nGC_180) + 10d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_180)*coupl&
                        (nGC_182) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*&
                        coupl(nGC_180)*coupl(nGC_183) + 10d0*Nc*cima*coupl(    &
                        nGC_140)*coupl(nGC_142)*coupl(nGC_180)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*coupl(  &
                        nGC_150)*coupl(nGC_151) + 10d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_152) + 10d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_196)*coupl&
                        (nGC_197) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*&
                        coupl(nGC_195)*coupl(nGC_197) + 10d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_150)*coupl(nGC_195)*coupl(nGC_198   &
                        ) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_152)*coupl(  &
                        nGC_195)*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_149)* &
                        coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_198) + 10d0*Nc*&
                        cima*coupl(nGC_149)*coupl(nGC_151)*coupl(nGC_193)*coupl&
                        (nGC_196) + 10d0*Nc*cima*coupl(nGC_149)*coupl(nGC_152)*&
                        coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*coupl(    &
                        nGC_150)*coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_195   &
                        ) + 10d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173)*coupl(  &
                        nGC_174)*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_170)* &
                        coupl(nGC_173)*coupl(nGC_174)*coupl(nGC_176) + 10d0*Nc*&
                        cima*coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_181)*coupl&
                        (nGC_182) + 10d0*Nc*cima*coupl(nGC_178)*coupl(nGC_180)*&
                        coupl(nGC_181)*coupl(nGC_183) + 10d0*Nc*cima*coupl(    &
                        nGC_193)*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_197   &
                        ) + 10d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195)*coupl(  &
                        nGC_196)*coupl(nGC_198) - 5d0*cima*coupl(nGC_1079)*    &
                        coupl(nGC_3231)*coupl(nGC_63)*coupl(nGC_72) - 5d0*cima*&
                        coupl(nGC_1079)*coupl(nGC_661)*coupl(nGC_68)*coupl(    &
                        nGC_72) - 5d0*cima*coupl(nGC_1283)*coupl(nGC_1795)*    &
                        coupl(nGC_3231)*coupl(nGC_63) - 5d0*cima*coupl(nGC_1283&
                        )*coupl(nGC_1795)*coupl(nGC_661)*coupl(nGC_68) - 5d0*  &
                        cima*coupl(nGC_1283)*coupl(nGC_2961)*coupl(nGC_64)*    &
                        coupl(nGC_94) - 5d0*cima*coupl(nGC_1283)*coupl(nGC_2961&
                        )*coupl(nGC_68)*coupl(nGC_91) - 5d0*cima*coupl(nGC_1319&
                        )**2d0*coupl(nGC_92)*coupl(nGC_96) - 5d0*cima*coupl(   &
                        nGC_1319)*coupl(nGC_1491)*coupl(nGC_1919)*coupl(       &
                        nGC_2961) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_17)**2d0&
                        *coupl(nGC_64) - 5d0*cima*coupl(nGC_1319)*coupl(       &
                        nGC_1795)*coupl(nGC_1919)*coupl(nGC_2961) - 5d0*cima*  &
                        coupl(nGC_1319)*coupl(nGC_64)*coupl(nGC_94)**2d0 - 5d0*&
                        cima*coupl(nGC_1319)*coupl(nGC_64)*coupl(nGC_96)**2d0  &
                         - 5d0*cima*coupl(nGC_1319)*coupl(nGC_68)*coupl(nGC_91 &
                        )*coupl(nGC_94) - 5d0*cima*coupl(nGC_1491)*coupl(      &
                        nGC_2961)*coupl(nGC_68)*coupl(nGC_72) + 12d0*cima*coupl&
                        (nGC_15)*coupl(nGC_19) + 10d0*cima*coupl(nGC_154)*coupl&
                        (nGC_157)*coupl(nGC_158)*coupl(nGC_159) + 10d0*cima*   &
                        coupl(nGC_154)*coupl(nGC_157)*coupl(nGC_158)*coupl(    &
                        nGC_160) + 10d0*cima*coupl(nGC_162)*coupl(nGC_165)*    &
                        coupl(nGC_166)*coupl(nGC_167) + 10d0*cima*coupl(nGC_162&
                        )*coupl(nGC_165)*coupl(nGC_166)*coupl(nGC_168) - 5d0*  &
                        cima*coupl(nGC_1795)*coupl(nGC_2961)*coupl(nGC_68)*    &
                        coupl(nGC_72) + 10d0*cima*coupl(nGC_185)*coupl(nGC_188 &
                        )*coupl(nGC_189)*coupl(nGC_190) + 10d0*cima*coupl(     &
                        nGC_185)*coupl(nGC_188)*coupl(nGC_189)*coupl(nGC_191   &
                        ) + 12d0*cima*coupl(nGC_66)*coupl(nGC_73) + 3d0*coupl( &
                        nGC_1079)*coupl(nGC_3231)*coupl(nGC_40) + 3d0*coupl(   &
                        nGC_1079)*coupl(nGC_48)*coupl(nGC_661) + 3d0*coupl(    &
                        nGC_1079)*coupl(nGC_58)*coupl(nGC_96) - 3d0*coupl(     &
                        nGC_1283)*coupl(nGC_1795)*coupl(nGC_19) + 3d0*coupl(   &
                        nGC_1283)*coupl(nGC_27)*coupl(nGC_661) + 3d0*coupl(    &
                        nGC_1283)*coupl(nGC_27)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_1283)*coupl(nGC_3231)*coupl(nGC_36) + 3d0*coupl(   &
                        nGC_1283)*coupl(nGC_36)*coupl(nGC_91) - 3d0*coupl(     &
                        nGC_1319)*coupl(nGC_15)*coupl(nGC_96) - 3d0*coupl(     &
                        nGC_1319)*coupl(nGC_17)*coupl(nGC_66) + 3d0*coupl(     &
                        nGC_1319)*coupl(nGC_1795)*coupl(nGC_32) + 3d0*coupl(   &
                        nGC_1319)*coupl(nGC_1795)*coupl(nGC_56) - 3d0*coupl(   &
                        nGC_1319)*coupl(nGC_19)*coupl(nGC_92) + 3d0*coupl(     &
                        nGC_1319)*coupl(nGC_1919)*coupl(nGC_45) + 3d0*coupl(   &
                        nGC_1319)*coupl(nGC_23)*coupl(nGC_2961) + 3d0*coupl(   &
                        nGC_1319)*coupl(nGC_25)*coupl(nGC_68) + 3d0*coupl(     &
                        nGC_1319)*coupl(nGC_2961)*coupl(nGC_45) + 3d0*coupl(   &
                        nGC_1319)*coupl(nGC_33)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_1319)*coupl(nGC_43)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_1319)*coupl(nGC_57)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_1319)*coupl(nGC_60)*coupl(nGC_63) + 3d0*coupl(     &
                        nGC_1491)*coupl(nGC_36)*coupl(nGC_72) - 3d0*coupl(     &
                        nGC_15)*coupl(nGC_3231)*coupl(nGC_63) - 3d0*coupl(     &
                        nGC_15)*coupl(nGC_661)*coupl(nGC_68) - 3d0*coupl(      &
                        nGC_1529)*coupl(nGC_1795)*coupl(nGC_73) - 3d0*coupl(   &
                        nGC_16)*coupl(nGC_64)*coupl(nGC_94) - 3d0*coupl(nGC_16 &
                        )*coupl(nGC_68)*coupl(nGC_91) + 3d0*coupl(nGC_17)**2d0*&
                        coupl(nGC_40) + 3d0*coupl(nGC_27)*coupl(nGC_2961)*coupl&
                        (nGC_72) + 3d0*coupl(nGC_29)*coupl(nGC_68)*coupl(nGC_72&
                        ) + 3d0*coupl(nGC_2961)*coupl(nGC_43)*coupl(nGC_72) +  &
                        3d0*coupl(nGC_3231)*coupl(nGC_49)*coupl(nGC_661) + 3d0*&
                        coupl(nGC_37)*coupl(nGC_63)*coupl(nGC_72) + 3d0*coupl( &
                        nGC_40)*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl(nGC_40 &
                        )*coupl(nGC_661)**2d0 + 3d0*coupl(nGC_40)*coupl(nGC_68 &
                        )*coupl(nGC_69) + 3d0*coupl(nGC_40)*coupl(nGC_72)**2d0 &
                         + 3d0*coupl(nGC_40)*coupl(nGC_96)**2d0 + 3d0*coupl(   &
                        nGC_43)*coupl(nGC_661)*coupl(nGC_96) + 3d0*coupl(nGC_43&
                        )*coupl(nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_49)*coupl&
                        (nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_49)*coupl(nGC_63&
                        )*coupl(nGC_69) + 3d0*coupl(nGC_58)*coupl(nGC_63)*coupl&
                        (nGC_72) + 3d0*coupl(nGC_58)*coupl(nGC_92)*coupl(nGC_96&
                        ))/(96d0*pi**2d0)
      coupl(nGC_9158) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_131)*coupl(&
                        nGC_134) + 20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(     &
                        nGC_170)*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_130)* &
                        coupl(nGC_131)*coupl(nGC_169)*coupl(nGC_174) + 20d0*Nc*&
                        cima*coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_169)*coupl&
                        (nGC_170) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*&
                        coupl(nGC_169)**2d0 + 20d0*Nc*cima*coupl(nGC_138)*coupl&
                        (nGC_141)**2d0*coupl(nGC_142) + 20d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_141)*coupl(nGC_177)*coupl(nGC_178   &
                        ) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(  &
                        nGC_177)**2d0 + 20d0*Nc*cima*coupl(nGC_141)**2d0*coupl(&
                        nGC_178)*coupl(nGC_181) + 20d0*Nc*cima*coupl(nGC_141)* &
                        coupl(nGC_142)*coupl(nGC_177)*coupl(nGC_181) + 20d0*Nc*&
                        cima*coupl(nGC_145)**2d0*coupl(nGC_146)*coupl(nGC_150  &
                        ) + 20d0*Nc*cima*coupl(nGC_145)**2d0*coupl(nGC_193)*   &
                        coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_145)*coupl(    &
                        nGC_146)*coupl(nGC_192)*coupl(nGC_196) + 20d0*Nc*cima* &
                        coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_192)*coupl(    &
                        nGC_193) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)* &
                        coupl(nGC_192)**2d0 + 20d0*Nc*cima*coupl(nGC_169)**2d0*&
                        coupl(nGC_170)*coupl(nGC_174) + 20d0*Nc*cima*coupl(    &
                        nGC_177)**2d0*coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc* &
                        cima*coupl(nGC_192)**2d0*coupl(nGC_193)*coupl(nGC_196  &
                        ) - 10d0*cima*coupl(nGC_1283)**2d0*coupl(nGC_1491)*    &
                        coupl(nGC_2961) - 5d0*cima*coupl(nGC_1283)*coupl(      &
                        nGC_1319)*coupl(nGC_2961)*coupl(nGC_91) - 5d0*cima*    &
                        coupl(nGC_1283)*coupl(nGC_1491)*coupl(nGC_661)*coupl(  &
                        nGC_72) - 10d0*cima*coupl(nGC_1319)*coupl(nGC_3231)*   &
                        coupl(nGC_72)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1319)*&
                        coupl(nGC_63)*coupl(nGC_94)*coupl(nGC_96) + 24d0*cima* &
                        coupl(nGC_14)*coupl(nGC_16) - 10d0*cima*coupl(nGC_1491 &
                        )*coupl(nGC_1529)**2d0*coupl(nGC_2961) - 10d0*cima*    &
                        coupl(nGC_1491)*coupl(nGC_63)*coupl(nGC_64)*coupl(     &
                        nGC_68) - 10d0*cima*coupl(nGC_1491)*coupl(nGC_64)**2d0*&
                        coupl(nGC_68) + 20d0*cima*coupl(nGC_153)**2d0*coupl(   &
                        nGC_154)*coupl(nGC_158) + 20d0*cima*coupl(nGC_161)**2d0&
                        *coupl(nGC_162)*coupl(nGC_166) + 20d0*cima*coupl(      &
                        nGC_184)**2d0*coupl(nGC_185)*coupl(nGC_189) - 10d0*cima&
                        *coupl(nGC_2961)*coupl(nGC_63)*coupl(nGC_68)*coupl(    &
                        nGC_69) - 10d0*cima*coupl(nGC_2961)*coupl(nGC_64)*coupl&
                        (nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(nGC_3231)*coupl&
                        (nGC_68)*coupl(nGC_72)*coupl(nGC_96) + 24d0*cima*coupl(&
                        nGC_65)*coupl(nGC_70) + 3d0*coupl(nGC_11)*coupl(       &
                        nGC_1491)*coupl(nGC_2961) + 3d0*coupl(nGC_1283)**2d0*  &
                        coupl(nGC_24) - 6d0*coupl(nGC_1283)*coupl(nGC_14)*coupl&
                        (nGC_2961) - 6d0*coupl(nGC_1283)*coupl(nGC_1491)*coupl(&
                        nGC_16) + 3d0*coupl(nGC_13)*coupl(nGC_1795)*coupl(     &
                        nGC_2961) - 6d0*coupl(nGC_1319)*coupl(nGC_14)*coupl(   &
                        nGC_94) + 3d0*coupl(nGC_1319)*coupl(nGC_28)*coupl(     &
                        nGC_72) + 6d0*coupl(nGC_1319)*coupl(nGC_49)*coupl(     &
                        nGC_64) - 6d0*coupl(nGC_1491)*coupl(nGC_1529)*coupl(   &
                        nGC_70) + 3d0*coupl(nGC_1491)*coupl(nGC_1795)*coupl(   &
                        nGC_9) + 6d0*coupl(nGC_1491)*coupl(nGC_23)*coupl(nGC_64&
                        ) + 3d0*coupl(nGC_1491)*coupl(nGC_2961)*coupl(nGC_57   &
                        ) + 6d0*coupl(nGC_1491)*coupl(nGC_35)*coupl(nGC_68) +  &
                        3d0*coupl(nGC_1491)*coupl(nGC_45)*coupl(nGC_64) + 3d0* &
                        coupl(nGC_1529)**2d0*coupl(nGC_24) - 6d0*coupl(nGC_1529&
                        )*coupl(nGC_2961)*coupl(nGC_65) - 6d0*coupl(nGC_16)*   &
                        coupl(nGC_3231)*coupl(nGC_72) + 3d0*coupl(nGC_1795)*   &
                        coupl(nGC_1919)*coupl(nGC_60) + 3d0*coupl(nGC_1795)*   &
                        coupl(nGC_45)*coupl(nGC_63) + 3d0*coupl(nGC_1919)*coupl&
                        (nGC_44)*coupl(nGC_68) + 6d0*coupl(nGC_22)*coupl(      &
                        nGC_2961)*coupl(nGC_68) + 6d0*coupl(nGC_24)*coupl(     &
                        nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_24)*coupl(nGC_68 &
                        )*coupl(nGC_69) + 3d0*coupl(nGC_2961)**2d0*coupl(nGC_9 &
                        ) + 6d0*coupl(nGC_2961)*coupl(nGC_30)*coupl(nGC_63) +  &
                        3d0*coupl(nGC_2961)*coupl(nGC_44)*coupl(nGC_69) + 3d0* &
                        coupl(nGC_3231)*coupl(nGC_43)*coupl(nGC_91) + 6d0*coupl&
                        (nGC_3231)*coupl(nGC_49)*coupl(nGC_96) + 3d0*coupl(    &
                        nGC_3231)*coupl(nGC_58)*coupl(nGC_94) + 6d0*coupl(     &
                        nGC_36)*coupl(nGC_64)*coupl(nGC_68) + 6d0*coupl(nGC_36 &
                        )*coupl(nGC_64)*coupl(nGC_69) + 6d0*coupl(nGC_40)*coupl&
                        (nGC_661)*coupl(nGC_96) + 6d0*coupl(nGC_40)*coupl(     &
                        nGC_69)*coupl(nGC_72) + 6d0*coupl(nGC_40)*coupl(nGC_94 &
                        )*coupl(nGC_96) + 3d0*coupl(nGC_42)*coupl(nGC_661)*    &
                        coupl(nGC_94) + 6d0*coupl(nGC_49)*coupl(nGC_91)*coupl( &
                        nGC_96) + 3d0*coupl(nGC_57)*coupl(nGC_63)*coupl(nGC_68 &
                        ) + 3d0*coupl(nGC_58)*coupl(nGC_661)*coupl(nGC_91) +   &
                        3d0*coupl(nGC_60)*coupl(nGC_64)*coupl(nGC_69) - 3d0*   &
                        coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_68) - 3d0*coupl( &
                        nGC_61)*coupl(nGC_64)*coupl(nGC_68))/(96d0*pi**2d0)
      coupl(nGC_9153) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_1313)*coupl(    &
                        nGC_132)*coupl(nGC_134) + 20d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_132)*coupl(nGC_171)*coupl(nGC_174) + 20d0*Nc*&
                        cima*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_171)*coupl&
                        (nGC_172) + 20d0*Nc*cima*coupl(nGC_1313)*coupl(nGC_132 &
                        )*coupl(nGC_170)*coupl(nGC_174) + 20d0*Nc*cima*coupl(  &
                        nGC_1313)*coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_172  &
                        ) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(  &
                        nGC_143)*coupl(nGC_144) + 20d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_142)*coupl(nGC_179)*coupl(nGC_2153) + 20d0*Nc&
                        *cima*coupl(nGC_138)*coupl(nGC_144)*coupl(nGC_178)*    &
                        coupl(nGC_179) + 20d0*Nc*cima*coupl(nGC_142)*coupl(    &
                        nGC_143)*coupl(nGC_181)*coupl(nGC_2153) + 20d0*Nc*cima*&
                        coupl(nGC_143)*coupl(nGC_144)*coupl(nGC_178)*coupl(    &
                        nGC_181) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_147)* &
                        coupl(nGC_148)*coupl(nGC_150) + 20d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_148)*coupl(nGC_196)*coupl(nGC_797   &
                        ) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*coupl(  &
                        nGC_194)*coupl(nGC_797) + 20d0*Nc*cima*coupl(nGC_147)* &
                        coupl(nGC_148)*coupl(nGC_193)*coupl(nGC_196) + 20d0*Nc*&
                        cima*coupl(nGC_147)*coupl(nGC_150)*coupl(nGC_193)*coupl&
                        (nGC_194) + 20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_171)*&
                        coupl(nGC_172)*coupl(nGC_174) + 20d0*Nc*cima*coupl(    &
                        nGC_178)*coupl(nGC_179)*coupl(nGC_181)*coupl(nGC_2153  &
                        ) + 20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_194)*coupl(  &
                        nGC_196)*coupl(nGC_797) - 5d0*cima*coupl(nGC_1079)*    &
                        coupl(nGC_1283)*coupl(nGC_1319)*coupl(nGC_68) - 10d0*  &
                        cima*coupl(nGC_1079)*coupl(nGC_1491)*coupl(nGC_1795)*  &
                        coupl(nGC_94) - 10d0*cima*coupl(nGC_1079)*coupl(       &
                        nGC_1795)*coupl(nGC_2961)*coupl(nGC_92) - 5d0*cima*    &
                        coupl(nGC_1283)*coupl(nGC_1319)*coupl(nGC_63)*coupl(   &
                        nGC_661) - 10d0*cima*coupl(nGC_1319)*coupl(nGC_63)*    &
                        coupl(nGC_68)*coupl(nGC_72) - 10d0*cima*coupl(nGC_1319 &
                        )*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_72) - 10d0*cima&
                        *coupl(nGC_1491)*coupl(nGC_2961)*coupl(nGC_661)*coupl( &
                        nGC_94) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_72)*coupl(&
                        nGC_94)*coupl(nGC_96) + 20d0*cima*coupl(nGC_154)*coupl(&
                        nGC_155)*coupl(nGC_156)*coupl(nGC_158) + 20d0*cima*    &
                        coupl(nGC_162)*coupl(nGC_163)*coupl(nGC_164)*coupl(    &
                        nGC_166) + 20d0*cima*coupl(nGC_185)*coupl(nGC_186)*    &
                        coupl(nGC_187)*coupl(nGC_189) - 10d0*cima*coupl(       &
                        nGC_2961)**2d0*coupl(nGC_661)*coupl(nGC_92) - 5d0*cima*&
                        coupl(nGC_2961)*coupl(nGC_72)*coupl(nGC_92)*coupl(     &
                        nGC_96) + 3d0*coupl(nGC_1079)*coupl(nGC_27)*coupl(     &
                        nGC_92) + 3d0*coupl(nGC_1079)*coupl(nGC_36)*coupl(     &
                        nGC_94) + 6d0*coupl(nGC_1079)*coupl(nGC_48)*coupl(     &
                        nGC_96) + 3d0*coupl(nGC_1283)**2d0*coupl(nGC_42) + 6d0*&
                        coupl(nGC_1319)**2d0*coupl(nGC_42) + 6d0*coupl(nGC_1319&
                        )*coupl(nGC_44)*coupl(nGC_72) + 3d0*coupl(nGC_1319)*   &
                        coupl(nGC_46)*coupl(nGC_72) + 3d0*coupl(nGC_1491)*coupl&
                        (nGC_1795)*coupl(nGC_26) - 6d0*coupl(nGC_1491)*coupl(  &
                        nGC_20)*coupl(nGC_94) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_2961)*coupl(nGC_31) + 3d0*coupl(nGC_1529)**2d0*    &
                        coupl(nGC_42) + 3d0*coupl(nGC_1795)*coupl(nGC_2961)*   &
                        coupl(nGC_38) - 6d0*coupl(nGC_20)*coupl(nGC_2961)*coupl&
                        (nGC_92) + 3d0*coupl(nGC_24)*coupl(nGC_661)*coupl(     &
                        nGC_94) + 3d0*coupl(nGC_26)*coupl(nGC_2961)**2d0 + 3d0*&
                        coupl(nGC_36)*coupl(nGC_661)*coupl(nGC_92) + 6d0*coupl(&
                        nGC_40)*coupl(nGC_661)*coupl(nGC_96) + 6d0*coupl(nGC_40&
                        )*coupl(nGC_68)*coupl(nGC_72) + 6d0*coupl(nGC_40)*coupl&
                        (nGC_94)*coupl(nGC_96) + 6d0*coupl(nGC_42)*coupl(nGC_72&
                        )**2d0 + 6d0*coupl(nGC_48)*coupl(nGC_64)*coupl(nGC_72  &
                        ) + 6d0*coupl(nGC_48)*coupl(nGC_92)*coupl(nGC_96) - 3d0&
                        *coupl(nGC_62)*coupl(nGC_63)*coupl(nGC_68) - 3d0*coupl(&
                        nGC_62)*coupl(nGC_64)*coupl(nGC_68))/(96d0*pi**2d0)
      coupl(nGC_9152) = (20d0*Nc*cima*coupl(nGC_131)**3d0*coupl(nGC_134) + 20d0&
                        *Nc*cima*coupl(nGC_138)*coupl(nGC_142)**3d0 + 20d0*Nc* &
                        cima*coupl(nGC_146)**3d0*coupl(nGC_150) + 20d0*Nc*cima*&
                        coupl(nGC_170)**3d0*coupl(nGC_174) + 20d0*Nc*cima*coupl&
                        (nGC_178)**3d0*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_193)**3d0*coupl(nGC_196) - 5d0*cima*coupl(nGC_1319 &
                        )*coupl(nGC_1491)*coupl(nGC_2961)*coupl(nGC_72) - 5d0* &
                        cima*coupl(nGC_1319)*coupl(nGC_1795)*coupl(nGC_2961)*  &
                        coupl(nGC_72) - 15d0*cima*coupl(nGC_1319)*coupl(nGC_63 &
                        )*coupl(nGC_68)*coupl(nGC_72) - 10d0*cima*coupl(       &
                        nGC_1319)*coupl(nGC_63)*coupl(nGC_69)*coupl(nGC_72) -  &
                        5d0*cima*coupl(nGC_1319)*coupl(nGC_64)*coupl(nGC_68)*  &
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_1795&
                        )*coupl(nGC_2961)*coupl(nGC_63) - 5d0*cima*coupl(      &
                        nGC_1491)*coupl(nGC_2961)**2d0*coupl(nGC_69) - 5d0*cima&
                        *coupl(nGC_1491)*coupl(nGC_63)*coupl(nGC_64)*coupl(    &
                        nGC_68) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_64)**2d0* &
                        coupl(nGC_68) + 20d0*cima*coupl(nGC_154)**3d0*coupl(   &
                        nGC_158) + 20d0*cima*coupl(nGC_162)**3d0*coupl(nGC_166 &
                        ) - 5d0*cima*coupl(nGC_1795)**2d0*coupl(nGC_2961)*coupl&
                        (nGC_63) - 5d0*cima*coupl(nGC_1795)*coupl(nGC_2961)**  &
                        2d0*coupl(nGC_69) - 10d0*cima*coupl(nGC_1795)*coupl(   &
                        nGC_63)*coupl(nGC_64)*coupl(nGC_68) - 10d0*cima*coupl( &
                        nGC_1795)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_69) +  &
                        20d0*cima*coupl(nGC_185)**3d0*coupl(nGC_189) - 5d0*cima&
                        *coupl(nGC_1919)*coupl(nGC_63)*coupl(nGC_68)**2d0 - 5d0&
                        *cima*coupl(nGC_1919)*coupl(nGC_64)*coupl(nGC_68)**2d0 &
                         - 10d0*cima*coupl(nGC_2961)*coupl(nGC_63)*coupl(nGC_68&
                        )**2d0 - 10d0*cima*coupl(nGC_2961)*coupl(nGC_63)*coupl(&
                        nGC_68)*coupl(nGC_69) + 6d0*coupl(nGC_1283)**2d0*coupl(&
                        nGC_44) + 6d0*coupl(nGC_1283)*coupl(nGC_44)*coupl(     &
                        nGC_96) + 6d0*coupl(nGC_1319)*coupl(nGC_40)*coupl(     &
                        nGC_69) + 12d0*coupl(nGC_1319)*coupl(nGC_42)*coupl(    &
                        nGC_72) + 6d0*coupl(nGC_1319)*coupl(nGC_48)*coupl(     &
                        nGC_63) - 6d0*coupl(nGC_1491)*coupl(nGC_2961)*coupl(   &
                        nGC_62) + 6d0*coupl(nGC_1529)**2d0*coupl(nGC_44) + 6d0*&
                        coupl(nGC_1529)*coupl(nGC_17)*coupl(nGC_44) + 6d0*coupl&
                        (nGC_17)**2d0*coupl(nGC_44) + 6d0*coupl(nGC_1795)*coupl&
                        (nGC_27)*coupl(nGC_63) - 6d0*coupl(nGC_1795)*coupl(    &
                        nGC_2961)*coupl(nGC_62) + 6d0*coupl(nGC_1795)*coupl(   &
                        nGC_36)*coupl(nGC_69) + 6d0*coupl(nGC_1795)*coupl(     &
                        nGC_48)*coupl(nGC_72) + 6d0*coupl(nGC_22)*coupl(nGC_63 &
                        )*coupl(nGC_64) + 6d0*coupl(nGC_22)*coupl(nGC_68)**2d0 &
                         + 6d0*coupl(nGC_24)*coupl(nGC_2961)*coupl(nGC_69) +   &
                        6d0*coupl(nGC_2961)*coupl(nGC_36)*coupl(nGC_63) + 6d0* &
                        coupl(nGC_2961)*coupl(nGC_40)*coupl(nGC_72) + 6d0*coupl&
                        (nGC_30)*coupl(nGC_63)*coupl(nGC_68) + 6d0*coupl(nGC_34&
                        )*coupl(nGC_64)*coupl(nGC_68) + 6d0*coupl(nGC_44)*coupl&
                        (nGC_96)**2d0)/(96d0*pi**2d0)
      coupl(nGC_17254) = coupl(nGC_130)*dZHl_QED2/2d0 + coupl(nGC_133)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_9502)
      coupl(nGC_17252) = coupl(nGC_130)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_9156) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)**2d0*coupl(&
                        nGC_134) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)* &
                        coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_173)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_133)**2d0*coupl(nGC_170)*coupl(nGC_174  &
                        ) + 20d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(  &
                        nGC_170)*coupl(nGC_173) + 20d0*Nc*cima*coupl(nGC_137)**&
                        2d0*coupl(nGC_138)*coupl(nGC_142) + 20d0*Nc*cima*coupl(&
                        nGC_137)**2d0*coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc* &
                        cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178)*coupl&
                        (nGC_180) + 20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*&
                        coupl(nGC_180)*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_142)*coupl(nGC_180)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_149)**2d0*coupl(nGC_150  &
                        ) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*coupl(  &
                        nGC_195)*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_150)*coupl(nGC_195)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_149)**2d0*coupl(nGC_193)*coupl(nGC_196) + 20d0*Nc*&
                        cima*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_193)*coupl&
                        (nGC_195) + 20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173  &
                        )**2d0*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_178)*   &
                        coupl(nGC_180)**2d0*coupl(nGC_181) + 20d0*Nc*cima*coupl&
                        (nGC_193)*coupl(nGC_195)**2d0*coupl(nGC_196) - 5d0*cima&
                        *coupl(nGC_1079)*coupl(nGC_1283)*coupl(nGC_2961)*coupl(&
                        nGC_72) - 10d0*cima*coupl(nGC_1283)**2d0*coupl(nGC_1795&
                        )*coupl(nGC_2961) - 5d0*cima*coupl(nGC_1283)*coupl(    &
                        nGC_1319)*coupl(nGC_1795)*coupl(nGC_94) - 10d0*cima*   &
                        coupl(nGC_1319)*coupl(nGC_661)*coupl(nGC_72)*coupl(    &
                        nGC_92) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_68)*coupl(&
                        nGC_92)*coupl(nGC_96) + 24d0*cima*coupl(nGC_15)*coupl( &
                        nGC_16) - 10d0*cima*coupl(nGC_1529)**2d0*coupl(nGC_1795&
                        )*coupl(nGC_2961) + 20d0*cima*coupl(nGC_154)*coupl(    &
                        nGC_157)**2d0*coupl(nGC_158) + 20d0*cima*coupl(nGC_162 &
                        )*coupl(nGC_165)**2d0*coupl(nGC_166) - 10d0*cima*coupl(&
                        nGC_1795)*coupl(nGC_63)**2d0*coupl(nGC_68) - 10d0*cima*&
                        coupl(nGC_1795)*coupl(nGC_63)*coupl(nGC_64)*coupl(     &
                        nGC_68) + 20d0*cima*coupl(nGC_185)*coupl(nGC_188)**2d0*&
                        coupl(nGC_189) - 10d0*cima*coupl(nGC_2961)*coupl(nGC_63&
                        )*coupl(nGC_68)*coupl(nGC_69) - 10d0*cima*coupl(       &
                        nGC_2961)*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_69) -  &
                        5d0*cima*coupl(nGC_64)*coupl(nGC_661)*coupl(nGC_72)*   &
                        coupl(nGC_96) + 24d0*cima*coupl(nGC_66)*coupl(nGC_70   &
                        ) + 3d0*coupl(nGC_10)*coupl(nGC_1491)*coupl(nGC_1795   &
                        ) + 3d0*coupl(nGC_10)*coupl(nGC_2961)**2d0 + 3d0*coupl(&
                        nGC_1079)*coupl(nGC_42)*coupl(nGC_92) + 6d0*coupl(     &
                        nGC_1079)*coupl(nGC_48)*coupl(nGC_96) + 3d0*coupl(     &
                        nGC_1079)*coupl(nGC_58)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_12)*coupl(nGC_1795)*coupl(nGC_2961) + 3d0*coupl(   &
                        nGC_1283)**2d0*coupl(nGC_27) - 6d0*coupl(nGC_1283)*    &
                        coupl(nGC_15)*coupl(nGC_2961) - 6d0*coupl(nGC_1283)*   &
                        coupl(nGC_16)*coupl(nGC_1795) + 3d0*coupl(nGC_13)*coupl&
                        (nGC_1491)*coupl(nGC_2961) - 6d0*coupl(nGC_1319)*coupl(&
                        nGC_16)*coupl(nGC_92) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_29)*coupl(nGC_72) + 6d0*coupl(nGC_1319)*coupl(     &
                        nGC_40)*coupl(nGC_69) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_1919)*coupl(nGC_60) + 3d0*coupl(nGC_1491)*coupl(   &
                        nGC_44)*coupl(nGC_64) - 6d0*coupl(nGC_15)*coupl(nGC_661&
                        )*coupl(nGC_72) + 3d0*coupl(nGC_1529)**2d0*coupl(nGC_27&
                        ) - 6d0*coupl(nGC_1529)*coupl(nGC_1795)*coupl(nGC_70   &
                        ) - 6d0*coupl(nGC_1529)*coupl(nGC_2961)*coupl(nGC_66   &
                        ) + 6d0*coupl(nGC_1795)*coupl(nGC_22)*coupl(nGC_63) +  &
                        3d0*coupl(nGC_1795)*coupl(nGC_2961)*coupl(nGC_57) + 6d0&
                        *coupl(nGC_1795)*coupl(nGC_34)*coupl(nGC_68) + 3d0*    &
                        coupl(nGC_1795)*coupl(nGC_44)*coupl(nGC_63) + 3d0*coupl&
                        (nGC_1919)*coupl(nGC_45)*coupl(nGC_68) + 6d0*coupl(    &
                        nGC_23)*coupl(nGC_2961)*coupl(nGC_68) + 6d0*coupl(     &
                        nGC_27)*coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_27 &
                        )*coupl(nGC_68)*coupl(nGC_69) + 6d0*coupl(nGC_2961)*   &
                        coupl(nGC_32)*coupl(nGC_64) + 3d0*coupl(nGC_2961)*coupl&
                        (nGC_45)*coupl(nGC_69) + 6d0*coupl(nGC_36)*coupl(nGC_63&
                        )*coupl(nGC_68) + 6d0*coupl(nGC_36)*coupl(nGC_63)*coupl&
                        (nGC_69) + 6d0*coupl(nGC_40)*coupl(nGC_661)*coupl(     &
                        nGC_96) + 6d0*coupl(nGC_40)*coupl(nGC_94)*coupl(nGC_96 &
                        ) + 3d0*coupl(nGC_43)*coupl(nGC_661)*coupl(nGC_94) +   &
                        6d0*coupl(nGC_48)*coupl(nGC_63)*coupl(nGC_72) + 6d0*   &
                        coupl(nGC_48)*coupl(nGC_92)*coupl(nGC_96) + 3d0*coupl( &
                        nGC_57)*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_58 &
                        )*coupl(nGC_661)*coupl(nGC_92) + 3d0*coupl(nGC_60)*    &
                        coupl(nGC_63)*coupl(nGC_69) - 3d0*coupl(nGC_61)*coupl( &
                        nGC_63)*coupl(nGC_68) - 3d0*coupl(nGC_61)*coupl(nGC_64 &
                        )*coupl(nGC_68))/(96d0*pi**2d0)
      coupl(nGC_9155) = (10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(     &
                        nGC_1313)*coupl(nGC_134) + 10d0*Nc*cima*coupl(nGC_130)*&
                        coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_134) + 10d0*Nc*&
                        cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_171)*coupl&
                        (nGC_174) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_1313 &
                        )*coupl(nGC_170)*coupl(nGC_174) + 10d0*Nc*cima*coupl(  &
                        nGC_130)*coupl(nGC_132)*coupl(nGC_170)*coupl(nGC_174   &
                        ) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*coupl(  &
                        nGC_170)*coupl(nGC_172) + 10d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_132)*coupl(nGC_169)*coupl(nGC_174) + 10d0*Nc*&
                        cima*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_169)*coupl&
                        (nGC_171) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*&
                        coupl(nGC_169)*coupl(nGC_172) + 10d0*Nc*cima*coupl(    &
                        nGC_1313)*coupl(nGC_134)*coupl(nGC_169)*coupl(nGC_170  &
                        ) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*coupl(  &
                        nGC_142)*coupl(nGC_143) + 10d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_144) + 10d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_178)*coupl&
                        (nGC_179) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*&
                        coupl(nGC_177)*coupl(nGC_179) + 10d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_142)*coupl(nGC_177)*coupl(nGC_2153  &
                        ) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_144)*coupl(  &
                        nGC_177)*coupl(nGC_178) + 10d0*Nc*cima*coupl(nGC_141)* &
                        coupl(nGC_142)*coupl(nGC_181)*coupl(nGC_2153) + 10d0*Nc&
                        *cima*coupl(nGC_141)*coupl(nGC_143)*coupl(nGC_178)*    &
                        coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_141)*coupl(    &
                        nGC_144)*coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*cima* &
                        coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_177)*coupl(    &
                        nGC_181) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)* &
                        coupl(nGC_147)*coupl(nGC_150) + 10d0*Nc*cima*coupl(    &
                        nGC_145)*coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_150   &
                        ) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(  &
                        nGC_196)*coupl(nGC_797) + 10d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_147)*coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*&
                        cima*coupl(nGC_145)*coupl(nGC_148)*coupl(nGC_193)*coupl&
                        (nGC_196) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_150)*&
                        coupl(nGC_193)*coupl(nGC_194) + 10d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_148)*coupl(nGC_192)*coupl(nGC_196   &
                        ) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*coupl(  &
                        nGC_192)*coupl(nGC_194) + 10d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_150)*coupl(nGC_192)*coupl(nGC_797) + 10d0*Nc*&
                        cima*coupl(nGC_147)*coupl(nGC_150)*coupl(nGC_192)*coupl&
                        (nGC_193) + 10d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170)*&
                        coupl(nGC_171)*coupl(nGC_174) + 10d0*Nc*cima*coupl(    &
                        nGC_169)*coupl(nGC_170)*coupl(nGC_172)*coupl(nGC_174   &
                        ) + 10d0*Nc*cima*coupl(nGC_177)*coupl(nGC_178)*coupl(  &
                        nGC_179)*coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_177)* &
                        coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_2153) + 10d0*Nc&
                        *cima*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_194)*    &
                        coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_192)*coupl(    &
                        nGC_193)*coupl(nGC_196)*coupl(nGC_797) - 5d0*cima*coupl&
                        (nGC_1079)*coupl(nGC_1795)*coupl(nGC_3231)*coupl(nGC_72&
                        ) - 5d0*cima*coupl(nGC_1079)*coupl(nGC_1795)*coupl(    &
                        nGC_63)*coupl(nGC_96) - 5d0*cima*coupl(nGC_1283)**2d0* &
                        coupl(nGC_1319)*coupl(nGC_1491) - 5d0*cima*coupl(      &
                        nGC_1283)*coupl(nGC_1319)**2d0*coupl(nGC_91) - 5d0*cima&
                        *coupl(nGC_1319)*coupl(nGC_1491)*coupl(nGC_1529)**2d0  &
                         - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1491)*coupl(     &
                        nGC_94)**2d0 - 5d0*cima*coupl(nGC_1319)*coupl(nGC_2961 &
                        )*coupl(nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1319&
                        )*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*&
                        coupl(nGC_1319)*coupl(nGC_64)*coupl(nGC_68)*coupl(     &
                        nGC_69) + 12d0*cima*coupl(nGC_14)*coupl(nGC_20) - 5d0* &
                        cima*coupl(nGC_1491)*coupl(nGC_68)*coupl(nGC_94)*coupl(&
                        nGC_96) + 10d0*cima*coupl(nGC_153)*coupl(nGC_154)*coupl&
                        (nGC_155)*coupl(nGC_158) + 10d0*cima*coupl(nGC_153)*   &
                        coupl(nGC_154)*coupl(nGC_156)*coupl(nGC_158) + 10d0*   &
                        cima*coupl(nGC_161)*coupl(nGC_162)*coupl(nGC_163)*coupl&
                        (nGC_166) + 10d0*cima*coupl(nGC_161)*coupl(nGC_162)*   &
                        coupl(nGC_164)*coupl(nGC_166) + 10d0*cima*coupl(nGC_184&
                        )*coupl(nGC_185)*coupl(nGC_186)*coupl(nGC_189) + 10d0* &
                        cima*coupl(nGC_184)*coupl(nGC_185)*coupl(nGC_187)*coupl&
                        (nGC_189) - 5d0*cima*coupl(nGC_2961)*coupl(nGC_3231)*  &
                        coupl(nGC_661)*coupl(nGC_72) - 5d0*cima*coupl(nGC_2961 &
                        )*coupl(nGC_63)*coupl(nGC_661)*coupl(nGC_96) - 5d0*cima&
                        *coupl(nGC_2961)*coupl(nGC_63)*coupl(nGC_68)*coupl(    &
                        nGC_72) - 5d0*cima*coupl(nGC_2961)*coupl(nGC_64)*coupl(&
                        nGC_68)*coupl(nGC_72) - 5d0*cima*coupl(nGC_2961)*coupl(&
                        nGC_68)*coupl(nGC_92)*coupl(nGC_96) + 12d0*cima*coupl( &
                        nGC_65)*coupl(nGC_74) - 3d0*coupl(nGC_1079)*coupl(     &
                        nGC_14)*coupl(nGC_1795) + 3d0*coupl(nGC_1079)*coupl(   &
                        nGC_3231)*coupl(nGC_40) + 3d0*coupl(nGC_1079)*coupl(   &
                        nGC_36)*coupl(nGC_96) + 3d0*coupl(nGC_1079)*coupl(     &
                        nGC_48)*coupl(nGC_661) + 3d0*coupl(nGC_1283)**2d0*coupl&
                        (nGC_40) - 3d0*coupl(nGC_1283)*coupl(nGC_1319)*coupl(  &
                        nGC_14) - 3d0*coupl(nGC_1283)*coupl(nGC_1491)*coupl(   &
                        nGC_20) + 3d0*coupl(nGC_1319)*coupl(nGC_1491)*coupl(   &
                        nGC_31) + 3d0*coupl(nGC_1319)*coupl(nGC_1491)*coupl(   &
                        nGC_57) - 3d0*coupl(nGC_1319)*coupl(nGC_1529)*coupl(   &
                        nGC_65) + 3d0*coupl(nGC_1319)*coupl(nGC_1795)*coupl(   &
                        nGC_60) + 3d0*coupl(nGC_1319)*coupl(nGC_22)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_1319)*coupl(nGC_26)*coupl(     &
                        nGC_2961) + 3d0*coupl(nGC_1319)*coupl(nGC_2961)*coupl( &
                        nGC_42) + 3d0*coupl(nGC_1319)*coupl(nGC_30)*coupl(     &
                        nGC_63) + 3d0*coupl(nGC_1319)*coupl(nGC_44)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_1319)*coupl(nGC_44)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_1319)*coupl(nGC_58)*coupl(     &
                        nGC_64) - 3d0*coupl(nGC_14)*coupl(nGC_2961)*coupl(     &
                        nGC_661) - 3d0*coupl(nGC_1491)*coupl(nGC_1529)*coupl(  &
                        nGC_74) - 3d0*coupl(nGC_1491)*coupl(nGC_16)*coupl(     &
                        nGC_94) + 3d0*coupl(nGC_1491)*coupl(nGC_56)*coupl(     &
                        nGC_72) + 3d0*coupl(nGC_1529)**2d0*coupl(nGC_40) - 3d0*&
                        coupl(nGC_16)*coupl(nGC_2961)*coupl(nGC_92) + 3d0*coupl&
                        (nGC_1795)*coupl(nGC_37)*coupl(nGC_72) - 3d0*coupl(    &
                        nGC_20)*coupl(nGC_3231)*coupl(nGC_72) + 3d0*coupl(     &
                        nGC_24)*coupl(nGC_661)*coupl(nGC_96) + 3d0*coupl(nGC_24&
                        )*coupl(nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_24)*coupl&
                        (nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_28)*coupl(      &
                        nGC_2961)*coupl(nGC_72) + 3d0*coupl(nGC_3231)*coupl(   &
                        nGC_49)*coupl(nGC_661) + 3d0*coupl(nGC_3231)*coupl(    &
                        nGC_58)*coupl(nGC_96) + 3d0*coupl(nGC_36)*coupl(nGC_64 &
                        )*coupl(nGC_72) + 3d0*coupl(nGC_36)*coupl(nGC_92)*coupl&
                        (nGC_96) + 3d0*coupl(nGC_40)*coupl(nGC_63)*coupl(nGC_64&
                        ) + 3d0*coupl(nGC_40)*coupl(nGC_661)**2d0 + 3d0*coupl( &
                        nGC_40)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_40 &
                        )*coupl(nGC_72)**2d0 + 3d0*coupl(nGC_42)*coupl(nGC_661 &
                        )*coupl(nGC_96) + 3d0*coupl(nGC_42)*coupl(nGC_69)*coupl&
                        (nGC_72) + 3d0*coupl(nGC_42)*coupl(nGC_94)*coupl(nGC_96&
                        ) + 3d0*coupl(nGC_48)*coupl(nGC_64)*coupl(nGC_68) + 3d0&
                        *coupl(nGC_48)*coupl(nGC_64)*coupl(nGC_69) + 3d0*coupl(&
                        nGC_58)*coupl(nGC_91)*coupl(nGC_96))/(96d0*pi**2d0)
      coupl(nGC_17251) = coupl(nGC_130)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_17929) = coupl(nGC_137)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_TS_GC_130_Hl) = -coupl(nGC_130)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_112_Hh) = -coupl(nGC_112)*dtHh_QED1/cMHH**2d0
      coupl(nGC_16819) = coupl(nGC_11)*dZHlHh_QED2/2d0 + 3d0*coupl(nGC_13)*    &
                         dZHhHl_QED2/2d0 + coupl(nGC_9)*dZHh_QED2/2d0 + 3d0*   &
                         coupl(nGC_9)*dZHl_QED2/2d0 + coupl(nGC_9316)
      coupl(nGC_20409) = coupl(nGC_20408) + coupl(nGC_9493)
      coupl(nGC_15138) = coupl(nGC_128)*dZHlHh_QED2/2d0 + coupl(nGC_129)*      &
                         dZHh_QED2/2d0 + coupl(nGC_129)*dZZ_QED2 + coupl(      &
                         nGC_9383) + coupl(nGC_TS_GC_99_Hh)
      coupl(nGC_16729) = coupl(nGC_187)*dZHa_QED2/2d0 + coupl(nGC_187)*        &
                         dZtauMinusL_QED2/2d0 + coupl(nGC_187)*dZtauMinusR_QED2&
                         /2d0 + coupl(nGC_191)*dZG0Ha_QED2/2d0 + coupl(nGC_9479&
                         )
      coupl(nGC_15393) = coupl(nGC_15390) + coupl(nGC_15392)
      coupl(nGC_TS_GC_9_Hl) = -coupl(nGC_9)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_9_Hh) = -coupl(nGC_9)*dtHh_QED1/cMHH**2d0
      coupl(nGC_15403) = coupl(nGC_88)*dZZ_QED2/2d0 + coupl(nGC_88)*dZuL_QED2  &
                          + coupl(nGC_9390)
      coupl(nGC_15402) = coupl(nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*dZuR_QED2  &
                          + coupl(nGC_9391)
      coupl(nGC_15405) = coupl(nGC_14842) + coupl(nGC_15403)
      coupl(nGC_15404) = coupl(nGC_14842) + coupl(nGC_15402)
      coupl(nGC_15409) = coupl(nGC_101)*dZZ_QED2 + coupl(nGC_9380)
      coupl(nGC_14663) = coupl(nGC_20)*dZZA_QED2/2d0 + coupl(nGC_74)*dZA_QED2/ &
                         2d0 + coupl(nGC_74)*dZHMinus_QED2/2d0 + coupl(nGC_74)*&
                         dZHa_QED2/2d0 + coupl(nGC_74)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_9352)
      coupl(nGC_13011) = coupl(nGC_162)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_166&
                         )*dZmuMinusR_QED2/2d0 + coupl(nGC_166)*dZnu_muL_QED2/ &
                         2d0 + coupl(nGC_9458)
      coupl(nGC_12941) = coupl(nGC_15)*dZHMinus_QED2/2d0 + coupl(nGC_15)*      &
                         dZHh_QED2/2d0 + coupl(nGC_15)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_15)*dZZ_QED2/2d0 + coupl(nGC_16)*           &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_16)*dZHlHh_QED2/  &
                         2d0 + coupl(nGC_66)*dZAZ_QED2/2d0 + coupl(nGC_9376)
      coupl(nGC_12948) = coupl(nGC_103)*dZHh_QED2 + coupl(nGC_103)*dZHl_QED2/  &
                         2d0 + coupl(nGC_105)*dZHhHl_QED2/2d0 + coupl(nGC_106)*&
                         dZHlHh_QED2 + coupl(nGC_9342) + coupl(nGC_TS_GC_10_Hh &
                         ) + coupl(nGC_TS_GC_13_Hl)
      coupl(nGC_13708) = coupl(nGC_110)*dZHMinus_QED2 + coupl(nGC_110)*        &
                         dZHl_QED2/2d0 + coupl(nGC_118)*dZHhHl_QED2/2d0 + coupl&
                         (nGC_119)*dZGMinusHMinus_QED2 + coupl(nGC_9345) +     &
                         coupl(nGC_TS_GC_22_Hh) + coupl(nGC_TS_GC_30_Hl)
      coupl(nGC_19363) = coupl(nGC_7)*dZsL_QED2
      coupl(nGC_19364) = coupl(nGC_7)*dZsL_QCD2
      coupl(nGC_19365) = coupl(nGC_7)*dZsR_QED2
      coupl(nGC_19366) = coupl(nGC_7)*dZsR_QCD2
      coupl(nGC_8859) = coupl(nGC_140)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8858) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_140) - coupl(nGC_137  &
                        )**2d0*coupl(nGC_139) - coupl(nGC_137)*coupl(nGC_661)* &
                        coupl(nGC_84) - coupl(nGC_137)*coupl(nGC_87)*coupl(    &
                        nGC_94) - coupl(nGC_138)*coupl(nGC_181)*coupl(nGC_183  &
                        ) - coupl(nGC_138)*coupl(nGC_72)*coupl(nGC_80) - coupl(&
                        nGC_139)*coupl(nGC_140)**2d0 - coupl(nGC_139)*coupl(   &
                        nGC_141)**2d0 - coupl(nGC_139)*coupl(nGC_143)**2d0 +   &
                        8d0*coupl(nGC_140)*coupl(nGC_84)*coupl(nGC_87) - coupl(&
                        nGC_141)*coupl(nGC_3231)*coupl(nGC_84) - coupl(nGC_141 &
                        )*coupl(nGC_87)*coupl(nGC_91) - coupl(nGC_142)*coupl(  &
                        nGC_178)*coupl(nGC_183))/(32d0*pi**2d0)
      coupl(nGC_8851) = (4d0*Nc*cMB*coupl(nGC_139)**2d0*coupl(nGC_141) + 16d0* &
                        Nc*cMB*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_141) +  &
                        4d0*Nc*cMB*coupl(nGC_140)**2d0*coupl(nGC_141) + 4d0*Nc*&
                        cMC*coupl(nGC_130)*coupl(nGC_135)**2d0 + 16d0*Nc*cMC*  &
                        coupl(nGC_130)*coupl(nGC_135)*coupl(nGC_136) + 4d0*Nc* &
                        cMC*coupl(nGC_130)*coupl(nGC_136)**2d0 + 4d0*Nc*cMD*   &
                        coupl(nGC_145)*coupl(nGC_151)**2d0 + 16d0*Nc*cMD*coupl(&
                        nGC_145)*coupl(nGC_151)*coupl(nGC_152) + 4d0*Nc*cMD*   &
                        coupl(nGC_145)*coupl(nGC_152)**2d0 + 4d0*Nc*cMS*coupl( &
                        nGC_169)*coupl(nGC_175)**2d0 + 16d0*Nc*cMS*coupl(      &
                        nGC_169)*coupl(nGC_175)*coupl(nGC_176) + 4d0*Nc*cMS*   &
                        coupl(nGC_169)*coupl(nGC_176)**2d0 + 4d0*Nc*cMT*coupl( &
                        nGC_177)*coupl(nGC_182)**2d0 + 16d0*Nc*cMT*coupl(      &
                        nGC_177)*coupl(nGC_182)*coupl(nGC_183) + 4d0*Nc*cMT*   &
                        coupl(nGC_177)*coupl(nGC_183)**2d0 + 4d0*Nc*cMU*coupl( &
                        nGC_192)*coupl(nGC_197)**2d0 + 16d0*Nc*cMU*coupl(      &
                        nGC_192)*coupl(nGC_197)*coupl(nGC_198) + 4d0*Nc*cMU*   &
                        coupl(nGC_192)*coupl(nGC_198)**2d0 + 4d0*cME*coupl(    &
                        nGC_153)*coupl(nGC_159)**2d0 + 16d0*cME*coupl(nGC_153)*&
                        coupl(nGC_159)*coupl(nGC_160) + 4d0*cME*coupl(nGC_153)*&
                        coupl(nGC_160)**2d0 + 4d0*cMM*coupl(nGC_161)*coupl(    &
                        nGC_167)**2d0 + 16d0*cMM*coupl(nGC_161)*coupl(nGC_167)*&
                        coupl(nGC_168) + 4d0*cMM*coupl(nGC_161)*coupl(nGC_168  &
                        )**2d0 + 4d0*cMTA*coupl(nGC_184)*coupl(nGC_190)**2d0 + &
                        16d0*cMTA*coupl(nGC_184)*coupl(nGC_190)*coupl(nGC_191  &
                        ) + 4d0*cMTA*coupl(nGC_184)*coupl(nGC_191)**2d0 + 2d0* &
                        cima*coupl(nGC_101)*coupl(nGC_128) + 4d0*cima*coupl(   &
                        nGC_124)*coupl(nGC_62) + coupl(nGC_103)*coupl(nGC_661)*&
                        coupl(nGC_94) + coupl(nGC_104)*coupl(nGC_3231)*coupl(  &
                        nGC_91) + coupl(nGC_106)*coupl(nGC_3231)*coupl(nGC_94  &
                        ) + coupl(nGC_106)*coupl(nGC_661)*coupl(nGC_91) + 2d0* &
                        coupl(nGC_108)*coupl(nGC_1319)*coupl(nGC_72) + coupl(  &
                        nGC_109)*coupl(nGC_3231)**2d0 + coupl(nGC_109)*coupl(  &
                        nGC_91)**2d0 + coupl(nGC_112)*coupl(nGC_661)**2d0 +    &
                        coupl(nGC_112)*coupl(nGC_94)**2d0 + coupl(nGC_114)*    &
                        coupl(nGC_1319)*coupl(nGC_68) + coupl(nGC_114)*coupl(  &
                        nGC_2961)*coupl(nGC_72) + coupl(nGC_115)*coupl(nGC_1319&
                        )*coupl(nGC_69) + coupl(nGC_115)*coupl(nGC_1919)*coupl(&
                        nGC_72) + coupl(nGC_117)*coupl(nGC_3231)*coupl(nGC_661 &
                        ) + coupl(nGC_117)*coupl(nGC_91)*coupl(nGC_94) + coupl(&
                        nGC_120)*coupl(nGC_3231)*coupl(nGC_661) + coupl(nGC_120&
                        )*coupl(nGC_91)*coupl(nGC_94) - 2d0*coupl(nGC_124)*    &
                        coupl(nGC_1319)*coupl(nGC_72) - coupl(nGC_128)*coupl(  &
                        nGC_3231)*coupl(nGC_91) - coupl(nGC_128)*coupl(nGC_661 &
                        )*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_8850) = (4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_139)**2d0 + 16d0* &
                        Nc*cMB*coupl(nGC_137)*coupl(nGC_139)*coupl(nGC_140) +  &
                        4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_140)**2d0 + 4d0*Nc*&
                        cMC*coupl(nGC_133)*coupl(nGC_135)**2d0 + 16d0*Nc*cMC*  &
                        coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_136) + 4d0*Nc* &
                        cMC*coupl(nGC_133)*coupl(nGC_136)**2d0 + 4d0*Nc*cMD*   &
                        coupl(nGC_149)*coupl(nGC_151)**2d0 + 16d0*Nc*cMD*coupl(&
                        nGC_149)*coupl(nGC_151)*coupl(nGC_152) + 4d0*Nc*cMD*   &
                        coupl(nGC_149)*coupl(nGC_152)**2d0 + 4d0*Nc*cMS*coupl( &
                        nGC_173)*coupl(nGC_175)**2d0 + 16d0*Nc*cMS*coupl(      &
                        nGC_173)*coupl(nGC_175)*coupl(nGC_176) + 4d0*Nc*cMS*   &
                        coupl(nGC_173)*coupl(nGC_176)**2d0 + 4d0*Nc*cMT*coupl( &
                        nGC_180)*coupl(nGC_182)**2d0 + 16d0*Nc*cMT*coupl(      &
                        nGC_180)*coupl(nGC_182)*coupl(nGC_183) + 4d0*Nc*cMT*   &
                        coupl(nGC_180)*coupl(nGC_183)**2d0 + 4d0*Nc*cMU*coupl( &
                        nGC_195)*coupl(nGC_197)**2d0 + 16d0*Nc*cMU*coupl(      &
                        nGC_195)*coupl(nGC_197)*coupl(nGC_198) + 4d0*Nc*cMU*   &
                        coupl(nGC_195)*coupl(nGC_198)**2d0 + 4d0*cME*coupl(    &
                        nGC_157)*coupl(nGC_159)**2d0 + 16d0*cME*coupl(nGC_157)*&
                        coupl(nGC_159)*coupl(nGC_160) + 4d0*cME*coupl(nGC_157)*&
                        coupl(nGC_160)**2d0 + 4d0*cMM*coupl(nGC_165)*coupl(    &
                        nGC_167)**2d0 + 16d0*cMM*coupl(nGC_165)*coupl(nGC_167)*&
                        coupl(nGC_168) + 4d0*cMM*coupl(nGC_165)*coupl(nGC_168  &
                        )**2d0 + 4d0*cMTA*coupl(nGC_188)*coupl(nGC_190)**2d0 + &
                        16d0*cMTA*coupl(nGC_188)*coupl(nGC_190)*coupl(nGC_191  &
                        ) + 4d0*cMTA*coupl(nGC_188)*coupl(nGC_191)**2d0 + 2d0* &
                        cima*coupl(nGC_101)*coupl(nGC_129) + 4d0*cima*coupl(   &
                        nGC_125)*coupl(nGC_62) + coupl(nGC_103)*coupl(nGC_3231 &
                        )*coupl(nGC_94) + coupl(nGC_103)*coupl(nGC_661)*coupl( &
                        nGC_91) + coupl(nGC_105)*coupl(nGC_661)*coupl(nGC_94   &
                        ) + coupl(nGC_106)*coupl(nGC_3231)*coupl(nGC_91) +     &
                        coupl(nGC_1079)*coupl(nGC_112)*coupl(nGC_661) + coupl( &
                        nGC_1079)*coupl(nGC_120)*coupl(nGC_3231) + coupl(      &
                        nGC_109)*coupl(nGC_3231)*coupl(nGC_661) + coupl(nGC_109&
                        )*coupl(nGC_91)*coupl(nGC_94) + coupl(nGC_112)*coupl(  &
                        nGC_92)*coupl(nGC_94) + coupl(nGC_114)*coupl(nGC_1319)*&
                        coupl(nGC_64) + coupl(nGC_114)*coupl(nGC_1795)*coupl(  &
                        nGC_72) + coupl(nGC_115)*coupl(nGC_1319)*coupl(nGC_63  &
                        ) + coupl(nGC_115)*coupl(nGC_1491)*coupl(nGC_72) + 2d0*&
                        coupl(nGC_116)*coupl(nGC_1319)*coupl(nGC_72) + coupl(  &
                        nGC_117)*coupl(nGC_661)**2d0 + coupl(nGC_117)*coupl(   &
                        nGC_94)**2d0 + coupl(nGC_120)*coupl(nGC_91)*coupl(     &
                        nGC_92) - 2d0*coupl(nGC_125)*coupl(nGC_1319)*coupl(    &
                        nGC_72) - coupl(nGC_129)*coupl(nGC_3231)*coupl(nGC_91  &
                        ) - coupl(nGC_129)*coupl(nGC_661)*coupl(nGC_94))/(32d0*&
                        pi**2d0)
    end subroutine fill_CTcouplings_mdl25
end module fill_ctcouplings25
