!******************************************************************************!
!                                                                              !
!    fill_ctcouplings26.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings26.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings26
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl26()
      coupl(nGC_8853) = (4d0*Nc*coupl(nGC_131)*coupl(nGC_136)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_140)*coupl(nGC_142)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_176)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_183)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_198)*coupl(nGC_80) +   &
                        coupl(nGC_1283)*coupl(nGC_3231)*coupl(nGC_68) + coupl( &
                        nGC_1283)*coupl(nGC_64)*coupl(nGC_661) + coupl(nGC_1319&
                        )*coupl(nGC_1795)*coupl(nGC_69) + coupl(nGC_1319)*coupl&
                        (nGC_2961)*coupl(nGC_64) - 4d0*coupl(nGC_154)*coupl(   &
                        nGC_160)*coupl(nGC_80) - 4d0*coupl(nGC_162)*coupl(     &
                        nGC_168)*coupl(nGC_80) - 4d0*coupl(nGC_185)*coupl(     &
                        nGC_191)*coupl(nGC_80) - 6d0*coupl(nGC_64)*coupl(      &
                        nGC_781)*coupl(nGC_94) - 6d0*coupl(nGC_68)*coupl(      &
                        nGC_781)*coupl(nGC_91))/(96d0*pi**2d0)
      coupl(nGC_8852) = (-4d0*Nc*coupl(nGC_131)*coupl(nGC_135)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_139)*coupl(nGC_142)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_151)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_175)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_182)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_197)*coupl(nGC_80) +   &
                        coupl(nGC_1319)*coupl(nGC_1491)*coupl(nGC_68) + coupl( &
                        nGC_1319)*coupl(nGC_1919)*coupl(nGC_63) + 4d0*coupl(   &
                        nGC_154)*coupl(nGC_159)*coupl(nGC_80) + 4d0*coupl(     &
                        nGC_162)*coupl(nGC_167)*coupl(nGC_80) + 4d0*coupl(     &
                        nGC_185)*coupl(nGC_190)*coupl(nGC_80) + coupl(nGC_3231 &
                        )*coupl(nGC_69)*coupl(nGC_96) + coupl(nGC_63)*coupl(   &
                        nGC_661)*coupl(nGC_96) - 6d0*coupl(nGC_63)*coupl(nGC_82&
                        )*coupl(nGC_94) - 6d0*coupl(nGC_69)*coupl(nGC_82)*coupl&
                        (nGC_91))/(96d0*pi**2d0)
      coupl(nGC_8855) = (8d0*Nc*cMB*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_143&
                        ) + 4d0*Nc*cMB*coupl(nGC_139)*coupl(nGC_141)*coupl(    &
                        nGC_144) + 4d0*Nc*cMB*coupl(nGC_140)*coupl(nGC_141)*   &
                        coupl(nGC_143) + 8d0*Nc*cMB*coupl(nGC_140)*coupl(      &
                        nGC_141)*coupl(nGC_144) + 4d0*Nc*cMC*coupl(nGC_130)*   &
                        coupl(nGC_1313)*coupl(nGC_135) + 8d0*Nc*cMC*coupl(     &
                        nGC_130)*coupl(nGC_1313)*coupl(nGC_136) + 8d0*Nc*cMC*  &
                        coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_135) + 4d0*Nc* &
                        cMC*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_136) + 4d0*&
                        Nc*cMD*coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_151) +  &
                        8d0*Nc*cMD*coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_152 &
                        ) + 8d0*Nc*cMD*coupl(nGC_145)*coupl(nGC_148)*coupl(    &
                        nGC_151) + 4d0*Nc*cMD*coupl(nGC_145)*coupl(nGC_148)*   &
                        coupl(nGC_152) + 4d0*Nc*cMS*coupl(nGC_169)*coupl(      &
                        nGC_171)*coupl(nGC_175) + 8d0*Nc*cMS*coupl(nGC_169)*   &
                        coupl(nGC_171)*coupl(nGC_176) + 8d0*Nc*cMS*coupl(      &
                        nGC_169)*coupl(nGC_172)*coupl(nGC_175) + 4d0*Nc*cMS*   &
                        coupl(nGC_169)*coupl(nGC_172)*coupl(nGC_176) + 8d0*Nc* &
                        cMT*coupl(nGC_177)*coupl(nGC_179)*coupl(nGC_182) + 4d0*&
                        Nc*cMT*coupl(nGC_177)*coupl(nGC_179)*coupl(nGC_183) +  &
                        4d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_182)*coupl(nGC_2153&
                        ) + 8d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_183)*coupl(    &
                        nGC_2153) + 8d0*Nc*cMU*coupl(nGC_192)*coupl(nGC_194)*  &
                        coupl(nGC_197) + 4d0*Nc*cMU*coupl(nGC_192)*coupl(      &
                        nGC_194)*coupl(nGC_198) + 4d0*Nc*cMU*coupl(nGC_192)*   &
                        coupl(nGC_197)*coupl(nGC_797) + 8d0*Nc*cMU*coupl(      &
                        nGC_192)*coupl(nGC_198)*coupl(nGC_797) + 4d0*cME*coupl(&
                        nGC_153)*coupl(nGC_155)*coupl(nGC_159) + 8d0*cME*coupl(&
                        nGC_153)*coupl(nGC_155)*coupl(nGC_160) + 8d0*cME*coupl(&
                        nGC_153)*coupl(nGC_156)*coupl(nGC_159) + 4d0*cME*coupl(&
                        nGC_153)*coupl(nGC_156)*coupl(nGC_160) + 4d0*cMM*coupl(&
                        nGC_161)*coupl(nGC_163)*coupl(nGC_167) + 8d0*cMM*coupl(&
                        nGC_161)*coupl(nGC_163)*coupl(nGC_168) + 8d0*cMM*coupl(&
                        nGC_161)*coupl(nGC_164)*coupl(nGC_167) + 4d0*cMM*coupl(&
                        nGC_161)*coupl(nGC_164)*coupl(nGC_168) + 4d0*cMTA*coupl&
                        (nGC_184)*coupl(nGC_186)*coupl(nGC_190) + 8d0*cMTA*    &
                        coupl(nGC_184)*coupl(nGC_186)*coupl(nGC_191) + 8d0*cMTA&
                        *coupl(nGC_184)*coupl(nGC_187)*coupl(nGC_190) + 4d0*   &
                        cMTA*coupl(nGC_184)*coupl(nGC_187)*coupl(nGC_191) +    &
                        coupl(nGC_103)*coupl(nGC_661)*coupl(nGC_92) + coupl(   &
                        nGC_104)*coupl(nGC_3231)*coupl(nGC_94) + coupl(nGC_106 &
                        )*coupl(nGC_3231)*coupl(nGC_92) + coupl(nGC_106)*coupl(&
                        nGC_661)*coupl(nGC_94) + coupl(nGC_1079)*coupl(nGC_112 &
                        )*coupl(nGC_661) + coupl(nGC_1079)*coupl(nGC_117)*coupl&
                        (nGC_3231) - coupl(nGC_1079)*coupl(nGC_128)*coupl(     &
                        nGC_94) + coupl(nGC_109)*coupl(nGC_3231)*coupl(nGC_661 &
                        ) + coupl(nGC_112)*coupl(nGC_91)*coupl(nGC_94) + coupl(&
                        nGC_113)*coupl(nGC_91)*coupl(nGC_94) + coupl(nGC_114)* &
                        coupl(nGC_1319)*coupl(nGC_1491) + coupl(nGC_115)*coupl(&
                        nGC_1319)*coupl(nGC_1795) + 2d0*coupl(nGC_119)*coupl(  &
                        nGC_1319)*coupl(nGC_72) + coupl(nGC_120)*coupl(nGC_661 &
                        )**2d0 + coupl(nGC_120)*coupl(nGC_91)**2d0 + coupl(    &
                        nGC_121)*coupl(nGC_94)**2d0 + coupl(nGC_122)*coupl(    &
                        nGC_1919)*coupl(nGC_72) + coupl(nGC_123)*coupl(nGC_2961&
                        )*coupl(nGC_72) - coupl(nGC_128)*coupl(nGC_661)*coupl( &
                        nGC_91))/(32d0*pi**2d0)
      coupl(nGC_8854) = (8d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_139)*coupl(nGC_143&
                        ) + 4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_139)*coupl(    &
                        nGC_144) + 4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_140)*   &
                        coupl(nGC_143) + 8d0*Nc*cMB*coupl(nGC_137)*coupl(      &
                        nGC_140)*coupl(nGC_144) + 4d0*Nc*cMC*coupl(nGC_1313)*  &
                        coupl(nGC_133)*coupl(nGC_135) + 8d0*Nc*cMC*coupl(      &
                        nGC_1313)*coupl(nGC_133)*coupl(nGC_136) + 8d0*Nc*cMC*  &
                        coupl(nGC_132)*coupl(nGC_133)*coupl(nGC_135) + 4d0*Nc* &
                        cMC*coupl(nGC_132)*coupl(nGC_133)*coupl(nGC_136) + 4d0*&
                        Nc*cMD*coupl(nGC_147)*coupl(nGC_149)*coupl(nGC_151) +  &
                        8d0*Nc*cMD*coupl(nGC_147)*coupl(nGC_149)*coupl(nGC_152 &
                        ) + 8d0*Nc*cMD*coupl(nGC_148)*coupl(nGC_149)*coupl(    &
                        nGC_151) + 4d0*Nc*cMD*coupl(nGC_148)*coupl(nGC_149)*   &
                        coupl(nGC_152) + 4d0*Nc*cMS*coupl(nGC_171)*coupl(      &
                        nGC_173)*coupl(nGC_175) + 8d0*Nc*cMS*coupl(nGC_171)*   &
                        coupl(nGC_173)*coupl(nGC_176) + 8d0*Nc*cMS*coupl(      &
                        nGC_172)*coupl(nGC_173)*coupl(nGC_175) + 4d0*Nc*cMS*   &
                        coupl(nGC_172)*coupl(nGC_173)*coupl(nGC_176) + 8d0*Nc* &
                        cMT*coupl(nGC_179)*coupl(nGC_180)*coupl(nGC_182) + 4d0*&
                        Nc*cMT*coupl(nGC_179)*coupl(nGC_180)*coupl(nGC_183) +  &
                        4d0*Nc*cMT*coupl(nGC_180)*coupl(nGC_182)*coupl(nGC_2153&
                        ) + 8d0*Nc*cMT*coupl(nGC_180)*coupl(nGC_183)*coupl(    &
                        nGC_2153) + 8d0*Nc*cMU*coupl(nGC_194)*coupl(nGC_195)*  &
                        coupl(nGC_197) + 4d0*Nc*cMU*coupl(nGC_194)*coupl(      &
                        nGC_195)*coupl(nGC_198) + 4d0*Nc*cMU*coupl(nGC_195)*   &
                        coupl(nGC_197)*coupl(nGC_797) + 8d0*Nc*cMU*coupl(      &
                        nGC_195)*coupl(nGC_198)*coupl(nGC_797) + 4d0*cME*coupl(&
                        nGC_155)*coupl(nGC_157)*coupl(nGC_159) + 8d0*cME*coupl(&
                        nGC_155)*coupl(nGC_157)*coupl(nGC_160) + 8d0*cME*coupl(&
                        nGC_156)*coupl(nGC_157)*coupl(nGC_159) + 4d0*cME*coupl(&
                        nGC_156)*coupl(nGC_157)*coupl(nGC_160) + 4d0*cMM*coupl(&
                        nGC_163)*coupl(nGC_165)*coupl(nGC_167) + 8d0*cMM*coupl(&
                        nGC_163)*coupl(nGC_165)*coupl(nGC_168) + 8d0*cMM*coupl(&
                        nGC_164)*coupl(nGC_165)*coupl(nGC_167) + 4d0*cMM*coupl(&
                        nGC_164)*coupl(nGC_165)*coupl(nGC_168) + 4d0*cMTA*coupl&
                        (nGC_186)*coupl(nGC_188)*coupl(nGC_190) + 8d0*cMTA*    &
                        coupl(nGC_186)*coupl(nGC_188)*coupl(nGC_191) + 8d0*cMTA&
                        *coupl(nGC_187)*coupl(nGC_188)*coupl(nGC_190) + 4d0*   &
                        cMTA*coupl(nGC_187)*coupl(nGC_188)*coupl(nGC_191) +    &
                        coupl(nGC_103)*coupl(nGC_3231)*coupl(nGC_92) + coupl(  &
                        nGC_103)*coupl(nGC_661)*coupl(nGC_94) + coupl(nGC_105)*&
                        coupl(nGC_661)*coupl(nGC_92) + coupl(nGC_106)*coupl(   &
                        nGC_3231)*coupl(nGC_94) + coupl(nGC_1079)**2d0*coupl(  &
                        nGC_112) + coupl(nGC_1079)*coupl(nGC_117)*coupl(nGC_661&
                        ) + coupl(nGC_1079)*coupl(nGC_120)*coupl(nGC_661) -    &
                        coupl(nGC_1079)*coupl(nGC_129)*coupl(nGC_94) + coupl(  &
                        nGC_109)*coupl(nGC_661)**2d0 + 2d0*coupl(nGC_111)*coupl&
                        (nGC_1319)*coupl(nGC_72) + coupl(nGC_112)*coupl(nGC_94 &
                        )**2d0 + coupl(nGC_113)*coupl(nGC_91)*coupl(nGC_92) +  &
                        coupl(nGC_114)*coupl(nGC_1319)*coupl(nGC_2961) + coupl(&
                        nGC_115)*coupl(nGC_1319)*coupl(nGC_1919) + coupl(      &
                        nGC_120)*coupl(nGC_91)*coupl(nGC_94) + coupl(nGC_121)* &
                        coupl(nGC_92)*coupl(nGC_94) + coupl(nGC_122)*coupl(    &
                        nGC_1491)*coupl(nGC_72) + coupl(nGC_123)*coupl(nGC_1795&
                        )*coupl(nGC_72) - coupl(nGC_129)*coupl(nGC_661)*coupl( &
                        nGC_91))/(32d0*pi**2d0)
      coupl(nGC_8857) = (4d0*Nc*coupl(nGC_130)*coupl(nGC_135)*coupl(nGC_85) -  &
                        4d0*Nc*coupl(nGC_130)*coupl(nGC_135)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_130)*coupl(nGC_136)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_130)*coupl(nGC_136)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_140)*coupl(nGC_141)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_140)*coupl(nGC_141)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_151)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_151)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_152)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_152)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_175)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_175)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_176)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_176)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_182)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_182)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_183)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_183)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_197)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_197)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_198)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_198)*coupl(nGC_88) +   &
                        coupl(nGC_1079)*coupl(nGC_661)**2d0 + coupl(nGC_1283)* &
                        coupl(nGC_1319)*coupl(nGC_1795) + coupl(nGC_1319)*coupl&
                        (nGC_1491)*coupl(nGC_96) - 4d0*coupl(nGC_153)*coupl(   &
                        nGC_159)*coupl(nGC_86) + 4d0*coupl(nGC_153)*coupl(     &
                        nGC_159)*coupl(nGC_89) + 4d0*coupl(nGC_153)*coupl(     &
                        nGC_160)*coupl(nGC_86) - 4d0*coupl(nGC_153)*coupl(     &
                        nGC_160)*coupl(nGC_89) - 4d0*coupl(nGC_161)*coupl(     &
                        nGC_167)*coupl(nGC_86) + 4d0*coupl(nGC_161)*coupl(     &
                        nGC_167)*coupl(nGC_89) + 4d0*coupl(nGC_161)*coupl(     &
                        nGC_168)*coupl(nGC_86) - 4d0*coupl(nGC_161)*coupl(     &
                        nGC_168)*coupl(nGC_89) - 4d0*coupl(nGC_184)*coupl(     &
                        nGC_190)*coupl(nGC_86) + 4d0*coupl(nGC_184)*coupl(     &
                        nGC_190)*coupl(nGC_89) + 4d0*coupl(nGC_184)*coupl(     &
                        nGC_191)*coupl(nGC_86) - 4d0*coupl(nGC_184)*coupl(     &
                        nGC_191)*coupl(nGC_89) + coupl(nGC_3231)**3d0 + 2d0*   &
                        coupl(nGC_3231)*coupl(nGC_661)**2d0 - 6d0*coupl(nGC_63 &
                        )*coupl(nGC_72)*coupl(nGC_781) - 6d0*coupl(nGC_64)*    &
                        coupl(nGC_72)*coupl(nGC_82))/(96d0*pi**2d0)
      coupl(nGC_8856) = (4d0*Nc*coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_85) -  &
                        4d0*Nc*coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_133)*coupl(nGC_136)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_133)*coupl(nGC_136)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_139)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_139)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_140)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_140)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_151)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_151)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_152)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_152)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_175)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_175)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_176)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_176)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_182)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_182)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_183)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_183)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_197)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_197)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_198)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_198)*coupl(nGC_88) +   &
                        coupl(nGC_1079)**2d0*coupl(nGC_661) + coupl(nGC_1079)* &
                        coupl(nGC_3231)*coupl(nGC_661) + coupl(nGC_1283)*coupl(&
                        nGC_1319)*coupl(nGC_1919) + coupl(nGC_1319)*coupl(     &
                        nGC_2961)*coupl(nGC_96) - 4d0*coupl(nGC_157)*coupl(    &
                        nGC_159)*coupl(nGC_86) + 4d0*coupl(nGC_157)*coupl(     &
                        nGC_159)*coupl(nGC_89) + 4d0*coupl(nGC_157)*coupl(     &
                        nGC_160)*coupl(nGC_86) - 4d0*coupl(nGC_157)*coupl(     &
                        nGC_160)*coupl(nGC_89) - 4d0*coupl(nGC_165)*coupl(     &
                        nGC_167)*coupl(nGC_86) + 4d0*coupl(nGC_165)*coupl(     &
                        nGC_167)*coupl(nGC_89) + 4d0*coupl(nGC_165)*coupl(     &
                        nGC_168)*coupl(nGC_86) - 4d0*coupl(nGC_165)*coupl(     &
                        nGC_168)*coupl(nGC_89) - 4d0*coupl(nGC_188)*coupl(     &
                        nGC_190)*coupl(nGC_86) + 4d0*coupl(nGC_188)*coupl(     &
                        nGC_190)*coupl(nGC_89) + 4d0*coupl(nGC_188)*coupl(     &
                        nGC_191)*coupl(nGC_86) - 4d0*coupl(nGC_188)*coupl(     &
                        nGC_191)*coupl(nGC_89) + coupl(nGC_3231)**2d0*coupl(   &
                        nGC_661) + coupl(nGC_661)**3d0 - 6d0*coupl(nGC_68)*    &
                        coupl(nGC_72)*coupl(nGC_781) - 6d0*coupl(nGC_69)*coupl(&
                        nGC_72)*coupl(nGC_82))/(96d0*pi**2d0)
      coupl(nGC_TS_GC_106_Hh) = -coupl(nGC_106)*dtHh_QED1/cMHH**2d0
      coupl(nGC_12837) = coupl(nGC_15)*dZZA_QED2/2d0 + coupl(nGC_66)*dZA_QED2/ &
                         2d0 + coupl(nGC_66)*dZHMinus_QED2/2d0 + coupl(nGC_66)*&
                         dZHh_QED2/2d0 + coupl(nGC_66)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_70)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_70)*&
                         dZHlHh_QED2/2d0 + coupl(nGC_9355)
      coupl(nGC_TS_GC_106_Hl) = -coupl(nGC_106)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13238) = coupl(nGC_134)*dZcR_QCD2/2d0 + coupl(nGC_134)*        &
                         dZsL_QCD2/2d0 + coupl(nGC_9402)
      coupl(nGC_13234) = coupl(nGC_134)*dZGMinus/2d0
      coupl(nGC_9030) = coupl(nGC_7)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_9031) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_87) + coupl(nGC_145)**&
                        2d0*coupl(nGC_84) + coupl(nGC_147)*coupl(nGC_148)*coupl&
                        (nGC_84) + coupl(nGC_149)**2d0*coupl(nGC_84) + coupl(  &
                        nGC_151)*coupl(nGC_152)*coupl(nGC_84) + coupl(nGC_193  &
                        )**2d0*coupl(nGC_85) + coupl(nGC_196)**2d0*coupl(nGC_85&
                        ) + 4d0*coupl(nGC_781)*coupl(nGC_80)**2d0 + 4d0*coupl( &
                        nGC_80)**2d0*coupl(nGC_88) + 4d0*coupl(nGC_87)**3d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_9033) = (coupl(nGC_153)**2d0*coupl(nGC_89) + coupl(nGC_154)**  &
                        2d0*coupl(nGC_90) + coupl(nGC_155)*coupl(nGC_156)*coupl&
                        (nGC_89) + coupl(nGC_157)**2d0*coupl(nGC_89) + coupl(  &
                        nGC_158)**2d0*coupl(nGC_90) + coupl(nGC_159)*coupl(    &
                        nGC_160)*coupl(nGC_89) + 4d0*coupl(nGC_4)**2d0*coupl(  &
                        nGC_86) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_12720) = coupl(nGC_12713) + coupl(nGC_12718)
      coupl(nGC_9328) = coupl(nGC_8136)*dl3_QED4 + coupl(nGC_8137)*dl1_QED4 +  &
                        coupl(nGC_8138)*dl2_QED4 + coupl(nGC_8139)*dl5_QED4 +  &
                        coupl(nGC_8140)*dl4_QED4 + coupl(nGC_8141)*db_QED2
      coupl(nGC_9329) = coupl(nGC_8152)*dl3_QED4 + coupl(nGC_8153)*dl1_QED4 +  &
                        coupl(nGC_8154)*dl2_QED4 + coupl(nGC_8155)*dl5_QED4 +  &
                        coupl(nGC_8156)*dl4_QED4 + coupl(nGC_8157)*db_QED2
      coupl(nGC_9496) = coupl(nGC_8544)*dyc1_QED3 + coupl(nGC_8545)*dyc2_QED3  &
                         + coupl(nGC_8546)*da_QED2
      coupl(nGC_9325) = coupl(nGC_8456)*dl3_QED4 + coupl(nGC_8457)*dl1_QED4 +  &
                        coupl(nGC_8458)*dl2_QED4 + coupl(nGC_8459)*dl5_QED4 +  &
                        coupl(nGC_8460)*dl4_QED4 + coupl(nGC_8461)*db_QED2
      coupl(nGC_9327) = coupl(nGC_8161)*dl3_QED4 + coupl(nGC_8162)*dl1_QED4 +  &
                        coupl(nGC_8163)*dl2_QED4 + coupl(nGC_8164)*dl5_QED4 +  &
                        coupl(nGC_8165)*dl4_QED4 + coupl(nGC_8166)*db_QED2
      coupl(nGC_9490) = coupl(nGC_415)*dyt2_QED3 + coupl(nGC_417)*db_QED2 +    &
                        coupl(nGC_419)*dyt1_QED3
      coupl(nGC_9323) = coupl(nGC_8026)*dl3_QED4 + coupl(nGC_8027)*db_QED2 +   &
                        coupl(nGC_8028)*dl2_QED4 + coupl(nGC_8029)*dl5_QED4 +  &
                        coupl(nGC_8030)*dl4_QED4 + coupl(nGC_8031)*dl1_QED4 +  &
                        coupl(nGC_8032)*da_QED2
      coupl(nGC_20060) = coupl(nGC_186)*dZHaG0_QED2/2d0 + coupl(nGC_190)*      &
                         dZtauMinusL_QED2/2d0 + coupl(nGC_190)*dZtauMinusR_QED2&
                         /2d0 + coupl(nGC_9467)
      coupl(nGC_9148) = (10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_1313)*coupl(    &
                        nGC_134)*coupl(nGC_136) + 10d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_132)*coupl(nGC_134)*coupl(nGC_135) + 10d0*Nc*&
                        cima*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_174)*coupl&
                        (nGC_175) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*&
                        coupl(nGC_171)*coupl(nGC_176) + 10d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_172)*coupl(nGC_175   &
                        ) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_136)*coupl(  &
                        nGC_171)*coupl(nGC_174) + 10d0*Nc*cima*coupl(nGC_1313)*&
                        coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_176) + 10d0*Nc*&
                        cima*coupl(nGC_1313)*coupl(nGC_136)*coupl(nGC_170)*    &
                        coupl(nGC_174) + 10d0*Nc*cima*coupl(nGC_132)*coupl(    &
                        nGC_135)*coupl(nGC_170)*coupl(nGC_174) + 10d0*Nc*cima* &
                        coupl(nGC_134)*coupl(nGC_135)*coupl(nGC_170)*coupl(    &
                        nGC_172) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)* &
                        coupl(nGC_142)*coupl(nGC_143) + 10d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_139)*coupl(nGC_178)*coupl(nGC_179   &
                        ) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_140)*coupl(  &
                        nGC_142)*coupl(nGC_144) + 10d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_142)*coupl(nGC_179)*coupl(nGC_182) + 10d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_183)*coupl&
                        (nGC_2153) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_144 &
                        )*coupl(nGC_178)*coupl(nGC_183) + 10d0*Nc*cima*coupl(  &
                        nGC_139)*coupl(nGC_143)*coupl(nGC_178)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_140)*coupl(nGC_142)*coupl(  &
                        nGC_181)*coupl(nGC_2153) + 10d0*Nc*cima*coupl(nGC_140)*&
                        coupl(nGC_144)*coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*&
                        cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_181)*coupl&
                        (nGC_182) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_147)*&
                        coupl(nGC_150)*coupl(nGC_152) + 10d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_151   &
                        ) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_148)*coupl(  &
                        nGC_196)*coupl(nGC_197) + 10d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_150)*coupl(nGC_194)*coupl(nGC_197) + 10d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_198)*coupl&
                        (nGC_797) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_152)*&
                        coupl(nGC_196)*coupl(nGC_797) + 10d0*Nc*cima*coupl(    &
                        nGC_147)*coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_198   &
                        ) + 10d0*Nc*cima*coupl(nGC_147)*coupl(nGC_152)*coupl(  &
                        nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_148)* &
                        coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*&
                        cima*coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_193)*coupl&
                        (nGC_194) + 10d0*Nc*cima*coupl(nGC_170)*coupl(nGC_171)*&
                        coupl(nGC_174)*coupl(nGC_176) + 10d0*Nc*cima*coupl(    &
                        nGC_170)*coupl(nGC_172)*coupl(nGC_174)*coupl(nGC_175   &
                        ) + 10d0*Nc*cima*coupl(nGC_178)*coupl(nGC_179)*coupl(  &
                        nGC_181)*coupl(nGC_182) + 10d0*Nc*cima*coupl(nGC_178)* &
                        coupl(nGC_181)*coupl(nGC_183)*coupl(nGC_2153) + 10d0*Nc&
                        *cima*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_196)*    &
                        coupl(nGC_197) + 10d0*Nc*cima*coupl(nGC_193)*coupl(    &
                        nGC_196)*coupl(nGC_198)*coupl(nGC_797) - 5d0*cima*coupl&
                        (nGC_1079)*coupl(nGC_1319)*coupl(nGC_1795)*coupl(nGC_96&
                        ) - 5d0*cima*coupl(nGC_1079)*coupl(nGC_64)*coupl(nGC_68&
                        )*coupl(nGC_94) - 5d0*cima*coupl(nGC_1079)*coupl(nGC_68&
                        )**2d0*coupl(nGC_91) - 5d0*cima*coupl(nGC_1283)*coupl( &
                        nGC_1319)*coupl(nGC_3231)*coupl(nGC_63) - 5d0*cima*    &
                        coupl(nGC_1283)*coupl(nGC_1319)*coupl(nGC_661)*coupl(  &
                        nGC_68) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_17)**2d0* &
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_2961&
                        )*coupl(nGC_661)*coupl(nGC_96) - 5d0*cima*coupl(       &
                        nGC_1319)*coupl(nGC_72)*coupl(nGC_96)**2d0 + 10d0*cima*&
                        coupl(nGC_154)*coupl(nGC_155)*coupl(nGC_158)*coupl(    &
                        nGC_160) + 10d0*cima*coupl(nGC_154)*coupl(nGC_156)*    &
                        coupl(nGC_158)*coupl(nGC_159) + 10d0*cima*coupl(nGC_162&
                        )*coupl(nGC_163)*coupl(nGC_166)*coupl(nGC_168) + 10d0* &
                        cima*coupl(nGC_162)*coupl(nGC_164)*coupl(nGC_166)*coupl&
                        (nGC_167) + 10d0*cima*coupl(nGC_185)*coupl(nGC_186)*   &
                        coupl(nGC_189)*coupl(nGC_191) + 10d0*cima*coupl(nGC_185&
                        )*coupl(nGC_187)*coupl(nGC_189)*coupl(nGC_190) + 12d0* &
                        cima*coupl(nGC_19)*coupl(nGC_20) - 5d0*cima*coupl(     &
                        nGC_3231)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_92) -  &
                        5d0*cima*coupl(nGC_3231)*coupl(nGC_63)*coupl(nGC_68)*  &
                        coupl(nGC_94) - 5d0*cima*coupl(nGC_63)*coupl(nGC_64)*  &
                        coupl(nGC_661)*coupl(nGC_94) - 5d0*cima*coupl(nGC_63)* &
                        coupl(nGC_661)*coupl(nGC_68)*coupl(nGC_91) - 5d0*cima* &
                        coupl(nGC_64)*coupl(nGC_661)*coupl(nGC_68)*coupl(nGC_92&
                        ) - 5d0*cima*coupl(nGC_661)*coupl(nGC_68)**2d0*coupl(  &
                        nGC_94) + 12d0*cima*coupl(nGC_73)*coupl(nGC_74) - 3d0* &
                        coupl(nGC_1079)*coupl(nGC_1795)*coupl(nGC_19) + 3d0*   &
                        coupl(nGC_1079)*coupl(nGC_40)*coupl(nGC_96) - 3d0*coupl&
                        (nGC_1283)*coupl(nGC_1319)*coupl(nGC_19) + 3d0*coupl(  &
                        nGC_1283)*coupl(nGC_3231)*coupl(nGC_40) + 3d0*coupl(   &
                        nGC_1283)*coupl(nGC_40)*coupl(nGC_91) + 3d0*coupl(     &
                        nGC_1283)*coupl(nGC_48)*coupl(nGC_661) + 3d0*coupl(    &
                        nGC_1283)*coupl(nGC_48)*coupl(nGC_94) + 6d0*coupl(     &
                        nGC_1319)**2d0*coupl(nGC_56) - 3d0*coupl(nGC_1319)*    &
                        coupl(nGC_1529)*coupl(nGC_73) - 3d0*coupl(nGC_1319)*   &
                        coupl(nGC_17)*coupl(nGC_74) - 3d0*coupl(nGC_1319)*coupl&
                        (nGC_20)*coupl(nGC_96) + 3d0*coupl(nGC_1319)*coupl(    &
                        nGC_57)*coupl(nGC_72) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_59)*coupl(nGC_72) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_60)*coupl(nGC_72) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_40)*coupl(nGC_72) + 3d0*coupl(nGC_17)**2d0*coupl(  &
                        nGC_58) - 3d0*coupl(nGC_19)*coupl(nGC_2961)*coupl(     &
                        nGC_661) - 3d0*coupl(nGC_20)*coupl(nGC_3231)*coupl(    &
                        nGC_63) - 3d0*coupl(nGC_20)*coupl(nGC_661)*coupl(nGC_68&
                        ) + 3d0*coupl(nGC_24)*coupl(nGC_3231)*coupl(nGC_94) +  &
                        3d0*coupl(nGC_27)*coupl(nGC_661)*coupl(nGC_92) + 3d0*  &
                        coupl(nGC_28)*coupl(nGC_63)*coupl(nGC_68) + 3d0*coupl( &
                        nGC_29)*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(       &
                        nGC_2961)*coupl(nGC_48)*coupl(nGC_72) + 3d0*coupl(     &
                        nGC_3231)*coupl(nGC_36)*coupl(nGC_92) + 3d0*coupl(     &
                        nGC_36)*coupl(nGC_661)*coupl(nGC_94) + 3d0*coupl(nGC_37&
                        )*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl(nGC_37)*coupl&
                        (nGC_68)**2d0 + 3d0*coupl(nGC_40)*coupl(nGC_64)*coupl( &
                        nGC_72) + 3d0*coupl(nGC_40)*coupl(nGC_92)*coupl(nGC_96 &
                        ) + 3d0*coupl(nGC_49)*coupl(nGC_661)*coupl(nGC_96) +   &
                        3d0*coupl(nGC_49)*coupl(nGC_68)*coupl(nGC_72) + 3d0*   &
                        coupl(nGC_49)*coupl(nGC_94)*coupl(nGC_96) + 6d0*coupl( &
                        nGC_58)*coupl(nGC_72)**2d0 + 3d0*coupl(nGC_58)*coupl(  &
                        nGC_96)**2d0)/(96d0*pi**2d0)
      coupl(nGC_17712) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_9140) = (20d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_134)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_174)**2d0&
                         + 40d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(   &
                        nGC_173)*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_134)**&
                        2d0*coupl(nGC_173)**2d0 + 20d0*Nc*cima*coupl(nGC_137)**&
                        2d0*coupl(nGC_138)**2d0 + 20d0*Nc*cima*coupl(nGC_137)**&
                        2d0*coupl(nGC_181)**2d0 + 40d0*Nc*cima*coupl(nGC_137)* &
                        coupl(nGC_138)*coupl(nGC_180)*coupl(nGC_181) + 20d0*Nc*&
                        cima*coupl(nGC_138)**2d0*coupl(nGC_180)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_149)**2d0*coupl(nGC_150)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_149)**2d0*coupl(nGC_196)**2d0 + 40d0*Nc*&
                        cima*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_195)*coupl&
                        (nGC_196) + 20d0*Nc*cima*coupl(nGC_150)**2d0*coupl(    &
                        nGC_195)**2d0 + 20d0*Nc*cima*coupl(nGC_173)**2d0*coupl(&
                        nGC_174)**2d0 + 20d0*Nc*cima*coupl(nGC_180)**2d0*coupl(&
                        nGC_181)**2d0 + 20d0*Nc*cima*coupl(nGC_195)**2d0*coupl(&
                        nGC_196)**2d0 + 6d0*cima*coupl(nGC_100)*coupl(nGC_99   &
                        ) - 10d0*cima*coupl(nGC_1079)*coupl(nGC_92)*coupl(     &
                        nGC_96)**2d0 - 10d0*cima*coupl(nGC_1283)**2d0*coupl(   &
                        nGC_2961)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1283)*    &
                        coupl(nGC_1319)*coupl(nGC_69)*coupl(nGC_94) - 5d0*cima*&
                        coupl(nGC_1283)*coupl(nGC_2961)*coupl(nGC_661)*coupl(  &
                        nGC_72) - 10d0*cima*coupl(nGC_1319)*coupl(nGC_1795)*   &
                        coupl(nGC_63)*coupl(nGC_72) - 10d0*cima*coupl(nGC_1319 &
                        )*coupl(nGC_2961)*coupl(nGC_69)*coupl(nGC_72) - 10d0*  &
                        cima*coupl(nGC_1319)*coupl(nGC_661)*coupl(nGC_72)*coupl&
                        (nGC_94) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_68)*coupl&
                        (nGC_94)*coupl(nGC_96) - 10d0*cima*coupl(nGC_1529)**2d0&
                        *coupl(nGC_2961)*coupl(nGC_69) + 20d0*cima*coupl(      &
                        nGC_157)**2d0*coupl(nGC_158)**2d0 + 24d0*cima*coupl(   &
                        nGC_16)**2d0 + 20d0*cima*coupl(nGC_165)**2d0*coupl(    &
                        nGC_166)**2d0 - 10d0*cima*coupl(nGC_1795)**2d0*coupl(  &
                        nGC_63)**2d0 - 10d0*cima*coupl(nGC_1795)*coupl(nGC_1919&
                        )*coupl(nGC_63)*coupl(nGC_68) - 10d0*cima*coupl(       &
                        nGC_1795)*coupl(nGC_2961)*coupl(nGC_63)*coupl(nGC_69   &
                        ) + 20d0*cima*coupl(nGC_188)**2d0*coupl(nGC_189)**2d0  &
                         - 10d0*cima*coupl(nGC_1919)*coupl(nGC_2961)*coupl(    &
                        nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1919)*coupl(&
                        nGC_661)*coupl(nGC_72)*coupl(nGC_96) + 12d0*cima*coupl(&
                        nGC_61)*coupl(nGC_62) - 10d0*cima*coupl(nGC_661)*coupl(&
                        nGC_94)*coupl(nGC_96)**2d0 + 24d0*cima*coupl(nGC_70)** &
                        2d0 + 3d0*coupl(nGC_10)*coupl(nGC_1491)*coupl(nGC_69   &
                        ) + 3d0*coupl(nGC_10)*coupl(nGC_2961)*coupl(nGC_64) -  &
                        3d0*coupl(nGC_100)*coupl(nGC_1079)*coupl(nGC_92) - 3d0*&
                        coupl(nGC_100)*coupl(nGC_661)*coupl(nGC_94) + 3d0*coupl&
                        (nGC_1079)*coupl(nGC_43)*coupl(nGC_94) + 3d0*coupl(    &
                        nGC_1079)*coupl(nGC_56)*coupl(nGC_92) + 3d0*coupl(     &
                        nGC_12)*coupl(nGC_2961)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_1283)**2d0*coupl(nGC_32) - 6d0*coupl(nGC_1283)*    &
                        coupl(nGC_16)*coupl(nGC_2961) - 6d0*coupl(nGC_1283)*   &
                        coupl(nGC_16)*coupl(nGC_69) + 3d0*coupl(nGC_13)*coupl( &
                        nGC_1491)*coupl(nGC_64) - 6d0*coupl(nGC_1319)*coupl(   &
                        nGC_16)*coupl(nGC_94) + 6d0*coupl(nGC_1319)*coupl(     &
                        nGC_1795)*coupl(nGC_41) + 3d0*coupl(nGC_1319)*coupl(   &
                        nGC_33)*coupl(nGC_72) - 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_61)*coupl(nGC_72) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_1919)*coupl(nGC_45) + 3d0*coupl(nGC_1491)*coupl(   &
                        nGC_57)*coupl(nGC_64) - 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_62)*coupl(nGC_64) + 3d0*coupl(nGC_1529)**2d0*coupl(&
                        nGC_32) - 6d0*coupl(nGC_1529)*coupl(nGC_2961)*coupl(   &
                        nGC_70) - 6d0*coupl(nGC_1529)*coupl(nGC_69)*coupl(     &
                        nGC_70) - 6d0*coupl(nGC_16)*coupl(nGC_661)*coupl(nGC_72&
                        ) + 6d0*coupl(nGC_1795)*coupl(nGC_23)*coupl(nGC_2961   &
                        ) + 6d0*coupl(nGC_1795)*coupl(nGC_27)*coupl(nGC_68) +  &
                        3d0*coupl(nGC_1795)*coupl(nGC_2961)*coupl(nGC_45) +    &
                        12d0*coupl(nGC_1795)*coupl(nGC_36)*coupl(nGC_63) + 3d0*&
                        coupl(nGC_1795)*coupl(nGC_57)*coupl(nGC_63) - 3d0*coupl&
                        (nGC_1795)*coupl(nGC_61)*coupl(nGC_63) - 3d0*coupl(    &
                        nGC_1795)*coupl(nGC_62)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_1919)*coupl(nGC_27)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_1919)*coupl(nGC_2961)*coupl(nGC_32) + 3d0*coupl(   &
                        nGC_1919)*coupl(nGC_54)*coupl(nGC_68) - 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_61)*coupl(nGC_68) - 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_62)*coupl(nGC_68) + 6d0*coupl(     &
                        nGC_23)*coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(       &
                        nGC_2961)*coupl(nGC_54)*coupl(nGC_69) - 3d0*coupl(     &
                        nGC_2961)*coupl(nGC_62)*coupl(nGC_69) + 6d0*coupl(     &
                        nGC_32)*coupl(nGC_68)*coupl(nGC_69) + 6d0*coupl(nGC_40 &
                        )*coupl(nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_43)*coupl&
                        (nGC_661)*coupl(nGC_92) + 3d0*coupl(nGC_45)*coupl(     &
                        nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_45)*coupl(nGC_64 &
                        )*coupl(nGC_68) + 3d0*coupl(nGC_53)*coupl(nGC_661)*    &
                        coupl(nGC_94) - 3d0*coupl(nGC_96)**2d0*coupl(nGC_99))/(&
                        96d0*pi**2d0)
      coupl(nGC_9141) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl(     &
                        nGC_134)**2d0 + 20d0*Nc*cima*coupl(nGC_130)*coupl(     &
                        nGC_133)*coupl(nGC_174)**2d0 + 20d0*Nc*cima*coupl(     &
                        nGC_130)*coupl(nGC_134)*coupl(nGC_173)*coupl(nGC_174   &
                        ) + 20d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(  &
                        nGC_169)*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_134)**&
                        2d0*coupl(nGC_169)*coupl(nGC_173) + 20d0*Nc*cima*coupl(&
                        nGC_137)*coupl(nGC_138)**2d0*coupl(nGC_141) + 20d0*Nc* &
                        cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_177)*coupl&
                        (nGC_181) + 20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_141)*&
                        coupl(nGC_181)**2d0 + 20d0*Nc*cima*coupl(nGC_138)**2d0*&
                        coupl(nGC_177)*coupl(nGC_180) + 20d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_141)*coupl(nGC_180)*coupl(nGC_181   &
                        ) + 20d0*Nc*cima*coupl(nGC_145)*coupl(nGC_149)*coupl(  &
                        nGC_150)**2d0 + 20d0*Nc*cima*coupl(nGC_145)*coupl(     &
                        nGC_149)*coupl(nGC_196)**2d0 + 20d0*Nc*cima*coupl(     &
                        nGC_145)*coupl(nGC_150)*coupl(nGC_195)*coupl(nGC_196   &
                        ) + 20d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150)*coupl(  &
                        nGC_192)*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_150)**&
                        2d0*coupl(nGC_192)*coupl(nGC_195) + 20d0*Nc*cima*coupl(&
                        nGC_169)*coupl(nGC_173)*coupl(nGC_174)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_177)*coupl(nGC_180)*coupl(nGC_181)**2d0 &
                         + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_195)*coupl(   &
                        nGC_196)**2d0 - 5d0*cima*coupl(nGC_1079)*coupl(nGC_94)*&
                        coupl(nGC_96)**2d0 - 5d0*cima*coupl(nGC_1283)**2d0*    &
                        coupl(nGC_1491)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1283&
                        )**2d0*coupl(nGC_2961)*coupl(nGC_64) - 5d0*cima*coupl( &
                        nGC_1283)*coupl(nGC_1319)*coupl(nGC_69)*coupl(nGC_91   &
                        ) - 5d0*cima*coupl(nGC_1283)*coupl(nGC_2961)*coupl(    &
                        nGC_3231)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1319)*    &
                        coupl(nGC_1491)*coupl(nGC_69)*coupl(nGC_72) - 5d0*cima*&
                        coupl(nGC_1319)*coupl(nGC_1795)*coupl(nGC_69)*coupl(   &
                        nGC_72) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_2961)*    &
                        coupl(nGC_63)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1319)*&
                        coupl(nGC_2961)*coupl(nGC_64)*coupl(nGC_72) - 5d0*cima*&
                        coupl(nGC_1319)*coupl(nGC_3231)*coupl(nGC_72)*coupl(   &
                        nGC_94) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_63)*coupl(&
                        nGC_94)*coupl(nGC_96) - 5d0*cima*coupl(nGC_1319)*coupl(&
                        nGC_661)*coupl(nGC_72)*coupl(nGC_91) + 24d0*cima*coupl(&
                        nGC_14)*coupl(nGC_16) - 5d0*cima*coupl(nGC_1491)*coupl(&
                        nGC_1529)**2d0*coupl(nGC_69) - 5d0*cima*coupl(nGC_1491 &
                        )*coupl(nGC_1795)*coupl(nGC_63)*coupl(nGC_69) - 5d0*   &
                        cima*coupl(nGC_1491)*coupl(nGC_1919)*coupl(nGC_68)*    &
                        coupl(nGC_69) - 5d0*cima*coupl(nGC_1529)**2d0*coupl(   &
                        nGC_2961)*coupl(nGC_64) + 20d0*cima*coupl(nGC_153)*    &
                        coupl(nGC_157)*coupl(nGC_158)**2d0 + 20d0*cima*coupl(  &
                        nGC_161)*coupl(nGC_165)*coupl(nGC_166)**2d0 - 5d0*cima*&
                        coupl(nGC_1795)**2d0*coupl(nGC_63)*coupl(nGC_69) - 5d0*&
                        cima*coupl(nGC_1795)*coupl(nGC_1919)*coupl(nGC_68)*    &
                        coupl(nGC_69) - 5d0*cima*coupl(nGC_1795)*coupl(nGC_2961&
                        )*coupl(nGC_63)**2d0 - 5d0*cima*coupl(nGC_1795)*coupl( &
                        nGC_2961)*coupl(nGC_63)*coupl(nGC_64) - 5d0*cima*coupl(&
                        nGC_1795)*coupl(nGC_661)*coupl(nGC_72)*coupl(nGC_96) + &
                        20d0*cima*coupl(nGC_184)*coupl(nGC_188)*coupl(nGC_189  &
                        )**2d0 - 5d0*cima*coupl(nGC_1919)*coupl(nGC_2961)*coupl&
                        (nGC_63)*coupl(nGC_68) - 5d0*cima*coupl(nGC_1919)*coupl&
                        (nGC_2961)*coupl(nGC_64)*coupl(nGC_68) - 5d0*cima*coupl&
                        (nGC_3231)*coupl(nGC_94)*coupl(nGC_96)**2d0 + 24d0*cima&
                        *coupl(nGC_65)*coupl(nGC_70) - 5d0*cima*coupl(nGC_661)*&
                        coupl(nGC_91)*coupl(nGC_96)**2d0 - 5d0*cima*coupl(     &
                        nGC_661)*coupl(nGC_92)*coupl(nGC_96)**2d0 + 3d0*coupl( &
                        nGC_10)*coupl(nGC_2961)*coupl(nGC_69) - 3d0*coupl(     &
                        nGC_100)*coupl(nGC_1079)*coupl(nGC_94) - 3d0*coupl(    &
                        nGC_100)*coupl(nGC_661)*coupl(nGC_91) + 3d0*coupl(     &
                        nGC_1283)**2d0*coupl(nGC_23) - 3d0*coupl(nGC_1283)*    &
                        coupl(nGC_14)*coupl(nGC_2961) - 3d0*coupl(nGC_1283)*   &
                        coupl(nGC_14)*coupl(nGC_69) - 3d0*coupl(nGC_1283)*coupl&
                        (nGC_1491)*coupl(nGC_16) - 3d0*coupl(nGC_1283)*coupl(  &
                        nGC_16)*coupl(nGC_64) + 3d0*coupl(nGC_13)*coupl(       &
                        nGC_1491)*coupl(nGC_69) + 3d0*coupl(nGC_13)*coupl(     &
                        nGC_2961)*coupl(nGC_64) - 3d0*coupl(nGC_1319)*coupl(   &
                        nGC_14)*coupl(nGC_94) - 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_16)*coupl(nGC_91) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_1795)*coupl(nGC_48) + 3d0*coupl(nGC_1319)*coupl(   &
                        nGC_25)*coupl(nGC_72) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_2961)*coupl(nGC_41) - 3d0*coupl(nGC_14)*coupl(     &
                        nGC_661)*coupl(nGC_72) - 3d0*coupl(nGC_1491)*coupl(    &
                        nGC_1529)*coupl(nGC_70) + 3d0*coupl(nGC_1491)*coupl(   &
                        nGC_1795)*coupl(nGC_23) + 6d0*coupl(nGC_1491)*coupl(   &
                        nGC_1795)*coupl(nGC_45) + 3d0*coupl(nGC_1491)*coupl(   &
                        nGC_1919)*coupl(nGC_32) + 3d0*coupl(nGC_1491)*coupl(   &
                        nGC_54)*coupl(nGC_69) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_57)*coupl(nGC_68) + 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_64)*coupl(nGC_9) + 3d0*coupl(nGC_1529)**2d0*coupl( &
                        nGC_23) - 3d0*coupl(nGC_1529)*coupl(nGC_2961)*coupl(   &
                        nGC_65) - 3d0*coupl(nGC_1529)*coupl(nGC_64)*coupl(     &
                        nGC_70) - 3d0*coupl(nGC_1529)*coupl(nGC_65)*coupl(     &
                        nGC_69) - 3d0*coupl(nGC_16)*coupl(nGC_3231)*coupl(     &
                        nGC_72) + 6d0*coupl(nGC_1795)*coupl(nGC_24)*coupl(     &
                        nGC_63) + 3d0*coupl(nGC_1795)*coupl(nGC_2961)*coupl(   &
                        nGC_35) + 3d0*coupl(nGC_1795)*coupl(nGC_36)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_1795)*coupl(nGC_36)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_1795)*coupl(nGC_54)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_1795)*coupl(nGC_57)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_1919)*coupl(nGC_23)*coupl(     &
                        nGC_2961) + 3d0*coupl(nGC_1919)*coupl(nGC_27)*coupl(   &
                        nGC_69) + 3d0*coupl(nGC_1919)*coupl(nGC_36)*coupl(     &
                        nGC_63) - 3d0*coupl(nGC_1919)*coupl(nGC_62)*coupl(     &
                        nGC_63) - 3d0*coupl(nGC_1919)*coupl(nGC_62)*coupl(     &
                        nGC_64) + 3d0*coupl(nGC_23)*coupl(nGC_63)*coupl(nGC_64 &
                        ) + 3d0*coupl(nGC_23)*coupl(nGC_68)*coupl(nGC_69) + 3d0&
                        *coupl(nGC_27)*coupl(nGC_2961)*coupl(nGC_68) + 3d0*    &
                        coupl(nGC_2961)*coupl(nGC_36)*coupl(nGC_63) - 3d0*coupl&
                        (nGC_2961)*coupl(nGC_62)*coupl(nGC_63) - 3d0*coupl(    &
                        nGC_2961)*coupl(nGC_62)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_32)*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(       &
                        nGC_3231)*coupl(nGC_43)*coupl(nGC_92) + 3d0*coupl(     &
                        nGC_3231)*coupl(nGC_53)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_35)*coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_40 &
                        )*coupl(nGC_69)*coupl(nGC_72) + 3d0*coupl(nGC_43)*coupl&
                        (nGC_661)*coupl(nGC_94) + 3d0*coupl(nGC_45)*coupl(     &
                        nGC_68)**2d0 + 3d0*coupl(nGC_45)*coupl(nGC_69)**2d0 +  &
                        3d0*coupl(nGC_49)*coupl(nGC_63)*coupl(nGC_72) + 3d0*   &
                        coupl(nGC_56)*coupl(nGC_661)*coupl(nGC_92))/(96d0*pi** &
                        2d0)
      coupl(nGC_9142) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_134)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_174)**2d0&
                         + 40d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*coupl(   &
                        nGC_169)*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_134)**&
                        2d0*coupl(nGC_169)**2d0 + 20d0*Nc*cima*coupl(nGC_138)**&
                        2d0*coupl(nGC_141)**2d0 + 20d0*Nc*cima*coupl(nGC_138)**&
                        2d0*coupl(nGC_177)**2d0 + 40d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_141)*coupl(nGC_177)*coupl(nGC_181) + 20d0*Nc*&
                        cima*coupl(nGC_141)**2d0*coupl(nGC_181)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_145)**2d0*coupl(nGC_150)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_145)**2d0*coupl(nGC_196)**2d0 + 40d0*Nc*&
                        cima*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_192)*coupl&
                        (nGC_196) + 20d0*Nc*cima*coupl(nGC_150)**2d0*coupl(    &
                        nGC_192)**2d0 + 20d0*Nc*cima*coupl(nGC_169)**2d0*coupl(&
                        nGC_174)**2d0 + 20d0*Nc*cima*coupl(nGC_177)**2d0*coupl(&
                        nGC_181)**2d0 + 20d0*Nc*cima*coupl(nGC_192)**2d0*coupl(&
                        nGC_196)**2d0 + 6d0*cima*coupl(nGC_100)*coupl(nGC_99   &
                        ) - 10d0*cima*coupl(nGC_1283)**2d0*coupl(nGC_1491)*    &
                        coupl(nGC_64) - 5d0*cima*coupl(nGC_1283)*coupl(nGC_1319&
                        )*coupl(nGC_64)*coupl(nGC_91) - 5d0*cima*coupl(nGC_1283&
                        )*coupl(nGC_1491)*coupl(nGC_3231)*coupl(nGC_72) - 10d0*&
                        cima*coupl(nGC_1319)*coupl(nGC_1491)*coupl(nGC_64)*    &
                        coupl(nGC_72) - 10d0*cima*coupl(nGC_1319)*coupl(       &
                        nGC_2961)*coupl(nGC_69)*coupl(nGC_72) - 10d0*cima*coupl&
                        (nGC_1319)*coupl(nGC_3231)*coupl(nGC_72)*coupl(nGC_91  &
                        ) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_63)*coupl(nGC_91&
                        )*coupl(nGC_96) + 24d0*cima*coupl(nGC_14)**2d0 - 10d0* &
                        cima*coupl(nGC_1491)*coupl(nGC_1529)**2d0*coupl(nGC_64 &
                        ) - 10d0*cima*coupl(nGC_1491)*coupl(nGC_1795)*coupl(   &
                        nGC_63)*coupl(nGC_64) - 10d0*cima*coupl(nGC_1491)*coupl&
                        (nGC_1919)*coupl(nGC_64)*coupl(nGC_68) + 20d0*cima*    &
                        coupl(nGC_153)**2d0*coupl(nGC_158)**2d0 + 20d0*cima*   &
                        coupl(nGC_161)**2d0*coupl(nGC_166)**2d0 - 10d0*cima*   &
                        coupl(nGC_1795)*coupl(nGC_2961)*coupl(nGC_63)*coupl(   &
                        nGC_69) - 5d0*cima*coupl(nGC_1795)*coupl(nGC_3231)*    &
                        coupl(nGC_72)*coupl(nGC_96) + 20d0*cima*coupl(nGC_184  &
                        )**2d0*coupl(nGC_189)**2d0 - 10d0*cima*coupl(nGC_1919)*&
                        coupl(nGC_2961)*coupl(nGC_68)*coupl(nGC_69) - 10d0*cima&
                        *coupl(nGC_3231)*coupl(nGC_91)*coupl(nGC_96)**2d0 +    &
                        12d0*cima*coupl(nGC_61)*coupl(nGC_62) + 24d0*cima*coupl&
                        (nGC_65)**2d0 - 10d0*cima*coupl(nGC_661)*coupl(nGC_94)*&
                        coupl(nGC_96)**2d0 - 3d0*coupl(nGC_100)*coupl(nGC_3231 &
                        )*coupl(nGC_91) - 3d0*coupl(nGC_100)*coupl(nGC_661)*   &
                        coupl(nGC_94) + 3d0*coupl(nGC_11)*coupl(nGC_1491)*coupl&
                        (nGC_64) + 3d0*coupl(nGC_1283)**2d0*coupl(nGC_35) - 6d0&
                        *coupl(nGC_1283)*coupl(nGC_14)*coupl(nGC_1491) - 6d0*  &
                        coupl(nGC_1283)*coupl(nGC_14)*coupl(nGC_64) + 3d0*coupl&
                        (nGC_13)*coupl(nGC_2961)*coupl(nGC_69) - 6d0*coupl(    &
                        nGC_1319)*coupl(nGC_14)*coupl(nGC_91) + 6d0*coupl(     &
                        nGC_1319)*coupl(nGC_2961)*coupl(nGC_48) + 3d0*coupl(   &
                        nGC_1319)*coupl(nGC_39)*coupl(nGC_72) - 3d0*coupl(     &
                        nGC_1319)*coupl(nGC_61)*coupl(nGC_72) - 6d0*coupl(     &
                        nGC_14)*coupl(nGC_3231)*coupl(nGC_72) - 6d0*coupl(     &
                        nGC_1491)*coupl(nGC_1529)*coupl(nGC_65) + 6d0*coupl(   &
                        nGC_1491)*coupl(nGC_1795)*coupl(nGC_35) + 6d0*coupl(   &
                        nGC_1491)*coupl(nGC_1919)*coupl(nGC_23) + 3d0*coupl(   &
                        nGC_1491)*coupl(nGC_2961)*coupl(nGC_45) + 3d0*coupl(   &
                        nGC_1491)*coupl(nGC_54)*coupl(nGC_64) - 3d0*coupl(     &
                        nGC_1491)*coupl(nGC_62)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_1491)*coupl(nGC_69)*coupl(nGC_9) + 3d0*coupl(      &
                        nGC_1529)**2d0*coupl(nGC_35) - 6d0*coupl(nGC_1529)*    &
                        coupl(nGC_64)*coupl(nGC_65) + 3d0*coupl(nGC_1795)*coupl&
                        (nGC_1919)*coupl(nGC_45) + 6d0*coupl(nGC_1795)*coupl(  &
                        nGC_24)*coupl(nGC_69) + 3d0*coupl(nGC_1795)*coupl(     &
                        nGC_54)*coupl(nGC_63) - 3d0*coupl(nGC_1795)*coupl(     &
                        nGC_61)*coupl(nGC_63) - 3d0*coupl(nGC_1795)*coupl(     &
                        nGC_62)*coupl(nGC_63) + 6d0*coupl(nGC_1919)*coupl(     &
                        nGC_36)*coupl(nGC_69) + 3d0*coupl(nGC_1919)*coupl(     &
                        nGC_57)*coupl(nGC_68) - 3d0*coupl(nGC_1919)*coupl(     &
                        nGC_61)*coupl(nGC_68) - 3d0*coupl(nGC_1919)*coupl(     &
                        nGC_62)*coupl(nGC_68) + 6d0*coupl(nGC_23)*coupl(nGC_64 &
                        )*coupl(nGC_68) + 6d0*coupl(nGC_24)*coupl(nGC_2961)*   &
                        coupl(nGC_63) + 6d0*coupl(nGC_2961)*coupl(nGC_36)*coupl&
                        (nGC_68) + 3d0*coupl(nGC_2961)*coupl(nGC_57)*coupl(    &
                        nGC_69) - 3d0*coupl(nGC_2961)*coupl(nGC_62)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_2961)*coupl(nGC_64)*coupl(nGC_9&
                        ) + 3d0*coupl(nGC_3231)*coupl(nGC_43)*coupl(nGC_94) +  &
                        3d0*coupl(nGC_3231)*coupl(nGC_53)*coupl(nGC_91) + 6d0* &
                        coupl(nGC_35)*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl( &
                        nGC_43)*coupl(nGC_661)*coupl(nGC_91) + 3d0*coupl(nGC_45&
                        )*coupl(nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_45)*coupl&
                        (nGC_64)*coupl(nGC_69) + 6d0*coupl(nGC_49)*coupl(nGC_69&
                        )*coupl(nGC_72) + 3d0*coupl(nGC_56)*coupl(nGC_661)*    &
                        coupl(nGC_94) - 3d0*coupl(nGC_96)**2d0*coupl(nGC_99))/(&
                        96d0*pi**2d0)
      coupl(nGC_9143) = (-16d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_80)**2d0  &
                         - 16d0*Nc*cima*coupl(nGC_138)**2d0*coupl(nGC_80)**2d0 &
                         - 16d0*Nc*cima*coupl(nGC_150)**2d0*coupl(nGC_80)**2d0 &
                         - 16d0*Nc*cima*coupl(nGC_174)**2d0*coupl(nGC_80)**2d0 &
                         - 16d0*Nc*cima*coupl(nGC_181)**2d0*coupl(nGC_80)**2d0 &
                         - 16d0*Nc*cima*coupl(nGC_196)**2d0*coupl(nGC_80)**2d0 &
                         + 12d0*cima*coupl(nGC_100)*coupl(nGC_1153) + 12d0*cima&
                        *coupl(nGC_1247)*coupl(nGC_18) + 4d0*cima*coupl(       &
                        nGC_1283)**2d0*coupl(nGC_1319)*coupl(nGC_72) + 4d0*cima&
                        *coupl(nGC_1283)**2d0*coupl(nGC_1795)*coupl(nGC_63) +  &
                        4d0*cima*coupl(nGC_1283)**2d0*coupl(nGC_1919)*coupl(   &
                        nGC_68) + 4d0*cima*coupl(nGC_1319)**2d0*coupl(nGC_1491 &
                        )**2d0 + 4d0*cima*coupl(nGC_1319)**2d0*coupl(nGC_1491)*&
                        coupl(nGC_1795) + 4d0*cima*coupl(nGC_1319)**2d0*coupl( &
                        nGC_1919)*coupl(nGC_2961) + 4d0*cima*coupl(nGC_1319)** &
                        2d0*coupl(nGC_2961)**2d0 + 8d0*cima*coupl(nGC_1319)**  &
                        2d0*coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_1319)*coupl&
                        (nGC_1529)**2d0*coupl(nGC_72) + 9d0*cima*coupl(nGC_1319&
                        )*coupl(nGC_72)*coupl(nGC_781)**2d0 + 9d0*cima*coupl(  &
                        nGC_1319)*coupl(nGC_72)*coupl(nGC_877)**2d0 + 4d0*cima*&
                        coupl(nGC_1491)**2d0*coupl(nGC_64)**2d0 + 4d0*cima*    &
                        coupl(nGC_1491)**2d0*coupl(nGC_68)*coupl(nGC_69) + 4d0*&
                        cima*coupl(nGC_1491)**2d0*coupl(nGC_69)**2d0 + 4d0*cima&
                        *coupl(nGC_1491)*coupl(nGC_1795)*coupl(nGC_63)*coupl(  &
                        nGC_64) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_1795)*    &
                        coupl(nGC_68)*coupl(nGC_69) + 4d0*cima*coupl(nGC_1491)*&
                        coupl(nGC_1795)*coupl(nGC_69)**2d0 + 4d0*cima*coupl(   &
                        nGC_1491)*coupl(nGC_1919)*coupl(nGC_64)*coupl(nGC_68   &
                        ) + 8d0*cima*coupl(nGC_1491)*coupl(nGC_2961)*coupl(    &
                        nGC_64)*coupl(nGC_69) + 4d0*cima*coupl(nGC_1529)**2d0* &
                        coupl(nGC_1795)*coupl(nGC_63) + 4d0*cima*coupl(nGC_1529&
                        )**2d0*coupl(nGC_1919)*coupl(nGC_68) - 16d0*cima*coupl(&
                        nGC_158)**2d0*coupl(nGC_80)**2d0 - 16d0*cima*coupl(    &
                        nGC_166)**2d0*coupl(nGC_80)**2d0 + 9d0*cima*coupl(     &
                        nGC_17)**2d0*coupl(nGC_3)**2d0 + 9d0*cima*coupl(nGC_17 &
                        )**2d0*coupl(nGC_877)**2d0 + 18d0*cima*coupl(nGC_17)*  &
                        coupl(nGC_3)*coupl(nGC_82)*coupl(nGC_96) + 18d0*cima*  &
                        coupl(nGC_17)*coupl(nGC_781)*coupl(nGC_877)*coupl(     &
                        nGC_96) + 4d0*cima*coupl(nGC_1795)*coupl(nGC_2961)*    &
                        coupl(nGC_63)*coupl(nGC_69) + 9d0*cima*coupl(nGC_1795)*&
                        coupl(nGC_63)*coupl(nGC_781)**2d0 + 9d0*cima*coupl(    &
                        nGC_1795)*coupl(nGC_63)*coupl(nGC_877)**2d0 - 16d0*cima&
                        *coupl(nGC_189)**2d0*coupl(nGC_80)**2d0 + 4d0*cima*    &
                        coupl(nGC_1919)*coupl(nGC_2961)*coupl(nGC_63)*coupl(   &
                        nGC_64) + 4d0*cima*coupl(nGC_1919)*coupl(nGC_2961)*    &
                        coupl(nGC_64)**2d0 + 4d0*cima*coupl(nGC_1919)*coupl(   &
                        nGC_2961)*coupl(nGC_68)*coupl(nGC_69) + 9d0*cima*coupl(&
                        nGC_1919)*coupl(nGC_68)*coupl(nGC_781)**2d0 + 9d0*cima*&
                        coupl(nGC_1919)*coupl(nGC_68)*coupl(nGC_877)**2d0 + 4d0&
                        *cima*coupl(nGC_2961)**2d0*coupl(nGC_63)*coupl(nGC_64  &
                        ) + 4d0*cima*coupl(nGC_2961)**2d0*coupl(nGC_64)**2d0 + &
                        4d0*cima*coupl(nGC_2961)**2d0*coupl(nGC_69)**2d0 + 24d0&
                        *cima*coupl(nGC_62)*coupl(nGC_78) + 4d0*cima*coupl(    &
                        nGC_63)*coupl(nGC_64)*coupl(nGC_72)**2d0 + 4d0*cima*   &
                        coupl(nGC_64)**2d0*coupl(nGC_72)**2d0 + 4d0*cima*coupl(&
                        nGC_68)*coupl(nGC_69)*coupl(nGC_72)**2d0 + 4d0*cima*   &
                        coupl(nGC_69)**2d0*coupl(nGC_72)**2d0 + 9d0*cima*coupl(&
                        nGC_781)**2d0*coupl(nGC_96)**2d0 + 9d0*cima*coupl(     &
                        nGC_82)**2d0*coupl(nGC_96)**2d0 + 24d0*cima*coupl(     &
                        nGC_83)*coupl(nGC_97) + 36d0*coupl(nGC_100)*coupl(     &
                        nGC_82)**2d0 - 6d0*coupl(nGC_1153)*coupl(nGC_96)**2d0  &
                         - 6d0*coupl(nGC_1247)*coupl(nGC_17)**2d0 + 6d0*coupl( &
                        nGC_1283)**2d0*coupl(nGC_62) - 6d0*coupl(nGC_1319)*    &
                        coupl(nGC_20)*coupl(nGC_781) + 6d0*coupl(nGC_1319)*    &
                        coupl(nGC_62)*coupl(nGC_72) - 6d0*coupl(nGC_1319)*coupl&
                        (nGC_72)*coupl(nGC_78) - 6d0*coupl(nGC_1319)*coupl(    &
                        nGC_74)*coupl(nGC_877) - 6d0*coupl(nGC_14)*coupl(      &
                        nGC_1795)*coupl(nGC_781) - 6d0*coupl(nGC_14)*coupl(    &
                        nGC_63)*coupl(nGC_781) + 6d0*coupl(nGC_1491)*coupl(    &
                        nGC_61)*coupl(nGC_64) + 6d0*coupl(nGC_1529)**2d0*coupl(&
                        nGC_62) - 6d0*coupl(nGC_16)*coupl(nGC_1919)*coupl(     &
                        nGC_781) - 6d0*coupl(nGC_16)*coupl(nGC_68)*coupl(      &
                        nGC_781) - 12d0*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_62&
                        ) - 12d0*coupl(nGC_17)*coupl(nGC_62)*coupl(nGC_877) -  &
                        12d0*coupl(nGC_17)*coupl(nGC_83)*coupl(nGC_96) - 6d0*  &
                        coupl(nGC_1795)*coupl(nGC_63)*coupl(nGC_78) - 6d0*coupl&
                        (nGC_1795)*coupl(nGC_65)*coupl(nGC_877) + 36d0*coupl(  &
                        nGC_18)*coupl(nGC_3)**2d0 - 6d0*coupl(nGC_19)*coupl(   &
                        nGC_72)*coupl(nGC_781) - 6d0*coupl(nGC_1919)*coupl(    &
                        nGC_68)*coupl(nGC_78) - 6d0*coupl(nGC_1919)*coupl(     &
                        nGC_70)*coupl(nGC_877) + 6d0*coupl(nGC_2961)*coupl(    &
                        nGC_61)*coupl(nGC_69) + 72d0*coupl(nGC_3)*coupl(nGC_82 &
                        )*coupl(nGC_97) + 36d0*coupl(nGC_62)*coupl(nGC_781)**  &
                        2d0 - 12d0*coupl(nGC_62)*coupl(nGC_781)*coupl(nGC_96   &
                        ) - 12d0*coupl(nGC_62)*coupl(nGC_82)*coupl(nGC_96) +   &
                        36d0*coupl(nGC_62)*coupl(nGC_877)**2d0 - 6d0*coupl(    &
                        nGC_63)*coupl(nGC_65)*coupl(nGC_877) - 6d0*coupl(nGC_68&
                        )*coupl(nGC_70)*coupl(nGC_877) - 6d0*coupl(nGC_72)*    &
                        coupl(nGC_73)*coupl(nGC_877))/(192d0*pi**2d0)
      coupl(nGC_9144) = (-16d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_85)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_85)*coupl&
                        (nGC_87) - 16d0*Nc*cima*coupl(nGC_134)**2d0*coupl(     &
                        nGC_87)**2d0 - 16d0*Nc*cima*coupl(nGC_138)**2d0*coupl( &
                        nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_138)**2d0*coupl( &
                        nGC_84)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_138)**  &
                        2d0*coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_150)** &
                        2d0*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_150)** &
                        2d0*coupl(nGC_84)*coupl(nGC_88) - 16d0*Nc*cima*coupl(  &
                        nGC_150)**2d0*coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl( &
                        nGC_174)**2d0*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl( &
                        nGC_174)**2d0*coupl(nGC_84)*coupl(nGC_88) - 16d0*Nc*   &
                        cima*coupl(nGC_174)**2d0*coupl(nGC_88)**2d0 - 16d0*Nc* &
                        cima*coupl(nGC_181)**2d0*coupl(nGC_85)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_181)**2d0*coupl(nGC_85)*coupl(nGC_87) - &
                        16d0*Nc*cima*coupl(nGC_181)**2d0*coupl(nGC_87)**2d0 -  &
                        16d0*Nc*cima*coupl(nGC_196)**2d0*coupl(nGC_85)**2d0 +  &
                        20d0*Nc*cima*coupl(nGC_196)**2d0*coupl(nGC_85)*coupl(  &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_196)**2d0*coupl(nGC_87&
                        )**2d0 + 4d0*cima*coupl(nGC_1079)*coupl(nGC_2961)*coupl&
                        (nGC_64)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1079)*coupl&
                        (nGC_2961)*coupl(nGC_69)*coupl(nGC_92) + 12d0*cima*    &
                        coupl(nGC_1153)*coupl(nGC_62) + 4d0*cima*coupl(nGC_1283&
                        )**2d0*coupl(nGC_96)**2d0 + 4d0*cima*coupl(nGC_1319)*  &
                        coupl(nGC_3231)*coupl(nGC_72)*coupl(nGC_91) + 4d0*cima*&
                        coupl(nGC_1319)*coupl(nGC_661)*coupl(nGC_72)*coupl(    &
                        nGC_94) + 9d0*cima*coupl(nGC_1319)*coupl(nGC_72)*coupl(&
                        nGC_82)**2d0 + 4d0*cima*coupl(nGC_1491)*coupl(nGC_3231 &
                        )*coupl(nGC_64)*coupl(nGC_91) + 4d0*cima*coupl(nGC_1491&
                        )*coupl(nGC_3231)*coupl(nGC_69)*coupl(nGC_94) + 4d0*   &
                        cima*coupl(nGC_1491)*coupl(nGC_64)*coupl(nGC_661)*coupl&
                        (nGC_94) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_661)*    &
                        coupl(nGC_69)*coupl(nGC_92) + 4d0*cima*coupl(nGC_1529  &
                        )**2d0*coupl(nGC_96)**2d0 - 16d0*cima*coupl(nGC_158)** &
                        2d0*coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_158)**2d0*&
                        coupl(nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(nGC_158  &
                        )**2d0*coupl(nGC_90)**2d0 - 16d0*cima*coupl(nGC_166)** &
                        2d0*coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_166)**2d0*&
                        coupl(nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(nGC_166  &
                        )**2d0*coupl(nGC_90)**2d0 + 9d0*cima*coupl(nGC_1795)*  &
                        coupl(nGC_63)*coupl(nGC_82)**2d0 - 16d0*cima*coupl(    &
                        nGC_189)**2d0*coupl(nGC_86)**2d0 + 20d0*cima*coupl(    &
                        nGC_189)**2d0*coupl(nGC_86)*coupl(nGC_90) - 16d0*cima* &
                        coupl(nGC_189)**2d0*coupl(nGC_90)**2d0 + 9d0*cima*coupl&
                        (nGC_1919)*coupl(nGC_68)*coupl(nGC_82)**2d0 + 4d0*cima*&
                        coupl(nGC_2961)*coupl(nGC_64)*coupl(nGC_661)*coupl(    &
                        nGC_91) + 4d0*cima*coupl(nGC_2961)*coupl(nGC_661)*coupl&
                        (nGC_69)*coupl(nGC_94) + 3d0*coupl(nGC_100)*coupl(     &
                        nGC_1283)**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_1529)**  &
                        2d0 + 3d0*coupl(nGC_101)*coupl(nGC_1319)*coupl(nGC_72  &
                        ) - 3d0*coupl(nGC_1153)*coupl(nGC_1319)*coupl(nGC_72   &
                        ) - 3d0*coupl(nGC_1153)*coupl(nGC_1795)*coupl(nGC_63   &
                        ) - 3d0*coupl(nGC_1153)*coupl(nGC_1919)*coupl(nGC_68   &
                        ) - 6d0*coupl(nGC_1319)*coupl(nGC_20)*coupl(nGC_82) -  &
                        6d0*coupl(nGC_14)*coupl(nGC_1795)*coupl(nGC_82) - 6d0* &
                        coupl(nGC_14)*coupl(nGC_63)*coupl(nGC_82) + 3d0*coupl( &
                        nGC_1491)*coupl(nGC_64)*coupl(nGC_99) - 6d0*coupl(     &
                        nGC_16)*coupl(nGC_1919)*coupl(nGC_82) - 6d0*coupl(     &
                        nGC_16)*coupl(nGC_68)*coupl(nGC_82) - 6d0*coupl(nGC_19 &
                        )*coupl(nGC_72)*coupl(nGC_82) + 3d0*coupl(nGC_2961)*   &
                        coupl(nGC_69)*coupl(nGC_99) + 18d0*coupl(nGC_62)*coupl(&
                        nGC_781)**2d0 + 18d0*coupl(nGC_62)*coupl(nGC_82)**2d0  &
                        )/(96d0*pi**2d0)
      coupl(nGC_9145) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_134)**2d0  &
                         - coupl(nGC_138)**2d0 - coupl(nGC_150)**2d0 - coupl(  &
                        nGC_174)**2d0 - coupl(nGC_181)**2d0 - coupl(nGC_196)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_9146) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_134)**2d0 + &
                        coupl(nGC_138)**2d0 + coupl(nGC_150)**2d0 + coupl(     &
                        nGC_174)**2d0 + coupl(nGC_181)**2d0 + coupl(nGC_196)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9147) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(     &
                        nGC_135)*coupl(nGC_136) + 20d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_134)*coupl(nGC_175)*coupl(nGC_176) + 20d0*Nc*&
                        cima*coupl(nGC_131)*coupl(nGC_136)*coupl(nGC_174)*coupl&
                        (nGC_175) + 20d0*Nc*cima*coupl(nGC_134)*coupl(nGC_135)*&
                        coupl(nGC_170)*coupl(nGC_176) + 20d0*Nc*cima*coupl(    &
                        nGC_135)*coupl(nGC_136)*coupl(nGC_170)*coupl(nGC_174   &
                        ) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*coupl(  &
                        nGC_140)*coupl(nGC_142) + 20d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_139)*coupl(nGC_178)*coupl(nGC_183) + 20d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_182)*coupl&
                        (nGC_183) + 20d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*&
                        coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_140)*coupl(nGC_142)*coupl(nGC_181)*coupl(nGC_182   &
                        ) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*coupl(  &
                        nGC_151)*coupl(nGC_152) + 20d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_150)*coupl(nGC_197)*coupl(nGC_198) + 20d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_196)*coupl&
                        (nGC_197) + 20d0*Nc*cima*coupl(nGC_150)*coupl(nGC_151)*&
                        coupl(nGC_193)*coupl(nGC_198) + 20d0*Nc*cima*coupl(    &
                        nGC_151)*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_196   &
                        ) + 20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*coupl(  &
                        nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(nGC_178)* &
                        coupl(nGC_181)*coupl(nGC_182)*coupl(nGC_183) + 20d0*Nc*&
                        cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197)*coupl&
                        (nGC_198) - 5d0*cima*coupl(nGC_1283)*coupl(nGC_64)*    &
                        coupl(nGC_72)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1283)*&
                        coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_91) - 5d0*cima*  &
                        coupl(nGC_1319)*coupl(nGC_1491)*coupl(nGC_2961)*coupl( &
                        nGC_72) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1795)*    &
                        coupl(nGC_2961)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1319&
                        )*coupl(nGC_1795)*coupl(nGC_661)*coupl(nGC_96) - 5d0*  &
                        cima*coupl(nGC_1319)*coupl(nGC_2961)*coupl(nGC_3231)*  &
                        coupl(nGC_96) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_63)*&
                        coupl(nGC_68)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1319)*&
                        coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_72) - 5d0*cima*  &
                        coupl(nGC_1491)*coupl(nGC_1795)*coupl(nGC_661)*coupl(  &
                        nGC_91) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_2961)*    &
                        coupl(nGC_3231)*coupl(nGC_91) + 20d0*cima*coupl(nGC_154&
                        )*coupl(nGC_158)*coupl(nGC_159)*coupl(nGC_160) + 20d0* &
                        cima*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_167)*coupl&
                        (nGC_168) - 5d0*cima*coupl(nGC_1795)*coupl(nGC_2961)*  &
                        coupl(nGC_661)*coupl(nGC_94) + 20d0*cima*coupl(nGC_185 &
                        )*coupl(nGC_189)*coupl(nGC_190)*coupl(nGC_191) - 5d0*  &
                        cima*coupl(nGC_2961)**2d0*coupl(nGC_3231)*coupl(nGC_94 &
                        ) - 5d0*cima*coupl(nGC_3231)*coupl(nGC_63)*coupl(nGC_64&
                        )*coupl(nGC_94) - 5d0*cima*coupl(nGC_3231)*coupl(nGC_63&
                        )*coupl(nGC_68)*coupl(nGC_91) - 5d0*cima*coupl(nGC_64)*&
                        coupl(nGC_661)*coupl(nGC_68)*coupl(nGC_94) - 5d0*cima* &
                        coupl(nGC_661)*coupl(nGC_68)**2d0*coupl(nGC_91) + 6d0* &
                        coupl(nGC_1283)*coupl(nGC_3231)*coupl(nGC_49) + 6d0*   &
                        coupl(nGC_1283)*coupl(nGC_40)*coupl(nGC_661) + 3d0*    &
                        coupl(nGC_1283)*coupl(nGC_40)*coupl(nGC_94) + 3d0*coupl&
                        (nGC_1283)*coupl(nGC_49)*coupl(nGC_91) + 9d0*coupl(    &
                        nGC_1319)**2d0*coupl(nGC_43) + 3d0*coupl(nGC_1319)*    &
                        coupl(nGC_40)*coupl(nGC_68) + 6d0*coupl(nGC_1319)*coupl&
                        (nGC_45)*coupl(nGC_72) + 3d0*coupl(nGC_1319)*coupl(    &
                        nGC_47)*coupl(nGC_72) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_49)*coupl(nGC_63) - 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_2961)*coupl(nGC_62) + 3d0*coupl(nGC_1491)*coupl(   &
                        nGC_49)*coupl(nGC_72) + 3d0*coupl(nGC_17)**2d0*coupl(  &
                        nGC_43) - 3d0*coupl(nGC_1795)*coupl(nGC_2961)*coupl(   &
                        nGC_62) - 6d0*coupl(nGC_19)*coupl(nGC_64)*coupl(nGC_94 &
                        ) - 6d0*coupl(nGC_19)*coupl(nGC_68)*coupl(nGC_91) + 3d0&
                        *coupl(nGC_24)*coupl(nGC_3231)*coupl(nGC_91) + 3d0*    &
                        coupl(nGC_25)*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl( &
                        nGC_25)*coupl(nGC_68)**2d0 + 3d0*coupl(nGC_27)*coupl(  &
                        nGC_661)*coupl(nGC_94) + 3d0*coupl(nGC_2961)*coupl(    &
                        nGC_40)*coupl(nGC_72) + 3d0*coupl(nGC_3231)*coupl(     &
                        nGC_36)*coupl(nGC_94) + 3d0*coupl(nGC_3231)*coupl(     &
                        nGC_49)*coupl(nGC_96) + 3d0*coupl(nGC_33)*coupl(nGC_64 &
                        )*coupl(nGC_68) + 3d0*coupl(nGC_36)*coupl(nGC_661)*    &
                        coupl(nGC_91) + 3d0*coupl(nGC_39)*coupl(nGC_63)*coupl( &
                        nGC_68) + 3d0*coupl(nGC_40)*coupl(nGC_661)*coupl(nGC_96&
                        ) + 3d0*coupl(nGC_43)*coupl(nGC_72)**2d0 + 3d0*coupl(  &
                        nGC_43)*coupl(nGC_96)**2d0)/(96d0*pi**2d0)
      coupl(nGC_31530) = -coupl(nGC_8856)
      coupl(nGC_17932) = coupl(nGC_137)*dZHh_QED2/2d0 + coupl(nGC_141)*        &
                         dZHlHh_QED2/2d0 + coupl(nGC_9438)
      coupl(nGC_17930) = coupl(nGC_137)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_19424) = 2d0*coupl(nGC_8)*dZg_QCD2 + coupl(nGC_9279)
      coupl(nGC_30687) = -coupl(nGC_8853)
      coupl(nGC_16753) = -coupl(nGC_14409)
      coupl(nGC_14705) = coupl(nGC_139)*dZbL_QED2/2d0 + coupl(nGC_139)*        &
                         dZbR_QED2/2d0 + coupl(nGC_144)*dZHaG0_QED2/2d0 + coupl&
                         (nGC_9431)
      coupl(nGC_14704) = coupl(nGC_140)*dZbL_QED2/2d0 + coupl(nGC_140)*        &
                         dZbR_QED2/2d0 + coupl(nGC_143)*dZHaG0_QED2/2d0 + coupl&
                         (nGC_9429)
      coupl(nGC_14707) = coupl(nGC_139)*dZbL_QCD2/2d0 + coupl(nGC_139)*        &
                         dZbR_QCD2/2d0 + coupl(nGC_9432)
      coupl(nGC_14706) = coupl(nGC_140)*dZbL_QCD2/2d0 + coupl(nGC_140)*        &
                         dZbR_QCD2/2d0 + coupl(nGC_9430)
      coupl(nGC_14701) = coupl(nGC_139)*dZG0/2d0
      coupl(nGC_15093) = coupl(nGC_119)*dZGMinus/2d0
      coupl(nGC_13681) = coupl(nGC_61)*dZHl_QED2 + coupl(nGC_61)*dZWMinus_QED2 &
                          + coupl(nGC_9365)
      coupl(nGC_13951) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_13957) = coupl(nGC_1)*dZsL_QED2 + coupl(nGC_87)*dZZA_QED2/2d0
      coupl(nGC_13956) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_9387)
      coupl(nGC_23699) = coupl(nGC_MW_GF)*dZGMinus/2d0
    end subroutine fill_CTcouplings_mdl26
end module fill_ctcouplings26
