!******************************************************************************!
!                                                                              !
!    fill_ctcouplings27.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings27.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings27
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl27()
      coupl(nGC_TS_GC_23_Hl) = -coupl(nGC_23)*dtHl_QED1/cMHL**2d0
      coupl(nGC_8910) = (-4d0*Nc*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_172)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_179)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_80) -   &
                        6d0*coupl(nGC_1079)*coupl(nGC_1795)*coupl(nGC_82) - 6d0&
                        *coupl(nGC_1283)*coupl(nGC_1319)*coupl(nGC_781) - 6d0* &
                        coupl(nGC_1319)*coupl(nGC_1529)*coupl(nGC_877) + 4d0*  &
                        coupl(nGC_154)*coupl(nGC_156)*coupl(nGC_80) + 4d0*coupl&
                        (nGC_162)*coupl(nGC_164)*coupl(nGC_80) + coupl(nGC_1795&
                        )*coupl(nGC_92)*coupl(nGC_96) + 4d0*coupl(nGC_185)*    &
                        coupl(nGC_187)*coupl(nGC_80) - 6d0*coupl(nGC_2961)*    &
                        coupl(nGC_661)*coupl(nGC_82) + coupl(nGC_2961)*coupl(  &
                        nGC_94)*coupl(nGC_96) + coupl(nGC_64)**2d0*coupl(nGC_72&
                        ) + coupl(nGC_68)**2d0*coupl(nGC_72) + coupl(nGC_72)** &
                        3d0)/(96d0*pi**2d0)
      coupl(nGC_8911) = (-4d0*Nc*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_80) +   &
                        coupl(nGC_1079)*coupl(nGC_1319)*coupl(nGC_96) - 6d0*   &
                        coupl(nGC_1283)*coupl(nGC_1795)*coupl(nGC_781) - 6d0*  &
                        coupl(nGC_1319)*coupl(nGC_82)*coupl(nGC_92) - 6d0*coupl&
                        (nGC_1529)*coupl(nGC_1795)*coupl(nGC_877) + 4d0*coupl( &
                        nGC_154)*coupl(nGC_157)*coupl(nGC_80) + 4d0*coupl(     &
                        nGC_162)*coupl(nGC_165)*coupl(nGC_80) + coupl(nGC_1795 &
                        )*coupl(nGC_2961)*coupl(nGC_68) + 4d0*coupl(nGC_185)*  &
                        coupl(nGC_188)*coupl(nGC_80) + coupl(nGC_1919)*coupl(  &
                        nGC_2961)*coupl(nGC_64) + coupl(nGC_63)*coupl(nGC_64)**&
                        2d0 + coupl(nGC_63)*coupl(nGC_68)**2d0 + coupl(nGC_63)*&
                        coupl(nGC_72)**2d0)/(96d0*pi**2d0)
      coupl(nGC_14455) = coupl(nGC_14454) + coupl(nGC_9433)
      coupl(nGC_14456) = coupl(nGC_145)*dZHlHh_QED2/2d0 + coupl(nGC_149)*      &
                         dZHh_QED2/2d0 + coupl(nGC_9434)
      coupl(nGC_8914) = (coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_17) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_142)*coupl(nGC_2) + coupl(nGC_1283)*  &
                        coupl(nGC_142)*coupl(nGC_88) + coupl(nGC_1319)*coupl(  &
                        nGC_144)*coupl(nGC_80) - coupl(nGC_137)*coupl(nGC_178)*&
                        coupl(nGC_180) + coupl(nGC_137)*coupl(nGC_1795)*coupl( &
                        nGC_80) - coupl(nGC_139)*coupl(nGC_178)*coupl(nGC_183  &
                        ) - coupl(nGC_141)*coupl(nGC_177)*coupl(nGC_178) +     &
                        coupl(nGC_141)*coupl(nGC_2961)*coupl(nGC_80) + coupl(  &
                        nGC_142)*coupl(nGC_1529)*coupl(nGC_2) + 8d0*coupl(     &
                        nGC_142)*coupl(nGC_84)*coupl(nGC_88) + coupl(nGC_142)* &
                        coupl(nGC_84)*coupl(nGC_96) - coupl(nGC_144)*coupl(    &
                        nGC_178)*coupl(nGC_179))/(32d0*pi**2d0)
      coupl(nGC_19370) = coupl(nGC_12718) + coupl(nGC_19364)
      coupl(nGC_12995) = coupl(nGC_181)*dZbL_QCD2/2d0 + coupl(nGC_181)*        &
                         dZtR_QCD2/2d0 + coupl(nGC_9406)
      coupl(nGC_12993) = coupl(nGC_178)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_181&
                         )*dZbL_QED2/2d0 + coupl(nGC_181)*dZtR_QED2/2d0 + coupl&
                         (nGC_9405)
      coupl(nGC_13139) = coupl(nGC_147)*dZdL_QCD2/2d0 + coupl(nGC_147)*        &
                         dZdR_QCD2/2d0 + coupl(nGC_9447)
      coupl(nGC_12842) = coupl(nGC_128)*dZHl_QED2/2d0 + coupl(nGC_128)*dZZ_QED2&
                          + coupl(nGC_129)*dZHhHl_QED2/2d0 + coupl(nGC_9384) + &
                         coupl(nGC_TS_GC_99_Hl)
      coupl(nGC_12663) = coupl(nGC_91)*dZHlHh_QED2/2d0 + coupl(nGC_92)*        &
                         dZHaG0_QED2/2d0 + coupl(nGC_9369) + coupl(nGC_94)*    &
                         dZHh_QED2/2d0 + coupl(nGC_94)*dZZ_QED2/2d0
      coupl(nGC_9393) = coupl(nGC_7936)*dsw_QED2 + coupl(nGC_7937)*dcw_QED2 +  &
                        coupl(nGC_7938)*dZee_QED2
      coupl(nGC_TS_GC_133_Hh) = -coupl(nGC_133)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9009) = (-coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_181) - coupl(&
                        nGC_141)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_1491&
                        )*coupl(nGC_181)*coupl(nGC_80) - coupl(nGC_177)**3d0 - &
                        coupl(nGC_177)*coupl(nGC_180)**2d0 - coupl(nGC_177)*   &
                        coupl(nGC_182)**2d0 + 8d0*coupl(nGC_177)*coupl(nGC_2)**&
                        2d0 - coupl(nGC_177)*coupl(nGC_2153)**2d0 + 8d0*coupl( &
                        nGC_177)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_178)* &
                        coupl(nGC_69)*coupl(nGC_80) - coupl(nGC_182)*coupl(    &
                        nGC_3231)*coupl(nGC_88) - coupl(nGC_182)*coupl(nGC_85)*&
                        coupl(nGC_91) - coupl(nGC_2153)*coupl(nGC_661)*coupl(  &
                        nGC_88) - coupl(nGC_2153)*coupl(nGC_85)*coupl(nGC_94   &
                        ))/(32d0*pi**2d0)
      coupl(nGC_9008) = coupl(nGC_169)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9003) = coupl(nGC_7)**2d0*sq2**2d0*(-cMB*coupl(nGC_141) - cMC* &
                        coupl(nGC_130) - cMD*coupl(nGC_145) - cMS*coupl(nGC_169&
                        ) - cMT*coupl(nGC_177) - cMU*coupl(nGC_192))/(16d0*pi**&
                        2d0)
      coupl(nGC_9002) = coupl(nGC_7)**2d0*sq2**2d0*(cMB*coupl(nGC_141) + cMC*  &
                        coupl(nGC_130) + cMD*coupl(nGC_145) + cMS*coupl(nGC_169&
                        ) + cMT*coupl(nGC_177) + cMU*coupl(nGC_192))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_8846) = (coupl(nGC_1283)*coupl(nGC_158)*coupl(nGC_90) + coupl( &
                        nGC_1319)*coupl(nGC_159)*coupl(nGC_80) + coupl(nGC_153 &
                        )*coupl(nGC_64)*coupl(nGC_80) + coupl(nGC_157)*coupl(  &
                        nGC_69)*coupl(nGC_80) + coupl(nGC_158)*coupl(nGC_17)*  &
                        coupl(nGC_4) + 8d0*coupl(nGC_158)*coupl(nGC_86)*coupl( &
                        nGC_90) + coupl(nGC_158)*coupl(nGC_86)*coupl(nGC_96))/(&
                        32d0*pi**2d0)
      coupl(nGC_8847) = (coupl(nGC_1283)*coupl(nGC_166)*coupl(nGC_90) + coupl( &
                        nGC_1319)*coupl(nGC_167)*coupl(nGC_80) + coupl(nGC_161 &
                        )*coupl(nGC_64)*coupl(nGC_80) + coupl(nGC_165)*coupl(  &
                        nGC_69)*coupl(nGC_80) + coupl(nGC_166)*coupl(nGC_17)*  &
                        coupl(nGC_4) + 8d0*coupl(nGC_166)*coupl(nGC_86)*coupl( &
                        nGC_90) + coupl(nGC_166)*coupl(nGC_86)*coupl(nGC_96))/(&
                        32d0*pi**2d0)
      coupl(nGC_8844) = (coupl(nGC_1)*coupl(nGC_150)*coupl(nGC_17) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_150)*coupl(nGC_2) + coupl(nGC_1283)*  &
                        coupl(nGC_150)*coupl(nGC_88) + coupl(nGC_1319)*coupl(  &
                        nGC_151)*coupl(nGC_80) - coupl(nGC_145)*coupl(nGC_192)*&
                        coupl(nGC_196) + coupl(nGC_145)*coupl(nGC_64)*coupl(   &
                        nGC_80) - coupl(nGC_147)*coupl(nGC_194)*coupl(nGC_196  &
                        ) - coupl(nGC_149)*coupl(nGC_195)*coupl(nGC_196) +     &
                        coupl(nGC_149)*coupl(nGC_69)*coupl(nGC_80) + coupl(    &
                        nGC_150)*coupl(nGC_1529)*coupl(nGC_2) + 8d0*coupl(     &
                        nGC_150)*coupl(nGC_84)*coupl(nGC_88) + coupl(nGC_150)* &
                        coupl(nGC_84)*coupl(nGC_96) - coupl(nGC_151)*coupl(    &
                        nGC_196)*coupl(nGC_198))/(32d0*pi**2d0)
      coupl(nGC_8845) = (coupl(nGC_1)*coupl(nGC_17)*coupl(nGC_196) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_196)*coupl(nGC_2) + coupl(nGC_1283)*  &
                        coupl(nGC_196)*coupl(nGC_85) - coupl(nGC_145)*coupl(   &
                        nGC_150)*coupl(nGC_192) - coupl(nGC_148)*coupl(nGC_150 &
                        )*coupl(nGC_797) - coupl(nGC_149)*coupl(nGC_150)*coupl(&
                        nGC_195) - coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_197 &
                        ) + coupl(nGC_1529)*coupl(nGC_196)*coupl(nGC_2) + coupl&
                        (nGC_1795)*coupl(nGC_192)*coupl(nGC_80) + coupl(       &
                        nGC_1919)*coupl(nGC_195)*coupl(nGC_80) + 8d0*coupl(    &
                        nGC_196)*coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_196)* &
                        coupl(nGC_87)*coupl(nGC_96) + coupl(nGC_197)*coupl(    &
                        nGC_72)*coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_8842) = (-coupl(nGC_1)*coupl(nGC_134)*coupl(nGC_1529) + 8d0*   &
                        coupl(nGC_1)*coupl(nGC_134)*coupl(nGC_2) - coupl(      &
                        nGC_1283)*coupl(nGC_134)*coupl(nGC_87) - coupl(nGC_130 &
                        )*coupl(nGC_169)*coupl(nGC_174) - coupl(nGC_130)*coupl(&
                        nGC_64)*coupl(nGC_80) - coupl(nGC_1313)*coupl(nGC_172)*&
                        coupl(nGC_174) - coupl(nGC_1319)*coupl(nGC_135)*coupl( &
                        nGC_80) - coupl(nGC_133)*coupl(nGC_173)*coupl(nGC_174  &
                        ) - coupl(nGC_133)*coupl(nGC_69)*coupl(nGC_80) - coupl(&
                        nGC_134)*coupl(nGC_17)*coupl(nGC_2) + 8d0*coupl(nGC_134&
                        )*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_134)*coupl(  &
                        nGC_85)*coupl(nGC_96) - coupl(nGC_135)*coupl(nGC_174)* &
                        coupl(nGC_176))/(32d0*pi**2d0)
      coupl(nGC_8843) = (-coupl(nGC_1)*coupl(nGC_1529)*coupl(nGC_174) + 8d0*   &
                        coupl(nGC_1)*coupl(nGC_174)*coupl(nGC_2) - coupl(      &
                        nGC_1283)*coupl(nGC_174)*coupl(nGC_84) - coupl(nGC_130 &
                        )*coupl(nGC_134)*coupl(nGC_169) - coupl(nGC_132)*coupl(&
                        nGC_134)*coupl(nGC_171) - coupl(nGC_133)*coupl(nGC_134 &
                        )*coupl(nGC_173) - coupl(nGC_134)*coupl(nGC_136)*coupl(&
                        nGC_175) - coupl(nGC_169)*coupl(nGC_1795)*coupl(nGC_80 &
                        ) - coupl(nGC_17)*coupl(nGC_174)*coupl(nGC_2) - coupl( &
                        nGC_173)*coupl(nGC_1919)*coupl(nGC_80) + 8d0*coupl(    &
                        nGC_174)*coupl(nGC_84)*coupl(nGC_88) - coupl(nGC_174)* &
                        coupl(nGC_88)*coupl(nGC_96) - coupl(nGC_175)*coupl(    &
                        nGC_72)*coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_8840) = (coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_17) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_138)*coupl(nGC_2) + coupl(nGC_1283)*  &
                        coupl(nGC_138)*coupl(nGC_88) + coupl(nGC_1319)*coupl(  &
                        nGC_139)*coupl(nGC_80) - coupl(nGC_137)*coupl(nGC_180)*&
                        coupl(nGC_181) + coupl(nGC_137)*coupl(nGC_69)*coupl(   &
                        nGC_80) + coupl(nGC_138)*coupl(nGC_1529)*coupl(nGC_2   &
                        ) + 8d0*coupl(nGC_138)*coupl(nGC_84)*coupl(nGC_88) +   &
                        coupl(nGC_138)*coupl(nGC_84)*coupl(nGC_96) - coupl(    &
                        nGC_139)*coupl(nGC_181)*coupl(nGC_183) - coupl(nGC_141 &
                        )*coupl(nGC_177)*coupl(nGC_181) + coupl(nGC_141)*coupl(&
                        nGC_64)*coupl(nGC_80) - coupl(nGC_144)*coupl(nGC_179)* &
                        coupl(nGC_181))/(32d0*pi**2d0)
      coupl(nGC_8841) = (coupl(nGC_1)*coupl(nGC_17)*coupl(nGC_181) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_181)*coupl(nGC_2) + coupl(nGC_1283)*  &
                        coupl(nGC_181)*coupl(nGC_85) - coupl(nGC_137)*coupl(   &
                        nGC_138)*coupl(nGC_180) - coupl(nGC_138)*coupl(nGC_140 &
                        )*coupl(nGC_182) - coupl(nGC_138)*coupl(nGC_141)*coupl(&
                        nGC_177) - coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_2153&
                        ) + coupl(nGC_1529)*coupl(nGC_181)*coupl(nGC_2) + coupl&
                        (nGC_177)*coupl(nGC_1795)*coupl(nGC_80) + coupl(nGC_180&
                        )*coupl(nGC_1919)*coupl(nGC_80) + 8d0*coupl(nGC_181)*  &
                        coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_181)*coupl(    &
                        nGC_87)*coupl(nGC_96) + coupl(nGC_182)*coupl(nGC_72)*  &
                        coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_113_Hl) = -coupl(nGC_113)*dtHl_QED1/cMHL**2d0
      coupl(nGC_8848) = (-coupl(nGC_1283)*coupl(nGC_189)*coupl(nGC_86) - coupl(&
                        nGC_1529)*coupl(nGC_189)*coupl(nGC_4) - coupl(nGC_1795 &
                        )*coupl(nGC_184)*coupl(nGC_80) - coupl(nGC_188)*coupl( &
                        nGC_1919)*coupl(nGC_80) + 8d0*coupl(nGC_189)*coupl(    &
                        nGC_86)*coupl(nGC_90) - coupl(nGC_189)*coupl(nGC_90)*  &
                        coupl(nGC_96) - coupl(nGC_190)*coupl(nGC_72)*coupl(    &
                        nGC_80))/(32d0*pi**2d0)
      coupl(nGC_8849) = (2d0*Nc*cMB*coupl(nGC_139)**2d0*coupl(nGC_143) + 4d0*Nc&
                        *cMB*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_143) + 4d0&
                        *Nc*cMB*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_144) + &
                        2d0*Nc*cMB*coupl(nGC_140)**2d0*coupl(nGC_144) + 4d0*Nc*&
                        cMC*coupl(nGC_1313)*coupl(nGC_135)*coupl(nGC_136) + 2d0&
                        *Nc*cMC*coupl(nGC_1313)*coupl(nGC_136)**2d0 + 2d0*Nc*  &
                        cMC*coupl(nGC_132)*coupl(nGC_135)**2d0 + 4d0*Nc*cMC*   &
                        coupl(nGC_132)*coupl(nGC_135)*coupl(nGC_136) + 4d0*Nc* &
                        cMD*coupl(nGC_147)*coupl(nGC_151)*coupl(nGC_152) + 2d0*&
                        Nc*cMD*coupl(nGC_147)*coupl(nGC_152)**2d0 + 2d0*Nc*cMD*&
                        coupl(nGC_148)*coupl(nGC_151)**2d0 + 4d0*Nc*cMD*coupl( &
                        nGC_148)*coupl(nGC_151)*coupl(nGC_152) + 4d0*Nc*cMS*   &
                        coupl(nGC_171)*coupl(nGC_175)*coupl(nGC_176) + 2d0*Nc* &
                        cMS*coupl(nGC_171)*coupl(nGC_176)**2d0 + 2d0*Nc*cMS*   &
                        coupl(nGC_172)*coupl(nGC_175)**2d0 + 4d0*Nc*cMS*coupl( &
                        nGC_172)*coupl(nGC_175)*coupl(nGC_176) + 2d0*Nc*cMT*   &
                        coupl(nGC_179)*coupl(nGC_182)**2d0 + 4d0*Nc*cMT*coupl( &
                        nGC_179)*coupl(nGC_182)*coupl(nGC_183) + 4d0*Nc*cMT*   &
                        coupl(nGC_182)*coupl(nGC_183)*coupl(nGC_2153) + 2d0*Nc*&
                        cMT*coupl(nGC_183)**2d0*coupl(nGC_2153) + 2d0*Nc*cMU*  &
                        coupl(nGC_194)*coupl(nGC_197)**2d0 + 4d0*Nc*cMU*coupl( &
                        nGC_194)*coupl(nGC_197)*coupl(nGC_198) + 4d0*Nc*cMU*   &
                        coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_797) + 2d0*Nc* &
                        cMU*coupl(nGC_198)**2d0*coupl(nGC_797) + 4d0*cME*coupl(&
                        nGC_155)*coupl(nGC_159)*coupl(nGC_160) + 2d0*cME*coupl(&
                        nGC_155)*coupl(nGC_160)**2d0 + 2d0*cME*coupl(nGC_156)* &
                        coupl(nGC_159)**2d0 + 4d0*cME*coupl(nGC_156)*coupl(    &
                        nGC_159)*coupl(nGC_160) + 4d0*cMM*coupl(nGC_163)*coupl(&
                        nGC_167)*coupl(nGC_168) + 2d0*cMM*coupl(nGC_163)*coupl(&
                        nGC_168)**2d0 + 2d0*cMM*coupl(nGC_164)*coupl(nGC_167)**&
                        2d0 + 4d0*cMM*coupl(nGC_164)*coupl(nGC_167)*coupl(     &
                        nGC_168) + 4d0*cMTA*coupl(nGC_186)*coupl(nGC_190)*coupl&
                        (nGC_191) + 2d0*cMTA*coupl(nGC_186)*coupl(nGC_191)**2d0&
                         + 2d0*cMTA*coupl(nGC_187)*coupl(nGC_190)**2d0 + 4d0*  &
                        cMTA*coupl(nGC_187)*coupl(nGC_190)*coupl(nGC_191) +    &
                        coupl(nGC_114)*coupl(nGC_1319)*coupl(nGC_72) + coupl(  &
                        nGC_115)*coupl(nGC_1319)*coupl(nGC_72))/(16d0*pi**2d0)
      coupl(nGC_19952) = coupl(nGC_63)*dZHhHl_QED2/2d0 + coupl(nGC_69)*        &
                         dZHMinus_QED2/2d0 + coupl(nGC_69)*dZHl_QED2/2d0 +     &
                         coupl(nGC_69)*dZWMinus_QED2/2d0 + coupl(nGC_9359)
      coupl(nGC_9319) = coupl(nGC_8019)*dl3_QED4 + coupl(nGC_8020)*db_QED2 +   &
                        coupl(nGC_8021)*dl2_QED4 + coupl(nGC_8022)*dl5_QED4 +  &
                        coupl(nGC_8023)*dl4_QED4 + coupl(nGC_8024)*dl1_QED4 +  &
                        coupl(nGC_8025)*da_QED2
      coupl(nGC_9318) = coupl(nGC_8142)*db_QED2 + coupl(nGC_8143)*dl5_QED4 +   &
                        coupl(nGC_8144)*dl4_QED4 + coupl(nGC_8145)*da_QED2
      coupl(nGC_9311) = coupl(nGC_8300)*dl3_QED4 + coupl(nGC_8301)*dl1_QED4 +  &
                        coupl(nGC_8302)*dl2_QED4 + coupl(nGC_8303)*dl5_QED4 +  &
                        coupl(nGC_8304)*dl4_QED4 + coupl(nGC_8305)*db_QED2
      coupl(nGC_9310) = coupl(nGC_8095)*dl3_QED4 + coupl(nGC_8096)*db_QED2 +   &
                        coupl(nGC_8097)*dl2_QED4 + coupl(nGC_8098)*dl5_QED4 +  &
                        coupl(nGC_8099)*dl4_QED4 + coupl(nGC_8100)*dl1_QED4 +  &
                        coupl(nGC_8101)*da_QED2
      coupl(nGC_9312) = coupl(nGC_8012)*dl3_QED4 + coupl(nGC_8013)*db_QED2 +   &
                        coupl(nGC_8014)*dl2_QED4 + coupl(nGC_8015)*dl5_QED4 +  &
                        coupl(nGC_8016)*dl4_QED4 + coupl(nGC_8017)*dl1_QED4 +  &
                        coupl(nGC_8018)*da_QED2
      coupl(nGC_9315) = coupl(nGC_8005)*dl3_QED4 + coupl(nGC_8006)*db_QED2 +   &
                        coupl(nGC_8007)*dl2_QED4 + coupl(nGC_8008)*dl5_QED4 +  &
                        coupl(nGC_8009)*dl4_QED4 + coupl(nGC_8010)*dl1_QED4 +  &
                        coupl(nGC_8011)*da_QED2
      coupl(nGC_9314) = coupl(nGC_7939)*dl3_QED4 + coupl(nGC_7940)*dl1_QED4 +  &
                        coupl(nGC_7941)*dl2_QED4 + coupl(nGC_7942)*dl5_QED4 +  &
                        coupl(nGC_7943)*dl4_QED4 + coupl(nGC_7944)*da_QED2
      coupl(nGC_9175) = (10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(     &
                        nGC_1313)*coupl(nGC_134) + 10d0*Nc*cima*coupl(nGC_130)*&
                        coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_134) + 10d0*Nc*&
                        cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_172)*coupl&
                        (nGC_174) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_1313 &
                        )*coupl(nGC_170)*coupl(nGC_174) + 10d0*Nc*cima*coupl(  &
                        nGC_130)*coupl(nGC_132)*coupl(nGC_170)*coupl(nGC_174   &
                        ) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*coupl(  &
                        nGC_170)*coupl(nGC_171) + 10d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_1313)*coupl(nGC_169)*coupl(nGC_174) + 10d0*Nc&
                        *cima*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_169)*    &
                        coupl(nGC_171) + 10d0*Nc*cima*coupl(nGC_131)*coupl(    &
                        nGC_134)*coupl(nGC_169)*coupl(nGC_172) + 10d0*Nc*cima* &
                        coupl(nGC_132)*coupl(nGC_134)*coupl(nGC_169)*coupl(    &
                        nGC_170) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)* &
                        coupl(nGC_142)*coupl(nGC_143) + 10d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_144   &
                        ) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*coupl(  &
                        nGC_178)*coupl(nGC_2153) + 10d0*Nc*cima*coupl(nGC_138)*&
                        coupl(nGC_142)*coupl(nGC_177)*coupl(nGC_179) + 10d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177)*coupl&
                        (nGC_2153) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_143 &
                        )*coupl(nGC_177)*coupl(nGC_178) + 10d0*Nc*cima*coupl(  &
                        nGC_141)*coupl(nGC_142)*coupl(nGC_179)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_141)*coupl(nGC_143)*coupl(  &
                        nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_141)* &
                        coupl(nGC_144)*coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*&
                        cima*coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_177)*coupl&
                        (nGC_181) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*&
                        coupl(nGC_147)*coupl(nGC_150) + 10d0*Nc*cima*coupl(    &
                        nGC_145)*coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_150   &
                        ) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(  &
                        nGC_194)*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_147)*coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*&
                        cima*coupl(nGC_145)*coupl(nGC_148)*coupl(nGC_193)*coupl&
                        (nGC_196) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_150)*&
                        coupl(nGC_193)*coupl(nGC_797) + 10d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_147)*coupl(nGC_192)*coupl(nGC_196   &
                        ) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*coupl(  &
                        nGC_192)*coupl(nGC_194) + 10d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_150)*coupl(nGC_192)*coupl(nGC_797) + 10d0*Nc*&
                        cima*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_192)*coupl&
                        (nGC_193) + 10d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170)*&
                        coupl(nGC_171)*coupl(nGC_174) + 10d0*Nc*cima*coupl(    &
                        nGC_169)*coupl(nGC_170)*coupl(nGC_172)*coupl(nGC_174   &
                        ) + 10d0*Nc*cima*coupl(nGC_177)*coupl(nGC_178)*coupl(  &
                        nGC_179)*coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_177)* &
                        coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_2153) + 10d0*Nc&
                        *cima*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_194)*    &
                        coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_192)*coupl(    &
                        nGC_193)*coupl(nGC_196)*coupl(nGC_797) - 5d0*cima*coupl&
                        (nGC_1079)*coupl(nGC_1283)*coupl(nGC_1491)*coupl(nGC_64&
                        ) - 5d0*cima*coupl(nGC_1079)*coupl(nGC_1491)*coupl(    &
                        nGC_3231)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1283)*    &
                        coupl(nGC_1795)*coupl(nGC_69)*coupl(nGC_94) - 5d0*cima*&
                        coupl(nGC_1283)*coupl(nGC_1919)*coupl(nGC_64)*coupl(   &
                        nGC_661) - 5d0*cima*coupl(nGC_1283)*coupl(nGC_1919)*   &
                        coupl(nGC_69)*coupl(nGC_92) - 5d0*cima*coupl(nGC_1319  &
                        )**2d0*coupl(nGC_91)*coupl(nGC_96) - 5d0*cima*coupl(   &
                        nGC_1319)*coupl(nGC_17)**2d0*coupl(nGC_1795) - 5d0*cima&
                        *coupl(nGC_1319)*coupl(nGC_1795)*coupl(nGC_94)**2d0 -  &
                        5d0*cima*coupl(nGC_1319)*coupl(nGC_1795)*coupl(nGC_96  &
                        )**2d0 - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1919)*coupl&
                        (nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1319)*coupl&
                        (nGC_63)*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*coupl( &
                        nGC_1319)*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_69) +  &
                        12d0*cima*coupl(nGC_14)*coupl(nGC_19) + 10d0*cima*coupl&
                        (nGC_153)*coupl(nGC_154)*coupl(nGC_155)*coupl(nGC_158  &
                        ) + 10d0*cima*coupl(nGC_153)*coupl(nGC_154)*coupl(     &
                        nGC_156)*coupl(nGC_158) + 10d0*cima*coupl(nGC_161)*    &
                        coupl(nGC_162)*coupl(nGC_163)*coupl(nGC_166) + 10d0*   &
                        cima*coupl(nGC_161)*coupl(nGC_162)*coupl(nGC_164)*coupl&
                        (nGC_166) + 10d0*cima*coupl(nGC_184)*coupl(nGC_185)*   &
                        coupl(nGC_186)*coupl(nGC_189) + 10d0*cima*coupl(nGC_184&
                        )*coupl(nGC_185)*coupl(nGC_187)*coupl(nGC_189) - 5d0*  &
                        cima*coupl(nGC_1919)*coupl(nGC_3231)*coupl(nGC_661)*   &
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_1919)*coupl(nGC_63)*&
                        coupl(nGC_69)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1919)*&
                        coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_72) + 12d0*cima* &
                        coupl(nGC_65)*coupl(nGC_73) + 3d0*coupl(nGC_1079)*coupl&
                        (nGC_1283)*coupl(nGC_36) - 3d0*coupl(nGC_1079)*coupl(  &
                        nGC_14)*coupl(nGC_1491) + 3d0*coupl(nGC_1079)*coupl(   &
                        nGC_3231)*coupl(nGC_41) + 3d0*coupl(nGC_1079)*coupl(   &
                        nGC_49)*coupl(nGC_661) + 3d0*coupl(nGC_1283)*coupl(    &
                        nGC_24)*coupl(nGC_661) + 3d0*coupl(nGC_1283)*coupl(    &
                        nGC_24)*coupl(nGC_94) + 3d0*coupl(nGC_1283)*coupl(     &
                        nGC_3231)*coupl(nGC_58) + 3d0*coupl(nGC_1283)*coupl(   &
                        nGC_36)*coupl(nGC_92) + 3d0*coupl(nGC_1283)*coupl(     &
                        nGC_42)*coupl(nGC_661) + 3d0*coupl(nGC_1283)*coupl(    &
                        nGC_42)*coupl(nGC_94) + 3d0*coupl(nGC_1283)*coupl(     &
                        nGC_58)*coupl(nGC_91) - 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_14)*coupl(nGC_96) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_1491)*coupl(nGC_60) - 3d0*coupl(nGC_1319)*coupl(   &
                        nGC_17)*coupl(nGC_65) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_1795)*coupl(nGC_31) + 3d0*coupl(nGC_1319)*coupl(   &
                        nGC_1795)*coupl(nGC_57) + 3d0*coupl(nGC_1319)*coupl(   &
                        nGC_1919)*coupl(nGC_26) + 3d0*coupl(nGC_1319)*coupl(   &
                        nGC_1919)*coupl(nGC_42) + 3d0*coupl(nGC_1319)*coupl(   &
                        nGC_22)*coupl(nGC_69) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_30)*coupl(nGC_64) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_44)*coupl(nGC_68) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_44)*coupl(nGC_69) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_58)*coupl(nGC_63) - 3d0*coupl(nGC_14)*coupl(       &
                        nGC_1919)*coupl(nGC_661) + 3d0*coupl(nGC_1491)*coupl(  &
                        nGC_37)*coupl(nGC_72) - 3d0*coupl(nGC_16)*coupl(       &
                        nGC_1795)*coupl(nGC_94) - 3d0*coupl(nGC_16)*coupl(     &
                        nGC_1919)*coupl(nGC_92) + 3d0*coupl(nGC_17)**2d0*coupl(&
                        nGC_41) - 3d0*coupl(nGC_17)*coupl(nGC_1795)*coupl(     &
                        nGC_73) - 3d0*coupl(nGC_1795)*coupl(nGC_19)*coupl(     &
                        nGC_96) + 3d0*coupl(nGC_1795)*coupl(nGC_56)*coupl(     &
                        nGC_72) - 3d0*coupl(nGC_19)*coupl(nGC_3231)*coupl(     &
                        nGC_72) + 3d0*coupl(nGC_1919)*coupl(nGC_28)*coupl(     &
                        nGC_72) + 3d0*coupl(nGC_24)*coupl(nGC_69)*coupl(nGC_72 &
                        ) + 3d0*coupl(nGC_3231)*coupl(nGC_48)*coupl(nGC_661) + &
                        3d0*coupl(nGC_36)*coupl(nGC_63)*coupl(nGC_72) + 3d0*   &
                        coupl(nGC_41)*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl( &
                        nGC_41)*coupl(nGC_661)**2d0 + 3d0*coupl(nGC_41)*coupl( &
                        nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_41)*coupl(nGC_72 &
                        )**2d0 + 3d0*coupl(nGC_41)*coupl(nGC_96)**2d0 + 3d0*   &
                        coupl(nGC_42)*coupl(nGC_68)*coupl(nGC_72) + 3d0*coupl( &
                        nGC_49)*coupl(nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_49 &
                        )*coupl(nGC_63)*coupl(nGC_69))/(96d0*pi**2d0)
      coupl(nGC_19880) = coupl(nGC_109)*dZG0
      coupl(nGC_19883) = coupl(nGC_109)*dZHl_QED2/2d0 + coupl(nGC_117)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_120)*dZHaG0_QED2 + coupl( &
                         nGC_9340) + coupl(nGC_TS_GC_25_Hh) + coupl(           &
                         nGC_TS_GC_39_Hl)
      coupl(nGC_9171) = (20d0*Nc*cima*coupl(nGC_134)*coupl(nGC_136)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_134)*   &
                        coupl(nGC_136)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_134)*coupl(nGC_136)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_140)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_138)*coupl(nGC_140)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_150)*coupl(   &
                        nGC_152)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_150)*coupl(nGC_152)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_174)*coupl(nGC_176)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_174)*coupl(nGC_176)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_174)*coupl(   &
                        nGC_176)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_181)*coupl(nGC_183)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_181)*coupl(nGC_183)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_181)*coupl(nGC_183)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_196)*coupl(nGC_198)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_196)*coupl(   &
                        nGC_198)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_196)*coupl(nGC_198)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 9d0*cima*coupl(nGC_1283)*coupl(nGC_1319)*    &
                        coupl(nGC_781)*coupl(nGC_82) + 4d0*cima*coupl(nGC_1283 &
                        )*coupl(nGC_64)*coupl(nGC_91)*coupl(nGC_96) + 4d0*cima*&
                        coupl(nGC_1283)*coupl(nGC_69)*coupl(nGC_94)*coupl(     &
                        nGC_96) + 9d0*cima*coupl(nGC_1319)*coupl(nGC_1529)*    &
                        coupl(nGC_82)*coupl(nGC_877) + 4d0*cima*coupl(nGC_1319 &
                        )*coupl(nGC_91)**2d0*coupl(nGC_96) + 4d0*cima*coupl(   &
                        nGC_1319)*coupl(nGC_94)**2d0*coupl(nGC_96) + 20d0*cima*&
                        coupl(nGC_158)*coupl(nGC_160)*coupl(nGC_80)*coupl(     &
                        nGC_86) - 16d0*cima*coupl(nGC_158)*coupl(nGC_160)*coupl&
                        (nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_158)*coupl&
                        (nGC_160)*coupl(nGC_80)*coupl(nGC_90) + 20d0*cima*coupl&
                        (nGC_166)*coupl(nGC_168)*coupl(nGC_80)*coupl(nGC_86) - &
                        16d0*cima*coupl(nGC_166)*coupl(nGC_168)*coupl(nGC_80)* &
                        coupl(nGC_89) - 16d0*cima*coupl(nGC_166)*coupl(nGC_168 &
                        )*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(nGC_1795&
                        )**2d0*coupl(nGC_72)*coupl(nGC_96) + 4d0*cima*coupl(   &
                        nGC_1795)*coupl(nGC_3231)*coupl(nGC_72)**2d0 + 4d0*cima&
                        *coupl(nGC_1795)*coupl(nGC_72)**2d0*coupl(nGC_91) +    &
                        20d0*cima*coupl(nGC_189)*coupl(nGC_191)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_189)*coupl(nGC_191 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_189&
                        )*coupl(nGC_191)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima&
                        *coupl(nGC_1919)**2d0*coupl(nGC_72)*coupl(nGC_96) + 4d0&
                        *cima*coupl(nGC_1919)*coupl(nGC_661)*coupl(nGC_72)**2d0&
                         + 4d0*cima*coupl(nGC_1919)*coupl(nGC_72)**2d0*coupl(  &
                        nGC_94) + 24d0*cima*coupl(nGC_20)*coupl(nGC_79) + 9d0* &
                        cima*coupl(nGC_3231)*coupl(nGC_64)*coupl(nGC_781)*coupl&
                        (nGC_82) + 9d0*cima*coupl(nGC_661)*coupl(nGC_69)*coupl(&
                        nGC_781)*coupl(nGC_82) + 4d0*cima*coupl(nGC_72)**3d0*  &
                        coupl(nGC_96) + 24d0*cima*coupl(nGC_74)*coupl(nGC_803  &
                        ) - 6d0*coupl(nGC_100)*coupl(nGC_1319)*coupl(nGC_781   &
                        ) - 6d0*coupl(nGC_101)*coupl(nGC_1319)*coupl(nGC_82) - &
                        6d0*coupl(nGC_1283)*coupl(nGC_1319)*coupl(nGC_79) - 6d0&
                        *coupl(nGC_1283)*coupl(nGC_20)*coupl(nGC_781) - 6d0*   &
                        coupl(nGC_1319)*coupl(nGC_1529)*coupl(nGC_803) - 6d0*  &
                        coupl(nGC_1319)*coupl(nGC_62)*coupl(nGC_781) - 6d0*    &
                        coupl(nGC_1319)*coupl(nGC_62)*coupl(nGC_82) - 6d0*coupl&
                        (nGC_1319)*coupl(nGC_877)*coupl(nGC_97) + 6d0*coupl(   &
                        nGC_14)*coupl(nGC_1795)*coupl(nGC_72) - 6d0*coupl(     &
                        nGC_14)*coupl(nGC_3231)*coupl(nGC_82) + 6d0*coupl(     &
                        nGC_14)*coupl(nGC_91)*coupl(nGC_96) - 6d0*coupl(       &
                        nGC_1529)*coupl(nGC_20)*coupl(nGC_877) + 6d0*coupl(    &
                        nGC_16)*coupl(nGC_1919)*coupl(nGC_72) - 6d0*coupl(     &
                        nGC_16)*coupl(nGC_661)*coupl(nGC_82) + 6d0*coupl(nGC_16&
                        )*coupl(nGC_94)*coupl(nGC_96) + 6d0*coupl(nGC_20)*coupl&
                        (nGC_72)**2d0 + 36d0*coupl(nGC_20)*coupl(nGC_781)*coupl&
                        (nGC_82) + 36d0*coupl(nGC_3)*coupl(nGC_74)*coupl(      &
                        nGC_781) - 6d0*coupl(nGC_3231)*coupl(nGC_64)*coupl(    &
                        nGC_79) - 6d0*coupl(nGC_661)*coupl(nGC_69)*coupl(nGC_79&
                        ))/(192d0*pi**2d0)
      coupl(nGC_9170) = (10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(     &
                        nGC_134)*coupl(nGC_135) + 10d0*Nc*cima*coupl(nGC_130)* &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_136) + 10d0*Nc*&
                        cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_174)*coupl&
                        (nGC_176) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*&
                        coupl(nGC_170)*coupl(nGC_175) + 10d0*Nc*cima*coupl(    &
                        nGC_130)*coupl(nGC_135)*coupl(nGC_170)*coupl(nGC_174   &
                        ) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_136)*coupl(  &
                        nGC_170)*coupl(nGC_174) + 10d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_134)*coupl(nGC_169)*coupl(nGC_175) + 10d0*Nc*&
                        cima*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_169)*coupl&
                        (nGC_176) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_135)*&
                        coupl(nGC_169)*coupl(nGC_174) + 10d0*Nc*cima*coupl(    &
                        nGC_134)*coupl(nGC_136)*coupl(nGC_169)*coupl(nGC_170   &
                        ) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*coupl(  &
                        nGC_141)*coupl(nGC_142) + 10d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_140)*coupl(nGC_141)*coupl(nGC_142) + 10d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_177)*coupl&
                        (nGC_178) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*&
                        coupl(nGC_178)*coupl(nGC_182) + 10d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_142)*coupl(nGC_177)*coupl(nGC_182   &
                        ) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(  &
                        nGC_177)*coupl(nGC_183) + 10d0*Nc*cima*coupl(nGC_139)* &
                        coupl(nGC_141)*coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*&
                        cima*coupl(nGC_139)*coupl(nGC_142)*coupl(nGC_177)*coupl&
                        (nGC_181) + 10d0*Nc*cima*coupl(nGC_140)*coupl(nGC_141)*&
                        coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*coupl(    &
                        nGC_141)*coupl(nGC_142)*coupl(nGC_181)*coupl(nGC_183   &
                        ) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(  &
                        nGC_150)*coupl(nGC_151) + 10d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_152) + 10d0*Nc*&
                        cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_196)*coupl&
                        (nGC_198) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_150)*&
                        coupl(nGC_193)*coupl(nGC_197) + 10d0*Nc*cima*coupl(    &
                        nGC_145)*coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_196   &
                        ) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_152)*coupl(  &
                        nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_150)*coupl(nGC_192)*coupl(nGC_197) + 10d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_192)*coupl&
                        (nGC_198) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_151)*&
                        coupl(nGC_192)*coupl(nGC_196) + 10d0*Nc*cima*coupl(    &
                        nGC_150)*coupl(nGC_152)*coupl(nGC_192)*coupl(nGC_193   &
                        ) + 10d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170)*coupl(  &
                        nGC_174)*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_169)* &
                        coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_176) + 10d0*Nc*&
                        cima*coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_181)*coupl&
                        (nGC_182) + 10d0*Nc*cima*coupl(nGC_177)*coupl(nGC_178)*&
                        coupl(nGC_181)*coupl(nGC_183) + 10d0*Nc*cima*coupl(    &
                        nGC_192)*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197   &
                        ) + 10d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*coupl(  &
                        nGC_196)*coupl(nGC_198) - 5d0*cima*coupl(nGC_1283)**2d0&
                        *coupl(nGC_1319)*coupl(nGC_69) - 5d0*cima*coupl(       &
                        nGC_1283)*coupl(nGC_1319)**2d0*coupl(nGC_94) - 5d0*cima&
                        *coupl(nGC_1319)*coupl(nGC_1491)**2d0*coupl(nGC_1919   &
                        ) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1491)*coupl(    &
                        nGC_1795)*coupl(nGC_1919) - 5d0*cima*coupl(nGC_1319)*  &
                        coupl(nGC_1529)**2d0*coupl(nGC_69) - 5d0*cima*coupl(   &
                        nGC_1319)*coupl(nGC_63)*coupl(nGC_91)*coupl(nGC_94) -  &
                        5d0*cima*coupl(nGC_1319)*coupl(nGC_69)*coupl(nGC_91)** &
                        2d0 - 5d0*cima*coupl(nGC_1491)*coupl(nGC_1919)*coupl(  &
                        nGC_64)*coupl(nGC_72) + 10d0*cima*coupl(nGC_153)*coupl(&
                        nGC_154)*coupl(nGC_158)*coupl(nGC_159) + 10d0*cima*    &
                        coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_158)*coupl(    &
                        nGC_160) + 12d0*cima*coupl(nGC_16)*coupl(nGC_20) + 10d0&
                        *cima*coupl(nGC_161)*coupl(nGC_162)*coupl(nGC_166)*    &
                        coupl(nGC_167) + 10d0*cima*coupl(nGC_161)*coupl(nGC_162&
                        )*coupl(nGC_166)*coupl(nGC_168) - 5d0*cima*coupl(      &
                        nGC_1795)*coupl(nGC_1919)*coupl(nGC_64)*coupl(nGC_72   &
                        ) - 5d0*cima*coupl(nGC_1795)*coupl(nGC_63)*coupl(nGC_94&
                        )*coupl(nGC_96) - 5d0*cima*coupl(nGC_1795)*coupl(nGC_69&
                        )*coupl(nGC_91)*coupl(nGC_96) + 10d0*cima*coupl(nGC_184&
                        )*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_190) + 10d0* &
                        cima*coupl(nGC_184)*coupl(nGC_185)*coupl(nGC_189)*coupl&
                        (nGC_191) - 5d0*cima*coupl(nGC_1919)*coupl(nGC_3231)*  &
                        coupl(nGC_64)*coupl(nGC_96) - 5d0*cima*coupl(nGC_1919)*&
                        coupl(nGC_661)*coupl(nGC_69)*coupl(nGC_96) - 5d0*cima* &
                        coupl(nGC_3231)*coupl(nGC_64)*coupl(nGC_661)*coupl(    &
                        nGC_72) - 5d0*cima*coupl(nGC_661)**2d0*coupl(nGC_69)*  &
                        coupl(nGC_72) + 12d0*cima*coupl(nGC_70)*coupl(nGC_74   &
                        ) + 3d0*coupl(nGC_1283)**2d0*coupl(nGC_48) - 3d0*coupl(&
                        nGC_1283)*coupl(nGC_1319)*coupl(nGC_16) + 3d0*coupl(   &
                        nGC_1283)*coupl(nGC_3231)*coupl(nGC_43) + 3d0*coupl(   &
                        nGC_1283)*coupl(nGC_43)*coupl(nGC_91) + 3d0*coupl(     &
                        nGC_1283)*coupl(nGC_58)*coupl(nGC_661) + 3d0*coupl(    &
                        nGC_1283)*coupl(nGC_58)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_1319)*coupl(nGC_1491)*coupl(nGC_23) + 3d0*coupl(   &
                        nGC_1319)*coupl(nGC_1491)*coupl(nGC_45) - 3d0*coupl(   &
                        nGC_1319)*coupl(nGC_1529)*coupl(nGC_70) + 3d0*coupl(   &
                        nGC_1319)*coupl(nGC_1795)*coupl(nGC_45) + 3d0*coupl(   &
                        nGC_1319)*coupl(nGC_1919)*coupl(nGC_35) + 3d0*coupl(   &
                        nGC_1319)*coupl(nGC_1919)*coupl(nGC_56) - 3d0*coupl(   &
                        nGC_1319)*coupl(nGC_20)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_1319)*coupl(nGC_25)*coupl(nGC_63) + 3d0*coupl(     &
                        nGC_1319)*coupl(nGC_39)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_1319)*coupl(nGC_43)*coupl(nGC_63) + 3d0*coupl(     &
                        nGC_1319)*coupl(nGC_57)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_1319)*coupl(nGC_60)*coupl(nGC_68) - 3d0*coupl(     &
                        nGC_14)*coupl(nGC_63)*coupl(nGC_94) - 3d0*coupl(nGC_14 &
                        )*coupl(nGC_69)*coupl(nGC_91) + 3d0*coupl(nGC_1529)**  &
                        2d0*coupl(nGC_48) - 3d0*coupl(nGC_16)*coupl(nGC_3231)* &
                        coupl(nGC_64) - 3d0*coupl(nGC_16)*coupl(nGC_661)*coupl(&
                        nGC_69) - 3d0*coupl(nGC_17)*coupl(nGC_1919)*coupl(     &
                        nGC_74) + 3d0*coupl(nGC_1795)*coupl(nGC_24)*coupl(     &
                        nGC_72) + 3d0*coupl(nGC_1795)*coupl(nGC_43)*coupl(     &
                        nGC_72) - 3d0*coupl(nGC_1919)*coupl(nGC_20)*coupl(     &
                        nGC_96) + 3d0*coupl(nGC_1919)*coupl(nGC_36)*coupl(     &
                        nGC_72) + 3d0*coupl(nGC_24)*coupl(nGC_3231)*coupl(     &
                        nGC_96) + 3d0*coupl(nGC_24)*coupl(nGC_91)*coupl(nGC_96 &
                        ) + 3d0*coupl(nGC_28)*coupl(nGC_64)*coupl(nGC_72) + 3d0&
                        *coupl(nGC_3231)**2d0*coupl(nGC_48) + 6d0*coupl(       &
                        nGC_3231)*coupl(nGC_41)*coupl(nGC_661) + 3d0*coupl(    &
                        nGC_36)*coupl(nGC_661)*coupl(nGC_96) + 3d0*coupl(nGC_36&
                        )*coupl(nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_37)*coupl&
                        (nGC_69)*coupl(nGC_72) + 3d0*coupl(nGC_41)*coupl(nGC_63&
                        )*coupl(nGC_68) + 3d0*coupl(nGC_41)*coupl(nGC_63)*coupl&
                        (nGC_69) + 3d0*coupl(nGC_48)*coupl(nGC_63)*coupl(nGC_64&
                        ) + 3d0*coupl(nGC_48)*coupl(nGC_68)*coupl(nGC_69) + 3d0&
                        *coupl(nGC_48)*coupl(nGC_72)**2d0 + 3d0*coupl(nGC_49)* &
                        coupl(nGC_661)**2d0 + 3d0*coupl(nGC_58)*coupl(nGC_68)* &
                        coupl(nGC_72))/(96d0*pi**2d0)
      coupl(nGC_9173) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_1313)*coupl(    &
                        nGC_132)*coupl(nGC_134) + 20d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_1313)*coupl(nGC_172)*coupl(nGC_174) + 20d0*Nc&
                        *cima*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_171)*    &
                        coupl(nGC_172) + 20d0*Nc*cima*coupl(nGC_1313)*coupl(   &
                        nGC_132)*coupl(nGC_170)*coupl(nGC_174) + 20d0*Nc*cima* &
                        coupl(nGC_132)*coupl(nGC_134)*coupl(nGC_170)*coupl(    &
                        nGC_171) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)* &
                        coupl(nGC_143)*coupl(nGC_144) + 20d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_142)*coupl(nGC_179)*coupl(nGC_2153  &
                        ) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_143)*coupl(  &
                        nGC_178)*coupl(nGC_2153) + 20d0*Nc*cima*coupl(nGC_142)*&
                        coupl(nGC_144)*coupl(nGC_179)*coupl(nGC_181) + 20d0*Nc*&
                        cima*coupl(nGC_143)*coupl(nGC_144)*coupl(nGC_178)*coupl&
                        (nGC_181) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_147)*&
                        coupl(nGC_148)*coupl(nGC_150) + 20d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_147)*coupl(nGC_194)*coupl(nGC_196   &
                        ) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*coupl(  &
                        nGC_194)*coupl(nGC_797) + 20d0*Nc*cima*coupl(nGC_147)* &
                        coupl(nGC_148)*coupl(nGC_193)*coupl(nGC_196) + 20d0*Nc*&
                        cima*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_193)*coupl&
                        (nGC_797) + 20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_171)*&
                        coupl(nGC_172)*coupl(nGC_174) + 20d0*Nc*cima*coupl(    &
                        nGC_178)*coupl(nGC_179)*coupl(nGC_181)*coupl(nGC_2153  &
                        ) + 20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_194)*coupl(  &
                        nGC_196)*coupl(nGC_797) - 5d0*cima*coupl(nGC_1079)*    &
                        coupl(nGC_1319)*coupl(nGC_69)*coupl(nGC_96) - 10d0*cima&
                        *coupl(nGC_1079)*coupl(nGC_1491)*coupl(nGC_1795)*coupl(&
                        nGC_94) - 10d0*cima*coupl(nGC_1079)*coupl(nGC_1491)*   &
                        coupl(nGC_1919)*coupl(nGC_92) - 5d0*cima*coupl(nGC_1283&
                        )*coupl(nGC_1795)*coupl(nGC_72)*coupl(nGC_94) - 5d0*   &
                        cima*coupl(nGC_1283)*coupl(nGC_1919)*coupl(nGC_72)*    &
                        coupl(nGC_92) - 10d0*cima*coupl(nGC_1319)*coupl(nGC_63 &
                        )*coupl(nGC_69)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1319&
                        )*coupl(nGC_64)*coupl(nGC_661)*coupl(nGC_96) - 10d0*   &
                        cima*coupl(nGC_1319)*coupl(nGC_64)*coupl(nGC_69)*coupl(&
                        nGC_72) + 20d0*cima*coupl(nGC_154)*coupl(nGC_155)*coupl&
                        (nGC_156)*coupl(nGC_158) + 20d0*cima*coupl(nGC_162)*   &
                        coupl(nGC_163)*coupl(nGC_164)*coupl(nGC_166) - 10d0*   &
                        cima*coupl(nGC_1795)*coupl(nGC_1919)*coupl(nGC_661)*   &
                        coupl(nGC_94) + 20d0*cima*coupl(nGC_185)*coupl(nGC_186 &
                        )*coupl(nGC_187)*coupl(nGC_189) - 10d0*cima*coupl(     &
                        nGC_1919)**2d0*coupl(nGC_661)*coupl(nGC_92) + 6d0*coupl&
                        (nGC_1079)*coupl(nGC_1283)*coupl(nGC_49) + 3d0*coupl(  &
                        nGC_1079)*coupl(nGC_27)*coupl(nGC_92) + 3d0*coupl(     &
                        nGC_1079)*coupl(nGC_36)*coupl(nGC_94) + 6d0*coupl(     &
                        nGC_1283)*coupl(nGC_41)*coupl(nGC_661) + 6d0*coupl(    &
                        nGC_1283)*coupl(nGC_41)*coupl(nGC_94) + 6d0*coupl(     &
                        nGC_1283)*coupl(nGC_49)*coupl(nGC_92) + 6d0*coupl(     &
                        nGC_1319)**2d0*coupl(nGC_42) + 6d0*coupl(nGC_1319)*    &
                        coupl(nGC_44)*coupl(nGC_72) + 3d0*coupl(nGC_1319)*coupl&
                        (nGC_46)*coupl(nGC_72) + 3d0*coupl(nGC_1491)*coupl(    &
                        nGC_1795)*coupl(nGC_26) + 3d0*coupl(nGC_1491)*coupl(   &
                        nGC_1919)*coupl(nGC_38) + 3d0*coupl(nGC_17)**2d0*coupl(&
                        nGC_42) - 6d0*coupl(nGC_1795)*coupl(nGC_19)*coupl(     &
                        nGC_94) + 3d0*coupl(nGC_1795)*coupl(nGC_1919)*coupl(   &
                        nGC_31) - 6d0*coupl(nGC_19)*coupl(nGC_1919)*coupl(     &
                        nGC_92) + 3d0*coupl(nGC_1919)**2d0*coupl(nGC_26) + 3d0*&
                        coupl(nGC_24)*coupl(nGC_661)*coupl(nGC_94) + 3d0*coupl(&
                        nGC_36)*coupl(nGC_661)*coupl(nGC_92) + 6d0*coupl(nGC_41&
                        )*coupl(nGC_69)*coupl(nGC_72) + 6d0*coupl(nGC_42)*coupl&
                        (nGC_72)**2d0 + 3d0*coupl(nGC_42)*coupl(nGC_96)**2d0 + &
                        6d0*coupl(nGC_49)*coupl(nGC_63)*coupl(nGC_72) - 3d0*   &
                        coupl(nGC_62)*coupl(nGC_63)*coupl(nGC_69) - 3d0*coupl( &
                        nGC_62)*coupl(nGC_64)*coupl(nGC_69))/(96d0*pi**2d0)
      coupl(nGC_9172) = (20d0*Nc*cima*coupl(nGC_131)**3d0*coupl(nGC_134) + 20d0&
                        *Nc*cima*coupl(nGC_138)*coupl(nGC_142)**3d0 + 20d0*Nc* &
                        cima*coupl(nGC_146)**3d0*coupl(nGC_150) + 20d0*Nc*cima*&
                        coupl(nGC_170)**3d0*coupl(nGC_174) + 20d0*Nc*cima*coupl&
                        (nGC_178)**3d0*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_193)**3d0*coupl(nGC_196) - 5d0*cima*coupl(nGC_1319 &
                        )*coupl(nGC_1491)*coupl(nGC_1919)*coupl(nGC_72) - 10d0*&
                        cima*coupl(nGC_1319)*coupl(nGC_1795)*coupl(nGC_1919)*  &
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1795&
                        )*coupl(nGC_2961)*coupl(nGC_72) - 5d0*cima*coupl(      &
                        nGC_1319)*coupl(nGC_63)*coupl(nGC_69)*coupl(nGC_72) -  &
                        5d0*cima*coupl(nGC_1319)*coupl(nGC_64)*coupl(nGC_68)*  &
                        coupl(nGC_72) - 10d0*cima*coupl(nGC_1319)*coupl(nGC_64 &
                        )*coupl(nGC_69)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1491&
                        )**2d0*coupl(nGC_1919)*coupl(nGC_64) - 5d0*cima*coupl( &
                        nGC_1491)*coupl(nGC_1795)*coupl(nGC_1919)*coupl(nGC_63 &
                        ) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_1795)*coupl(    &
                        nGC_1919)*coupl(nGC_64) - 5d0*cima*coupl(nGC_1491)*    &
                        coupl(nGC_1795)*coupl(nGC_2961)*coupl(nGC_63) - 5d0*   &
                        cima*coupl(nGC_1491)*coupl(nGC_1919)**2d0*coupl(nGC_68 &
                        ) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_63)*coupl(nGC_64&
                        )*coupl(nGC_68) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_63&
                        )*coupl(nGC_64)*coupl(nGC_69) + 20d0*cima*coupl(nGC_154&
                        )**3d0*coupl(nGC_158) + 20d0*cima*coupl(nGC_162)**3d0* &
                        coupl(nGC_166) - 5d0*cima*coupl(nGC_1795)*coupl(       &
                        nGC_1919)**2d0*coupl(nGC_68) - 5d0*cima*coupl(nGC_1795 &
                        )*coupl(nGC_1919)**2d0*coupl(nGC_69) - 5d0*cima*coupl( &
                        nGC_1795)*coupl(nGC_1919)*coupl(nGC_2961)*coupl(nGC_69 &
                        ) - 5d0*cima*coupl(nGC_1795)*coupl(nGC_63)**2d0*coupl( &
                        nGC_69) - 5d0*cima*coupl(nGC_1795)*coupl(nGC_63)*coupl(&
                        nGC_64)*coupl(nGC_69) + 20d0*cima*coupl(nGC_185)**3d0* &
                        coupl(nGC_189) - 5d0*cima*coupl(nGC_1919)*coupl(nGC_64 &
                        )*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1919&
                        )*coupl(nGC_64)*coupl(nGC_69)**2d0 - 5d0*cima*coupl(   &
                        nGC_2961)*coupl(nGC_63)*coupl(nGC_69)**2d0 - 5d0*cima* &
                        coupl(nGC_2961)*coupl(nGC_64)*coupl(nGC_69)**2d0 + 9d0*&
                        coupl(nGC_1283)**2d0*coupl(nGC_44) + 6d0*coupl(nGC_1283&
                        )*coupl(nGC_44)*coupl(nGC_96) + 6d0*coupl(nGC_1319)*   &
                        coupl(nGC_41)*coupl(nGC_69) + 12d0*coupl(nGC_1319)*    &
                        coupl(nGC_42)*coupl(nGC_72) + 6d0*coupl(nGC_1319)*coupl&
                        (nGC_49)*coupl(nGC_63) + 3d0*coupl(nGC_1491)*coupl(    &
                        nGC_1795)*coupl(nGC_22) + 3d0*coupl(nGC_1491)*coupl(   &
                        nGC_1919)*coupl(nGC_34) - 3d0*coupl(nGC_1491)*coupl(   &
                        nGC_1919)*coupl(nGC_62) + 9d0*coupl(nGC_1529)**2d0*    &
                        coupl(nGC_44) + 6d0*coupl(nGC_1529)*coupl(nGC_17)*coupl&
                        (nGC_44) + 3d0*coupl(nGC_17)**2d0*coupl(nGC_44) + 3d0* &
                        coupl(nGC_1795)*coupl(nGC_1919)*coupl(nGC_30) - 3d0*   &
                        coupl(nGC_1795)*coupl(nGC_1919)*coupl(nGC_62) + 6d0*   &
                        coupl(nGC_1795)*coupl(nGC_27)*coupl(nGC_63) + 6d0*coupl&
                        (nGC_1795)*coupl(nGC_36)*coupl(nGC_69) + 6d0*coupl(    &
                        nGC_1795)*coupl(nGC_49)*coupl(nGC_72) + 3d0*coupl(     &
                        nGC_1919)**2d0*coupl(nGC_22) + 3d0*coupl(nGC_22)*coupl(&
                        nGC_63)*coupl(nGC_64) + 3d0*coupl(nGC_22)*coupl(nGC_69 &
                        )**2d0 + 6d0*coupl(nGC_24)*coupl(nGC_2961)*coupl(nGC_69&
                        ) + 6d0*coupl(nGC_2961)*coupl(nGC_36)*coupl(nGC_63) +  &
                        6d0*coupl(nGC_2961)*coupl(nGC_41)*coupl(nGC_72) + 3d0* &
                        coupl(nGC_30)*coupl(nGC_64)*coupl(nGC_69) + 3d0*coupl( &
                        nGC_34)*coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_44 &
                        )*coupl(nGC_96)**2d0 - 3d0*coupl(nGC_62)*coupl(nGC_63)*&
                        coupl(nGC_69) - 3d0*coupl(nGC_62)*coupl(nGC_64)*coupl( &
                        nGC_69))/(96d0*pi**2d0)
      coupl(nGC_20053) = coupl(nGC_191)*dZG0/2d0
      coupl(nGC_14907) = -coupl(nGC_14902) + coupl(nGC_14906)
      coupl(nGC_14846) = coupl(nGC_88)*dZZ_QED2/2d0 + coupl(nGC_88)*dZcL_QED2  &
                          + coupl(nGC_9390)
      coupl(nGC_14847) = coupl(nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*dZcR_QED2  &
                          + coupl(nGC_9391)
      coupl(nGC_9495) = coupl(nGC_8544)*dyc1_QED1_QCD2 + coupl(nGC_8545)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_30582) = -coupl(nGC_8762)
    end subroutine fill_CTcouplings_mdl27
end module fill_ctcouplings27
