!******************************************************************************!
!                                                                              !
!    fill_ctcouplings28.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings28.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings28
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl28()
      coupl(nGC_14848) = coupl(nGC_14842) + coupl(nGC_14847)
      coupl(nGC_14849) = coupl(nGC_14842) + coupl(nGC_14846)
      coupl(nGC_9322) = coupl(nGC_8040)*dl3_QED4 + coupl(nGC_8041)*db_QED2 +   &
                        coupl(nGC_8042)*dl2_QED4 + coupl(nGC_8043)*dl5_QED4 +  &
                        coupl(nGC_8044)*dl4_QED4 + coupl(nGC_8045)*dl1_QED4 +  &
                        coupl(nGC_8046)*da_QED2
      coupl(nGC_14605) = coupl(nGC_12718) + coupl(nGC_14602)
      coupl(nGC_14606) = coupl(nGC_12718) + coupl(nGC_14604)
      coupl(nGC_15261) = coupl(nGC_9640) + coupl(nGC_TS_GC_145_Hl) + coupl(    &
                         nGC_TS_GC_149_Hh)
      coupl(nGC_15263) = coupl(nGC_15254) + coupl(nGC_9641)
      coupl(nGC_15262) = coupl(nGC_15253) + coupl(nGC_15261)
      coupl(nGC_13035) = coupl(nGC_92)*dZHa_QED2/2d0 + coupl(nGC_92)*dZHh_QED2/&
                         2d0 + coupl(nGC_92)*dZZ_QED2/2d0 + coupl(nGC_9372) +  &
                         coupl(nGC_94)*dZG0Ha_QED2/2d0 + coupl(nGC_94)*        &
                         dZHlHh_QED2/2d0
      coupl(nGC_14022) = coupl(nGC_4)*dZeMinusR_QED2 + coupl(nGC_86)*dZZA_QED2/&
                         2d0
      coupl(nGC_13722) = -coupl(nGC_13721)
      coupl(nGC_13729) = coupl(nGC_17)*dZAZ_QED2/2d0 + coupl(nGC_9371) + coupl(&
                         nGC_96)*dZZ_QED2/2d0
      coupl(nGC_13102) = coupl(nGC_13091) - coupl(nGC_13097) - coupl(nGC_13101)
      coupl(nGC_13103) = coupl(nGC_13100) + coupl(nGC_13101)
      coupl(nGC_13452) = coupl(nGC_163)*dZHa_QED2/2d0 + coupl(nGC_163)*        &
                         dZmuMinusL_QED2/2d0 + coupl(nGC_163)*dZmuMinusR_QED2/ &
                         2d0 + coupl(nGC_167)*dZG0Ha_QED2/2d0 + coupl(nGC_9477)
      coupl(nGC_13104) = -coupl(nGC_13098) - coupl(nGC_9506)
      coupl(nGC_13105) = coupl(nGC_13098) + coupl(nGC_9506)
      coupl(nGC_12854) = coupl(nGC_40)*dZHMinus_QED2/2d0 + coupl(nGC_40)*      &
                         dZHa_QED2/2d0 + coupl(nGC_40)*dZHl_QED2/2d0 + coupl(  &
                         nGC_48)*dZHhHl_QED2/2d0 + coupl(nGC_49)*dZG0Ha_QED2/  &
                         2d0 + coupl(nGC_9321)
      coupl(nGC_13587) = coupl(nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*           &
                         dZtauMinusR_QED2 + coupl(nGC_9396)
      coupl(nGC_13581) = coupl(nGC_19)*dZWMinus_QED2/2d0 + coupl(nGC_19)*      &
                         dZZ_QED2/2d0 + coupl(nGC_73)*dZAZ_QED2/2d0 + coupl(   &
                         nGC_9379)
      coupl(nGC_13588) = coupl(nGC_89)*dZZ_QED2/2d0 + coupl(nGC_89)*           &
                         dZtauMinusL_QED2 + coupl(nGC_9395)
      coupl(nGC_13589) = coupl(nGC_12888) + coupl(nGC_13587)
      coupl(nGC_8949) = (-coupl(nGC_1079)*coupl(nGC_180)*coupl(nGC_88) - coupl(&
                        nGC_1319)*coupl(nGC_178)*coupl(nGC_80) - coupl(nGC_138 &
                        )*coupl(nGC_143)*coupl(nGC_181) - coupl(nGC_142)*coupl(&
                        nGC_143)*coupl(nGC_178) - coupl(nGC_177)**2d0*coupl(   &
                        nGC_2153) - coupl(nGC_177)*coupl(nGC_661)*coupl(nGC_88 &
                        ) - coupl(nGC_177)*coupl(nGC_85)*coupl(nGC_94) - coupl(&
                        nGC_179)**2d0*coupl(nGC_2153) + 8d0*coupl(nGC_179)*    &
                        coupl(nGC_2)**2d0 + 8d0*coupl(nGC_179)*coupl(nGC_85)*  &
                        coupl(nGC_88) - coupl(nGC_180)**2d0*coupl(nGC_2153) -  &
                        coupl(nGC_180)*coupl(nGC_85)*coupl(nGC_92) - coupl(    &
                        nGC_183)**2d0*coupl(nGC_2153))/(32d0*pi**2d0)
      coupl(nGC_8948) = coupl(nGC_2153)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8947) = (-coupl(nGC_1079)*coupl(nGC_180)*coupl(nGC_85) - coupl(&
                        nGC_138)*coupl(nGC_144)*coupl(nGC_181) - coupl(nGC_142 &
                        )*coupl(nGC_144)*coupl(nGC_178) - coupl(nGC_177)**2d0* &
                        coupl(nGC_179) - coupl(nGC_177)*coupl(nGC_661)*coupl(  &
                        nGC_85) - coupl(nGC_177)*coupl(nGC_88)*coupl(nGC_94) - &
                        coupl(nGC_178)*coupl(nGC_72)*coupl(nGC_80) - coupl(    &
                        nGC_179)*coupl(nGC_180)**2d0 - coupl(nGC_179)*coupl(   &
                        nGC_182)**2d0 - coupl(nGC_179)*coupl(nGC_2153)**2d0 -  &
                        coupl(nGC_180)*coupl(nGC_88)*coupl(nGC_92) + 8d0*coupl(&
                        nGC_2)**2d0*coupl(nGC_2153) + 8d0*coupl(nGC_2153)*coupl&
                        (nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_8946) = coupl(nGC_171)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8945) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_171) - coupl(nGC_1079 &
                        )*coupl(nGC_173)*coupl(nGC_87) - coupl(nGC_131)*coupl( &
                        nGC_1313)*coupl(nGC_170) - coupl(nGC_1313)*coupl(      &
                        nGC_134)*coupl(nGC_174) - coupl(nGC_1319)*coupl(nGC_170&
                        )*coupl(nGC_80) - coupl(nGC_169)**2d0*coupl(nGC_172) - &
                        coupl(nGC_169)*coupl(nGC_661)*coupl(nGC_87) - coupl(   &
                        nGC_169)*coupl(nGC_84)*coupl(nGC_94) - coupl(nGC_171)**&
                        2d0*coupl(nGC_172) + 8d0*coupl(nGC_171)*coupl(nGC_84)* &
                        coupl(nGC_87) - coupl(nGC_172)*coupl(nGC_173)**2d0 -   &
                        coupl(nGC_172)*coupl(nGC_175)**2d0 - coupl(nGC_173)*   &
                        coupl(nGC_84)*coupl(nGC_92))/(32d0*pi**2d0)
      coupl(nGC_12679) = coupl(nGC_155)*dZHaG0_QED2/2d0 + coupl(nGC_159)*      &
                         dZeMinusL_QED2/2d0 + coupl(nGC_159)*dZeMinusR_QED2/2d0&
                          + coupl(nGC_9464)
      coupl(nGC_8940) = (coupl(nGC_1079)*coupl(nGC_157)*coupl(nGC_89) + coupl( &
                        nGC_1319)*coupl(nGC_154)*coupl(nGC_80) - coupl(nGC_153 &
                        )**2d0*coupl(nGC_155) + coupl(nGC_153)*coupl(nGC_661)* &
                        coupl(nGC_89) + coupl(nGC_153)*coupl(nGC_86)*coupl(    &
                        nGC_94) - coupl(nGC_155)*coupl(nGC_156)**2d0 - coupl(  &
                        nGC_155)*coupl(nGC_157)**2d0 - coupl(nGC_155)*coupl(   &
                        nGC_160)**2d0 + 8d0*coupl(nGC_156)*coupl(nGC_4)**2d0 + &
                        8d0*coupl(nGC_156)*coupl(nGC_86)*coupl(nGC_89) + coupl(&
                        nGC_157)*coupl(nGC_86)*coupl(nGC_92))/(32d0*pi**2d0)
      coupl(nGC_13219) = coupl(nGC_197)*dZuL_QCD2/2d0 + coupl(nGC_197)*        &
                         dZuR_QCD2/2d0 + coupl(nGC_9484)
      coupl(nGC_18767) = coupl(nGC_12718) + coupl(nGC_18761)
      coupl(nGC_13215) = coupl(nGC_197)*dZuL_QED2/2d0 + coupl(nGC_197)*        &
                         dZuR_QED2/2d0 + coupl(nGC_9483)
      coupl(nGC_18763) = coupl(nGC_7)*dZtR_QCD2
      coupl(nGC_9018) = coupl(nGC_80)*(coupl(nGC_1)*coupl(nGC_2) + coupl(nGC_1 &
                        )*coupl(nGC_877) + coupl(nGC_2)*coupl(nGC_3) + coupl(  &
                        nGC_781)*coupl(nGC_87) + coupl(nGC_82)*coupl(nGC_88) + &
                        coupl(nGC_87)*coupl(nGC_88))/(8d0*pi**2d0)
      coupl(nGC_9019) = coupl(nGC_7)**2d0*coupl(nGC_80)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_9010) = (-coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_181) - coupl(&
                        nGC_141)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177 &
                        )**3d0 - coupl(nGC_177)*coupl(nGC_179)**2d0 - coupl(   &
                        nGC_177)*coupl(nGC_180)**2d0 - coupl(nGC_177)*coupl(   &
                        nGC_183)**2d0 + 8d0*coupl(nGC_177)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_177)*coupl(nGC_85)*coupl(nGC_88) - coupl(&
                        nGC_178)*coupl(nGC_2961)*coupl(nGC_80) - coupl(nGC_179 &
                        )*coupl(nGC_661)*coupl(nGC_85) - coupl(nGC_179)*coupl( &
                        nGC_88)*coupl(nGC_94) - coupl(nGC_181)*coupl(nGC_64)*  &
                        coupl(nGC_80) - coupl(nGC_183)*coupl(nGC_3231)*coupl(  &
                        nGC_85) - coupl(nGC_183)*coupl(nGC_88)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_9011) = coupl(nGC_177)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9016) = coupl(nGC_192)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9017) = (12d0*Nc*coupl(nGC_80)**2d0*coupl(nGC_87) - 12d0*Nc*   &
                        coupl(nGC_80)**2d0*coupl(nGC_88) - 11d0*coupl(nGC_781  &
                        )**2d0*coupl(nGC_82) + 12d0*coupl(nGC_80)**2d0*coupl(  &
                        nGC_89) - 12d0*coupl(nGC_80)**2d0*coupl(nGC_90) - 11d0*&
                        coupl(nGC_82)*coupl(nGC_877)**2d0)/(96d0*pi**2d0)
      coupl(nGC_9014) = (-coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_193) - coupl(&
                        nGC_145)*coupl(nGC_150)*coupl(nGC_196) - coupl(nGC_1491&
                        )*coupl(nGC_196)*coupl(nGC_80) - coupl(nGC_192)**3d0 - &
                        coupl(nGC_192)*coupl(nGC_195)**2d0 - coupl(nGC_192)*   &
                        coupl(nGC_197)**2d0 + 8d0*coupl(nGC_192)*coupl(nGC_2)**&
                        2d0 - coupl(nGC_192)*coupl(nGC_797)**2d0 + 8d0*coupl(  &
                        nGC_192)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_193)* &
                        coupl(nGC_69)*coupl(nGC_80) - coupl(nGC_197)*coupl(    &
                        nGC_3231)*coupl(nGC_88) - coupl(nGC_197)*coupl(nGC_85)*&
                        coupl(nGC_91) - coupl(nGC_661)*coupl(nGC_797)*coupl(   &
                        nGC_88) - coupl(nGC_797)*coupl(nGC_85)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_8785) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_145)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_147)*coupl(nGC_148) +     &
                        coupl(nGC_1)*coupl(nGC_149)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_151)*coupl(nGC_152) + 4d0*coupl(nGC_1)*coupl(nGC_87&
                        )**2d0 + coupl(nGC_193)**2d0*coupl(nGC_2) + coupl(     &
                        nGC_196)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(   &
                        nGC_80)**2d0 + 4d0*coupl(nGC_80)**2d0*coupl(nGC_877))/(&
                        32d0*pi**2d0)
      coupl(nGC_8784) = coupl(nGC_2)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_8787) = coupl(nGC_4)*(coupl(nGC_153)**2d0 + coupl(nGC_155)*    &
                        coupl(nGC_156) + coupl(nGC_157)**2d0 + coupl(nGC_159)* &
                        coupl(nGC_160) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(    &
                        nGC_86)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8830) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_142&
                        ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_140)*coupl(    &
                        nGC_142) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*   &
                        coupl(nGC_182) + 2d0*Nc*cMB*coupl(nGC_139)*coupl(      &
                        nGC_178)*coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_140)*   &
                        coupl(nGC_178)*coupl(nGC_181) + 2d0*Nc*cMB*coupl(      &
                        nGC_142)*coupl(nGC_181)*coupl(nGC_183) + 2d0*Nc*cMC*   &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_135) + 2d0*Nc* &
                        cMC*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_136) + 2d0*&
                        Nc*cMC*coupl(nGC_131)*coupl(nGC_174)*coupl(nGC_176) +  &
                        2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_175 &
                        ) + 2d0*Nc*cMC*coupl(nGC_135)*coupl(nGC_170)*coupl(    &
                        nGC_174) + 2d0*Nc*cMC*coupl(nGC_136)*coupl(nGC_170)*   &
                        coupl(nGC_174) + 2d0*Nc*cMD*coupl(nGC_146)*coupl(      &
                        nGC_150)*coupl(nGC_151) + 2d0*Nc*cMD*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_152) + 2d0*Nc*cMD*coupl(      &
                        nGC_146)*coupl(nGC_196)*coupl(nGC_198) + 2d0*Nc*cMD*   &
                        coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_197) + 2d0*Nc* &
                        cMD*coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_196) + 2d0*&
                        Nc*cMD*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_196) +  &
                        2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_175 &
                        ) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                        nGC_176) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_135)*   &
                        coupl(nGC_174) + 2d0*Nc*cMS*coupl(nGC_134)*coupl(      &
                        nGC_136)*coupl(nGC_170) + 2d0*Nc*cMS*coupl(nGC_170)*   &
                        coupl(nGC_174)*coupl(nGC_175) + 2d0*Nc*cMS*coupl(      &
                        nGC_170)*coupl(nGC_174)*coupl(nGC_176) + 2d0*Nc*cMT*   &
                        coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_178) + 2d0*Nc* &
                        cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_182) + 2d0*&
                        Nc*cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_183) +  &
                        2d0*Nc*cMT*coupl(nGC_139)*coupl(nGC_142)*coupl(nGC_181 &
                        ) + 2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_181)*coupl(    &
                        nGC_182) + 2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_181)*   &
                        coupl(nGC_183) + 2d0*Nc*cMU*coupl(nGC_146)*coupl(      &
                        nGC_150)*coupl(nGC_197) + 2d0*Nc*cMU*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_198) + 2d0*Nc*cMU*coupl(      &
                        nGC_146)*coupl(nGC_151)*coupl(nGC_196) + 2d0*Nc*cMU*   &
                        coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_193) + 2d0*Nc* &
                        cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197) + 2d0*&
                        Nc*cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_198) +  &
                        2d0*cME*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_159) + &
                        2d0*cME*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_160) + &
                        2d0*cMM*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_167) + &
                        2d0*cMM*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_168) + &
                        2d0*cMTA*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_190   &
                        ) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_189)*coupl(      &
                        nGC_191) + 4d0*cima*coupl(nGC_102)*coupl(nGC_20) + 4d0*&
                        cima*coupl(nGC_126)*coupl(nGC_74) - coupl(nGC_102)*    &
                        coupl(nGC_1283)*coupl(nGC_1319) - coupl(nGC_102)*coupl(&
                        nGC_3231)*coupl(nGC_64) - coupl(nGC_102)*coupl(nGC_661 &
                        )*coupl(nGC_69) - coupl(nGC_107)*coupl(nGC_63)*coupl(  &
                        nGC_94) - coupl(nGC_107)*coupl(nGC_69)*coupl(nGC_91) + &
                        coupl(nGC_108)*coupl(nGC_1319)*coupl(nGC_1919) + coupl(&
                        nGC_109)*coupl(nGC_1319)*coupl(nGC_69) + coupl(nGC_111 &
                        )*coupl(nGC_1919)*coupl(nGC_72) + coupl(nGC_111)*coupl(&
                        nGC_661)*coupl(nGC_96) + coupl(nGC_111)*coupl(nGC_94)* &
                        coupl(nGC_96) + coupl(nGC_112)*coupl(nGC_69)*coupl(    &
                        nGC_72) + coupl(nGC_114)*coupl(nGC_1283)**2d0 + coupl( &
                        nGC_114)*coupl(nGC_1529)**2d0 + coupl(nGC_114)*coupl(  &
                        nGC_72)**2d0 + coupl(nGC_116)*coupl(nGC_1319)*coupl(   &
                        nGC_1491) + coupl(nGC_117)*coupl(nGC_1319)*coupl(nGC_63&
                        ) + coupl(nGC_119)*coupl(nGC_1795)*coupl(nGC_72) +     &
                        coupl(nGC_119)*coupl(nGC_3231)*coupl(nGC_96) + coupl(  &
                        nGC_119)*coupl(nGC_91)*coupl(nGC_96) + coupl(nGC_120)* &
                        coupl(nGC_64)*coupl(nGC_72) - coupl(nGC_126)*coupl(    &
                        nGC_1319)*coupl(nGC_1529))/(32d0*pi**2d0)
      coupl(nGC_8781) = coupl(nGC_1)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_8836) = (-4d0*Nc*coupl(nGC_132)*coupl(nGC_134)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_172)*coupl(nGC_174)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_179)*coupl(nGC_181)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_194)*coupl(nGC_196)*coupl(nGC_80) -   &
                        6d0*coupl(nGC_1079)*coupl(nGC_69)*coupl(nGC_82) + 4d0* &
                        coupl(nGC_156)*coupl(nGC_158)*coupl(nGC_80) + 4d0*coupl&
                        (nGC_164)*coupl(nGC_166)*coupl(nGC_80) + coupl(nGC_1795&
                        )*coupl(nGC_68)*coupl(nGC_72) + 4d0*coupl(nGC_187)*    &
                        coupl(nGC_189)*coupl(nGC_80) + coupl(nGC_1919)*coupl(  &
                        nGC_64)*coupl(nGC_72) - 6d0*coupl(nGC_64)*coupl(nGC_661&
                        )*coupl(nGC_82) + coupl(nGC_64)*coupl(nGC_94)*coupl(   &
                        nGC_96) + coupl(nGC_69)*coupl(nGC_92)*coupl(nGC_96))/( &
                        96d0*pi**2d0)
      coupl(nGC_8783) = (coupl(nGC_1)*coupl(nGC_131)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_134)**2d0 + coupl(nGC_130)**2d0*coupl(nGC_2) +     &
                        coupl(nGC_1313)*coupl(nGC_132)*coupl(nGC_2) + coupl(   &
                        nGC_133)**2d0*coupl(nGC_2) + coupl(nGC_135)*coupl(     &
                        nGC_136)*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*   &
                        coupl(nGC_2)*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8834) = (4d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_142&
                        ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_177)*coupl(    &
                        nGC_178) + 4d0*Nc*cMB*coupl(nGC_141)*coupl(nGC_178)*   &
                        coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_142)*coupl(      &
                        nGC_177)*coupl(nGC_181) + 4d0*Nc*cMC*coupl(nGC_130)*   &
                        coupl(nGC_131)*coupl(nGC_134) + 4d0*Nc*cMC*coupl(      &
                        nGC_130)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc*cMC*   &
                        coupl(nGC_131)*coupl(nGC_169)*coupl(nGC_174) + 2d0*Nc* &
                        cMC*coupl(nGC_134)*coupl(nGC_169)*coupl(nGC_170) + 4d0*&
                        Nc*cMD*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_150) +  &
                        4d0*Nc*cMD*coupl(nGC_145)*coupl(nGC_193)*coupl(nGC_196 &
                        ) + 2d0*Nc*cMD*coupl(nGC_146)*coupl(nGC_192)*coupl(    &
                        nGC_196) + 2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_192)*   &
                        coupl(nGC_193) + 2d0*Nc*cMS*coupl(nGC_130)*coupl(      &
                        nGC_131)*coupl(nGC_174) + 2d0*Nc*cMS*coupl(nGC_130)*   &
                        coupl(nGC_134)*coupl(nGC_170) + 4d0*Nc*cMS*coupl(      &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_169) + 4d0*Nc*cMS*   &
                        coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc* &
                        cMT*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_178) + 4d0*&
                        Nc*cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177) +  &
                        2d0*Nc*cMT*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_181 &
                        ) + 4d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_178)*coupl(    &
                        nGC_181) + 2d0*Nc*cMU*coupl(nGC_145)*coupl(nGC_146)*   &
                        coupl(nGC_196) + 2d0*Nc*cMU*coupl(nGC_145)*coupl(      &
                        nGC_150)*coupl(nGC_193) + 4d0*Nc*cMU*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_192) + 4d0*Nc*cMU*coupl(      &
                        nGC_192)*coupl(nGC_193)*coupl(nGC_196) + 4d0*cME*coupl(&
                        nGC_153)*coupl(nGC_154)*coupl(nGC_158) + 4d0*cMM*coupl(&
                        nGC_161)*coupl(nGC_162)*coupl(nGC_166) + 4d0*cMTA*coupl&
                        (nGC_184)*coupl(nGC_185)*coupl(nGC_189) + 4d0*cima*    &
                        coupl(nGC_102)*coupl(nGC_14) + 4d0*cima*coupl(nGC_107)*&
                        coupl(nGC_16) + 4d0*cima*coupl(nGC_126)*coupl(nGC_65   &
                        ) + 4d0*cima*coupl(nGC_127)*coupl(nGC_70) - coupl(     &
                        nGC_102)*coupl(nGC_1795)*coupl(nGC_96) - coupl(nGC_102 &
                        )*coupl(nGC_3231)*coupl(nGC_72) + coupl(nGC_103)*coupl(&
                        nGC_1491)*coupl(nGC_1919) + coupl(nGC_104)*coupl(      &
                        nGC_1795)*coupl(nGC_1919) + coupl(nGC_106)*coupl(      &
                        nGC_1491)*coupl(nGC_1795) + coupl(nGC_106)*coupl(      &
                        nGC_1919)**2d0 - coupl(nGC_107)*coupl(nGC_1319)*coupl( &
                        nGC_94) - coupl(nGC_107)*coupl(nGC_1919)*coupl(nGC_96  &
                        ) + coupl(nGC_108)*coupl(nGC_1795)*coupl(nGC_69) +     &
                        coupl(nGC_110)*coupl(nGC_1919)*coupl(nGC_64) + coupl(  &
                        nGC_111)*coupl(nGC_63)*coupl(nGC_68) + coupl(nGC_111)* &
                        coupl(nGC_63)*coupl(nGC_69) + coupl(nGC_114)*coupl(    &
                        nGC_1283)*coupl(nGC_3231) + coupl(nGC_114)*coupl(      &
                        nGC_1283)*coupl(nGC_91) + coupl(nGC_114)*coupl(nGC_1319&
                        )*coupl(nGC_63) + coupl(nGC_116)*coupl(nGC_1795)*coupl(&
                        nGC_63) + coupl(nGC_118)*coupl(nGC_1919)*coupl(nGC_69  &
                        ) + coupl(nGC_119)*coupl(nGC_17)**2d0 + coupl(nGC_119)*&
                        coupl(nGC_63)*coupl(nGC_64) + coupl(nGC_119)*coupl(    &
                        nGC_68)*coupl(nGC_69) + coupl(nGC_119)*coupl(nGC_96)** &
                        2d0 + coupl(nGC_120)*coupl(nGC_1319)*coupl(nGC_72) +   &
                        coupl(nGC_123)*coupl(nGC_1283)*coupl(nGC_661) + coupl( &
                        nGC_123)*coupl(nGC_1283)*coupl(nGC_94) + coupl(nGC_123 &
                        )*coupl(nGC_68)*coupl(nGC_72) - coupl(nGC_124)*coupl(  &
                        nGC_63)*coupl(nGC_69) - coupl(nGC_124)*coupl(nGC_64)*  &
                        coupl(nGC_69) - coupl(nGC_126)*coupl(nGC_17)*coupl(    &
                        nGC_1795) - coupl(nGC_127)*coupl(nGC_17)*coupl(nGC_1919&
                        ))/(32d0*pi**2d0)
      coupl(nGC_8839) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl(nGC_84  &
                        ) - 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl&
                        (nGC_88) + 2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_80)*    &
                        coupl(nGC_85) - 2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_80 &
                        )*coupl(nGC_87) - 2d0*Nc*cMC*coupl(nGC_134)*coupl(     &
                        nGC_80)*coupl(nGC_88) + 2d0*Nc*cMD*coupl(nGC_150)*coupl&
                        (nGC_80)*coupl(nGC_84) - 2d0*Nc*cMD*coupl(nGC_150)*    &
                        coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMD*coupl(nGC_150 &
                        )*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMS*coupl(      &
                        nGC_174)*coupl(nGC_80)*coupl(nGC_84) - 2d0*Nc*cMS*coupl&
                        (nGC_174)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMS*    &
                        coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMT&
                        *coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_85) - 2d0*Nc*  &
                        cMT*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc&
                        *cMT*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) + 2d0* &
                        Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_85) - 2d0&
                        *Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_87) -   &
                        2d0*Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_88   &
                        ) + 2d0*cME*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cME*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cME*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMM*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cMM*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cMM*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMTA*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_86 &
                        ) - 2d0*cMTA*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_89 &
                        ) - 2d0*cMTA*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_90 &
                        ) + 4d0*cima*coupl(nGC_107)*coupl(nGC_79) + 4d0*cima*  &
                        coupl(nGC_127)*coupl(nGC_803) - coupl(nGC_107)*coupl(  &
                        nGC_17)*coupl(nGC_3) + 6d0*coupl(nGC_107)*coupl(nGC_781&
                        )*coupl(nGC_82) - coupl(nGC_107)*coupl(nGC_82)*coupl(  &
                        nGC_96) - coupl(nGC_124)*coupl(nGC_64)*coupl(nGC_781   &
                        ) - coupl(nGC_125)*coupl(nGC_69)*coupl(nGC_781) + 6d0* &
                        coupl(nGC_127)*coupl(nGC_3)*coupl(nGC_781) - coupl(    &
                        nGC_128)*coupl(nGC_1795)*coupl(nGC_781) - coupl(nGC_129&
                        )*coupl(nGC_1919)*coupl(nGC_781))/(32d0*pi**2d0)
      coupl(nGC_8838) = (-4d0*Nc*coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_174)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_181)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_80) -   &
                        6d0*coupl(nGC_1283)*coupl(nGC_64)*coupl(nGC_781) +     &
                        coupl(nGC_1319)*coupl(nGC_3231)*coupl(nGC_96) - 6d0*   &
                        coupl(nGC_1319)*coupl(nGC_82)*coupl(nGC_91) + coupl(   &
                        nGC_1491)*coupl(nGC_1795)**2d0 + coupl(nGC_1491)*coupl(&
                        nGC_1919)**2d0 + coupl(nGC_1491)*coupl(nGC_72)**2d0 -  &
                        6d0*coupl(nGC_1529)*coupl(nGC_64)*coupl(nGC_877) + 4d0*&
                        coupl(nGC_153)*coupl(nGC_158)*coupl(nGC_80) + 4d0*coupl&
                        (nGC_161)*coupl(nGC_166)*coupl(nGC_80) + coupl(nGC_1795&
                        )*coupl(nGC_68)*coupl(nGC_69) + 4d0*coupl(nGC_184)*    &
                        coupl(nGC_189)*coupl(nGC_80) + coupl(nGC_1919)*coupl(  &
                        nGC_64)*coupl(nGC_69))/(96d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl28
end module fill_ctcouplings28
