!******************************************************************************!
!                                                                              !
!    fill_ctcouplings29.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings29.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings29
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl29()
      coupl(nGC_9306) = coupl(nGC_8188)*dl3_QED4 + coupl(nGC_8189)*dl1_QED4 +  &
                        coupl(nGC_8190)*dl2_QED4 + coupl(nGC_8191)*dl5_QED4 +  &
                        coupl(nGC_8192)*dl4_QED4 + coupl(nGC_8193)*db_QED2
      coupl(nGC_9305) = coupl(nGC_8074)*dl3_QED4 + coupl(nGC_8075)*db_QED2 +   &
                        coupl(nGC_8076)*dl2_QED4 + coupl(nGC_8077)*dl5_QED4 +  &
                        coupl(nGC_8078)*dl4_QED4 + coupl(nGC_8079)*dl1_QED4 +  &
                        coupl(nGC_8080)*da_QED2
      coupl(nGC_9301) = coupl(nGC_8129)*dl3_QED4 + coupl(nGC_8130)*db_QED2 +   &
                        coupl(nGC_8131)*dl2_QED4 + coupl(nGC_8132)*dl5_QED4 +  &
                        coupl(nGC_8133)*dl4_QED4 + coupl(nGC_8134)*dl1_QED4 +  &
                        coupl(nGC_8135)*da_QED2
      coupl(nGC_16196) = coupl(nGC_62)*dZHa_QED2 + coupl(nGC_62)*dZWMinus_QED2 &
                          + coupl(nGC_9364)
      coupl(nGC_9163) = (20d0*Nc*cima*coupl(nGC_1313)*coupl(nGC_134)*coupl(    &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1313)*  &
                        coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_1313)*coupl(nGC_134)*coupl(nGC_80)*coupl&
                        (nGC_88) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_144)* &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_138)*coupl(nGC_144)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_144)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_147)*coupl(   &
                        nGC_150)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_147)*coupl(nGC_150)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_147)*coupl(nGC_150)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_171)*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_171)*coupl(nGC_174)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_171)*coupl(   &
                        nGC_174)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_181)*coupl(nGC_2153)*coupl(nGC_80)*coupl(    &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_181)*coupl(nGC_2153)* &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_181)*coupl(nGC_2153)*coupl(nGC_80)*coupl(nGC_88) + &
                        20d0*Nc*cima*coupl(nGC_196)*coupl(nGC_797)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_196)*coupl(   &
                        nGC_797)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_196)*coupl(nGC_797)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 4d0*cima*coupl(nGC_1079)*coupl(nGC_2961)*    &
                        coupl(nGC_72)**2d0 + 9d0*cima*coupl(nGC_1079)*coupl(   &
                        nGC_68)*coupl(nGC_781)*coupl(nGC_82) + 4d0*cima*coupl( &
                        nGC_1283)*coupl(nGC_1319)*coupl(nGC_91)*coupl(nGC_94   &
                        ) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_1319)*coupl(    &
                        nGC_92)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1283)*coupl(&
                        nGC_1491)*coupl(nGC_69)*coupl(nGC_72) + 4d0*cima*coupl(&
                        nGC_1283)*coupl(nGC_2961)*coupl(nGC_63)*coupl(nGC_72   &
                        ) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_63)*coupl(nGC_94&
                        )*coupl(nGC_96) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_68&
                        )*coupl(nGC_92)*coupl(nGC_96) + 4d0*cima*coupl(nGC_1491&
                        )*coupl(nGC_661)*coupl(nGC_72)**2d0 + 20d0*cima*coupl( &
                        nGC_155)*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_86) -  &
                        16d0*cima*coupl(nGC_155)*coupl(nGC_158)*coupl(nGC_80)* &
                        coupl(nGC_89) - 16d0*cima*coupl(nGC_155)*coupl(nGC_158 &
                        )*coupl(nGC_80)*coupl(nGC_90) + 20d0*cima*coupl(nGC_163&
                        )*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_86) - 16d0*   &
                        cima*coupl(nGC_163)*coupl(nGC_166)*coupl(nGC_80)*coupl(&
                        nGC_89) - 16d0*cima*coupl(nGC_163)*coupl(nGC_166)*coupl&
                        (nGC_80)*coupl(nGC_90) + 20d0*cima*coupl(nGC_186)*coupl&
                        (nGC_189)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl&
                        (nGC_186)*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_89) - &
                        16d0*cima*coupl(nGC_186)*coupl(nGC_189)*coupl(nGC_80)* &
                        coupl(nGC_90) + 9d0*cima*coupl(nGC_63)*coupl(nGC_661)* &
                        coupl(nGC_781)*coupl(nGC_82) + 4d0*cima*coupl(nGC_63)* &
                        coupl(nGC_72)**2d0*coupl(nGC_94) + 4d0*cima*coupl(     &
                        nGC_69)*coupl(nGC_72)**2d0*coupl(nGC_91) - 6d0*coupl(  &
                        nGC_1079)*coupl(nGC_16)*coupl(nGC_781) - 6d0*coupl(    &
                        nGC_1079)*coupl(nGC_68)*coupl(nGC_79) + 6d0*coupl(     &
                        nGC_1283)*coupl(nGC_14)*coupl(nGC_94) + 6d0*coupl(     &
                        nGC_1283)*coupl(nGC_16)*coupl(nGC_92) - 6d0*coupl(     &
                        nGC_14)*coupl(nGC_661)*coupl(nGC_781) + 6d0*coupl(     &
                        nGC_1491)*coupl(nGC_16)*coupl(nGC_72) + 6d0*coupl(     &
                        nGC_15)*coupl(nGC_2961)*coupl(nGC_72) - 6d0*coupl(     &
                        nGC_63)*coupl(nGC_661)*coupl(nGC_79))/(192d0*pi**2d0)
      coupl(nGC_9166) = (20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_134)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_138)**2d0*coupl(nGC_142)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_150)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_174)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_178)**2d0*coupl(nGC_181)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_196)**2d0&
                         - 10d0*cima*coupl(nGC_1319)**2d0*coupl(nGC_72)**2d0 - &
                        10d0*cima*coupl(nGC_1319)*coupl(nGC_1491)*coupl(nGC_63 &
                        )*coupl(nGC_72) - 10d0*cima*coupl(nGC_1319)*coupl(     &
                        nGC_1795)*coupl(nGC_64)*coupl(nGC_72) - 20d0*cima*coupl&
                        (nGC_1319)*coupl(nGC_1919)*coupl(nGC_69)*coupl(nGC_72  &
                        ) - 5d0*cima*coupl(nGC_1491)**2d0*coupl(nGC_1919)**2d0 &
                         - 10d0*cima*coupl(nGC_1491)*coupl(nGC_1795)*coupl(    &
                        nGC_1919)**2d0 - 10d0*cima*coupl(nGC_1491)*coupl(      &
                        nGC_1795)*coupl(nGC_63)*coupl(nGC_64) - 10d0*cima*coupl&
                        (nGC_1491)*coupl(nGC_1919)*coupl(nGC_63)*coupl(nGC_69  &
                        ) + 20d0*cima*coupl(nGC_154)**2d0*coupl(nGC_158)**2d0  &
                         + 20d0*cima*coupl(nGC_162)**2d0*coupl(nGC_166)**2d0 - &
                        5d0*cima*coupl(nGC_1795)**2d0*coupl(nGC_1919)**2d0 -   &
                        10d0*cima*coupl(nGC_1795)*coupl(nGC_1919)*coupl(nGC_64 &
                        )*coupl(nGC_69) + 20d0*cima*coupl(nGC_185)**2d0*coupl( &
                        nGC_189)**2d0 - 10d0*cima*coupl(nGC_1919)**2d0*coupl(  &
                        nGC_69)**2d0 - 5d0*cima*coupl(nGC_63)**2d0*coupl(nGC_69&
                        )**2d0 - 10d0*cima*coupl(nGC_63)*coupl(nGC_64)*coupl(  &
                        nGC_69)**2d0 - 5d0*cima*coupl(nGC_64)**2d0*coupl(nGC_69&
                        )**2d0 + 6d0*coupl(nGC_1283)**2d0*coupl(nGC_60) + 6d0* &
                        coupl(nGC_1283)*coupl(nGC_60)*coupl(nGC_96) + 6d0*coupl&
                        (nGC_1319)*coupl(nGC_1795)*coupl(nGC_41) + 6d0*coupl(  &
                        nGC_1319)*coupl(nGC_1919)*coupl(nGC_49) + 6d0*coupl(   &
                        nGC_1319)*coupl(nGC_41)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_1319)*coupl(nGC_48)*coupl(nGC_69) + 12d0*coupl(    &
                        nGC_1319)*coupl(nGC_58)*coupl(nGC_72) + 6d0*coupl(     &
                        nGC_1491)*coupl(nGC_1795)*coupl(nGC_36) + 6d0*coupl(   &
                        nGC_1491)*coupl(nGC_1919)*coupl(nGC_27) + 6d0*coupl(   &
                        nGC_1491)*coupl(nGC_41)*coupl(nGC_72) + 6d0*coupl(     &
                        nGC_1529)**2d0*coupl(nGC_60) + 6d0*coupl(nGC_1529)*    &
                        coupl(nGC_17)*coupl(nGC_60) + 6d0*coupl(nGC_17)**2d0*  &
                        coupl(nGC_60) + 6d0*coupl(nGC_1795)*coupl(nGC_1919)*   &
                        coupl(nGC_24) + 6d0*coupl(nGC_1919)**2d0*coupl(nGC_36  &
                        ) + 6d0*coupl(nGC_1919)*coupl(nGC_48)*coupl(nGC_72) +  &
                        6d0*coupl(nGC_24)*coupl(nGC_64)*coupl(nGC_69) + 6d0*   &
                        coupl(nGC_27)*coupl(nGC_63)*coupl(nGC_69) + 6d0*coupl( &
                        nGC_36)*coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_36 &
                        )*coupl(nGC_69)**2d0 + 6d0*coupl(nGC_41)*coupl(nGC_64)*&
                        coupl(nGC_72) + 6d0*coupl(nGC_49)*coupl(nGC_69)*coupl( &
                        nGC_72) + 6d0*coupl(nGC_60)*coupl(nGC_96)**2d0)/(96d0* &
                        pi**2d0)
      coupl(nGC_9167) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(     &
                        nGC_135)*coupl(nGC_136) + 20d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_134)*coupl(nGC_175)*coupl(nGC_176) + 20d0*Nc*&
                        cima*coupl(nGC_131)*coupl(nGC_135)*coupl(nGC_174)*coupl&
                        (nGC_176) + 20d0*Nc*cima*coupl(nGC_134)*coupl(nGC_136)*&
                        coupl(nGC_170)*coupl(nGC_175) + 20d0*Nc*cima*coupl(    &
                        nGC_135)*coupl(nGC_136)*coupl(nGC_170)*coupl(nGC_174   &
                        ) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*coupl(  &
                        nGC_140)*coupl(nGC_142) + 20d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_140)*coupl(nGC_178)*coupl(nGC_182) + 20d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_182)*coupl&
                        (nGC_183) + 20d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*&
                        coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_139)*coupl(nGC_142)*coupl(nGC_181)*coupl(nGC_183   &
                        ) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*coupl(  &
                        nGC_151)*coupl(nGC_152) + 20d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_150)*coupl(nGC_197)*coupl(nGC_198) + 20d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_151)*coupl(nGC_196)*coupl&
                        (nGC_198) + 20d0*Nc*cima*coupl(nGC_150)*coupl(nGC_152)*&
                        coupl(nGC_193)*coupl(nGC_197) + 20d0*Nc*cima*coupl(    &
                        nGC_151)*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_196   &
                        ) + 20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*coupl(  &
                        nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(nGC_178)* &
                        coupl(nGC_181)*coupl(nGC_182)*coupl(nGC_183) + 20d0*Nc*&
                        cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197)*coupl&
                        (nGC_198) - 5d0*cima*coupl(nGC_1283)*coupl(nGC_1319)*  &
                        coupl(nGC_1491)*coupl(nGC_661) - 5d0*cima*coupl(       &
                        nGC_1283)*coupl(nGC_1319)*coupl(nGC_1919)*coupl(       &
                        nGC_3231) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1491)*  &
                        coupl(nGC_1919)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1319&
                        )*coupl(nGC_1795)*coupl(nGC_1919)*coupl(nGC_72) - 5d0* &
                        cima*coupl(nGC_1319)*coupl(nGC_63)*coupl(nGC_69)*coupl(&
                        nGC_72) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_64)*coupl(&
                        nGC_69)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1491)*coupl(&
                        nGC_1795)*coupl(nGC_661)*coupl(nGC_91) - 5d0*cima*coupl&
                        (nGC_1491)*coupl(nGC_1919)*coupl(nGC_661)*coupl(nGC_94 &
                        ) + 20d0*cima*coupl(nGC_154)*coupl(nGC_158)*coupl(     &
                        nGC_159)*coupl(nGC_160) + 20d0*cima*coupl(nGC_162)*    &
                        coupl(nGC_166)*coupl(nGC_167)*coupl(nGC_168) - 5d0*cima&
                        *coupl(nGC_1795)*coupl(nGC_1919)*coupl(nGC_3231)*coupl(&
                        nGC_91) + 20d0*cima*coupl(nGC_185)*coupl(nGC_189)*coupl&
                        (nGC_190)*coupl(nGC_191) - 5d0*cima*coupl(nGC_1919)**  &
                        2d0*coupl(nGC_3231)*coupl(nGC_94) - 5d0*cima*coupl(    &
                        nGC_3231)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_94) -  &
                        5d0*cima*coupl(nGC_3231)*coupl(nGC_64)*coupl(nGC_69)*  &
                        coupl(nGC_91) - 5d0*cima*coupl(nGC_63)*coupl(nGC_661)* &
                        coupl(nGC_69)*coupl(nGC_94) - 5d0*cima*coupl(nGC_63)*  &
                        coupl(nGC_72)*coupl(nGC_94)*coupl(nGC_96) - 5d0*cima*  &
                        coupl(nGC_661)*coupl(nGC_69)**2d0*coupl(nGC_91) - 5d0* &
                        cima*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_91)*coupl(  &
                        nGC_96) + 3d0*coupl(nGC_1283)**2d0*coupl(nGC_43) + 3d0*&
                        coupl(nGC_1283)*coupl(nGC_3231)*coupl(nGC_48) + 3d0*   &
                        coupl(nGC_1283)*coupl(nGC_41)*coupl(nGC_661) + 9d0*    &
                        coupl(nGC_1319)**2d0*coupl(nGC_43) + 3d0*coupl(nGC_1319&
                        )*coupl(nGC_41)*coupl(nGC_69) + 6d0*coupl(nGC_1319)*   &
                        coupl(nGC_45)*coupl(nGC_72) + 3d0*coupl(nGC_1319)*coupl&
                        (nGC_47)*coupl(nGC_72) + 3d0*coupl(nGC_1319)*coupl(    &
                        nGC_48)*coupl(nGC_64) - 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_1919)*coupl(nGC_62) + 3d0*coupl(nGC_1529)**2d0*    &
                        coupl(nGC_43) - 3d0*coupl(nGC_1795)*coupl(nGC_1919)*   &
                        coupl(nGC_62) + 3d0*coupl(nGC_1795)*coupl(nGC_48)*coupl&
                        (nGC_72) + 3d0*coupl(nGC_1919)*coupl(nGC_41)*coupl(    &
                        nGC_72) - 6d0*coupl(nGC_20)*coupl(nGC_63)*coupl(nGC_94 &
                        ) - 6d0*coupl(nGC_20)*coupl(nGC_69)*coupl(nGC_91) + 3d0&
                        *coupl(nGC_24)*coupl(nGC_3231)*coupl(nGC_91) + 3d0*    &
                        coupl(nGC_25)*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl( &
                        nGC_25)*coupl(nGC_69)**2d0 + 3d0*coupl(nGC_27)*coupl(  &
                        nGC_661)*coupl(nGC_94) + 3d0*coupl(nGC_3231)*coupl(    &
                        nGC_36)*coupl(nGC_94) + 6d0*coupl(nGC_3231)*coupl(     &
                        nGC_48)*coupl(nGC_96) + 3d0*coupl(nGC_33)*coupl(nGC_63 &
                        )*coupl(nGC_69) + 3d0*coupl(nGC_36)*coupl(nGC_661)*    &
                        coupl(nGC_91) + 3d0*coupl(nGC_39)*coupl(nGC_64)*coupl( &
                        nGC_69) + 6d0*coupl(nGC_41)*coupl(nGC_661)*coupl(nGC_96&
                        ) + 3d0*coupl(nGC_41)*coupl(nGC_94)*coupl(nGC_96) + 3d0&
                        *coupl(nGC_43)*coupl(nGC_72)**2d0 + 3d0*coupl(nGC_48)* &
                        coupl(nGC_91)*coupl(nGC_96))/(96d0*pi**2d0)
      coupl(nGC_9164) = (20d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_133)*   &
                        coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_137)*coupl(nGC_138)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_149)*coupl(   &
                        nGC_150)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_173)*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_173)*coupl(nGC_174)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_173)*coupl(   &
                        nGC_174)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_180)*coupl(nGC_181)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_180)*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_195)*coupl(   &
                        nGC_196)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 4d0*cima*coupl(nGC_1079)**2d0*coupl(nGC_1283 &
                        )*coupl(nGC_68) + 4d0*cima*coupl(nGC_1079)*coupl(      &
                        nGC_1283)*coupl(nGC_63)*coupl(nGC_661) + 4d0*cima*coupl&
                        (nGC_1079)*coupl(nGC_2961)*coupl(nGC_64)*coupl(nGC_72  &
                        ) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_1319)*coupl(    &
                        nGC_661)*coupl(nGC_96) + 4d0*cima*coupl(nGC_1283)*coupl&
                        (nGC_1491)**2d0*coupl(nGC_1919) + 4d0*cima*coupl(      &
                        nGC_1283)*coupl(nGC_1491)*coupl(nGC_64)*coupl(nGC_69   &
                        ) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_1919)*coupl(    &
                        nGC_2961)**2d0 + 4d0*cima*coupl(nGC_1283)*coupl(       &
                        nGC_1919)*coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_1283 &
                        )*coupl(nGC_2961)*coupl(nGC_63)*coupl(nGC_64) + 4d0*   &
                        cima*coupl(nGC_1283)*coupl(nGC_3231)*coupl(nGC_63)*    &
                        coupl(nGC_661) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_661&
                        )**2d0*coupl(nGC_68) + 9d0*cima*coupl(nGC_1319)*coupl( &
                        nGC_781)*coupl(nGC_82)*coupl(nGC_94) + 4d0*cima*coupl( &
                        nGC_1491)*coupl(nGC_1919)*coupl(nGC_3231)*coupl(nGC_72 &
                        ) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_1919)*coupl(    &
                        nGC_72)*coupl(nGC_91) + 4d0*cima*coupl(nGC_1491)*coupl(&
                        nGC_64)*coupl(nGC_661)*coupl(nGC_72) + 20d0*cima*coupl(&
                        nGC_157)*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_86) -  &
                        16d0*cima*coupl(nGC_157)*coupl(nGC_158)*coupl(nGC_80)* &
                        coupl(nGC_89) - 16d0*cima*coupl(nGC_157)*coupl(nGC_158 &
                        )*coupl(nGC_80)*coupl(nGC_90) + 24d0*cima*coupl(nGC_16 &
                        )*coupl(nGC_79) + 20d0*cima*coupl(nGC_165)*coupl(      &
                        nGC_166)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(&
                        nGC_165)*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_89) -  &
                        16d0*cima*coupl(nGC_165)*coupl(nGC_166)*coupl(nGC_80)* &
                        coupl(nGC_90) + 9d0*cima*coupl(nGC_17)*coupl(nGC_3)*   &
                        coupl(nGC_68)*coupl(nGC_781) + 20d0*cima*coupl(nGC_188 &
                        )*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_86) - 16d0*   &
                        cima*coupl(nGC_188)*coupl(nGC_189)*coupl(nGC_80)*coupl(&
                        nGC_89) - 16d0*cima*coupl(nGC_188)*coupl(nGC_189)*coupl&
                        (nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(nGC_1919)*coupl&
                        (nGC_2961)*coupl(nGC_661)*coupl(nGC_72) + 4d0*cima*    &
                        coupl(nGC_1919)*coupl(nGC_2961)*coupl(nGC_72)*coupl(   &
                        nGC_94) + 4d0*cima*coupl(nGC_63)*coupl(nGC_64)*coupl(  &
                        nGC_72)*coupl(nGC_94) + 4d0*cima*coupl(nGC_64)*coupl(  &
                        nGC_69)*coupl(nGC_72)*coupl(nGC_91) + 9d0*cima*coupl(  &
                        nGC_68)*coupl(nGC_781)*coupl(nGC_82)*coupl(nGC_96) +   &
                        24d0*cima*coupl(nGC_70)*coupl(nGC_803) - 6d0*coupl(    &
                        nGC_100)*coupl(nGC_68)*coupl(nGC_82) + 6d0*coupl(      &
                        nGC_1283)*coupl(nGC_19)*coupl(nGC_661) - 6d0*coupl(    &
                        nGC_1319)*coupl(nGC_79)*coupl(nGC_94) + 6d0*coupl(     &
                        nGC_14)*coupl(nGC_1491)*coupl(nGC_1919) + 6d0*coupl(   &
                        nGC_1491)*coupl(nGC_16)*coupl(nGC_64) + 6d0*coupl(     &
                        nGC_15)*coupl(nGC_2961)*coupl(nGC_64) - 6d0*coupl(     &
                        nGC_16)*coupl(nGC_17)*coupl(nGC_3) + 6d0*coupl(nGC_16)*&
                        coupl(nGC_1919)*coupl(nGC_2961) + 36d0*coupl(nGC_16)*  &
                        coupl(nGC_781)*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl(&
                        nGC_82)*coupl(nGC_96) - 6d0*coupl(nGC_17)*coupl(nGC_68 &
                        )*coupl(nGC_803) + 6d0*coupl(nGC_19)*coupl(nGC_1919)*  &
                        coupl(nGC_72) - 6d0*coupl(nGC_19)*coupl(nGC_781)*coupl(&
                        nGC_94) - 6d0*coupl(nGC_3)*coupl(nGC_68)*coupl(nGC_97  &
                        ) - 6d0*coupl(nGC_61)*coupl(nGC_68)*coupl(nGC_82) - 6d0&
                        *coupl(nGC_62)*coupl(nGC_68)*coupl(nGC_781) - 6d0*coupl&
                        (nGC_68)*coupl(nGC_781)*coupl(nGC_99) - 6d0*coupl(     &
                        nGC_68)*coupl(nGC_79)*coupl(nGC_96) + 36d0*coupl(nGC_70&
                        )*coupl(nGC_82)*coupl(nGC_877))/(192d0*pi**2d0)
      coupl(nGC_9165) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_130)*   &
                        coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_138)*coupl(nGC_141)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_145)*coupl(   &
                        nGC_150)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_145)*coupl(nGC_150)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_169)*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_169)*coupl(nGC_174)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_169)*coupl(   &
                        nGC_174)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_177)*coupl(nGC_181)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_177)*coupl(nGC_181)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_177)*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_192)*coupl(   &
                        nGC_196)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 4d0*cima*coupl(nGC_1079)*coupl(nGC_1283)*    &
                        coupl(nGC_661)*coupl(nGC_68) + 4d0*cima*coupl(nGC_1079 &
                        )*coupl(nGC_2961)*coupl(nGC_68)*coupl(nGC_72) + 4d0*   &
                        cima*coupl(nGC_1283)*coupl(nGC_1319)*coupl(nGC_3231)*  &
                        coupl(nGC_96) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_1491&
                        )**2d0*coupl(nGC_1795) + 4d0*cima*coupl(nGC_1283)*coupl&
                        (nGC_1491)*coupl(nGC_68)*coupl(nGC_69) + 4d0*cima*coupl&
                        (nGC_1283)*coupl(nGC_1795)*coupl(nGC_2961)**2d0 + 4d0* &
                        cima*coupl(nGC_1283)*coupl(nGC_1795)*coupl(nGC_72)**2d0&
                         + 4d0*cima*coupl(nGC_1283)*coupl(nGC_2961)*coupl(     &
                        nGC_63)*coupl(nGC_68) + 4d0*cima*coupl(nGC_1283)*coupl(&
                        nGC_3231)**2d0*coupl(nGC_63) + 4d0*cima*coupl(nGC_1283 &
                        )*coupl(nGC_3231)*coupl(nGC_661)*coupl(nGC_68) + 4d0*  &
                        cima*coupl(nGC_1283)*coupl(nGC_63)*coupl(nGC_661)**2d0 &
                         + 9d0*cima*coupl(nGC_1319)*coupl(nGC_781)*coupl(nGC_82&
                        )*coupl(nGC_91) + 24d0*cima*coupl(nGC_14)*coupl(nGC_79 &
                        ) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_1795)*coupl(    &
                        nGC_3231)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1491)*    &
                        coupl(nGC_1795)*coupl(nGC_72)*coupl(nGC_91) + 4d0*cima*&
                        coupl(nGC_1491)*coupl(nGC_661)*coupl(nGC_68)*coupl(    &
                        nGC_72) + 20d0*cima*coupl(nGC_153)*coupl(nGC_158)*coupl&
                        (nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_153)*coupl&
                        (nGC_158)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl&
                        (nGC_153)*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_90) + &
                        20d0*cima*coupl(nGC_161)*coupl(nGC_166)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_161)*coupl(nGC_166 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_161&
                        )*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_90) + 9d0*cima&
                        *coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_781&
                        ) + 4d0*cima*coupl(nGC_1795)*coupl(nGC_2961)*coupl(    &
                        nGC_661)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1795)*coupl&
                        (nGC_2961)*coupl(nGC_72)*coupl(nGC_94) + 20d0*cima*    &
                        coupl(nGC_184)*coupl(nGC_189)*coupl(nGC_80)*coupl(     &
                        nGC_86) - 16d0*cima*coupl(nGC_184)*coupl(nGC_189)*coupl&
                        (nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_184)*coupl&
                        (nGC_189)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(&
                        nGC_63)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_94) + 9d0&
                        *cima*coupl(nGC_63)*coupl(nGC_781)*coupl(nGC_82)*coupl(&
                        nGC_96) + 24d0*cima*coupl(nGC_65)*coupl(nGC_803) + 4d0*&
                        cima*coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_72)*coupl(  &
                        nGC_91) - 6d0*coupl(nGC_100)*coupl(nGC_63)*coupl(nGC_82&
                        ) + 6d0*coupl(nGC_1283)*coupl(nGC_19)*coupl(nGC_3231   &
                        ) - 6d0*coupl(nGC_1319)*coupl(nGC_79)*coupl(nGC_91) +  &
                        6d0*coupl(nGC_14)*coupl(nGC_1491)*coupl(nGC_1795) - 6d0&
                        *coupl(nGC_14)*coupl(nGC_17)*coupl(nGC_3) + 36d0*coupl(&
                        nGC_14)*coupl(nGC_781)*coupl(nGC_82) - 6d0*coupl(nGC_14&
                        )*coupl(nGC_82)*coupl(nGC_96) + 6d0*coupl(nGC_1491)*   &
                        coupl(nGC_16)*coupl(nGC_68) + 6d0*coupl(nGC_15)*coupl( &
                        nGC_2961)*coupl(nGC_68) + 6d0*coupl(nGC_16)*coupl(     &
                        nGC_1795)*coupl(nGC_2961) - 6d0*coupl(nGC_17)*coupl(   &
                        nGC_63)*coupl(nGC_803) + 6d0*coupl(nGC_1795)*coupl(    &
                        nGC_19)*coupl(nGC_72) - 6d0*coupl(nGC_19)*coupl(nGC_781&
                        )*coupl(nGC_91) - 6d0*coupl(nGC_3)*coupl(nGC_63)*coupl(&
                        nGC_97) - 6d0*coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_82 &
                        ) - 6d0*coupl(nGC_62)*coupl(nGC_63)*coupl(nGC_781) -   &
                        6d0*coupl(nGC_63)*coupl(nGC_781)*coupl(nGC_99) - 6d0*  &
                        coupl(nGC_63)*coupl(nGC_79)*coupl(nGC_96) + 36d0*coupl(&
                        nGC_65)*coupl(nGC_82)*coupl(nGC_877))/(192d0*pi**2d0)
      coupl(nGC_9168) = (10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_1313)*coupl(    &
                        nGC_134)*coupl(nGC_136) + 10d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_1313)*coupl(nGC_174)*coupl(nGC_176) + 10d0*Nc&
                        *cima*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_134)*    &
                        coupl(nGC_135) + 10d0*Nc*cima*coupl(nGC_131)*coupl(    &
                        nGC_134)*coupl(nGC_171)*coupl(nGC_176) + 10d0*Nc*cima* &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_172)*coupl(    &
                        nGC_175) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_135)* &
                        coupl(nGC_172)*coupl(nGC_174) + 10d0*Nc*cima*coupl(    &
                        nGC_1313)*coupl(nGC_136)*coupl(nGC_170)*coupl(nGC_174  &
                        ) + 10d0*Nc*cima*coupl(nGC_132)*coupl(nGC_134)*coupl(  &
                        nGC_170)*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_132)* &
                        coupl(nGC_135)*coupl(nGC_170)*coupl(nGC_174) + 10d0*Nc*&
                        cima*coupl(nGC_134)*coupl(nGC_136)*coupl(nGC_170)*coupl&
                        (nGC_171) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*&
                        coupl(nGC_142)*coupl(nGC_143) + 10d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_140)*coupl(nGC_142)*coupl(nGC_144   &
                        ) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_140)*coupl(  &
                        nGC_178)*coupl(nGC_2153) + 10d0*Nc*cima*coupl(nGC_138)*&
                        coupl(nGC_142)*coupl(nGC_179)*coupl(nGC_182) + 10d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_183)*coupl&
                        (nGC_2153) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_143 &
                        )*coupl(nGC_178)*coupl(nGC_182) + 10d0*Nc*cima*coupl(  &
                        nGC_139)*coupl(nGC_142)*coupl(nGC_179)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_139)*coupl(nGC_143)*coupl(  &
                        nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_140)* &
                        coupl(nGC_144)*coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*&
                        cima*coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_181)*coupl&
                        (nGC_183) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_147)*&
                        coupl(nGC_150)*coupl(nGC_152) + 10d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_147)*coupl(nGC_196)*coupl(nGC_198   &
                        ) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_148)*coupl(  &
                        nGC_150)*coupl(nGC_151) + 10d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_150)*coupl(nGC_194)*coupl(nGC_197) + 10d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_198)*coupl&
                        (nGC_797) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_151)*&
                        coupl(nGC_194)*coupl(nGC_196) + 10d0*Nc*cima*coupl(    &
                        nGC_147)*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_196   &
                        ) + 10d0*Nc*cima*coupl(nGC_148)*coupl(nGC_150)*coupl(  &
                        nGC_193)*coupl(nGC_197) + 10d0*Nc*cima*coupl(nGC_148)* &
                        coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*&
                        cima*coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_193)*coupl&
                        (nGC_797) + 10d0*Nc*cima*coupl(nGC_170)*coupl(nGC_171)*&
                        coupl(nGC_174)*coupl(nGC_176) + 10d0*Nc*cima*coupl(    &
                        nGC_170)*coupl(nGC_172)*coupl(nGC_174)*coupl(nGC_175   &
                        ) + 10d0*Nc*cima*coupl(nGC_178)*coupl(nGC_179)*coupl(  &
                        nGC_181)*coupl(nGC_182) + 10d0*Nc*cima*coupl(nGC_178)* &
                        coupl(nGC_181)*coupl(nGC_183)*coupl(nGC_2153) + 10d0*Nc&
                        *cima*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_196)*    &
                        coupl(nGC_197) + 10d0*Nc*cima*coupl(nGC_193)*coupl(    &
                        nGC_196)*coupl(nGC_198)*coupl(nGC_797) - 5d0*cima*coupl&
                        (nGC_1079)*coupl(nGC_1283)*coupl(nGC_1319)*coupl(      &
                        nGC_1491) - 5d0*cima*coupl(nGC_1079)*coupl(nGC_63)*    &
                        coupl(nGC_69)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1079)*&
                        coupl(nGC_69)**2d0*coupl(nGC_91) - 5d0*cima*coupl(     &
                        nGC_1283)**2d0*coupl(nGC_1319)*coupl(nGC_72) - 5d0*cima&
                        *coupl(nGC_1283)*coupl(nGC_1319)*coupl(nGC_1919)*coupl(&
                        nGC_661) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1529)**  &
                        2d0*coupl(nGC_72) - 5d0*cima*coupl(nGC_1319)*coupl(    &
                        nGC_3231)*coupl(nGC_64)*coupl(nGC_96) - 5d0*cima*coupl(&
                        nGC_1319)*coupl(nGC_661)*coupl(nGC_69)*coupl(nGC_96) + &
                        10d0*cima*coupl(nGC_154)*coupl(nGC_155)*coupl(nGC_158)*&
                        coupl(nGC_160) + 10d0*cima*coupl(nGC_154)*coupl(nGC_156&
                        )*coupl(nGC_158)*coupl(nGC_159) + 10d0*cima*coupl(     &
                        nGC_162)*coupl(nGC_163)*coupl(nGC_166)*coupl(nGC_168   &
                        ) + 10d0*cima*coupl(nGC_162)*coupl(nGC_164)*coupl(     &
                        nGC_166)*coupl(nGC_167) + 10d0*cima*coupl(nGC_185)*    &
                        coupl(nGC_186)*coupl(nGC_189)*coupl(nGC_191) + 10d0*   &
                        cima*coupl(nGC_185)*coupl(nGC_187)*coupl(nGC_189)*coupl&
                        (nGC_190) + 12d0*cima*coupl(nGC_19)*coupl(nGC_20) - 5d0&
                        *cima*coupl(nGC_3231)*coupl(nGC_63)*coupl(nGC_64)*coupl&
                        (nGC_92) - 5d0*cima*coupl(nGC_3231)*coupl(nGC_64)*coupl&
                        (nGC_69)*coupl(nGC_94) - 5d0*cima*coupl(nGC_63)*coupl( &
                        nGC_64)*coupl(nGC_661)*coupl(nGC_94) - 5d0*cima*coupl( &
                        nGC_63)*coupl(nGC_661)*coupl(nGC_69)*coupl(nGC_92) -   &
                        5d0*cima*coupl(nGC_64)*coupl(nGC_661)*coupl(nGC_69)*   &
                        coupl(nGC_91) - 5d0*cima*coupl(nGC_661)*coupl(nGC_69)**&
                        2d0*coupl(nGC_94) + 12d0*cima*coupl(nGC_73)*coupl(     &
                        nGC_74) + 3d0*coupl(nGC_1079)*coupl(nGC_1283)*coupl(   &
                        nGC_41) - 3d0*coupl(nGC_1079)*coupl(nGC_1491)*coupl(   &
                        nGC_20) + 3d0*coupl(nGC_1283)**2d0*coupl(nGC_58) - 3d0*&
                        coupl(nGC_1283)*coupl(nGC_1319)*coupl(nGC_19) + 3d0*   &
                        coupl(nGC_1283)*coupl(nGC_41)*coupl(nGC_92) + 3d0*coupl&
                        (nGC_1283)*coupl(nGC_48)*coupl(nGC_661) + 3d0*coupl(   &
                        nGC_1283)*coupl(nGC_48)*coupl(nGC_94) + 6d0*coupl(     &
                        nGC_1319)**2d0*coupl(nGC_56) - 3d0*coupl(nGC_1319)*    &
                        coupl(nGC_1529)*coupl(nGC_73) - 3d0*coupl(nGC_1319)*   &
                        coupl(nGC_17)*coupl(nGC_74) - 3d0*coupl(nGC_1319)*coupl&
                        (nGC_20)*coupl(nGC_96) + 3d0*coupl(nGC_1319)*coupl(    &
                        nGC_57)*coupl(nGC_72) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_59)*coupl(nGC_72) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_60)*coupl(nGC_72) + 3d0*coupl(nGC_1529)**2d0*coupl(&
                        nGC_58) + 3d0*coupl(nGC_1795)*coupl(nGC_41)*coupl(     &
                        nGC_72) - 3d0*coupl(nGC_19)*coupl(nGC_3231)*coupl(     &
                        nGC_64) - 3d0*coupl(nGC_19)*coupl(nGC_661)*coupl(nGC_69&
                        ) - 3d0*coupl(nGC_1919)*coupl(nGC_20)*coupl(nGC_661) + &
                        3d0*coupl(nGC_1919)*coupl(nGC_49)*coupl(nGC_72) + 3d0* &
                        coupl(nGC_24)*coupl(nGC_3231)*coupl(nGC_94) + 3d0*coupl&
                        (nGC_27)*coupl(nGC_661)*coupl(nGC_92) + 3d0*coupl(     &
                        nGC_28)*coupl(nGC_64)*coupl(nGC_69) + 3d0*coupl(nGC_29 &
                        )*coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_3231)*   &
                        coupl(nGC_36)*coupl(nGC_92) + 3d0*coupl(nGC_3231)*coupl&
                        (nGC_41)*coupl(nGC_96) + 3d0*coupl(nGC_36)*coupl(      &
                        nGC_661)*coupl(nGC_94) + 3d0*coupl(nGC_37)*coupl(nGC_63&
                        )*coupl(nGC_64) + 3d0*coupl(nGC_37)*coupl(nGC_69)**2d0 &
                         + 3d0*coupl(nGC_41)*coupl(nGC_63)*coupl(nGC_72) + 3d0*&
                        coupl(nGC_41)*coupl(nGC_91)*coupl(nGC_96) + 3d0*coupl( &
                        nGC_48)*coupl(nGC_69)*coupl(nGC_72) + 3d0*coupl(nGC_49 &
                        )*coupl(nGC_661)*coupl(nGC_96) + 3d0*coupl(nGC_49)*    &
                        coupl(nGC_94)*coupl(nGC_96) + 6d0*coupl(nGC_58)*coupl( &
                        nGC_72)**2d0)/(96d0*pi**2d0)
      coupl(nGC_9169) = (10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*coupl(     &
                        nGC_134)*coupl(nGC_135) + 10d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_136) + 10d0*Nc*&
                        cima*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_174)*coupl&
                        (nGC_176) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*&
                        coupl(nGC_173)*coupl(nGC_175) + 10d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_173)*coupl(nGC_176   &
                        ) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_135)*coupl(  &
                        nGC_173)*coupl(nGC_174) + 10d0*Nc*cima*coupl(nGC_133)* &
                        coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_175) + 10d0*Nc*&
                        cima*coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_170)*coupl&
                        (nGC_174) + 10d0*Nc*cima*coupl(nGC_133)*coupl(nGC_136)*&
                        coupl(nGC_170)*coupl(nGC_174) + 10d0*Nc*cima*coupl(    &
                        nGC_134)*coupl(nGC_136)*coupl(nGC_170)*coupl(nGC_173   &
                        ) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*coupl(  &
                        nGC_139)*coupl(nGC_142) + 10d0*Nc*cima*coupl(nGC_137)* &
                        coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_142) + 10d0*Nc*&
                        cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178)*coupl&
                        (nGC_182) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_139)*&
                        coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*coupl(    &
                        nGC_137)*coupl(nGC_140)*coupl(nGC_178)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(  &
                        nGC_181)*coupl(nGC_183) + 10d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_140)*coupl(nGC_178)*coupl(nGC_180) + 10d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_180)*coupl&
                        (nGC_182) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*&
                        coupl(nGC_180)*coupl(nGC_183) + 10d0*Nc*cima*coupl(    &
                        nGC_139)*coupl(nGC_142)*coupl(nGC_180)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*coupl(  &
                        nGC_150)*coupl(nGC_151) + 10d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_152) + 10d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_196)*coupl&
                        (nGC_198) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*&
                        coupl(nGC_195)*coupl(nGC_197) + 10d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_150)*coupl(nGC_195)*coupl(nGC_198   &
                        ) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_151)*coupl(  &
                        nGC_195)*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_149)* &
                        coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_197) + 10d0*Nc*&
                        cima*coupl(nGC_149)*coupl(nGC_151)*coupl(nGC_193)*coupl&
                        (nGC_196) + 10d0*Nc*cima*coupl(nGC_149)*coupl(nGC_152)*&
                        coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*coupl(    &
                        nGC_150)*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_195   &
                        ) + 10d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173)*coupl(  &
                        nGC_174)*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_170)* &
                        coupl(nGC_173)*coupl(nGC_174)*coupl(nGC_176) + 10d0*Nc*&
                        cima*coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_181)*coupl&
                        (nGC_182) + 10d0*Nc*cima*coupl(nGC_178)*coupl(nGC_180)*&
                        coupl(nGC_181)*coupl(nGC_183) + 10d0*Nc*cima*coupl(    &
                        nGC_193)*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_197   &
                        ) + 10d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195)*coupl(  &
                        nGC_196)*coupl(nGC_198) - 5d0*cima*coupl(nGC_1079)*    &
                        coupl(nGC_3231)*coupl(nGC_64)*coupl(nGC_72) - 5d0*cima*&
                        coupl(nGC_1079)*coupl(nGC_661)*coupl(nGC_69)*coupl(    &
                        nGC_72) - 5d0*cima*coupl(nGC_1283)**2d0*coupl(nGC_1319 &
                        )*coupl(nGC_63) - 5d0*cima*coupl(nGC_1283)*coupl(      &
                        nGC_1319)**2d0*coupl(nGC_92) - 5d0*cima*coupl(nGC_1319 &
                        )*coupl(nGC_1491)*coupl(nGC_1919)*coupl(nGC_2961) - 5d0&
                        *cima*coupl(nGC_1319)*coupl(nGC_1529)**2d0*coupl(nGC_63&
                        ) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1795)*coupl(    &
                        nGC_1919)*coupl(nGC_2961) - 5d0*cima*coupl(nGC_1319)*  &
                        coupl(nGC_63)*coupl(nGC_94)**2d0 - 5d0*cima*coupl(     &
                        nGC_1319)*coupl(nGC_69)*coupl(nGC_91)*coupl(nGC_94) -  &
                        5d0*cima*coupl(nGC_1491)*coupl(nGC_1919)*coupl(nGC_69)*&
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_1491)*coupl(nGC_3231&
                        )*coupl(nGC_64)*coupl(nGC_96) - 5d0*cima*coupl(nGC_1491&
                        )*coupl(nGC_661)*coupl(nGC_69)*coupl(nGC_96) + 12d0*   &
                        cima*coupl(nGC_15)*coupl(nGC_20) + 10d0*cima*coupl(    &
                        nGC_154)*coupl(nGC_157)*coupl(nGC_158)*coupl(nGC_159   &
                        ) + 10d0*cima*coupl(nGC_154)*coupl(nGC_157)*coupl(     &
                        nGC_158)*coupl(nGC_160) + 10d0*cima*coupl(nGC_162)*    &
                        coupl(nGC_165)*coupl(nGC_166)*coupl(nGC_167) + 10d0*   &
                        cima*coupl(nGC_162)*coupl(nGC_165)*coupl(nGC_166)*coupl&
                        (nGC_168) - 5d0*cima*coupl(nGC_1795)*coupl(nGC_1919)*  &
                        coupl(nGC_69)*coupl(nGC_72) + 10d0*cima*coupl(nGC_185)*&
                        coupl(nGC_188)*coupl(nGC_189)*coupl(nGC_190) + 10d0*   &
                        cima*coupl(nGC_185)*coupl(nGC_188)*coupl(nGC_189)*coupl&
                        (nGC_191) - 5d0*cima*coupl(nGC_1919)*coupl(nGC_63)*    &
                        coupl(nGC_94)*coupl(nGC_96) - 5d0*cima*coupl(nGC_1919)*&
                        coupl(nGC_69)*coupl(nGC_91)*coupl(nGC_96) + 12d0*cima* &
                        coupl(nGC_66)*coupl(nGC_74) + 3d0*coupl(nGC_1079)*coupl&
                        (nGC_1283)*coupl(nGC_58) + 3d0*coupl(nGC_1079)*coupl(  &
                        nGC_3231)*coupl(nGC_41) + 3d0*coupl(nGC_1079)*coupl(   &
                        nGC_49)*coupl(nGC_661) + 3d0*coupl(nGC_1283)**2d0*coupl&
                        (nGC_41) - 3d0*coupl(nGC_1283)*coupl(nGC_1319)*coupl(  &
                        nGC_15) + 3d0*coupl(nGC_1283)*coupl(nGC_43)*coupl(     &
                        nGC_661) + 3d0*coupl(nGC_1283)*coupl(nGC_43)*coupl(    &
                        nGC_94) + 3d0*coupl(nGC_1283)*coupl(nGC_58)*coupl(     &
                        nGC_92) + 3d0*coupl(nGC_1319)*coupl(nGC_1491)*coupl(   &
                        nGC_32) + 3d0*coupl(nGC_1319)*coupl(nGC_1491)*coupl(   &
                        nGC_56) - 3d0*coupl(nGC_1319)*coupl(nGC_1529)*coupl(   &
                        nGC_66) + 3d0*coupl(nGC_1319)*coupl(nGC_1919)*coupl(   &
                        nGC_23) + 3d0*coupl(nGC_1319)*coupl(nGC_1919)*coupl(   &
                        nGC_45) - 3d0*coupl(nGC_1319)*coupl(nGC_20)*coupl(     &
                        nGC_92) + 3d0*coupl(nGC_1319)*coupl(nGC_25)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_1319)*coupl(nGC_2961)*coupl(   &
                        nGC_45) + 3d0*coupl(nGC_1319)*coupl(nGC_33)*coupl(     &
                        nGC_63) + 3d0*coupl(nGC_1319)*coupl(nGC_43)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_1319)*coupl(nGC_57)*coupl(     &
                        nGC_63) + 3d0*coupl(nGC_1319)*coupl(nGC_60)*coupl(     &
                        nGC_64) - 3d0*coupl(nGC_1491)*coupl(nGC_17)*coupl(     &
                        nGC_74) - 3d0*coupl(nGC_1491)*coupl(nGC_20)*coupl(     &
                        nGC_96) - 3d0*coupl(nGC_15)*coupl(nGC_3231)*coupl(     &
                        nGC_64) - 3d0*coupl(nGC_15)*coupl(nGC_661)*coupl(nGC_69&
                        ) + 3d0*coupl(nGC_1529)**2d0*coupl(nGC_41) - 3d0*coupl(&
                        nGC_16)*coupl(nGC_63)*coupl(nGC_94) - 3d0*coupl(nGC_16 &
                        )*coupl(nGC_69)*coupl(nGC_91) + 3d0*coupl(nGC_1795)*   &
                        coupl(nGC_36)*coupl(nGC_72) + 3d0*coupl(nGC_1919)*coupl&
                        (nGC_27)*coupl(nGC_72) + 3d0*coupl(nGC_1919)*coupl(    &
                        nGC_43)*coupl(nGC_72) + 3d0*coupl(nGC_27)*coupl(nGC_661&
                        )*coupl(nGC_96) + 3d0*coupl(nGC_27)*coupl(nGC_94)*coupl&
                        (nGC_96) + 3d0*coupl(nGC_29)*coupl(nGC_69)*coupl(nGC_72&
                        ) + 3d0*coupl(nGC_3231)*coupl(nGC_36)*coupl(nGC_96) +  &
                        3d0*coupl(nGC_3231)*coupl(nGC_48)*coupl(nGC_661) + 3d0*&
                        coupl(nGC_36)*coupl(nGC_91)*coupl(nGC_96) + 3d0*coupl( &
                        nGC_37)*coupl(nGC_64)*coupl(nGC_72) + 3d0*coupl(nGC_41 &
                        )*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl(nGC_41)*coupl&
                        (nGC_661)**2d0 + 3d0*coupl(nGC_41)*coupl(nGC_68)*coupl(&
                        nGC_69) + 3d0*coupl(nGC_41)*coupl(nGC_72)**2d0 + 3d0*  &
                        coupl(nGC_48)*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl( &
                        nGC_48)*coupl(nGC_64)*coupl(nGC_69) + 3d0*coupl(nGC_58 &
                        )*coupl(nGC_64)*coupl(nGC_72))/(96d0*pi**2d0)
      coupl(nGC_29632) = -coupl(nGC_8911)
      coupl(nGC_16512) = coupl(nGC_16507) + coupl(nGC_9439)
      coupl(nGC_16513) = coupl(nGC_145)*dZHl_QED2/2d0 + coupl(nGC_149)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_9440)
      coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
      coupl(nGC_8802) = (4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_138)**2d0 + 4d0*Nc&
                        *cMB*coupl(nGC_137)*coupl(nGC_181)**2d0 + 4d0*Nc*cMB*  &
                        coupl(nGC_138)*coupl(nGC_180)*coupl(nGC_181) + 4d0*Nc* &
                        cMC*coupl(nGC_133)*coupl(nGC_134)**2d0 + 4d0*Nc*cMC*   &
                        coupl(nGC_133)*coupl(nGC_174)**2d0 + 4d0*Nc*cMC*coupl( &
                        nGC_134)*coupl(nGC_173)*coupl(nGC_174) + 4d0*Nc*cMD*   &
                        coupl(nGC_149)*coupl(nGC_150)**2d0 + 4d0*Nc*cMD*coupl( &
                        nGC_149)*coupl(nGC_196)**2d0 + 4d0*Nc*cMD*coupl(nGC_150&
                        )*coupl(nGC_195)*coupl(nGC_196) + 4d0*Nc*cMS*coupl(    &
                        nGC_133)*coupl(nGC_134)*coupl(nGC_174) + 4d0*Nc*cMS*   &
                        coupl(nGC_134)**2d0*coupl(nGC_173) + 4d0*Nc*cMS*coupl( &
                        nGC_173)*coupl(nGC_174)**2d0 + 4d0*Nc*cMT*coupl(nGC_137&
                        )*coupl(nGC_138)*coupl(nGC_181) + 4d0*Nc*cMT*coupl(    &
                        nGC_138)**2d0*coupl(nGC_180) + 4d0*Nc*cMT*coupl(nGC_180&
                        )*coupl(nGC_181)**2d0 + 4d0*Nc*cMU*coupl(nGC_149)*coupl&
                        (nGC_150)*coupl(nGC_196) + 4d0*Nc*cMU*coupl(nGC_150)** &
                        2d0*coupl(nGC_195) + 4d0*Nc*cMU*coupl(nGC_195)*coupl(  &
                        nGC_196)**2d0 + 4d0*cME*coupl(nGC_157)*coupl(nGC_158)**&
                        2d0 + 4d0*cMM*coupl(nGC_165)*coupl(nGC_166)**2d0 + 4d0*&
                        cMTA*coupl(nGC_188)*coupl(nGC_189)**2d0 + 2d0*cima*    &
                        coupl(nGC_100)*coupl(nGC_129) + 8d0*cima*coupl(nGC_107 &
                        )*coupl(nGC_16) + 4d0*cima*coupl(nGC_125)*coupl(nGC_62 &
                        ) + 8d0*cima*coupl(nGC_127)*coupl(nGC_70) + coupl(     &
                        nGC_103)*coupl(nGC_1491)*coupl(nGC_69) + coupl(nGC_103 &
                        )*coupl(nGC_2961)*coupl(nGC_64) + coupl(nGC_105)*coupl(&
                        nGC_2961)*coupl(nGC_69) + coupl(nGC_106)*coupl(nGC_1491&
                        )*coupl(nGC_64) - coupl(nGC_107)*coupl(nGC_1283)*coupl(&
                        nGC_2961) - coupl(nGC_107)*coupl(nGC_1283)*coupl(nGC_69&
                        ) - coupl(nGC_107)*coupl(nGC_1319)*coupl(nGC_94) -     &
                        coupl(nGC_107)*coupl(nGC_661)*coupl(nGC_72) + coupl(   &
                        nGC_108)*coupl(nGC_1795)*coupl(nGC_2961) + coupl(      &
                        nGC_108)*coupl(nGC_63)*coupl(nGC_69) + coupl(nGC_111)* &
                        coupl(nGC_1795)*coupl(nGC_68) + coupl(nGC_111)*coupl(  &
                        nGC_1919)*coupl(nGC_63) + coupl(nGC_114)*coupl(nGC_1319&
                        )*coupl(nGC_1795) + coupl(nGC_115)*coupl(nGC_63)*coupl(&
                        nGC_72) + coupl(nGC_116)*coupl(nGC_1283)**2d0 + coupl( &
                        nGC_116)*coupl(nGC_1529)**2d0 + coupl(nGC_116)*coupl(  &
                        nGC_1919)*coupl(nGC_2961) + coupl(nGC_116)*coupl(nGC_68&
                        )*coupl(nGC_69) + coupl(nGC_117)*coupl(nGC_1319)*coupl(&
                        nGC_72) + 2d0*coupl(nGC_119)*coupl(nGC_1795)*coupl(    &
                        nGC_63) - coupl(nGC_125)*coupl(nGC_1319)*coupl(nGC_72  &
                        ) - coupl(nGC_125)*coupl(nGC_1795)*coupl(nGC_63) -     &
                        coupl(nGC_125)*coupl(nGC_1919)*coupl(nGC_68) - coupl(  &
                        nGC_127)*coupl(nGC_1529)*coupl(nGC_2961) - coupl(      &
                        nGC_127)*coupl(nGC_1529)*coupl(nGC_69) - coupl(nGC_129 &
                        )*coupl(nGC_96)**2d0)/(32d0*pi**2d0)
      coupl(nGC_20454) = 2d0*coupl(nGC_47)*dZHaG0_QED2 + coupl(nGC_9286)
      coupl(nGC_8803) = (4d0*Nc*cMB*coupl(nGC_138)**2d0*coupl(nGC_141) + 4d0*Nc&
                        *cMB*coupl(nGC_138)*coupl(nGC_177)*coupl(nGC_181) + 4d0&
                        *Nc*cMB*coupl(nGC_141)*coupl(nGC_181)**2d0 + 4d0*Nc*cMC&
                        *coupl(nGC_130)*coupl(nGC_134)**2d0 + 4d0*Nc*cMC*coupl(&
                        nGC_130)*coupl(nGC_174)**2d0 + 4d0*Nc*cMC*coupl(nGC_134&
                        )*coupl(nGC_169)*coupl(nGC_174) + 4d0*Nc*cMD*coupl(    &
                        nGC_145)*coupl(nGC_150)**2d0 + 4d0*Nc*cMD*coupl(nGC_145&
                        )*coupl(nGC_196)**2d0 + 4d0*Nc*cMD*coupl(nGC_150)*coupl&
                        (nGC_192)*coupl(nGC_196) + 4d0*Nc*cMS*coupl(nGC_130)*  &
                        coupl(nGC_134)*coupl(nGC_174) + 4d0*Nc*cMS*coupl(      &
                        nGC_134)**2d0*coupl(nGC_169) + 4d0*Nc*cMS*coupl(nGC_169&
                        )*coupl(nGC_174)**2d0 + 4d0*Nc*cMT*coupl(nGC_138)**2d0*&
                        coupl(nGC_177) + 4d0*Nc*cMT*coupl(nGC_138)*coupl(      &
                        nGC_141)*coupl(nGC_181) + 4d0*Nc*cMT*coupl(nGC_177)*   &
                        coupl(nGC_181)**2d0 + 4d0*Nc*cMU*coupl(nGC_145)*coupl( &
                        nGC_150)*coupl(nGC_196) + 4d0*Nc*cMU*coupl(nGC_150)**  &
                        2d0*coupl(nGC_192) + 4d0*Nc*cMU*coupl(nGC_192)*coupl(  &
                        nGC_196)**2d0 + 4d0*cME*coupl(nGC_153)*coupl(nGC_158)**&
                        2d0 + 4d0*cMM*coupl(nGC_161)*coupl(nGC_166)**2d0 + 4d0*&
                        cMTA*coupl(nGC_184)*coupl(nGC_189)**2d0 + 2d0*cima*    &
                        coupl(nGC_100)*coupl(nGC_128) + 8d0*cima*coupl(nGC_107 &
                        )*coupl(nGC_14) + 4d0*cima*coupl(nGC_124)*coupl(nGC_62 &
                        ) + 8d0*cima*coupl(nGC_127)*coupl(nGC_65) + coupl(     &
                        nGC_103)*coupl(nGC_2961)*coupl(nGC_69) + coupl(nGC_104 &
                        )*coupl(nGC_1491)*coupl(nGC_64) + coupl(nGC_106)*coupl(&
                        nGC_1491)*coupl(nGC_69) + coupl(nGC_106)*coupl(nGC_2961&
                        )*coupl(nGC_64) - coupl(nGC_107)*coupl(nGC_1283)*coupl(&
                        nGC_1491) - coupl(nGC_107)*coupl(nGC_1283)*coupl(nGC_64&
                        ) - coupl(nGC_107)*coupl(nGC_1319)*coupl(nGC_91) -     &
                        coupl(nGC_107)*coupl(nGC_3231)*coupl(nGC_72) + coupl(  &
                        nGC_108)*coupl(nGC_1283)**2d0 + coupl(nGC_108)*coupl(  &
                        nGC_1491)*coupl(nGC_1795) + coupl(nGC_108)*coupl(      &
                        nGC_1529)**2d0 + coupl(nGC_108)*coupl(nGC_63)*coupl(   &
                        nGC_64) + coupl(nGC_109)*coupl(nGC_1319)*coupl(nGC_72  &
                        ) + coupl(nGC_111)*coupl(nGC_1919)*coupl(nGC_69) +     &
                        coupl(nGC_111)*coupl(nGC_2961)*coupl(nGC_68) + coupl(  &
                        nGC_114)*coupl(nGC_1319)*coupl(nGC_2961) + coupl(      &
                        nGC_115)*coupl(nGC_69)*coupl(nGC_72) + coupl(nGC_116)* &
                        coupl(nGC_1491)*coupl(nGC_1919) + coupl(nGC_116)*coupl(&
                        nGC_64)*coupl(nGC_68) + coupl(nGC_119)*coupl(nGC_1795)*&
                        coupl(nGC_69) + coupl(nGC_119)*coupl(nGC_2961)*coupl(  &
                        nGC_63) - coupl(nGC_124)*coupl(nGC_1319)*coupl(nGC_72  &
                        ) - coupl(nGC_124)*coupl(nGC_1795)*coupl(nGC_63) -     &
                        coupl(nGC_124)*coupl(nGC_1919)*coupl(nGC_68) - coupl(  &
                        nGC_127)*coupl(nGC_1491)*coupl(nGC_1529) - coupl(      &
                        nGC_127)*coupl(nGC_1529)*coupl(nGC_64) - coupl(nGC_128 &
                        )*coupl(nGC_96)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8776) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_137)*coupl(nGC_84  &
                        ) - 4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_137)*coupl(nGC_87&
                        ) - 4d0*Nc*cMC*coupl(nGC_133)*coupl(nGC_2)*coupl(nGC_85&
                        ) - 4d0*Nc*cMC*coupl(nGC_133)*coupl(nGC_2)*coupl(nGC_88&
                        ) - 4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_149)*coupl(nGC_84&
                        ) - 4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_149)*coupl(nGC_87&
                        ) - 4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_173)*coupl(nGC_84&
                        ) - 4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_173)*coupl(nGC_87&
                        ) - 4d0*Nc*cMT*coupl(nGC_180)*coupl(nGC_2)*coupl(nGC_85&
                        ) - 4d0*Nc*cMT*coupl(nGC_180)*coupl(nGC_2)*coupl(nGC_88&
                        ) - 4d0*Nc*cMU*coupl(nGC_195)*coupl(nGC_2)*coupl(nGC_85&
                        ) - 4d0*Nc*cMU*coupl(nGC_195)*coupl(nGC_2)*coupl(nGC_88&
                        ) - 4d0*cME*coupl(nGC_157)*coupl(nGC_4)*coupl(nGC_86   &
                        ) - 4d0*cME*coupl(nGC_157)*coupl(nGC_4)*coupl(nGC_89   &
                        ) - 4d0*cMM*coupl(nGC_165)*coupl(nGC_4)*coupl(nGC_86   &
                        ) - 4d0*cMM*coupl(nGC_165)*coupl(nGC_4)*coupl(nGC_89   &
                        ) - 4d0*cMTA*coupl(nGC_188)*coupl(nGC_4)*coupl(nGC_86  &
                        ) - 4d0*cMTA*coupl(nGC_188)*coupl(nGC_4)*coupl(nGC_89  &
                        ) + 4d0*cima*coupl(nGC_125)*coupl(nGC_83) - coupl(     &
                        nGC_102)*coupl(nGC_3)*coupl(nGC_63) - coupl(nGC_102)*  &
                        coupl(nGC_64)*coupl(nGC_877) - coupl(nGC_107)*coupl(   &
                        nGC_1919)*coupl(nGC_877) - coupl(nGC_107)*coupl(       &
                        nGC_2961)*coupl(nGC_3) + 6d0*coupl(nGC_125)*coupl(nGC_3&
                        )*coupl(nGC_82) + 6d0*coupl(nGC_125)*coupl(nGC_781)*   &
                        coupl(nGC_877) - coupl(nGC_126)*coupl(nGC_1491)*coupl( &
                        nGC_781) - coupl(nGC_126)*coupl(nGC_1795)*coupl(nGC_82 &
                        ) - coupl(nGC_127)*coupl(nGC_68)*coupl(nGC_781) - coupl&
                        (nGC_127)*coupl(nGC_69)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_8777) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_141)*coupl(nGC_84  &
                        ) - 4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_141)*coupl(nGC_87&
                        ) - 4d0*Nc*cMC*coupl(nGC_130)*coupl(nGC_2)*coupl(nGC_85&
                        ) - 4d0*Nc*cMC*coupl(nGC_130)*coupl(nGC_2)*coupl(nGC_88&
                        ) - 4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_145)*coupl(nGC_84&
                        ) - 4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_145)*coupl(nGC_87&
                        ) - 4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_169)*coupl(nGC_84&
                        ) - 4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_169)*coupl(nGC_87&
                        ) - 4d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_2)*coupl(nGC_85&
                        ) - 4d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_2)*coupl(nGC_88&
                        ) - 4d0*Nc*cMU*coupl(nGC_192)*coupl(nGC_2)*coupl(nGC_85&
                        ) - 4d0*Nc*cMU*coupl(nGC_192)*coupl(nGC_2)*coupl(nGC_88&
                        ) - 4d0*cME*coupl(nGC_153)*coupl(nGC_4)*coupl(nGC_86   &
                        ) - 4d0*cME*coupl(nGC_153)*coupl(nGC_4)*coupl(nGC_89   &
                        ) - 4d0*cMM*coupl(nGC_161)*coupl(nGC_4)*coupl(nGC_86   &
                        ) - 4d0*cMM*coupl(nGC_161)*coupl(nGC_4)*coupl(nGC_89   &
                        ) - 4d0*cMTA*coupl(nGC_184)*coupl(nGC_4)*coupl(nGC_86  &
                        ) - 4d0*cMTA*coupl(nGC_184)*coupl(nGC_4)*coupl(nGC_89  &
                        ) + 4d0*cima*coupl(nGC_124)*coupl(nGC_83) - coupl(     &
                        nGC_102)*coupl(nGC_3)*coupl(nGC_69) - coupl(nGC_102)*  &
                        coupl(nGC_68)*coupl(nGC_877) - coupl(nGC_107)*coupl(   &
                        nGC_1491)*coupl(nGC_3) - coupl(nGC_107)*coupl(nGC_1795 &
                        )*coupl(nGC_877) + 6d0*coupl(nGC_124)*coupl(nGC_3)*    &
                        coupl(nGC_82) + 6d0*coupl(nGC_124)*coupl(nGC_781)*coupl&
                        (nGC_877) - coupl(nGC_126)*coupl(nGC_1919)*coupl(      &
                        nGC_781) - coupl(nGC_126)*coupl(nGC_2961)*coupl(nGC_82 &
                        ) - coupl(nGC_127)*coupl(nGC_63)*coupl(nGC_781) - coupl&
                        (nGC_127)*coupl(nGC_64)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_14937) = coupl(nGC_7)*dZdR_QCD2
      coupl(nGC_8771) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_131)**2d0 + 4d0*Nc*coupl&
                        (nGC_1)*coupl(nGC_142)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl&
                        (nGC_146)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_170)**  &
                        2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_178)**2d0 + 4d0*Nc*&
                        coupl(nGC_1)*coupl(nGC_193)**2d0 - 4d0*Nc*coupl(nGC_131&
                        )**2d0*coupl(nGC_2) - 4d0*Nc*coupl(nGC_142)**2d0*coupl(&
                        nGC_2) - 4d0*Nc*coupl(nGC_146)**2d0*coupl(nGC_2) - 4d0*&
                        Nc*coupl(nGC_170)**2d0*coupl(nGC_2) - 4d0*Nc*coupl(    &
                        nGC_178)**2d0*coupl(nGC_2) - 4d0*Nc*coupl(nGC_193)**2d0&
                        *coupl(nGC_2) + coupl(nGC_1283)**2d0*coupl(nGC_17) -   &
                        6d0*coupl(nGC_1319)*coupl(nGC_3)*coupl(nGC_72) - 6d0*  &
                        coupl(nGC_1491)*coupl(nGC_3)*coupl(nGC_64) + coupl(    &
                        nGC_1529)**2d0*coupl(nGC_17) + 4d0*coupl(nGC_154)**2d0*&
                        coupl(nGC_4) + 4d0*coupl(nGC_162)**2d0*coupl(nGC_4) +  &
                        4d0*coupl(nGC_185)**2d0*coupl(nGC_4) - 6d0*coupl(      &
                        nGC_1919)*coupl(nGC_3)*coupl(nGC_68))/(96d0*pi**2d0)
      coupl(nGC_8804) = (-4d0*Nc*coupl(nGC_134)**2d0*coupl(nGC_85) + 4d0*Nc*   &
                        coupl(nGC_134)**2d0*coupl(nGC_87) + 4d0*Nc*coupl(      &
                        nGC_138)**2d0*coupl(nGC_84) - 4d0*Nc*coupl(nGC_138)**  &
                        2d0*coupl(nGC_88) + 4d0*Nc*coupl(nGC_150)**2d0*coupl(  &
                        nGC_84) - 4d0*Nc*coupl(nGC_150)**2d0*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_174)**2d0*coupl(nGC_84) - 4d0*Nc*coupl&
                        (nGC_174)**2d0*coupl(nGC_88) - 4d0*Nc*coupl(nGC_181)** &
                        2d0*coupl(nGC_85) + 4d0*Nc*coupl(nGC_181)**2d0*coupl(  &
                        nGC_87) - 4d0*Nc*coupl(nGC_196)**2d0*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_196)**2d0*coupl(nGC_87) + coupl(      &
                        nGC_1283)**2d0*coupl(nGC_96) + coupl(nGC_1319)*coupl(  &
                        nGC_1491)*coupl(nGC_3231) + coupl(nGC_1319)*coupl(     &
                        nGC_2961)*coupl(nGC_661) - 6d0*coupl(nGC_1319)*coupl(  &
                        nGC_72)*coupl(nGC_82) + coupl(nGC_1529)**2d0*coupl(    &
                        nGC_96) + 4d0*coupl(nGC_158)**2d0*coupl(nGC_86) - 4d0* &
                        coupl(nGC_158)**2d0*coupl(nGC_90) + 4d0*coupl(nGC_166  &
                        )**2d0*coupl(nGC_86) - 4d0*coupl(nGC_166)**2d0*coupl(  &
                        nGC_90) - 6d0*coupl(nGC_1795)*coupl(nGC_63)*coupl(     &
                        nGC_82) + 4d0*coupl(nGC_189)**2d0*coupl(nGC_86) - 4d0* &
                        coupl(nGC_189)**2d0*coupl(nGC_90) - 6d0*coupl(nGC_1919 &
                        )*coupl(nGC_68)*coupl(nGC_82) + coupl(nGC_64)*coupl(   &
                        nGC_72)*coupl(nGC_91) + coupl(nGC_69)*coupl(nGC_72)*   &
                        coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_8805) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_142&
                        ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_140)*coupl(    &
                        nGC_142) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*   &
                        coupl(nGC_183) + 2d0*Nc*cMB*coupl(nGC_139)*coupl(      &
                        nGC_178)*coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_140)*   &
                        coupl(nGC_178)*coupl(nGC_181) + 2d0*Nc*cMB*coupl(      &
                        nGC_142)*coupl(nGC_181)*coupl(nGC_182) + 2d0*Nc*cMC*   &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_135) + 2d0*Nc* &
                        cMC*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_136) + 2d0*&
                        Nc*cMC*coupl(nGC_131)*coupl(nGC_174)*coupl(nGC_175) +  &
                        2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_176 &
                        ) + 2d0*Nc*cMC*coupl(nGC_135)*coupl(nGC_170)*coupl(    &
                        nGC_174) + 2d0*Nc*cMC*coupl(nGC_136)*coupl(nGC_170)*   &
                        coupl(nGC_174) + 2d0*Nc*cMD*coupl(nGC_146)*coupl(      &
                        nGC_150)*coupl(nGC_151) + 2d0*Nc*cMD*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_152) + 2d0*Nc*cMD*coupl(      &
                        nGC_146)*coupl(nGC_196)*coupl(nGC_197) + 2d0*Nc*cMD*   &
                        coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_198) + 2d0*Nc* &
                        cMD*coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_196) + 2d0*&
                        Nc*cMD*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_196) +  &
                        2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_175 &
                        ) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                        nGC_176) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_136)*   &
                        coupl(nGC_174) + 2d0*Nc*cMS*coupl(nGC_134)*coupl(      &
                        nGC_135)*coupl(nGC_170) + 2d0*Nc*cMS*coupl(nGC_170)*   &
                        coupl(nGC_174)*coupl(nGC_175) + 2d0*Nc*cMS*coupl(      &
                        nGC_170)*coupl(nGC_174)*coupl(nGC_176) + 2d0*Nc*cMT*   &
                        coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_178) + 2d0*Nc* &
                        cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_182) + 2d0*&
                        Nc*cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_183) +  &
                        2d0*Nc*cMT*coupl(nGC_140)*coupl(nGC_142)*coupl(nGC_181 &
                        ) + 2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_181)*coupl(    &
                        nGC_182) + 2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_181)*   &
                        coupl(nGC_183) + 2d0*Nc*cMU*coupl(nGC_146)*coupl(      &
                        nGC_150)*coupl(nGC_197) + 2d0*Nc*cMU*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_198) + 2d0*Nc*cMU*coupl(      &
                        nGC_146)*coupl(nGC_152)*coupl(nGC_196) + 2d0*Nc*cMU*   &
                        coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_193) + 2d0*Nc* &
                        cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197) + 2d0*&
                        Nc*cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_198) +  &
                        2d0*cME*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_159) + &
                        2d0*cME*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_160) + &
                        2d0*cMM*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_167) + &
                        2d0*cMM*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_168) + &
                        2d0*cMTA*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_190   &
                        ) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_189)*coupl(      &
                        nGC_191) + 4d0*cima*coupl(nGC_102)*coupl(nGC_19) + 4d0*&
                        cima*coupl(nGC_126)*coupl(nGC_73) - coupl(nGC_102)*    &
                        coupl(nGC_1319)*coupl(nGC_96) - coupl(nGC_102)*coupl(  &
                        nGC_3231)*coupl(nGC_63) - coupl(nGC_102)*coupl(nGC_661 &
                        )*coupl(nGC_68) - coupl(nGC_107)*coupl(nGC_64)*coupl(  &
                        nGC_94) - coupl(nGC_107)*coupl(nGC_68)*coupl(nGC_91) + &
                        coupl(nGC_108)*coupl(nGC_1319)*coupl(nGC_2961) + coupl(&
                        nGC_109)*coupl(nGC_1319)*coupl(nGC_68) + coupl(nGC_111 &
                        )*coupl(nGC_1283)*coupl(nGC_661) + coupl(nGC_111)*coupl&
                        (nGC_1283)*coupl(nGC_94) + coupl(nGC_111)*coupl(       &
                        nGC_2961)*coupl(nGC_72) + coupl(nGC_112)*coupl(nGC_68)*&
                        coupl(nGC_72) + coupl(nGC_115)*coupl(nGC_17)**2d0 +    &
                        coupl(nGC_115)*coupl(nGC_72)**2d0 + coupl(nGC_115)*    &
                        coupl(nGC_96)**2d0 + coupl(nGC_116)*coupl(nGC_1319)*   &
                        coupl(nGC_1795) + coupl(nGC_117)*coupl(nGC_1319)*coupl(&
                        nGC_64) + coupl(nGC_119)*coupl(nGC_1283)*coupl(nGC_3231&
                        ) + coupl(nGC_119)*coupl(nGC_1283)*coupl(nGC_91) +     &
                        coupl(nGC_119)*coupl(nGC_1491)*coupl(nGC_72) + coupl(  &
                        nGC_120)*coupl(nGC_63)*coupl(nGC_72) - coupl(nGC_126)* &
                        coupl(nGC_1319)*coupl(nGC_17))/(32d0*pi**2d0)
      coupl(nGC_9357) = coupl(nGC_8395)*dvev2_QED1 + coupl(nGC_8396)*dsw_QED2  &
                         + coupl(nGC_8397)*db_QED2 + coupl(nGC_8398)*dvev1_QED1&
                         + coupl(nGC_8399)*dZee_QED2
      coupl(nGC_9351) = coupl(nGC_7899)*dZee_QED2
      coupl(nGC_13931) = coupl(nGC_13929) - coupl(nGC_13930)
      coupl(nGC_14036) = 3d0*coupl(nGC_10)*dZHh_QED2/2d0 + coupl(nGC_10)*      &
                         dZHl_QED2/2d0 + coupl(nGC_12)*dZHhHl_QED2/2d0 + 3d0*  &
                         coupl(nGC_13)*dZHlHh_QED2/2d0 + coupl(nGC_9314)
      coupl(nGC_8711) = cima*(-4d0*Nc*coupl(nGC_1)**2d0 - 4d0*Nc*coupl(nGC_2)**&
                        2d0 - coupl(nGC_3)**2d0 - 4d0*coupl(nGC_4)**2d0 - coupl&
                        (nGC_877)**2d0)/(32d0*pi**2d0)
      coupl(nGC_19782) = coupl(nGC_MHA)*dZHaG0_QED2/2d0 + coupl(               &
                         nGC_TS_GC_112_Hh) + coupl(nGC_TS_GC_120_Hl)
      coupl(nGC_21923) = coupl(nGC_TS_GC_64_Hh) + coupl(nGC_TS_GC_68_Hl)
      coupl(nGC_21889) = 3d0*coupl(nGC_104)*dZHl_QED2/2d0 + 3d0*coupl(nGC_106)*&
                         dZHhHl_QED2/2d0 + coupl(nGC_9344) + coupl(            &
                         nGC_TS_GC_11_Hl) + coupl(nGC_TS_GC_9_Hh)
      coupl(nGC_21924) = -coupl(nGC_21923)
      coupl(nGC_14534) = coupl(nGC_6)*dZg_QCD2/2d0 + coupl(nGC_9278)
      coupl(nGC_14535) = -coupl(nGC_14534)
      coupl(nGC_13736) = coupl(nGC_42)*dZHMinus_QED2/2d0 + coupl(nGC_42)*      &
                         dZHa_QED2 + coupl(nGC_50)*dZHMinusGMinus_QED2/2d0 +   &
                         coupl(nGC_56)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_58)*&
                         dZG0Ha_QED2 + coupl(nGC_9328)
      coupl(nGC_9151) = (20d0*Nc*cima*coupl(nGC_134)*coupl(nGC_135)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_134)*   &
                        coupl(nGC_135)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_134)*coupl(nGC_135)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_138)*coupl(nGC_139)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_150)*coupl(   &
                        nGC_151)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_150)*coupl(nGC_151)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_174)*coupl(nGC_175)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_174)*coupl(nGC_175)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_174)*coupl(   &
                        nGC_175)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_181)*coupl(nGC_182)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_181)*coupl(nGC_182)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_181)*coupl(nGC_182)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_196)*coupl(nGC_197)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_196)*coupl(   &
                        nGC_197)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_196)*coupl(nGC_197)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_1319)*    &
                        coupl(nGC_91)**2d0 + 4d0*cima*coupl(nGC_1283)*coupl(   &
                        nGC_1319)*coupl(nGC_94)**2d0 + 4d0*cima*coupl(nGC_1283 &
                        )*coupl(nGC_1491)**2d0*coupl(nGC_72) + 4d0*cima*coupl( &
                        nGC_1283)*coupl(nGC_2961)**2d0*coupl(nGC_72) + 4d0*cima&
                        *coupl(nGC_1283)*coupl(nGC_63)*coupl(nGC_91)*coupl(    &
                        nGC_96) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_68)*coupl(&
                        nGC_94)*coupl(nGC_96) + 4d0*cima*coupl(nGC_1283)*coupl(&
                        nGC_72)**3d0 + 9d0*cima*coupl(nGC_1319)*coupl(nGC_17)* &
                        coupl(nGC_3)*coupl(nGC_781) + 9d0*cima*coupl(nGC_1319)*&
                        coupl(nGC_781)*coupl(nGC_82)*coupl(nGC_96) + 4d0*cima* &
                        coupl(nGC_1491)*coupl(nGC_3231)*coupl(nGC_72)**2d0 +   &
                        4d0*cima*coupl(nGC_1491)*coupl(nGC_72)**2d0*coupl(     &
                        nGC_91) + 20d0*cima*coupl(nGC_158)*coupl(nGC_159)*coupl&
                        (nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_158)*coupl&
                        (nGC_159)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl&
                        (nGC_158)*coupl(nGC_159)*coupl(nGC_80)*coupl(nGC_90) + &
                        20d0*cima*coupl(nGC_166)*coupl(nGC_167)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_166)*coupl(nGC_167 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_166&
                        )*coupl(nGC_167)*coupl(nGC_80)*coupl(nGC_90) + 20d0*   &
                        cima*coupl(nGC_189)*coupl(nGC_190)*coupl(nGC_80)*coupl(&
                        nGC_86) - 16d0*cima*coupl(nGC_189)*coupl(nGC_190)*coupl&
                        (nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_189)*coupl&
                        (nGC_190)*coupl(nGC_80)*coupl(nGC_90) + 24d0*cima*coupl&
                        (nGC_19)*coupl(nGC_79) + 4d0*cima*coupl(nGC_2961)*coupl&
                        (nGC_661)*coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_2961 &
                        )*coupl(nGC_72)**2d0*coupl(nGC_94) + 9d0*cima*coupl(   &
                        nGC_3231)*coupl(nGC_63)*coupl(nGC_781)*coupl(nGC_82) + &
                        9d0*cima*coupl(nGC_661)*coupl(nGC_68)*coupl(nGC_781)*  &
                        coupl(nGC_82) + 24d0*cima*coupl(nGC_73)*coupl(nGC_803  &
                        ) - 6d0*coupl(nGC_100)*coupl(nGC_1319)*coupl(nGC_82) - &
                        6d0*coupl(nGC_101)*coupl(nGC_1319)*coupl(nGC_781) + 6d0&
                        *coupl(nGC_1283)*coupl(nGC_14)*coupl(nGC_91) + 6d0*    &
                        coupl(nGC_1283)*coupl(nGC_16)*coupl(nGC_94) - 6d0*coupl&
                        (nGC_1319)*coupl(nGC_17)*coupl(nGC_803) - 6d0*coupl(   &
                        nGC_1319)*coupl(nGC_3)*coupl(nGC_97) - 6d0*coupl(      &
                        nGC_1319)*coupl(nGC_62)*coupl(nGC_781) - 6d0*coupl(    &
                        nGC_1319)*coupl(nGC_62)*coupl(nGC_82) - 6d0*coupl(     &
                        nGC_1319)*coupl(nGC_79)*coupl(nGC_96) + 6d0*coupl(     &
                        nGC_14)*coupl(nGC_1491)*coupl(nGC_72) - 6d0*coupl(     &
                        nGC_14)*coupl(nGC_3231)*coupl(nGC_781) + 6d0*coupl(    &
                        nGC_16)*coupl(nGC_2961)*coupl(nGC_72) - 6d0*coupl(     &
                        nGC_16)*coupl(nGC_661)*coupl(nGC_781) - 6d0*coupl(     &
                        nGC_17)*coupl(nGC_19)*coupl(nGC_3) + 6d0*coupl(nGC_19)*&
                        coupl(nGC_72)**2d0 + 36d0*coupl(nGC_19)*coupl(nGC_781)*&
                        coupl(nGC_82) - 6d0*coupl(nGC_19)*coupl(nGC_82)*coupl( &
                        nGC_96) - 6d0*coupl(nGC_3231)*coupl(nGC_63)*coupl(     &
                        nGC_79) - 6d0*coupl(nGC_661)*coupl(nGC_68)*coupl(nGC_79&
                        ) + 36d0*coupl(nGC_73)*coupl(nGC_82)*coupl(nGC_877))/( &
                        192d0*pi**2d0)
      coupl(nGC_17255) = coupl(nGC_17251) + coupl(nGC_17254)
      coupl(nGC_15457) = coupl(nGC_184)*dZHlHh_QED2/2d0 + coupl(nGC_188)*      &
                         dZHh_QED2/2d0 + coupl(nGC_9471)
      coupl(nGC_9154) = (10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_1313)*coupl(    &
                        nGC_133)*coupl(nGC_134) + 10d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_132)*coupl(nGC_133)*coupl(nGC_134) + 10d0*Nc*&
                        cima*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_173)*coupl&
                        (nGC_174) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*&
                        coupl(nGC_171)*coupl(nGC_174) + 10d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_171)*coupl(nGC_173   &
                        ) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(  &
                        nGC_172)*coupl(nGC_173) + 10d0*Nc*cima*coupl(nGC_1313)*&
                        coupl(nGC_133)*coupl(nGC_170)*coupl(nGC_174) + 10d0*Nc*&
                        cima*coupl(nGC_1313)*coupl(nGC_134)*coupl(nGC_170)*    &
                        coupl(nGC_173) + 10d0*Nc*cima*coupl(nGC_132)*coupl(    &
                        nGC_133)*coupl(nGC_170)*coupl(nGC_174) + 10d0*Nc*cima* &
                        coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_170)*coupl(    &
                        nGC_172) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)* &
                        coupl(nGC_142)*coupl(nGC_143) + 10d0*Nc*cima*coupl(    &
                        nGC_137)*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_144   &
                        ) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*coupl(  &
                        nGC_178)*coupl(nGC_179) + 10d0*Nc*cima*coupl(nGC_137)* &
                        coupl(nGC_142)*coupl(nGC_181)*coupl(nGC_2153) + 10d0*Nc&
                        *cima*coupl(nGC_137)*coupl(nGC_143)*coupl(nGC_178)*    &
                        coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_137)*coupl(    &
                        nGC_144)*coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*cima* &
                        coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_179)*coupl(    &
                        nGC_180) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)* &
                        coupl(nGC_180)*coupl(nGC_2153) + 10d0*Nc*cima*coupl(   &
                        nGC_138)*coupl(nGC_144)*coupl(nGC_178)*coupl(nGC_180   &
                        ) + 10d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(  &
                        nGC_180)*coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_147)*coupl(nGC_149)*coupl(nGC_150) + 10d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_149)*coupl&
                        (nGC_150) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_148)*&
                        coupl(nGC_195)*coupl(nGC_196) + 10d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_149)*coupl(nGC_196)*coupl(nGC_797   &
                        ) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*coupl(  &
                        nGC_194)*coupl(nGC_195) + 10d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_150)*coupl(nGC_195)*coupl(nGC_797) + 10d0*Nc*&
                        cima*coupl(nGC_147)*coupl(nGC_149)*coupl(nGC_193)*coupl&
                        (nGC_196) + 10d0*Nc*cima*coupl(nGC_147)*coupl(nGC_150)*&
                        coupl(nGC_193)*coupl(nGC_195) + 10d0*Nc*cima*coupl(    &
                        nGC_148)*coupl(nGC_149)*coupl(nGC_193)*coupl(nGC_196   &
                        ) + 10d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150)*coupl(  &
                        nGC_193)*coupl(nGC_194) + 10d0*Nc*cima*coupl(nGC_170)* &
                        coupl(nGC_171)*coupl(nGC_173)*coupl(nGC_174) + 10d0*Nc*&
                        cima*coupl(nGC_170)*coupl(nGC_172)*coupl(nGC_173)*coupl&
                        (nGC_174) + 10d0*Nc*cima*coupl(nGC_178)*coupl(nGC_179)*&
                        coupl(nGC_180)*coupl(nGC_181) + 10d0*Nc*cima*coupl(    &
                        nGC_178)*coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_2153  &
                        ) + 10d0*Nc*cima*coupl(nGC_193)*coupl(nGC_194)*coupl(  &
                        nGC_195)*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_193)* &
                        coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_797) - 5d0*cima&
                        *coupl(nGC_1079)*coupl(nGC_1795)*coupl(nGC_661)*coupl( &
                        nGC_72) - 5d0*cima*coupl(nGC_1079)*coupl(nGC_1795)*    &
                        coupl(nGC_68)*coupl(nGC_96) - 5d0*cima*coupl(nGC_1283  &
                        )**2d0*coupl(nGC_1319)*coupl(nGC_2961) - 5d0*cima*coupl&
                        (nGC_1283)*coupl(nGC_1319)**2d0*coupl(nGC_94) - 5d0*   &
                        cima*coupl(nGC_1319)*coupl(nGC_1491)*coupl(nGC_92)*    &
                        coupl(nGC_94) - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1529&
                        )**2d0*coupl(nGC_2961) - 5d0*cima*coupl(nGC_1319)*coupl&
                        (nGC_2961)*coupl(nGC_92)**2d0 - 5d0*cima*coupl(nGC_1319&
                        )*coupl(nGC_63)**2d0*coupl(nGC_68) - 5d0*cima*coupl(   &
                        nGC_1319)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_68) -  &
                        5d0*cima*coupl(nGC_1491)*coupl(nGC_64)*coupl(nGC_94)*  &
                        coupl(nGC_96) + 10d0*cima*coupl(nGC_154)*coupl(nGC_155 &
                        )*coupl(nGC_157)*coupl(nGC_158) + 10d0*cima*coupl(     &
                        nGC_154)*coupl(nGC_156)*coupl(nGC_157)*coupl(nGC_158   &
                        ) + 12d0*cima*coupl(nGC_16)*coupl(nGC_20) + 10d0*cima* &
                        coupl(nGC_162)*coupl(nGC_163)*coupl(nGC_165)*coupl(    &
                        nGC_166) + 10d0*cima*coupl(nGC_162)*coupl(nGC_164)*    &
                        coupl(nGC_165)*coupl(nGC_166) - 5d0*cima*coupl(nGC_1795&
                        )*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_72) - 5d0*cima*&
                        coupl(nGC_1795)*coupl(nGC_64)*coupl(nGC_68)*coupl(     &
                        nGC_72) + 10d0*cima*coupl(nGC_185)*coupl(nGC_186)*coupl&
                        (nGC_188)*coupl(nGC_189) + 10d0*cima*coupl(nGC_185)*   &
                        coupl(nGC_187)*coupl(nGC_188)*coupl(nGC_189) - 5d0*cima&
                        *coupl(nGC_2961)*coupl(nGC_64)*coupl(nGC_92)*coupl(    &
                        nGC_96) - 5d0*cima*coupl(nGC_2961)*coupl(nGC_661)**2d0*&
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_2961)*coupl(nGC_661 &
                        )*coupl(nGC_68)*coupl(nGC_96) + 12d0*cima*coupl(nGC_70 &
                        )*coupl(nGC_74) + 3d0*coupl(nGC_1079)**2d0*coupl(nGC_48&
                        ) - 3d0*coupl(nGC_1079)*coupl(nGC_16)*coupl(nGC_1795   &
                        ) + 3d0*coupl(nGC_1079)*coupl(nGC_27)*coupl(nGC_96) +  &
                        6d0*coupl(nGC_1079)*coupl(nGC_40)*coupl(nGC_661) + 3d0*&
                        coupl(nGC_1079)*coupl(nGC_42)*coupl(nGC_96) + 3d0*coupl&
                        (nGC_1283)**2d0*coupl(nGC_48) - 3d0*coupl(nGC_1283)*   &
                        coupl(nGC_1319)*coupl(nGC_16) - 3d0*coupl(nGC_1283)*   &
                        coupl(nGC_20)*coupl(nGC_2961) + 3d0*coupl(nGC_1319)*   &
                        coupl(nGC_1491)*coupl(nGC_26) - 3d0*coupl(nGC_1319)*   &
                        coupl(nGC_1529)*coupl(nGC_70) + 3d0*coupl(nGC_1319)*   &
                        coupl(nGC_1795)*coupl(nGC_42) + 3d0*coupl(nGC_1319)*   &
                        coupl(nGC_1919)*coupl(nGC_60) + 3d0*coupl(nGC_1319)*   &
                        coupl(nGC_22)*coupl(nGC_63) + 3d0*coupl(nGC_1319)*coupl&
                        (nGC_2961)*coupl(nGC_38) + 3d0*coupl(nGC_1319)*coupl(  &
                        nGC_2961)*coupl(nGC_57) + 3d0*coupl(nGC_1319)*coupl(   &
                        nGC_34)*coupl(nGC_68) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_44)*coupl(nGC_63) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_44)*coupl(nGC_64) + 3d0*coupl(nGC_1319)*coupl(     &
                        nGC_58)*coupl(nGC_69) - 3d0*coupl(nGC_1491)*coupl(     &
                        nGC_15)*coupl(nGC_94) - 3d0*coupl(nGC_15)*coupl(       &
                        nGC_2961)*coupl(nGC_92) + 3d0*coupl(nGC_1529)**2d0*    &
                        coupl(nGC_48) - 3d0*coupl(nGC_1529)*coupl(nGC_2961)*   &
                        coupl(nGC_74) - 3d0*coupl(nGC_16)*coupl(nGC_2961)*coupl&
                        (nGC_661) + 3d0*coupl(nGC_1795)*coupl(nGC_29)*coupl(   &
                        nGC_72) - 3d0*coupl(nGC_20)*coupl(nGC_661)*coupl(nGC_72&
                        ) + 3d0*coupl(nGC_27)*coupl(nGC_64)*coupl(nGC_72) + 3d0&
                        *coupl(nGC_27)*coupl(nGC_92)*coupl(nGC_96) + 3d0*coupl(&
                        nGC_2961)*coupl(nGC_37)*coupl(nGC_72) + 3d0*coupl(     &
                        nGC_2961)*coupl(nGC_56)*coupl(nGC_72) + 3d0*coupl(     &
                        nGC_36)*coupl(nGC_661)*coupl(nGC_96) + 3d0*coupl(nGC_36&
                        )*coupl(nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_36)*coupl&
                        (nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_40)*coupl(nGC_63&
                        )*coupl(nGC_68) + 3d0*coupl(nGC_40)*coupl(nGC_63)*coupl&
                        (nGC_69) + 3d0*coupl(nGC_42)*coupl(nGC_63)*coupl(nGC_72&
                        ) + 3d0*coupl(nGC_42)*coupl(nGC_92)*coupl(nGC_96) + 3d0&
                        *coupl(nGC_48)*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl(&
                        nGC_48)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_48 &
                        )*coupl(nGC_72)**2d0 + 3d0*coupl(nGC_49)*coupl(nGC_661 &
                        )**2d0 + 3d0*coupl(nGC_58)*coupl(nGC_661)*coupl(nGC_96 &
                        ) + 3d0*coupl(nGC_58)*coupl(nGC_94)*coupl(nGC_96))/(   &
                        96d0*pi**2d0)
      coupl(nGC_13294) = coupl(nGC_13287) - coupl(nGC_13288) - coupl(nGC_13293)
      coupl(nGC_13295) = coupl(nGC_13292) + coupl(nGC_13293)
      coupl(nGC_13118) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_9385)
      coupl(nGC_9159) = (-16d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                        nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_138)*coupl(      &
                        nGC_142)*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(      &
                        nGC_146)*coupl(nGC_150)*coupl(nGC_80)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_80)**2d0  &
                         - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_181)*coupl(   &
                        nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_193)*coupl(      &
                        nGC_196)*coupl(nGC_80)**2d0 + 4d0*cima*coupl(nGC_1283  &
                        )**2d0*coupl(nGC_63)*coupl(nGC_68) + 4d0*cima*coupl(   &
                        nGC_1283)**2d0*coupl(nGC_64)*coupl(nGC_68) + 4d0*cima* &
                        coupl(nGC_1319)**2d0*coupl(nGC_1491)*coupl(nGC_68) +   &
                        4d0*cima*coupl(nGC_1319)**2d0*coupl(nGC_1491)*coupl(   &
                        nGC_69) + 4d0*cima*coupl(nGC_1319)**2d0*coupl(nGC_2961 &
                        )*coupl(nGC_63) + 4d0*cima*coupl(nGC_1319)**2d0*coupl( &
                        nGC_2961)*coupl(nGC_64) + 4d0*cima*coupl(nGC_1491)**2d0&
                        *coupl(nGC_1795)*coupl(nGC_68) + 4d0*cima*coupl(       &
                        nGC_1491)**2d0*coupl(nGC_1795)*coupl(nGC_69) + 4d0*cima&
                        *coupl(nGC_1491)**2d0*coupl(nGC_2961)*coupl(nGC_64) +  &
                        4d0*cima*coupl(nGC_1491)*coupl(nGC_1795)**2d0*coupl(   &
                        nGC_68) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_1795)**2d0&
                        *coupl(nGC_69) + 4d0*cima*coupl(nGC_1491)*coupl(       &
                        nGC_1795)*coupl(nGC_2961)*coupl(nGC_63) + 4d0*cima*    &
                        coupl(nGC_1491)*coupl(nGC_1795)*coupl(nGC_2961)*coupl( &
                        nGC_64) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_1919)*    &
                        coupl(nGC_2961)*coupl(nGC_68) + 4d0*cima*coupl(nGC_1491&
                        )*coupl(nGC_2961)**2d0*coupl(nGC_69) + 4d0*cima*coupl( &
                        nGC_1529)**2d0*coupl(nGC_63)*coupl(nGC_68) + 4d0*cima* &
                        coupl(nGC_1529)**2d0*coupl(nGC_64)*coupl(nGC_68) - 16d0&
                        *cima*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_80)**2d0 &
                         - 16d0*cima*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_80&
                        )**2d0 + 4d0*cima*coupl(nGC_1795)**2d0*coupl(nGC_2961)*&
                        coupl(nGC_63) + 4d0*cima*coupl(nGC_1795)*coupl(nGC_1919&
                        )*coupl(nGC_2961)*coupl(nGC_68) + 4d0*cima*coupl(      &
                        nGC_1795)*coupl(nGC_2961)**2d0*coupl(nGC_69) + 4d0*cima&
                        *coupl(nGC_1795)*coupl(nGC_68)*coupl(nGC_72)**2d0 + 4d0&
                        *cima*coupl(nGC_1795)*coupl(nGC_69)*coupl(nGC_72)**2d0 &
                         - 16d0*cima*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_80&
                        )**2d0 + 4d0*cima*coupl(nGC_1919)*coupl(nGC_2961)**2d0*&
                        coupl(nGC_63) + 4d0*cima*coupl(nGC_1919)*coupl(nGC_2961&
                        )**2d0*coupl(nGC_64) + 4d0*cima*coupl(nGC_2961)**3d0*  &
                        coupl(nGC_63) + 4d0*cima*coupl(nGC_2961)**3d0*coupl(   &
                        nGC_64) + 4d0*cima*coupl(nGC_2961)*coupl(nGC_63)*coupl(&
                        nGC_72)**2d0 + 4d0*cima*coupl(nGC_2961)*coupl(nGC_64)* &
                        coupl(nGC_72)**2d0 + 9d0*cima*coupl(nGC_63)*coupl(     &
                        nGC_68)*coupl(nGC_781)**2d0 + 9d0*cima*coupl(nGC_63)*  &
                        coupl(nGC_68)*coupl(nGC_877)**2d0 + 9d0*cima*coupl(    &
                        nGC_64)*coupl(nGC_68)*coupl(nGC_781)**2d0 + 9d0*cima*  &
                        coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_877)**2d0 - 6d0* &
                        coupl(nGC_14)*coupl(nGC_68)*coupl(nGC_781) + 6d0*coupl(&
                        nGC_1491)*coupl(nGC_2961)*coupl(nGC_61) - 6d0*coupl(   &
                        nGC_15)*coupl(nGC_68)*coupl(nGC_781) - 6d0*coupl(nGC_16&
                        )*coupl(nGC_63)*coupl(nGC_781) - 6d0*coupl(nGC_16)*    &
                        coupl(nGC_64)*coupl(nGC_781) + 6d0*coupl(nGC_1795)*    &
                        coupl(nGC_2961)*coupl(nGC_61) - 6d0*coupl(nGC_63)*coupl&
                        (nGC_68)*coupl(nGC_78) - 6d0*coupl(nGC_63)*coupl(nGC_70&
                        )*coupl(nGC_877) - 6d0*coupl(nGC_64)*coupl(nGC_68)*    &
                        coupl(nGC_78) - 6d0*coupl(nGC_64)*coupl(nGC_70)*coupl( &
                        nGC_877) - 6d0*coupl(nGC_65)*coupl(nGC_68)*coupl(      &
                        nGC_877) - 6d0*coupl(nGC_66)*coupl(nGC_68)*coupl(      &
                        nGC_877))/(192d0*pi**2d0)
      coupl(nGC_8709) = cima*(4d0*Nc*coupl(nGC_1313)*coupl(nGC_136) + 4d0*Nc*  &
                        coupl(nGC_132)*coupl(nGC_135) + 4d0*Nc*coupl(nGC_139)* &
                        coupl(nGC_143) + 4d0*Nc*coupl(nGC_140)*coupl(nGC_144   &
                        ) + 4d0*Nc*coupl(nGC_147)*coupl(nGC_152) + 4d0*Nc*coupl&
                        (nGC_148)*coupl(nGC_151) + 4d0*Nc*coupl(nGC_171)*coupl(&
                        nGC_176) + 4d0*Nc*coupl(nGC_172)*coupl(nGC_175) + 4d0* &
                        Nc*coupl(nGC_179)*coupl(nGC_182) + 4d0*Nc*coupl(nGC_183&
                        )*coupl(nGC_2153) + 4d0*Nc*coupl(nGC_194)*coupl(nGC_197&
                        ) + 4d0*Nc*coupl(nGC_198)*coupl(nGC_797) + coupl(      &
                        nGC_1079)*coupl(nGC_94) + 4d0*coupl(nGC_155)*coupl(    &
                        nGC_160) + 4d0*coupl(nGC_156)*coupl(nGC_159) + 4d0*    &
                        coupl(nGC_163)*coupl(nGC_168) + 4d0*coupl(nGC_164)*    &
                        coupl(nGC_167) + 4d0*coupl(nGC_186)*coupl(nGC_191) +   &
                        4d0*coupl(nGC_187)*coupl(nGC_190) + coupl(nGC_3231)*   &
                        coupl(nGC_94) + coupl(nGC_661)*coupl(nGC_91) + coupl(  &
                        nGC_661)*coupl(nGC_92))/(192d0*pi**2d0)
      coupl(nGC_13590) = coupl(nGC_12888) + coupl(nGC_13588)
      coupl(nGC_16130) = coupl(nGC_16129) + coupl(nGC_9495)
      coupl(nGC_16131) = coupl(nGC_130)*dZHlHh_QED2/2d0 + coupl(nGC_133)*      &
                         dZHh_QED2/2d0 + coupl(nGC_9496)
      coupl(nGC_16132) = coupl(nGC_16128) + coupl(nGC_16131)
      coupl(nGC_13025) = coupl(nGC_80)*dZWMinus_QED2/2d0 + coupl(nGC_80)*      &
                         dZcL_QED2/2d0 + coupl(nGC_80)*dZsL_QED2/2d0 + coupl(  &
                         nGC_9389)
    end subroutine fill_CTcouplings_mdl29
end module fill_ctcouplings29
