!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_9339) = coupl(nGC_8284)*dl3_QED4 + coupl(nGC_8285)*db_QED2 +   &
                        coupl(nGC_8286)*dl2_QED4 + coupl(nGC_8287)*dl5_QED4 +  &
                        coupl(nGC_8288)*dvev2_QED1 + coupl(nGC_8289)*dvev1_QED1&
                         + coupl(nGC_8290)*dl1_QED4 + coupl(nGC_8291)*dl4_QED4 &
                         + coupl(nGC_8292)*da_QED2
      coupl(nGC_13741) = coupl(nGC_167)*dZG0/2d0
      coupl(nGC_13745) = coupl(nGC_168)*dZG0/2d0
      coupl(nGC_19298) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_13989) = coupl(nGC_101)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_91_Hl) = -coupl(nGC_91)*dtHl_QED1/cMHL**2d0
      coupl(nGC_19290) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_19291) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_19292) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_19297) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_14240) = coupl(nGC_75)*dZG0/2d0
      coupl(nGC_14845) = coupl(nGC_85)*dZcR_QCD2
      coupl(nGC_13181) = coupl(nGC_83)*dZZA_QED2
      coupl(nGC_13187) = coupl(nGC_72)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_13188) = -coupl(nGC_13187)
      coupl(nGC_TS_GC_64_Hl) = -coupl(nGC_64)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_64_Hh) = -coupl(nGC_64)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9476) = coupl(nGC_8480)*db_QED2 + coupl(nGC_8481)*dye2_QED3 +  &
                        coupl(nGC_8482)*dye1_QED3
      coupl(nGC_13161) = coupl(nGC_97)*(dZGMinusHMinus_QED2 +                  &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_12711) = coupl(nGC_73)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_17102) = coupl(nGC_177)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_17101) = coupl(nGC_177)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_9431) = coupl(nGC_8381)*db_QED2 + coupl(nGC_8382)*dyd13x3_QED3 &
                         + coupl(nGC_8383)*dyb2_QED3
      coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
      coupl(nGC_12857) = coupl(nGC_21)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_TS_GC_24_Hl) = -coupl(nGC_24)*dtHl_QED1/cMHL**2d0
      coupl(nGC_15437) = coupl(nGC_48)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_12851) = coupl(nGC_40)*dZGMinus/2d0
      coupl(nGC_23702) = coupl(nGC_9648) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_19289) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_13997) = coupl(nGC_64)*dZHMinusGMinus_QED2/2d0
      coupl(nGC_13197) = coupl(nGC_97)*dZGMinus
      coupl(nGC_13379) = coupl(nGC_150)*dZGMinus/2d0
      coupl(nGC_13373) = coupl(nGC_196)*dZGMinus/2d0
      coupl(nGC_9449) = coupl(nGC_8561)*dyd12x2_QED1_QCD2 + coupl(nGC_8562)*   &
                        dys2_QED1_QCD2
      coupl(nGC_9448) = coupl(nGC_8422)*dydo2_QED3 + coupl(nGC_8423)*db_QED2 + &
                        coupl(nGC_8424)*dydo1_QED3
      coupl(nGC_9445) = coupl(nGC_8431)*dydo2_QED1_QCD2 + coupl(nGC_8433)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_9447) = coupl(nGC_8422)*dydo2_QED1_QCD2 + coupl(nGC_8424)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_9446) = coupl(nGC_8431)*dydo2_QED3 + coupl(nGC_8432)*db_QED2 + &
                        coupl(nGC_8433)*dydo1_QED3
      coupl(nGC_13289) = coupl(nGC_179)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_13288) = coupl(nGC_179)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_12804) = coupl(nGC_192)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_12805) = coupl(nGC_192)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_13287) = coupl(nGC_182)*dZG0Ha_QED2/2d0
      coupl(nGC_9627) = -cima*dMHL2_QED2
      coupl(nGC_9626) = -cima*dMHC2_QED2
      coupl(nGC_9629) = -cima*dMHA2_QED2
      coupl(nGC_9628) = -cima*dMHH2_QED2
      coupl(nGC_18958) = coupl(nGC_91)*dZZA_QED2/2d0
      coupl(nGC_18959) = -coupl(nGC_18958)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
