!******************************************************************************!
!                                                                              !
!    fill_ctcouplings31.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings31.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings31
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl31()
      coupl(nGC_9107) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_130)*coupl(      &
                        nGC_134)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_138)*coupl(nGC_141)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_169)*coupl(     &
                        nGC_174)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_177)*coupl(nGC_181)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_192)*coupl(nGC_196)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_138&
                        )*coupl(nGC_141)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_169)*coupl(nGC_174)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_177 &
                        )*coupl(nGC_181)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_2)*coupl( &
                        nGC_80) + 9d0*cima*coupl(nGC_1283)*coupl(nGC_3)*coupl( &
                        nGC_64)*coupl(nGC_781) + 4d0*cima*coupl(nGC_1319)*coupl&
                        (nGC_1529)*coupl(nGC_3231)*coupl(nGC_96) + 9d0*cima*   &
                        coupl(nGC_1319)*coupl(nGC_82)*coupl(nGC_877)*coupl(    &
                        nGC_91) + 24d0*cima*coupl(nGC_14)*coupl(nGC_803) + 4d0*&
                        cima*coupl(nGC_1491)*coupl(nGC_17)*coupl(nGC_1795)**2d0&
                         + 4d0*cima*coupl(nGC_1491)*coupl(nGC_17)*coupl(       &
                        nGC_1919)**2d0 + 4d0*cima*coupl(nGC_1491)*coupl(nGC_17 &
                        )*coupl(nGC_72)**2d0 + 9d0*cima*coupl(nGC_1529)*coupl( &
                        nGC_3)*coupl(nGC_64)*coupl(nGC_877) + 4d0*cima*coupl(  &
                        nGC_153)*coupl(nGC_158)*coupl(nGC_4)*coupl(nGC_80) +   &
                        4d0*cima*coupl(nGC_161)*coupl(nGC_166)*coupl(nGC_4)*   &
                        coupl(nGC_80) + 4d0*cima*coupl(nGC_17)*coupl(nGC_1795)*&
                        coupl(nGC_68)*coupl(nGC_69) + 4d0*cima*coupl(nGC_17)*  &
                        coupl(nGC_1919)*coupl(nGC_64)*coupl(nGC_69) + 4d0*cima*&
                        coupl(nGC_184)*coupl(nGC_189)*coupl(nGC_4)*coupl(nGC_80&
                        ) + 24d0*cima*coupl(nGC_5)*coupl(nGC_65) - 6d0*coupl(  &
                        nGC_1283)*coupl(nGC_64)*coupl(nGC_803) - 6d0*coupl(    &
                        nGC_1319)*coupl(nGC_803)*coupl(nGC_91) + 36d0*coupl(   &
                        nGC_14)*coupl(nGC_82)*coupl(nGC_877) + 6d0*coupl(      &
                        nGC_1491)*coupl(nGC_1795)*coupl(nGC_65) + 6d0*coupl(   &
                        nGC_1491)*coupl(nGC_1919)*coupl(nGC_70) + 6d0*coupl(   &
                        nGC_1491)*coupl(nGC_72)*coupl(nGC_74) - 6d0*coupl(     &
                        nGC_1529)*coupl(nGC_5)*coupl(nGC_64) - 6d0*coupl(nGC_17&
                        )*coupl(nGC_3)*coupl(nGC_65) + 6d0*coupl(nGC_1795)*    &
                        coupl(nGC_69)*coupl(nGC_70) - 6d0*coupl(nGC_18)*coupl( &
                        nGC_64)*coupl(nGC_877) + 6d0*coupl(nGC_1919)*coupl(    &
                        nGC_66)*coupl(nGC_69) - 6d0*coupl(nGC_3)*coupl(nGC_62)*&
                        coupl(nGC_64) + 36d0*coupl(nGC_3)*coupl(nGC_65)*coupl( &
                        nGC_877) + 6d0*coupl(nGC_3231)*coupl(nGC_74)*coupl(    &
                        nGC_96) - 6d0*coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_877&
                        ) - 6d0*coupl(nGC_64)*coupl(nGC_781)*coupl(nGC_97) -   &
                        6d0*coupl(nGC_65)*coupl(nGC_82)*coupl(nGC_96) - 6d0*   &
                        coupl(nGC_74)*coupl(nGC_82)*coupl(nGC_91))/(192d0*pi** &
                        2d0)
      coupl(nGC_9100) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_130)*coupl(      &
                        nGC_134)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_138)*coupl(nGC_141)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_169)*coupl(     &
                        nGC_174)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_177)*coupl(nGC_181)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_192)*coupl(nGC_196)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_138&
                        )*coupl(nGC_141)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_169)*coupl(nGC_174)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_177 &
                        )*coupl(nGC_181)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_2)*coupl( &
                        nGC_80) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_1319)*    &
                        coupl(nGC_17)*coupl(nGC_3231) + 9d0*cima*coupl(nGC_1319&
                        )*coupl(nGC_3)*coupl(nGC_781)*coupl(nGC_91) + 24d0*cima&
                        *coupl(nGC_14)*coupl(nGC_803) + 4d0*cima*coupl(nGC_1491&
                        )**2d0*coupl(nGC_1529)*coupl(nGC_1795) + 4d0*cima*coupl&
                        (nGC_1491)*coupl(nGC_1529)*coupl(nGC_68)*coupl(nGC_69  &
                        ) + 4d0*cima*coupl(nGC_1529)*coupl(nGC_1795)*coupl(    &
                        nGC_2961)**2d0 + 4d0*cima*coupl(nGC_1529)*coupl(       &
                        nGC_1795)*coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_1529 &
                        )*coupl(nGC_2961)*coupl(nGC_63)*coupl(nGC_68) + 4d0*   &
                        cima*coupl(nGC_153)*coupl(nGC_158)*coupl(nGC_4)*coupl( &
                        nGC_80) + 4d0*cima*coupl(nGC_161)*coupl(nGC_166)*coupl(&
                        nGC_4)*coupl(nGC_80) + 9d0*cima*coupl(nGC_17)*coupl(   &
                        nGC_3)*coupl(nGC_63)*coupl(nGC_877) + 4d0*cima*coupl(  &
                        nGC_184)*coupl(nGC_189)*coupl(nGC_4)*coupl(nGC_80) +   &
                        24d0*cima*coupl(nGC_5)*coupl(nGC_65) + 9d0*cima*coupl( &
                        nGC_63)*coupl(nGC_82)*coupl(nGC_877)*coupl(nGC_96) +   &
                        6d0*coupl(nGC_1283)*coupl(nGC_3231)*coupl(nGC_73) - 6d0&
                        *coupl(nGC_1283)*coupl(nGC_65)*coupl(nGC_781) - 6d0*   &
                        coupl(nGC_1319)*coupl(nGC_803)*coupl(nGC_91) + 36d0*   &
                        coupl(nGC_14)*coupl(nGC_3)*coupl(nGC_781) + 6d0*coupl( &
                        nGC_1491)*coupl(nGC_1795)*coupl(nGC_65) + 6d0*coupl(   &
                        nGC_1491)*coupl(nGC_68)*coupl(nGC_70) - 6d0*coupl(     &
                        nGC_1529)*coupl(nGC_65)*coupl(nGC_877) - 6d0*coupl(    &
                        nGC_17)*coupl(nGC_5)*coupl(nGC_63) + 6d0*coupl(nGC_1795&
                        )*coupl(nGC_2961)*coupl(nGC_70) + 6d0*coupl(nGC_1795)* &
                        coupl(nGC_72)*coupl(nGC_73) - 6d0*coupl(nGC_18)*coupl( &
                        nGC_3)*coupl(nGC_63) + 6d0*coupl(nGC_2961)*coupl(nGC_66&
                        )*coupl(nGC_68) - 6d0*coupl(nGC_3)*coupl(nGC_61)*coupl(&
                        nGC_63) + 36d0*coupl(nGC_3)*coupl(nGC_65)*coupl(nGC_877&
                        ) - 6d0*coupl(nGC_62)*coupl(nGC_63)*coupl(nGC_877) -   &
                        6d0*coupl(nGC_63)*coupl(nGC_803)*coupl(nGC_96) - 6d0*  &
                        coupl(nGC_63)*coupl(nGC_82)*coupl(nGC_97) - 6d0*coupl( &
                        nGC_73)*coupl(nGC_781)*coupl(nGC_91))/(192d0*pi**2d0)
      coupl(nGC_9101) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_134)*coupl(      &
                        nGC_136)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_138)*coupl(nGC_140)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_174)*coupl(     &
                        nGC_176)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_181)*coupl(nGC_183)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_196)*coupl(nGC_198)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_134)*coupl(nGC_136)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_138&
                        )*coupl(nGC_140)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_174)*coupl(nGC_176)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_181 &
                        )*coupl(nGC_183)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_196)*coupl(nGC_198)*coupl(nGC_2)*coupl( &
                        nGC_80) + 9d0*cima*coupl(nGC_1283)*coupl(nGC_1319)*    &
                        coupl(nGC_3)*coupl(nGC_781) + 9d0*cima*coupl(nGC_1319)*&
                        coupl(nGC_1529)*coupl(nGC_3)*coupl(nGC_877) + 4d0*cima*&
                        coupl(nGC_1529)*coupl(nGC_64)*coupl(nGC_91)*coupl(     &
                        nGC_96) + 4d0*cima*coupl(nGC_1529)*coupl(nGC_69)*coupl(&
                        nGC_94)*coupl(nGC_96) + 4d0*cima*coupl(nGC_158)*coupl( &
                        nGC_160)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(  &
                        nGC_166)*coupl(nGC_168)*coupl(nGC_4)*coupl(nGC_80) +   &
                        4d0*cima*coupl(nGC_17)*coupl(nGC_1795)**2d0*coupl(     &
                        nGC_72) + 4d0*cima*coupl(nGC_17)*coupl(nGC_1919)**2d0* &
                        coupl(nGC_72) + 4d0*cima*coupl(nGC_17)*coupl(nGC_72)** &
                        3d0 + 4d0*cima*coupl(nGC_189)*coupl(nGC_191)*coupl(    &
                        nGC_4)*coupl(nGC_80) + 24d0*cima*coupl(nGC_20)*coupl(  &
                        nGC_803) + 9d0*cima*coupl(nGC_3231)*coupl(nGC_64)*coupl&
                        (nGC_82)*coupl(nGC_877) + 24d0*cima*coupl(nGC_5)*coupl(&
                        nGC_74) + 9d0*cima*coupl(nGC_661)*coupl(nGC_69)*coupl( &
                        nGC_82)*coupl(nGC_877) - 6d0*coupl(nGC_1283)*coupl(    &
                        nGC_1319)*coupl(nGC_803) - 6d0*coupl(nGC_1319)*coupl(  &
                        nGC_1529)*coupl(nGC_5) - 6d0*coupl(nGC_1319)*coupl(    &
                        nGC_18)*coupl(nGC_877) - 6d0*coupl(nGC_1319)*coupl(    &
                        nGC_3)*coupl(nGC_62) - 6d0*coupl(nGC_1319)*coupl(nGC_62&
                        )*coupl(nGC_877) - 6d0*coupl(nGC_1319)*coupl(nGC_781)* &
                        coupl(nGC_97) - 6d0*coupl(nGC_17)*coupl(nGC_3)*coupl(  &
                        nGC_74) + 6d0*coupl(nGC_1795)*coupl(nGC_65)*coupl(     &
                        nGC_72) + 6d0*coupl(nGC_1919)*coupl(nGC_70)*coupl(     &
                        nGC_72) + 36d0*coupl(nGC_20)*coupl(nGC_82)*coupl(      &
                        nGC_877) + 36d0*coupl(nGC_3)*coupl(nGC_74)*coupl(      &
                        nGC_877) - 6d0*coupl(nGC_3231)*coupl(nGC_64)*coupl(    &
                        nGC_803) - 6d0*coupl(nGC_3231)*coupl(nGC_65)*coupl(    &
                        nGC_82) + 6d0*coupl(nGC_65)*coupl(nGC_91)*coupl(nGC_96 &
                        ) - 6d0*coupl(nGC_661)*coupl(nGC_69)*coupl(nGC_803) -  &
                        6d0*coupl(nGC_661)*coupl(nGC_70)*coupl(nGC_82) + 6d0*  &
                        coupl(nGC_70)*coupl(nGC_94)*coupl(nGC_96) + 6d0*coupl( &
                        nGC_72)**2d0*coupl(nGC_74) - 6d0*coupl(nGC_74)*coupl(  &
                        nGC_82)*coupl(nGC_96))/(192d0*pi**2d0)
      coupl(nGC_17441) = coupl(nGC_14842) + coupl(nGC_17440)
      coupl(nGC_9108) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(      &
                        nGC_135)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_139)*coupl(nGC_142)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_151)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*coupl(     &
                        nGC_175)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_178)*coupl(nGC_182)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_197)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_131)*coupl(nGC_135)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_139&
                        )*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_151)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_175)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_178 &
                        )*coupl(nGC_182)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_193)*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                        nGC_80) + 4d0*cima*coupl(nGC_1319)*coupl(nGC_1491)*    &
                        coupl(nGC_17)*coupl(nGC_68) + 4d0*cima*coupl(nGC_1319)*&
                        coupl(nGC_17)*coupl(nGC_1919)*coupl(nGC_63) + 4d0*cima*&
                        coupl(nGC_1529)*coupl(nGC_3231)*coupl(nGC_69)*coupl(   &
                        nGC_96) + 4d0*cima*coupl(nGC_1529)*coupl(nGC_63)*coupl(&
                        nGC_661)*coupl(nGC_96) + 4d0*cima*coupl(nGC_154)*coupl(&
                        nGC_159)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(  &
                        nGC_162)*coupl(nGC_167)*coupl(nGC_4)*coupl(nGC_80) +   &
                        4d0*cima*coupl(nGC_185)*coupl(nGC_190)*coupl(nGC_4)*   &
                        coupl(nGC_80) + 9d0*cima*coupl(nGC_63)*coupl(nGC_82)*  &
                        coupl(nGC_877)*coupl(nGC_94) + 9d0*cima*coupl(nGC_69)* &
                        coupl(nGC_82)*coupl(nGC_877)*coupl(nGC_91) + 6d0*coupl(&
                        nGC_1319)*coupl(nGC_1491)*coupl(nGC_70) + 6d0*coupl(   &
                        nGC_1319)*coupl(nGC_1919)*coupl(nGC_65) - 6d0*coupl(   &
                        nGC_3231)*coupl(nGC_70)*coupl(nGC_781) + 6d0*coupl(    &
                        nGC_3231)*coupl(nGC_70)*coupl(nGC_96) - 6d0*coupl(     &
                        nGC_63)*coupl(nGC_803)*coupl(nGC_94) - 6d0*coupl(nGC_66&
                        )*coupl(nGC_661)*coupl(nGC_781) + 6d0*coupl(nGC_66)*   &
                        coupl(nGC_661)*coupl(nGC_96) - 6d0*coupl(nGC_69)*coupl(&
                        nGC_803)*coupl(nGC_91))/(192d0*pi**2d0)
      coupl(nGC_9109) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_139)*coupl(      &
                        nGC_140)*coupl(nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_87) - 12d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_151)*coupl(nGC_152)*coupl( &
                        nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_151)*    &
                        coupl(nGC_152)*coupl(nGC_87) - 12d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_175)*coupl(nGC_176)*coupl(nGC_84) - 12d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_175)*coupl(nGC_176)*coupl(&
                        nGC_87) - 12d0*Nc*cima*coupl(nGC_135)*coupl(nGC_136)*  &
                        coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc*cima*coupl(nGC_135&
                        )*coupl(nGC_136)*coupl(nGC_2)*coupl(nGC_88) - 12d0*Nc* &
                        cima*coupl(nGC_182)*coupl(nGC_183)*coupl(nGC_2)*coupl( &
                        nGC_85) - 12d0*Nc*cima*coupl(nGC_182)*coupl(nGC_183)*  &
                        coupl(nGC_2)*coupl(nGC_88) - 12d0*Nc*cima*coupl(nGC_197&
                        )*coupl(nGC_198)*coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_2)*coupl( &
                        nGC_88) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_1319)*    &
                        coupl(nGC_1529)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1319&
                        )*coupl(nGC_17)*coupl(nGC_72)*coupl(nGC_96) + 9d0*cima*&
                        coupl(nGC_1319)*coupl(nGC_3)*coupl(nGC_72)*coupl(nGC_82&
                        ) + 9d0*cima*coupl(nGC_1319)*coupl(nGC_72)*coupl(      &
                        nGC_781)*coupl(nGC_877) - 12d0*cima*coupl(nGC_159)*    &
                        coupl(nGC_160)*coupl(nGC_4)*coupl(nGC_86) - 12d0*cima* &
                        coupl(nGC_159)*coupl(nGC_160)*coupl(nGC_4)*coupl(nGC_89&
                        ) - 12d0*cima*coupl(nGC_167)*coupl(nGC_168)*coupl(nGC_4&
                        )*coupl(nGC_86) - 12d0*cima*coupl(nGC_167)*coupl(      &
                        nGC_168)*coupl(nGC_4)*coupl(nGC_89) - 12d0*cima*coupl( &
                        nGC_190)*coupl(nGC_191)*coupl(nGC_4)*coupl(nGC_86) -   &
                        12d0*cima*coupl(nGC_190)*coupl(nGC_191)*coupl(nGC_4)*  &
                        coupl(nGC_89) + 12d0*cima*coupl(nGC_62)*coupl(nGC_83   &
                        ) - 3d0*coupl(nGC_1319)*coupl(nGC_19)*coupl(nGC_3) -   &
                        3d0*coupl(nGC_1319)*coupl(nGC_20)*coupl(nGC_877) - 6d0*&
                        coupl(nGC_1319)*coupl(nGC_72)*coupl(nGC_83) + 6d0*coupl&
                        (nGC_1319)*coupl(nGC_72)*coupl(nGC_97) - 6d0*coupl(    &
                        nGC_1319)*coupl(nGC_73)*coupl(nGC_82) - 6d0*coupl(     &
                        nGC_1319)*coupl(nGC_74)*coupl(nGC_781) - 3d0*coupl(    &
                        nGC_19)*coupl(nGC_72)*coupl(nGC_877) - 3d0*coupl(nGC_20&
                        )*coupl(nGC_3)*coupl(nGC_72) + 18d0*coupl(nGC_3)*coupl(&
                        nGC_62)*coupl(nGC_82) + 18d0*coupl(nGC_62)*coupl(      &
                        nGC_781)*coupl(nGC_877))/(96d0*pi**2d0)
      coupl(nGC_13240) = coupl(nGC_131)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_134&
                         )*dZcR_QED2/2d0 + coupl(nGC_134)*dZsL_QED2/2d0 + coupl&
                         (nGC_9401)
      coupl(nGC_13120) = coupl(nGC_13118) + coupl(nGC_13119)
      coupl(nGC_13121) = coupl(nGC_13117) + coupl(nGC_13118)
      coupl(nGC_13080) = coupl(nGC_42)*dZHMinusGMinus_QED2 + coupl(nGC_43)*    &
                         dZG0Ha_QED2 + coupl(nGC_56)*dZHa_QED2 + coupl(nGC_9299&
                         )
      coupl(nGC_13084) = coupl(nGC_162)*dZHMinus_QED2/2d0 + coupl(nGC_162)*    &
                         dZmuMinusR_QED2/2d0 + coupl(nGC_162)*dZnu_muL_QED2/2d0&
                          + coupl(nGC_166)*dZGMinusHMinus_QED2/2d0 + coupl(    &
                         nGC_9461)
      coupl(nGC_14929) = coupl(nGC_87)*dZZ_QED2/2d0 + coupl(nGC_87)*dZdL_QED2  &
                          + coupl(nGC_9392)
      coupl(nGC_14928) = coupl(nGC_84)*dZZ_QED2/2d0 + coupl(nGC_84)*dZdR_QED2  &
                          + coupl(nGC_9393)
      coupl(nGC_12932) = coupl(nGC_25)*dZG0Ha_QED2/2d0 + coupl(nGC_26)*        &
                         dZHaG0_QED2/2d0 + coupl(nGC_28)*dZHlHh_QED2/2d0 +     &
                         coupl(nGC_29)*dZHhHl_QED2/2d0 + coupl(nGC_37)*        &
                         dZHa_QED2/2d0 + coupl(nGC_37)*dZHh_QED2/2d0 + coupl(  &
                         nGC_37)*dZHl_QED2/2d0 + coupl(nGC_9310)
      coupl(nGC_16161) = 2d0*coupl(nGC_78)*dZWMinus_QED2 + coupl(nGC_9283)
      coupl(nGC_14654) = coupl(nGC_13956) + coupl(nGC_14652)
      coupl(nGC_23892) = -coupl(nGC_23891)
      coupl(nGC_12757) = coupl(nGC_184)*dZHl_QED2/2d0 + coupl(nGC_188)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_9474)
      coupl(nGC_8811) = (4d0*Nc*coupl(nGC_1313)*coupl(nGC_134)*coupl(nGC_80) - &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_144)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_147)*coupl(nGC_150)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_171)*coupl(nGC_174)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_181)*coupl(nGC_2153)*coupl(nGC_80) +  &
                        4d0*Nc*coupl(nGC_196)*coupl(nGC_797)*coupl(nGC_80) -   &
                        6d0*coupl(nGC_1079)*coupl(nGC_68)*coupl(nGC_781) +     &
                        coupl(nGC_1283)*coupl(nGC_63)*coupl(nGC_94) + coupl(   &
                        nGC_1283)*coupl(nGC_68)*coupl(nGC_92) + coupl(nGC_1491 &
                        )*coupl(nGC_69)*coupl(nGC_72) - 4d0*coupl(nGC_155)*    &
                        coupl(nGC_158)*coupl(nGC_80) - 4d0*coupl(nGC_163)*coupl&
                        (nGC_166)*coupl(nGC_80) - 4d0*coupl(nGC_186)*coupl(    &
                        nGC_189)*coupl(nGC_80) + coupl(nGC_2961)*coupl(nGC_63)*&
                        coupl(nGC_72) - 6d0*coupl(nGC_63)*coupl(nGC_661)*coupl(&
                        nGC_781))/(96d0*pi**2d0)
      coupl(nGC_20846) = coupl(nGC_15372) - coupl(nGC_15377)
      coupl(nGC_12831) = coupl(nGC_42)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_42)*&
                         dZHaG0_QED2/2d0 + coupl(nGC_43)*dZG0Ha_QED2/2d0 +     &
                         coupl(nGC_43)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_58)*&
                         dZHMinus_QED2/2d0 + coupl(nGC_58)*dZHa_QED2/2d0 +     &
                         coupl(nGC_9306)
      coupl(nGC_8912) = (-4d0*Nc*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_80) -   &
                        6d0*coupl(nGC_1283)*coupl(nGC_2961)*coupl(nGC_781) +   &
                        coupl(nGC_1319)*coupl(nGC_661)*coupl(nGC_96) - 6d0*    &
                        coupl(nGC_1319)*coupl(nGC_82)*coupl(nGC_94) + coupl(   &
                        nGC_1491)*coupl(nGC_1795)*coupl(nGC_68) + coupl(       &
                        nGC_1491)*coupl(nGC_1919)*coupl(nGC_64) - 6d0*coupl(   &
                        nGC_1529)*coupl(nGC_2961)*coupl(nGC_877) + 4d0*coupl(  &
                        nGC_153)*coupl(nGC_154)*coupl(nGC_80) + 4d0*coupl(     &
                        nGC_161)*coupl(nGC_162)*coupl(nGC_80) + 4d0*coupl(     &
                        nGC_184)*coupl(nGC_185)*coupl(nGC_80) + coupl(nGC_64)**&
                        2d0*coupl(nGC_69) + coupl(nGC_68)**2d0*coupl(nGC_69) + &
                        coupl(nGC_69)*coupl(nGC_72)**2d0)/(96d0*pi**2d0)
      coupl(nGC_8916) = (-coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_1529) + 8d0*   &
                        coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_2) - coupl(      &
                        nGC_1283)*coupl(nGC_131)*coupl(nGC_87) - coupl(nGC_130 &
                        )*coupl(nGC_169)*coupl(nGC_170) - coupl(nGC_130)*coupl(&
                        nGC_2961)*coupl(nGC_80) - coupl(nGC_131)*coupl(nGC_17)*&
                        coupl(nGC_2) + 8d0*coupl(nGC_131)*coupl(nGC_85)*coupl( &
                        nGC_87) - coupl(nGC_131)*coupl(nGC_85)*coupl(nGC_96) - &
                        coupl(nGC_1313)*coupl(nGC_1319)*coupl(nGC_80) - coupl( &
                        nGC_1313)*coupl(nGC_170)*coupl(nGC_172) - coupl(nGC_133&
                        )*coupl(nGC_170)*coupl(nGC_173) - coupl(nGC_133)*coupl(&
                        nGC_1795)*coupl(nGC_80) - coupl(nGC_135)*coupl(nGC_170 &
                        )*coupl(nGC_176))/(32d0*pi**2d0)
      coupl(nGC_29754) = -coupl(nGC_8811)
      coupl(nGC_13777) = coupl(nGC_42)*dZHMinus_QED2 + coupl(nGC_42)*dZHa_QED2/&
                         2d0 + coupl(nGC_50)*dZHaG0_QED2/2d0 + coupl(nGC_56)*  &
                         dZG0Ha_QED2/2d0 + coupl(nGC_58)*dZGMinusHMinus_QED2 + &
                         coupl(nGC_9328)
      coupl(nGC_23940) = coupl(nGC_90)*dZZ_QED2/2d0 + coupl(nGC_90)*           &
                         dZnu_eL_QED2 + coupl(nGC_9394)
      coupl(nGC_14620) = coupl(nGC_90)*dZZ_QED2/2d0 + coupl(nGC_90)*           &
                         dZnu_muL_QED2 + coupl(nGC_9394)
      coupl(nGC_19216) = coupl(nGC_TS_GC_92_Hh) + coupl(nGC_TS_GC_94_Hl)
      coupl(nGC_9244) = (-32d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_80)**2d0  &
                         - 32d0*Nc*cima*coupl(nGC_141)**2d0*coupl(nGC_80)**2d0 &
                         - 32d0*Nc*cima*coupl(nGC_145)**2d0*coupl(nGC_80)**2d0 &
                         - 32d0*Nc*cima*coupl(nGC_169)**2d0*coupl(nGC_80)**2d0 &
                         - 32d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_80)**2d0 &
                         - 32d0*Nc*cima*coupl(nGC_192)**2d0*coupl(nGC_80)**2d0 &
                         + 12d0*cima*coupl(nGC_1153)*coupl(nGC_99) + 4d0*cima* &
                        coupl(nGC_1319)*coupl(nGC_1491)*coupl(nGC_64)*coupl(   &
                        nGC_72) + 4d0*cima*coupl(nGC_1319)*coupl(nGC_1795)*    &
                        coupl(nGC_63)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1319)*&
                        coupl(nGC_1919)*coupl(nGC_68)*coupl(nGC_72) + 4d0*cima*&
                        coupl(nGC_1319)*coupl(nGC_2961)*coupl(nGC_69)*coupl(   &
                        nGC_72) + 8d0*cima*coupl(nGC_1319)*coupl(nGC_3231)*    &
                        coupl(nGC_72)*coupl(nGC_91) + 8d0*cima*coupl(nGC_1319)*&
                        coupl(nGC_661)*coupl(nGC_72)*coupl(nGC_94) + 4d0*cima* &
                        coupl(nGC_1491)**2d0*coupl(nGC_1919)*coupl(nGC_2961) + &
                        8d0*cima*coupl(nGC_1491)*coupl(nGC_1795)*coupl(nGC_1919&
                        )*coupl(nGC_2961) + 8d0*cima*coupl(nGC_1491)*coupl(    &
                        nGC_1795)*coupl(nGC_63)*coupl(nGC_64) + 4d0*cima*coupl(&
                        nGC_1491)*coupl(nGC_1919)*coupl(nGC_64)*coupl(nGC_68   &
                        ) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_2961)*coupl(    &
                        nGC_64)*coupl(nGC_69) + 9d0*cima*coupl(nGC_1491)*coupl(&
                        nGC_64)*coupl(nGC_781)**2d0 + 9d0*cima*coupl(nGC_1491)*&
                        coupl(nGC_64)*coupl(nGC_877)**2d0 - 32d0*cima*coupl(   &
                        nGC_153)**2d0*coupl(nGC_80)**2d0 - 32d0*cima*coupl(    &
                        nGC_161)**2d0*coupl(nGC_80)**2d0 + 4d0*cima*coupl(     &
                        nGC_1795)**2d0*coupl(nGC_1919)*coupl(nGC_2961) + 4d0*  &
                        cima*coupl(nGC_1795)*coupl(nGC_1919)*coupl(nGC_63)*    &
                        coupl(nGC_68) + 4d0*cima*coupl(nGC_1795)*coupl(nGC_2961&
                        )*coupl(nGC_63)*coupl(nGC_69) + 9d0*cima*coupl(nGC_1795&
                        )*coupl(nGC_3)**2d0*coupl(nGC_63) + 9d0*cima*coupl(    &
                        nGC_1795)*coupl(nGC_63)*coupl(nGC_82)**2d0 - 32d0*cima*&
                        coupl(nGC_184)**2d0*coupl(nGC_80)**2d0 + 8d0*cima*coupl&
                        (nGC_1919)*coupl(nGC_2961)*coupl(nGC_68)*coupl(nGC_69  &
                        ) + 9d0*cima*coupl(nGC_1919)*coupl(nGC_3)**2d0*coupl(  &
                        nGC_68) + 9d0*cima*coupl(nGC_1919)*coupl(nGC_68)*coupl(&
                        nGC_82)**2d0 + 9d0*cima*coupl(nGC_2961)*coupl(nGC_69)* &
                        coupl(nGC_781)**2d0 + 9d0*cima*coupl(nGC_2961)*coupl(  &
                        nGC_69)*coupl(nGC_877)**2d0 + 9d0*cima*coupl(nGC_3231)*&
                        coupl(nGC_781)**2d0*coupl(nGC_91) + 9d0*cima*coupl(    &
                        nGC_3231)*coupl(nGC_82)**2d0*coupl(nGC_91) + 24d0*cima*&
                        coupl(nGC_61)*coupl(nGC_78) + 4d0*cima*coupl(nGC_63)** &
                        2d0*coupl(nGC_68)*coupl(nGC_69) + 8d0*cima*coupl(nGC_63&
                        )*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_69) + 4d0*cima*&
                        coupl(nGC_64)**2d0*coupl(nGC_68)*coupl(nGC_69) + 9d0*  &
                        cima*coupl(nGC_661)*coupl(nGC_781)**2d0*coupl(nGC_94   &
                        ) + 9d0*cima*coupl(nGC_661)*coupl(nGC_82)**2d0*coupl(  &
                        nGC_94) - 6d0*coupl(nGC_1153)*coupl(nGC_3231)*coupl(   &
                        nGC_91) - 6d0*coupl(nGC_1153)*coupl(nGC_661)*coupl(    &
                        nGC_94) - 6d0*coupl(nGC_14)*coupl(nGC_1491)*coupl(     &
                        nGC_781) - 6d0*coupl(nGC_14)*coupl(nGC_1795)*coupl(    &
                        nGC_82) - 6d0*coupl(nGC_14)*coupl(nGC_63)*coupl(nGC_82 &
                        ) - 6d0*coupl(nGC_14)*coupl(nGC_64)*coupl(nGC_781) +   &
                        6d0*coupl(nGC_1491)*coupl(nGC_62)*coupl(nGC_64) - 6d0* &
                        coupl(nGC_1491)*coupl(nGC_64)*coupl(nGC_78) - 6d0*coupl&
                        (nGC_1491)*coupl(nGC_65)*coupl(nGC_877) - 6d0*coupl(   &
                        nGC_16)*coupl(nGC_1919)*coupl(nGC_82) - 6d0*coupl(     &
                        nGC_16)*coupl(nGC_2961)*coupl(nGC_781) - 6d0*coupl(    &
                        nGC_16)*coupl(nGC_68)*coupl(nGC_82) - 6d0*coupl(nGC_16 &
                        )*coupl(nGC_69)*coupl(nGC_781) - 6d0*coupl(nGC_1795)*  &
                        coupl(nGC_3)*coupl(nGC_65) + 6d0*coupl(nGC_1795)*coupl(&
                        nGC_62)*coupl(nGC_63) - 6d0*coupl(nGC_1795)*coupl(     &
                        nGC_63)*coupl(nGC_78) - 6d0*coupl(nGC_1919)*coupl(nGC_3&
                        )*coupl(nGC_70) + 6d0*coupl(nGC_1919)*coupl(nGC_62)*   &
                        coupl(nGC_68) - 6d0*coupl(nGC_1919)*coupl(nGC_68)*coupl&
                        (nGC_78) + 6d0*coupl(nGC_2961)*coupl(nGC_62)*coupl(    &
                        nGC_69) - 6d0*coupl(nGC_2961)*coupl(nGC_69)*coupl(     &
                        nGC_78) - 6d0*coupl(nGC_2961)*coupl(nGC_70)*coupl(     &
                        nGC_877) - 6d0*coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_65 &
                        ) - 6d0*coupl(nGC_3)*coupl(nGC_68)*coupl(nGC_70) + 6d0*&
                        coupl(nGC_3231)*coupl(nGC_62)*coupl(nGC_91) + 36d0*    &
                        coupl(nGC_61)*coupl(nGC_781)**2d0 + 36d0*coupl(nGC_61)*&
                        coupl(nGC_877)**2d0 + 6d0*coupl(nGC_62)*coupl(nGC_661)*&
                        coupl(nGC_94) - 6d0*coupl(nGC_64)*coupl(nGC_65)*coupl( &
                        nGC_877) - 6d0*coupl(nGC_69)*coupl(nGC_70)*coupl(      &
                        nGC_877) + 36d0*coupl(nGC_82)**2d0*coupl(nGC_99))/(    &
                        192d0*pi**2d0)
      coupl(nGC_9085) = (6d0*Nc*cima*coupl(nGC_1)**4d0 + 6d0*Nc*cima*coupl(    &
                        nGC_2)**4d0 + 3d0*cima*coupl(nGC_1247)**2d0 - 10d0*cima&
                        *coupl(nGC_3)**4d0 + 6d0*cima*coupl(nGC_4)**4d0 - 10d0*&
                        cima*coupl(nGC_877)**4d0 + 9d0*coupl(nGC_1247)*coupl(  &
                        nGC_3)**2d0 + 9d0*coupl(nGC_1247)*coupl(nGC_877)**2d0  &
                         + 3d0*coupl(nGC_3)**2d0*coupl(nGC_5) + 3d0*coupl(nGC_5&
                        )*coupl(nGC_877)**2d0)/(24d0*pi**2d0)
      coupl(nGC_9084) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_143)*coupl( &
                        nGC_144) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_147&
                        )*coupl(nGC_148) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl&
                        (nGC_171)*coupl(nGC_172) - 24d0*Nc*cima*coupl(nGC_1313 &
                        )*coupl(nGC_132)*coupl(nGC_2)**2d0 - 24d0*Nc*cima*coupl&
                        (nGC_179)*coupl(nGC_2)**2d0*coupl(nGC_2153) - 24d0*Nc* &
                        cima*coupl(nGC_194)*coupl(nGC_2)**2d0*coupl(nGC_797) + &
                        12d0*cima*coupl(nGC_1247)*coupl(nGC_62) + 4d0*cima*    &
                        coupl(nGC_1319)*coupl(nGC_1529)**2d0*coupl(nGC_72) +   &
                        4d0*cima*coupl(nGC_1319)*coupl(nGC_17)**2d0*coupl(     &
                        nGC_72) + 9d0*cima*coupl(nGC_1319)*coupl(nGC_3)**2d0*  &
                        coupl(nGC_72) + 9d0*cima*coupl(nGC_1319)*coupl(nGC_72)*&
                        coupl(nGC_877)**2d0 - 24d0*cima*coupl(nGC_155)*coupl(  &
                        nGC_156)*coupl(nGC_4)**2d0 - 24d0*cima*coupl(nGC_163)* &
                        coupl(nGC_164)*coupl(nGC_4)**2d0 - 24d0*cima*coupl(    &
                        nGC_186)*coupl(nGC_187)*coupl(nGC_4)**2d0 - 6d0*coupl( &
                        nGC_1247)*coupl(nGC_1319)*coupl(nGC_72) + 6d0*coupl(   &
                        nGC_1319)*coupl(nGC_18)*coupl(nGC_72) - 6d0*coupl(     &
                        nGC_1319)*coupl(nGC_3)*coupl(nGC_73) - 6d0*coupl(      &
                        nGC_1319)*coupl(nGC_74)*coupl(nGC_877) + 18d0*coupl(   &
                        nGC_3)**2d0*coupl(nGC_62) - 6d0*coupl(nGC_3)*coupl(    &
                        nGC_72)*coupl(nGC_74) + 18d0*coupl(nGC_62)*coupl(      &
                        nGC_877)**2d0 - 6d0*coupl(nGC_72)*coupl(nGC_73)*coupl( &
                        nGC_877))/(96d0*pi**2d0)
      coupl(nGC_9087) = (6d0*Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_84) + 6d0*Nc* &
                        cima*coupl(nGC_1)**3d0*coupl(nGC_87) + 6d0*Nc*cima*    &
                        coupl(nGC_2)**3d0*coupl(nGC_85) + 6d0*Nc*cima*coupl(   &
                        nGC_2)**3d0*coupl(nGC_88) + 6d0*cima*coupl(nGC_1247)*  &
                        coupl(nGC_83) - 20d0*cima*coupl(nGC_3)**3d0*coupl(     &
                        nGC_82) + 6d0*cima*coupl(nGC_4)**3d0*coupl(nGC_86) +   &
                        6d0*cima*coupl(nGC_4)**3d0*coupl(nGC_89) - 20d0*cima*  &
                        coupl(nGC_781)*coupl(nGC_877)**3d0 + 9d0*coupl(nGC_1247&
                        )*coupl(nGC_3)*coupl(nGC_82) + 9d0*coupl(nGC_1247)*    &
                        coupl(nGC_781)*coupl(nGC_877) + 3d0*coupl(nGC_3)**2d0* &
                        coupl(nGC_803) + 9d0*coupl(nGC_3)**2d0*coupl(nGC_83) + &
                        3d0*coupl(nGC_3)*coupl(nGC_5)*coupl(nGC_82) + 3d0*coupl&
                        (nGC_5)*coupl(nGC_781)*coupl(nGC_877) + 3d0*coupl(     &
                        nGC_803)*coupl(nGC_877)**2d0 + 9d0*coupl(nGC_83)*coupl(&
                        nGC_877)**2d0)/(48d0*pi**2d0)
      coupl(nGC_9086) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_137)**2d0 - &
                        24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_149)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_173)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_2)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_2)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_2)**2d0 +   &
                        12d0*cima*coupl(nGC_1247)*coupl(nGC_61) + 4d0*cima*    &
                        coupl(nGC_1491)*coupl(nGC_1529)**2d0*coupl(nGC_64) +   &
                        9d0*cima*coupl(nGC_1491)*coupl(nGC_64)*coupl(nGC_877)**&
                        2d0 + 4d0*cima*coupl(nGC_1529)**2d0*coupl(nGC_1919)*   &
                        coupl(nGC_68) - 24d0*cima*coupl(nGC_157)**2d0*coupl(   &
                        nGC_4)**2d0 - 24d0*cima*coupl(nGC_165)**2d0*coupl(nGC_4&
                        )**2d0 + 4d0*cima*coupl(nGC_17)**2d0*coupl(nGC_1795)*  &
                        coupl(nGC_63) + 4d0*cima*coupl(nGC_17)**2d0*coupl(     &
                        nGC_2961)*coupl(nGC_69) + 9d0*cima*coupl(nGC_1795)*    &
                        coupl(nGC_3)**2d0*coupl(nGC_63) - 24d0*cima*coupl(     &
                        nGC_188)**2d0*coupl(nGC_4)**2d0 + 9d0*cima*coupl(      &
                        nGC_1919)*coupl(nGC_68)*coupl(nGC_877)**2d0 + 9d0*cima*&
                        coupl(nGC_2961)*coupl(nGC_3)**2d0*coupl(nGC_69) - 3d0* &
                        coupl(nGC_1247)*coupl(nGC_1491)*coupl(nGC_64) - 3d0*   &
                        coupl(nGC_1247)*coupl(nGC_1795)*coupl(nGC_63) - 3d0*   &
                        coupl(nGC_1247)*coupl(nGC_1919)*coupl(nGC_68) - 3d0*   &
                        coupl(nGC_1247)*coupl(nGC_2961)*coupl(nGC_69) + 3d0*   &
                        coupl(nGC_1491)*coupl(nGC_18)*coupl(nGC_64) - 6d0*coupl&
                        (nGC_1491)*coupl(nGC_66)*coupl(nGC_877) + 3d0*coupl(   &
                        nGC_1795)*coupl(nGC_18)*coupl(nGC_63) - 6d0*coupl(     &
                        nGC_1795)*coupl(nGC_3)*coupl(nGC_66) + 3d0*coupl(nGC_18&
                        )*coupl(nGC_1919)*coupl(nGC_68) + 3d0*coupl(nGC_18)*   &
                        coupl(nGC_2961)*coupl(nGC_69) - 6d0*coupl(nGC_1919)*   &
                        coupl(nGC_70)*coupl(nGC_877) - 6d0*coupl(nGC_2961)*    &
                        coupl(nGC_3)*coupl(nGC_70) + 18d0*coupl(nGC_3)**2d0*   &
                        coupl(nGC_61) - 6d0*coupl(nGC_3)*coupl(nGC_63)*coupl(  &
                        nGC_66) - 6d0*coupl(nGC_3)*coupl(nGC_69)*coupl(nGC_70  &
                        ) + 18d0*coupl(nGC_61)*coupl(nGC_877)**2d0 - 6d0*coupl(&
                        nGC_64)*coupl(nGC_66)*coupl(nGC_877) - 6d0*coupl(nGC_68&
                        )*coupl(nGC_70)*coupl(nGC_877))/(96d0*pi**2d0)
      coupl(nGC_9081) = (-32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_134)**2d0 - &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_138)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_150)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_174)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_181)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_196)**2d0 +   &
                        40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_134)**2d0*coupl(   &
                        nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_138)**2d0*&
                        coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_150 &
                        )**2d0*coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl( &
                        nGC_174)**2d0*coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*&
                        coupl(nGC_181)**2d0*coupl(nGC_2) + 40d0*Nc*cima*coupl( &
                        nGC_1)*coupl(nGC_196)**2d0*coupl(nGC_2) - 32d0*Nc*cima*&
                        coupl(nGC_134)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_138)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_150)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_174)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_181)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_196)**2d0*coupl(nGC_2)**2d0 + 24d0*cima*coupl&
                        (nGC_1247)*coupl(nGC_62) + 4d0*cima*coupl(nGC_1283)**  &
                        2d0*coupl(nGC_17)**2d0 + 9d0*cima*coupl(nGC_1319)*coupl&
                        (nGC_3)**2d0*coupl(nGC_72) + 9d0*cima*coupl(nGC_1319)* &
                        coupl(nGC_72)*coupl(nGC_877)**2d0 + 9d0*cima*coupl(    &
                        nGC_1491)*coupl(nGC_64)*coupl(nGC_877)**2d0 + 8d0*cima*&
                        coupl(nGC_1529)**2d0*coupl(nGC_17)**2d0 + 4d0*cima*    &
                        coupl(nGC_1529)**2d0*coupl(nGC_96)**2d0 - 32d0*cima*   &
                        coupl(nGC_158)**2d0*coupl(nGC_4)**2d0 - 32d0*cima*coupl&
                        (nGC_166)**2d0*coupl(nGC_4)**2d0 + 9d0*cima*coupl(     &
                        nGC_1795)*coupl(nGC_3)**2d0*coupl(nGC_63) - 32d0*cima* &
                        coupl(nGC_189)**2d0*coupl(nGC_4)**2d0 + 9d0*cima*coupl(&
                        nGC_1919)*coupl(nGC_3)**2d0*coupl(nGC_68) + 9d0*cima*  &
                        coupl(nGC_2961)*coupl(nGC_69)*coupl(nGC_877)**2d0 - 6d0&
                        *coupl(nGC_1247)*coupl(nGC_1319)*coupl(nGC_72) - 6d0*  &
                        coupl(nGC_1247)*coupl(nGC_1795)*coupl(nGC_63) - 6d0*   &
                        coupl(nGC_1247)*coupl(nGC_1919)*coupl(nGC_68) + 6d0*   &
                        coupl(nGC_1283)**2d0*coupl(nGC_18) - 6d0*coupl(nGC_1319&
                        )*coupl(nGC_3)*coupl(nGC_74) - 6d0*coupl(nGC_1319)*    &
                        coupl(nGC_73)*coupl(nGC_877) - 6d0*coupl(nGC_1491)*    &
                        coupl(nGC_65)*coupl(nGC_877) + 6d0*coupl(nGC_1529)**2d0&
                        *coupl(nGC_18) - 6d0*coupl(nGC_1795)*coupl(nGC_3)*coupl&
                        (nGC_65) - 6d0*coupl(nGC_1919)*coupl(nGC_3)*coupl(     &
                        nGC_70) - 6d0*coupl(nGC_2961)*coupl(nGC_70)*coupl(     &
                        nGC_877) + 36d0*coupl(nGC_3)**2d0*coupl(nGC_62) - 6d0* &
                        coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_65) - 6d0*coupl(  &
                        nGC_3)*coupl(nGC_68)*coupl(nGC_70) - 6d0*coupl(nGC_3)* &
                        coupl(nGC_72)*coupl(nGC_73) + 36d0*coupl(nGC_62)*coupl(&
                        nGC_877)**2d0 - 6d0*coupl(nGC_64)*coupl(nGC_65)*coupl( &
                        nGC_877) - 6d0*coupl(nGC_69)*coupl(nGC_70)*coupl(      &
                        nGC_877) - 6d0*coupl(nGC_72)*coupl(nGC_74)*coupl(      &
                        nGC_877))/(192d0*pi**2d0)
      coupl(nGC_9080) = (-32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_131)**2d0 - &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_142)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_146)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_170)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_178)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_193)**2d0 +   &
                        40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)**2d0*coupl(   &
                        nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)**2d0*&
                        coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_146 &
                        )**2d0*coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl( &
                        nGC_170)**2d0*coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*&
                        coupl(nGC_178)**2d0*coupl(nGC_2) + 40d0*Nc*cima*coupl( &
                        nGC_1)*coupl(nGC_193)**2d0*coupl(nGC_2) - 32d0*Nc*cima*&
                        coupl(nGC_131)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_142)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_146)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_170)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_178)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_193)**2d0*coupl(nGC_2)**2d0 + 24d0*cima*coupl&
                        (nGC_1247)*coupl(nGC_62) + 4d0*cima*coupl(nGC_1283)**  &
                        2d0*coupl(nGC_17)**2d0 + 9d0*cima*coupl(nGC_1319)*coupl&
                        (nGC_3)**2d0*coupl(nGC_72) + 9d0*cima*coupl(nGC_1319)* &
                        coupl(nGC_72)*coupl(nGC_877)**2d0 + 9d0*cima*coupl(    &
                        nGC_1491)*coupl(nGC_3)**2d0*coupl(nGC_64) + 8d0*cima*  &
                        coupl(nGC_1529)**2d0*coupl(nGC_17)**2d0 + 4d0*cima*    &
                        coupl(nGC_1529)**2d0*coupl(nGC_96)**2d0 - 32d0*cima*   &
                        coupl(nGC_154)**2d0*coupl(nGC_4)**2d0 - 32d0*cima*coupl&
                        (nGC_162)**2d0*coupl(nGC_4)**2d0 + 9d0*cima*coupl(     &
                        nGC_1795)*coupl(nGC_63)*coupl(nGC_877)**2d0 - 32d0*cima&
                        *coupl(nGC_185)**2d0*coupl(nGC_4)**2d0 + 9d0*cima*coupl&
                        (nGC_1919)*coupl(nGC_3)**2d0*coupl(nGC_68) + 9d0*cima* &
                        coupl(nGC_2961)*coupl(nGC_69)*coupl(nGC_877)**2d0 - 6d0&
                        *coupl(nGC_1247)*coupl(nGC_1319)*coupl(nGC_72) - 6d0*  &
                        coupl(nGC_1247)*coupl(nGC_1491)*coupl(nGC_64) - 6d0*   &
                        coupl(nGC_1247)*coupl(nGC_1919)*coupl(nGC_68) + 6d0*   &
                        coupl(nGC_1283)**2d0*coupl(nGC_18) - 6d0*coupl(nGC_1319&
                        )*coupl(nGC_3)*coupl(nGC_74) - 6d0*coupl(nGC_1319)*    &
                        coupl(nGC_73)*coupl(nGC_877) - 6d0*coupl(nGC_1491)*    &
                        coupl(nGC_3)*coupl(nGC_66) + 6d0*coupl(nGC_1529)**2d0* &
                        coupl(nGC_18) - 6d0*coupl(nGC_1795)*coupl(nGC_66)*coupl&
                        (nGC_877) - 6d0*coupl(nGC_1919)*coupl(nGC_3)*coupl(    &
                        nGC_70) - 6d0*coupl(nGC_2961)*coupl(nGC_70)*coupl(     &
                        nGC_877) + 36d0*coupl(nGC_3)**2d0*coupl(nGC_62) - 6d0* &
                        coupl(nGC_3)*coupl(nGC_64)*coupl(nGC_66) - 6d0*coupl(  &
                        nGC_3)*coupl(nGC_68)*coupl(nGC_70) - 6d0*coupl(nGC_3)* &
                        coupl(nGC_72)*coupl(nGC_73) + 36d0*coupl(nGC_62)*coupl(&
                        nGC_877)**2d0 - 6d0*coupl(nGC_63)*coupl(nGC_66)*coupl( &
                        nGC_877) - 6d0*coupl(nGC_69)*coupl(nGC_70)*coupl(      &
                        nGC_877) - 6d0*coupl(nGC_72)*coupl(nGC_74)*coupl(      &
                        nGC_877))/(192d0*pi**2d0)
      coupl(nGC_9083) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_139)*coupl( &
                        nGC_140) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_151&
                        )*coupl(nGC_152) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl&
                        (nGC_175)*coupl(nGC_176) - 24d0*Nc*cima*coupl(nGC_135)*&
                        coupl(nGC_136)*coupl(nGC_2)**2d0 - 24d0*Nc*cima*coupl( &
                        nGC_182)*coupl(nGC_183)*coupl(nGC_2)**2d0 - 24d0*Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_2)**2d0 + &
                        12d0*cima*coupl(nGC_1247)*coupl(nGC_62) + 4d0*cima*    &
                        coupl(nGC_1319)*coupl(nGC_1529)**2d0*coupl(nGC_72) +   &
                        4d0*cima*coupl(nGC_1319)*coupl(nGC_17)**2d0*coupl(     &
                        nGC_72) + 9d0*cima*coupl(nGC_1319)*coupl(nGC_3)**2d0*  &
                        coupl(nGC_72) + 9d0*cima*coupl(nGC_1319)*coupl(nGC_72)*&
                        coupl(nGC_877)**2d0 - 24d0*cima*coupl(nGC_159)*coupl(  &
                        nGC_160)*coupl(nGC_4)**2d0 - 24d0*cima*coupl(nGC_167)* &
                        coupl(nGC_168)*coupl(nGC_4)**2d0 - 24d0*cima*coupl(    &
                        nGC_190)*coupl(nGC_191)*coupl(nGC_4)**2d0 - 6d0*coupl( &
                        nGC_1247)*coupl(nGC_1319)*coupl(nGC_72) + 6d0*coupl(   &
                        nGC_1319)*coupl(nGC_18)*coupl(nGC_72) - 6d0*coupl(     &
                        nGC_1319)*coupl(nGC_3)*coupl(nGC_73) - 6d0*coupl(      &
                        nGC_1319)*coupl(nGC_74)*coupl(nGC_877) + 18d0*coupl(   &
                        nGC_3)**2d0*coupl(nGC_62) - 6d0*coupl(nGC_3)*coupl(    &
                        nGC_72)*coupl(nGC_74) + 18d0*coupl(nGC_62)*coupl(      &
                        nGC_877)**2d0 - 6d0*coupl(nGC_72)*coupl(nGC_73)*coupl( &
                        nGC_877))/(96d0*pi**2d0)
      coupl(nGC_9082) = cima*(-Nc*coupl(nGC_1)**2d0*coupl(nGC_139)*coupl(      &
                        nGC_143) - Nc*coupl(nGC_1)**2d0*coupl(nGC_140)*coupl(  &
                        nGC_144) - Nc*coupl(nGC_1)**2d0*coupl(nGC_147)*coupl(  &
                        nGC_152) - Nc*coupl(nGC_1)**2d0*coupl(nGC_148)*coupl(  &
                        nGC_151) - Nc*coupl(nGC_1)**2d0*coupl(nGC_171)*coupl(  &
                        nGC_176) - Nc*coupl(nGC_1)**2d0*coupl(nGC_172)*coupl(  &
                        nGC_175) - Nc*coupl(nGC_1313)*coupl(nGC_136)*coupl(    &
                        nGC_2)**2d0 - Nc*coupl(nGC_132)*coupl(nGC_135)*coupl(  &
                        nGC_2)**2d0 - Nc*coupl(nGC_179)*coupl(nGC_182)*coupl(  &
                        nGC_2)**2d0 - Nc*coupl(nGC_183)*coupl(nGC_2)**2d0*coupl&
                        (nGC_2153) - Nc*coupl(nGC_194)*coupl(nGC_197)*coupl(   &
                        nGC_2)**2d0 - Nc*coupl(nGC_198)*coupl(nGC_2)**2d0*coupl&
                        (nGC_797) - coupl(nGC_155)*coupl(nGC_160)*coupl(nGC_4  &
                        )**2d0 - coupl(nGC_156)*coupl(nGC_159)*coupl(nGC_4)**  &
                        2d0 - coupl(nGC_163)*coupl(nGC_168)*coupl(nGC_4)**2d0  &
                         - coupl(nGC_164)*coupl(nGC_167)*coupl(nGC_4)**2d0 -   &
                        coupl(nGC_186)*coupl(nGC_191)*coupl(nGC_4)**2d0 - coupl&
                        (nGC_187)*coupl(nGC_190)*coupl(nGC_4)**2d0)/(8d0*pi**  &
                        2d0)
      coupl(nGC_9089) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_80)**2d0 +  &
                        36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_80)** &
                        2d0 - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_80)**2d0&
                         - 16d0*cima*coupl(nGC_3)**2d0*coupl(nGC_781)**2d0 -   &
                        24d0*cima*coupl(nGC_3)**2d0*coupl(nGC_877)**2d0 - 12d0*&
                        cima*coupl(nGC_4)**2d0*coupl(nGC_80)**2d0 + 12d0*cima* &
                        coupl(nGC_5)**2d0 + 12d0*cima*coupl(nGC_803)**2d0 - 8d0&
                        *cima*coupl(nGC_82)**2d0*coupl(nGC_877)**2d0 + 3d0*    &
                        coupl(nGC_1061)*coupl(nGC_877)**2d0 + 6d0*coupl(       &
                        nGC_1247)*coupl(nGC_3)*coupl(nGC_877) + 3d0*coupl(nGC_3&
                        )**2d0*coupl(nGC_78) + 36d0*coupl(nGC_3)*coupl(nGC_5)* &
                        coupl(nGC_877) + 36d0*coupl(nGC_3)*coupl(nGC_781)*coupl&
                        (nGC_803) + 3d0*coupl(nGC_5)*coupl(nGC_781)**2d0 + 3d0*&
                        coupl(nGC_5)*coupl(nGC_877)**2d0 + 6d0*coupl(nGC_82)*  &
                        coupl(nGC_83)*coupl(nGC_877))/(96d0*pi**2d0)
      coupl(nGC_9088) = (-48d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_137)*coupl( &
                        nGC_141) - 48d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_145&
                        )*coupl(nGC_149) - 48d0*Nc*cima*coupl(nGC_1)**2d0*coupl&
                        (nGC_169)*coupl(nGC_173) - 48d0*Nc*cima*coupl(nGC_130)*&
                        coupl(nGC_133)*coupl(nGC_2)**2d0 - 48d0*Nc*cima*coupl( &
                        nGC_177)*coupl(nGC_180)*coupl(nGC_2)**2d0 - 48d0*Nc*   &
                        cima*coupl(nGC_192)*coupl(nGC_195)*coupl(nGC_2)**2d0 + &
                        4d0*cima*coupl(nGC_1491)*coupl(nGC_1529)**2d0*coupl(   &
                        nGC_68) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_17)**2d0* &
                        coupl(nGC_69) + 9d0*cima*coupl(nGC_1491)*coupl(nGC_3)**&
                        2d0*coupl(nGC_69) + 9d0*cima*coupl(nGC_1491)*coupl(    &
                        nGC_68)*coupl(nGC_877)**2d0 + 4d0*cima*coupl(nGC_1529  &
                        )**2d0*coupl(nGC_1795)*coupl(nGC_68) + 4d0*cima*coupl( &
                        nGC_1529)**2d0*coupl(nGC_1919)*coupl(nGC_63) + 4d0*cima&
                        *coupl(nGC_1529)**2d0*coupl(nGC_1919)*coupl(nGC_64) -  &
                        48d0*cima*coupl(nGC_153)*coupl(nGC_157)*coupl(nGC_4)** &
                        2d0 - 48d0*cima*coupl(nGC_161)*coupl(nGC_165)*coupl(   &
                        nGC_4)**2d0 + 4d0*cima*coupl(nGC_17)**2d0*coupl(       &
                        nGC_1795)*coupl(nGC_69) + 4d0*cima*coupl(nGC_17)**2d0* &
                        coupl(nGC_2961)*coupl(nGC_63) + 4d0*cima*coupl(nGC_17  &
                        )**2d0*coupl(nGC_2961)*coupl(nGC_64) + 9d0*cima*coupl( &
                        nGC_1795)*coupl(nGC_3)**2d0*coupl(nGC_69) + 9d0*cima*  &
                        coupl(nGC_1795)*coupl(nGC_68)*coupl(nGC_877)**2d0 -    &
                        48d0*cima*coupl(nGC_184)*coupl(nGC_188)*coupl(nGC_4)** &
                        2d0 + 9d0*cima*coupl(nGC_1919)*coupl(nGC_63)*coupl(    &
                        nGC_877)**2d0 + 9d0*cima*coupl(nGC_1919)*coupl(nGC_64)*&
                        coupl(nGC_877)**2d0 + 9d0*cima*coupl(nGC_2961)*coupl(  &
                        nGC_3)**2d0*coupl(nGC_63) + 9d0*cima*coupl(nGC_2961)*  &
                        coupl(nGC_3)**2d0*coupl(nGC_64) - 6d0*coupl(nGC_1247)* &
                        coupl(nGC_1919)*coupl(nGC_63) - 6d0*coupl(nGC_1247)*   &
                        coupl(nGC_1919)*coupl(nGC_64) - 6d0*coupl(nGC_1247)*   &
                        coupl(nGC_2961)*coupl(nGC_63) - 6d0*coupl(nGC_1247)*   &
                        coupl(nGC_2961)*coupl(nGC_64) + 6d0*coupl(nGC_1491)*   &
                        coupl(nGC_18)*coupl(nGC_68) + 6d0*coupl(nGC_1491)*coupl&
                        (nGC_18)*coupl(nGC_69) - 6d0*coupl(nGC_1491)*coupl(    &
                        nGC_3)*coupl(nGC_70) - 6d0*coupl(nGC_1491)*coupl(nGC_70&
                        )*coupl(nGC_877) + 6d0*coupl(nGC_1795)*coupl(nGC_18)*  &
                        coupl(nGC_68) + 6d0*coupl(nGC_1795)*coupl(nGC_18)*coupl&
                        (nGC_69) - 6d0*coupl(nGC_1795)*coupl(nGC_3)*coupl(     &
                        nGC_70) - 6d0*coupl(nGC_1795)*coupl(nGC_70)*coupl(     &
                        nGC_877) - 6d0*coupl(nGC_1919)*coupl(nGC_65)*coupl(    &
                        nGC_877) - 6d0*coupl(nGC_1919)*coupl(nGC_66)*coupl(    &
                        nGC_877) - 6d0*coupl(nGC_2961)*coupl(nGC_3)*coupl(     &
                        nGC_65) - 6d0*coupl(nGC_2961)*coupl(nGC_3)*coupl(nGC_66&
                        ) - 6d0*coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_70) - 6d0*&
                        coupl(nGC_3)*coupl(nGC_64)*coupl(nGC_70) - 6d0*coupl(  &
                        nGC_3)*coupl(nGC_65)*coupl(nGC_69) - 6d0*coupl(nGC_3)* &
                        coupl(nGC_66)*coupl(nGC_69) - 6d0*coupl(nGC_63)*coupl( &
                        nGC_70)*coupl(nGC_877) - 6d0*coupl(nGC_64)*coupl(nGC_70&
                        )*coupl(nGC_877) - 6d0*coupl(nGC_65)*coupl(nGC_68)*    &
                        coupl(nGC_877) - 6d0*coupl(nGC_66)*coupl(nGC_68)*coupl(&
                        nGC_877))/(192d0*pi**2d0)
      coupl(nGC_14634) = -coupl(nGC_14629) + coupl(nGC_14633)
      coupl(nGC_15434) = -coupl(nGC_13035)
      coupl(nGC_13694) = coupl(nGC_113)*dZHa_QED2 + coupl(nGC_113)*dZHl_QED2/  &
                         2d0 + coupl(nGC_120)*dZG0Ha_QED2 + coupl(nGC_121)*    &
                         dZHhHl_QED2/2d0 + coupl(nGC_9343) + coupl(            &
                         nGC_TS_GC_26_Hh) + coupl(nGC_TS_GC_31_Hl)
      coupl(nGC_13916) = coupl(nGC_124)*dZHlHh_QED2/2d0 + coupl(nGC_125)*      &
                         dZHh_QED2/2d0 + coupl(nGC_125)*dZWMinus_QED2 + coupl( &
                         nGC_9366) + coupl(nGC_TS_GC_61_Hh)
      coupl(nGC_31859) = -coupl(nGC_9068)
      coupl(nGC_14480) = coupl(nGC_9631) + coupl(nGC_TS_GC_153_Hl) + coupl(    &
                         nGC_TS_GC_157_Hh)
      coupl(nGC_14481) = coupl(nGC_14478) + coupl(nGC_14480)
      coupl(nGC_15197) = -coupl(nGC_14125) + coupl(nGC_14126)
      coupl(nGC_14318) = coupl(nGC_28)*dZHa_QED2/2d0 + coupl(nGC_28)*dZHl_QED2 &
                          + coupl(nGC_31)*dZHaG0_QED2/2d0 + coupl(nGC_37)*     &
                         dZHhHl_QED2 + coupl(nGC_39)*dZG0Ha_QED2/2d0 + coupl(  &
                         nGC_9323)
      coupl(nGC_13476) = coupl(nGC_80)*dZWMinus_QED2/2d0 + coupl(nGC_80)*      &
                         dZnu_tauL_QED2/2d0 + coupl(nGC_80)*dZtauMinusL_QED2/  &
                         2d0 + coupl(nGC_9389)
      coupl(nGC_17931) = coupl(nGC_17930) + coupl(nGC_9437)
    end subroutine fill_CTcouplings_mdl31
end module fill_ctcouplings31
