!******************************************************************************!
!                                                                              !
!    fill_ctcouplings33.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings33.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings33
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl33()
      coupl(nGC_13653) = coupl(nGC_169)*dZHl_QED2/2d0 + coupl(nGC_173)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_9442)
      coupl(nGC_21799) = coupl(nGC_103)*dZHhHl_QED2 + coupl(nGC_104)*          &
                         dZHlHh_QED2/2d0 + coupl(nGC_106)*dZHh_QED2/2d0 + coupl&
                         (nGC_106)*dZHl_QED2 + coupl(nGC_9334) + coupl(        &
                         nGC_TS_GC_13_Hh) + coupl(nGC_TS_GC_9_Hl)
      coupl(nGC_14679) = coupl(nGC_108)*dZHlHh_QED2/2d0 + coupl(nGC_111)*      &
                         dZHMinusGMinus_QED2 + coupl(nGC_116)*dZHh_QED2/2d0 +  &
                         coupl(nGC_9331) + coupl(nGC_TS_GC_23_Hl) + coupl(     &
                         nGC_TS_GC_32_Hh)
      coupl(nGC_9188) = (40d0*Nc*cima*coupl(nGC_1313)*coupl(nGC_133)*coupl(    &
                        nGC_135)*coupl(nGC_136) + 20d0*Nc*cima*coupl(nGC_1313)*&
                        coupl(nGC_133)*coupl(nGC_136)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_132)*coupl(nGC_133)*coupl(nGC_135)**2d0 + 40d0*Nc*&
                        cima*coupl(nGC_132)*coupl(nGC_133)*coupl(nGC_135)*coupl&
                        (nGC_136) + 20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_139  &
                        )**2d0*coupl(nGC_143) + 40d0*Nc*cima*coupl(nGC_137)*   &
                        coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_143) + 40d0*Nc*&
                        cima*coupl(nGC_137)*coupl(nGC_139)*coupl(nGC_140)*coupl&
                        (nGC_144) + 20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_140  &
                        )**2d0*coupl(nGC_144) + 40d0*Nc*cima*coupl(nGC_147)*   &
                        coupl(nGC_149)*coupl(nGC_151)*coupl(nGC_152) + 20d0*Nc*&
                        cima*coupl(nGC_147)*coupl(nGC_149)*coupl(nGC_152)**2d0 &
                         + 20d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149)*coupl(   &
                        nGC_151)**2d0 + 40d0*Nc*cima*coupl(nGC_148)*coupl(     &
                        nGC_149)*coupl(nGC_151)*coupl(nGC_152) + 40d0*Nc*cima* &
                        coupl(nGC_171)*coupl(nGC_173)*coupl(nGC_175)*coupl(    &
                        nGC_176) + 20d0*Nc*cima*coupl(nGC_171)*coupl(nGC_173)* &
                        coupl(nGC_176)**2d0 + 20d0*Nc*cima*coupl(nGC_172)*coupl&
                        (nGC_173)*coupl(nGC_175)**2d0 + 40d0*Nc*cima*coupl(    &
                        nGC_172)*coupl(nGC_173)*coupl(nGC_175)*coupl(nGC_176   &
                        ) + 20d0*Nc*cima*coupl(nGC_179)*coupl(nGC_180)*coupl(  &
                        nGC_182)**2d0 + 40d0*Nc*cima*coupl(nGC_179)*coupl(     &
                        nGC_180)*coupl(nGC_182)*coupl(nGC_183) + 40d0*Nc*cima* &
                        coupl(nGC_180)*coupl(nGC_182)*coupl(nGC_183)*coupl(    &
                        nGC_2153) + 20d0*Nc*cima*coupl(nGC_180)*coupl(nGC_183  &
                        )**2d0*coupl(nGC_2153) + 20d0*Nc*cima*coupl(nGC_194)*  &
                        coupl(nGC_195)*coupl(nGC_197)**2d0 + 40d0*Nc*cima*coupl&
                        (nGC_194)*coupl(nGC_195)*coupl(nGC_197)*coupl(nGC_198  &
                        ) + 40d0*Nc*cima*coupl(nGC_195)*coupl(nGC_197)*coupl(  &
                        nGC_198)*coupl(nGC_797) + 20d0*Nc*cima*coupl(nGC_195)* &
                        coupl(nGC_198)**2d0*coupl(nGC_797) - 5d0*cima*coupl(   &
                        nGC_1319)**2d0*coupl(nGC_63)*coupl(nGC_72) - 5d0*cima* &
                        coupl(nGC_1319)**2d0*coupl(nGC_64)*coupl(nGC_72) - 5d0*&
                        cima*coupl(nGC_1319)*coupl(nGC_1491)*coupl(nGC_72)**2d0&
                         - 5d0*cima*coupl(nGC_1319)*coupl(nGC_1795)*coupl(     &
                        nGC_72)**2d0 + 40d0*cima*coupl(nGC_155)*coupl(nGC_157)*&
                        coupl(nGC_159)*coupl(nGC_160) + 20d0*cima*coupl(nGC_155&
                        )*coupl(nGC_157)*coupl(nGC_160)**2d0 + 20d0*cima*coupl(&
                        nGC_156)*coupl(nGC_157)*coupl(nGC_159)**2d0 + 40d0*cima&
                        *coupl(nGC_156)*coupl(nGC_157)*coupl(nGC_159)*coupl(   &
                        nGC_160) + 40d0*cima*coupl(nGC_163)*coupl(nGC_165)*    &
                        coupl(nGC_167)*coupl(nGC_168) + 20d0*cima*coupl(nGC_163&
                        )*coupl(nGC_165)*coupl(nGC_168)**2d0 + 20d0*cima*coupl(&
                        nGC_164)*coupl(nGC_165)*coupl(nGC_167)**2d0 + 40d0*cima&
                        *coupl(nGC_164)*coupl(nGC_165)*coupl(nGC_167)*coupl(   &
                        nGC_168) + 40d0*cima*coupl(nGC_186)*coupl(nGC_188)*    &
                        coupl(nGC_190)*coupl(nGC_191) + 20d0*cima*coupl(nGC_186&
                        )*coupl(nGC_188)*coupl(nGC_191)**2d0 + 20d0*cima*coupl(&
                        nGC_187)*coupl(nGC_188)*coupl(nGC_190)**2d0 + 40d0*cima&
                        *coupl(nGC_187)*coupl(nGC_188)*coupl(nGC_190)*coupl(   &
                        nGC_191) + 6d0*coupl(nGC_1319)*coupl(nGC_1919)*coupl(  &
                        nGC_43) + 6d0*coupl(nGC_1319)*coupl(nGC_2961)*coupl(   &
                        nGC_43) + 6d0*coupl(nGC_1319)*coupl(nGC_40)*coupl(     &
                        nGC_72) + 6d0*coupl(nGC_1319)*coupl(nGC_41)*coupl(     &
                        nGC_72) + 3d0*coupl(nGC_1319)*coupl(nGC_56)*coupl(     &
                        nGC_63) + 3d0*coupl(nGC_1319)*coupl(nGC_56)*coupl(     &
                        nGC_64) + 3d0*coupl(nGC_1319)*coupl(nGC_58)*coupl(     &
                        nGC_63) + 3d0*coupl(nGC_1319)*coupl(nGC_58)*coupl(     &
                        nGC_64) + 3d0*coupl(nGC_1491)*coupl(nGC_58)*coupl(     &
                        nGC_72) - 3d0*coupl(nGC_1491)*coupl(nGC_62)*coupl(     &
                        nGC_72) + 3d0*coupl(nGC_1795)*coupl(nGC_58)*coupl(     &
                        nGC_72) - 3d0*coupl(nGC_1795)*coupl(nGC_62)*coupl(     &
                        nGC_72) + 3d0*coupl(nGC_43)*coupl(nGC_68)*coupl(nGC_72 &
                        ) + 3d0*coupl(nGC_43)*coupl(nGC_69)*coupl(nGC_72))/(   &
                        96d0*pi**2d0)
      coupl(nGC_9189) = (40d0*Nc*cima*coupl(nGC_130)*coupl(nGC_1313)*coupl(    &
                        nGC_135)*coupl(nGC_136) + 20d0*Nc*cima*coupl(nGC_130)* &
                        coupl(nGC_1313)*coupl(nGC_136)**2d0 + 20d0*Nc*cima*    &
                        coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_135)**2d0 +    &
                        40d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132)*coupl(      &
                        nGC_135)*coupl(nGC_136) + 20d0*Nc*cima*coupl(nGC_139)**&
                        2d0*coupl(nGC_141)*coupl(nGC_143) + 40d0*Nc*cima*coupl(&
                        nGC_139)*coupl(nGC_140)*coupl(nGC_141)*coupl(nGC_143   &
                        ) + 40d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*coupl(  &
                        nGC_141)*coupl(nGC_144) + 20d0*Nc*cima*coupl(nGC_140)**&
                        2d0*coupl(nGC_141)*coupl(nGC_144) + 40d0*Nc*cima*coupl(&
                        nGC_145)*coupl(nGC_147)*coupl(nGC_151)*coupl(nGC_152   &
                        ) + 20d0*Nc*cima*coupl(nGC_145)*coupl(nGC_147)*coupl(  &
                        nGC_152)**2d0 + 20d0*Nc*cima*coupl(nGC_145)*coupl(     &
                        nGC_148)*coupl(nGC_151)**2d0 + 40d0*Nc*cima*coupl(     &
                        nGC_145)*coupl(nGC_148)*coupl(nGC_151)*coupl(nGC_152   &
                        ) + 40d0*Nc*cima*coupl(nGC_169)*coupl(nGC_171)*coupl(  &
                        nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(nGC_169)* &
                        coupl(nGC_171)*coupl(nGC_176)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_169)*coupl(nGC_172)*coupl(nGC_175)**2d0 + 40d0*Nc*&
                        cima*coupl(nGC_169)*coupl(nGC_172)*coupl(nGC_175)*coupl&
                        (nGC_176) + 20d0*Nc*cima*coupl(nGC_177)*coupl(nGC_179)*&
                        coupl(nGC_182)**2d0 + 40d0*Nc*cima*coupl(nGC_177)*coupl&
                        (nGC_179)*coupl(nGC_182)*coupl(nGC_183) + 40d0*Nc*cima*&
                        coupl(nGC_177)*coupl(nGC_182)*coupl(nGC_183)*coupl(    &
                        nGC_2153) + 20d0*Nc*cima*coupl(nGC_177)*coupl(nGC_183  &
                        )**2d0*coupl(nGC_2153) + 20d0*Nc*cima*coupl(nGC_192)*  &
                        coupl(nGC_194)*coupl(nGC_197)**2d0 + 40d0*Nc*cima*coupl&
                        (nGC_192)*coupl(nGC_194)*coupl(nGC_197)*coupl(nGC_198  &
                        ) + 40d0*Nc*cima*coupl(nGC_192)*coupl(nGC_197)*coupl(  &
                        nGC_198)*coupl(nGC_797) + 20d0*Nc*cima*coupl(nGC_192)* &
                        coupl(nGC_198)**2d0*coupl(nGC_797) - 5d0*cima*coupl(   &
                        nGC_1319)**2d0*coupl(nGC_68)*coupl(nGC_72) - 5d0*cima* &
                        coupl(nGC_1319)**2d0*coupl(nGC_69)*coupl(nGC_72) - 5d0*&
                        cima*coupl(nGC_1319)*coupl(nGC_1919)*coupl(nGC_72)**2d0&
                         - 5d0*cima*coupl(nGC_1319)*coupl(nGC_2961)*coupl(     &
                        nGC_72)**2d0 + 40d0*cima*coupl(nGC_153)*coupl(nGC_155)*&
                        coupl(nGC_159)*coupl(nGC_160) + 20d0*cima*coupl(nGC_153&
                        )*coupl(nGC_155)*coupl(nGC_160)**2d0 + 20d0*cima*coupl(&
                        nGC_153)*coupl(nGC_156)*coupl(nGC_159)**2d0 + 40d0*cima&
                        *coupl(nGC_153)*coupl(nGC_156)*coupl(nGC_159)*coupl(   &
                        nGC_160) + 40d0*cima*coupl(nGC_161)*coupl(nGC_163)*    &
                        coupl(nGC_167)*coupl(nGC_168) + 20d0*cima*coupl(nGC_161&
                        )*coupl(nGC_163)*coupl(nGC_168)**2d0 + 20d0*cima*coupl(&
                        nGC_161)*coupl(nGC_164)*coupl(nGC_167)**2d0 + 40d0*cima&
                        *coupl(nGC_161)*coupl(nGC_164)*coupl(nGC_167)*coupl(   &
                        nGC_168) + 40d0*cima*coupl(nGC_184)*coupl(nGC_186)*    &
                        coupl(nGC_190)*coupl(nGC_191) + 20d0*cima*coupl(nGC_184&
                        )*coupl(nGC_186)*coupl(nGC_191)**2d0 + 20d0*cima*coupl(&
                        nGC_184)*coupl(nGC_187)*coupl(nGC_190)**2d0 + 40d0*cima&
                        *coupl(nGC_184)*coupl(nGC_187)*coupl(nGC_190)*coupl(   &
                        nGC_191) + 6d0*coupl(nGC_1319)*coupl(nGC_1491)*coupl(  &
                        nGC_43) + 6d0*coupl(nGC_1319)*coupl(nGC_1795)*coupl(   &
                        nGC_43) + 6d0*coupl(nGC_1319)*coupl(nGC_48)*coupl(     &
                        nGC_72) + 6d0*coupl(nGC_1319)*coupl(nGC_49)*coupl(     &
                        nGC_72) + 3d0*coupl(nGC_1319)*coupl(nGC_56)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_1319)*coupl(nGC_56)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_1319)*coupl(nGC_58)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_1319)*coupl(nGC_58)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_1919)*coupl(nGC_58)*coupl(     &
                        nGC_72) - 3d0*coupl(nGC_1919)*coupl(nGC_62)*coupl(     &
                        nGC_72) + 3d0*coupl(nGC_2961)*coupl(nGC_58)*coupl(     &
                        nGC_72) - 3d0*coupl(nGC_2961)*coupl(nGC_62)*coupl(     &
                        nGC_72) + 3d0*coupl(nGC_43)*coupl(nGC_63)*coupl(nGC_72 &
                        ) + 3d0*coupl(nGC_43)*coupl(nGC_64)*coupl(nGC_72))/(   &
                        96d0*pi**2d0)
      coupl(nGC_9185) = (20d0*Nc*cima*coupl(nGC_1313)*coupl(nGC_135)*coupl(    &
                        nGC_136)**2d0 + 20d0*Nc*cima*coupl(nGC_132)*coupl(     &
                        nGC_135)**2d0*coupl(nGC_136) + 20d0*Nc*cima*coupl(     &
                        nGC_139)**2d0*coupl(nGC_140)*coupl(nGC_143) + 20d0*Nc* &
                        cima*coupl(nGC_139)*coupl(nGC_140)**2d0*coupl(nGC_144  &
                        ) + 20d0*Nc*cima*coupl(nGC_147)*coupl(nGC_151)*coupl(  &
                        nGC_152)**2d0 + 20d0*Nc*cima*coupl(nGC_148)*coupl(     &
                        nGC_151)**2d0*coupl(nGC_152) + 20d0*Nc*cima*coupl(     &
                        nGC_171)*coupl(nGC_175)*coupl(nGC_176)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_172)*coupl(nGC_175)**2d0*coupl(nGC_176  &
                        ) + 20d0*Nc*cima*coupl(nGC_179)*coupl(nGC_182)**2d0*   &
                        coupl(nGC_183) + 20d0*Nc*cima*coupl(nGC_182)*coupl(    &
                        nGC_183)**2d0*coupl(nGC_2153) + 20d0*Nc*cima*coupl(    &
                        nGC_194)*coupl(nGC_197)**2d0*coupl(nGC_198) + 20d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_198)**2d0*coupl(nGC_797  &
                        ) - 5d0*cima*coupl(nGC_1079)*coupl(nGC_3231)*coupl(    &
                        nGC_91)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1079)*coupl(&
                        nGC_661)*coupl(nGC_94)**2d0 + 20d0*cima*coupl(nGC_155)*&
                        coupl(nGC_159)*coupl(nGC_160)**2d0 + 20d0*cima*coupl(  &
                        nGC_156)*coupl(nGC_159)**2d0*coupl(nGC_160) + 20d0*cima&
                        *coupl(nGC_163)*coupl(nGC_167)*coupl(nGC_168)**2d0 +   &
                        20d0*cima*coupl(nGC_164)*coupl(nGC_167)**2d0*coupl(    &
                        nGC_168) + 20d0*cima*coupl(nGC_186)*coupl(nGC_190)*    &
                        coupl(nGC_191)**2d0 + 20d0*cima*coupl(nGC_187)*coupl(  &
                        nGC_190)**2d0*coupl(nGC_191) - 5d0*cima*coupl(nGC_3231 &
                        )**2d0*coupl(nGC_91)*coupl(nGC_94) - 5d0*cima*coupl(   &
                        nGC_3231)*coupl(nGC_661)*coupl(nGC_91)**2d0 - 5d0*cima*&
                        coupl(nGC_3231)*coupl(nGC_661)*coupl(nGC_91)*coupl(    &
                        nGC_92) - 5d0*cima*coupl(nGC_3231)*coupl(nGC_661)*coupl&
                        (nGC_94)**2d0 - 5d0*cima*coupl(nGC_661)**2d0*coupl(    &
                        nGC_91)*coupl(nGC_94) - 5d0*cima*coupl(nGC_661)**2d0*  &
                        coupl(nGC_92)*coupl(nGC_94) - 2d0*coupl(nGC_101)*coupl(&
                        nGC_1079)*coupl(nGC_94) - coupl(nGC_101)*coupl(nGC_3231&
                        )*coupl(nGC_94) - 2d0*coupl(nGC_101)*coupl(nGC_661)*   &
                        coupl(nGC_91) - coupl(nGC_101)*coupl(nGC_661)*coupl(   &
                        nGC_92) + coupl(nGC_1079)*coupl(nGC_25)*coupl(nGC_91   &
                        ) + coupl(nGC_1079)*coupl(nGC_33)*coupl(nGC_94) + 12d0*&
                        coupl(nGC_1319)*coupl(nGC_43)*coupl(nGC_72) + 2d0*coupl&
                        (nGC_25)*coupl(nGC_3231)*coupl(nGC_92) + 3d0*coupl(    &
                        nGC_25)*coupl(nGC_661)*coupl(nGC_94) + 3d0*coupl(nGC_28&
                        )*coupl(nGC_3231)*coupl(nGC_91) + 3d0*coupl(nGC_29)*   &
                        coupl(nGC_661)*coupl(nGC_94) + 3d0*coupl(nGC_3231)*    &
                        coupl(nGC_37)*coupl(nGC_94) + 2d0*coupl(nGC_3231)*coupl&
                        (nGC_39)*coupl(nGC_94) + 2d0*coupl(nGC_33)*coupl(      &
                        nGC_661)*coupl(nGC_92) + 3d0*coupl(nGC_37)*coupl(      &
                        nGC_661)*coupl(nGC_91) + coupl(nGC_39)*coupl(nGC_661)* &
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_9187) = (20d0*Nc*cima*coupl(nGC_1313)**2d0*coupl(nGC_136)**2d0 &
                         + 80d0*Nc*cima*coupl(nGC_1313)*coupl(nGC_132)*coupl(  &
                        nGC_135)*coupl(nGC_136) + 20d0*Nc*cima*coupl(nGC_132)**&
                        2d0*coupl(nGC_135)**2d0 + 20d0*Nc*cima*coupl(nGC_139)**&
                        2d0*coupl(nGC_143)**2d0 + 80d0*Nc*cima*coupl(nGC_139)* &
                        coupl(nGC_140)*coupl(nGC_143)*coupl(nGC_144) + 20d0*Nc*&
                        cima*coupl(nGC_140)**2d0*coupl(nGC_144)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_147)**2d0*coupl(nGC_152)**2d0 + 80d0*Nc*&
                        cima*coupl(nGC_147)*coupl(nGC_148)*coupl(nGC_151)*coupl&
                        (nGC_152) + 20d0*Nc*cima*coupl(nGC_148)**2d0*coupl(    &
                        nGC_151)**2d0 + 20d0*Nc*cima*coupl(nGC_171)**2d0*coupl(&
                        nGC_176)**2d0 + 80d0*Nc*cima*coupl(nGC_171)*coupl(     &
                        nGC_172)*coupl(nGC_175)*coupl(nGC_176) + 20d0*Nc*cima* &
                        coupl(nGC_172)**2d0*coupl(nGC_175)**2d0 + 20d0*Nc*cima*&
                        coupl(nGC_179)**2d0*coupl(nGC_182)**2d0 + 80d0*Nc*cima*&
                        coupl(nGC_179)*coupl(nGC_182)*coupl(nGC_183)*coupl(    &
                        nGC_2153) + 20d0*Nc*cima*coupl(nGC_183)**2d0*coupl(    &
                        nGC_2153)**2d0 + 20d0*Nc*cima*coupl(nGC_194)**2d0*coupl&
                        (nGC_197)**2d0 + 80d0*Nc*cima*coupl(nGC_194)*coupl(    &
                        nGC_197)*coupl(nGC_198)*coupl(nGC_797) + 20d0*Nc*cima* &
                        coupl(nGC_198)**2d0*coupl(nGC_797)**2d0 + 6d0*cima*    &
                        coupl(nGC_101)**2d0 - 5d0*cima*coupl(nGC_1079)**2d0*   &
                        coupl(nGC_94)**2d0 - 10d0*cima*coupl(nGC_1079)*coupl(  &
                        nGC_3231)*coupl(nGC_91)*coupl(nGC_92) - 10d0*cima*coupl&
                        (nGC_1079)*coupl(nGC_3231)*coupl(nGC_94)**2d0 - 10d0*  &
                        cima*coupl(nGC_1079)*coupl(nGC_661)*coupl(nGC_91)*coupl&
                        (nGC_94) - 20d0*cima*coupl(nGC_1079)*coupl(nGC_661)*   &
                        coupl(nGC_92)*coupl(nGC_94) - 20d0*cima*coupl(nGC_1319 &
                        )**2d0*coupl(nGC_72)**2d0 + 20d0*cima*coupl(nGC_155)** &
                        2d0*coupl(nGC_160)**2d0 + 80d0*cima*coupl(nGC_155)*    &
                        coupl(nGC_156)*coupl(nGC_159)*coupl(nGC_160) + 20d0*   &
                        cima*coupl(nGC_156)**2d0*coupl(nGC_159)**2d0 + 20d0*   &
                        cima*coupl(nGC_163)**2d0*coupl(nGC_168)**2d0 + 80d0*   &
                        cima*coupl(nGC_163)*coupl(nGC_164)*coupl(nGC_167)*coupl&
                        (nGC_168) + 20d0*cima*coupl(nGC_164)**2d0*coupl(nGC_167&
                        )**2d0 + 20d0*cima*coupl(nGC_186)**2d0*coupl(nGC_191)**&
                        2d0 + 80d0*cima*coupl(nGC_186)*coupl(nGC_187)*coupl(   &
                        nGC_190)*coupl(nGC_191) + 20d0*cima*coupl(nGC_187)**2d0&
                        *coupl(nGC_190)**2d0 - 5d0*cima*coupl(nGC_3231)**2d0*  &
                        coupl(nGC_94)**2d0 - 20d0*cima*coupl(nGC_3231)*coupl(  &
                        nGC_661)*coupl(nGC_91)*coupl(nGC_94) - 10d0*cima*coupl(&
                        nGC_3231)*coupl(nGC_661)*coupl(nGC_92)*coupl(nGC_94) + &
                        12d0*cima*coupl(nGC_62)**2d0 - 5d0*cima*coupl(nGC_661  &
                        )**2d0*coupl(nGC_91)**2d0 - 10d0*cima*coupl(nGC_661)** &
                        2d0*coupl(nGC_91)*coupl(nGC_92) - 5d0*cima*coupl(      &
                        nGC_661)**2d0*coupl(nGC_92)**2d0 - 10d0*cima*coupl(    &
                        nGC_661)**2d0*coupl(nGC_94)**2d0 - 3d0*coupl(nGC_101)* &
                        coupl(nGC_1079)*coupl(nGC_92) - 3d0*coupl(nGC_101)*    &
                        coupl(nGC_3231)*coupl(nGC_91) - 6d0*coupl(nGC_101)*    &
                        coupl(nGC_661)*coupl(nGC_94) + 3d0*coupl(nGC_1079)*    &
                        coupl(nGC_25)*coupl(nGC_94) + 6d0*coupl(nGC_1079)*coupl&
                        (nGC_29)*coupl(nGC_94) + 3d0*coupl(nGC_1079)*coupl(    &
                        nGC_33)*coupl(nGC_92) + 6d0*coupl(nGC_1079)*coupl(     &
                        nGC_37)*coupl(nGC_91) + 12d0*coupl(nGC_1319)*coupl(    &
                        nGC_56)*coupl(nGC_72) + 24d0*coupl(nGC_1319)*coupl(    &
                        nGC_58)*coupl(nGC_72) - 12d0*coupl(nGC_1319)*coupl(    &
                        nGC_62)*coupl(nGC_72) + 3d0*coupl(nGC_25)*coupl(nGC_661&
                        )*coupl(nGC_92) + 3d0*coupl(nGC_26)*coupl(nGC_3231)*   &
                        coupl(nGC_94) + 3d0*coupl(nGC_26)*coupl(nGC_661)*coupl(&
                        nGC_91) + 6d0*coupl(nGC_28)*coupl(nGC_3231)*coupl(     &
                        nGC_94) + 6d0*coupl(nGC_28)*coupl(nGC_661)*coupl(nGC_91&
                        ) + 6d0*coupl(nGC_29)*coupl(nGC_661)*coupl(nGC_92) +   &
                        3d0*coupl(nGC_31)*coupl(nGC_3231)*coupl(nGC_91) + 6d0* &
                        coupl(nGC_3231)*coupl(nGC_37)*coupl(nGC_92) + 12d0*    &
                        coupl(nGC_37)*coupl(nGC_661)*coupl(nGC_94) + 3d0*coupl(&
                        nGC_38)*coupl(nGC_661)*coupl(nGC_94) + 3d0*coupl(nGC_39&
                        )*coupl(nGC_661)*coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_9180) = (-16d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                        nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_131)*coupl(      &
                        nGC_134)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_87)**2d0 - 16d0&
                        *Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84)** &
                        2d0 + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(&
                        nGC_84)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_138)*   &
                        coupl(nGC_142)*coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(&
                        nGC_146)*coupl(nGC_150)*coupl(nGC_84)**2d0 + 20d0*Nc*  &
                        cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84)*coupl(&
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*  &
                        coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_170)*coupl(&
                        nGC_174)*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_174)*coupl(nGC_84)*coupl(nGC_88) -  &
                        16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88&
                        )**2d0 - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_181)*   &
                        coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_178)*coupl(&
                        nGC_181)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_87)**2d0 - 16d0&
                        *Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85)** &
                        2d0 + 20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl(&
                        nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_193)*   &
                        coupl(nGC_196)*coupl(nGC_87)**2d0 + 4d0*cima*coupl(    &
                        nGC_1079)*coupl(nGC_1319)*coupl(nGC_72)*coupl(nGC_94   &
                        ) + 4d0*cima*coupl(nGC_1079)*coupl(nGC_1491)*coupl(    &
                        nGC_1919)*coupl(nGC_92) + 4d0*cima*coupl(nGC_1079)*    &
                        coupl(nGC_1919)**2d0*coupl(nGC_94) + 4d0*cima*coupl(   &
                        nGC_1319)*coupl(nGC_661)*coupl(nGC_72)*coupl(nGC_91) + &
                        4d0*cima*coupl(nGC_1491)*coupl(nGC_1795)*coupl(nGC_3231&
                        )*coupl(nGC_94) + 4d0*cima*coupl(nGC_1491)*coupl(      &
                        nGC_1795)*coupl(nGC_661)*coupl(nGC_92) + 4d0*cima*coupl&
                        (nGC_1491)*coupl(nGC_1919)*coupl(nGC_661)*coupl(nGC_94 &
                        ) - 16d0*cima*coupl(nGC_154)*coupl(nGC_158)*coupl(     &
                        nGC_86)**2d0 + 20d0*cima*coupl(nGC_154)*coupl(nGC_158)*&
                        coupl(nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(nGC_154)*&
                        coupl(nGC_158)*coupl(nGC_90)**2d0 - 16d0*cima*coupl(   &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_86)**2d0 + 20d0*cima*&
                        coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_86)*coupl(     &
                        nGC_90) - 16d0*cima*coupl(nGC_162)*coupl(nGC_166)*coupl&
                        (nGC_90)**2d0 + 4d0*cima*coupl(nGC_1795)*coupl(nGC_1919&
                        )*coupl(nGC_3231)*coupl(nGC_91) + 4d0*cima*coupl(      &
                        nGC_1795)*coupl(nGC_1919)*coupl(nGC_661)*coupl(nGC_94  &
                        ) - 16d0*cima*coupl(nGC_185)*coupl(nGC_189)*coupl(     &
                        nGC_86)**2d0 + 20d0*cima*coupl(nGC_185)*coupl(nGC_189)*&
                        coupl(nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(nGC_185)*&
                        coupl(nGC_189)*coupl(nGC_90)**2d0 + 4d0*cima*coupl(    &
                        nGC_1919)**2d0*coupl(nGC_661)*coupl(nGC_91) + 9d0*cima*&
                        coupl(nGC_63)*coupl(nGC_69)*coupl(nGC_781)**2d0 + 9d0* &
                        cima*coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_781)**2d0 - &
                        3d0*coupl(nGC_1153)*coupl(nGC_63)*coupl(nGC_69) - 3d0* &
                        coupl(nGC_1153)*coupl(nGC_64)*coupl(nGC_69) - 6d0*coupl&
                        (nGC_14)*coupl(nGC_69)*coupl(nGC_781) + 3d0*coupl(     &
                        nGC_1491)*coupl(nGC_1919)*coupl(nGC_99) - 6d0*coupl(   &
                        nGC_15)*coupl(nGC_69)*coupl(nGC_781) - 6d0*coupl(nGC_16&
                        )*coupl(nGC_63)*coupl(nGC_781) - 6d0*coupl(nGC_16)*    &
                        coupl(nGC_64)*coupl(nGC_781) + 3d0*coupl(nGC_1795)*    &
                        coupl(nGC_1919)*coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_9181) = (20d0*Nc*cima*coupl(nGC_132)*coupl(nGC_134)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_132)*   &
                        coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_132)*coupl(nGC_134)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_143)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_138)*coupl(nGC_143)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_148)*coupl(   &
                        nGC_150)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_148)*coupl(nGC_150)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_172)*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_172)*coupl(nGC_174)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_172)*coupl(   &
                        nGC_174)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_179)*coupl(nGC_181)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_179)*coupl(nGC_181)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_179)*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_194)*coupl(nGC_196)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_194)*coupl(   &
                        nGC_196)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_194)*coupl(nGC_196)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 4d0*cima*coupl(nGC_1079)*coupl(nGC_1919)*    &
                        coupl(nGC_72)**2d0 + 9d0*cima*coupl(nGC_1079)*coupl(   &
                        nGC_69)*coupl(nGC_781)*coupl(nGC_82) + 4d0*cima*coupl( &
                        nGC_1283)*coupl(nGC_64)*coupl(nGC_94)*coupl(nGC_96) +  &
                        4d0*cima*coupl(nGC_1283)*coupl(nGC_69)*coupl(nGC_92)*  &
                        coupl(nGC_96) + 4d0*cima*coupl(nGC_1319)*coupl(nGC_91)*&
                        coupl(nGC_94)*coupl(nGC_96) + 4d0*cima*coupl(nGC_1319)*&
                        coupl(nGC_92)*coupl(nGC_94)*coupl(nGC_96) + 20d0*cima* &
                        coupl(nGC_156)*coupl(nGC_158)*coupl(nGC_80)*coupl(     &
                        nGC_86) - 16d0*cima*coupl(nGC_156)*coupl(nGC_158)*coupl&
                        (nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_156)*coupl&
                        (nGC_158)*coupl(nGC_80)*coupl(nGC_90) + 20d0*cima*coupl&
                        (nGC_164)*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_86) - &
                        16d0*cima*coupl(nGC_164)*coupl(nGC_166)*coupl(nGC_80)* &
                        coupl(nGC_89) - 16d0*cima*coupl(nGC_164)*coupl(nGC_166 &
                        )*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(nGC_1795&
                        )*coupl(nGC_661)*coupl(nGC_72)**2d0 + 4d0*cima*coupl(  &
                        nGC_1795)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_96) +  &
                        20d0*cima*coupl(nGC_187)*coupl(nGC_189)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_187)*coupl(nGC_189 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_187&
                        )*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima&
                        *coupl(nGC_1919)*coupl(nGC_64)*coupl(nGC_72)*coupl(    &
                        nGC_96) + 9d0*cima*coupl(nGC_64)*coupl(nGC_661)*coupl( &
                        nGC_781)*coupl(nGC_82) + 4d0*cima*coupl(nGC_64)*coupl( &
                        nGC_72)**2d0*coupl(nGC_94) + 4d0*cima*coupl(nGC_68)*   &
                        coupl(nGC_72)**2d0*coupl(nGC_91) - 6d0*coupl(nGC_1079)*&
                        coupl(nGC_16)*coupl(nGC_82) - 6d0*coupl(nGC_1079)*coupl&
                        (nGC_69)*coupl(nGC_79) - 6d0*coupl(nGC_14)*coupl(      &
                        nGC_661)*coupl(nGC_82) + 6d0*coupl(nGC_14)*coupl(nGC_94&
                        )*coupl(nGC_96) + 6d0*coupl(nGC_15)*coupl(nGC_1919)*   &
                        coupl(nGC_72) + 6d0*coupl(nGC_16)*coupl(nGC_1795)*coupl&
                        (nGC_72) + 6d0*coupl(nGC_16)*coupl(nGC_92)*coupl(nGC_96&
                        ) - 6d0*coupl(nGC_64)*coupl(nGC_661)*coupl(nGC_79))/(  &
                        192d0*pi**2d0)
      coupl(nGC_9182) = (20d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_133)*   &
                        coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_137)*coupl(nGC_138)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_149)*coupl(   &
                        nGC_150)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_173)*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_173)*coupl(nGC_174)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_173)*coupl(   &
                        nGC_174)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_180)*coupl(nGC_181)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_180)*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_195)*coupl(   &
                        nGC_196)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 4d0*cima*coupl(nGC_1079)**2d0*coupl(nGC_69)* &
                        coupl(nGC_96) + 4d0*cima*coupl(nGC_1079)*coupl(nGC_1919&
                        )*coupl(nGC_63)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1079&
                        )*coupl(nGC_64)*coupl(nGC_661)*coupl(nGC_96) + 4d0*cima&
                        *coupl(nGC_1283)*coupl(nGC_1319)*coupl(nGC_661)*coupl( &
                        nGC_96) + 9d0*cima*coupl(nGC_1283)*coupl(nGC_69)*coupl(&
                        nGC_781)*coupl(nGC_82) + 9d0*cima*coupl(nGC_1319)*coupl&
                        (nGC_781)*coupl(nGC_82)*coupl(nGC_94) + 9d0*cima*coupl(&
                        nGC_1529)*coupl(nGC_69)*coupl(nGC_82)*coupl(nGC_877) + &
                        20d0*cima*coupl(nGC_157)*coupl(nGC_158)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_157)*coupl(nGC_158 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_157&
                        )*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_90) + 24d0*   &
                        cima*coupl(nGC_16)*coupl(nGC_79) + 20d0*cima*coupl(    &
                        nGC_165)*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_86) -  &
                        16d0*cima*coupl(nGC_165)*coupl(nGC_166)*coupl(nGC_80)* &
                        coupl(nGC_89) - 16d0*cima*coupl(nGC_165)*coupl(nGC_166 &
                        )*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(nGC_1795&
                        )**2d0*coupl(nGC_2961)*coupl(nGC_96) + 4d0*cima*coupl( &
                        nGC_1795)*coupl(nGC_2961)*coupl(nGC_3231)*coupl(nGC_72 &
                        ) + 4d0*cima*coupl(nGC_1795)*coupl(nGC_2961)*coupl(    &
                        nGC_72)*coupl(nGC_91) + 4d0*cima*coupl(nGC_1795)*coupl(&
                        nGC_63)*coupl(nGC_661)*coupl(nGC_72) + 4d0*cima*coupl( &
                        nGC_1795)*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_96) +  &
                        20d0*cima*coupl(nGC_188)*coupl(nGC_189)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_188)*coupl(nGC_189 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_188&
                        )*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima&
                        *coupl(nGC_1919)**2d0*coupl(nGC_2961)*coupl(nGC_96) +  &
                        4d0*cima*coupl(nGC_1919)*coupl(nGC_2961)*coupl(nGC_661 &
                        )*coupl(nGC_72) + 4d0*cima*coupl(nGC_1919)*coupl(      &
                        nGC_2961)*coupl(nGC_72)*coupl(nGC_94) + 4d0*cima*coupl(&
                        nGC_1919)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_96) +  &
                        4d0*cima*coupl(nGC_2961)*coupl(nGC_72)**2d0*coupl(     &
                        nGC_96) + 4d0*cima*coupl(nGC_3231)*coupl(nGC_64)*coupl(&
                        nGC_661)*coupl(nGC_96) + 4d0*cima*coupl(nGC_63)*coupl( &
                        nGC_64)*coupl(nGC_72)*coupl(nGC_94) + 4d0*cima*coupl(  &
                        nGC_63)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_91) + 4d0&
                        *cima*coupl(nGC_661)**2d0*coupl(nGC_69)*coupl(nGC_96   &
                        ) + 24d0*cima*coupl(nGC_70)*coupl(nGC_803) - 6d0*coupl(&
                        nGC_100)*coupl(nGC_69)*coupl(nGC_781) - 6d0*coupl(     &
                        nGC_1283)*coupl(nGC_16)*coupl(nGC_781) - 6d0*coupl(    &
                        nGC_1283)*coupl(nGC_69)*coupl(nGC_79) - 6d0*coupl(     &
                        nGC_1319)*coupl(nGC_79)*coupl(nGC_94) + 6d0*coupl(     &
                        nGC_14)*coupl(nGC_1795)*coupl(nGC_2961) + 6d0*coupl(   &
                        nGC_15)*coupl(nGC_1919)*coupl(nGC_63) - 6d0*coupl(     &
                        nGC_1529)*coupl(nGC_16)*coupl(nGC_877) - 6d0*coupl(    &
                        nGC_1529)*coupl(nGC_69)*coupl(nGC_803) + 6d0*coupl(    &
                        nGC_16)*coupl(nGC_1795)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_16)*coupl(nGC_1919)*coupl(nGC_2961) + 36d0*coupl(  &
                        nGC_16)*coupl(nGC_781)*coupl(nGC_82) + 6d0*coupl(nGC_20&
                        )*coupl(nGC_2961)*coupl(nGC_72) + 6d0*coupl(nGC_20)*   &
                        coupl(nGC_661)*coupl(nGC_96) - 6d0*coupl(nGC_20)*coupl(&
                        nGC_82)*coupl(nGC_94) + 36d0*coupl(nGC_3)*coupl(nGC_70 &
                        )*coupl(nGC_781) - 6d0*coupl(nGC_61)*coupl(nGC_69)*    &
                        coupl(nGC_781) - 6d0*coupl(nGC_62)*coupl(nGC_69)*coupl(&
                        nGC_82) - 6d0*coupl(nGC_69)*coupl(nGC_82)*coupl(nGC_99 &
                        ) - 6d0*coupl(nGC_69)*coupl(nGC_877)*coupl(nGC_97))/(  &
                        192d0*pi**2d0)
      coupl(nGC_9183) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_130)*   &
                        coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_138)*coupl(nGC_141)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_145)*coupl(   &
                        nGC_150)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_145)*coupl(nGC_150)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_169)*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_169)*coupl(nGC_174)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_169)*coupl(   &
                        nGC_174)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_177)*coupl(nGC_181)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_177)*coupl(nGC_181)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_177)*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_192)*coupl(   &
                        nGC_196)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 4d0*cima*coupl(nGC_1079)*coupl(nGC_1919)*    &
                        coupl(nGC_69)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1079)*&
                        coupl(nGC_661)*coupl(nGC_69)*coupl(nGC_96) + 4d0*cima* &
                        coupl(nGC_1283)*coupl(nGC_1319)*coupl(nGC_3231)*coupl( &
                        nGC_96) + 9d0*cima*coupl(nGC_1283)*coupl(nGC_64)*coupl(&
                        nGC_781)*coupl(nGC_82) + 9d0*cima*coupl(nGC_1319)*coupl&
                        (nGC_781)*coupl(nGC_82)*coupl(nGC_91) + 24d0*cima*coupl&
                        (nGC_14)*coupl(nGC_79) + 4d0*cima*coupl(nGC_1491)*coupl&
                        (nGC_1795)**2d0*coupl(nGC_96) + 4d0*cima*coupl(nGC_1491&
                        )*coupl(nGC_1795)*coupl(nGC_3231)*coupl(nGC_72) + 4d0* &
                        cima*coupl(nGC_1491)*coupl(nGC_1795)*coupl(nGC_72)*    &
                        coupl(nGC_91) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_1919&
                        )**2d0*coupl(nGC_96) + 4d0*cima*coupl(nGC_1491)*coupl( &
                        nGC_1919)*coupl(nGC_661)*coupl(nGC_72) + 4d0*cima*coupl&
                        (nGC_1491)*coupl(nGC_1919)*coupl(nGC_72)*coupl(nGC_94  &
                        ) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_72)**2d0*coupl( &
                        nGC_96) + 9d0*cima*coupl(nGC_1529)*coupl(nGC_64)*coupl(&
                        nGC_82)*coupl(nGC_877) + 20d0*cima*coupl(nGC_153)*coupl&
                        (nGC_158)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl&
                        (nGC_153)*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_89) - &
                        16d0*cima*coupl(nGC_153)*coupl(nGC_158)*coupl(nGC_80)* &
                        coupl(nGC_90) + 20d0*cima*coupl(nGC_161)*coupl(nGC_166 &
                        )*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_161&
                        )*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_89) - 16d0*   &
                        cima*coupl(nGC_161)*coupl(nGC_166)*coupl(nGC_80)*coupl(&
                        nGC_90) + 4d0*cima*coupl(nGC_1795)*coupl(nGC_661)*coupl&
                        (nGC_69)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1795)*coupl&
                        (nGC_68)*coupl(nGC_69)*coupl(nGC_96) + 20d0*cima*coupl(&
                        nGC_184)*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_86) -  &
                        16d0*cima*coupl(nGC_184)*coupl(nGC_189)*coupl(nGC_80)* &
                        coupl(nGC_89) - 16d0*cima*coupl(nGC_184)*coupl(nGC_189 &
                        )*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(nGC_1919&
                        )*coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_96) + 4d0*cima*&
                        coupl(nGC_3231)**2d0*coupl(nGC_64)*coupl(nGC_96) + 4d0*&
                        cima*coupl(nGC_3231)*coupl(nGC_661)*coupl(nGC_69)*coupl&
                        (nGC_96) + 4d0*cima*coupl(nGC_64)*coupl(nGC_661)**2d0* &
                        coupl(nGC_96) + 4d0*cima*coupl(nGC_64)*coupl(nGC_69)*  &
                        coupl(nGC_72)*coupl(nGC_94) + 24d0*cima*coupl(nGC_65)* &
                        coupl(nGC_803) + 4d0*cima*coupl(nGC_68)*coupl(nGC_69)* &
                        coupl(nGC_72)*coupl(nGC_91) - 6d0*coupl(nGC_100)*coupl(&
                        nGC_64)*coupl(nGC_781) - 6d0*coupl(nGC_1283)*coupl(    &
                        nGC_14)*coupl(nGC_781) - 6d0*coupl(nGC_1283)*coupl(    &
                        nGC_64)*coupl(nGC_79) - 6d0*coupl(nGC_1319)*coupl(     &
                        nGC_79)*coupl(nGC_91) + 6d0*coupl(nGC_14)*coupl(       &
                        nGC_1491)*coupl(nGC_1795) - 6d0*coupl(nGC_14)*coupl(   &
                        nGC_1529)*coupl(nGC_877) + 36d0*coupl(nGC_14)*coupl(   &
                        nGC_781)*coupl(nGC_82) + 6d0*coupl(nGC_1491)*coupl(    &
                        nGC_16)*coupl(nGC_1919) + 6d0*coupl(nGC_1491)*coupl(   &
                        nGC_20)*coupl(nGC_72) + 6d0*coupl(nGC_15)*coupl(       &
                        nGC_1919)*coupl(nGC_69) - 6d0*coupl(nGC_1529)*coupl(   &
                        nGC_64)*coupl(nGC_803) + 6d0*coupl(nGC_16)*coupl(      &
                        nGC_1795)*coupl(nGC_69) + 6d0*coupl(nGC_20)*coupl(     &
                        nGC_3231)*coupl(nGC_96) - 6d0*coupl(nGC_20)*coupl(     &
                        nGC_82)*coupl(nGC_91) + 36d0*coupl(nGC_3)*coupl(nGC_65 &
                        )*coupl(nGC_781) - 6d0*coupl(nGC_61)*coupl(nGC_64)*    &
                        coupl(nGC_781) - 6d0*coupl(nGC_62)*coupl(nGC_64)*coupl(&
                        nGC_82) - 6d0*coupl(nGC_64)*coupl(nGC_82)*coupl(nGC_99 &
                        ) - 6d0*coupl(nGC_64)*coupl(nGC_877)*coupl(nGC_97))/(  &
                        192d0*pi**2d0)
      coupl(nGC_9218) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_131)*   &
                        coupl(nGC_133)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_137)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_146)*coupl(   &
                        nGC_149)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_173)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_170)*coupl(   &
                        nGC_173)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_180)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_178)*coupl(nGC_180)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_193)*coupl(   &
                        nGC_195)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 4d0*cima*coupl(nGC_1079)**2d0*coupl(nGC_1283 &
                        )*coupl(nGC_1491) + 4d0*cima*coupl(nGC_1079)*coupl(    &
                        nGC_1283)*coupl(nGC_1319)*coupl(nGC_96) + 4d0*cima*    &
                        coupl(nGC_1079)*coupl(nGC_1283)*coupl(nGC_1919)*coupl( &
                        nGC_661) + 4d0*cima*coupl(nGC_1079)*coupl(nGC_63)*coupl&
                        (nGC_64)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1283)*coupl&
                        (nGC_1491)*coupl(nGC_1919)*coupl(nGC_69) + 4d0*cima*   &
                        coupl(nGC_1283)*coupl(nGC_1491)*coupl(nGC_661)**2d0 +  &
                        4d0*cima*coupl(nGC_1283)*coupl(nGC_1919)*coupl(nGC_2961&
                        )*coupl(nGC_63) + 4d0*cima*coupl(nGC_1283)*coupl(      &
                        nGC_1919)*coupl(nGC_3231)*coupl(nGC_661) + 4d0*cima*   &
                        coupl(nGC_1283)*coupl(nGC_63)**2d0*coupl(nGC_64) + 4d0*&
                        cima*coupl(nGC_1283)*coupl(nGC_64)*coupl(nGC_69)**2d0  &
                         + 4d0*cima*coupl(nGC_1283)*coupl(nGC_64)*coupl(nGC_72 &
                        )**2d0 + 9d0*cima*coupl(nGC_1319)*coupl(nGC_781)*coupl(&
                        nGC_82)*coupl(nGC_92) + 9d0*cima*coupl(nGC_1491)*coupl(&
                        nGC_17)*coupl(nGC_3)*coupl(nGC_781) + 4d0*cima*coupl(  &
                        nGC_1491)*coupl(nGC_1919)*coupl(nGC_72)*coupl(nGC_94   &
                        ) + 9d0*cima*coupl(nGC_1491)*coupl(nGC_781)*coupl(     &
                        nGC_82)*coupl(nGC_96) + 24d0*cima*coupl(nGC_15)*coupl( &
                        nGC_79) + 20d0*cima*coupl(nGC_154)*coupl(nGC_157)*coupl&
                        (nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_154)*coupl&
                        (nGC_157)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl&
                        (nGC_154)*coupl(nGC_157)*coupl(nGC_80)*coupl(nGC_90) + &
                        20d0*cima*coupl(nGC_162)*coupl(nGC_165)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_162)*coupl(nGC_165 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_162&
                        )*coupl(nGC_165)*coupl(nGC_80)*coupl(nGC_90) + 20d0*   &
                        cima*coupl(nGC_185)*coupl(nGC_188)*coupl(nGC_80)*coupl(&
                        nGC_86) - 16d0*cima*coupl(nGC_185)*coupl(nGC_188)*coupl&
                        (nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_185)*coupl&
                        (nGC_188)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(&
                        nGC_1919)*coupl(nGC_2961)*coupl(nGC_72)*coupl(nGC_92   &
                        ) + 4d0*cima*coupl(nGC_1919)*coupl(nGC_3231)*coupl(    &
                        nGC_69)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1919)*coupl(&
                        nGC_63)*coupl(nGC_661)*coupl(nGC_72) + 4d0*cima*coupl( &
                        nGC_63)*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_92) + 4d0&
                        *cima*coupl(nGC_64)*coupl(nGC_661)*coupl(nGC_69)*coupl(&
                        nGC_72) + 4d0*cima*coupl(nGC_64)*coupl(nGC_69)*coupl(  &
                        nGC_72)*coupl(nGC_94) + 24d0*cima*coupl(nGC_66)*coupl( &
                        nGC_803) - 6d0*coupl(nGC_100)*coupl(nGC_1491)*coupl(   &
                        nGC_82) + 6d0*coupl(nGC_1079)*coupl(nGC_1283)*coupl(   &
                        nGC_19) - 6d0*coupl(nGC_1319)*coupl(nGC_79)*coupl(     &
                        nGC_92) + 6d0*coupl(nGC_14)*coupl(nGC_1919)*coupl(     &
                        nGC_69) - 6d0*coupl(nGC_1491)*coupl(nGC_17)*coupl(     &
                        nGC_803) - 6d0*coupl(nGC_1491)*coupl(nGC_3)*coupl(     &
                        nGC_97) - 6d0*coupl(nGC_1491)*coupl(nGC_61)*coupl(     &
                        nGC_82) - 6d0*coupl(nGC_1491)*coupl(nGC_62)*coupl(     &
                        nGC_781) - 6d0*coupl(nGC_1491)*coupl(nGC_781)*coupl(   &
                        nGC_99) - 6d0*coupl(nGC_1491)*coupl(nGC_79)*coupl(     &
                        nGC_96) - 6d0*coupl(nGC_15)*coupl(nGC_17)*coupl(nGC_3  &
                        ) + 6d0*coupl(nGC_15)*coupl(nGC_63)*coupl(nGC_64) +    &
                        36d0*coupl(nGC_15)*coupl(nGC_781)*coupl(nGC_82) - 6d0* &
                        coupl(nGC_15)*coupl(nGC_82)*coupl(nGC_96) + 6d0*coupl( &
                        nGC_16)*coupl(nGC_1919)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_16)*coupl(nGC_64)*coupl(nGC_69) + 6d0*coupl(nGC_19 &
                        )*coupl(nGC_64)*coupl(nGC_72) - 6d0*coupl(nGC_19)*coupl&
                        (nGC_781)*coupl(nGC_92) + 36d0*coupl(nGC_66)*coupl(    &
                        nGC_82)*coupl(nGC_877))/(192d0*pi**2d0)
      coupl(nGC_9219) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_130)*   &
                        coupl(nGC_131)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_141)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_145)*coupl(   &
                        nGC_146)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_169)*coupl(nGC_170)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_169)*coupl(   &
                        nGC_170)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_177)*coupl(nGC_178)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_177)*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_192)*coupl(   &
                        nGC_193)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 4d0*cima*coupl(nGC_1079)*coupl(nGC_1283)*    &
                        coupl(nGC_1491)*coupl(nGC_661) + 4d0*cima*coupl(       &
                        nGC_1079)*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_72) +  &
                        4d0*cima*coupl(nGC_1283)*coupl(nGC_1319)*coupl(nGC_661 &
                        )*coupl(nGC_96) + 4d0*cima*coupl(nGC_1283)*coupl(      &
                        nGC_1491)*coupl(nGC_1795)*coupl(nGC_69) + 4d0*cima*    &
                        coupl(nGC_1283)*coupl(nGC_1491)*coupl(nGC_3231)*coupl( &
                        nGC_661) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_1795)*   &
                        coupl(nGC_2961)*coupl(nGC_63) + 4d0*cima*coupl(nGC_1283&
                        )*coupl(nGC_1919)*coupl(nGC_3231)**2d0 + 4d0*cima*coupl&
                        (nGC_1283)*coupl(nGC_1919)*coupl(nGC_661)**2d0 + 4d0*  &
                        cima*coupl(nGC_1283)*coupl(nGC_63)**2d0*coupl(nGC_68   &
                        ) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_68)*coupl(nGC_69&
                        )**2d0 + 4d0*cima*coupl(nGC_1283)*coupl(nGC_68)*coupl( &
                        nGC_72)**2d0 + 9d0*cima*coupl(nGC_1319)*coupl(nGC_781)*&
                        coupl(nGC_82)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1491)*&
                        coupl(nGC_1795)*coupl(nGC_72)*coupl(nGC_94) + 20d0*cima&
                        *coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_80)*coupl(    &
                        nGC_86) - 16d0*cima*coupl(nGC_153)*coupl(nGC_154)*coupl&
                        (nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_153)*coupl&
                        (nGC_154)*coupl(nGC_80)*coupl(nGC_90) + 24d0*cima*coupl&
                        (nGC_16)*coupl(nGC_79) + 20d0*cima*coupl(nGC_161)*coupl&
                        (nGC_162)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl&
                        (nGC_161)*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_89) - &
                        16d0*cima*coupl(nGC_161)*coupl(nGC_162)*coupl(nGC_80)* &
                        coupl(nGC_90) + 9d0*cima*coupl(nGC_17)*coupl(nGC_1919)*&
                        coupl(nGC_3)*coupl(nGC_781) + 4d0*cima*coupl(nGC_1795)*&
                        coupl(nGC_2961)*coupl(nGC_72)*coupl(nGC_92) + 4d0*cima*&
                        coupl(nGC_1795)*coupl(nGC_3231)*coupl(nGC_69)*coupl(   &
                        nGC_72) + 4d0*cima*coupl(nGC_1795)*coupl(nGC_63)*coupl(&
                        nGC_661)*coupl(nGC_72) + 20d0*cima*coupl(nGC_184)*coupl&
                        (nGC_185)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl&
                        (nGC_184)*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_89) - &
                        16d0*cima*coupl(nGC_184)*coupl(nGC_185)*coupl(nGC_80)* &
                        coupl(nGC_90) + 9d0*cima*coupl(nGC_1919)*coupl(nGC_781 &
                        )*coupl(nGC_82)*coupl(nGC_96) + 4d0*cima*coupl(nGC_63)*&
                        coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_92) + 4d0*cima*  &
                        coupl(nGC_661)*coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_72&
                        ) + 4d0*cima*coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_72)*&
                        coupl(nGC_94) + 24d0*cima*coupl(nGC_70)*coupl(nGC_803  &
                        ) - 6d0*coupl(nGC_100)*coupl(nGC_1919)*coupl(nGC_82) + &
                        6d0*coupl(nGC_1283)*coupl(nGC_19)*coupl(nGC_661) - 6d0*&
                        coupl(nGC_1319)*coupl(nGC_79)*coupl(nGC_94) + 6d0*coupl&
                        (nGC_14)*coupl(nGC_1795)*coupl(nGC_69) + 6d0*coupl(    &
                        nGC_15)*coupl(nGC_63)*coupl(nGC_68) - 6d0*coupl(nGC_16 &
                        )*coupl(nGC_17)*coupl(nGC_3) + 6d0*coupl(nGC_16)*coupl(&
                        nGC_1795)*coupl(nGC_63) + 6d0*coupl(nGC_16)*coupl(     &
                        nGC_68)*coupl(nGC_69) + 36d0*coupl(nGC_16)*coupl(      &
                        nGC_781)*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_82&
                        )*coupl(nGC_96) - 6d0*coupl(nGC_17)*coupl(nGC_1919)*   &
                        coupl(nGC_803) + 6d0*coupl(nGC_19)*coupl(nGC_68)*coupl(&
                        nGC_72) - 6d0*coupl(nGC_19)*coupl(nGC_781)*coupl(nGC_94&
                        ) - 6d0*coupl(nGC_1919)*coupl(nGC_3)*coupl(nGC_97) -   &
                        6d0*coupl(nGC_1919)*coupl(nGC_61)*coupl(nGC_82) - 6d0* &
                        coupl(nGC_1919)*coupl(nGC_62)*coupl(nGC_781) - 6d0*    &
                        coupl(nGC_1919)*coupl(nGC_781)*coupl(nGC_99) - 6d0*    &
                        coupl(nGC_1919)*coupl(nGC_79)*coupl(nGC_96) + 36d0*    &
                        coupl(nGC_70)*coupl(nGC_82)*coupl(nGC_877))/(192d0*pi**&
                        2d0)
      coupl(nGC_9214) = (-16d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_85)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_85)*coupl&
                        (nGC_87) - 16d0*Nc*cima*coupl(nGC_131)**2d0*coupl(     &
                        nGC_87)**2d0 - 16d0*Nc*cima*coupl(nGC_142)**2d0*coupl( &
                        nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_142)**2d0*coupl( &
                        nGC_84)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_142)**  &
                        2d0*coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_146)** &
                        2d0*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_146)** &
                        2d0*coupl(nGC_84)*coupl(nGC_88) - 16d0*Nc*cima*coupl(  &
                        nGC_146)**2d0*coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl( &
                        nGC_170)**2d0*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl( &
                        nGC_170)**2d0*coupl(nGC_84)*coupl(nGC_88) - 16d0*Nc*   &
                        cima*coupl(nGC_170)**2d0*coupl(nGC_88)**2d0 - 16d0*Nc* &
                        cima*coupl(nGC_178)**2d0*coupl(nGC_85)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_178)**2d0*coupl(nGC_85)*coupl(nGC_87) - &
                        16d0*Nc*cima*coupl(nGC_178)**2d0*coupl(nGC_87)**2d0 -  &
                        16d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_85)**2d0 +  &
                        20d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_85)*coupl(  &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_87&
                        )**2d0 + 4d0*cima*coupl(nGC_1079)*coupl(nGC_1319)*coupl&
                        (nGC_72)*coupl(nGC_92) + 4d0*cima*coupl(nGC_1079)*coupl&
                        (nGC_1795)*coupl(nGC_63)*coupl(nGC_92) + 4d0*cima*coupl&
                        (nGC_1079)*coupl(nGC_2961)*coupl(nGC_63)*coupl(nGC_94  &
                        ) + 12d0*cima*coupl(nGC_1153)*coupl(nGC_62) + 4d0*cima*&
                        coupl(nGC_1283)**2d0*coupl(nGC_96)**2d0 + 4d0*cima*    &
                        coupl(nGC_1319)*coupl(nGC_661)*coupl(nGC_72)*coupl(    &
                        nGC_94) + 9d0*cima*coupl(nGC_1319)*coupl(nGC_72)*coupl(&
                        nGC_82)**2d0 + 9d0*cima*coupl(nGC_1491)*coupl(nGC_64)* &
                        coupl(nGC_82)**2d0 + 4d0*cima*coupl(nGC_1529)**2d0*    &
                        coupl(nGC_96)**2d0 - 16d0*cima*coupl(nGC_154)**2d0*    &
                        coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_154)**2d0*    &
                        coupl(nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(nGC_154  &
                        )**2d0*coupl(nGC_90)**2d0 - 16d0*cima*coupl(nGC_162)** &
                        2d0*coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_162)**2d0*&
                        coupl(nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(nGC_162  &
                        )**2d0*coupl(nGC_90)**2d0 + 4d0*cima*coupl(nGC_1795)*  &
                        coupl(nGC_3231)*coupl(nGC_69)*coupl(nGC_94) + 4d0*cima*&
                        coupl(nGC_1795)*coupl(nGC_63)*coupl(nGC_661)*coupl(    &
                        nGC_94) + 4d0*cima*coupl(nGC_1795)*coupl(nGC_661)*coupl&
                        (nGC_69)*coupl(nGC_92) - 16d0*cima*coupl(nGC_185)**2d0*&
                        coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_185)**2d0*    &
                        coupl(nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(nGC_185  &
                        )**2d0*coupl(nGC_90)**2d0 + 9d0*cima*coupl(nGC_1919)*  &
                        coupl(nGC_68)*coupl(nGC_82)**2d0 + 4d0*cima*coupl(     &
                        nGC_2961)*coupl(nGC_3231)*coupl(nGC_69)*coupl(nGC_91   &
                        ) + 4d0*cima*coupl(nGC_2961)*coupl(nGC_63)*coupl(      &
                        nGC_661)*coupl(nGC_91) + 4d0*cima*coupl(nGC_2961)*coupl&
                        (nGC_661)*coupl(nGC_69)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_100)*coupl(nGC_1283)**2d0 + 3d0*coupl(nGC_100)*    &
                        coupl(nGC_1529)**2d0 + 3d0*coupl(nGC_101)*coupl(       &
                        nGC_1319)*coupl(nGC_72) - 3d0*coupl(nGC_1153)*coupl(   &
                        nGC_1319)*coupl(nGC_72) - 3d0*coupl(nGC_1153)*coupl(   &
                        nGC_1491)*coupl(nGC_64) - 3d0*coupl(nGC_1153)*coupl(   &
                        nGC_1919)*coupl(nGC_68) - 6d0*coupl(nGC_1319)*coupl(   &
                        nGC_20)*coupl(nGC_82) - 6d0*coupl(nGC_1491)*coupl(     &
                        nGC_15)*coupl(nGC_82) - 6d0*coupl(nGC_15)*coupl(nGC_64 &
                        )*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_1919)*   &
                        coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_68)*coupl( &
                        nGC_82) + 3d0*coupl(nGC_1795)*coupl(nGC_63)*coupl(     &
                        nGC_99) - 6d0*coupl(nGC_19)*coupl(nGC_72)*coupl(nGC_82 &
                        ) + 3d0*coupl(nGC_2961)*coupl(nGC_69)*coupl(nGC_99) +  &
                        18d0*coupl(nGC_62)*coupl(nGC_781)**2d0 + 18d0*coupl(   &
                        nGC_62)*coupl(nGC_82)**2d0)/(96d0*pi**2d0)
      coupl(nGC_9215) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_1313)*coupl(    &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_131)*   &
                        coupl(nGC_1313)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc* &
                        cima*coupl(nGC_131)*coupl(nGC_1313)*coupl(nGC_80)*coupl&
                        (nGC_88) + 20d0*Nc*cima*coupl(nGC_142)*coupl(nGC_144)* &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_142)*coupl(nGC_144)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_146)*coupl(   &
                        nGC_147)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_147)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_171)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_171)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_170)*coupl(   &
                        nGC_171)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_178)*coupl(nGC_2153)*coupl(nGC_80)*coupl(    &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_2153)* &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_178)*coupl(nGC_2153)*coupl(nGC_80)*coupl(nGC_88) + &
                        20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_797)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_193)*coupl(   &
                        nGC_797)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_193)*coupl(nGC_797)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 9d0*cima*coupl(nGC_1079)*coupl(nGC_1491)*    &
                        coupl(nGC_781)*coupl(nGC_82) + 4d0*cima*coupl(nGC_1079 &
                        )*coupl(nGC_63)*coupl(nGC_72)**2d0 + 4d0*cima*coupl(   &
                        nGC_1283)*coupl(nGC_1319)*coupl(nGC_92)**2d0 + 4d0*cima&
                        *coupl(nGC_1283)*coupl(nGC_1319)*coupl(nGC_94)**2d0 +  &
                        4d0*cima*coupl(nGC_1283)*coupl(nGC_1491)*coupl(nGC_92)*&
                        coupl(nGC_96) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_1919&
                        )*coupl(nGC_94)*coupl(nGC_96) + 4d0*cima*coupl(nGC_1283&
                        )*coupl(nGC_63)**2d0*coupl(nGC_72) + 4d0*cima*coupl(   &
                        nGC_1283)*coupl(nGC_69)**2d0*coupl(nGC_72) + 4d0*cima* &
                        coupl(nGC_1283)*coupl(nGC_72)**3d0 + 9d0*cima*coupl(   &
                        nGC_1319)*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_781) +  &
                        9d0*cima*coupl(nGC_1319)*coupl(nGC_781)*coupl(nGC_82)* &
                        coupl(nGC_96) + 20d0*cima*coupl(nGC_154)*coupl(nGC_155 &
                        )*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_154&
                        )*coupl(nGC_155)*coupl(nGC_80)*coupl(nGC_89) - 16d0*   &
                        cima*coupl(nGC_154)*coupl(nGC_155)*coupl(nGC_80)*coupl(&
                        nGC_90) + 20d0*cima*coupl(nGC_162)*coupl(nGC_163)*coupl&
                        (nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_162)*coupl&
                        (nGC_163)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl&
                        (nGC_162)*coupl(nGC_163)*coupl(nGC_80)*coupl(nGC_90) + &
                        20d0*cima*coupl(nGC_185)*coupl(nGC_186)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_185)*coupl(nGC_186 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_185&
                        )*coupl(nGC_186)*coupl(nGC_80)*coupl(nGC_90) + 24d0*   &
                        cima*coupl(nGC_19)*coupl(nGC_79) + 9d0*cima*coupl(     &
                        nGC_1919)*coupl(nGC_661)*coupl(nGC_781)*coupl(nGC_82   &
                        ) + 4d0*cima*coupl(nGC_63)*coupl(nGC_72)**2d0*coupl(   &
                        nGC_92) + 4d0*cima*coupl(nGC_661)*coupl(nGC_69)*coupl( &
                        nGC_72)**2d0 + 4d0*cima*coupl(nGC_69)*coupl(nGC_72)**  &
                        2d0*coupl(nGC_94) + 24d0*cima*coupl(nGC_73)*coupl(     &
                        nGC_803) - 6d0*coupl(nGC_100)*coupl(nGC_1319)*coupl(   &
                        nGC_82) - 6d0*coupl(nGC_101)*coupl(nGC_1319)*coupl(    &
                        nGC_781) - 6d0*coupl(nGC_1079)*coupl(nGC_1491)*coupl(  &
                        nGC_79) - 6d0*coupl(nGC_1079)*coupl(nGC_15)*coupl(     &
                        nGC_781) + 6d0*coupl(nGC_1283)*coupl(nGC_15)*coupl(    &
                        nGC_92) + 6d0*coupl(nGC_1283)*coupl(nGC_16)*coupl(     &
                        nGC_94) - 6d0*coupl(nGC_1319)*coupl(nGC_17)*coupl(     &
                        nGC_803) - 6d0*coupl(nGC_1319)*coupl(nGC_3)*coupl(     &
                        nGC_97) - 6d0*coupl(nGC_1319)*coupl(nGC_62)*coupl(     &
                        nGC_781) - 6d0*coupl(nGC_1319)*coupl(nGC_62)*coupl(    &
                        nGC_82) - 6d0*coupl(nGC_1319)*coupl(nGC_79)*coupl(     &
                        nGC_96) + 6d0*coupl(nGC_15)*coupl(nGC_63)*coupl(nGC_72 &
                        ) - 6d0*coupl(nGC_16)*coupl(nGC_661)*coupl(nGC_781) +  &
                        6d0*coupl(nGC_16)*coupl(nGC_69)*coupl(nGC_72) - 6d0*   &
                        coupl(nGC_17)*coupl(nGC_19)*coupl(nGC_3) + 6d0*coupl(  &
                        nGC_19)*coupl(nGC_72)**2d0 + 36d0*coupl(nGC_19)*coupl( &
                        nGC_781)*coupl(nGC_82) - 6d0*coupl(nGC_19)*coupl(nGC_82&
                        )*coupl(nGC_96) - 6d0*coupl(nGC_1919)*coupl(nGC_661)*  &
                        coupl(nGC_79) + 36d0*coupl(nGC_73)*coupl(nGC_82)*coupl(&
                        nGC_877))/(192d0*pi**2d0)
      coupl(nGC_9213) = (-16d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_80)**2d0  &
                         - 16d0*Nc*cima*coupl(nGC_142)**2d0*coupl(nGC_80)**2d0 &
                         - 16d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_80)**2d0 &
                         - 16d0*Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_80)**2d0 &
                         - 16d0*Nc*cima*coupl(nGC_178)**2d0*coupl(nGC_80)**2d0 &
                         - 16d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_80)**2d0 &
                         + 12d0*cima*coupl(nGC_100)*coupl(nGC_1153) + 12d0*cima&
                        *coupl(nGC_1247)*coupl(nGC_18) + 4d0*cima*coupl(       &
                        nGC_1283)**2d0*coupl(nGC_1319)*coupl(nGC_72) + 4d0*cima&
                        *coupl(nGC_1283)**2d0*coupl(nGC_1491)*coupl(nGC_64) +  &
                        4d0*cima*coupl(nGC_1283)**2d0*coupl(nGC_1919)*coupl(   &
                        nGC_68) + 4d0*cima*coupl(nGC_1319)**2d0*coupl(nGC_63)**&
                        2d0 + 4d0*cima*coupl(nGC_1319)**2d0*coupl(nGC_63)*coupl&
                        (nGC_64) + 4d0*cima*coupl(nGC_1319)**2d0*coupl(nGC_68)*&
                        coupl(nGC_69) + 4d0*cima*coupl(nGC_1319)**2d0*coupl(   &
                        nGC_69)**2d0 + 8d0*cima*coupl(nGC_1319)**2d0*coupl(    &
                        nGC_72)**2d0 + 4d0*cima*coupl(nGC_1319)*coupl(nGC_1529 &
                        )**2d0*coupl(nGC_72) + 9d0*cima*coupl(nGC_1319)*coupl( &
                        nGC_72)*coupl(nGC_781)**2d0 + 9d0*cima*coupl(nGC_1319)*&
                        coupl(nGC_72)*coupl(nGC_877)**2d0 + 4d0*cima*coupl(    &
                        nGC_1491)*coupl(nGC_1529)**2d0*coupl(nGC_64) + 4d0*cima&
                        *coupl(nGC_1491)*coupl(nGC_1795)*coupl(nGC_63)*coupl(  &
                        nGC_64) + 4d0*cima*coupl(nGC_1491)*coupl(nGC_1795)*    &
                        coupl(nGC_68)*coupl(nGC_69) + 4d0*cima*coupl(nGC_1491)*&
                        coupl(nGC_1795)*coupl(nGC_69)**2d0 + 4d0*cima*coupl(   &
                        nGC_1491)*coupl(nGC_1795)*coupl(nGC_72)**2d0 + 4d0*cima&
                        *coupl(nGC_1491)*coupl(nGC_2961)*coupl(nGC_64)*coupl(  &
                        nGC_69) + 9d0*cima*coupl(nGC_1491)*coupl(nGC_64)*coupl(&
                        nGC_781)**2d0 + 9d0*cima*coupl(nGC_1491)*coupl(nGC_64)*&
                        coupl(nGC_877)**2d0 + 4d0*cima*coupl(nGC_1529)**2d0*   &
                        coupl(nGC_1919)*coupl(nGC_68) - 16d0*cima*coupl(nGC_154&
                        )**2d0*coupl(nGC_80)**2d0 - 16d0*cima*coupl(nGC_162)** &
                        2d0*coupl(nGC_80)**2d0 + 9d0*cima*coupl(nGC_17)**2d0*  &
                        coupl(nGC_3)**2d0 + 9d0*cima*coupl(nGC_17)**2d0*coupl( &
                        nGC_877)**2d0 + 18d0*cima*coupl(nGC_17)*coupl(nGC_3)*  &
                        coupl(nGC_82)*coupl(nGC_96) + 18d0*cima*coupl(nGC_17)* &
                        coupl(nGC_781)*coupl(nGC_877)*coupl(nGC_96) + 4d0*cima*&
                        coupl(nGC_1795)**2d0*coupl(nGC_63)**2d0 + 4d0*cima*    &
                        coupl(nGC_1795)**2d0*coupl(nGC_68)*coupl(nGC_69) + 4d0*&
                        cima*coupl(nGC_1795)**2d0*coupl(nGC_69)**2d0 + 4d0*cima&
                        *coupl(nGC_1795)**2d0*coupl(nGC_72)**2d0 + 4d0*cima*   &
                        coupl(nGC_1795)*coupl(nGC_1919)*coupl(nGC_63)*coupl(   &
                        nGC_68) + 8d0*cima*coupl(nGC_1795)*coupl(nGC_2961)*    &
                        coupl(nGC_63)*coupl(nGC_69) - 16d0*cima*coupl(nGC_185  &
                        )**2d0*coupl(nGC_80)**2d0 + 4d0*cima*coupl(nGC_1919)*  &
                        coupl(nGC_2961)*coupl(nGC_63)**2d0 + 4d0*cima*coupl(   &
                        nGC_1919)*coupl(nGC_2961)*coupl(nGC_63)*coupl(nGC_64   &
                        ) + 4d0*cima*coupl(nGC_1919)*coupl(nGC_2961)*coupl(    &
                        nGC_68)*coupl(nGC_69) + 4d0*cima*coupl(nGC_1919)*coupl(&
                        nGC_2961)*coupl(nGC_72)**2d0 + 9d0*cima*coupl(nGC_1919 &
                        )*coupl(nGC_68)*coupl(nGC_781)**2d0 + 9d0*cima*coupl(  &
                        nGC_1919)*coupl(nGC_68)*coupl(nGC_877)**2d0 + 4d0*cima*&
                        coupl(nGC_2961)**2d0*coupl(nGC_63)**2d0 + 4d0*cima*    &
                        coupl(nGC_2961)**2d0*coupl(nGC_63)*coupl(nGC_64) + 4d0*&
                        cima*coupl(nGC_2961)**2d0*coupl(nGC_69)**2d0 + 4d0*cima&
                        *coupl(nGC_2961)**2d0*coupl(nGC_72)**2d0 + 24d0*cima*  &
                        coupl(nGC_62)*coupl(nGC_78) + 9d0*cima*coupl(nGC_781)**&
                        2d0*coupl(nGC_96)**2d0 + 9d0*cima*coupl(nGC_82)**2d0*  &
                        coupl(nGC_96)**2d0 + 24d0*cima*coupl(nGC_83)*coupl(    &
                        nGC_97) + 36d0*coupl(nGC_100)*coupl(nGC_82)**2d0 - 6d0*&
                        coupl(nGC_1153)*coupl(nGC_96)**2d0 - 6d0*coupl(nGC_1247&
                        )*coupl(nGC_17)**2d0 + 6d0*coupl(nGC_1283)**2d0*coupl( &
                        nGC_62) - 6d0*coupl(nGC_1319)*coupl(nGC_20)*coupl(     &
                        nGC_781) + 6d0*coupl(nGC_1319)*coupl(nGC_62)*coupl(    &
                        nGC_72) - 6d0*coupl(nGC_1319)*coupl(nGC_72)*coupl(     &
                        nGC_78) - 6d0*coupl(nGC_1319)*coupl(nGC_74)*coupl(     &
                        nGC_877) - 6d0*coupl(nGC_1491)*coupl(nGC_15)*coupl(    &
                        nGC_781) - 6d0*coupl(nGC_1491)*coupl(nGC_64)*coupl(    &
                        nGC_78) - 6d0*coupl(nGC_1491)*coupl(nGC_66)*coupl(     &
                        nGC_877) - 6d0*coupl(nGC_15)*coupl(nGC_64)*coupl(      &
                        nGC_781) + 6d0*coupl(nGC_1529)**2d0*coupl(nGC_62) - 6d0&
                        *coupl(nGC_16)*coupl(nGC_1919)*coupl(nGC_781) - 6d0*   &
                        coupl(nGC_16)*coupl(nGC_68)*coupl(nGC_781) - 12d0*coupl&
                        (nGC_17)*coupl(nGC_3)*coupl(nGC_62) - 12d0*coupl(nGC_17&
                        )*coupl(nGC_62)*coupl(nGC_877) - 12d0*coupl(nGC_17)*   &
                        coupl(nGC_83)*coupl(nGC_96) + 6d0*coupl(nGC_1795)*coupl&
                        (nGC_61)*coupl(nGC_63) + 36d0*coupl(nGC_18)*coupl(nGC_3&
                        )**2d0 - 6d0*coupl(nGC_19)*coupl(nGC_72)*coupl(nGC_781 &
                        ) - 6d0*coupl(nGC_1919)*coupl(nGC_68)*coupl(nGC_78) -  &
                        6d0*coupl(nGC_1919)*coupl(nGC_70)*coupl(nGC_877) + 6d0*&
                        coupl(nGC_2961)*coupl(nGC_61)*coupl(nGC_69) + 72d0*    &
                        coupl(nGC_3)*coupl(nGC_82)*coupl(nGC_97) + 36d0*coupl( &
                        nGC_62)*coupl(nGC_781)**2d0 - 12d0*coupl(nGC_62)*coupl(&
                        nGC_781)*coupl(nGC_96) - 12d0*coupl(nGC_62)*coupl(     &
                        nGC_82)*coupl(nGC_96) + 36d0*coupl(nGC_62)*coupl(      &
                        nGC_877)**2d0 - 6d0*coupl(nGC_64)*coupl(nGC_66)*coupl( &
                        nGC_877) - 6d0*coupl(nGC_68)*coupl(nGC_70)*coupl(      &
                        nGC_877) - 6d0*coupl(nGC_72)*coupl(nGC_73)*coupl(      &
                        nGC_877))/(192d0*pi**2d0)
      coupl(nGC_29561) = -coupl(nGC_8836)
      coupl(nGC_13006) = coupl(nGC_17)*dZA_QED2/2d0 + coupl(nGC_17)*           &
                         dZHMinus_QED2 + coupl(nGC_9351) + coupl(nGC_96)*      &
                         dZZA_QED2/2d0
      coupl(nGC_16562) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_9386)
      coupl(nGC_12848) = coupl(nGC_41)*dZHMinus_QED2/2d0 + coupl(nGC_41)*      &
                         dZHa_QED2/2d0 + coupl(nGC_41)*dZHl_QED2/2d0 + coupl(  &
                         nGC_48)*dZG0Ha_QED2/2d0 + coupl(nGC_49)*dZHhHl_QED2/  &
                         2d0 + coupl(nGC_9318)
      coupl(nGC_16082) = coupl(nGC_143)*dZbL_QCD2/2d0 + coupl(nGC_143)*        &
                         dZbR_QCD2/2d0 + coupl(nGC_9454)
      coupl(nGC_14457) = coupl(nGC_14453) + coupl(nGC_14456)
      coupl(nGC_16671) = coupl(nGC_16562) + coupl(nGC_16669)
      coupl(nGC_16670) = coupl(nGC_16562) + coupl(nGC_16668)
      coupl(nGC_14519) = coupl(nGC_182)*dZtL_QED2/2d0 + coupl(nGC_182)*        &
                         dZtR_QED2/2d0 + coupl(nGC_9490)
      coupl(nGC_14128) = -coupl(nGC_14123)
      coupl(nGC_8720) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_143)*coupl(nGC_144) - &
                        8d0*Nc*cMC**2d0*cima*coupl(nGC_1313)*coupl(nGC_132) -  &
                        8d0*Nc*cMD**2d0*cima*coupl(nGC_147)*coupl(nGC_148) -   &
                        8d0*Nc*cMS**2d0*cima*coupl(nGC_171)*coupl(nGC_172) -   &
                        8d0*Nc*cMT**2d0*cima*coupl(nGC_179)*coupl(nGC_2153) -  &
                        8d0*Nc*cMU**2d0*cima*coupl(nGC_194)*coupl(nGC_797) -   &
                        8d0*cME**2d0*cima*coupl(nGC_155)*coupl(nGC_156) - 2d0* &
                        cMHC**2d0*cima*coupl(nGC_1319)*coupl(nGC_72) - cMHH**  &
                        2d0*cima*coupl(nGC_1079)*coupl(nGC_92) - cMHL**2d0*cima&
                        *coupl(nGC_661)*coupl(nGC_94) - 8d0*cMM**2d0*cima*coupl&
                        (nGC_163)*coupl(nGC_164) - 8d0*cMTA**2d0*cima*coupl(   &
                        nGC_186)*coupl(nGC_187) - 2d0*cMW**2d0*cima*coupl(     &
                        nGC_1319)*coupl(nGC_72) - 4d0*cMW**2d0*coupl(nGC_62) - &
                        cMZ**2d0*cima*coupl(nGC_1079)*coupl(nGC_92) - cMZ**2d0*&
                        cima*coupl(nGC_661)*coupl(nGC_94) - 2d0*cMZ**2d0*coupl(&
                        nGC_101))/(32d0*pi**2d0)
      coupl(nGC_8727) = cima*(-2d0*Nc*coupl(nGC_80)**2d0 - coupl(nGC_3)**2d0 - &
                        coupl(nGC_781)**2d0 - 2d0*coupl(nGC_80)**2d0 - coupl(  &
                        nGC_82)**2d0 - coupl(nGC_877)**2d0)/(32d0*pi**2d0)
      coupl(nGC_18947) = -coupl(nGC_18946)
      coupl(nGC_8729) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_80)**2d0 + 2d0*Nc*cMC**&
                        2d0*cima*coupl(nGC_80)**2d0 + 2d0*Nc*cMD**2d0*cima*    &
                        coupl(nGC_80)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_80 &
                        )**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_80)**2d0 + 2d0*&
                        Nc*cMU**2d0*cima*coupl(nGC_80)**2d0 + 2d0*cME**2d0*cima&
                        *coupl(nGC_80)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_80)**&
                        2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_80)**2d0 + 3d0*cMW**&
                        2d0*cima*coupl(nGC_3)**2d0 + 3d0*cMW**2d0*cima*coupl(  &
                        nGC_781)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_82)**2d0 + &
                        3d0*cMW**2d0*cima*coupl(nGC_877)**2d0 - 4d0*cMW**2d0*  &
                        coupl(nGC_78) + 3d0*cMZ**2d0*cima*coupl(nGC_781)**2d0  &
                         + 3d0*cMZ**2d0*cima*coupl(nGC_82)**2d0 - 2d0*cMZ**2d0*&
                        coupl(nGC_1153))/(32d0*pi**2d0)
      coupl(nGC_8728) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_781)**2d0 + coupl( &
                        nGC_82)**2d0 + coupl(nGC_877)**2d0)/(48d0*pi**2d0)
      coupl(nGC_14958) = 2d0*coupl(nGC_44)*dZGMinusHMinus_QED2 + 2d0*coupl(    &
                         nGC_51)*dZHMinus_QED2 + coupl(nGC_9297)
      coupl(nGC_12924) = coupl(nGC_22)*dZHlHh_QED2 + coupl(nGC_27)*            &
                         dZGMinusHMinus_QED2 + coupl(nGC_34)*dZHMinus_QED2 +   &
                         coupl(nGC_34)*dZHh_QED2 + coupl(nGC_9305)
      coupl(nGC_14425) = coupl(nGC_42)*dZG0Ha_QED2 + coupl(nGC_42)*            &
                         dZGMinusHMinus_QED2 + coupl(nGC_50)*dZHMinus_QED2 +   &
                         coupl(nGC_50)*dZHa_QED2 + coupl(nGC_9295)
      coupl(nGC_12694) = coupl(nGC_80)*dZWMinus_QED2/2d0 + coupl(nGC_80)*      &
                         dZdL_QED2/2d0 + coupl(nGC_80)*dZuL_QED2/2d0 + coupl(  &
                         nGC_9389)
      coupl(nGC_15056) = coupl(nGC_155)*dZHa_QED2/2d0 + coupl(nGC_155)*        &
                         dZeMinusL_QED2/2d0 + coupl(nGC_155)*dZeMinusR_QED2/2d0&
                          + coupl(nGC_159)*dZG0Ha_QED2/2d0 + coupl(nGC_9475)
      coupl(nGC_8925) = (4d0*Nc*coupl(nGC_1313)*coupl(nGC_133)*coupl(nGC_85) - &
                        4d0*Nc*coupl(nGC_1313)*coupl(nGC_133)*coupl(nGC_88) -  &
                        4d0*Nc*coupl(nGC_132)*coupl(nGC_133)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_132)*coupl(nGC_133)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_143)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_143)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_144)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_144)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_147)*coupl(nGC_149)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_147)*coupl(nGC_149)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_171)*coupl(nGC_173)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_171)*coupl(nGC_173)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_172)*coupl(nGC_173)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_172)*coupl(nGC_173)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_179)*coupl(nGC_180)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_179)*coupl(nGC_180)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_2153)*coupl(nGC_85) -  &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_2153)*coupl(nGC_88) -  &
                        4d0*Nc*coupl(nGC_194)*coupl(nGC_195)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_194)*coupl(nGC_195)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_797)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_797)*coupl(nGC_88) +   &
                        coupl(nGC_1079)**3d0 + 2d0*coupl(nGC_1079)*coupl(      &
                        nGC_661)**2d0 + coupl(nGC_1283)*coupl(nGC_1319)*coupl( &
                        nGC_64) + coupl(nGC_1319)*coupl(nGC_63)*coupl(nGC_96   &
                        ) - 6d0*coupl(nGC_1491)*coupl(nGC_72)*coupl(nGC_781) - &
                        4d0*coupl(nGC_155)*coupl(nGC_157)*coupl(nGC_86) + 4d0* &
                        coupl(nGC_155)*coupl(nGC_157)*coupl(nGC_89) + 4d0*coupl&
                        (nGC_156)*coupl(nGC_157)*coupl(nGC_86) - 4d0*coupl(    &
                        nGC_156)*coupl(nGC_157)*coupl(nGC_89) - 4d0*coupl(     &
                        nGC_163)*coupl(nGC_165)*coupl(nGC_86) + 4d0*coupl(     &
                        nGC_163)*coupl(nGC_165)*coupl(nGC_89) + 4d0*coupl(     &
                        nGC_164)*coupl(nGC_165)*coupl(nGC_86) - 4d0*coupl(     &
                        nGC_164)*coupl(nGC_165)*coupl(nGC_89) - 6d0*coupl(     &
                        nGC_1795)*coupl(nGC_72)*coupl(nGC_82) - 4d0*coupl(     &
                        nGC_186)*coupl(nGC_188)*coupl(nGC_86) + 4d0*coupl(     &
                        nGC_186)*coupl(nGC_188)*coupl(nGC_89) + 4d0*coupl(     &
                        nGC_187)*coupl(nGC_188)*coupl(nGC_86) - 4d0*coupl(     &
                        nGC_187)*coupl(nGC_188)*coupl(nGC_89) + coupl(nGC_3231 &
                        )*coupl(nGC_661)**2d0)/(96d0*pi**2d0)
      coupl(nGC_8924) = (4d0*Nc*cMB*coupl(nGC_141)*coupl(nGC_143)**2d0 + 16d0* &
                        Nc*cMB*coupl(nGC_141)*coupl(nGC_143)*coupl(nGC_144) +  &
                        4d0*Nc*cMB*coupl(nGC_141)*coupl(nGC_144)**2d0 + 4d0*Nc*&
                        cMC*coupl(nGC_130)*coupl(nGC_1313)**2d0 + 16d0*Nc*cMC* &
                        coupl(nGC_130)*coupl(nGC_1313)*coupl(nGC_132) + 4d0*Nc*&
                        cMC*coupl(nGC_130)*coupl(nGC_132)**2d0 + 4d0*Nc*cMD*   &
                        coupl(nGC_145)*coupl(nGC_147)**2d0 + 16d0*Nc*cMD*coupl(&
                        nGC_145)*coupl(nGC_147)*coupl(nGC_148) + 4d0*Nc*cMD*   &
                        coupl(nGC_145)*coupl(nGC_148)**2d0 + 4d0*Nc*cMS*coupl( &
                        nGC_169)*coupl(nGC_171)**2d0 + 16d0*Nc*cMS*coupl(      &
                        nGC_169)*coupl(nGC_171)*coupl(nGC_172) + 4d0*Nc*cMS*   &
                        coupl(nGC_169)*coupl(nGC_172)**2d0 + 4d0*Nc*cMT*coupl( &
                        nGC_177)*coupl(nGC_179)**2d0 + 16d0*Nc*cMT*coupl(      &
                        nGC_177)*coupl(nGC_179)*coupl(nGC_2153) + 4d0*Nc*cMT*  &
                        coupl(nGC_177)*coupl(nGC_2153)**2d0 + 4d0*Nc*cMU*coupl(&
                        nGC_192)*coupl(nGC_194)**2d0 + 16d0*Nc*cMU*coupl(      &
                        nGC_192)*coupl(nGC_194)*coupl(nGC_797) + 4d0*Nc*cMU*   &
                        coupl(nGC_192)*coupl(nGC_797)**2d0 + 4d0*cME*coupl(    &
                        nGC_153)*coupl(nGC_155)**2d0 + 16d0*cME*coupl(nGC_153)*&
                        coupl(nGC_155)*coupl(nGC_156) + 4d0*cME*coupl(nGC_153)*&
                        coupl(nGC_156)**2d0 + 4d0*cMM*coupl(nGC_161)*coupl(    &
                        nGC_163)**2d0 + 16d0*cMM*coupl(nGC_161)*coupl(nGC_163)*&
                        coupl(nGC_164) + 4d0*cMM*coupl(nGC_161)*coupl(nGC_164  &
                        )**2d0 + 4d0*cMTA*coupl(nGC_184)*coupl(nGC_186)**2d0 + &
                        16d0*cMTA*coupl(nGC_184)*coupl(nGC_186)*coupl(nGC_187  &
                        ) + 4d0*cMTA*coupl(nGC_184)*coupl(nGC_187)**2d0 + 2d0* &
                        cima*coupl(nGC_101)*coupl(nGC_128) + 4d0*cima*coupl(   &
                        nGC_124)*coupl(nGC_62) + coupl(nGC_103)*coupl(nGC_1079 &
                        )*coupl(nGC_92) + coupl(nGC_104)*coupl(nGC_661)*coupl( &
                        nGC_94) + coupl(nGC_106)*coupl(nGC_1079)*coupl(nGC_94  &
                        ) + coupl(nGC_106)*coupl(nGC_661)*coupl(nGC_92) + coupl&
                        (nGC_1079)*coupl(nGC_112)*coupl(nGC_3231) + coupl(     &
                        nGC_1079)*coupl(nGC_121)*coupl(nGC_661) - coupl(       &
                        nGC_1079)*coupl(nGC_128)*coupl(nGC_92) + 2d0*coupl(    &
                        nGC_110)*coupl(nGC_1319)*coupl(nGC_72) + coupl(nGC_112 &
                        )*coupl(nGC_91)*coupl(nGC_92) + coupl(nGC_113)*coupl(  &
                        nGC_661)**2d0 + coupl(nGC_113)*coupl(nGC_94)**2d0 +    &
                        coupl(nGC_120)*coupl(nGC_3231)*coupl(nGC_661) + coupl( &
                        nGC_120)*coupl(nGC_91)*coupl(nGC_94) + coupl(nGC_121)* &
                        coupl(nGC_92)*coupl(nGC_94) + coupl(nGC_122)*coupl(    &
                        nGC_1319)*coupl(nGC_1795) + coupl(nGC_122)*coupl(nGC_64&
                        )*coupl(nGC_72) + coupl(nGC_123)*coupl(nGC_1319)*coupl(&
                        nGC_1491) + coupl(nGC_123)*coupl(nGC_63)*coupl(nGC_72  &
                        ) - 2d0*coupl(nGC_124)*coupl(nGC_1319)*coupl(nGC_72) - &
                        coupl(nGC_128)*coupl(nGC_661)*coupl(nGC_94))/(32d0*pi**&
                        2d0)
      coupl(nGC_8926) = (4d0*Nc*coupl(nGC_130)*coupl(nGC_1313)*coupl(nGC_85) - &
                        4d0*Nc*coupl(nGC_130)*coupl(nGC_1313)*coupl(nGC_88) -  &
                        4d0*Nc*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_141)*coupl(nGC_143)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_141)*coupl(nGC_143)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_141)*coupl(nGC_144)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_141)*coupl(nGC_144)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_148)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_148)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_171)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_171)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_172)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_172)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_179)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_179)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_2153)*coupl(nGC_85) -  &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_2153)*coupl(nGC_88) -  &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_194)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_194)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_797)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_797)*coupl(nGC_88) +   &
                        coupl(nGC_1079)**2d0*coupl(nGC_661) + coupl(nGC_1079)* &
                        coupl(nGC_3231)*coupl(nGC_661) + coupl(nGC_1283)*coupl(&
                        nGC_1319)*coupl(nGC_68) + coupl(nGC_1319)*coupl(nGC_69 &
                        )*coupl(nGC_96) - 4d0*coupl(nGC_153)*coupl(nGC_155)*   &
                        coupl(nGC_86) + 4d0*coupl(nGC_153)*coupl(nGC_155)*coupl&
                        (nGC_89) + 4d0*coupl(nGC_153)*coupl(nGC_156)*coupl(    &
                        nGC_86) - 4d0*coupl(nGC_153)*coupl(nGC_156)*coupl(     &
                        nGC_89) - 4d0*coupl(nGC_161)*coupl(nGC_163)*coupl(     &
                        nGC_86) + 4d0*coupl(nGC_161)*coupl(nGC_163)*coupl(     &
                        nGC_89) + 4d0*coupl(nGC_161)*coupl(nGC_164)*coupl(     &
                        nGC_86) - 4d0*coupl(nGC_161)*coupl(nGC_164)*coupl(     &
                        nGC_89) - 4d0*coupl(nGC_184)*coupl(nGC_186)*coupl(     &
                        nGC_86) + 4d0*coupl(nGC_184)*coupl(nGC_186)*coupl(     &
                        nGC_89) + 4d0*coupl(nGC_184)*coupl(nGC_187)*coupl(     &
                        nGC_86) - 4d0*coupl(nGC_184)*coupl(nGC_187)*coupl(     &
                        nGC_89) - 6d0*coupl(nGC_1919)*coupl(nGC_72)*coupl(     &
                        nGC_781) - 6d0*coupl(nGC_2961)*coupl(nGC_72)*coupl(    &
                        nGC_82) + coupl(nGC_3231)**2d0*coupl(nGC_661) + coupl( &
                        nGC_661)**3d0)/(96d0*pi**2d0)
      coupl(nGC_8923) = (4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_143)**2d0 + 16d0* &
                        Nc*cMB*coupl(nGC_137)*coupl(nGC_143)*coupl(nGC_144) +  &
                        4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_144)**2d0 + 4d0*Nc*&
                        cMC*coupl(nGC_1313)**2d0*coupl(nGC_133) + 16d0*Nc*cMC* &
                        coupl(nGC_1313)*coupl(nGC_132)*coupl(nGC_133) + 4d0*Nc*&
                        cMC*coupl(nGC_132)**2d0*coupl(nGC_133) + 4d0*Nc*cMD*   &
                        coupl(nGC_147)**2d0*coupl(nGC_149) + 16d0*Nc*cMD*coupl(&
                        nGC_147)*coupl(nGC_148)*coupl(nGC_149) + 4d0*Nc*cMD*   &
                        coupl(nGC_148)**2d0*coupl(nGC_149) + 4d0*Nc*cMS*coupl( &
                        nGC_171)**2d0*coupl(nGC_173) + 16d0*Nc*cMS*coupl(      &
                        nGC_171)*coupl(nGC_172)*coupl(nGC_173) + 4d0*Nc*cMS*   &
                        coupl(nGC_172)**2d0*coupl(nGC_173) + 4d0*Nc*cMT*coupl( &
                        nGC_179)**2d0*coupl(nGC_180) + 16d0*Nc*cMT*coupl(      &
                        nGC_179)*coupl(nGC_180)*coupl(nGC_2153) + 4d0*Nc*cMT*  &
                        coupl(nGC_180)*coupl(nGC_2153)**2d0 + 4d0*Nc*cMU*coupl(&
                        nGC_194)**2d0*coupl(nGC_195) + 16d0*Nc*cMU*coupl(      &
                        nGC_194)*coupl(nGC_195)*coupl(nGC_797) + 4d0*Nc*cMU*   &
                        coupl(nGC_195)*coupl(nGC_797)**2d0 + 4d0*cME*coupl(    &
                        nGC_155)**2d0*coupl(nGC_157) + 16d0*cME*coupl(nGC_155)*&
                        coupl(nGC_156)*coupl(nGC_157) + 4d0*cME*coupl(nGC_156  &
                        )**2d0*coupl(nGC_157) + 4d0*cMM*coupl(nGC_163)**2d0*   &
                        coupl(nGC_165) + 16d0*cMM*coupl(nGC_163)*coupl(nGC_164 &
                        )*coupl(nGC_165) + 4d0*cMM*coupl(nGC_164)**2d0*coupl(  &
                        nGC_165) + 4d0*cMTA*coupl(nGC_186)**2d0*coupl(nGC_188  &
                        ) + 16d0*cMTA*coupl(nGC_186)*coupl(nGC_187)*coupl(     &
                        nGC_188) + 4d0*cMTA*coupl(nGC_187)**2d0*coupl(nGC_188  &
                        ) + 2d0*cima*coupl(nGC_101)*coupl(nGC_129) + 4d0*cima* &
                        coupl(nGC_125)*coupl(nGC_62) + coupl(nGC_103)*coupl(   &
                        nGC_1079)*coupl(nGC_94) + coupl(nGC_103)*coupl(nGC_661 &
                        )*coupl(nGC_92) + coupl(nGC_105)*coupl(nGC_1079)*coupl(&
                        nGC_92) + coupl(nGC_106)*coupl(nGC_661)*coupl(nGC_94   &
                        ) + coupl(nGC_1079)**2d0*coupl(nGC_121) + coupl(       &
                        nGC_1079)*coupl(nGC_112)*coupl(nGC_661) + coupl(       &
                        nGC_1079)*coupl(nGC_113)*coupl(nGC_661) - coupl(       &
                        nGC_1079)*coupl(nGC_129)*coupl(nGC_92) + coupl(nGC_112 &
                        )*coupl(nGC_92)*coupl(nGC_94) + coupl(nGC_113)*coupl(  &
                        nGC_92)*coupl(nGC_94) + 2d0*coupl(nGC_118)*coupl(      &
                        nGC_1319)*coupl(nGC_72) + coupl(nGC_120)*coupl(nGC_661 &
                        )**2d0 + coupl(nGC_120)*coupl(nGC_94)**2d0 + coupl(    &
                        nGC_121)*coupl(nGC_92)**2d0 + coupl(nGC_122)*coupl(    &
                        nGC_1319)*coupl(nGC_1919) + coupl(nGC_122)*coupl(nGC_69&
                        )*coupl(nGC_72) + coupl(nGC_123)*coupl(nGC_1319)*coupl(&
                        nGC_2961) + coupl(nGC_123)*coupl(nGC_68)*coupl(nGC_72  &
                        ) - 2d0*coupl(nGC_125)*coupl(nGC_1319)*coupl(nGC_72) - &
                        coupl(nGC_129)*coupl(nGC_661)*coupl(nGC_94))/(32d0*pi**&
                        2d0)
      coupl(nGC_13959) = coupl(nGC_13956) + coupl(nGC_13958)
      coupl(nGC_19953) = coupl(nGC_19951) - coupl(nGC_19952)
      coupl(nGC_9250) = (-30d0*Nc*cima*coupl(nGC_80)**4d0 + 3d0*cima*coupl(    &
                        nGC_1061)**2d0 - 4d0*cima*coupl(nGC_3)**4d0 - 8d0*cima*&
                        coupl(nGC_3)**2d0*coupl(nGC_82)**2d0 - 16d0*cima*coupl(&
                        nGC_3)**2d0*coupl(nGC_877)**2d0 - 32d0*cima*coupl(nGC_3&
                        )*coupl(nGC_781)*coupl(nGC_82)*coupl(nGC_877) - 4d0*   &
                        cima*coupl(nGC_781)**4d0 - 16d0*cima*coupl(nGC_781)**  &
                        2d0*coupl(nGC_82)**2d0 - 8d0*cima*coupl(nGC_781)**2d0* &
                        coupl(nGC_877)**2d0 - 30d0*cima*coupl(nGC_80)**4d0 -   &
                        4d0*cima*coupl(nGC_82)**4d0 - 4d0*cima*coupl(nGC_877)**&
                        4d0 + 3d0*coupl(nGC_1061)*coupl(nGC_3)**2d0 + 18d0*    &
                        coupl(nGC_1061)*coupl(nGC_3)*coupl(nGC_877) + 3d0*coupl&
                        (nGC_1061)*coupl(nGC_781)**2d0 + 18d0*coupl(nGC_1061)* &
                        coupl(nGC_781)*coupl(nGC_82) + 3d0*coupl(nGC_1061)*    &
                        coupl(nGC_82)**2d0 + 3d0*coupl(nGC_1061)*coupl(nGC_877 &
                        )**2d0 + 3d0*coupl(nGC_3)**2d0*coupl(nGC_5) + 6d0*coupl&
                        (nGC_3)*coupl(nGC_803)*coupl(nGC_82) + 3d0*coupl(nGC_5 &
                        )*coupl(nGC_877)**2d0 + 3d0*coupl(nGC_781)**2d0*coupl( &
                        nGC_79) + 6d0*coupl(nGC_781)*coupl(nGC_803)*coupl(     &
                        nGC_877) + 3d0*coupl(nGC_79)*coupl(nGC_82)**2d0)/(48d0*&
                        pi**2d0)
      coupl(nGC_9251) = (36d0*Nc*cima*coupl(nGC_80)**4d0 + 6d0*cima*coupl(     &
                        nGC_1153)**2d0 + 6d0*cima*coupl(nGC_1247)**2d0 - 16d0* &
                        cima*coupl(nGC_3)**4d0 - 32d0*cima*coupl(nGC_3)**2d0*  &
                        coupl(nGC_82)**2d0 - 24d0*cima*coupl(nGC_3)**2d0*coupl(&
                        nGC_877)**2d0 - 48d0*cima*coupl(nGC_3)*coupl(nGC_781)* &
                        coupl(nGC_82)*coupl(nGC_877) + 12d0*cima*coupl(nGC_78  &
                        )**2d0 - 16d0*cima*coupl(nGC_781)**4d0 - 24d0*cima*    &
                        coupl(nGC_781)**2d0*coupl(nGC_82)**2d0 - 32d0*cima*    &
                        coupl(nGC_781)**2d0*coupl(nGC_877)**2d0 + 36d0*cima*   &
                        coupl(nGC_80)**4d0 - 16d0*cima*coupl(nGC_82)**4d0 +    &
                        12d0*cima*coupl(nGC_83)**2d0 - 16d0*cima*coupl(nGC_877 &
                        )**4d0 + 18d0*coupl(nGC_1153)*coupl(nGC_781)**2d0 +    &
                        18d0*coupl(nGC_1153)*coupl(nGC_82)**2d0 + 18d0*coupl(  &
                        nGC_1247)*coupl(nGC_3)**2d0 + 18d0*coupl(nGC_1247)*    &
                        coupl(nGC_877)**2d0 + 3d0*coupl(nGC_3)**2d0*coupl(nGC_5&
                        ) + 21d0*coupl(nGC_3)**2d0*coupl(nGC_78) + 6d0*coupl(  &
                        nGC_3)*coupl(nGC_78)*coupl(nGC_877) + 6d0*coupl(nGC_3)*&
                        coupl(nGC_803)*coupl(nGC_82) + 36d0*coupl(nGC_3)*coupl(&
                        nGC_82)*coupl(nGC_83) + 3d0*coupl(nGC_5)*coupl(nGC_877 &
                        )**2d0 + 21d0*coupl(nGC_78)*coupl(nGC_781)**2d0 + 6d0* &
                        coupl(nGC_78)*coupl(nGC_781)*coupl(nGC_82) + 21d0*coupl&
                        (nGC_78)*coupl(nGC_82)**2d0 + 21d0*coupl(nGC_78)*coupl(&
                        nGC_877)**2d0 + 3d0*coupl(nGC_781)**2d0*coupl(nGC_79   &
                        ) + 6d0*coupl(nGC_781)*coupl(nGC_803)*coupl(nGC_877) + &
                        36d0*coupl(nGC_781)*coupl(nGC_83)*coupl(nGC_877) + 3d0*&
                        coupl(nGC_79)*coupl(nGC_82)**2d0)/(96d0*pi**2d0)
      coupl(nGC_9252) = (-4d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_87)**2d0 +  &
                        12d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_87)*coupl(   &
                        nGC_88) - 4d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_88  &
                        )**2d0 - 8d0*cima*coupl(nGC_781)**2d0*coupl(nGC_82)**  &
                        2d0 + 4d0*cima*coupl(nGC_79)**2d0 - 4d0*cima*coupl(    &
                        nGC_80)**2d0*coupl(nGC_89)**2d0 + 12d0*cima*coupl(     &
                        nGC_80)**2d0*coupl(nGC_89)*coupl(nGC_90) - 4d0*cima*   &
                        coupl(nGC_80)**2d0*coupl(nGC_90)**2d0 + 4d0*cima*coupl(&
                        nGC_803)**2d0 - 8d0*cima*coupl(nGC_82)**2d0*coupl(     &
                        nGC_877)**2d0 + coupl(nGC_1061)*coupl(nGC_781)**2d0 +  &
                        2d0*coupl(nGC_1153)*coupl(nGC_781)*coupl(nGC_82) +     &
                        coupl(nGC_78)*coupl(nGC_82)**2d0 + coupl(nGC_781)**2d0*&
                        coupl(nGC_79) + 12d0*coupl(nGC_781)*coupl(nGC_79)*coupl&
                        (nGC_82) + coupl(nGC_79)*coupl(nGC_877)**2d0 + 12d0*   &
                        coupl(nGC_803)*coupl(nGC_82)*coupl(nGC_877) + 2d0*coupl&
                        (nGC_82)*coupl(nGC_83)*coupl(nGC_877))/(32d0*pi**2d0)
      coupl(nGC_9253) = (18d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_87)**2d0 -  &
                        30d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_87)*coupl(   &
                        nGC_88) + 18d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_88 &
                        )**2d0 + 6d0*cima*coupl(nGC_1153)*coupl(nGC_78) - 16d0*&
                        cima*coupl(nGC_781)**2d0*coupl(nGC_82)**2d0 + 18d0*cima&
                        *coupl(nGC_80)**2d0*coupl(nGC_89)**2d0 - 30d0*cima*    &
                        coupl(nGC_80)**2d0*coupl(nGC_89)*coupl(nGC_90) + 18d0* &
                        cima*coupl(nGC_80)**2d0*coupl(nGC_90)**2d0 - 16d0*cima*&
                        coupl(nGC_82)**2d0*coupl(nGC_877)**2d0 + 9d0*coupl(    &
                        nGC_1153)*coupl(nGC_781)**2d0 + 9d0*coupl(nGC_1153)*   &
                        coupl(nGC_877)**2d0 + 9d0*coupl(nGC_78)*coupl(nGC_781  &
                        )**2d0 + 9d0*coupl(nGC_78)*coupl(nGC_82)**2d0 + 6d0*   &
                        coupl(nGC_781)*coupl(nGC_79)*coupl(nGC_82) + 6d0*coupl(&
                        nGC_803)*coupl(nGC_82)*coupl(nGC_877))/(48d0*pi**2d0)
      coupl(nGC_9254) = (-4d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_87)**2d0 +  &
                        12d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_87)*coupl(   &
                        nGC_88) - 4d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_88  &
                        )**2d0 - 8d0*cima*coupl(nGC_781)**2d0*coupl(nGC_82)**  &
                        2d0 + 4d0*cima*coupl(nGC_79)**2d0 - 4d0*cima*coupl(    &
                        nGC_80)**2d0*coupl(nGC_89)**2d0 + 12d0*cima*coupl(     &
                        nGC_80)**2d0*coupl(nGC_89)*coupl(nGC_90) - 4d0*cima*   &
                        coupl(nGC_80)**2d0*coupl(nGC_90)**2d0 + 4d0*cima*coupl(&
                        nGC_803)**2d0 - 8d0*cima*coupl(nGC_82)**2d0*coupl(     &
                        nGC_877)**2d0 + coupl(nGC_1061)*coupl(nGC_82)**2d0 +   &
                        2d0*coupl(nGC_1153)*coupl(nGC_781)*coupl(nGC_82) +     &
                        coupl(nGC_78)*coupl(nGC_781)**2d0 + coupl(nGC_781)**2d0&
                        *coupl(nGC_79) + 12d0*coupl(nGC_781)*coupl(nGC_79)*    &
                        coupl(nGC_82) + coupl(nGC_79)*coupl(nGC_877)**2d0 +    &
                        12d0*coupl(nGC_803)*coupl(nGC_82)*coupl(nGC_877) + 2d0*&
                        coupl(nGC_82)*coupl(nGC_83)*coupl(nGC_877))/(32d0*pi** &
                        2d0)
      coupl(nGC_9092) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_141)**2d0 - &
                        24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_145)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_169)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_2)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_2)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_192)**2d0*coupl(nGC_2)**2d0 +   &
                        12d0*cima*coupl(nGC_1247)*coupl(nGC_61) + 4d0*cima*    &
                        coupl(nGC_1491)*coupl(nGC_17)**2d0*coupl(nGC_64) + 9d0*&
                        cima*coupl(nGC_1491)*coupl(nGC_3)**2d0*coupl(nGC_64) + &
                        4d0*cima*coupl(nGC_1529)**2d0*coupl(nGC_1795)*coupl(   &
                        nGC_63) + 4d0*cima*coupl(nGC_1529)**2d0*coupl(nGC_1919 &
                        )*coupl(nGC_68) - 24d0*cima*coupl(nGC_153)**2d0*coupl( &
                        nGC_4)**2d0 - 24d0*cima*coupl(nGC_161)**2d0*coupl(nGC_4&
                        )**2d0 + 4d0*cima*coupl(nGC_17)**2d0*coupl(nGC_2961)*  &
                        coupl(nGC_69) + 9d0*cima*coupl(nGC_1795)*coupl(nGC_63)*&
                        coupl(nGC_877)**2d0 - 24d0*cima*coupl(nGC_184)**2d0*   &
                        coupl(nGC_4)**2d0 + 9d0*cima*coupl(nGC_1919)*coupl(    &
                        nGC_68)*coupl(nGC_877)**2d0 + 9d0*cima*coupl(nGC_2961)*&
                        coupl(nGC_3)**2d0*coupl(nGC_69) - 3d0*coupl(nGC_1247)* &
                        coupl(nGC_1491)*coupl(nGC_64) - 3d0*coupl(nGC_1247)*   &
                        coupl(nGC_1795)*coupl(nGC_63) - 3d0*coupl(nGC_1247)*   &
                        coupl(nGC_1919)*coupl(nGC_68) - 3d0*coupl(nGC_1247)*   &
                        coupl(nGC_2961)*coupl(nGC_69) + 3d0*coupl(nGC_1491)*   &
                        coupl(nGC_18)*coupl(nGC_64) - 6d0*coupl(nGC_1491)*coupl&
                        (nGC_3)*coupl(nGC_65) + 3d0*coupl(nGC_1795)*coupl(     &
                        nGC_18)*coupl(nGC_63) - 6d0*coupl(nGC_1795)*coupl(     &
                        nGC_65)*coupl(nGC_877) + 3d0*coupl(nGC_18)*coupl(      &
                        nGC_1919)*coupl(nGC_68) + 3d0*coupl(nGC_18)*coupl(     &
                        nGC_2961)*coupl(nGC_69) - 6d0*coupl(nGC_1919)*coupl(   &
                        nGC_70)*coupl(nGC_877) - 6d0*coupl(nGC_2961)*coupl(    &
                        nGC_3)*coupl(nGC_70) + 18d0*coupl(nGC_3)**2d0*coupl(   &
                        nGC_61) - 6d0*coupl(nGC_3)*coupl(nGC_64)*coupl(nGC_65  &
                        ) - 6d0*coupl(nGC_3)*coupl(nGC_69)*coupl(nGC_70) + 18d0&
                        *coupl(nGC_61)*coupl(nGC_877)**2d0 - 6d0*coupl(nGC_63)*&
                        coupl(nGC_65)*coupl(nGC_877) - 6d0*coupl(nGC_68)*coupl(&
                        nGC_70)*coupl(nGC_877))/(96d0*pi**2d0)
      coupl(nGC_9093) = (10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_134)**2d0*coupl(  &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_134)**2d0&
                        *coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_138)**2d0*coupl(nGC_84) + 10d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_138)**2d0*coupl(nGC_88) - 16d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_150)**2d0*coupl(nGC_84) + 10d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_150)**2d0*coupl(nGC_88  &
                        ) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_174)**2d0*coupl&
                        (nGC_84) + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_174)**  &
                        2d0*coupl(nGC_88) + 10d0*Nc*cima*coupl(nGC_1)*coupl(   &
                        nGC_181)**2d0*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_181)**2d0*coupl(nGC_87) + 10d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_196)**2d0*coupl(nGC_85) - 16d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_196)**2d0*coupl(nGC_87  &
                        ) - 16d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_2)*coupl&
                        (nGC_85) + 10d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_2&
                        )*coupl(nGC_87) + 10d0*Nc*cima*coupl(nGC_138)**2d0*    &
                        coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_138&
                        )**2d0*coupl(nGC_2)*coupl(nGC_88) + 10d0*Nc*cima*coupl(&
                        nGC_150)**2d0*coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc*cima&
                        *coupl(nGC_150)**2d0*coupl(nGC_2)*coupl(nGC_88) + 10d0*&
                        Nc*cima*coupl(nGC_174)**2d0*coupl(nGC_2)*coupl(nGC_84  &
                        ) - 16d0*Nc*cima*coupl(nGC_174)**2d0*coupl(nGC_2)*coupl&
                        (nGC_88) - 16d0*Nc*cima*coupl(nGC_181)**2d0*coupl(nGC_2&
                        )*coupl(nGC_85) + 10d0*Nc*cima*coupl(nGC_181)**2d0*    &
                        coupl(nGC_2)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_196&
                        )**2d0*coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc*cima*coupl(&
                        nGC_196)**2d0*coupl(nGC_2)*coupl(nGC_87) + 4d0*cima*   &
                        coupl(nGC_1283)**2d0*coupl(nGC_17)*coupl(nGC_96) + 9d0*&
                        cima*coupl(nGC_1319)*coupl(nGC_3)*coupl(nGC_72)*coupl( &
                        nGC_82) + 4d0*cima*coupl(nGC_1529)**2d0*coupl(nGC_17)* &
                        coupl(nGC_96) - 16d0*cima*coupl(nGC_158)**2d0*coupl(   &
                        nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(nGC_158)**2d0*  &
                        coupl(nGC_4)*coupl(nGC_90) - 16d0*cima*coupl(nGC_166)**&
                        2d0*coupl(nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(      &
                        nGC_166)**2d0*coupl(nGC_4)*coupl(nGC_90) + 9d0*cima*   &
                        coupl(nGC_1795)*coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_82&
                        ) - 16d0*cima*coupl(nGC_189)**2d0*coupl(nGC_4)*coupl(  &
                        nGC_86) + 10d0*cima*coupl(nGC_189)**2d0*coupl(nGC_4)*  &
                        coupl(nGC_90) + 9d0*cima*coupl(nGC_1919)*coupl(nGC_3)* &
                        coupl(nGC_68)*coupl(nGC_82) + 12d0*cima*coupl(nGC_62)* &
                        coupl(nGC_83) + 3d0*coupl(nGC_1283)**2d0*coupl(nGC_97  &
                        ) - 3d0*coupl(nGC_1319)*coupl(nGC_20)*coupl(nGC_3) -   &
                        3d0*coupl(nGC_1319)*coupl(nGC_72)*coupl(nGC_83) - 3d0* &
                        coupl(nGC_14)*coupl(nGC_1795)*coupl(nGC_3) - 3d0*coupl(&
                        nGC_14)*coupl(nGC_3)*coupl(nGC_63) - 3d0*coupl(nGC_1491&
                        )*coupl(nGC_65)*coupl(nGC_781) + 3d0*coupl(nGC_1529)** &
                        2d0*coupl(nGC_97) - 3d0*coupl(nGC_16)*coupl(nGC_1919)* &
                        coupl(nGC_3) - 3d0*coupl(nGC_16)*coupl(nGC_3)*coupl(   &
                        nGC_68) - 3d0*coupl(nGC_1795)*coupl(nGC_63)*coupl(     &
                        nGC_83) - 3d0*coupl(nGC_1795)*coupl(nGC_65)*coupl(     &
                        nGC_82) - 3d0*coupl(nGC_19)*coupl(nGC_3)*coupl(nGC_72  &
                        ) - 3d0*coupl(nGC_1919)*coupl(nGC_68)*coupl(nGC_83) -  &
                        3d0*coupl(nGC_1919)*coupl(nGC_70)*coupl(nGC_82) - 3d0* &
                        coupl(nGC_2961)*coupl(nGC_70)*coupl(nGC_781) + 18d0*   &
                        coupl(nGC_3)*coupl(nGC_62)*coupl(nGC_82) + 18d0*coupl( &
                        nGC_62)*coupl(nGC_781)*coupl(nGC_877) - 3d0*coupl(     &
                        nGC_72)*coupl(nGC_73)*coupl(nGC_82) - 3d0*coupl(nGC_72 &
                        )*coupl(nGC_74)*coupl(nGC_781))/(96d0*pi**2d0)
      coupl(nGC_9090) = (18d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_80)**2d0 -   &
                        30d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_80)** &
                        2d0 + 18d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_80)**2d0&
                         + 6d0*cima*coupl(nGC_1247)*coupl(nGC_78) - 8d0*cima*  &
                        coupl(nGC_3)**2d0*coupl(nGC_781)**2d0 - 16d0*cima*coupl&
                        (nGC_3)**2d0*coupl(nGC_877)**2d0 + 18d0*cima*coupl(    &
                        nGC_4)**2d0*coupl(nGC_80)**2d0 - 8d0*cima*coupl(nGC_82 &
                        )**2d0*coupl(nGC_877)**2d0 + 9d0*coupl(nGC_1247)*coupl(&
                        nGC_781)**2d0 + 9d0*coupl(nGC_1247)*coupl(nGC_877)**2d0&
                         + 9d0*coupl(nGC_3)**2d0*coupl(nGC_78) + 6d0*coupl(    &
                        nGC_3)*coupl(nGC_5)*coupl(nGC_877) + 3d0*coupl(nGC_3)* &
                        coupl(nGC_781)*coupl(nGC_803) + 9d0*coupl(nGC_78)*coupl&
                        (nGC_877)**2d0 + 3d0*coupl(nGC_803)*coupl(nGC_82)*coupl&
                        (nGC_877))/(48d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl33
end module fill_ctcouplings33
