!******************************************************************************!
!                                                                              !
!    fill_ctcouplings35.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings35.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings35
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl35()
      coupl(nGC_9227) = (-32d0*Nc*cima*coupl(nGC_1313)*coupl(nGC_132)*coupl(   &
                        nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_143)*coupl(      &
                        nGC_144)*coupl(nGC_80)**2d0 - 32d0*Nc*cima*coupl(      &
                        nGC_147)*coupl(nGC_148)*coupl(nGC_80)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_171)*coupl(nGC_172)*coupl(nGC_80)**2d0  &
                         - 32d0*Nc*cima*coupl(nGC_179)*coupl(nGC_2153)*coupl(  &
                        nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_194)*coupl(      &
                        nGC_797)*coupl(nGC_80)**2d0 + 12d0*cima*coupl(nGC_101)*&
                        coupl(nGC_1153) + 4d0*cima*coupl(nGC_1079)*coupl(      &
                        nGC_1491)*coupl(nGC_64)*coupl(nGC_92) + 4d0*cima*coupl(&
                        nGC_1079)*coupl(nGC_1795)*coupl(nGC_63)*coupl(nGC_92   &
                        ) + 4d0*cima*coupl(nGC_1079)*coupl(nGC_1919)*coupl(    &
                        nGC_63)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1079)*coupl(&
                        nGC_1919)*coupl(nGC_64)*coupl(nGC_94) + 4d0*cima*coupl(&
                        nGC_1079)*coupl(nGC_1919)*coupl(nGC_68)*coupl(nGC_92   &
                        ) + 4d0*cima*coupl(nGC_1079)*coupl(nGC_2961)*coupl(    &
                        nGC_63)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1079)*coupl(&
                        nGC_2961)*coupl(nGC_64)*coupl(nGC_94) + 4d0*cima*coupl(&
                        nGC_1079)*coupl(nGC_2961)*coupl(nGC_69)*coupl(nGC_92   &
                        ) + 9d0*cima*coupl(nGC_1079)*coupl(nGC_781)**2d0*coupl(&
                        nGC_92) + 9d0*cima*coupl(nGC_1079)*coupl(nGC_82)**2d0* &
                        coupl(nGC_92) + 8d0*cima*coupl(nGC_1319)**2d0*coupl(   &
                        nGC_72)**2d0 + 4d0*cima*coupl(nGC_1319)*coupl(nGC_1491 &
                        )*coupl(nGC_64)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1319&
                        )*coupl(nGC_1795)*coupl(nGC_63)*coupl(nGC_72) + 4d0*   &
                        cima*coupl(nGC_1319)*coupl(nGC_1919)*coupl(nGC_68)*    &
                        coupl(nGC_72) + 4d0*cima*coupl(nGC_1319)*coupl(nGC_2961&
                        )*coupl(nGC_69)*coupl(nGC_72) + 9d0*cima*coupl(nGC_1319&
                        )*coupl(nGC_3)**2d0*coupl(nGC_72) + 9d0*cima*coupl(    &
                        nGC_1319)*coupl(nGC_72)*coupl(nGC_781)**2d0 + 9d0*cima*&
                        coupl(nGC_1319)*coupl(nGC_72)*coupl(nGC_82)**2d0 + 9d0*&
                        cima*coupl(nGC_1319)*coupl(nGC_72)*coupl(nGC_877)**2d0 &
                         + 4d0*cima*coupl(nGC_1491)*coupl(nGC_64)*coupl(nGC_661&
                        )*coupl(nGC_94) + 4d0*cima*coupl(nGC_1491)*coupl(      &
                        nGC_661)*coupl(nGC_68)*coupl(nGC_92) + 4d0*cima*coupl( &
                        nGC_1491)*coupl(nGC_661)*coupl(nGC_69)*coupl(nGC_92) - &
                        32d0*cima*coupl(nGC_155)*coupl(nGC_156)*coupl(nGC_80)**&
                        2d0 - 32d0*cima*coupl(nGC_163)*coupl(nGC_164)*coupl(   &
                        nGC_80)**2d0 + 4d0*cima*coupl(nGC_1795)*coupl(nGC_63)* &
                        coupl(nGC_661)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1795 &
                        )*coupl(nGC_661)*coupl(nGC_68)*coupl(nGC_92) + 4d0*cima&
                        *coupl(nGC_1795)*coupl(nGC_661)*coupl(nGC_69)*coupl(   &
                        nGC_92) - 32d0*cima*coupl(nGC_186)*coupl(nGC_187)*coupl&
                        (nGC_80)**2d0 + 4d0*cima*coupl(nGC_1919)*coupl(nGC_661 &
                        )*coupl(nGC_68)*coupl(nGC_94) + 4d0*cima*coupl(nGC_2961&
                        )*coupl(nGC_661)*coupl(nGC_69)*coupl(nGC_94) + 24d0*   &
                        cima*coupl(nGC_62)*coupl(nGC_78) + 9d0*cima*coupl(     &
                        nGC_661)*coupl(nGC_781)**2d0*coupl(nGC_94) + 9d0*cima* &
                        coupl(nGC_661)*coupl(nGC_82)**2d0*coupl(nGC_94) + 36d0*&
                        coupl(nGC_101)*coupl(nGC_82)**2d0 - 6d0*coupl(nGC_1079 &
                        )*coupl(nGC_1153)*coupl(nGC_92) + 6d0*coupl(nGC_1079)* &
                        coupl(nGC_61)*coupl(nGC_92) - 6d0*coupl(nGC_1153)*coupl&
                        (nGC_661)*coupl(nGC_94) - 6d0*coupl(nGC_1319)*coupl(   &
                        nGC_19)*coupl(nGC_781) - 6d0*coupl(nGC_1319)*coupl(    &
                        nGC_20)*coupl(nGC_82) - 6d0*coupl(nGC_1319)*coupl(nGC_3&
                        )*coupl(nGC_74) + 12d0*coupl(nGC_1319)*coupl(nGC_62)*  &
                        coupl(nGC_72) - 12d0*coupl(nGC_1319)*coupl(nGC_72)*    &
                        coupl(nGC_78) - 6d0*coupl(nGC_1319)*coupl(nGC_73)*coupl&
                        (nGC_877) - 6d0*coupl(nGC_19)*coupl(nGC_72)*coupl(     &
                        nGC_82) - 6d0*coupl(nGC_20)*coupl(nGC_72)*coupl(nGC_781&
                        ) - 6d0*coupl(nGC_3)*coupl(nGC_72)*coupl(nGC_73) + 6d0*&
                        coupl(nGC_61)*coupl(nGC_661)*coupl(nGC_94) + 36d0*coupl&
                        (nGC_62)*coupl(nGC_781)**2d0 + 36d0*coupl(nGC_62)*coupl&
                        (nGC_877)**2d0 - 6d0*coupl(nGC_72)*coupl(nGC_74)*coupl(&
                        nGC_877))/(192d0*pi**2d0)
      coupl(nGC_9226) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_1313)**2d0 &
                         + 80d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_1313)*   &
                        coupl(nGC_132) + 20d0*Nc*cima*coupl(nGC_130)**2d0*coupl&
                        (nGC_132)**2d0 + 20d0*Nc*cima*coupl(nGC_141)**2d0*coupl&
                        (nGC_143)**2d0 + 80d0*Nc*cima*coupl(nGC_141)**2d0*coupl&
                        (nGC_143)*coupl(nGC_144) + 20d0*Nc*cima*coupl(nGC_141  &
                        )**2d0*coupl(nGC_144)**2d0 + 20d0*Nc*cima*coupl(nGC_145&
                        )**2d0*coupl(nGC_147)**2d0 + 80d0*Nc*cima*coupl(nGC_145&
                        )**2d0*coupl(nGC_147)*coupl(nGC_148) + 20d0*Nc*cima*   &
                        coupl(nGC_145)**2d0*coupl(nGC_148)**2d0 + 20d0*Nc*cima*&
                        coupl(nGC_169)**2d0*coupl(nGC_171)**2d0 + 80d0*Nc*cima*&
                        coupl(nGC_169)**2d0*coupl(nGC_171)*coupl(nGC_172) +    &
                        20d0*Nc*cima*coupl(nGC_169)**2d0*coupl(nGC_172)**2d0 + &
                        20d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_179)**2d0 + &
                        80d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_179)*coupl( &
                        nGC_2153) + 20d0*Nc*cima*coupl(nGC_177)**2d0*coupl(    &
                        nGC_2153)**2d0 + 20d0*Nc*cima*coupl(nGC_192)**2d0*coupl&
                        (nGC_194)**2d0 + 80d0*Nc*cima*coupl(nGC_192)**2d0*coupl&
                        (nGC_194)*coupl(nGC_797) + 20d0*Nc*cima*coupl(nGC_192  &
                        )**2d0*coupl(nGC_797)**2d0 + 6d0*cima*coupl(nGC_101)*  &
                        coupl(nGC_99) - 10d0*cima*coupl(nGC_1079)*coupl(       &
                        nGC_3231)*coupl(nGC_91)*coupl(nGC_92) - 10d0*cima*coupl&
                        (nGC_1079)*coupl(nGC_661)*coupl(nGC_92)*coupl(nGC_94   &
                        ) - 5d0*cima*coupl(nGC_1319)**2d0*coupl(nGC_68)**2d0 - &
                        5d0*cima*coupl(nGC_1319)**2d0*coupl(nGC_69)**2d0 - 10d0&
                        *cima*coupl(nGC_1319)*coupl(nGC_1491)*coupl(nGC_64)*   &
                        coupl(nGC_72) - 10d0*cima*coupl(nGC_1319)*coupl(       &
                        nGC_1795)*coupl(nGC_63)*coupl(nGC_72) - 20d0*cima*coupl&
                        (nGC_1319)*coupl(nGC_1919)*coupl(nGC_68)*coupl(nGC_72  &
                        ) - 20d0*cima*coupl(nGC_1319)*coupl(nGC_2961)*coupl(   &
                        nGC_69)*coupl(nGC_72) + 20d0*cima*coupl(nGC_153)**2d0* &
                        coupl(nGC_155)**2d0 + 80d0*cima*coupl(nGC_153)**2d0*   &
                        coupl(nGC_155)*coupl(nGC_156) + 20d0*cima*coupl(nGC_153&
                        )**2d0*coupl(nGC_156)**2d0 + 20d0*cima*coupl(nGC_161)**&
                        2d0*coupl(nGC_163)**2d0 + 80d0*cima*coupl(nGC_161)**2d0&
                        *coupl(nGC_163)*coupl(nGC_164) + 20d0*cima*coupl(      &
                        nGC_161)**2d0*coupl(nGC_164)**2d0 + 20d0*cima*coupl(   &
                        nGC_184)**2d0*coupl(nGC_186)**2d0 + 80d0*cima*coupl(   &
                        nGC_184)**2d0*coupl(nGC_186)*coupl(nGC_187) + 20d0*cima&
                        *coupl(nGC_184)**2d0*coupl(nGC_187)**2d0 - 5d0*cima*   &
                        coupl(nGC_1919)**2d0*coupl(nGC_72)**2d0 - 5d0*cima*    &
                        coupl(nGC_2961)**2d0*coupl(nGC_72)**2d0 - 10d0*cima*   &
                        coupl(nGC_3231)*coupl(nGC_661)*coupl(nGC_91)*coupl(    &
                        nGC_94) + 12d0*cima*coupl(nGC_61)*coupl(nGC_62) - 10d0*&
                        cima*coupl(nGC_661)**2d0*coupl(nGC_94)**2d0 - 3d0*coupl&
                        (nGC_101)*coupl(nGC_3231)*coupl(nGC_91) - 3d0*coupl(   &
                        nGC_101)*coupl(nGC_661)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_1079)*coupl(nGC_13)*coupl(nGC_92) + 6d0*coupl(     &
                        nGC_1079)*coupl(nGC_26)*coupl(nGC_661) + 6d0*coupl(    &
                        nGC_1079)*coupl(nGC_3231)*coupl(nGC_37) + 3d0*coupl(   &
                        nGC_1079)*coupl(nGC_9)*coupl(nGC_94) - 3d0*coupl(      &
                        nGC_1079)*coupl(nGC_92)*coupl(nGC_99) + 3d0*coupl(     &
                        nGC_11)*coupl(nGC_661)*coupl(nGC_94) + 6d0*coupl(      &
                        nGC_1319)*coupl(nGC_1491)*coupl(nGC_41) + 6d0*coupl(   &
                        nGC_1319)*coupl(nGC_1795)*coupl(nGC_40) + 6d0*coupl(   &
                        nGC_1319)*coupl(nGC_30)*coupl(nGC_72) - 6d0*coupl(     &
                        nGC_1319)*coupl(nGC_61)*coupl(nGC_72) + 3d0*coupl(     &
                        nGC_1491)*coupl(nGC_2961)*coupl(nGC_42) + 3d0*coupl(   &
                        nGC_1491)*coupl(nGC_56)*coupl(nGC_64) - 3d0*coupl(     &
                        nGC_1491)*coupl(nGC_62)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_1795)*coupl(nGC_1919)*coupl(nGC_42) + 3d0*coupl(   &
                        nGC_1795)*coupl(nGC_56)*coupl(nGC_63) - 3d0*coupl(     &
                        nGC_1795)*coupl(nGC_62)*coupl(nGC_63) + 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_50)*coupl(nGC_68) - 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_62)*coupl(nGC_68) + 6d0*coupl(     &
                        nGC_26)*coupl(nGC_92)*coupl(nGC_94) + 6d0*coupl(nGC_28 &
                        )*coupl(nGC_3231)*coupl(nGC_661) + 6d0*coupl(nGC_28)*  &
                        coupl(nGC_91)*coupl(nGC_94) + 3d0*coupl(nGC_2961)*coupl&
                        (nGC_50)*coupl(nGC_69) - 3d0*coupl(nGC_2961)*coupl(    &
                        nGC_62)*coupl(nGC_69) + 6d0*coupl(nGC_31)*coupl(nGC_661&
                        )**2d0 + 6d0*coupl(nGC_31)*coupl(nGC_94)**2d0 + 3d0*   &
                        coupl(nGC_3231)*coupl(nGC_46)*coupl(nGC_94) + 3d0*coupl&
                        (nGC_3231)*coupl(nGC_59)*coupl(nGC_91) + 6d0*coupl(    &
                        nGC_37)*coupl(nGC_91)*coupl(nGC_92) + 6d0*coupl(nGC_40 &
                        )*coupl(nGC_64)*coupl(nGC_72) + 6d0*coupl(nGC_41)*coupl&
                        (nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_42)*coupl(nGC_63&
                        )*coupl(nGC_68) + 3d0*coupl(nGC_42)*coupl(nGC_64)*coupl&
                        (nGC_69) + 3d0*coupl(nGC_46)*coupl(nGC_661)*coupl(     &
                        nGC_91) + 3d0*coupl(nGC_52)*coupl(nGC_661)*coupl(nGC_94&
                        ) + 3d0*coupl(nGC_661)*coupl(nGC_9)*coupl(nGC_92) - 3d0&
                        *coupl(nGC_661)*coupl(nGC_94)*coupl(nGC_99))/(96d0*pi**&
                        2d0)
      coupl(nGC_14024) = coupl(nGC_13118) + coupl(nGC_14021)
      coupl(nGC_14023) = coupl(nGC_13118) + coupl(nGC_14022)
      coupl(nGC_16098) = coupl(nGC_9629) + coupl(nGC_MHA)*dZHa_QED2 + coupl(   &
                         nGC_TS_GC_113_Hl) + coupl(nGC_TS_GC_121_Hh)
      coupl(nGC_29997) = -coupl(nGC_8852)
      coupl(nGC_16565) = coupl(nGC_16561) + coupl(nGC_16562)
      coupl(nGC_30309) = -coupl(nGC_8804)
      coupl(nGC_17253) = coupl(nGC_17252) + coupl(nGC_9501)
      coupl(nGC_9127) = (6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_84)**3d0 + 6d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_87)**3d0 + 6d0*Nc*cima*    &
                        coupl(nGC_2)*coupl(nGC_85)**3d0 + 6d0*Nc*cima*coupl(   &
                        nGC_2)*coupl(nGC_88)**3d0 + 6d0*cima*coupl(nGC_1153)*  &
                        coupl(nGC_83) - 20d0*cima*coupl(nGC_3)*coupl(nGC_82)** &
                        3d0 + 6d0*cima*coupl(nGC_4)*coupl(nGC_86)**3d0 + 6d0*  &
                        cima*coupl(nGC_4)*coupl(nGC_89)**3d0 - 20d0*cima*coupl(&
                        nGC_781)**3d0*coupl(nGC_877) + 9d0*coupl(nGC_1153)*    &
                        coupl(nGC_3)*coupl(nGC_82) + 9d0*coupl(nGC_1153)*coupl(&
                        nGC_781)*coupl(nGC_877) + 3d0*coupl(nGC_3)*coupl(nGC_79&
                        )*coupl(nGC_82) + 3d0*coupl(nGC_781)**2d0*coupl(nGC_803&
                        ) + 9d0*coupl(nGC_781)**2d0*coupl(nGC_83) + 3d0*coupl( &
                        nGC_781)*coupl(nGC_79)*coupl(nGC_877) + 3d0*coupl(     &
                        nGC_803)*coupl(nGC_82)**2d0 + 9d0*coupl(nGC_82)**2d0*  &
                        coupl(nGC_83))/(48d0*pi**2d0)
      coupl(nGC_9124) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_80)**2d0*coupl(   &
                        nGC_87) + 6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_80)**2d0* &
                        coupl(nGC_88) + 6d0*Nc*cima*coupl(nGC_2)*coupl(nGC_80  &
                        )**2d0*coupl(nGC_87) - 4d0*Nc*cima*coupl(nGC_2)*coupl( &
                        nGC_80)**2d0*coupl(nGC_88) - 8d0*cima*coupl(nGC_3)*    &
                        coupl(nGC_781)**2d0*coupl(nGC_82) - 8d0*cima*coupl(    &
                        nGC_3)*coupl(nGC_82)*coupl(nGC_877)**2d0 - 4d0*cima*   &
                        coupl(nGC_4)*coupl(nGC_80)**2d0*coupl(nGC_89) + 6d0*   &
                        cima*coupl(nGC_4)*coupl(nGC_80)**2d0*coupl(nGC_90) +   &
                        4d0*cima*coupl(nGC_5)*coupl(nGC_803) + 4d0*cima*coupl( &
                        nGC_79)*coupl(nGC_803) + coupl(nGC_1061)*coupl(nGC_781 &
                        )*coupl(nGC_877) + coupl(nGC_1153)*coupl(nGC_3)*coupl( &
                        nGC_781) + coupl(nGC_1247)*coupl(nGC_3)*coupl(nGC_781  &
                        ) + coupl(nGC_3)*coupl(nGC_78)*coupl(nGC_82) + 6d0*    &
                        coupl(nGC_3)*coupl(nGC_781)*coupl(nGC_79) + 6d0*coupl( &
                        nGC_3)*coupl(nGC_803)*coupl(nGC_877) + coupl(nGC_3)*   &
                        coupl(nGC_83)*coupl(nGC_877) + 6d0*coupl(nGC_5)*coupl( &
                        nGC_82)*coupl(nGC_877) + coupl(nGC_781)**2d0*coupl(    &
                        nGC_803) + 6d0*coupl(nGC_781)*coupl(nGC_803)*coupl(    &
                        nGC_82) + coupl(nGC_781)*coupl(nGC_82)*coupl(nGC_83) + &
                        coupl(nGC_803)*coupl(nGC_877)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9125) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_80)**2d0*coupl(   &
                        nGC_87) + 6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_80)**2d0* &
                        coupl(nGC_88) + 6d0*Nc*cima*coupl(nGC_2)*coupl(nGC_80  &
                        )**2d0*coupl(nGC_87) - 4d0*Nc*cima*coupl(nGC_2)*coupl( &
                        nGC_80)**2d0*coupl(nGC_88) - 8d0*cima*coupl(nGC_3)*    &
                        coupl(nGC_781)**2d0*coupl(nGC_82) - 8d0*cima*coupl(    &
                        nGC_3)*coupl(nGC_82)*coupl(nGC_877)**2d0 - 4d0*cima*   &
                        coupl(nGC_4)*coupl(nGC_80)**2d0*coupl(nGC_89) + 6d0*   &
                        cima*coupl(nGC_4)*coupl(nGC_80)**2d0*coupl(nGC_90) +   &
                        4d0*cima*coupl(nGC_5)*coupl(nGC_803) + 4d0*cima*coupl( &
                        nGC_79)*coupl(nGC_803) + coupl(nGC_1061)*coupl(nGC_3)* &
                        coupl(nGC_82) + coupl(nGC_1153)*coupl(nGC_3)*coupl(    &
                        nGC_781) + coupl(nGC_1247)*coupl(nGC_82)*coupl(nGC_877 &
                        ) + 6d0*coupl(nGC_3)*coupl(nGC_5)*coupl(nGC_781) + 6d0*&
                        coupl(nGC_3)*coupl(nGC_781)*coupl(nGC_79) + 6d0*coupl( &
                        nGC_3)*coupl(nGC_803)*coupl(nGC_877) + coupl(nGC_3)*   &
                        coupl(nGC_83)*coupl(nGC_877) + coupl(nGC_78)*coupl(    &
                        nGC_781)*coupl(nGC_877) + coupl(nGC_781)**2d0*coupl(   &
                        nGC_803) + 6d0*coupl(nGC_781)*coupl(nGC_803)*coupl(    &
                        nGC_82) + coupl(nGC_781)*coupl(nGC_82)*coupl(nGC_83) + &
                        coupl(nGC_803)*coupl(nGC_877)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9122) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_141)**2d0*coupl( &
                        nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_141)**2d0&
                        *coupl(nGC_87) - 12d0*Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_145)**2d0*coupl(nGC_84) - 12d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_145)**2d0*coupl(nGC_87) - 12d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_169)**2d0*coupl(nGC_84) - 12d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_169)**2d0*coupl(nGC_87  &
                        ) - 12d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_2)*coupl&
                        (nGC_85) - 12d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_2&
                        )*coupl(nGC_88) - 12d0*Nc*cima*coupl(nGC_177)**2d0*    &
                        coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc*cima*coupl(nGC_177&
                        )**2d0*coupl(nGC_2)*coupl(nGC_88) - 12d0*Nc*cima*coupl(&
                        nGC_192)**2d0*coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc*cima&
                        *coupl(nGC_192)**2d0*coupl(nGC_2)*coupl(nGC_88) + 4d0* &
                        cima*coupl(nGC_1283)*coupl(nGC_1529)*coupl(nGC_1795)*  &
                        coupl(nGC_63) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_1529&
                        )*coupl(nGC_1919)*coupl(nGC_68) + 4d0*cima*coupl(      &
                        nGC_1491)*coupl(nGC_17)*coupl(nGC_64)*coupl(nGC_96) +  &
                        9d0*cima*coupl(nGC_1491)*coupl(nGC_3)*coupl(nGC_64)*   &
                        coupl(nGC_82) - 12d0*cima*coupl(nGC_153)**2d0*coupl(   &
                        nGC_4)*coupl(nGC_86) - 12d0*cima*coupl(nGC_153)**2d0*  &
                        coupl(nGC_4)*coupl(nGC_89) - 12d0*cima*coupl(nGC_161)**&
                        2d0*coupl(nGC_4)*coupl(nGC_86) - 12d0*cima*coupl(      &
                        nGC_161)**2d0*coupl(nGC_4)*coupl(nGC_89) + 4d0*cima*   &
                        coupl(nGC_17)*coupl(nGC_2961)*coupl(nGC_69)*coupl(     &
                        nGC_96) + 9d0*cima*coupl(nGC_1795)*coupl(nGC_63)*coupl(&
                        nGC_781)*coupl(nGC_877) - 12d0*cima*coupl(nGC_184)**2d0&
                        *coupl(nGC_4)*coupl(nGC_86) - 12d0*cima*coupl(nGC_184  &
                        )**2d0*coupl(nGC_4)*coupl(nGC_89) + 9d0*cima*coupl(    &
                        nGC_1919)*coupl(nGC_68)*coupl(nGC_781)*coupl(nGC_877   &
                        ) + 9d0*cima*coupl(nGC_2961)*coupl(nGC_3)*coupl(nGC_69 &
                        )*coupl(nGC_82) + 12d0*cima*coupl(nGC_61)*coupl(nGC_83 &
                        ) - 3d0*coupl(nGC_14)*coupl(nGC_1491)*coupl(nGC_3) -   &
                        3d0*coupl(nGC_14)*coupl(nGC_1795)*coupl(nGC_877) - 3d0*&
                        coupl(nGC_14)*coupl(nGC_3)*coupl(nGC_64) - 3d0*coupl(  &
                        nGC_14)*coupl(nGC_63)*coupl(nGC_877) - 3d0*coupl(      &
                        nGC_1491)*coupl(nGC_64)*coupl(nGC_83) + 3d0*coupl(     &
                        nGC_1491)*coupl(nGC_64)*coupl(nGC_97) - 3d0*coupl(     &
                        nGC_16)*coupl(nGC_1919)*coupl(nGC_877) - 3d0*coupl(    &
                        nGC_16)*coupl(nGC_2961)*coupl(nGC_3) - 3d0*coupl(nGC_16&
                        )*coupl(nGC_3)*coupl(nGC_69) - 3d0*coupl(nGC_16)*coupl(&
                        nGC_68)*coupl(nGC_877) - 3d0*coupl(nGC_1795)*coupl(    &
                        nGC_63)*coupl(nGC_83) + 3d0*coupl(nGC_1795)*coupl(     &
                        nGC_63)*coupl(nGC_97) - 3d0*coupl(nGC_1919)*coupl(     &
                        nGC_68)*coupl(nGC_83) + 3d0*coupl(nGC_1919)*coupl(     &
                        nGC_68)*coupl(nGC_97) - 6d0*coupl(nGC_1919)*coupl(     &
                        nGC_70)*coupl(nGC_781) - 3d0*coupl(nGC_2961)*coupl(    &
                        nGC_69)*coupl(nGC_83) + 3d0*coupl(nGC_2961)*coupl(     &
                        nGC_69)*coupl(nGC_97) - 6d0*coupl(nGC_2961)*coupl(     &
                        nGC_70)*coupl(nGC_82) + 18d0*coupl(nGC_3)*coupl(nGC_61 &
                        )*coupl(nGC_82) + 18d0*coupl(nGC_61)*coupl(nGC_781)*   &
                        coupl(nGC_877) - 6d0*coupl(nGC_63)*coupl(nGC_65)*coupl(&
                        nGC_781) - 6d0*coupl(nGC_64)*coupl(nGC_65)*coupl(nGC_82&
                        ))/(96d0*pi**2d0)
      coupl(nGC_9123) = (36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_80)**2d0*coupl(   &
                        nGC_87) - 30d0*Nc*cima*coupl(nGC_1)*coupl(nGC_80)**2d0*&
                        coupl(nGC_88) - 30d0*Nc*cima*coupl(nGC_2)*coupl(nGC_80 &
                        )**2d0*coupl(nGC_87) + 36d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_80)**2d0*coupl(nGC_88) - 32d0*cima*coupl(nGC_3)*   &
                        coupl(nGC_781)**2d0*coupl(nGC_82) - 32d0*cima*coupl(   &
                        nGC_3)*coupl(nGC_82)*coupl(nGC_877)**2d0 + 36d0*cima*  &
                        coupl(nGC_4)*coupl(nGC_80)**2d0*coupl(nGC_89) - 30d0*  &
                        cima*coupl(nGC_4)*coupl(nGC_80)**2d0*coupl(nGC_90) +   &
                        12d0*cima*coupl(nGC_78)*coupl(nGC_83) + 3d0*coupl(nGC_3&
                        )*coupl(nGC_5)*coupl(nGC_781) + 18d0*coupl(nGC_3)*coupl&
                        (nGC_78)*coupl(nGC_82) + 6d0*coupl(nGC_3)*coupl(nGC_781&
                        )*coupl(nGC_79) + 6d0*coupl(nGC_3)*coupl(nGC_803)*coupl&
                        (nGC_877) + 3d0*coupl(nGC_5)*coupl(nGC_82)*coupl(      &
                        nGC_877) + 18d0*coupl(nGC_78)*coupl(nGC_781)*coupl(    &
                        nGC_877) + 18d0*coupl(nGC_781)**2d0*coupl(nGC_83) + 6d0&
                        *coupl(nGC_781)*coupl(nGC_803)*coupl(nGC_82) + 18d0*   &
                        coupl(nGC_83)*coupl(nGC_877)**2d0)/(96d0*pi**2d0)
      coupl(nGC_9120) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_137)**2d0*coupl( &
                        nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_137)**2d0&
                        *coupl(nGC_87) - 12d0*Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_149)**2d0*coupl(nGC_84) - 12d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_149)**2d0*coupl(nGC_87) - 12d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_173)**2d0*coupl(nGC_84) - 12d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_173)**2d0*coupl(nGC_87  &
                        ) - 12d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_2)*coupl&
                        (nGC_85) - 12d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_2&
                        )*coupl(nGC_88) - 12d0*Nc*cima*coupl(nGC_180)**2d0*    &
                        coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc*cima*coupl(nGC_180&
                        )**2d0*coupl(nGC_2)*coupl(nGC_88) - 12d0*Nc*cima*coupl(&
                        nGC_195)**2d0*coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc*cima&
                        *coupl(nGC_195)**2d0*coupl(nGC_2)*coupl(nGC_88) + 4d0* &
                        cima*coupl(nGC_1283)*coupl(nGC_1491)*coupl(nGC_1529)*  &
                        coupl(nGC_64) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_1529&
                        )*coupl(nGC_1919)*coupl(nGC_68) + 9d0*cima*coupl(      &
                        nGC_1491)*coupl(nGC_64)*coupl(nGC_781)*coupl(nGC_877   &
                        ) - 12d0*cima*coupl(nGC_157)**2d0*coupl(nGC_4)*coupl(  &
                        nGC_86) - 12d0*cima*coupl(nGC_157)**2d0*coupl(nGC_4)*  &
                        coupl(nGC_89) - 12d0*cima*coupl(nGC_165)**2d0*coupl(   &
                        nGC_4)*coupl(nGC_86) - 12d0*cima*coupl(nGC_165)**2d0*  &
                        coupl(nGC_4)*coupl(nGC_89) + 4d0*cima*coupl(nGC_17)*   &
                        coupl(nGC_1795)*coupl(nGC_63)*coupl(nGC_96) + 4d0*cima*&
                        coupl(nGC_17)*coupl(nGC_2961)*coupl(nGC_69)*coupl(     &
                        nGC_96) + 9d0*cima*coupl(nGC_1795)*coupl(nGC_3)*coupl( &
                        nGC_63)*coupl(nGC_82) - 12d0*cima*coupl(nGC_188)**2d0* &
                        coupl(nGC_4)*coupl(nGC_86) - 12d0*cima*coupl(nGC_188)**&
                        2d0*coupl(nGC_4)*coupl(nGC_89) + 9d0*cima*coupl(       &
                        nGC_1919)*coupl(nGC_68)*coupl(nGC_781)*coupl(nGC_877   &
                        ) + 9d0*cima*coupl(nGC_2961)*coupl(nGC_3)*coupl(nGC_69 &
                        )*coupl(nGC_82) + 12d0*cima*coupl(nGC_61)*coupl(nGC_83 &
                        ) - 3d0*coupl(nGC_1491)*coupl(nGC_15)*coupl(nGC_877) - &
                        3d0*coupl(nGC_1491)*coupl(nGC_64)*coupl(nGC_83) + 3d0* &
                        coupl(nGC_1491)*coupl(nGC_64)*coupl(nGC_97) - 6d0*coupl&
                        (nGC_1491)*coupl(nGC_66)*coupl(nGC_781) - 3d0*coupl(   &
                        nGC_15)*coupl(nGC_1795)*coupl(nGC_3) - 3d0*coupl(nGC_15&
                        )*coupl(nGC_3)*coupl(nGC_63) - 3d0*coupl(nGC_15)*coupl(&
                        nGC_64)*coupl(nGC_877) - 3d0*coupl(nGC_16)*coupl(      &
                        nGC_1919)*coupl(nGC_877) - 3d0*coupl(nGC_16)*coupl(    &
                        nGC_2961)*coupl(nGC_3) - 3d0*coupl(nGC_16)*coupl(nGC_3 &
                        )*coupl(nGC_69) - 3d0*coupl(nGC_16)*coupl(nGC_68)*coupl&
                        (nGC_877) - 3d0*coupl(nGC_1795)*coupl(nGC_63)*coupl(   &
                        nGC_83) + 3d0*coupl(nGC_1795)*coupl(nGC_63)*coupl(     &
                        nGC_97) - 6d0*coupl(nGC_1795)*coupl(nGC_66)*coupl(     &
                        nGC_82) - 3d0*coupl(nGC_1919)*coupl(nGC_68)*coupl(     &
                        nGC_83) + 3d0*coupl(nGC_1919)*coupl(nGC_68)*coupl(     &
                        nGC_97) - 3d0*coupl(nGC_2961)*coupl(nGC_69)*coupl(     &
                        nGC_83) + 3d0*coupl(nGC_2961)*coupl(nGC_69)*coupl(     &
                        nGC_97) + 18d0*coupl(nGC_3)*coupl(nGC_61)*coupl(nGC_82 &
                        ) + 18d0*coupl(nGC_61)*coupl(nGC_781)*coupl(nGC_877) - &
                        6d0*coupl(nGC_68)*coupl(nGC_70)*coupl(nGC_781) - 6d0*  &
                        coupl(nGC_69)*coupl(nGC_70)*coupl(nGC_82))/(96d0*pi**  &
                        2d0)
      coupl(nGC_9121) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_137)*coupl(      &
                        nGC_141)*coupl(nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_137)*coupl(nGC_141)*coupl(nGC_87) - 12d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_145)*coupl(nGC_149)*coupl( &
                        nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_145)*    &
                        coupl(nGC_149)*coupl(nGC_87) - 12d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_169)*coupl(nGC_173)*coupl(nGC_84) - 12d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_169)*coupl(nGC_173)*coupl(&
                        nGC_87) - 12d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*  &
                        coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc*cima*coupl(nGC_130&
                        )*coupl(nGC_133)*coupl(nGC_2)*coupl(nGC_88) - 12d0*Nc* &
                        cima*coupl(nGC_177)*coupl(nGC_180)*coupl(nGC_2)*coupl( &
                        nGC_85) - 12d0*Nc*cima*coupl(nGC_177)*coupl(nGC_180)*  &
                        coupl(nGC_2)*coupl(nGC_88) - 12d0*Nc*cima*coupl(nGC_192&
                        )*coupl(nGC_195)*coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc* &
                        cima*coupl(nGC_192)*coupl(nGC_195)*coupl(nGC_2)*coupl( &
                        nGC_88) + 4d0*cima*coupl(nGC_1283)*coupl(nGC_1491)*    &
                        coupl(nGC_1529)*coupl(nGC_68) + 4d0*cima*coupl(nGC_1283&
                        )*coupl(nGC_1529)*coupl(nGC_1795)*coupl(nGC_68) + 4d0* &
                        cima*coupl(nGC_1491)*coupl(nGC_17)*coupl(nGC_69)*coupl(&
                        nGC_96) - 12d0*cima*coupl(nGC_153)*coupl(nGC_157)*coupl&
                        (nGC_4)*coupl(nGC_86) - 12d0*cima*coupl(nGC_153)*coupl(&
                        nGC_157)*coupl(nGC_4)*coupl(nGC_89) - 12d0*cima*coupl( &
                        nGC_161)*coupl(nGC_165)*coupl(nGC_4)*coupl(nGC_86) -   &
                        12d0*cima*coupl(nGC_161)*coupl(nGC_165)*coupl(nGC_4)*  &
                        coupl(nGC_89) + 4d0*cima*coupl(nGC_17)*coupl(nGC_1795)*&
                        coupl(nGC_69)*coupl(nGC_96) - 12d0*cima*coupl(nGC_184)*&
                        coupl(nGC_188)*coupl(nGC_4)*coupl(nGC_86) - 12d0*cima* &
                        coupl(nGC_184)*coupl(nGC_188)*coupl(nGC_4)*coupl(nGC_89&
                        ) + 9d0*cima*coupl(nGC_1919)*coupl(nGC_63)*coupl(      &
                        nGC_781)*coupl(nGC_877) + 9d0*cima*coupl(nGC_1919)*    &
                        coupl(nGC_64)*coupl(nGC_781)*coupl(nGC_877) + 9d0*cima*&
                        coupl(nGC_2961)*coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_82&
                        ) + 9d0*cima*coupl(nGC_2961)*coupl(nGC_3)*coupl(nGC_64 &
                        )*coupl(nGC_82) - 3d0*coupl(nGC_14)*coupl(nGC_1919)*   &
                        coupl(nGC_877) - 3d0*coupl(nGC_14)*coupl(nGC_2961)*    &
                        coupl(nGC_3) + 3d0*coupl(nGC_1491)*coupl(nGC_68)*coupl(&
                        nGC_97) + 3d0*coupl(nGC_1491)*coupl(nGC_69)*coupl(     &
                        nGC_97) - 3d0*coupl(nGC_1491)*coupl(nGC_70)*coupl(     &
                        nGC_781) - 3d0*coupl(nGC_15)*coupl(nGC_1919)*coupl(    &
                        nGC_877) - 3d0*coupl(nGC_15)*coupl(nGC_2961)*coupl(    &
                        nGC_3) - 3d0*coupl(nGC_16)*coupl(nGC_3)*coupl(nGC_63   &
                        ) - 3d0*coupl(nGC_16)*coupl(nGC_3)*coupl(nGC_64) - 3d0*&
                        coupl(nGC_16)*coupl(nGC_63)*coupl(nGC_877) - 3d0*coupl(&
                        nGC_16)*coupl(nGC_64)*coupl(nGC_877) + 3d0*coupl(      &
                        nGC_1795)*coupl(nGC_68)*coupl(nGC_97) + 3d0*coupl(     &
                        nGC_1795)*coupl(nGC_69)*coupl(nGC_97) - 3d0*coupl(     &
                        nGC_1795)*coupl(nGC_70)*coupl(nGC_82) - 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_63)*coupl(nGC_83) - 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_64)*coupl(nGC_83) - 3d0*coupl(     &
                        nGC_1919)*coupl(nGC_66)*coupl(nGC_781) - 3d0*coupl(    &
                        nGC_2961)*coupl(nGC_63)*coupl(nGC_83) - 3d0*coupl(     &
                        nGC_2961)*coupl(nGC_64)*coupl(nGC_83) - 3d0*coupl(     &
                        nGC_2961)*coupl(nGC_66)*coupl(nGC_82) - 3d0*coupl(     &
                        nGC_63)*coupl(nGC_70)*coupl(nGC_781) - 3d0*coupl(nGC_64&
                        )*coupl(nGC_70)*coupl(nGC_82) - 3d0*coupl(nGC_65)*coupl&
                        (nGC_68)*coupl(nGC_781) - 3d0*coupl(nGC_65)*coupl(     &
                        nGC_69)*coupl(nGC_82))/(96d0*pi**2d0)
      coupl(nGC_29423) = -coupl(nGC_8771)
      coupl(nGC_19369) = coupl(nGC_12718) + coupl(nGC_19366)
      coupl(nGC_30385) = -coupl(nGC_8806)
      coupl(nGC_14941) = coupl(nGC_12718) + coupl(nGC_14939)
      coupl(nGC_14940) = coupl(nGC_12718) + coupl(nGC_14937)
      coupl(nGC_16143) = coupl(nGC_89)*dZZ_QED2/2d0 + coupl(nGC_89)*           &
                         dZeMinusL_QED2 + coupl(nGC_9395)
      coupl(nGC_16142) = coupl(nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*           &
                         dZeMinusR_QED2 + coupl(nGC_9396)
      coupl(nGC_16145) = coupl(nGC_12888) + coupl(nGC_16143)
      coupl(nGC_16144) = coupl(nGC_12888) + coupl(nGC_16142)
      coupl(nGC_17942) = -coupl(nGC_17941)
      coupl(nGC_29457) = -coupl(nGC_8857)
      coupl(nGC_13216) = -coupl(nGC_13203) + coupl(nGC_13215)
      coupl(nGC_18766) = coupl(nGC_12718) + coupl(nGC_18763)
      coupl(nGC_8831) = (-4d0*Nc*coupl(nGC_134)*coupl(nGC_136)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_174)*coupl(nGC_176)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_181)*coupl(nGC_183)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_196)*coupl(nGC_198)*coupl(nGC_80) -   &
                        6d0*coupl(nGC_1283)*coupl(nGC_1319)*coupl(nGC_781) -   &
                        6d0*coupl(nGC_1319)*coupl(nGC_1529)*coupl(nGC_877) +   &
                        4d0*coupl(nGC_158)*coupl(nGC_160)*coupl(nGC_80) + 4d0* &
                        coupl(nGC_166)*coupl(nGC_168)*coupl(nGC_80) + coupl(   &
                        nGC_1795)**2d0*coupl(nGC_72) + 4d0*coupl(nGC_189)*coupl&
                        (nGC_191)*coupl(nGC_80) + coupl(nGC_1919)**2d0*coupl(  &
                        nGC_72) - 6d0*coupl(nGC_3231)*coupl(nGC_64)*coupl(     &
                        nGC_82) + coupl(nGC_64)*coupl(nGC_91)*coupl(nGC_96) -  &
                        6d0*coupl(nGC_661)*coupl(nGC_69)*coupl(nGC_82) + coupl(&
                        nGC_69)*coupl(nGC_94)*coupl(nGC_96) + coupl(nGC_72)**  &
                        3d0)/(96d0*pi**2d0)
      coupl(nGC_8837) = (-4d0*Nc*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_174)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_80) -   &
                        6d0*coupl(nGC_1283)*coupl(nGC_69)*coupl(nGC_781) +     &
                        coupl(nGC_1319)*coupl(nGC_661)*coupl(nGC_96) - 6d0*    &
                        coupl(nGC_1319)*coupl(nGC_82)*coupl(nGC_94) - 6d0*coupl&
                        (nGC_1529)*coupl(nGC_69)*coupl(nGC_877) + 4d0*coupl(   &
                        nGC_157)*coupl(nGC_158)*coupl(nGC_80) + 4d0*coupl(     &
                        nGC_165)*coupl(nGC_166)*coupl(nGC_80) + coupl(nGC_1795 &
                        )**2d0*coupl(nGC_2961) + coupl(nGC_1795)*coupl(nGC_63)*&
                        coupl(nGC_68) + 4d0*coupl(nGC_188)*coupl(nGC_189)*coupl&
                        (nGC_80) + coupl(nGC_1919)**2d0*coupl(nGC_2961) + coupl&
                        (nGC_1919)*coupl(nGC_63)*coupl(nGC_64) + coupl(nGC_2961&
                        )*coupl(nGC_72)**2d0)/(96d0*pi**2d0)
      coupl(nGC_8932) = coupl(nGC_1313)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8933) = (-coupl(nGC_1079)*coupl(nGC_133)*coupl(nGC_88) - coupl(&
                        nGC_130)**2d0*coupl(nGC_1313) - coupl(nGC_130)*coupl(  &
                        nGC_661)*coupl(nGC_88) - coupl(nGC_130)*coupl(nGC_85)* &
                        coupl(nGC_94) - coupl(nGC_131)*coupl(nGC_1319)*coupl(  &
                        nGC_80) - coupl(nGC_131)*coupl(nGC_170)*coupl(nGC_172  &
                        ) - coupl(nGC_1313)*coupl(nGC_132)**2d0 - coupl(       &
                        nGC_1313)*coupl(nGC_133)**2d0 - coupl(nGC_1313)*coupl( &
                        nGC_136)**2d0 + 8d0*coupl(nGC_132)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_132)*coupl(nGC_85)*coupl(nGC_88) - coupl(&
                        nGC_133)*coupl(nGC_85)*coupl(nGC_92) - coupl(nGC_134)* &
                        coupl(nGC_172)*coupl(nGC_174))/(32d0*pi**2d0)
      coupl(nGC_8931) = (-coupl(nGC_1079)*coupl(nGC_133)*coupl(nGC_85) - coupl(&
                        nGC_130)**2d0*coupl(nGC_132) - coupl(nGC_130)*coupl(   &
                        nGC_661)*coupl(nGC_85) - coupl(nGC_130)*coupl(nGC_88)* &
                        coupl(nGC_94) - coupl(nGC_131)*coupl(nGC_170)*coupl(   &
                        nGC_171) - coupl(nGC_131)*coupl(nGC_72)*coupl(nGC_80   &
                        ) - coupl(nGC_1313)**2d0*coupl(nGC_132) + 8d0*coupl(   &
                        nGC_1313)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_1313)*coupl&
                        (nGC_85)*coupl(nGC_88) - coupl(nGC_132)*coupl(nGC_133  &
                        )**2d0 - coupl(nGC_132)*coupl(nGC_135)**2d0 - coupl(   &
                        nGC_133)*coupl(nGC_88)*coupl(nGC_92) - coupl(nGC_134)* &
                        coupl(nGC_171)*coupl(nGC_174))/(32d0*pi**2d0)
      coupl(nGC_16325) = coupl(nGC_14808) + coupl(nGC_16323)
      coupl(nGC_16322) = coupl(nGC_84)*dZZ_QED2/2d0 + coupl(nGC_84)*dZsR_QED2  &
                          + coupl(nGC_9393)
      coupl(nGC_23258) = coupl(nGC_9634) + coupl(nGC_TS_GC_192_Hl) + coupl(    &
                         nGC_TS_GC_195_Hh)
      coupl(nGC_23928) = coupl(nGC_115)*dZG0Ha_QED2/2d0 + coupl(nGC_122)*      &
                         dZHMinus_QED2/2d0 + coupl(nGC_122)*dZHa_QED2/2d0 +    &
                         coupl(nGC_9338) + coupl(nGC_TS_GC_40_Hl) + coupl(     &
                         nGC_TS_GC_48_Hh)
      coupl(nGC_19300) = coupl(nGC_19291) + coupl(nGC_19299)
      coupl(nGC_14153) = coupl(nGC_9382) + coupl(nGC_99)*dZHl_QED2 + coupl(    &
                         nGC_99)*dZZ_QED2
      coupl(nGC_14653) = coupl(nGC_13956) + coupl(nGC_14651)
      coupl(nGC_15315) = coupl(nGC_79)*dZWMinus_QED2 + coupl(nGC_79)*dZZ_QED2  &
                          + coupl(nGC_9285)
      coupl(nGC_17635) = coupl(nGC_161)*dZHl_QED2/2d0 + coupl(nGC_165)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_9473)
      coupl(nGC_17636) = coupl(nGC_17634) + coupl(nGC_17635)
      coupl(nGC_15316) = -coupl(nGC_15314)/2d0 + coupl(nGC_15315)
      coupl(nGC_13979) = coupl(nGC_25)*dZHh_QED2/2d0 + coupl(nGC_25)*dZHl_QED2/&
                         2d0 + coupl(nGC_33)*dZHhHl_QED2/2d0 + coupl(nGC_37)*  &
                         dZHaG0_QED2 + coupl(nGC_39)*dZHlHh_QED2/2d0 + coupl(  &
                         nGC_9312)
      coupl(nGC_15706) = coupl(nGC_15704) + coupl(nGC_15705)
      coupl(nGC_13414) = coupl(nGC_153)*dZHlHh_QED2/2d0 + coupl(nGC_157)*      &
                         dZHh_QED2/2d0 + coupl(nGC_9469)
      coupl(nGC_13415) = coupl(nGC_13410) + coupl(nGC_13414)
      coupl(nGC_15097) = coupl(nGC_108)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_110&
                         )*dZHMinusGMinus_QED2/2d0 + coupl(nGC_111)*dZHhHl_QED2&
                         /2d0 + coupl(nGC_119)*dZHMinus_QED2/2d0 + coupl(      &
                         nGC_119)*dZHl_QED2/2d0 + coupl(nGC_9337) + coupl(     &
                         nGC_TS_GC_24_Hl) + coupl(nGC_TS_GC_36_Hh)
    end subroutine fill_CTcouplings_mdl35
end module fill_ctcouplings35
