!******************************************************************************!
!                                                                              !
!    fill_ctcouplings37.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings37.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings37
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl37()
      coupl(nGC_16324) = coupl(nGC_14808) + coupl(nGC_16322)
      coupl(nGC_12871) = coupl(nGC_12866) - coupl(nGC_12867) - coupl(nGC_12870)
      coupl(nGC_13870) = -coupl(nGC_13869)
      coupl(nGC_29966) = -coupl(nGC_8837)
      coupl(nGC_31223) = -coupl(nGC_8774)
      coupl(nGC_15458) = coupl(nGC_15456) + coupl(nGC_15457)
      coupl(nGC_13988) = -coupl(nGC_13987)
      coupl(nGC_16162) = -2d0*coupl(nGC_16161)
      coupl(nGC_30346) = -coupl(nGC_8831)
      coupl(nGC_31524) = -coupl(nGC_8926)
      coupl(nGC_13654) = coupl(nGC_13650) + coupl(nGC_13653)
      coupl(nGC_31620) = -coupl(nGC_8775)
      coupl(nGC_12758) = coupl(nGC_12753) + coupl(nGC_12757)
      coupl(nGC_13790) = -coupl(nGC_13006)
      coupl(nGC_23259) = coupl(nGC_23250) + coupl(nGC_23258)
      coupl(nGC_15025) = -coupl(nGC_15024)
      coupl(nGC_16564) = coupl(nGC_16562) + coupl(nGC_16563)
      coupl(nGC_14520) = -coupl(nGC_14510) + coupl(nGC_14519)
      coupl(nGC_30147) = -coupl(nGC_8925)
      coupl(nGC_15317) = coupl(nGC_15314) - 2d0*coupl(nGC_15315)
      coupl(nGC_18264) = coupl(nGC_18259) + coupl(nGC_18263)
    end subroutine fill_CTcouplings_mdl37
end module fill_ctcouplings37
