!******************************************************************************!
!                                                                              !
!    fill_ctcouplings6.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings6.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl6()
      coupl(nGC_13239) = coupl(nGC_170)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_174&
                         )*dZcL_QED2/2d0 + coupl(nGC_174)*dZsR_QED2/2d0 + coupl&
                         (nGC_9404)
      coupl(nGC_TS_GC_25_Hl) = -coupl(nGC_25)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13237) = coupl(nGC_174)*dZcL_QCD2/2d0 + coupl(nGC_174)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9403)
      coupl(nGC_9038) = (coupl(nGC_162)**2d0*coupl(nGC_86) + coupl(nGC_166)**  &
                        2d0*coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82&
                        ) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(  &
                        nGC_90)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9039) = (coupl(nGC_185)**2d0*coupl(nGC_86) + coupl(nGC_189)**  &
                        2d0*coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82&
                        ) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(  &
                        nGC_90)**3d0)/(32d0*pi**2d0)
      coupl(nGC_12729) = coupl(nGC_24)*dZGMinus/2d0
      coupl(nGC_TS_GC_34_Hh) = -coupl(nGC_34)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9498) = coupl(nGC_8594)*dyt1_QED3 + coupl(nGC_8595)*da_QED2 +  &
                        coupl(nGC_8596)*dyt2_QED3
      coupl(nGC_9499) = coupl(nGC_8267)*dyup2_QED1_QCD2 + coupl(nGC_8268)*     &
                        dyup1_QED1_QCD2
      coupl(nGC_9324) = coupl(nGC_8588)*dl3_QED4 + coupl(nGC_8589)*dl1_QED4 +  &
                        coupl(nGC_8590)*dl2_QED4 + coupl(nGC_8591)*dl5_QED4 +  &
                        coupl(nGC_8592)*dl4_QED4 + coupl(nGC_8593)*db_QED2
      coupl(nGC_9497) = coupl(nGC_8594)*dyt1_QED1_QCD2 + coupl(nGC_8596)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_9326) = coupl(nGC_8505)*dl3_QED4 + coupl(nGC_8506)*dl1_QED4 +  &
                        coupl(nGC_8507)*dl2_QED4 + coupl(nGC_8508)*dl5_QED4 +  &
                        coupl(nGC_8509)*dl4_QED4 + coupl(nGC_8510)*db_QED2
      coupl(nGC_9320) = coupl(nGC_7995)*dl3_QED4 + coupl(nGC_7996)*db_QED2 +   &
                        coupl(nGC_7997)*dl2_QED4 + coupl(nGC_7998)*dl5_QED4 +  &
                        coupl(nGC_7999)*dl4_QED4 + coupl(nGC_8000)*dl1_QED4 +  &
                        coupl(nGC_8001)*da_QED2
      coupl(nGC_9493) = coupl(nGC_8585)*dyup2_QED1_QCD2 + coupl(nGC_8586)*     &
                        dyup1_QED1_QCD2
      coupl(nGC_12716) = coupl(nGC_7)*dZuR_QED2
      coupl(nGC_16624) = coupl(nGC_76)*dZG0/2d0
      coupl(nGC_17717) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_17719) = coupl(nGC_2)*dZcL_QED2 + coupl(nGC_88)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
      coupl(nGC_20057) = coupl(nGC_190)*dZG0/2d0
      coupl(nGC_14342) = dZHMinusGMinus_QED2*(coupl(nGC_40) + coupl(nGC_41))/2d0
      coupl(nGC_TS_GC_120_Hl) = -coupl(nGC_120)*dtHl_QED1/cMHL**2d0
      coupl(nGC_9032) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_84) + coupl(nGC_145)**&
                        2d0*coupl(nGC_87) + coupl(nGC_146)**2d0*coupl(nGC_88   &
                        ) + coupl(nGC_147)*coupl(nGC_148)*coupl(nGC_87) + coupl&
                        (nGC_149)**2d0*coupl(nGC_87) + coupl(nGC_150)**2d0*    &
                        coupl(nGC_88) + coupl(nGC_151)*coupl(nGC_152)*coupl(   &
                        nGC_87) + 4d0*coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9034) = (coupl(nGC_153)**2d0*coupl(nGC_86) + coupl(nGC_155)*   &
                        coupl(nGC_156)*coupl(nGC_86) + coupl(nGC_157)**2d0*    &
                        coupl(nGC_86) + coupl(nGC_159)*coupl(nGC_160)*coupl(   &
                        nGC_86) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_89) - 4d0*   &
                        coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*coupl(nGC_80)** &
                        2d0*coupl(nGC_90) + 4d0*coupl(nGC_89)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_9035) = (coupl(nGC_154)**2d0*coupl(nGC_86) + coupl(nGC_158)**  &
                        2d0*coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82&
                        ) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(  &
                        nGC_90)**3d0)/(32d0*pi**2d0)
      coupl(nGC_13958) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_84)*dZZA_QED2/2d0
      coupl(nGC_9036) = (coupl(nGC_161)**2d0*coupl(nGC_89) + coupl(nGC_162)**  &
                        2d0*coupl(nGC_90) + coupl(nGC_163)*coupl(nGC_164)*coupl&
                        (nGC_89) + coupl(nGC_165)**2d0*coupl(nGC_89) + coupl(  &
                        nGC_166)**2d0*coupl(nGC_90) + coupl(nGC_167)*coupl(    &
                        nGC_168)*coupl(nGC_89) + 4d0*coupl(nGC_4)**2d0*coupl(  &
                        nGC_86) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9037) = (coupl(nGC_161)**2d0*coupl(nGC_86) + coupl(nGC_163)*   &
                        coupl(nGC_164)*coupl(nGC_86) + coupl(nGC_165)**2d0*    &
                        coupl(nGC_86) + coupl(nGC_167)*coupl(nGC_168)*coupl(   &
                        nGC_86) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_89) - 4d0*   &
                        coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*coupl(nGC_80)** &
                        2d0*coupl(nGC_90) + 4d0*coupl(nGC_89)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_13954) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_14054) = dZHMinusGMinus_QED2*(coupl(nGC_122) + coupl(nGC_123))/&
                         2d0
      coupl(nGC_13009) = coupl(nGC_166)*dZGMinus/2d0
      coupl(nGC_TS_GC_23_Hh) = -coupl(nGC_23)*dtHh_QED1/cMHH**2d0
      coupl(nGC_14454) = coupl(nGC_149)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_14453) = coupl(nGC_149)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_TS_GC_16_Hh) = -coupl(nGC_16)*dtHh_QED1/cMHH**2d0
      coupl(nGC_12994) = coupl(nGC_138)*dZbR_QCD2/2d0 + coupl(nGC_138)*        &
                         dZtL_QCD2/2d0 + coupl(nGC_9408)
      coupl(nGC_12992) = coupl(nGC_138)*dZbR_QED2/2d0 + coupl(nGC_138)*        &
                         dZtL_QED2/2d0 + coupl(nGC_142)*dZHMinusGMinus_QED2/2d0&
                          + coupl(nGC_9407)
      coupl(nGC_20453) = 2d0*coupl(nGC_55)*dZG0
      coupl(nGC_12666) = dZGMinusHMinus_QED2*(coupl(nGC_40) + coupl(nGC_41))/2d0
      coupl(nGC_12660) = coupl(nGC_94)*dZG0/2d0
      coupl(nGC_15899) = coupl(nGC_53)*(dZG0 + dZGMinus)
      coupl(nGC_13228) = coupl(nGC_174)*dZGMinus/2d0
      coupl(nGC_9005) = (-coupl(nGC_161)**3d0 - coupl(nGC_161)*coupl(nGC_164)**&
                        2d0 - coupl(nGC_161)*coupl(nGC_165)**2d0 - coupl(      &
                        nGC_161)*coupl(nGC_168)**2d0 + 8d0*coupl(nGC_161)*coupl&
                        (nGC_4)**2d0 + 8d0*coupl(nGC_161)*coupl(nGC_86)*coupl( &
                        nGC_89) + coupl(nGC_162)*coupl(nGC_2961)*coupl(nGC_80  &
                        ) + coupl(nGC_164)*coupl(nGC_661)*coupl(nGC_86) + coupl&
                        (nGC_164)*coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_166)*&
                        coupl(nGC_64)*coupl(nGC_80) + coupl(nGC_168)*coupl(    &
                        nGC_3231)*coupl(nGC_86) + coupl(nGC_168)*coupl(nGC_89)*&
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_9004) = (coupl(nGC_1491)*coupl(nGC_166)*coupl(nGC_80) - coupl( &
                        nGC_161)**3d0 - coupl(nGC_161)*coupl(nGC_163)**2d0 -   &
                        coupl(nGC_161)*coupl(nGC_165)**2d0 - coupl(nGC_161)*   &
                        coupl(nGC_167)**2d0 + 8d0*coupl(nGC_161)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_161)*coupl(nGC_86)*coupl(nGC_89) + &
                        coupl(nGC_162)*coupl(nGC_69)*coupl(nGC_80) + coupl(    &
                        nGC_163)*coupl(nGC_661)*coupl(nGC_89) + coupl(nGC_163)*&
                        coupl(nGC_86)*coupl(nGC_94) + coupl(nGC_167)*coupl(    &
                        nGC_3231)*coupl(nGC_89) + coupl(nGC_167)*coupl(nGC_86)*&
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_9007) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_169) - coupl(nGC_130)*&
                        coupl(nGC_131)*coupl(nGC_170) - coupl(nGC_130)*coupl(  &
                        nGC_134)*coupl(nGC_174) - coupl(nGC_169)**3d0 - coupl( &
                        nGC_169)*coupl(nGC_171)**2d0 - coupl(nGC_169)*coupl(   &
                        nGC_173)**2d0 - coupl(nGC_169)*coupl(nGC_175)**2d0 +   &
                        8d0*coupl(nGC_169)*coupl(nGC_84)*coupl(nGC_87) - coupl(&
                        nGC_170)*coupl(nGC_1919)*coupl(nGC_80) - coupl(nGC_171 &
                        )*coupl(nGC_661)*coupl(nGC_84) - coupl(nGC_171)*coupl( &
                        nGC_87)*coupl(nGC_94) - coupl(nGC_174)*coupl(nGC_63)*  &
                        coupl(nGC_80) - coupl(nGC_175)*coupl(nGC_3231)*coupl(  &
                        nGC_84) - coupl(nGC_175)*coupl(nGC_87)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_9006) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_169) - coupl(nGC_130)*&
                        coupl(nGC_131)*coupl(nGC_170) - coupl(nGC_130)*coupl(  &
                        nGC_134)*coupl(nGC_174) - coupl(nGC_169)**3d0 - coupl( &
                        nGC_169)*coupl(nGC_172)**2d0 - coupl(nGC_169)*coupl(   &
                        nGC_173)**2d0 - coupl(nGC_169)*coupl(nGC_176)**2d0 +   &
                        8d0*coupl(nGC_169)*coupl(nGC_84)*coupl(nGC_87) - coupl(&
                        nGC_170)*coupl(nGC_68)*coupl(nGC_80) - coupl(nGC_172)* &
                        coupl(nGC_661)*coupl(nGC_87) - coupl(nGC_172)*coupl(   &
                        nGC_84)*coupl(nGC_94) - coupl(nGC_174)*coupl(nGC_1795)*&
                        coupl(nGC_80) - coupl(nGC_176)*coupl(nGC_3231)*coupl(  &
                        nGC_87) - coupl(nGC_176)*coupl(nGC_84)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_9001) = (-coupl(nGC_153)**3d0 - coupl(nGC_153)*coupl(nGC_156)**&
                        2d0 - coupl(nGC_153)*coupl(nGC_157)**2d0 - coupl(      &
                        nGC_153)*coupl(nGC_160)**2d0 + 8d0*coupl(nGC_153)*coupl&
                        (nGC_4)**2d0 + 8d0*coupl(nGC_153)*coupl(nGC_86)*coupl( &
                        nGC_89) + coupl(nGC_154)*coupl(nGC_2961)*coupl(nGC_80  &
                        ) + coupl(nGC_156)*coupl(nGC_661)*coupl(nGC_86) + coupl&
                        (nGC_156)*coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_158)*&
                        coupl(nGC_64)*coupl(nGC_80) + coupl(nGC_160)*coupl(    &
                        nGC_3231)*coupl(nGC_86) + coupl(nGC_160)*coupl(nGC_89)*&
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_9000) = (coupl(nGC_1491)*coupl(nGC_158)*coupl(nGC_80) - coupl( &
                        nGC_153)**3d0 - coupl(nGC_153)*coupl(nGC_155)**2d0 -   &
                        coupl(nGC_153)*coupl(nGC_157)**2d0 - coupl(nGC_153)*   &
                        coupl(nGC_159)**2d0 + 8d0*coupl(nGC_153)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_153)*coupl(nGC_86)*coupl(nGC_89) + &
                        coupl(nGC_154)*coupl(nGC_69)*coupl(nGC_80) + coupl(    &
                        nGC_155)*coupl(nGC_661)*coupl(nGC_89) + coupl(nGC_155)*&
                        coupl(nGC_86)*coupl(nGC_94) + coupl(nGC_159)*coupl(    &
                        nGC_3231)*coupl(nGC_89) + coupl(nGC_159)*coupl(nGC_86)*&
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_16_Hl) = -coupl(nGC_16)*dtHl_QED1/cMHL**2d0
      coupl(nGC_19951) = coupl(nGC_63)*dZGMinusHMinus_QED2/2d0
    end subroutine fill_CTcouplings_mdl6
end module fill_ctcouplings6
