!******************************************************************************!
!                                                                              !
!    fill_ctcouplings9.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings9.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings9
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl9()
      coupl(nGC_13119) = coupl(nGC_4)*dZmuMinusR_QED2 + coupl(nGC_86)*dZZA_QED2&
                         /2d0
      coupl(nGC_13117) = coupl(nGC_4)*dZmuMinusL_QED2 + coupl(nGC_89)*dZZA_QED2&
                         /2d0
      coupl(nGC_13444) = coupl(nGC_96)*(dZGMinusHMinus_QED2 +                  &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_17047) = coupl(nGC_62)*dZGMinus
      coupl(nGC_12866) = coupl(nGC_135)*dZG0Ha_QED2/2d0
      coupl(nGC_12867) = coupl(nGC_132)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_12868) = coupl(nGC_132)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_12869) = coupl(nGC_132)*dZcL_QED2/2d0 + coupl(nGC_132)*        &
                         dZcR_QED2/2d0 + coupl(nGC_136)*dZG0Ha_QED2/2d0
      coupl(nGC_9427) = coupl(nGC_8570)*dyd12x2_QED1_QCD2 + coupl(nGC_8571)*   &
                        dys2_QED1_QCD2
      coupl(nGC_9426) = coupl(nGC_8573)*dyd12x2_QED3 + coupl(nGC_8574)*        &
                        dys2_QED3 + coupl(nGC_8575)*db_QED2
      coupl(nGC_13021) = coupl(nGC_19)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_137_Hh) = -coupl(nGC_137)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13024) = coupl(nGC_80)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_12888) = coupl(nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_9356) = coupl(nGC_8443)*dvev2_QED1 + coupl(nGC_8444)*dsw_QED2  &
                         + coupl(nGC_8445)*db_QED2 + coupl(nGC_8446)*dvev1_QED1&
                         + coupl(nGC_8447)*dZee_QED2
      coupl(nGC_8958) = (24d0*Nc*cMB*coupl(nGC_137)**2d0*coupl(nGC_141) + 24d0*&
                        Nc*cMC*coupl(nGC_130)*coupl(nGC_133)**2d0 + 24d0*Nc*cMD&
                        *coupl(nGC_145)*coupl(nGC_149)**2d0 + 24d0*Nc*cMS*coupl&
                        (nGC_169)*coupl(nGC_173)**2d0 + 24d0*Nc*cMT*coupl(     &
                        nGC_177)*coupl(nGC_180)**2d0 + 24d0*Nc*cMU*coupl(      &
                        nGC_192)*coupl(nGC_195)**2d0 + 24d0*cME*coupl(nGC_153)*&
                        coupl(nGC_157)**2d0 + 24d0*cMM*coupl(nGC_161)*coupl(   &
                        nGC_165)**2d0 + 24d0*cMTA*coupl(nGC_184)*coupl(nGC_188 &
                        )**2d0 + 4d0*cima*coupl(nGC_124)*coupl(nGC_61) + 2d0*  &
                        cima*coupl(nGC_128)*coupl(nGC_99) + coupl(nGC_1079)*   &
                        coupl(nGC_112)*coupl(nGC_91) + coupl(nGC_1079)*coupl(  &
                        nGC_113)*coupl(nGC_92) + coupl(nGC_1079)*coupl(nGC_120 &
                        )*coupl(nGC_94) + coupl(nGC_1079)*coupl(nGC_121)*coupl(&
                        nGC_94) - coupl(nGC_1079)*coupl(nGC_128)*coupl(nGC_92  &
                        ) - coupl(nGC_1079)*coupl(nGC_129)*coupl(nGC_94) +     &
                        coupl(nGC_108)*coupl(nGC_1919)*coupl(nGC_68) + coupl(  &
                        nGC_108)*coupl(nGC_2961)*coupl(nGC_69) + coupl(nGC_109 &
                        )*coupl(nGC_661)*coupl(nGC_94) + coupl(nGC_110)*coupl( &
                        nGC_1491)*coupl(nGC_64) + coupl(nGC_110)*coupl(nGC_1795&
                        )*coupl(nGC_63) + 2d0*coupl(nGC_111)*coupl(nGC_1491)*  &
                        coupl(nGC_1795) + coupl(nGC_111)*coupl(nGC_1919)**2d0  &
                         + coupl(nGC_111)*coupl(nGC_2961)**2d0 + 2d0*coupl(    &
                        nGC_111)*coupl(nGC_63)*coupl(nGC_64) + coupl(nGC_111)* &
                        coupl(nGC_68)**2d0 + coupl(nGC_111)*coupl(nGC_69)**2d0 &
                         + coupl(nGC_112)*coupl(nGC_3231)*coupl(nGC_92) + 2d0* &
                        coupl(nGC_112)*coupl(nGC_661)*coupl(nGC_94) + coupl(   &
                        nGC_116)*coupl(nGC_1491)*coupl(nGC_69) + coupl(nGC_116 &
                        )*coupl(nGC_1795)*coupl(nGC_68) + coupl(nGC_116)*coupl(&
                        nGC_1919)*coupl(nGC_63) + coupl(nGC_116)*coupl(nGC_2961&
                        )*coupl(nGC_64) + coupl(nGC_117)*coupl(nGC_3231)*coupl(&
                        nGC_94) + coupl(nGC_117)*coupl(nGC_661)*coupl(nGC_91   &
                        ) + coupl(nGC_118)*coupl(nGC_1491)*coupl(nGC_68) +     &
                        coupl(nGC_118)*coupl(nGC_1795)*coupl(nGC_69) + coupl(  &
                        nGC_118)*coupl(nGC_1919)*coupl(nGC_64) + coupl(nGC_118 &
                        )*coupl(nGC_2961)*coupl(nGC_63) + coupl(nGC_119)*coupl(&
                        nGC_1491)*coupl(nGC_1919) + coupl(nGC_119)*coupl(      &
                        nGC_1795)*coupl(nGC_2961) + coupl(nGC_119)*coupl(nGC_63&
                        )*coupl(nGC_69) + coupl(nGC_119)*coupl(nGC_64)*coupl(  &
                        nGC_68) + coupl(nGC_120)*coupl(nGC_661)*coupl(nGC_92   &
                        ) + coupl(nGC_121)*coupl(nGC_661)*coupl(nGC_92) - coupl&
                        (nGC_124)*coupl(nGC_1491)*coupl(nGC_64) - coupl(nGC_124&
                        )*coupl(nGC_1795)*coupl(nGC_63) - coupl(nGC_124)*coupl(&
                        nGC_1919)*coupl(nGC_68) - coupl(nGC_124)*coupl(nGC_2961&
                        )*coupl(nGC_69) - coupl(nGC_125)*coupl(nGC_1491)*coupl(&
                        nGC_68) - coupl(nGC_125)*coupl(nGC_1491)*coupl(nGC_69  &
                        ) - coupl(nGC_125)*coupl(nGC_1795)*coupl(nGC_68) -     &
                        coupl(nGC_125)*coupl(nGC_1795)*coupl(nGC_69) - coupl(  &
                        nGC_125)*coupl(nGC_1919)*coupl(nGC_63) - coupl(nGC_125 &
                        )*coupl(nGC_1919)*coupl(nGC_64) - coupl(nGC_125)*coupl(&
                        nGC_2961)*coupl(nGC_63) - coupl(nGC_125)*coupl(nGC_2961&
                        )*coupl(nGC_64) - coupl(nGC_128)*coupl(nGC_661)*coupl( &
                        nGC_94) - coupl(nGC_129)*coupl(nGC_3231)*coupl(nGC_94  &
                        ) - coupl(nGC_129)*coupl(nGC_661)*coupl(nGC_91) - coupl&
                        (nGC_129)*coupl(nGC_661)*coupl(nGC_92))/(32d0*pi**2d0)
      coupl(nGC_8959) = (24d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_141)**2d0 + 24d0*&
                        Nc*cMC*coupl(nGC_130)**2d0*coupl(nGC_133) + 24d0*Nc*cMD&
                        *coupl(nGC_145)**2d0*coupl(nGC_149) + 24d0*Nc*cMS*coupl&
                        (nGC_169)**2d0*coupl(nGC_173) + 24d0*Nc*cMT*coupl(     &
                        nGC_177)**2d0*coupl(nGC_180) + 24d0*Nc*cMU*coupl(      &
                        nGC_192)**2d0*coupl(nGC_195) + 24d0*cME*coupl(nGC_153  &
                        )**2d0*coupl(nGC_157) + 24d0*cMM*coupl(nGC_161)**2d0*  &
                        coupl(nGC_165) + 24d0*cMTA*coupl(nGC_184)**2d0*coupl(  &
                        nGC_188) + 4d0*cima*coupl(nGC_125)*coupl(nGC_61) + 2d0*&
                        cima*coupl(nGC_129)*coupl(nGC_99) + coupl(nGC_1079)*   &
                        coupl(nGC_113)*coupl(nGC_94) + coupl(nGC_1079)*coupl(  &
                        nGC_120)*coupl(nGC_91) - coupl(nGC_1079)*coupl(nGC_128 &
                        )*coupl(nGC_94) + coupl(nGC_108)*coupl(nGC_1491)*coupl(&
                        nGC_69) + coupl(nGC_108)*coupl(nGC_1795)*coupl(nGC_68  &
                        ) + coupl(nGC_108)*coupl(nGC_1919)*coupl(nGC_63) +     &
                        coupl(nGC_108)*coupl(nGC_2961)*coupl(nGC_64) + coupl(  &
                        nGC_109)*coupl(nGC_3231)*coupl(nGC_94) + coupl(nGC_109 &
                        )*coupl(nGC_661)*coupl(nGC_91) + coupl(nGC_110)*coupl( &
                        nGC_1491)*coupl(nGC_68) + coupl(nGC_110)*coupl(nGC_1795&
                        )*coupl(nGC_69) + coupl(nGC_110)*coupl(nGC_1919)*coupl(&
                        nGC_64) + coupl(nGC_110)*coupl(nGC_2961)*coupl(nGC_63  &
                        ) + coupl(nGC_111)*coupl(nGC_1491)*coupl(nGC_2961) +   &
                        coupl(nGC_111)*coupl(nGC_1795)*coupl(nGC_1919) + coupl(&
                        nGC_111)*coupl(nGC_63)*coupl(nGC_68) + coupl(nGC_111)* &
                        coupl(nGC_64)*coupl(nGC_69) + coupl(nGC_112)*coupl(    &
                        nGC_3231)*coupl(nGC_94) + coupl(nGC_112)*coupl(nGC_661 &
                        )*coupl(nGC_91) + coupl(nGC_113)*coupl(nGC_661)*coupl( &
                        nGC_92) + coupl(nGC_116)*coupl(nGC_1491)*coupl(nGC_64  &
                        ) + coupl(nGC_116)*coupl(nGC_1795)*coupl(nGC_63) +     &
                        coupl(nGC_117)*coupl(nGC_3231)*coupl(nGC_91) + coupl(  &
                        nGC_118)*coupl(nGC_1919)*coupl(nGC_68) + coupl(nGC_118 &
                        )*coupl(nGC_2961)*coupl(nGC_69) + 2d0*coupl(nGC_119)*  &
                        coupl(nGC_1491)*coupl(nGC_1795) + coupl(nGC_119)*coupl(&
                        nGC_1919)**2d0 + coupl(nGC_119)*coupl(nGC_2961)**2d0 + &
                        2d0*coupl(nGC_119)*coupl(nGC_63)*coupl(nGC_64) + coupl(&
                        nGC_119)*coupl(nGC_68)**2d0 + coupl(nGC_119)*coupl(    &
                        nGC_69)**2d0 + coupl(nGC_120)*coupl(nGC_3231)*coupl(   &
                        nGC_92) + 2d0*coupl(nGC_120)*coupl(nGC_661)*coupl(     &
                        nGC_94) + coupl(nGC_121)*coupl(nGC_661)*coupl(nGC_94   &
                        ) - coupl(nGC_124)*coupl(nGC_1491)*coupl(nGC_68) -     &
                        coupl(nGC_124)*coupl(nGC_1491)*coupl(nGC_69) - coupl(  &
                        nGC_124)*coupl(nGC_1795)*coupl(nGC_68) - coupl(nGC_124 &
                        )*coupl(nGC_1795)*coupl(nGC_69) - coupl(nGC_124)*coupl(&
                        nGC_1919)*coupl(nGC_63) - coupl(nGC_124)*coupl(nGC_1919&
                        )*coupl(nGC_64) - coupl(nGC_124)*coupl(nGC_2961)*coupl(&
                        nGC_63) - coupl(nGC_124)*coupl(nGC_2961)*coupl(nGC_64  &
                        ) - coupl(nGC_125)*coupl(nGC_1491)*coupl(nGC_64) -     &
                        coupl(nGC_125)*coupl(nGC_1795)*coupl(nGC_63) - coupl(  &
                        nGC_125)*coupl(nGC_1919)*coupl(nGC_68) - coupl(nGC_125 &
                        )*coupl(nGC_2961)*coupl(nGC_69) - coupl(nGC_128)*coupl(&
                        nGC_3231)*coupl(nGC_94) - coupl(nGC_128)*coupl(nGC_661 &
                        )*coupl(nGC_91) - coupl(nGC_128)*coupl(nGC_661)*coupl( &
                        nGC_92) - coupl(nGC_129)*coupl(nGC_3231)*coupl(nGC_91  &
                        ) - coupl(nGC_129)*coupl(nGC_661)*coupl(nGC_94))/(32d0*&
                        pi**2d0)
      coupl(nGC_TS_GC_111_Hh) = -coupl(nGC_111)*dtHh_QED1/cMHH**2d0
      coupl(nGC_8956) = coupl(nGC_194)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8957) = 3d0*(8d0*Nc*cMB*coupl(nGC_137)**3d0 + 8d0*Nc*cMC*coupl(&
                        nGC_133)**3d0 + 8d0*Nc*cMD*coupl(nGC_149)**3d0 + 8d0*Nc&
                        *cMS*coupl(nGC_173)**3d0 + 8d0*Nc*cMT*coupl(nGC_180)** &
                        3d0 + 8d0*Nc*cMU*coupl(nGC_195)**3d0 + 8d0*cME*coupl(  &
                        nGC_157)**3d0 + 8d0*cMM*coupl(nGC_165)**3d0 + 8d0*cMTA*&
                        coupl(nGC_188)**3d0 + 4d0*cima*coupl(nGC_125)*coupl(   &
                        nGC_61) + 2d0*cima*coupl(nGC_129)*coupl(nGC_99) + coupl&
                        (nGC_1079)*coupl(nGC_112)*coupl(nGC_94) + coupl(       &
                        nGC_1079)*coupl(nGC_121)*coupl(nGC_92) - coupl(nGC_1079&
                        )*coupl(nGC_129)*coupl(nGC_92) + coupl(nGC_111)*coupl( &
                        nGC_1491)*coupl(nGC_1919) + coupl(nGC_111)*coupl(      &
                        nGC_1795)*coupl(nGC_2961) + coupl(nGC_111)*coupl(nGC_63&
                        )*coupl(nGC_69) + coupl(nGC_111)*coupl(nGC_64)*coupl(  &
                        nGC_68) + coupl(nGC_112)*coupl(nGC_661)*coupl(nGC_92   &
                        ) + coupl(nGC_116)*coupl(nGC_1919)*coupl(nGC_68) +     &
                        coupl(nGC_116)*coupl(nGC_2961)*coupl(nGC_69) + coupl(  &
                        nGC_117)*coupl(nGC_661)*coupl(nGC_94) + coupl(nGC_118)*&
                        coupl(nGC_1491)*coupl(nGC_64) + coupl(nGC_118)*coupl(  &
                        nGC_1795)*coupl(nGC_63) - coupl(nGC_125)*coupl(nGC_1491&
                        )*coupl(nGC_64) - coupl(nGC_125)*coupl(nGC_1795)*coupl(&
                        nGC_63) - coupl(nGC_125)*coupl(nGC_1919)*coupl(nGC_68  &
                        ) - coupl(nGC_125)*coupl(nGC_2961)*coupl(nGC_69) -     &
                        coupl(nGC_129)*coupl(nGC_661)*coupl(nGC_94))/(32d0*pi**&
                        2d0)
      coupl(nGC_8950) = coupl(nGC_179)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8951) = (coupl(nGC_1079)*coupl(nGC_188)*coupl(nGC_86) - coupl( &
                        nGC_184)**2d0*coupl(nGC_187) + coupl(nGC_184)*coupl(   &
                        nGC_661)*coupl(nGC_86) + coupl(nGC_184)*coupl(nGC_89)* &
                        coupl(nGC_94) + coupl(nGC_185)*coupl(nGC_72)*coupl(    &
                        nGC_80) - coupl(nGC_186)**2d0*coupl(nGC_187) + 8d0*    &
                        coupl(nGC_186)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_186)* &
                        coupl(nGC_86)*coupl(nGC_89) - coupl(nGC_187)*coupl(    &
                        nGC_188)**2d0 - coupl(nGC_187)*coupl(nGC_190)**2d0 +   &
                        coupl(nGC_188)*coupl(nGC_89)*coupl(nGC_92))/(32d0*pi** &
                        2d0)
      coupl(nGC_8952) = (coupl(nGC_1079)*coupl(nGC_188)*coupl(nGC_89) + coupl( &
                        nGC_1319)*coupl(nGC_185)*coupl(nGC_80) - coupl(nGC_184 &
                        )**2d0*coupl(nGC_186) + coupl(nGC_184)*coupl(nGC_661)* &
                        coupl(nGC_89) + coupl(nGC_184)*coupl(nGC_86)*coupl(    &
                        nGC_94) - coupl(nGC_186)*coupl(nGC_187)**2d0 - coupl(  &
                        nGC_186)*coupl(nGC_188)**2d0 - coupl(nGC_186)*coupl(   &
                        nGC_191)**2d0 + 8d0*coupl(nGC_187)*coupl(nGC_4)**2d0 + &
                        8d0*coupl(nGC_187)*coupl(nGC_86)*coupl(nGC_89) + coupl(&
                        nGC_188)*coupl(nGC_86)*coupl(nGC_92))/(32d0*pi**2d0)
      coupl(nGC_13203) = coupl(nGC_194)*dZHaG0_QED2/2d0
      coupl(nGC_9421) = coupl(nGC_8437)*dydo2_QED1_QCD2 + coupl(nGC_8439)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_13207) = coupl(nGC_198)*dZG0/2d0
      coupl(nGC_9352) = coupl(nGC_7951)*dsw_QED2 + coupl(nGC_7952)*dZee_QED2
      coupl(nGC_8792) = (coupl(nGC_162)**2d0*coupl(nGC_4) + coupl(nGC_166)**2d0&
                        *coupl(nGC_4) + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 +  &
                        4d0*coupl(nGC_4)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8790) = (coupl(nGC_161)**2d0*coupl(nGC_4) + coupl(nGC_163)*    &
                        coupl(nGC_164)*coupl(nGC_4) + coupl(nGC_165)**2d0*coupl&
                        (nGC_4) + coupl(nGC_167)*coupl(nGC_168)*coupl(nGC_4) - &
                        4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_4  &
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_89)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_8824) = coupl(nGC_150)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8797) = (coupl(nGC_1)*coupl(nGC_178)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_181)**2d0 + coupl(nGC_177)**2d0*coupl(nGC_2) +     &
                        coupl(nGC_179)*coupl(nGC_2)*coupl(nGC_2153) + coupl(   &
                        nGC_180)**2d0*coupl(nGC_2) + coupl(nGC_182)*coupl(     &
                        nGC_183)*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*   &
                        coupl(nGC_2)*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8795) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_169)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_171)*coupl(nGC_172) +     &
                        coupl(nGC_1)*coupl(nGC_173)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_175)*coupl(nGC_176) + 4d0*coupl(nGC_1)*coupl(nGC_84&
                        )**2d0 + coupl(nGC_170)**2d0*coupl(nGC_2) + coupl(     &
                        nGC_174)**2d0*coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_8829) = (coupl(nGC_1283)*coupl(nGC_189)*coupl(nGC_90) + coupl( &
                        nGC_1491)*coupl(nGC_184)*coupl(nGC_80) + coupl(nGC_17)*&
                        coupl(nGC_189)*coupl(nGC_4) + coupl(nGC_188)*coupl(    &
                        nGC_2961)*coupl(nGC_80) + 8d0*coupl(nGC_189)*coupl(    &
                        nGC_86)*coupl(nGC_90) + coupl(nGC_189)*coupl(nGC_86)*  &
                        coupl(nGC_96) + coupl(nGC_191)*coupl(nGC_72)*coupl(    &
                        nGC_80))/(32d0*pi**2d0)
      coupl(nGC_8798) = coupl(nGC_4)*(coupl(nGC_184)**2d0 + coupl(nGC_186)*    &
                        coupl(nGC_187) + coupl(nGC_188)**2d0 + coupl(nGC_190)* &
                        coupl(nGC_191) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(    &
                        nGC_86)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8799) = (coupl(nGC_184)**2d0*coupl(nGC_4) + coupl(nGC_186)*    &
                        coupl(nGC_187)*coupl(nGC_4) + coupl(nGC_188)**2d0*coupl&
                        (nGC_4) + coupl(nGC_190)*coupl(nGC_191)*coupl(nGC_4) - &
                        4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_4  &
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_89)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_22_Hl) = -coupl(nGC_22)*dtHl_QED1/cMHL**2d0
      coupl(nGC_9373) = coupl(nGC_8387)*dcw_QED2 + coupl(nGC_8388)*dZee_QED2
      coupl(nGC_9372) = coupl(nGC_8679)*dcw_QED2 + coupl(nGC_8680)*db_QED2 +   &
                        coupl(nGC_8681)*dsw_QED2 + coupl(nGC_8682)*dZee_QED2 + &
                        coupl(nGC_8683)*da_QED2
      coupl(nGC_17104) = coupl(nGC_177)*dZHl_QED2/2d0 + coupl(nGC_180)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_9504)
      coupl(nGC_9370) = coupl(nGC_8646)*dcw_QED2 + coupl(nGC_8647)*db_QED2 +   &
                        coupl(nGC_8648)*dsw_QED2 + coupl(nGC_8649)*dZee_QED2 + &
                        coupl(nGC_8650)*da_QED2
      coupl(nGC_9377) = coupl(nGC_8492)*dvev2_QED1 + coupl(nGC_8493)*dcw_QED2  &
                         + coupl(nGC_8494)*db_QED2 + coupl(nGC_8495)*dvev1_QED1&
                         + coupl(nGC_8496)*dZee_QED2
      coupl(nGC_9376) = coupl(nGC_8175)*dcw_QED2 + coupl(nGC_8176)*db_QED2 +   &
                        coupl(nGC_8177)*dZee_QED2 + coupl(nGC_8178)*da_QED2
      coupl(nGC_9375) = coupl(nGC_7926)*dcw_QED2 + coupl(nGC_7927)*db_QED2 +   &
                        coupl(nGC_7928)*dZee_QED2 + coupl(nGC_7929)*da_QED2
      coupl(nGC_9379) = coupl(nGC_8363)*dcw_QED2 + coupl(nGC_8364)*dZee_QED2
      coupl(nGC_TS_GC_12_Hh) = -coupl(nGC_12)*dtHh_QED1/cMHH**2d0
      coupl(nGC_12640) = coupl(nGC_60)*dZGMinus
      coupl(nGC_17699) = -coupl(nGC_12660)
      coupl(nGC_16613) = coupl(nGC_141)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_16612) = coupl(nGC_141)*(dZbL_QED2 + dZbR_QED2)/2d0
    end subroutine fill_CTcouplings_mdl9
end module fill_ctcouplings9
