!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl10()
      allocate(vertices(368)%branchR2(0:0))
      call avR2(368, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8834])

      allocate(vertices(1423)%branchR2(0:0))
      call avR2(1423, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

      allocate(vertices(576)%branchR2(0:0))
      call avR2(576, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(152)%branchR2(0:0))
      call avR2(152, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8889])

      allocate(vertices(559)%branchR2(0:0))
      call avR2(559, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9126])

      allocate(vertices(493)%branchR2(0:0))
      call avR2(493, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8803])

      allocate(vertices(3237)%branchR2(0:0))
      call avR2(3237, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9163])

      allocate(vertices(2471)%branchR2(0:1))
      call avR2(2471, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8964, nGC_8964])

      call avR2(2471, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8962, nGC_8963])

      allocate(vertices(258)%branchR2(0:0))
      call avR2(258, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(1721)%branchR2(0:0))
      call avR2(1721, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(1407)%branchR2(0:0))
      call avR2(1407, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9080])

      allocate(vertices(1438)%branchR2(0:0))
      call avR2(1438, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8890])

      allocate(vertices(1968)%branchR2(0:0))
      call avR2(1968, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(2724)%branchR2(0:0))
      call avR2(2724, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(754)%branchR2(0:1))
      call avR2(754, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8898, nGC_8896])

      call avR2(754, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8915, nGC_8914])

      allocate(vertices(3663)%branchR2(0:0))
      call avR2(3663, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9088])

      allocate(vertices(1243)%branchR2(0:0))
      call avR2(1243, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(318)%branchR2(0:1))
      call avR2(318, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8901, nGC_8899])

      call avR2(318, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8902, nGC_8900])

      allocate(vertices(2492)%branchR2(0:0))
      call avR2(2492, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8972, nGC_8971])

      allocate(vertices(1492)%branchR2(0:0))
      call avR2(1492, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8812])

      allocate(vertices(2029)%branchR2(0:0))
      call avR2(2029, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8909])

      allocate(vertices(1341)%branchR2(0:0))
      call avR2(1341, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9182])

      allocate(vertices(3664)%branchR2(0:1))
      call avR2(3664, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9217])

      call avR2(3664, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9216])

      allocate(vertices(3516)%branchR2(0:0))
      call avR2(3516, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9122])

      allocate(vertices(2173)%branchR2(0:3))
      call avR2(2173, 0, 22, 1, 0, FaFV1, 0, [1, 2], [nGC_9061, nGC_9060])

      call avR2(2173, 1, 22, 1, 0, FaFV1, 0, [3, 0], [nGC_9052, nGC_9052])

      call avR2(2173, 2, 23, 1, 0, FaFV1, 0, [1, 2], [nGC_9059, nGC_9058])

      call avR2(2173, 3, 23, 1, 0, FaFV1, 0, [3, 0], [nGC_9049, nGC_9049])

      allocate(vertices(3173)%branchR2(0:0))
      call avR2(3173, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9079])

      allocate(vertices(3313)%branchR2(0:0))
      call avR2(3313, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30582])

      allocate(vertices(944)%branchR2(0:0))
      call avR2(944, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9222])

      allocate(vertices(1075)%branchR2(0:0))
      call avR2(1075, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(2414)%branchR2(0:0))
      call avR2(2414, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9116])

      allocate(vertices(1489)%branchR2(0:0))
      call avR2(1489, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(1563)%branchR2(0:0))
      call avR2(1563, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9244])

      allocate(vertices(1199)%branchR2(0:0))
      call avR2(1199, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8889])

      allocate(vertices(259)%branchR2(0:0))
      call avR2(259, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8888])

      allocate(vertices(2070)%branchR2(0:0))
      call avR2(2070, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(3129)%branchR2(0:0))
      call avR2(3129, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9108])

      allocate(vertices(2521)%branchR2(0:0))
      call avR2(2521, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(2347)%branchR2(0:1))
      call avR2(2347, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8953, nGC_8955])

      call avR2(2347, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8954, nGC_8956])

      allocate(vertices(2424)%branchR2(0:0))
      call avR2(2424, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(3665)%branchR2(0:1))
      call avR2(3665, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9243])

      call avR2(3665, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9242])

      allocate(vertices(2103)%branchR2(0:0))
      call avR2(2103, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8829])

      allocate(vertices(2842)%branchR2(0:0))
      call avR2(2842, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9095])

      allocate(vertices(16)%branchR2(0:0))
      call avR2(16, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_9013, nGC_9012])

      allocate(vertices(1441)%branchR2(0:0))
      call avR2(1441, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(2454)%branchR2(0:0))
      call avR2(2454, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_30606])

      allocate(vertices(1744)%branchR2(0:0))
      call avR2(1744, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9128])

      allocate(vertices(1833)%branchR2(0:0))
      call avR2(1833, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(3666)%branchR2(0:0))
      call avR2(3666, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9111])

      allocate(vertices(1707)%branchR2(0:0))
      call avR2(1707, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

      allocate(vertices(437)%branchR2(0:0))
      call avR2(437, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(2326)%branchR2(0:0))
      call avR2(2326, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(2295)%branchR2(0:0))
      call avR2(2295, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8828])

      allocate(vertices(2751)%branchR2(0:0))
      call avR2(2751, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_8702, nGC_8701])

      allocate(vertices(519)%branchR2(0:1))
      call avR2(519, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8815, nGC_8817])

      call avR2(519, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8816, nGC_8818])

      allocate(vertices(2533)%branchR2(0:0))
      call avR2(2533, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(1620)%branchR2(0:0))
      call avR2(1620, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(3029)%branchR2(0:0))
      call avR2(3029, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(2509)%branchR2(0:0))
      call avR2(2509, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29632])

      allocate(vertices(1834)%branchR2(0:0))
      call avR2(1834, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8894])

      allocate(vertices(3502)%branchR2(0:0))
      call avR2(3502, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9180])

      allocate(vertices(569)%branchR2(0:0))
      call avR2(569, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(2757)%branchR2(0:0))
      call avR2(2757, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9196])

      allocate(vertices(1171)%branchR2(0:0))
      call avR2(1171, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

      allocate(vertices(1053)%branchR2(0:0))
      call avR2(1053, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8989])

      allocate(vertices(418)%branchR2(0:0))
      call avR2(418, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9116])

      allocate(vertices(2488)%branchR2(0:0))
      call avR2(2488, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(2673)%branchR2(0:0))
      call avR2(2673, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9123, nGC_9124,       &
      nGC_9125])

      allocate(vertices(2604)%branchR2(0:0))
      call avR2(2604, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(3667)%branchR2(0:0))
      call avR2(3667, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(1263)%branchR2(0:0))
      call avR2(1263, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(2695)%branchR2(0:0))
      call avR2(2695, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(2455)%branchR2(0:0))
      call avR2(2455, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(3472)%branchR2(0:0))
      call avR2(3472, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_8792])

      allocate(vertices(2575)%branchR2(0:0))
      call avR2(2575, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

      allocate(vertices(131)%branchR2(0:0))
      call avR2(131, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9044, nGC_9045])

      allocate(vertices(3668)%branchR2(0:0))
      call avR2(3668, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9086])

      allocate(vertices(2547)%branchR2(0:0))
      call avR2(2547, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8805])

      allocate(vertices(1619)%branchR2(0:1))
      call avR2(1619, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8994, nGC_8995])

      call avR2(1619, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8996, nGC_8996])

      allocate(vertices(1322)%branchR2(0:0))
      call avR2(1322, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(2180)%branchR2(0:0))
      call avR2(2180, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8940, nGC_8939])

      allocate(vertices(1203)%branchR2(0:0))
      call avR2(1203, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(448)%branchR2(0:0))
      call avR2(448, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9220])

      allocate(vertices(1510)%branchR2(0:1))
      call avR2(1510, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8927, nGC_8929])

      call avR2(1510, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8928, nGC_8930])

      allocate(vertices(1974)%branchR2(0:0))
      call avR2(1974, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(1605)%branchR2(0:0))
      call avR2(1605, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(2440)%branchR2(0:0))
      call avR2(2440, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9164])

      allocate(vertices(330)%branchR2(0:0))
      call avR2(330, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9214])

      allocate(vertices(2073)%branchR2(0:0))
      call avR2(2073, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9245])

      allocate(vertices(411)%branchR2(0:0))
      call avR2(411, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8990])

      allocate(vertices(2449)%branchR2(0:0))
      call avR2(2449, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9123, nGC_9125,       &
      nGC_9124])

      allocate(vertices(3151)%branchR2(0:0))
      call avR2(3151, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9078])

      allocate(vertices(3506)%branchR2(0:0))
      call avR2(3506, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9205])

      allocate(vertices(1151)%branchR2(0:0))
      call avR2(1151, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30670])

      allocate(vertices(603)%branchR2(0:0))
      call avR2(603, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

      allocate(vertices(2473)%branchR2(0:0))
      call avR2(2473, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9220])

      allocate(vertices(168)%branchR2(0:0))
      call avR2(168, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9144])

      allocate(vertices(985)%branchR2(0:0))
      call avR2(985, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(840)%branchR2(0:1))
      call avR2(840, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8962, nGC_8963])

      call avR2(840, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8964, nGC_8964])

      allocate(vertices(145)%branchR2(0:0))
      call avR2(145, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9133])

      allocate(vertices(3582)%branchR2(0:0))
      call avR2(3582, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9109])

      allocate(vertices(3475)%branchR2(0:0))
      call avR2(3475, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9163])

      allocate(vertices(3351)%branchR2(0:0))
      call avR2(3351, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9159])

      allocate(vertices(1752)%branchR2(0:0))
      call avR2(1752, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(1747)%branchR2(0:0))
      call avR2(1747, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9144])

      allocate(vertices(2244)%branchR2(0:0))
      call avR2(2244, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

      allocate(vertices(1261)%branchR2(0:0))
      call avR2(1261, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(2713)%branchR2(0:0))
      call avR2(2713, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30687])

      allocate(vertices(1822)%branchR2(0:1))
      call avR2(1822, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8895, nGC_8897])

      call avR2(1822, 1, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8896, nGC_8898])

      allocate(vertices(3446)%branchR2(0:0))
      call avR2(3446, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9079])

      allocate(vertices(1370)%branchR2(0:0))
      call avR2(1370, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8847])

      allocate(vertices(3238)%branchR2(0:0))
      call avR2(3238, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(2261)%branchR2(0:0))
      call avR2(2261, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9254, nGC_9253,       &
      nGC_9252])

      allocate(vertices(2720)%branchR2(0:0))
      call avR2(2720, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9196])

      allocate(vertices(913)%branchR2(0:0))
      call avR2(913, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9219])

      allocate(vertices(2451)%branchR2(0:0))
      call avR2(2451, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(1049)%branchR2(0:1))
      call avR2(1049, 0, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_8781, nGC_8781])

      call avR2(1049, 1, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_8795, nGC_8794])

      allocate(vertices(2613)%branchR2(0:0))
      call avR2(2613, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

      allocate(vertices(625)%branchR2(0:0))
      call avR2(625, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9201])

      allocate(vertices(110)%branchR2(0:0))
      call avR2(110, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8989])

      allocate(vertices(3669)%branchR2(0:0))
      call avR2(3669, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9188])

      allocate(vertices(2016)%branchR2(0:1))
      call avR2(2016, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8935, nGC_8937])

      call avR2(2016, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8936, nGC_8938])

      allocate(vertices(3670)%branchR2(0:1))
      call avR2(3670, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9242])

      call avR2(3670, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9243])

      allocate(vertices(3253)%branchR2(0:0))
      call avR2(3253, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9108])

      allocate(vertices(1849)%branchR2(0:0))
      call avR2(1849, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8984, nGC_8983])

      allocate(vertices(1385)%branchR2(0:0))
      call avR2(1385, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9124, nGC_9125,       &
      nGC_9123])

      allocate(vertices(1339)%branchR2(0:1))
      call avR2(1339, 0, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_9030, nGC_9028])

      call avR2(1339, 1, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_9043, nGC_9042])

      allocate(vertices(2939)%branchR2(0:0))
      call avR2(2939, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9096])

      allocate(vertices(2437)%branchR2(0:0))
      call avR2(2437, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9215])

      allocate(vertices(3671)%branchR2(0:1))
      call avR2(3671, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9161])

      call avR2(3671, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9162])

      allocate(vertices(502)%branchR2(0:0))
      call avR2(502, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(1859)%branchR2(0:0))
      call avR2(1859, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(1858)%branchR2(0:0))
      call avR2(1858, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9093])

      allocate(vertices(176)%branchR2(0:0))
      call avR2(176, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9099])

      allocate(vertices(1007)%branchR2(0:0))
      call avR2(1007, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(2656)%branchR2(0:0))
      call avR2(2656, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8855])

      allocate(vertices(1269)%branchR2(0:0))
      call avR2(1269, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(3020)%branchR2(0:0))
      call avR2(3020, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9095])

      allocate(vertices(844)%branchR2(0:1))
      call avR2(844, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8996, nGC_8996])

      call avR2(844, 1, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8994, nGC_8995])

      allocate(vertices(1795)%branchR2(0:0))
      call avR2(1795, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(2283)%branchR2(0:0))
      call avR2(2283, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8984, nGC_8983])

      allocate(vertices(2749)%branchR2(0:0))
      call avR2(2749, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(2883)%branchR2(0:0))
      call avR2(2883, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9079])

      allocate(vertices(249)%branchR2(0:0))
      call avR2(249, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(2599)%branchR2(0:0))
      call avR2(2599, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9113])

      allocate(vertices(2561)%branchR2(0:1))
      call avR2(2561, 0, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_8784, nGC_8784])

      call avR2(2561, 1, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_8783, nGC_8782])

      allocate(vertices(2322)%branchR2(0:0))
      call avR2(2322, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8959])

      allocate(vertices(1068)%branchR2(0:0))
      call avR2(1068, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(2198)%branchR2(0:0))
      call avR2(2198, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9100])

      allocate(vertices(1352)%branchR2(0:0))
      call avR2(1352, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

      allocate(vertices(599)%branchR2(0:0))
      call avR2(599, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9244])

      allocate(vertices(2030)%branchR2(0:0))
      call avR2(2030, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9227])

      allocate(vertices(233)%branchR2(0:0))
      call avR2(233, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_9036, nGC_9037])

      allocate(vertices(3672)%branchR2(0:1))
      call avR2(3672, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9216])

      call avR2(3672, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9217])

      allocate(vertices(1656)%branchR2(0:0))
      call avR2(1656, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8764])

      allocate(vertices(1999)%branchR2(0:0))
      call avR2(1999, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(234)%branchR2(0:0))
      call avR2(234, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(1418)%branchR2(0:0))
      call avR2(1418, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(3273)%branchR2(0:0))
      call avR2(3273, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8777])

      allocate(vertices(1170)%branchR2(0:1))
      call avR2(1170, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8994, nGC_8995])

      call avR2(1170, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8996, nGC_8996])

      allocate(vertices(3458)%branchR2(0:0))
      call avR2(3458, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(638)%branchR2(0:0))
      call avR2(638, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8952, nGC_8951])

      allocate(vertices(2490)%branchR2(0:0))
      call avR2(2490, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9219])

      allocate(vertices(3673)%branchR2(0:0))
      call avR2(3673, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(282)%branchR2(0:0))
      call avR2(282, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9222])

      allocate(vertices(2183)%branchR2(0:0))
      call avR2(2183, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9215])

      allocate(vertices(3674)%branchR2(0:0))
      call avR2(3674, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9098, nGC_9098,       &
      nGC_9097])

      allocate(vertices(3044)%branchR2(0:0))
      call avR2(3044, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(2796)%branchR2(0:0))
      call avR2(2796, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(2514)%branchR2(0:0))
      call avR2(2514, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9035])

      allocate(vertices(3675)%branchR2(0:1))
      call avR2(3675, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9256, nGC_9256,      &
      nGC_9256])

      call avR2(3675, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9257, nGC_9257,      &
      nGC_9257])

      allocate(vertices(1578)%branchR2(0:1))
      call avR2(1578, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8858, nGC_8860])

      call avR2(1578, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8859, nGC_8861])

      allocate(vertices(372)%branchR2(0:0))
      call avR2(372, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(310)%branchR2(0:0))
      call avR2(310, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9201])

      allocate(vertices(1296)%branchR2(0:0))
      call avR2(1296, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(966)%branchR2(0:1))
      call avR2(966, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8786, nGC_8785])

      call avR2(966, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8781, nGC_8781])

      allocate(vertices(506)%branchR2(0:0))
      call avR2(506, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9215])

      allocate(vertices(908)%branchR2(0:0))
      call avR2(908, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(1633)%branchR2(0:0))
      call avR2(1633, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(505)%branchR2(0:0))
      call avR2(505, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(484)%branchR2(0:0))
      call avR2(484, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9183])

      allocate(vertices(555)%branchR2(0:0))
      call avR2(555, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9114])

      allocate(vertices(685)%branchR2(0:0))
      call avR2(685, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8894])

      allocate(vertices(691)%branchR2(0:0))
      call avR2(691, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9193])

      allocate(vertices(2022)%branchR2(0:0))
      call avR2(2022, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(2090)%branchR2(0:0))
      call avR2(2090, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(1591)%branchR2(0:0))
      call avR2(1591, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(3676)%branchR2(0:0))
      call avR2(3676, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9082])

      allocate(vertices(2270)%branchR2(0:1))
      call avR2(2270, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8996, nGC_8996])

      call avR2(2270, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8994, nGC_8995])

      allocate(vertices(3552)%branchR2(0:0))
      call avR2(3552, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(670)%branchR2(0:1))
      call avR2(670, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8931, nGC_8933])

      call avR2(670, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8932, nGC_8934])

      allocate(vertices(3092)%branchR2(0:0))
      call avR2(3092, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9096])

      allocate(vertices(1480)%branchR2(0:0))
      call avR2(1480, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8803])

      allocate(vertices(780)%branchR2(0:0))
      call avR2(780, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9113])

      allocate(vertices(314)%branchR2(0:0))
      call avR2(314, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

      allocate(vertices(1127)%branchR2(0:0))
      call avR2(1127, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9244])

      allocate(vertices(948)%branchR2(0:1))
      call avR2(948, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8823, nGC_8825])

      call avR2(948, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8824, nGC_8826])

      allocate(vertices(2407)%branchR2(0:0))
      call avR2(2407, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9118])

      allocate(vertices(782)%branchR2(0:0))
      call avR2(782, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

      allocate(vertices(2502)%branchR2(0:0))
      call avR2(2502, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9222])

      allocate(vertices(2268)%branchR2(0:0))
      call avR2(2268, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(548)%branchR2(0:0))
      call avR2(548, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9227])

      allocate(vertices(2670)%branchR2(0:0))
      call avR2(2670, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9094])

      allocate(vertices(3677)%branchR2(0:0))
      call avR2(3677, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9111])

      allocate(vertices(2439)%branchR2(0:0))
      call avR2(2439, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(61)%branchR2(0:0))
      call avR2(61, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_8789, nGC_8790])

      allocate(vertices(1328)%branchR2(0:0))
      call avR2(1328, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9213])

      allocate(vertices(1283)%branchR2(0:0))
      call avR2(1283, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8847])

      allocate(vertices(3272)%branchR2(0:0))
      call avR2(3272, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(3302)%branchR2(0:0))
      call avR2(3302, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9205])

      allocate(vertices(344)%branchR2(0:0))
      call avR2(344, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(1794)%branchR2(0:0))
      call avR2(1794, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(433)%branchR2(0:0))
      call avR2(433, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(2367)%branchR2(0:0))
      call avR2(2367, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(248)%branchR2(0:0))
      call avR2(248, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(3678)%branchR2(0:1))
      call avR2(3678, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9217])

      call avR2(3678, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9216])

      allocate(vertices(278)%branchR2(0:1))
      call avR2(278, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8931, nGC_8933])

      call avR2(278, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8932, nGC_8934])

      allocate(vertices(307)%branchR2(0:0))
      call avR2(307, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8922])

      allocate(vertices(676)%branchR2(0:0))
      call avR2(676, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(3679)%branchR2(0:0))
      call avR2(3679, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(3418)%branchR2(0:0))
      call avR2(3418, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9110])

      allocate(vertices(399)%branchR2(0:0))
      call avR2(399, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8989])

      allocate(vertices(2582)%branchR2(0:3))
      call avR2(2582, 0, 22, 1, 0, FaFV1, 0, [1, 2], [nGC_9053, nGC_9051])

      call avR2(2582, 1, 22, 1, 0, FaFV1, 0, [3, 0], [nGC_9052, nGC_9052])

      call avR2(2582, 2, 23, 1, 0, FaFV1, 0, [1, 2], [nGC_9050, nGC_9048])

      call avR2(2582, 3, 23, 1, 0, FaFV1, 0, [3, 0], [nGC_9049, nGC_9049])

      allocate(vertices(2929)%branchR2(0:0))
      call avR2(2929, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_8744, nGC_8745,       &
      nGC_8753, nGC_8753])

      allocate(vertices(1512)%branchR2(0:0))
      call avR2(1512, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9117])

      allocate(vertices(3390)%branchR2(0:1))
      call avR2(3390, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_8737, nGC_8734,       &
      nGC_8735, nGC_8735])

      call avR2(3390, 1, 14, 1, 0, FFa1, 0, [2, 0], [nGC_8733, nGC_8733,       &
      nGC_8736, nGC_8736])

      allocate(vertices(102)%branchR2(0:0))
      call avR2(102, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

      allocate(vertices(2907)%branchR2(0:0))
      call avR2(2907, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_8791])

      allocate(vertices(2499)%branchR2(0:0))
      call avR2(2499, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(1877)%branchR2(0:0))
      call avR2(1877, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8833])

      allocate(vertices(19)%branchR2(0:0))
      call avR2(19, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

      allocate(vertices(3680)%branchR2(0:5))
      call avR2(3680, 0, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_9260, nGC_9260,      &
      nGC_9260])

      call avR2(3680, 1, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_9259, nGC_9259,      &
      nGC_9259])

      call avR2(3680, 2, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_9259, nGC_9259,      &
      nGC_9259])

      call avR2(3680, 3, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_9260, nGC_9260,      &
      nGC_9260])

      call avR2(3680, 4, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_9259, nGC_9259,      &
      nGC_9259])

      call avR2(3680, 5, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_9258, nGC_9258,      &
      nGC_9258])

      allocate(vertices(945)%branchR2(0:1))
      call avR2(945, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8820, nGC_8822])

      call avR2(945, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8842, nGC_8843])

      allocate(vertices(41)%branchR2(0:0))
      call avR2(41, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8913])

      allocate(vertices(116)%branchR2(0:0))
      call avR2(116, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8871, nGC_8870])

      allocate(vertices(3681)%branchR2(0:0))
      call avR2(3681, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9092])

      allocate(vertices(1917)%branchR2(0:0))
      call avR2(1917, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9220])

      allocate(vertices(2001)%branchR2(0:0))
      call avR2(2001, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(609)%branchR2(0:0))
      call avR2(609, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9099])

      allocate(vertices(1537)%branchR2(0:1))
      call avR2(1537, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8884, nGC_8886])

      call avR2(1537, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8885, nGC_8887])

      allocate(vertices(645)%branchR2(0:0))
      call avR2(645, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

      allocate(vertices(1959)%branchR2(0:0))
      call avR2(1959, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9090, nGC_9091,       &
      nGC_9089])

      allocate(vertices(316)%branchR2(0:0))
      call avR2(316, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9128])

      allocate(vertices(3550)%branchR2(0:0))
      call avR2(3550, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(2602)%branchR2(0:0))
      call avR2(2602, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(1323)%branchR2(0:0))
      call avR2(1323, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(3682)%branchR2(0:1))
      call avR2(3682, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9130, nGC_9130,      &
      nGC_9130])

      call avR2(3682, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9131, nGC_9131,      &
      nGC_9131])

      allocate(vertices(624)%branchR2(0:0))
      call avR2(624, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8846])

      allocate(vertices(3570)%branchR2(0:0))
      call avR2(3570, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9204])

      allocate(vertices(2021)%branchR2(0:0))
      call avR2(2021, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8976, nGC_8975])

      allocate(vertices(3683)%branchR2(0:1))
      call avR2(3683, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9247])

      call avR2(3683, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9246])

      allocate(vertices(1664)%branchR2(0:0))
      call avR2(1664, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30427])

      allocate(vertices(1718)%branchR2(0:0))
      call avR2(1718, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(1271)%branchR2(0:0))
      call avR2(1271, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9251, nGC_9250,       &
      nGC_9251])

      allocate(vertices(2774)%branchR2(0:0))
      call avR2(2774, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8835])

      allocate(vertices(3684)%branchR2(0:1))
      call avR2(3684, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9162])

      call avR2(3684, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9161])

      allocate(vertices(2355)%branchR2(0:0))
      call avR2(2355, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(312)%branchR2(0:1))
      call avR2(312, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8858, nGC_8860])

      call avR2(312, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8859, nGC_8861])

      allocate(vertices(1340)%branchR2(0:0))
      call avR2(1340, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9114])

      allocate(vertices(3685)%branchR2(0:1))
      call avR2(3685, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9248, nGC_9248,      &
      nGC_9248])

      call avR2(3685, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9249, nGC_9249,      &
      nGC_9249])

      allocate(vertices(2085)%branchR2(0:0))
      call avR2(2085, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(1646)%branchR2(0:0))
      call avR2(1646, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9094])

      allocate(vertices(81)%branchR2(0:0))
      call avR2(81, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(1691)%branchR2(0:0))
      call avR2(1691, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8990])

      allocate(vertices(3686)%branchR2(0:1))
      call avR2(3686, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9198])

      call avR2(3686, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9197])

      allocate(vertices(2202)%branchR2(0:0))
      call avR2(2202, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(455)%branchR2(0:0))
      call avR2(455, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9099])

      allocate(vertices(851)%branchR2(0:1))
      call avR2(851, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8884, nGC_8886])

      call avR2(851, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8885, nGC_8887])

      allocate(vertices(672)%branchR2(0:0))
      call avR2(672, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(2450)%branchR2(0:0))
      call avR2(2450, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(1276)%branchR2(0:0))
      call avR2(1276, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(3687)%branchR2(0:0))
      call avR2(3687, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9087, nGC_9087,       &
      nGC_9087])

      allocate(vertices(2918)%branchR2(0:0))
      call avR2(2918, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9096])

      allocate(vertices(1312)%branchR2(0:0))
      call avR2(1312, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9151])

      allocate(vertices(1205)%branchR2(0:0))
      call avR2(1205, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9171])

      allocate(vertices(3165)%branchR2(0:0))
      call avR2(3165, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_8726, nGC_8725])

      allocate(vertices(889)%branchR2(0:0))
      call avR2(889, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(1520)%branchR2(0:0))
      call avR2(1520, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8891])

      allocate(vertices(3688)%branchR2(0:1))
      call avR2(3688, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9198])

      call avR2(3688, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9197])

      allocate(vertices(1190)%branchR2(0:0))
      call avR2(1190, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(1310)%branchR2(0:0))
      call avR2(1310, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(3518)%branchR2(0:0))
      call avR2(3518, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9110])

      allocate(vertices(2690)%branchR2(0:1))
      call avR2(2690, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8982, nGC_8982])

      call avR2(2690, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8980, nGC_8981])

      allocate(vertices(3032)%branchR2(0:0))
      call avR2(3032, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9181])

      allocate(vertices(1195)%branchR2(0:0))
      call avR2(1195, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8883, nGC_8882])

      allocate(vertices(2593)%branchR2(0:0))
      call avR2(2593, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(3486)%branchR2(0:0))
      call avR2(3486, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(2590)%branchR2(0:0))
      call avR2(2590, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9219])

      allocate(vertices(137)%branchR2(0:0))
      call avR2(137, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8833])

      allocate(vertices(3077)%branchR2(0:0))
      call avR2(3077, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9108])

      allocate(vertices(3362)%branchR2(0:0))
      call avR2(3362, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9196])

      allocate(vertices(3234)%branchR2(0:1))
      call avR2(3234, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_8737, nGC_8734,       &
      nGC_8735, nGC_8735])

      call avR2(3234, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_8733, nGC_8733,       &
      nGC_8736, nGC_8736])

      allocate(vertices(2042)%branchR2(0:1))
      call avR2(2042, 0, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_9026, nGC_9024])

      call avR2(2042, 1, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_9041, nGC_9040])

      allocate(vertices(2470)%branchR2(0:1))
      call avR2(2470, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8943, nGC_8945])

      call avR2(2470, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8944, nGC_8946])

      allocate(vertices(1338)%branchR2(0:0))
      call avR2(1338, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(2588)%branchR2(0:0))
      call avR2(2588, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(139)%branchR2(0:0))
      call avR2(139, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8908])

      allocate(vertices(2512)%branchR2(0:0))
      call avR2(2512, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(2144)%branchR2(0:0))
      call avR2(2144, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8855])

      allocate(vertices(124)%branchR2(0:0))
      call avR2(124, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9126])

      allocate(vertices(360)%branchR2(0:0))
      call avR2(360, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8940, nGC_8939])

      allocate(vertices(3096)%branchR2(0:0))
      call avR2(3096, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9196])

      allocate(vertices(3689)%branchR2(0:1))
      call avR2(3689, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9130, nGC_9130,      &
      nGC_9130])

      call avR2(3689, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9131, nGC_9131,      &
      nGC_9131])

      allocate(vertices(3236)%branchR2(0:0))
      call avR2(3236, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_8704, nGC_8703])

      allocate(vertices(989)%branchR2(0:0))
      call avR2(989, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

      allocate(vertices(1575)%branchR2(0:0))
      call avR2(1575, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8839])

      allocate(vertices(3690)%branchR2(0:5))
      call avR2(3690, 0, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_9139, nGC_9139,      &
      nGC_9139])

      call avR2(3690, 1, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_9138, nGC_9138,      &
      nGC_9138])

      call avR2(3690, 2, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_9138, nGC_9138,      &
      nGC_9138])

      call avR2(3690, 3, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_9139, nGC_9139,      &
      nGC_9139])

      call avR2(3690, 4, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_9138, nGC_9138,      &
      nGC_9138])

      call avR2(3690, 5, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_9137, nGC_9137,      &
      nGC_9137])

      allocate(vertices(2771)%branchR2(0:0))
      call avR2(2771, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8774])

      allocate(vertices(1367)%branchR2(0:0))
      call avR2(1367, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9116])

      allocate(vertices(656)%branchR2(0:0))
      call avR2(656, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(3691)%branchR2(0:1))
      call avR2(3691, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9216])

      call avR2(3691, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9217])

      allocate(vertices(180)%branchR2(0:0))
      call avR2(180, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29283])

      allocate(vertices(3208)%branchR2(0:0))
      call avR2(3208, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8776])

      allocate(vertices(2500)%branchR2(0:0))
      call avR2(2500, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9219])

      allocate(vertices(2995)%branchR2(0:0))
      call avR2(2995, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30061])

      allocate(vertices(3692)%branchR2(0:0))
      call avR2(3692, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(3331)%branchR2(0:0))
      call avR2(3331, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9204])

      allocate(vertices(928)%branchR2(0:0))
      call avR2(928, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(2172)%branchR2(0:0))
      call avR2(2172, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9094])

      allocate(vertices(824)%branchR2(0:0))
      call avR2(824, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(170)%branchR2(0:0))
      call avR2(170, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8833])

      allocate(vertices(2378)%branchR2(0:0))
      call avR2(2378, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9236])

      allocate(vertices(2647)%branchR2(0:0))
      call avR2(2647, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8894])

      allocate(vertices(1411)%branchR2(0:0))
      call avR2(1411, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(1830)%branchR2(0:0))
      call avR2(1830, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

      allocate(vertices(2217)%branchR2(0:0))
      call avR2(2217, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

      allocate(vertices(3693)%branchR2(0:1))
      call avR2(3693, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9229])

      call avR2(3693, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9230])

      allocate(vertices(1673)%branchR2(0:1))
      call avR2(1673, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8820, nGC_8822])

      call avR2(1673, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8842, nGC_8843])

      allocate(vertices(1153)%branchR2(0:0))
      call avR2(1153, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(3046)%branchR2(0:0))
      call avR2(3046, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(671)%branchR2(0:0))
      call avR2(671, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(2747)%branchR2(0:0))
      call avR2(2747, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8767])

      allocate(vertices(1344)%branchR2(0:0))
      call avR2(1344, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(961)%branchR2(0:0))
      call avR2(961, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9118])

      allocate(vertices(2906)%branchR2(0:0))
      call avR2(2906, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(2556)%branchR2(0:0))
      call avR2(2556, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9220])

      allocate(vertices(1736)%branchR2(0:1))
      call avR2(1736, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8901, nGC_8899])

      call avR2(1736, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8902, nGC_8900])

      allocate(vertices(3694)%branchR2(0:0))
      call avR2(3694, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9111])

      allocate(vertices(2406)%branchR2(0:0))
      call avR2(2406, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(3076)%branchR2(0:0))
      call avR2(3076, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9096])

      allocate(vertices(1857)%branchR2(0:0))
      call avR2(1857, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9093])

      allocate(vertices(495)%branchR2(0:0))
      call avR2(495, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9118])

      allocate(vertices(402)%branchR2(0:0))
      call avR2(402, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(2483)%branchR2(0:0))
      call avR2(2483, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

      allocate(vertices(1196)%branchR2(0:3))
      call avR2(1196, 0, 27, 1, 0, FVFa0, 0, [1, 2], [nGC_9050, nGC_9048])

      call avR2(1196, 1, 27, 1, 0, FVFa0, 0, [3, 0], [nGC_9049, nGC_9049])

      call avR2(1196, 2, 26, 1, 0, FVFa0, 0, [1, 2], [nGC_9053, nGC_9051])

      call avR2(1196, 3, 26, 1, 0, FVFa0, 0, [3, 0], [nGC_9052, nGC_9052])

      allocate(vertices(1412)%branchR2(0:0))
      call avR2(1412, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(3534)%branchR2(0:0))
      call avR2(3534, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(931)%branchR2(0:0))
      call avR2(931, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9214])

      allocate(vertices(2823)%branchR2(0:0))
      call avR2(2823, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9160])

      allocate(vertices(2925)%branchR2(0:0))
      call avR2(2925, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9204])

      allocate(vertices(1714)%branchR2(0:0))
      call avR2(1714, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9099])

      allocate(vertices(2535)%branchR2(0:0))
      call avR2(2535, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(2598)%branchR2(0:0))
      call avR2(2598, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8889])

      allocate(vertices(2354)%branchR2(0:0))
      call avR2(2354, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(3321)%branchR2(0:0))
      call avR2(3321, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_8708, nGC_8707])

      allocate(vertices(3695)%branchR2(0:0))
      call avR2(3695, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(934)%branchR2(0:0))
      call avR2(934, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9117])

      allocate(vertices(678)%branchR2(0:0))
      call avR2(678, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9220])

      allocate(vertices(3043)%branchR2(0:0))
      call avR2(3043, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9180])

      allocate(vertices(2096)%branchR2(0:0))
      call avR2(2096, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(1551)%branchR2(0:0))
      call avR2(1551, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8976, nGC_8975])

      allocate(vertices(3402)%branchR2(0:0))
      call avR2(3402, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9180])

      allocate(vertices(879)%branchR2(0:0))
      call avR2(879, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30670])

      allocate(vertices(618)%branchR2(0:0))
      call avR2(618, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(3696)%branchR2(0:1))
      call avR2(3696, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9161])

      call avR2(3696, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9162])

      allocate(vertices(3697)%branchR2(0:0))
      call avR2(3697, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9188])

      allocate(vertices(3698)%branchR2(0:1))
      call avR2(3698, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9162])

      call avR2(3698, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9161])

      allocate(vertices(2039)%branchR2(0:1))
      call avR2(2039, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8965, nGC_8966])

      call avR2(2039, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8967, nGC_8967])

      allocate(vertices(242)%branchR2(0:0))
      call avR2(242, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(1972)%branchR2(0:0))
      call avR2(1972, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8911])

      allocate(vertices(24)%branchR2(0:0))
      call avR2(24, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(1093)%branchR2(0:0))
      call avR2(1093, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(54)%branchR2(0:0))
      call avR2(54, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8925])

      allocate(vertices(1234)%branchR2(0:0))
      call avR2(1234, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(3699)%branchR2(0:1))
      call avR2(3699, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9217])

      call avR2(3699, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9216])

      allocate(vertices(566)%branchR2(0:0))
      call avR2(566, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9194])

      allocate(vertices(3700)%branchR2(0:1))
      call avR2(3700, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9197])

      call avR2(3700, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9198])

      allocate(vertices(3583)%branchR2(0:0))
      call avR2(3583, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9205])

      allocate(vertices(2069)%branchR2(0:0))
      call avR2(2069, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(2063)%branchR2(0:0))
      call avR2(2063, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(773)%branchR2(0:0))
      call avR2(773, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

      allocate(vertices(3079)%branchR2(0:0))
      call avR2(3079, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9120])

      allocate(vertices(1150)%branchR2(0:0))
      call avR2(1150, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9151])

      allocate(vertices(2390)%branchR2(0:0))
      call avR2(2390, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(725)%branchR2(0:0))
      call avR2(725, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(1101)%branchR2(0:0))
      call avR2(1101, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9214])

      allocate(vertices(760)%branchR2(0:0))
      call avR2(760, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(369)%branchR2(0:0))
      call avR2(369, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9114])

      allocate(vertices(126)%branchR2(0:0))
      call avR2(126, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9253, nGC_9254,        &
      nGC_9252])

      allocate(vertices(2539)%branchR2(0:0))
      call avR2(2539, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8989])

      allocate(vertices(1625)%branchR2(0:0))
      call avR2(1625, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9232])

      allocate(vertices(1175)%branchR2(0:0))
      call avR2(1175, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(1154)%branchR2(0:0))
      call avR2(1154, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8958])

      allocate(vertices(1505)%branchR2(0:0))
      call avR2(1505, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9171])

      allocate(vertices(2581)%branchR2(0:0))
      call avR2(2581, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9225])

      allocate(vertices(2775)%branchR2(0:0))
      call avR2(2775, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9204])

      allocate(vertices(2681)%branchR2(0:1))
      call avR2(2681, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9030, nGC_9028])

      call avR2(2681, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9043, nGC_9042])

      allocate(vertices(442)%branchR2(0:0))
      call avR2(442, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(1666)%branchR2(0:0))
      call avR2(1666, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9171])

      allocate(vertices(3242)%branchR2(0:0))
      call avR2(3242, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8811])

      allocate(vertices(2434)%branchR2(0:0))
      call avR2(2434, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(1925)%branchR2(0:0))
      call avR2(1925, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9222])

      allocate(vertices(1743)%branchR2(0:0))
      call avR2(1743, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(1351)%branchR2(0:0))
      call avR2(1351, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8942, nGC_8941])

      allocate(vertices(9)%branchR2(0:0))
      call avR2(9, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8846])

      allocate(vertices(1362)%branchR2(0:1))
      call avR2(1362, 0, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_9019])

      call avR2(1362, 1, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_9020])

      allocate(vertices(1445)%branchR2(0:0))
      call avR2(1445, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29893])

      allocate(vertices(1883)%branchR2(0:1))
      call avR2(1883, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8980, nGC_8981])

      call avR2(1883, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8982, nGC_8982])

      allocate(vertices(1754)%branchR2(0:0))
      call avR2(1754, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

      allocate(vertices(3385)%branchR2(0:0))
      call avR2(3385, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(2595)%branchR2(0:0))
      call avR2(2595, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9124, nGC_9123,       &
      nGC_9125])

      allocate(vertices(2010)%branchR2(0:0))
      call avR2(2010, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(2600)%branchR2(0:0))
      call avR2(2600, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9117])

      allocate(vertices(3411)%branchR2(0:0))
      call avR2(3411, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(1558)%branchR2(0:0))
      call avR2(1558, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(157)%branchR2(0:0))
      call avR2(157, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8873, nGC_8872])

      allocate(vertices(5)%branchR2(0:0))
      call avR2(5, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8871, nGC_8870])

      allocate(vertices(1651)%branchR2(0:0))
      call avR2(1651, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8924])

      allocate(vertices(2583)%branchR2(0:0))
      call avR2(2583, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9151])

      allocate(vertices(2467)%branchR2(0:0))
      call avR2(2467, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(2230)%branchR2(0:1))
      call avR2(2230, 0, 17, 1, 0, FaVF1, 0, [0, 3], [nGC_9018])

      call avR2(2230, 1, 17, 1, 0, FaVF1, 0, [2, 1], [nGC_9019])

      allocate(vertices(1559)%branchR2(0:1))
      call avR2(1559, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8815, nGC_8817])

      call avR2(1559, 1, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8816, nGC_8818])

      allocate(vertices(1991)%branchR2(0:0))
      call avR2(1991, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9093])

      allocate(vertices(3484)%branchR2(0:0))
      call avR2(3484, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9199])

      allocate(vertices(789)%branchR2(0:0))
      call avR2(789, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(1582)%branchR2(0:1))
      call avR2(1582, 0, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_9030, nGC_9028])

      call avR2(1582, 1, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_9047, nGC_9046])

      allocate(vertices(167)%branchR2(0:0))
      call avR2(167, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(1608)%branchR2(0:1))
      call avR2(1608, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8823, nGC_8825])

      call avR2(1608, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8824, nGC_8826])

      allocate(vertices(1258)%branchR2(0:0))
      call avR2(1258, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9117])

      allocate(vertices(2506)%branchR2(0:0))
      call avR2(2506, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9123, nGC_9124,       &
      nGC_9125])

      allocate(vertices(3042)%branchR2(0:0))
      call avR2(3042, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9235])

      allocate(vertices(198)%branchR2(0:0))
      call avR2(198, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(2375)%branchR2(0:0))
      call avR2(2375, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8839])

      allocate(vertices(1052)%branchR2(0:0))
      call avR2(1052, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(574)%branchR2(0:0))
      call avR2(574, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(3701)%branchR2(0:0))
      call avR2(3701, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(1167)%branchR2(0:0))
      call avR2(1167, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(1464)%branchR2(0:0))
      call avR2(1464, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9125, nGC_9124,       &
      nGC_9123])

      allocate(vertices(2596)%branchR2(0:0))
      call avR2(2596, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9128])

      allocate(vertices(1229)%branchR2(0:0))
      call avR2(1229, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9129])

      allocate(vertices(173)%branchR2(0:0))
      call avR2(173, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(1298)%branchR2(0:0))
      call avR2(1298, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8832])

      allocate(vertices(983)%branchR2(0:0))
      call avR2(983, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9241])

      allocate(vertices(3702)%branchR2(0:5))
      call avR2(3702, 0, 85, 1, 0, VVVV0, 0, [3, 1], [nGC_9259, nGC_9259,      &
      nGC_9259])

      call avR2(3702, 1, 84, 1, 0, VVVV0, 0, [3, 1], [nGC_9259, nGC_9259,      &
      nGC_9259])

      call avR2(3702, 2, 87, 1, 0, VVVV0, 0, [3, 1], [nGC_9259, nGC_9259,      &
      nGC_9259])

      call avR2(3702, 3, 88, 1, 0, VVVV0, 0, [3, 1], [nGC_9258, nGC_9258,      &
      nGC_9258])

      call avR2(3702, 4, 86, 1, 0, VVVV0, 0, [3, 1], [nGC_9260, nGC_9260,      &
      nGC_9260])

      call avR2(3702, 5, 83, 1, 0, VVVV0, 0, [3, 1], [nGC_9260, nGC_9260,      &
      nGC_9260])

      allocate(vertices(1008)%branchR2(0:0))
      call avR2(1008, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9191])

      allocate(vertices(1346)%branchR2(0:0))
      call avR2(1346, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8921])

      allocate(vertices(1231)%branchR2(0:0))
      call avR2(1231, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9165])

      allocate(vertices(1566)%branchR2(0:0))
      call avR2(1566, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8893])

      allocate(vertices(1278)%branchR2(0:0))
      call avR2(1278, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9220])

      allocate(vertices(2938)%branchR2(0:0))
      call avR2(2938, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9108])

      allocate(vertices(1640)%branchR2(0:0))
      call avR2(1640, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9100])

      allocate(vertices(3703)%branchR2(0:0))
      call avR2(3703, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(3311)%branchR2(0:0))
      call avR2(3311, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_8704, nGC_8703])

      allocate(vertices(393)%branchR2(0:0))
      call avR2(393, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9091, nGC_9089,        &
      nGC_9090])

      allocate(vertices(829)%branchR2(0:0))
      call avR2(829, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9132])

      allocate(vertices(3567)%branchR2(0:0))
      call avR2(3567, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(2438)%branchR2(0:0))
      call avR2(2438, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(136)%branchR2(0:0))
      call avR2(136, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8828])

      allocate(vertices(1623)%branchR2(0:0))
      call avR2(1623, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8763])

      allocate(vertices(2431)%branchR2(0:0))
      call avR2(2431, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9201])

      allocate(vertices(1871)%branchR2(0:1))
      call avR2(1871, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8993, nGC_8993])

      call avR2(1871, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8991, nGC_8992])

      allocate(vertices(1564)%branchR2(0:0))
      call avR2(1564, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8923])

      allocate(vertices(3704)%branchR2(0:0))
      call avR2(3704, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(2741)%branchR2(0:0))
      call avR2(2741, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(1789)%branchR2(0:0))
      call avR2(1789, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9218])

      allocate(vertices(443)%branchR2(0:0))
      call avR2(443, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9164])

      allocate(vertices(1954)%branchR2(0:0))
      call avR2(1954, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(3705)%branchR2(0:1))
      call avR2(3705, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9243])

      call avR2(3705, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9242])

      allocate(vertices(3706)%branchR2(0:0))
      call avR2(3706, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(3579)%branchR2(0:0))
      call avR2(3579, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9196])

      allocate(vertices(1172)%branchR2(0:0))
      call avR2(1172, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9183])

      allocate(vertices(2760)%branchR2(0:0))
      call avR2(2760, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(436)%branchR2(0:0))
      call avR2(436, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29240])

      allocate(vertices(2479)%branchR2(0:0))
      call avR2(2479, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9214])

      allocate(vertices(3494)%branchR2(0:0))
      call avR2(3494, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_31223])

      allocate(vertices(622)%branchR2(0:0))
      call avR2(622, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9219])

      allocate(vertices(320)%branchR2(0:0))
      call avR2(320, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8803])

      allocate(vertices(2050)%branchR2(0:0))
      call avR2(2050, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(2624)%branchR2(0:0))
      call avR2(2624, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8833])

      allocate(vertices(4)%branchR2(0:0))
      call avR2(4, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8856])

      allocate(vertices(1952)%branchR2(0:0))
      call avR2(1952, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9190])

      allocate(vertices(1745)%branchR2(0:0))
      call avR2(1745, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9191])

      allocate(vertices(949)%branchR2(0:0))
      call avR2(949, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8908])

      allocate(vertices(267)%branchR2(0:0))
      call avR2(267, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8808])

      allocate(vertices(1204)%branchR2(0:0))
      call avR2(1204, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(1230)%branchR2(0:0))
      call avR2(1230, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(6)%branchR2(0:0))
      call avR2(6, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9182])

      allocate(vertices(537)%branchR2(0:0))
      call avR2(537, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8920])

      allocate(vertices(2545)%branchR2(0:0))
      call avR2(2545, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9100])

      allocate(vertices(3707)%branchR2(0:1))
      call avR2(3707, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9145])

      call avR2(3707, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9146])

      allocate(vertices(978)%branchR2(0:0))
      call avR2(978, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(1661)%branchR2(0:0))
      call avR2(1661, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(1398)%branchR2(0:0))
      call avR2(1398, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9226])

      allocate(vertices(1606)%branchR2(0:0))
      call avR2(1606, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(40)%branchR2(0:0))
      call avR2(40, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(1166)%branchR2(0:0))
      call avR2(1166, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8851])

      allocate(vertices(538)%branchR2(0:0))
      call avR2(538, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9123, nGC_9124,        &
      nGC_9125])

      allocate(vertices(1463)%branchR2(0:1))
      call avR2(1463, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_8781, nGC_8781])

      call avR2(1463, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_8786, nGC_8785])

      allocate(vertices(461)%branchR2(0:0))
      call avR2(461, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8913])

      allocate(vertices(33)%branchR2(0:0))
      call avR2(33, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(391)%branchR2(0:0))
      call avR2(391, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

      allocate(vertices(1295)%branchR2(0:1))
      call avR2(1295, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_9030, nGC_9028])

      call avR2(1295, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_9043, nGC_9042])

      allocate(vertices(3503)%branchR2(0:0))
      call avR2(3503, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9199])

      allocate(vertices(3547)%branchR2(0:0))
      call avR2(3547, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9235])

      allocate(vertices(723)%branchR2(0:0))
      call avR2(723, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8960])

      allocate(vertices(2691)%branchR2(0:0))
      call avR2(2691, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(481)%branchR2(0:0))
      call avR2(481, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(3544)%branchR2(0:0))
      call avR2(3544, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9120])

      allocate(vertices(3440)%branchR2(0:0))
      call avR2(3440, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_31266])

      allocate(vertices(1513)%branchR2(0:1))
      call avR2(1513, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9025, nGC_9023])

      call avR2(1513, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9026, nGC_9024])

      allocate(vertices(2779)%branchR2(0:0))
      call avR2(2779, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9119])

      allocate(vertices(1212)%branchR2(0:1))
      call avR2(1212, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_9018])

      call avR2(1212, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_9019])

      allocate(vertices(2383)%branchR2(0:0))
      call avR2(2383, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8834])

      allocate(vertices(3365)%branchR2(0:0))
      call avR2(3365, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(2619)%branchR2(0:0))
      call avR2(2619, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9222])

      allocate(vertices(227)%branchR2(0:0))
      call avR2(227, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(2344)%branchR2(0:0))
      call avR2(2344, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9219])

      allocate(vertices(109)%branchR2(0:0))
      call avR2(109, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(3708)%branchR2(0:0))
      call avR2(3708, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9127, nGC_9127,       &
      nGC_9127])

      allocate(vertices(298)%branchR2(0:0))
      call avR2(298, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30058])

      allocate(vertices(762)%branchR2(0:0))
      call avR2(762, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(1089)%branchR2(0:0))
      call avR2(1089, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(922)%branchR2(0:0))
      call avR2(922, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(2675)%branchR2(0:1))
      call avR2(2675, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_8781, nGC_8781])

      call avR2(2675, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_8780, nGC_8779])

      allocate(vertices(1002)%branchR2(0:0))
      call avR2(1002, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(3709)%branchR2(0:1))
      call avR2(3709, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9146])

      call avR2(3709, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9145])

      allocate(vertices(3710)%branchR2(0:1))
      call avR2(3710, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9207])

      call avR2(3710, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9208])

      allocate(vertices(357)%branchR2(0:3))
      call avR2(357, 0, 27, 1, 0, FVFa0, 0, [1, 2], [nGC_9059, nGC_9058])

      call avR2(357, 1, 27, 1, 0, FVFa0, 0, [3, 0], [nGC_9049, nGC_9049])

      call avR2(357, 2, 26, 1, 0, FVFa0, 0, [1, 2], [nGC_9061, nGC_9060])

      call avR2(357, 3, 26, 1, 0, FVFa0, 0, [3, 0], [nGC_9052, nGC_9052])

      allocate(vertices(1953)%branchR2(0:0))
      call avR2(1953, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(1888)%branchR2(0:1))
      call avR2(1888, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8979, nGC_8979])

      call avR2(1888, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8977, nGC_8978])

      allocate(vertices(2917)%branchR2(0:0))
      call avR2(2917, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9238])

      allocate(vertices(1944)%branchR2(0:0))
      call avR2(1944, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(2481)%branchR2(0:0))
      call avR2(2481, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8857])

      allocate(vertices(2108)%branchR2(0:0))
      call avR2(2108, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9252, nGC_9253,       &
      nGC_9254])

      allocate(vertices(1138)%branchR2(0:0))
      call avR2(1138, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_9044, nGC_9045])

      allocate(vertices(2630)%branchR2(0:0))
      call avR2(2630, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9094])

      allocate(vertices(251)%branchR2(0:0))
      call avR2(251, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(3330)%branchR2(0:0))
      call avR2(3330, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8777])

      allocate(vertices(3525)%branchR2(0:0))
      call avR2(3525, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8810])

      allocate(vertices(3445)%branchR2(0:0))
      call avR2(3445, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9235])

      allocate(vertices(2179)%branchR2(0:0))
      call avR2(2179, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(3711)%branchR2(0:1))
      call avR2(3711, 0, 48, 1, 0, VSV0, 0, [2, 1], [nGC_8974])

      call avR2(3711, 1, 47, 1, 0, VSV0, 0, [2, 1], [nGC_8973])

      allocate(vertices(2)%branchR2(0:0))
      call avR2(2, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9113])

      allocate(vertices(69)%branchR2(0:0))
      call avR2(69, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_8798, nGC_8799])

      allocate(vertices(3216)%branchR2(0:0))
      call avR2(3216, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9196])

      allocate(vertices(472)%branchR2(0:0))
      call avR2(472, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(2250)%branchR2(0:1))
      call avR2(2250, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8991, nGC_8992])

      call avR2(2250, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8993, nGC_8993])

      allocate(vertices(2903)%branchR2(0:0))
      call avR2(2903, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9078])

      allocate(vertices(2959)%branchR2(0:0))
      call avR2(2959, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9108])

      allocate(vertices(1523)%branchR2(0:0))
      call avR2(1523, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8830])

      allocate(vertices(3102)%branchR2(0:0))
      call avR2(3102, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(3214)%branchR2(0:0))
      call avR2(3214, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(3246)%branchR2(0:0))
      call avR2(3246, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9159])

      allocate(vertices(1185)%branchR2(0:0))
      call avR2(1185, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9215])

      allocate(vertices(580)%branchR2(0:0))
      call avR2(580, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8803])

      allocate(vertices(2221)%branchR2(0:0))
      call avR2(2221, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9125, nGC_9123,       &
      nGC_9124])

      allocate(vertices(2004)%branchR2(0:0))
      call avR2(2004, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9171])

      allocate(vertices(2018)%branchR2(0:0))
      call avR2(2018, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(1702)%branchR2(0:0))
      call avR2(1702, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8921])

      allocate(vertices(1320)%branchR2(0:0))
      call avR2(1320, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(206)%branchR2(0:0))
      call avR2(206, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

      allocate(vertices(1831)%branchR2(0:0))
      call avR2(1831, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8813])

      allocate(vertices(2370)%branchR2(0:0))
      call avR2(2370, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(1639)%branchR2(0:0))
      call avR2(1639, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(182)%branchR2(0:0))
      call avR2(182, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8830])

      allocate(vertices(2912)%branchR2(0:0))
      call avR2(2912, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(1431)%branchR2(0:0))
      call avR2(1431, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8960])

      allocate(vertices(326)%branchR2(0:0))
      call avR2(326, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_9013, nGC_9012])

      allocate(vertices(3357)%branchR2(0:0))
      call avR2(3357, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(940)%branchR2(0:0))
      call avR2(940, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9143])

      allocate(vertices(778)%branchR2(0:1))
      call avR2(778, 0, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_8784, nGC_8784])

      call avR2(778, 1, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_8797, nGC_8796])

      allocate(vertices(2196)%branchR2(0:0))
      call avR2(2196, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(112)%branchR2(0:0))
      call avR2(112, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9021])

      allocate(vertices(2661)%branchR2(0:0))
      call avR2(2661, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(3712)%branchR2(0:1))
      call avR2(3712, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9248, nGC_9248,      &
      nGC_9248])

      call avR2(3712, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9249, nGC_9249,      &
      nGC_9249])

      allocate(vertices(1509)%branchR2(0:0))
      call avR2(1509, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(2665)%branchR2(0:0))
      call avR2(2665, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(2160)%branchR2(0:0))
      call avR2(2160, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(3713)%branchR2(0:0))
      call avR2(3713, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9188])

      allocate(vertices(2089)%branchR2(0:0))
      call avR2(2089, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8851])

      allocate(vertices(736)%branchR2(0:0))
      call avR2(736, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(2584)%branchR2(0:0))
      call avR2(2584, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9035])

      allocate(vertices(2429)%branchR2(0:0))
      call avR2(2429, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8847])

      allocate(vertices(787)%branchR2(0:0))
      call avR2(787, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(727)%branchR2(0:0))
      call avR2(727, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9165])

      allocate(vertices(2577)%branchR2(0:0))
      call avR2(2577, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9081])

      allocate(vertices(3192)%branchR2(0:0))
      call avR2(3192, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(468)%branchR2(0:1))
      call avR2(468, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_9006, nGC_9007])

      call avR2(468, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_9008, nGC_9008])

      allocate(vertices(3714)%branchR2(0:0))
      call avR2(3714, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9086])

      allocate(vertices(1016)%branchR2(0:0))
      call avR2(1016, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(3715)%branchR2(0:0))
      call avR2(3715, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9082])

      allocate(vertices(2809)%branchR2(0:0))
      call avR2(2809, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9205])

      allocate(vertices(1528)%branchR2(0:0))
      call avR2(1528, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(385)%branchR2(0:0))
      call avR2(385, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(3716)%branchR2(0:0))
      call avR2(3716, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8768])

      allocate(vertices(447)%branchR2(0:0))
      call avR2(447, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(2766)%branchR2(0:0))
      call avR2(2766, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9109])

      allocate(vertices(2191)%branchR2(0:0))
      call avR2(2191, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30670])

      allocate(vertices(1001)%branchR2(0:0))
      call avR2(1001, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(1082)%branchR2(0:0))
      call avR2(1082, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(1147)%branchR2(0:0))
      call avR2(1147, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9093])

      allocate(vertices(2998)%branchR2(0:0))
      call avR2(2998, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(513)%branchR2(0:0))
      call avR2(513, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8832])

      allocate(vertices(832)%branchR2(0:0))
      call avR2(832, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8839])

      allocate(vertices(3142)%branchR2(0:0))
      call avR2(3142, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8776])

      allocate(vertices(382)%branchR2(0:0))
      call avR2(382, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(1976)%branchR2(0:0))
      call avR2(1976, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(909)%branchR2(0:0))
      call avR2(909, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9118])

      allocate(vertices(2910)%branchR2(0:0))
      call avR2(2910, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(508)%branchR2(0:0))
      call avR2(508, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8827])

      allocate(vertices(1137)%branchR2(0:0))
      call avR2(1137, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(222)%branchR2(0:0))
      call avR2(222, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(1286)%branchR2(0:1))
      call avR2(1286, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8979, nGC_8979])

      call avR2(1286, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8977, nGC_8978])

      allocate(vertices(1792)%branchR2(0:0))
      call avR2(1792, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9021])

      allocate(vertices(479)%branchR2(0:0))
      call avR2(479, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(2633)%branchR2(0:0))
      call avR2(2633, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(1577)%branchR2(0:0))
      call avR2(1577, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8763])

      allocate(vertices(2770)%branchR2(0:0))
      call avR2(2770, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9095])

      allocate(vertices(2323)%branchR2(0:0))
      call avR2(2323, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(297)%branchR2(0:0))
      call avR2(297, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(3396)%branchR2(0:1))
      call avR2(3396, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_8741, nGC_8738,       &
      nGC_8760, nGC_8760])

      call avR2(3396, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_8733, nGC_8733,       &
      nGC_8761, nGC_8761])

      allocate(vertices(1242)%branchR2(0:0))
      call avR2(1242, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(3717)%branchR2(0:1))
      call avR2(3717, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9249, nGC_9249,      &
      nGC_9249])

      call avR2(3717, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9248, nGC_9248,      &
      nGC_9248])

      allocate(vertices(1155)%branchR2(0:0))
      call avR2(1155, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_9005, nGC_9004])

      allocate(vertices(2464)%branchR2(0:0))
      call avR2(2464, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(3199)%branchR2(0:0))
      call avR2(3199, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9109])

      allocate(vertices(290)%branchR2(0:0))
      call avR2(290, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_30606])

      allocate(vertices(3718)%branchR2(0:1))
      call avR2(3718, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9242])

      call avR2(3718, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9243])

      allocate(vertices(1273)%branchR2(0:0))
      call avR2(1273, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9036, nGC_9037])

      allocate(vertices(991)%branchR2(0:0))
      call avR2(991, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

      allocate(vertices(70)%branchR2(0:0))
      call avR2(70, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(881)%branchR2(0:0))
      call avR2(881, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8772])

      allocate(vertices(2398)%branchR2(0:1))
      call avR2(2398, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8862, nGC_8864])

      call avR2(2398, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8863, nGC_8865])

      allocate(vertices(847)%branchR2(0:0))
      call avR2(847, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9193])

      allocate(vertices(600)%branchR2(0:0))
      call avR2(600, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(465)%branchR2(0:0))
      call avR2(465, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8809])

      allocate(vertices(2141)%branchR2(0:0))
      call avR2(2141, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

      allocate(vertices(2125)%branchR2(0:0))
      call avR2(2125, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9183])

      allocate(vertices(1455)%branchR2(0:0))
      call avR2(1455, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(1696)%branchR2(0:0))
      call avR2(1696, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(3346)%branchR2(0:0))
      call avR2(3346, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9095])

      allocate(vertices(1555)%branchR2(0:0))
      call avR2(1555, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(914)%branchR2(0:0))
      call avR2(914, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(573)%branchR2(0:0))
      call avR2(573, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8831])

      allocate(vertices(7)%branchR2(0:0))
      call avR2(7, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9192])

      allocate(vertices(2679)%branchR2(0:0))
      call avR2(2679, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(1115)%branchR2(0:0))
      call avR2(1115, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9116])

      allocate(vertices(2858)%branchR2(0:0))
      call avR2(2858, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9199])

      allocate(vertices(1107)%branchR2(0:0))
      call avR2(1107, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(2529)%branchR2(0:0))
      call avR2(2529, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9151])

      allocate(vertices(2516)%branchR2(0:0))
      call avR2(2516, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9022])

      allocate(vertices(1226)%branchR2(0:0))
      call avR2(1226, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9215])

      allocate(vertices(97)%branchR2(0:0))
      call avR2(97, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9094])

      allocate(vertices(2666)%branchR2(0:0))
      call avR2(2666, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9021])

      allocate(vertices(765)%branchR2(0:1))
      call avR2(765, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8862, nGC_8864])

      call avR2(765, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8863, nGC_8865])

      allocate(vertices(1583)%branchR2(0:0))
      call avR2(1583, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(3277)%branchR2(0:0))
      call avR2(3277, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(159)%branchR2(0:0))
      call avR2(159, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9039])

      allocate(vertices(304)%branchR2(0:0))
      call avR2(304, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8802])

      allocate(vertices(3719)%branchR2(0:0))
      call avR2(3719, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9092])

      allocate(vertices(3379)%branchR2(0:0))
      call avR2(3379, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(2569)%branchR2(0:0))
      call avR2(2569, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(32)%branchR2(0:0))
      call avR2(32, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9220])

      allocate(vertices(1289)%branchR2(0:0))
      call avR2(1289, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9022])

      allocate(vertices(1676)%branchR2(0:0))
      call avR2(1676, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9228])

      allocate(vertices(281)%branchR2(0:0))
      call avR2(281, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(2158)%branchR2(0:0))
      call avR2(2158, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9232])

      allocate(vertices(899)%branchR2(0:0))
      call avR2(899, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29632])

      allocate(vertices(848)%branchR2(0:1))
      call avR2(848, 0, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_8784, nGC_8784])

      call avR2(848, 1, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_8801, nGC_8800])

      allocate(vertices(3103)%branchR2(0:0))
      call avR2(3103, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9108])

      allocate(vertices(87)%branchR2(0:0))
      call avR2(87, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(3215)%branchR2(0:0))
      call avR2(3215, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9095])

      allocate(vertices(1894)%branchR2(0:0))
      call avR2(1894, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9144])

      allocate(vertices(2409)%branchR2(0:0))
      call avR2(2409, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8883, nGC_8882])

      allocate(vertices(1570)%branchR2(0:0))
      call avR2(1570, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(2255)%branchR2(0:1))
      call avR2(2255, 0, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_9026, nGC_9024])

      call avR2(2255, 1, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_9032, nGC_9031])

      allocate(vertices(2880)%branchR2(0:0))
      call avR2(2880, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9159])

      allocate(vertices(2361)%branchR2(0:0))
      call avR2(2361, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9022])

      allocate(vertices(204)%branchR2(0:0))
      call avR2(204, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9218])

      allocate(vertices(3372)%branchR2(0:0))
      call avR2(3372, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(3523)%branchR2(0:0))
      call avR2(3523, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8762])

      allocate(vertices(2325)%branchR2(0:0))
      call avR2(2325, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(1188)%branchR2(0:0))
      call avR2(1188, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8814])

      allocate(vertices(686)%branchR2(0:0))
      call avR2(686, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(2968)%branchR2(0:0))
      call avR2(2968, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(1543)%branchR2(0:1))
      call avR2(1543, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8947, nGC_8949])

      call avR2(1543, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8948, nGC_8950])

      allocate(vertices(1429)%branchR2(0:0))
      call avR2(1429, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(571)%branchR2(0:0))
      call avR2(571, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(1215)%branchR2(0:1))
      call avR2(1215, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_8780, nGC_8779])

      call avR2(1215, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_8781, nGC_8781])

      allocate(vertices(3720)%branchR2(0:1))
      call avR2(3720, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9146])

      call avR2(3720, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9145])

      allocate(vertices(2524)%branchR2(0:0))
      call avR2(2524, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9118])

      allocate(vertices(2522)%branchR2(0:0))
      call avR2(2522, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8831])

      allocate(vertices(3015)%branchR2(0:0))
      call avR2(3015, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9196])

      allocate(vertices(1949)%branchR2(0:1))
      call avR2(1949, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8991, nGC_8992])

      call avR2(1949, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8993, nGC_8993])

      allocate(vertices(423)%branchR2(0:0))
      call avR2(423, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9100])

      allocate(vertices(2009)%branchR2(0:0))
      call avR2(2009, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(2799)%branchR2(0:0))
      call avR2(2799, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(1207)%branchR2(0:0))
      call avR2(1207, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9224])

      allocate(vertices(3721)%branchR2(0:1))
      call avR2(3721, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9239])

      call avR2(3721, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9240])

      allocate(vertices(1772)%branchR2(0:0))
      call avR2(1772, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(846)%branchR2(0:0))
      call avR2(846, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(1932)%branchR2(0:0))
      call avR2(1932, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8883, nGC_8882])

      allocate(vertices(3572)%branchR2(0:0))
      call avR2(3572, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9163])

      allocate(vertices(1300)%branchR2(0:0))
      call avR2(1300, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_31524])

      allocate(vertices(1452)%branchR2(0:0))
      call avR2(1452, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9190])

      allocate(vertices(2896)%branchR2(0:0))
      call avR2(2896, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9096])

      allocate(vertices(3508)%branchR2(0:0))
      call avR2(3508, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9196])

      allocate(vertices(1868)%branchR2(0:0))
      call avR2(1868, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(795)%branchR2(0:0))
      call avR2(795, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_31530])

      allocate(vertices(1000)%branchR2(0:0))
      call avR2(1000, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(1903)%branchR2(0:0))
      call avR2(1903, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8834])

      allocate(vertices(2072)%branchR2(0:0))
      call avR2(2072, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9191])

      allocate(vertices(3722)%branchR2(0:0))
      call avR2(3722, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(2821)%branchR2(0:1))
      call avR2(2821, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_8737, nGC_8734,       &
      nGC_8742, nGC_8742])

      call avR2(2821, 1, 14, 1, 0, FFa1, 0, [2, 0], [nGC_8733, nGC_8733,       &
      nGC_8743, nGC_8743])

      allocate(vertices(2703)%branchR2(0:0))
      call avR2(2703, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9133])

      allocate(vertices(1042)%branchR2(0:0))
      call avR2(1042, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9165])

      allocate(vertices(3369)%branchR2(0:0))
      call avR2(3369, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(2950)%branchR2(0:0))
      call avR2(2950, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9096])

      allocate(vertices(1425)%branchR2(0:0))
      call avR2(1425, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_8787, nGC_8788])

      allocate(vertices(3723)%branchR2(0:0))
      call avR2(3723, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(3468)%branchR2(0:0))
      call avR2(3468, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9122])

      allocate(vertices(371)%branchR2(0:0))
      call avR2(371, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9116])

      allocate(vertices(1393)%branchR2(0:0))
      call avR2(1393, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9118])

      allocate(vertices(2320)%branchR2(0:0))
      call avR2(2320, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(1596)%branchR2(0:0))
      call avR2(1596, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

      allocate(vertices(3724)%branchR2(0:1))
      call avR2(3724, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9162])

      call avR2(3724, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9161])

      allocate(vertices(984)%branchR2(0:0))
      call avR2(984, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(746)%branchR2(0:0))
      call avR2(746, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9164])

      allocate(vertices(256)%branchR2(0:0))
      call avR2(256, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(575)%branchR2(0:1))
      call avR2(575, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_9026, nGC_9024])

      call avR2(575, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_9041, nGC_9040])

      allocate(vertices(165)%branchR2(0:0))
      call avR2(165, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29423])

      allocate(vertices(1643)%branchR2(0:0))
      call avR2(1643, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(398)%branchR2(0:0))
      call avR2(398, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9219])

      allocate(vertices(616)%branchR2(0:1))
      call avR2(616, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8801, nGC_8800])

      call avR2(616, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8784, nGC_8784])

      allocate(vertices(2640)%branchR2(0:0))
      call avR2(2640, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(1778)%branchR2(0:0))
      call avR2(1778, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_31569])

      allocate(vertices(682)%branchR2(0:0))
      call avR2(682, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(1930)%branchR2(0:0))
      call avR2(1930, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(1291)%branchR2(0:1))
      call avR2(1291, 0, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_9030, nGC_9028])

      call avR2(1291, 1, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_9043, nGC_9042])

      allocate(vertices(1817)%branchR2(0:0))
      call avR2(1817, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(1254)%branchR2(0:0))
      call avR2(1254, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(2622)%branchR2(0:0))
      call avR2(2622, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9099])

      allocate(vertices(85)%branchR2(0:1))
      call avR2(85, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8947, nGC_8949])

      call avR2(85, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8948, nGC_8950])

      allocate(vertices(1525)%branchR2(0:0))
      call avR2(1525, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8809])

      allocate(vertices(95)%branchR2(0:0))
      call avR2(95, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9081])

      allocate(vertices(1739)%branchR2(0:0))
      call avR2(1739, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8924])

      allocate(vertices(3725)%branchR2(0:1))
      call avR2(3725, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9249, nGC_9249,      &
      nGC_9249])

      call avR2(3725, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9248, nGC_9248,      &
      nGC_9248])

      allocate(vertices(1405)%branchR2(0:1))
      call avR2(1405, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8935, nGC_8937])

      call avR2(1405, 1, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8936, nGC_8938])

      allocate(vertices(3726)%branchR2(0:5))
      call avR2(3726, 0, 85, 1, 0, VVVV0, 0, [3, 1], [nGC_9138, nGC_9138,      &
      nGC_9138])

      call avR2(3726, 1, 84, 1, 0, VVVV0, 0, [3, 1], [nGC_9138, nGC_9138,      &
      nGC_9138])

      call avR2(3726, 2, 87, 1, 0, VVVV0, 0, [3, 1], [nGC_9138, nGC_9138,      &
      nGC_9138])

      call avR2(3726, 3, 88, 1, 0, VVVV0, 0, [3, 1], [nGC_9137, nGC_9137,      &
      nGC_9137])

      call avR2(3726, 4, 86, 1, 0, VVVV0, 0, [3, 1], [nGC_9139, nGC_9139,      &
      nGC_9139])

      call avR2(3726, 5, 83, 1, 0, VVVV0, 0, [3, 1], [nGC_9139, nGC_9139,      &
      nGC_9139])

      allocate(vertices(2685)%branchR2(0:0))
      call avR2(2685, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(288)%branchR2(0:0))
      call avR2(288, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8763])

      allocate(vertices(2401)%branchR2(0:0))
      call avR2(2401, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9038])

      allocate(vertices(2756)%branchR2(0:0))
      call avR2(2756, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9095])

      allocate(vertices(1908)%branchR2(0:0))
      call avR2(1908, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_9005, nGC_9004])

      allocate(vertices(2134)%branchR2(0:0))
      call avR2(2134, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9080])

      allocate(vertices(1010)%branchR2(0:0))
      call avR2(1010, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9094])

      allocate(vertices(268)%branchR2(0:0))
      call avR2(268, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9124, nGC_9125,        &
      nGC_9123])

      allocate(vertices(209)%branchR2(0:0))
      call avR2(209, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9021])

      allocate(vertices(3482)%branchR2(0:0))
      call avR2(3482, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9196])

      allocate(vertices(1086)%branchR2(0:0))
      call avR2(1086, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(2403)%branchR2(0:0))
      call avR2(2403, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8850])

      allocate(vertices(1387)%branchR2(0:0))
      call avR2(1387, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(2128)%branchR2(0:0))
      call avR2(2128, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

      allocate(vertices(1233)%branchR2(0:0))
      call avR2(1233, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9093])

      allocate(vertices(376)%branchR2(0:0))
      call avR2(376, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8961])

      allocate(vertices(620)%branchR2(0:0))
      call avR2(620, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9117])

      allocate(vertices(127)%branchR2(0:0))
      call avR2(127, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(3058)%branchR2(0:0))
      call avR2(3058, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_31620])

      allocate(vertices(1381)%branchR2(0:0))
      call avR2(1381, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9116])

      allocate(vertices(352)%branchR2(0:0))
      call avR2(352, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(3480)%branchR2(0:0))
      call avR2(3480, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(72)%branchR2(0:0))
      call avR2(72, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9144])

      allocate(vertices(2528)%branchR2(0:0))
      call avR2(2528, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8834])

      allocate(vertices(21)%branchR2(0:1))
      call avR2(21, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9014, nGC_9015])

      call avR2(21, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9016, nGC_9016])

      allocate(vertices(3241)%branchR2(0:0))
      call avR2(3241, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9096])

      allocate(vertices(1659)%branchR2(0:0))
      call avR2(1659, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

      allocate(vertices(877)%branchR2(0:0))
      call avR2(877, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8920])

      allocate(vertices(2074)%branchR2(0:1))
      call avR2(2074, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_9025, nGC_9023])

      call avR2(2074, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_9026, nGC_9024])

      allocate(vertices(2080)%branchR2(0:0))
      call avR2(2080, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(1760)%branchR2(0:0))
      call avR2(1760, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(2986)%branchR2(0:0))
      call avR2(2986, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(2278)%branchR2(0:0))
      call avR2(2278, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(2503)%branchR2(0:0))
      call avR2(2503, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(527)%branchR2(0:0))
      call avR2(527, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8871, nGC_8870])

      allocate(vertices(3727)%branchR2(0:1))
      call avR2(3727, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9162])

      call avR2(3727, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9161])

      allocate(vertices(1252)%branchR2(0:0))
      call avR2(1252, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(400)%branchR2(0:3))
      call avR2(400, 0, 29, 1, 0, VFaF1, 0, [1, 2], [nGC_9075, nGC_9074])

      call avR2(400, 1, 29, 1, 0, VFaF1, 0, [3, 0], [nGC_9064, nGC_9064])

      call avR2(400, 2, 28, 1, 0, VFaF1, 0, [1, 2], [nGC_9077, nGC_9076])

      call avR2(400, 3, 28, 1, 0, VFaF1, 0, [3, 0], [nGC_9067, nGC_9067])

      allocate(vertices(119)%branchR2(0:0))
      call avR2(119, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9220])

      allocate(vertices(2765)%branchR2(0:0))
      call avR2(2765, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9078])

      allocate(vertices(2037)%branchR2(0:0))
      call avR2(2037, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(1058)%branchR2(0:0))
      call avR2(1058, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9129])

      allocate(vertices(3728)%branchR2(0:1))
      call avR2(3728, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9247])

      call avR2(3728, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9246])

      allocate(vertices(1694)%branchR2(0:1))
      call avR2(1694, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8818, nGC_8816])

      call avR2(1694, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8841, nGC_8840])

      allocate(vertices(3016)%branchR2(0:1))
      call avR2(3016, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_8741, nGC_8738,       &
      nGC_8757, nGC_8757])

      call avR2(3016, 1, 14, 1, 0, FFa1, 0, [2, 0], [nGC_8733, nGC_8733,       &
      nGC_8758, nGC_8758])

      allocate(vertices(3249)%branchR2(0:1))
      call avR2(3249, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_8741, nGC_8738,       &
      nGC_8760, nGC_8760])

      call avR2(3249, 1, 14, 1, 0, FFa1, 0, [2, 0], [nGC_8733, nGC_8733,       &
      nGC_8761, nGC_8761])

      allocate(vertices(1017)%branchR2(0:0))
      call avR2(1017, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(1929)%branchR2(0:0))
      call avR2(1929, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8894])

      allocate(vertices(3729)%branchR2(0:0))
      call avR2(3729, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9082])

      allocate(vertices(713)%branchR2(0:0))
      call avR2(713, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

      allocate(vertices(35)%branchR2(0:0))
      call avR2(35, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(2214)%branchR2(0:0))
      call avR2(2214, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8888])

    end subroutine fill_vertices_mdl10
end module vertices_info10
