!******************************************************************************!
!                                                                              !
!    vertices_info12.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info12.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info12
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl12()
      allocate(vertices(1251)%branchR2(0:0))
      call avR2(1251, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8828])

      allocate(vertices(500)%branchR2(0:0))
      call avR2(500, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9224])

      allocate(vertices(3343)%branchR2(0:0))
      call avR2(3343, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_31869])

      allocate(vertices(2219)%branchR2(0:0))
      call avR2(2219, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(343)%branchR2(0:3))
      call avR2(343, 0, 24, 1, 0, FaVF0, 0, [1, 2], [nGC_9061, nGC_9060])

      call avR2(343, 1, 24, 1, 0, FaVF0, 0, [3, 0], [nGC_9052, nGC_9052])

      call avR2(343, 2, 25, 1, 0, FaVF0, 0, [1, 2], [nGC_9059, nGC_9058])

      call avR2(343, 3, 25, 1, 0, FaVF0, 0, [3, 0], [nGC_9049, nGC_9049])

      allocate(vertices(520)%branchR2(0:0))
      call avR2(520, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9213])

      allocate(vertices(261)%branchR2(0:0))
      call avR2(261, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(1430)%branchR2(0:0))
      call avR2(1430, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(3574)%branchR2(0:0))
      call avR2(3574, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_31266])

      allocate(vertices(2104)%branchR2(0:0))
      call avR2(2104, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(2223)%branchR2(0:0))
      call avR2(2223, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(1685)%branchR2(0:0))
      call avR2(1685, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(2372)%branchR2(0:0))
      call avR2(2372, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9244])

      allocate(vertices(2298)%branchR2(0:0))
      call avR2(2298, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8908])

      allocate(vertices(3790)%branchR2(0:1))
      call avR2(3790, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9145])

      call avR2(3790, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9146])

      allocate(vertices(303)%branchR2(0:0))
      call avR2(303, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9128])

      allocate(vertices(3791)%branchR2(0:0))
      call avR2(3791, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(2302)%branchR2(0:0))
      call avR2(2302, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8848])

      allocate(vertices(1914)%branchR2(0:0))
      call avR2(1914, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9193])

      allocate(vertices(1587)%branchR2(0:0))
      call avR2(1587, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9213])

      allocate(vertices(1687)%branchR2(0:0))
      call avR2(1687, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8837])

      allocate(vertices(3792)%branchR2(0:0))
      call avR2(3792, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9082])

      allocate(vertices(1856)%branchR2(0:0))
      call avR2(1856, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(1390)%branchR2(0:0))
      call avR2(1390, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9193])

      allocate(vertices(2152)%branchR2(0:0))
      call avR2(2152, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(3560)%branchR2(0:0))
      call avR2(3560, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8770])

      allocate(vertices(3399)%branchR2(0:0))
      call avR2(3399, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9096])

      allocate(vertices(1738)%branchR2(0:0))
      call avR2(1738, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9165])

      allocate(vertices(2047)%branchR2(0:0))
      call avR2(2047, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(2266)%branchR2(0:0))
      call avR2(2266, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_8798, nGC_8799])

      allocate(vertices(1350)%branchR2(0:0))
      call avR2(1350, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9226])

      allocate(vertices(979)%branchR2(0:0))
      call avR2(979, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8883, nGC_8882])

      allocate(vertices(3349)%branchR2(0:0))
      call avR2(3349, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9096])

      allocate(vertices(2916)%branchR2(0:0))
      call avR2(2916, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9204])

      allocate(vertices(3078)%branchR2(0:0))
      call avR2(3078, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8765])

      allocate(vertices(3793)%branchR2(0:0))
      call avR2(3793, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(1711)%branchR2(0:1))
      call avR2(1711, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_9018])

      call avR2(1711, 1, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_9019])

      allocate(vertices(3116)%branchR2(0:0))
      call avR2(3116, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8777])

      allocate(vertices(661)%branchR2(0:0))
      call avR2(661, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9182])

      allocate(vertices(3278)%branchR2(0:0))
      call avR2(3278, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9204])

      allocate(vertices(3794)%branchR2(0:0))
      call avR2(3794, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9088])

      allocate(vertices(3795)%branchR2(0:0))
      call avR2(3795, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8849])

      allocate(vertices(36)%branchR2(0:0))
      call avR2(36, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(648)%branchR2(0:1))
      call avR2(648, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8895, nGC_8897])

      call avR2(648, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8896, nGC_8898])

      allocate(vertices(3796)%branchR2(0:1))
      call avR2(3796, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9242])

      call avR2(3796, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9243])

      allocate(vertices(0)%branchR2(0:0))
      call avR2(0, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9225])

      allocate(vertices(1357)%branchR2(0:0))
      call avR2(1357, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8984, nGC_8983])

      allocate(vertices(3263)%branchR2(0:0))
      call avR2(3263, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9159])

      allocate(vertices(1162)%branchR2(0:0))
      call avR2(1162, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(1710)%branchR2(0:0))
      call avR2(1710, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(3581)%branchR2(0:0))
      call avR2(3581, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(2513)%branchR2(0:0))
      call avR2(2513, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

      allocate(vertices(31)%branchR2(0:0))
      call avR2(31, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9036, nGC_9037])

      allocate(vertices(2435)%branchR2(0:0))
      call avR2(2435, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(2033)%branchR2(0:0))
      call avR2(2033, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8925])

      allocate(vertices(3797)%branchR2(0:0))
      call avR2(3797, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8769])

      allocate(vertices(3108)%branchR2(0:0))
      call avR2(3108, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9119])

      allocate(vertices(1270)%branchR2(0:1))
      call avR2(1270, 0, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_8781, nGC_8781])

      call avR2(1270, 1, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_8786, nGC_8785])

      allocate(vertices(486)%branchR2(0:0))
      call avR2(486, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(925)%branchR2(0:0))
      call avR2(925, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_8798, nGC_8799])

      allocate(vertices(534)%branchR2(0:0))
      call avR2(534, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(1306)%branchR2(0:0))
      call avR2(1306, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(1895)%branchR2(0:1))
      call avR2(1895, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8967, nGC_8967])

      call avR2(1895, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8965, nGC_8966])

      allocate(vertices(2110)%branchR2(0:0))
      call avR2(2110, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9116])

      allocate(vertices(858)%branchR2(0:0))
      call avR2(858, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(2337)%branchR2(0:0))
      call avR2(2337, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8838])

      allocate(vertices(2688)%branchR2(0:1))
      call avR2(2688, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8980, nGC_8981])

      call avR2(2688, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8982, nGC_8982])

      allocate(vertices(404)%branchR2(0:0))
      call avR2(404, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(2876)%branchR2(0:0))
      call avR2(2876, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(3010)%branchR2(0:0))
      call avR2(3010, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9110])

      allocate(vertices(1973)%branchR2(0:0))
      call avR2(1973, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(2642)%branchR2(0:0))
      call avR2(2642, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8807])

      allocate(vertices(3573)%branchR2(0:0))
      call avR2(3573, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9235])

      allocate(vertices(1039)%branchR2(0:0))
      call avR2(1039, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9228])

      allocate(vertices(408)%branchR2(0:0))
      call avR2(408, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(3798)%branchR2(0:0))
      call avR2(3798, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(2116)%branchR2(0:0))
      call avR2(2116, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

      allocate(vertices(950)%branchR2(0:0))
      call avR2(950, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9220])

      allocate(vertices(1607)%branchR2(0:1))
      call avR2(1607, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8900, nGC_8902])

      call avR2(1607, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8916, nGC_8917])

      allocate(vertices(2860)%branchR2(0:0))
      call avR2(2860, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_8720, nGC_8719])

      allocate(vertices(315)%branchR2(0:0))
      call avR2(315, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(93)%branchR2(0:0))
      call avR2(93, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9093])

      allocate(vertices(3290)%branchR2(0:0))
      call avR2(3290, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9235])

      allocate(vertices(1797)%branchR2(0:0))
      call avR2(1797, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9094])

      allocate(vertices(3387)%branchR2(0:0))
      call avR2(3387, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9096])

      allocate(vertices(1047)%branchR2(0:1))
      call avR2(1047, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8906, nGC_8904])

      call avR2(1047, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8919, nGC_8918])

      allocate(vertices(3799)%branchR2(0:1))
      call avR2(3799, 0, 45, 1, 0, VVS0, 0, [2, 1], [nGC_9002])

      call avR2(3799, 1, 46, 1, 0, VVS0, 0, [2, 1], [nGC_9003])

      allocate(vertices(959)%branchR2(0:0))
      call avR2(959, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8960])

      allocate(vertices(3232)%branchR2(0:0))
      call avR2(3232, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9122])

      allocate(vertices(873)%branchR2(0:0))
      call avR2(873, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9213])

      allocate(vertices(732)%branchR2(0:0))
      call avR2(732, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9022])

      allocate(vertices(561)%branchR2(0:0))
      call avR2(561, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(1148)%branchR2(0:0))
      call avR2(1148, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(3269)%branchR2(0:0))
      call avR2(3269, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8853])

      allocate(vertices(1524)%branchR2(0:0))
      call avR2(1524, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(3279)%branchR2(0:0))
      call avR2(3279, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9199])

      allocate(vertices(1980)%branchR2(0:1))
      call avR2(1980, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8953, nGC_8955])

      call avR2(1980, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8954, nGC_8956])

      allocate(vertices(3157)%branchR2(0:0))
      call avR2(3157, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(466)%branchR2(0:0))
      call avR2(466, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_9001, nGC_9000])

      allocate(vertices(997)%branchR2(0:1))
      call avR2(997, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8964, nGC_8964])

      call avR2(997, 1, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8962, nGC_8963])

      allocate(vertices(1810)%branchR2(0:1))
      call avR2(1810, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8866, nGC_8868])

      call avR2(1810, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8867, nGC_8869])

      allocate(vertices(557)%branchR2(0:0))
      call avR2(557, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(1235)%branchR2(0:1))
      call avR2(1235, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_9019])

      call avR2(1235, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_9020])

      allocate(vertices(3204)%branchR2(0:0))
      call avR2(3204, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9108])

      allocate(vertices(84)%branchR2(0:0))
      call avR2(84, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8827])

      allocate(vertices(1100)%branchR2(0:0))
      call avR2(1100, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

      allocate(vertices(3501)%branchR2(0:0))
      call avR2(3501, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29754])

      allocate(vertices(3097)%branchR2(0:0))
      call avR2(3097, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9235])

      allocate(vertices(26)%branchR2(0:0))
      call avR2(26, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8990])

      allocate(vertices(692)%branchR2(0:0))
      call avR2(692, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9143])

      allocate(vertices(1657)%branchR2(0:0))
      call avR2(1657, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29893])

      allocate(vertices(3168)%branchR2(0:0))
      call avR2(3168, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_31869])

      allocate(vertices(1672)%branchR2(0:0))
      call avR2(1672, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9124, nGC_9123,       &
      nGC_9125])

      allocate(vertices(1023)%branchR2(0:0))
      call avR2(1023, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9164])

      allocate(vertices(1788)%branchR2(0:0))
      call avR2(1788, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9215])

      allocate(vertices(2095)%branchR2(0:0))
      call avR2(2095, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8832])

      allocate(vertices(693)%branchR2(0:0))
      call avR2(693, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9124, nGC_9123,        &
      nGC_9125])

      allocate(vertices(1395)%branchR2(0:0))
      call avR2(1395, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_32531])

      allocate(vertices(1126)%branchR2(0:0))
      call avR2(1126, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9171])

      allocate(vertices(2790)%branchR2(0:0))
      call avR2(2790, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_8744, nGC_8745,       &
      nGC_8746, nGC_8746])

      allocate(vertices(2211)%branchR2(0:3))
      call avR2(2211, 0, 29, 1, 0, VFaF1, 0, [1, 2], [nGC_9050, nGC_9048])

      call avR2(2211, 1, 29, 1, 0, VFaF1, 0, [3, 0], [nGC_9049, nGC_9049])

      call avR2(2211, 2, 28, 1, 0, VFaF1, 0, [1, 2], [nGC_9053, nGC_9051])

      call avR2(2211, 3, 28, 1, 0, VFaF1, 0, [3, 0], [nGC_9052, nGC_9052])

      allocate(vertices(2699)%branchR2(0:0))
      call avR2(2699, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(2413)%branchR2(0:0))
      call avR2(2413, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8958])

      allocate(vertices(272)%branchR2(0:0))
      call avR2(272, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(2161)%branchR2(0:1))
      call avR2(2161, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8953, nGC_8955])

      call avR2(2161, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8954, nGC_8956])

      allocate(vertices(3800)%branchR2(0:0))
      call avR2(3800, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9088])

      allocate(vertices(3801)%branchR2(0:0))
      call avR2(3801, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9127, nGC_9127,       &
      nGC_9127])

      allocate(vertices(1746)%branchR2(0:0))
      call avR2(1746, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9033, nGC_9034])

      allocate(vertices(1071)%branchR2(0:1))
      call avR2(1071, 0, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_9030, nGC_9028])

      call avR2(1071, 1, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_9047, nGC_9046])

      allocate(vertices(2958)%branchR2(0:0))
      call avR2(2958, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(306)%branchR2(0:0))
      call avR2(306, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(3467)%branchR2(0:0))
      call avR2(3467, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9180])

      allocate(vertices(3363)%branchR2(0:1))
      call avR2(3363, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_8737, nGC_8734,       &
      nGC_8755, nGC_8755])

      call avR2(3363, 1, 14, 1, 0, FFa1, 0, [2, 0], [nGC_8733, nGC_8733,       &
      nGC_8756, nGC_8756])

      allocate(vertices(417)%branchR2(0:0))
      call avR2(417, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(45)%branchR2(0:0))
      call avR2(45, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(17)%branchR2(0:0))
      call avR2(17, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(2893)%branchR2(0:0))
      call avR2(2893, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9119])

      allocate(vertices(3345)%branchR2(0:0))
      call avR2(3345, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9204])

      allocate(vertices(3802)%branchR2(0:1))
      call avR2(3802, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9207])

      call avR2(3802, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9208])

      allocate(vertices(1060)%branchR2(0:0))
      call avR2(1060, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9128])

      allocate(vertices(2043)%branchR2(0:0))
      call avR2(2043, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(3803)%branchR2(0:0))
      call avR2(3803, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9088])

      allocate(vertices(3347)%branchR2(0:0))
      call avR2(3347, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9108])

      allocate(vertices(1182)%branchR2(0:0))
      call avR2(1182, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(2436)%branchR2(0:0))
      call avR2(2436, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29966])

      allocate(vertices(3804)%branchR2(0:0))
      call avR2(3804, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(3524)%branchR2(0:0))
      call avR2(3524, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(802)%branchR2(0:0))
      call avR2(802, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8766])

      allocate(vertices(280)%branchR2(0:1))
      call avR2(280, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8878, nGC_8880])

      call avR2(280, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8879, nGC_8881])

      allocate(vertices(843)%branchR2(0:0))
      call avR2(843, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(3805)%branchR2(0:1))
      call avR2(3805, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9162])

      call avR2(3805, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9161])

      allocate(vertices(2536)%branchR2(0:0))
      call avR2(2536, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9143])

      allocate(vertices(2975)%branchR2(0:0))
      call avR2(2975, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9108])

      allocate(vertices(2127)%branchR2(0:0))
      call avR2(2127, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8984, nGC_8983])

      allocate(vertices(171)%branchR2(0:0))
      call avR2(171, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(1359)%branchR2(0:1))
      call avR2(1359, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8979, nGC_8979])

      call avR2(1359, 1, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8977, nGC_8978])

      allocate(vertices(1009)%branchR2(0:0))
      call avR2(1009, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8857])

      allocate(vertices(2689)%branchR2(0:0))
      call avR2(2689, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9193])

      allocate(vertices(425)%branchR2(0:0))
      call avR2(425, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9117])

      allocate(vertices(543)%branchR2(0:0))
      call avR2(543, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(3806)%branchR2(0:1))
      call avR2(3806, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9131, nGC_9131,      &
      nGC_9131])

      call avR2(3806, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9130, nGC_9130,      &
      nGC_9130])

      allocate(vertices(3034)%branchR2(0:0))
      call avR2(3034, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(1550)%branchR2(0:0))
      call avR2(1550, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9099])

      allocate(vertices(636)%branchR2(0:0))
      call avR2(636, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9099])

      allocate(vertices(1541)%branchR2(0:0))
      call avR2(1541, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(2677)%branchR2(0:0))
      call avR2(2677, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

      allocate(vertices(1084)%branchR2(0:0))
      call avR2(1084, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9220])

      allocate(vertices(1173)%branchR2(0:0))
      call avR2(1173, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8890])

      allocate(vertices(1767)%branchR2(0:0))
      call avR2(1767, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8883, nGC_8882])

      allocate(vertices(106)%branchR2(0:0))
      call avR2(106, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9132])

      allocate(vertices(3353)%branchR2(0:0))
      call avR2(3353, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9109])

      allocate(vertices(347)%branchR2(0:0))
      call avR2(347, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9234])

      allocate(vertices(394)%branchR2(0:0))
      call avR2(394, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(1442)%branchR2(0:0))
      call avR2(1442, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8873, nGC_8872])

      allocate(vertices(62)%branchR2(0:0))
      call avR2(62, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(384)%branchR2(0:0))
      call avR2(384, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8812])

      allocate(vertices(1157)%branchR2(0:0))
      call avR2(1157, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8988])

      allocate(vertices(3310)%branchR2(0:0))
      call avR2(3310, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_8710, nGC_8709])

      allocate(vertices(719)%branchR2(0:0))
      call avR2(719, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(92)%branchR2(0:0))
      call avR2(92, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9144])

      allocate(vertices(363)%branchR2(0:0))
      call avR2(363, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(1655)%branchR2(0:0))
      call avR2(1655, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9093])

      allocate(vertices(767)%branchR2(0:0))
      call avR2(767, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8907])

      allocate(vertices(774)%branchR2(0:0))
      call avR2(774, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9144])

      allocate(vertices(2107)%branchR2(0:0))
      call avR2(2107, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9219])

      allocate(vertices(2386)%branchR2(0:0))
      call avR2(2386, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8847])

      allocate(vertices(698)%branchR2(0:0))
      call avR2(698, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(2446)%branchR2(0:0))
      call avR2(2446, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9214])

      allocate(vertices(1679)%branchR2(0:0))
      call avR2(1679, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

      allocate(vertices(623)%branchR2(0:0))
      call avR2(623, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9126])

      allocate(vertices(666)%branchR2(0:1))
      call avR2(666, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8884, nGC_8886])

      call avR2(666, 1, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8885, nGC_8887])

      allocate(vertices(1621)%branchR2(0:0))
      call avR2(1621, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(37)%branchR2(0:0))
      call avR2(37, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9220])

      allocate(vertices(3084)%branchR2(0:0))
      call avR2(3084, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9180])

      allocate(vertices(3807)%branchR2(0:0))
      call avR2(3807, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9098, nGC_9098,       &
      nGC_9097])

      allocate(vertices(705)%branchR2(0:0))
      call avR2(705, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9183])

      allocate(vertices(3463)%branchR2(0:1))
      call avR2(3463, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_8741, nGC_8738,       &
      nGC_8757, nGC_8757])

      call avR2(3463, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_8733, nGC_8733,       &
      nGC_8758, nGC_8758])

      allocate(vertices(1450)%branchR2(0:0))
      call avR2(1450, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8834])

      allocate(vertices(3808)%branchR2(0:1))
      call avR2(3808, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9161])

      call avR2(3808, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9162])

      allocate(vertices(94)%branchR2(0:23))
      call avR2(94, 0, 94, 1, 0, VVVV0, 0, [4, 0], [nGC_9267, nGC_9266,        &
      nGC_9267])

      call avR2(94, 1, 91, 1, 0, VVVV0, 0, [4, 0], [nGC_9266, nGC_9267,        &
      nGC_9267])

      call avR2(94, 2, 104, 1, 0, VVVV0, 0, [4, 0], [nGC_9277, nGC_9277,       &
      nGC_9277])

      call avR2(94, 3, 2, 1, 0, VVVV0, 0, [4, 0], [nGC_9262, nGC_9262, nGC_9261&
      ])

      call avR2(94, 4, 5, 1, 0, VVVV0, 0, [4, 0], [nGC_9270, nGC_9272, nGC_9271&
      ])

      call avR2(94, 5, 100, 1, 0, VVVV0, 0, [4, 0], [nGC_9276, nGC_9276,       &
      nGC_9276])

      call avR2(94, 6, 97, 1, 0, VVVV0, 0, [4, 0], [nGC_9264, nGC_9265,        &
      nGC_9263])

      call avR2(94, 7, 90, 1, 0, VVVV0, 0, [4, 0], [nGC_9264, nGC_9263,        &
      nGC_9265])

      call avR2(94, 8, 103, 1, 0, VVVV0, 0, [4, 0], [nGC_9277, nGC_9277,       &
      nGC_9277])

      call avR2(94, 9, 93, 1, 0, VVVV0, 0, [4, 0], [nGC_9268, nGC_9269,        &
      nGC_9266])

      call avR2(94, 10, 106, 1, 0, VVVV0, 0, [4, 0], [nGC_9277, nGC_9277,      &
      nGC_9277])

      call avR2(94, 11, 4, 1, 0, VVVV0, 0, [4, 0], [nGC_9273, nGC_9275,        &
      nGC_9274])

      call avR2(94, 12, 96, 1, 0, VVVV0, 0, [4, 0], [nGC_9263, nGC_9265,       &
      nGC_9264])

      call avR2(94, 13, 7, 1, 0, VVVV0, 0, [4, 0], [nGC_9270, nGC_9272,        &
      nGC_9271])

      call avR2(94, 14, 102, 1, 0, VVVV0, 0, [4, 0], [nGC_9277, nGC_9277,      &
      nGC_9277])

      call avR2(94, 15, 99, 1, 0, VVVV0, 0, [4, 0], [nGC_9263, nGC_9263,       &
      nGC_9263])

      call avR2(94, 16, 92, 1, 0, VVVV0, 0, [4, 0], [nGC_9264, nGC_9265,       &
      nGC_9263])

      call avR2(94, 17, 89, 1, 0, VVVV0, 0, [4, 0], [nGC_9263, nGC_9263,       &
      nGC_9263])

      call avR2(94, 18, 95, 1, 0, VVVV0, 0, [4, 0], [nGC_9263, nGC_9265,       &
      nGC_9264])

      call avR2(94, 19, 105, 1, 0, VVVV0, 0, [4, 0], [nGC_9277, nGC_9277,      &
      nGC_9277])

      call avR2(94, 20, 6, 1, 0, VVVV0, 0, [4, 0], [nGC_9273, nGC_9275,        &
      nGC_9274])

      call avR2(94, 21, 3, 1, 0, VVVV0, 0, [4, 0], [nGC_9262, nGC_9262,        &
      nGC_9261])

      call avR2(94, 22, 98, 1, 0, VVVV0, 0, [4, 0], [nGC_9264, nGC_9263,       &
      nGC_9265])

      call avR2(94, 23, 101, 1, 0, VVVV0, 0, [4, 0], [nGC_9277, nGC_9277,      &
      nGC_9277])

      allocate(vertices(998)%branchR2(0:0))
      call avR2(998, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9022])

      allocate(vertices(1098)%branchR2(0:0))
      call avR2(1098, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9090, nGC_9089,       &
      nGC_9091])

      allocate(vertices(2957)%branchR2(0:0))
      call avR2(2957, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9238])

      allocate(vertices(2294)%branchR2(0:0))
      call avR2(2294, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(730)%branchR2(0:0))
      call avR2(730, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(890)%branchR2(0:0))
      call avR2(890, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9194])

      allocate(vertices(2305)%branchR2(0:1))
      call avR2(2305, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8866, nGC_8868])

      call avR2(2305, 1, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8867, nGC_8869])

      allocate(vertices(3087)%branchR2(0:0))
      call avR2(3087, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_8793])

      allocate(vertices(545)%branchR2(0:0))
      call avR2(545, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_9013, nGC_9012])

      allocate(vertices(1294)%branchR2(0:0))
      call avR2(1294, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8912])

      allocate(vertices(3809)%branchR2(0:0))
      call avR2(3809, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9127, nGC_9127,       &
      nGC_9127])

      allocate(vertices(800)%branchR2(0:0))
      call avR2(800, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9183])

      allocate(vertices(494)%branchR2(0:0))
      call avR2(494, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9245])

      allocate(vertices(2461)%branchR2(0:0))
      call avR2(2461, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(1712)%branchR2(0:0))
      call avR2(1712, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(3434)%branchR2(0:0))
      call avR2(3434, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9119])

      allocate(vertices(1080)%branchR2(0:0))
      call avR2(1080, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(3107)%branchR2(0:0))
      call avR2(3107, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9110])

      allocate(vertices(1732)%branchR2(0:0))
      call avR2(1732, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9222])

      allocate(vertices(1394)%branchR2(0:0))
      call avR2(1394, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9218])

      allocate(vertices(48)%branchR2(0:0))
      call avR2(48, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9201])

      allocate(vertices(1813)%branchR2(0:0))
      call avR2(1813, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9192])

      allocate(vertices(697)%branchR2(0:0))
      call avR2(697, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(2231)%branchR2(0:0))
      call avR2(2231, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9252, nGC_9253,       &
      nGC_9254])

      allocate(vertices(796)%branchR2(0:0))
      call avR2(796, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

      allocate(vertices(1519)%branchR2(0:0))
      call avR2(1519, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9201])

      allocate(vertices(1825)%branchR2(0:0))
      call avR2(1825, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(155)%branchR2(0:0))
      call avR2(155, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8804])

      allocate(vertices(523)%branchR2(0:0))
      call avR2(523, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(2878)%branchR2(0:0))
      call avR2(2878, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9199])

      allocate(vertices(3543)%branchR2(0:0))
      call avR2(3543, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_8717, nGC_8716,        &
      nGC_8718])

      allocate(vertices(2194)%branchR2(0:0))
      call avR2(2194, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9118])

      allocate(vertices(953)%branchR2(0:0))
      call avR2(953, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9080])

      allocate(vertices(2312)%branchR2(0:0))
      call avR2(2312, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(313)%branchR2(0:0))
      call avR2(313, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9219])

      allocate(vertices(1886)%branchR2(0:0))
      call avR2(1886, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9100])

      allocate(vertices(1897)%branchR2(0:0))
      call avR2(1897, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8773])

      allocate(vertices(1709)%branchR2(0:1))
      call avR2(1709, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8968, nGC_8969])

      call avR2(1709, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8970, nGC_8970])

      allocate(vertices(275)%branchR2(0:0))
      call avR2(275, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9200])

      allocate(vertices(2226)%branchR2(0:0))
      call avR2(2226, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9116])

      allocate(vertices(2817)%branchR2(0:0))
      call avR2(2817, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9235])

      allocate(vertices(3364)%branchR2(0:0))
      call avR2(3364, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9238])

      allocate(vertices(221)%branchR2(0:0))
      call avR2(221, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30427])

      allocate(vertices(627)%branchR2(0:0))
      call avR2(627, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(1152)%branchR2(0:0))
      call avR2(1152, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8940, nGC_8939])

      allocate(vertices(220)%branchR2(0:0))
      call avR2(220, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(2664)%branchR2(0:0))
      call avR2(2664, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(3810)%branchR2(0:0))
      call avR2(3810, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9111])

      allocate(vertices(2420)%branchR2(0:0))
      call avR2(2420, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(3811)%branchR2(0:1))
      call avR2(3811, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9240])

      call avR2(3811, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9239])

      allocate(vertices(389)%branchR2(0:0))
      call avR2(389, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8921])

      allocate(vertices(240)%branchR2(0:0))
      call avR2(240, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(878)%branchR2(0:0))
      call avR2(878, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

      allocate(vertices(1891)%branchR2(0:0))
      call avR2(1891, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(2936)%branchR2(0:0))
      call avR2(2936, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9109])

      allocate(vertices(1474)%branchR2(0:0))
      call avR2(1474, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(963)%branchR2(0:0))
      call avR2(963, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9227])

      allocate(vertices(3122)%branchR2(0:0))
      call avR2(3122, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(3473)%branchR2(0:0))
      call avR2(3473, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9196])

      allocate(vertices(1265)%branchR2(0:0))
      call avR2(1265, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8960])

      allocate(vertices(3812)%branchR2(0:0))
      call avR2(3812, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9084])

      allocate(vertices(3813)%branchR2(0:0))
      call avR2(3813, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9255, nGC_9255,       &
      nGC_9255])

      allocate(vertices(2827)%branchR2(0:0))
      call avR2(2827, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9238])

      allocate(vertices(3110)%branchR2(0:0))
      call avR2(3110, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9159])

      allocate(vertices(3091)%branchR2(0:0))
      call avR2(3091, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9095])

      allocate(vertices(3068)%branchR2(0:0))
      call avR2(3068, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30687])

      allocate(vertices(362)%branchR2(0:0))
      call avR2(362, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9218])

      allocate(vertices(3814)%branchR2(0:1))
      call avR2(3814, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9217])

      call avR2(3814, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9216])

      allocate(vertices(2389)%branchR2(0:1))
      call avR2(2389, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8874, nGC_8876])

      call avR2(2389, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8875, nGC_8877])

      allocate(vertices(2185)%branchR2(0:0))
      call avR2(2185, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(428)%branchR2(0:0))
      call avR2(428, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9254, nGC_9253,        &
      nGC_9252])

      allocate(vertices(939)%branchR2(0:0))
      call avR2(939, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(834)%branchR2(0:0))
      call avR2(834, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(2683)%branchR2(0:0))
      call avR2(2683, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(1122)%branchR2(0:1))
      call avR2(1122, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8823, nGC_8825])

      call avR2(1122, 1, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8824, nGC_8826])

      allocate(vertices(1955)%branchR2(0:0))
      call avR2(1955, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(1136)%branchR2(0:0))
      call avR2(1136, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(1353)%branchR2(0:0))
      call avR2(1353, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(1403)%branchR2(0:0))
      call avR2(1403, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(1426)%branchR2(0:0))
      call avR2(1426, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(2265)%branchR2(0:0))
      call avR2(2265, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(975)%branchR2(0:0))
      call avR2(975, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8892])

      allocate(vertices(291)%branchR2(0:0))
      call avR2(291, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(1993)%branchR2(0:0))
      call avR2(1993, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9017])

      allocate(vertices(792)%branchR2(0:0))
      call avR2(792, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9113])

      allocate(vertices(239)%branchR2(0:0))
      call avR2(239, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8873, nGC_8872])

      allocate(vertices(2990)%branchR2(0:0))
      call avR2(2990, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(2430)%branchR2(0:0))
      call avR2(2430, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9116])

      allocate(vertices(71)%branchR2(0:0))
      call avR2(71, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9091, nGC_9090, nGC_9089&
      ])

      allocate(vertices(2113)%branchR2(0:0))
      call avR2(2113, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9227])

      allocate(vertices(2812)%branchR2(0:0))
      call avR2(2812, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9204])

      allocate(vertices(3815)%branchR2(0:1))
      call avR2(3815, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9249, nGC_9249,      &
      nGC_9249])

      call avR2(3815, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9248, nGC_9248,      &
      nGC_9248])

      allocate(vertices(2145)%branchR2(0:1))
      call avR2(2145, 0, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_8784, nGC_8784])

      call avR2(2145, 1, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_8797, nGC_8796])

      allocate(vertices(1599)%branchR2(0:0))
      call avR2(1599, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9187])

      allocate(vertices(3816)%branchR2(0:0))
      call avR2(3816, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9188])

      allocate(vertices(3817)%branchR2(0:0))
      call avR2(3817, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9082])

      allocate(vertices(3818)%branchR2(0:5))
      call avR2(3818, 0, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_9258, nGC_9258,      &
      nGC_9258])

      call avR2(3818, 1, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_9259, nGC_9259,      &
      nGC_9259])

      call avR2(3818, 2, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_9260, nGC_9260,      &
      nGC_9260])

      call avR2(3818, 3, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_9259, nGC_9259,      &
      nGC_9259])

      call avR2(3818, 4, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_9259, nGC_9259,      &
      nGC_9259])

      call avR2(3818, 5, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_9260, nGC_9260,      &
      nGC_9260])

      allocate(vertices(2448)%branchR2(0:1))
      call avR2(2448, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8965, nGC_8966])

      call avR2(2448, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8967, nGC_8967])

      allocate(vertices(3819)%branchR2(0:0))
      call avR2(3819, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(1377)%branchR2(0:0))
      call avR2(1377, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(2380)%branchR2(0:0))
      call avR2(2380, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8926])

      allocate(vertices(544)%branchR2(0:0))
      call avR2(544, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(3820)%branchR2(0:1))
      call avR2(3820, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9162])

      call avR2(3820, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9161])

      allocate(vertices(1826)%branchR2(0:0))
      call avR2(1826, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9035])

      allocate(vertices(733)%branchR2(0:0))
      call avR2(733, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9117])

      allocate(vertices(2754)%branchR2(0:0))
      call avR2(2754, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_31223])

      allocate(vertices(1123)%branchR2(0:0))
      call avR2(1123, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8803])

      allocate(vertices(1801)%branchR2(0:0))
      call avR2(1801, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9128])

      allocate(vertices(3821)%branchR2(0:0))
      call avR2(3821, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9188])

      allocate(vertices(2246)%branchR2(0:0))
      call avR2(2246, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9191])

      allocate(vertices(2197)%branchR2(0:0))
      call avR2(2197, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9132])

      allocate(vertices(379)%branchR2(0:0))
      call avR2(379, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8827])

      allocate(vertices(161)%branchR2(0:0))
      call avR2(161, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9099])

      allocate(vertices(856)%branchR2(0:0))
      call avR2(856, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_31731])

      allocate(vertices(3420)%branchR2(0:0))
      call avR2(3420, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9199])

      allocate(vertices(2239)%branchR2(0:0))
      call avR2(2239, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(2100)%branchR2(0:0))
      call avR2(2100, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8907])

      allocate(vertices(642)%branchR2(0:0))
      call avR2(642, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

      allocate(vertices(1924)%branchR2(0:0))
      call avR2(1924, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9227])

      allocate(vertices(2634)%branchR2(0:0))
      call avR2(2634, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29240])

      allocate(vertices(737)%branchR2(0:0))
      call avR2(737, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(2077)%branchR2(0:1))
      call avR2(2077, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8815, nGC_8817])

      call avR2(2077, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8816, nGC_8818])

      allocate(vertices(2879)%branchR2(0:0))
      call avR2(2879, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(3037)%branchR2(0:0))
      call avR2(3037, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_8793])

      allocate(vertices(228)%branchR2(0:0))
      call avR2(228, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(264)%branchR2(0:0))
      call avR2(264, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(50)%branchR2(0:0))
      call avR2(50, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9093])

      allocate(vertices(300)%branchR2(0:1))
      call avR2(300, 0, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_8781, nGC_8781])

      call avR2(300, 1, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_8780, nGC_8779])

      allocate(vertices(2313)%branchR2(0:0))
      call avR2(2313, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(1325)%branchR2(0:0))
      call avR2(1325, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(2412)%branchR2(0:0))
      call avR2(2412, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(1303)%branchR2(0:0))
      call avR2(1303, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9213])

      allocate(vertices(2061)%branchR2(0:0))
      call avR2(2061, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(2829)%branchR2(0:0))
      call avR2(2829, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9108])

      allocate(vertices(806)%branchR2(0:0))
      call avR2(806, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(1219)%branchR2(0:1))
      call avR2(1219, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8947, nGC_8949])

      call avR2(1219, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8948, nGC_8950])

      allocate(vertices(1529)%branchR2(0:0))
      call avR2(1529, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(1717)%branchR2(0:0))
      call avR2(1717, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8854])

      allocate(vertices(2559)%branchR2(0:0))
      call avR2(2559, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9089, nGC_9091,       &
      nGC_9090])

      allocate(vertices(663)%branchR2(0:1))
      call avR2(663, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_8780, nGC_8779])

      call avR2(663, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_8781, nGC_8781])

      allocate(vertices(162)%branchR2(0:0))
      call avR2(162, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8920])

      allocate(vertices(2952)%branchR2(0:0))
      call avR2(2952, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9235])

      allocate(vertices(3312)%branchR2(0:0))
      call avR2(3312, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(29)%branchR2(0:1))
      call avR2(29, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8931, nGC_8933])

      call avR2(29, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8932, nGC_8934])

      allocate(vertices(2394)%branchR2(0:0))
      call avR2(2394, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(1573)%branchR2(0:1))
      call avR2(1573, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8991, nGC_8992])

      call avR2(1573, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8993, nGC_8993])

      allocate(vertices(43)%branchR2(0:0))
      call avR2(43, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9129])

      allocate(vertices(2187)%branchR2(0:1))
      call avR2(2187, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8820, nGC_8822])

      call avR2(2187, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8842, nGC_8843])

      allocate(vertices(325)%branchR2(0:0))
      call avR2(325, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(3491)%branchR2(0:0))
      call avR2(3491, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9205])

      allocate(vertices(3822)%branchR2(0:1))
      call avR2(3822, 0, 45, 1, 0, VVS0, 0, [2, 1], [nGC_8973])

      call avR2(3822, 1, 46, 1, 0, VVS0, 0, [2, 1], [nGC_8974])

      allocate(vertices(3823)%branchR2(0:0))
      call avR2(3823, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8849])

      allocate(vertices(1675)%branchR2(0:0))
      call avR2(1675, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8802])

      allocate(vertices(1064)%branchR2(0:0))
      call avR2(1064, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(44)%branchR2(0:1))
      call avR2(44, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8818, nGC_8816])

      call avR2(44, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8841, nGC_8840])

      allocate(vertices(734)%branchR2(0:0))
      call avR2(734, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(3511)%branchR2(0:0))
      call avR2(3511, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9235])

      allocate(vertices(3824)%branchR2(0:0))
      call avR2(3824, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(1568)%branchR2(0:0))
      call avR2(1568, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29457])

      allocate(vertices(3825)%branchR2(0:0))
      call avR2(3825, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9188])

      allocate(vertices(1493)%branchR2(0:0))
      call avR2(1493, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(1544)%branchR2(0:0))
      call avR2(1544, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9089, nGC_9090,       &
      nGC_9091])

      allocate(vertices(2579)%branchR2(0:1))
      call avR2(2579, 0, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_9030, nGC_9028])

      call avR2(2579, 1, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_9047, nGC_9046])

      allocate(vertices(1018)%branchR2(0:0))
      call avR2(1018, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(591)%branchR2(0:0))
      call avR2(591, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8913])

      allocate(vertices(1092)%branchR2(0:0))
      call avR2(1092, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9201])

      allocate(vertices(2310)%branchR2(0:0))
      call avR2(2310, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

      allocate(vertices(273)%branchR2(0:1))
      call avR2(273, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8968, nGC_8969])

      call avR2(273, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8970, nGC_8970])

      allocate(vertices(111)%branchR2(0:0))
      call avR2(111, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(3826)%branchR2(0:0))
      call avR2(3826, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(1184)%branchR2(0:1))
      call avR2(1184, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8821, nGC_8819])

      call avR2(1184, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8822, nGC_8820])

      allocate(vertices(1165)%branchR2(0:0))
      call avR2(1165, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9113])

      allocate(vertices(3827)%branchR2(0:1))
      call avR2(3827, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9130, nGC_9130,      &
      nGC_9130])

      call avR2(3827, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9131, nGC_9131,      &
      nGC_9131])

      allocate(vertices(2094)%branchR2(0:0))
      call avR2(2094, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(674)%branchR2(0:0))
      call avR2(674, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(2463)%branchR2(0:0))
      call avR2(2463, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(1753)%branchR2(0:0))
      call avR2(1753, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9213])

      allocate(vertices(799)%branchR2(0:0))
      call avR2(799, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(3022)%branchR2(0:0))
      call avR2(3022, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9120])

      allocate(vertices(2136)%branchR2(0:0))
      call avR2(2136, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9118])

      allocate(vertices(2508)%branchR2(0:0))
      call avR2(2508, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_9001, nGC_9000])

      allocate(vertices(1376)%branchR2(0:0))
      call avR2(1376, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9224])

      allocate(vertices(605)%branchR2(0:0))
      call avR2(605, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8952, nGC_8951])

      allocate(vertices(3455)%branchR2(0:0))
      call avR2(3455, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9078])

      allocate(vertices(1142)%branchR2(0:0))
      call avR2(1142, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9234])

      allocate(vertices(821)%branchR2(0:1))
      call avR2(821, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8898, nGC_8896])

      call avR2(821, 1, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8915, nGC_8914])

      allocate(vertices(2308)%branchR2(0:0))
      call avR2(2308, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30385])

      allocate(vertices(3828)%branchR2(0:1))
      call avR2(3828, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9103, nGC_9103,      &
      nGC_9103])

      call avR2(3828, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9102, nGC_9102,      &
      nGC_9102])

      allocate(vertices(66)%branchR2(0:0))
      call avR2(66, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

      allocate(vertices(101)%branchR2(0:0))
      call avR2(101, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(1835)%branchR2(0:1))
      call avR2(1835, 0, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_9026, nGC_9024])

      call avR2(1835, 1, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_9041, nGC_9040])

      allocate(vertices(3281)%branchR2(0:0))
      call avR2(3281, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9180])

      allocate(vertices(3386)%branchR2(0:0))
      call avR2(3386, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(606)%branchR2(0:0))
      call avR2(606, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(1907)%branchR2(0:0))
      call avR2(1907, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(1315)%branchR2(0:0))
      call avR2(1315, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9089, nGC_9090,       &
      nGC_9091])

      allocate(vertices(2484)%branchR2(0:0))
      call avR2(2484, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_9033, nGC_9034])

      allocate(vertices(1876)%branchR2(0:0))
      call avR2(1876, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(1855)%branchR2(0:0))
      call avR2(1855, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

      allocate(vertices(748)%branchR2(0:0))
      call avR2(748, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9234])

      allocate(vertices(2549)%branchR2(0:0))
      call avR2(2549, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9125, nGC_9124,       &
      nGC_9123])

      allocate(vertices(1033)%branchR2(0:0))
      call avR2(1033, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9193])

      allocate(vertices(1705)%branchR2(0:0))
      call avR2(1705, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(354)%branchR2(0:0))
      call avR2(354, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9165])

      allocate(vertices(2830)%branchR2(0:0))
      call avR2(2830, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9096])

      allocate(vertices(1545)%branchR2(0:0))
      call avR2(1545, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(1424)%branchR2(0:0))
      call avR2(1424, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

      allocate(vertices(2678)%branchR2(0:0))
      call avR2(2678, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8808])

      allocate(vertices(2321)%branchR2(0:0))
      call avR2(2321, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9100])

      allocate(vertices(2526)%branchR2(0:1))
      call avR2(2526, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_9008, nGC_9008])

      call avR2(2526, 1, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_9006, nGC_9007])

      allocate(vertices(146)%branchR2(0:0))
      call avR2(146, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(2129)%branchR2(0:0))
      call avR2(2129, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9021])

      allocate(vertices(3285)%branchR2(0:0))
      call avR2(3285, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_8731, nGC_8730,        &
      nGC_8732])

      allocate(vertices(1758)%branchR2(0:0))
      call avR2(1758, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9090, nGC_9089,       &
      nGC_9091])

      allocate(vertices(3329)%branchR2(0:0))
      call avR2(3329, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9235])

      allocate(vertices(3829)%branchR2(0:1))
      call avR2(3829, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9242])

      call avR2(3829, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9243])

      allocate(vertices(429)%branchR2(0:0))
      call avR2(429, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(2901)%branchR2(0:0))
      call avR2(2901, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9204])

      allocate(vertices(1174)%branchR2(0:0))
      call avR2(1174, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(11)%branchR2(0:0))
      call avR2(11, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

      allocate(vertices(2610)%branchR2(0:0))
      call avR2(2610, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8813])

      allocate(vertices(2693)%branchR2(0:0))
      call avR2(2693, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9171])

      allocate(vertices(3335)%branchR2(0:0))
      call avR2(3335, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_8728, nGC_8727,        &
      nGC_8729])

      allocate(vertices(212)%branchR2(0:0))
      call avR2(212, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8921])

      allocate(vertices(1769)%branchR2(0:0))
      call avR2(1769, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9213])

      allocate(vertices(755)%branchR2(0:1))
      call avR2(755, 0, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_9030, nGC_9028])

      call avR2(755, 1, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_9043, nGC_9042])

      allocate(vertices(2750)%branchR2(0:0))
      call avR2(2750, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9181])

      allocate(vertices(1472)%branchR2(0:0))
      call avR2(1472, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9215])

      allocate(vertices(1421)%branchR2(0:1))
      call avR2(1421, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8962, nGC_8963])

      call avR2(1421, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8964, nGC_8964])

      allocate(vertices(3830)%branchR2(0:1))
      call avR2(3830, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9217])

      call avR2(3830, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9216])

      allocate(vertices(853)%branchR2(0:0))
      call avR2(853, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30309])

      allocate(vertices(3527)%branchR2(0:0))
      call avR2(3527, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9122])

      allocate(vertices(1187)%branchR2(0:0))
      call avR2(1187, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9171])

      allocate(vertices(3528)%branchR2(0:0))
      call avR2(3528, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(2667)%branchR2(0:1))
      call avR2(2667, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8987, nGC_8987])

      call avR2(2667, 1, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8985, nGC_8986])

      allocate(vertices(453)%branchR2(0:0))
      call avR2(453, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(1527)%branchR2(0:0))
      call avR2(1527, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(3005)%branchR2(0:0))
      call avR2(3005, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30582])

      allocate(vertices(884)%branchR2(0:1))
      call avR2(884, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8970, nGC_8970])

      call avR2(884, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8968, nGC_8969])

      allocate(vertices(793)%branchR2(0:0))
      call avR2(793, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9220])

      allocate(vertices(2276)%branchR2(0:0))
      call avR2(2276, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8922])

      allocate(vertices(1983)%branchR2(0:0))
      call avR2(1983, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8892])

      allocate(vertices(553)%branchR2(0:0))
      call avR2(553, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9165])

      allocate(vertices(3831)%branchR2(0:0))
      call avR2(3831, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(2242)%branchR2(0:0))
      call avR2(2242, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9017])

      allocate(vertices(3832)%branchR2(0:0))
      call avR2(3832, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(3031)%branchR2(0:0))
      call avR2(3031, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9108])

      allocate(vertices(1502)%branchR2(0:0))
      call avR2(1502, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8976, nGC_8975])

      allocate(vertices(1977)%branchR2(0:0))
      call avR2(1977, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(872)%branchR2(0:0))
      call avR2(872, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(1348)%branchR2(0:0))
      call avR2(1348, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9200])

      allocate(vertices(634)%branchR2(0:0))
      call avR2(634, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(3244)%branchR2(0:0))
      call avR2(3244, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_8754])

      allocate(vertices(1589)%branchR2(0:0))
      call avR2(1589, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(3187)%branchR2(0:0))
      call avR2(3187, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(2165)%branchR2(0:0))
      call avR2(2165, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_8789, nGC_8790])

      allocate(vertices(2474)%branchR2(0:1))
      call avR2(2474, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8900, nGC_8902])

      call avR2(2474, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8916, nGC_8917])

      allocate(vertices(3258)%branchR2(0:0))
      call avR2(3258, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9204])

      allocate(vertices(2460)%branchR2(0:0))
      call avR2(2460, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9143])

      allocate(vertices(3833)%branchR2(0:0))
      call avR2(3833, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9088])

      allocate(vertices(3834)%branchR2(0:1))
      call avR2(3834, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9242])

      call avR2(3834, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9243])

      allocate(vertices(841)%branchR2(0:0))
      call avR2(841, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9182])

      allocate(vertices(2086)%branchR2(0:0))
      call avR2(2086, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9118])

      allocate(vertices(427)%branchR2(0:0))
      call avR2(427, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(3558)%branchR2(0:0))
      call avR2(3558, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8777])

      allocate(vertices(2012)%branchR2(0:0))
      call avR2(2012, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9236])

      allocate(vertices(1206)%branchR2(0:0))
      call avR2(1206, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9132])

      allocate(vertices(1108)%branchR2(0:0))
      call avR2(1108, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

      allocate(vertices(184)%branchR2(0:0))
      call avR2(184, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(1614)%branchR2(0:0))
      call avR2(1614, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(1135)%branchR2(0:1))
      call avR2(1135, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_9006, nGC_9007])

      call avR2(1135, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_9008, nGC_9008])

      allocate(vertices(3450)%branchR2(0:0))
      call avR2(3450, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9095])

      allocate(vertices(3835)%branchR2(0:1))
      call avR2(3835, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9162])

      call avR2(3835, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9161])

      allocate(vertices(3836)%branchR2(0:1))
      call avR2(3836, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9208])

      call avR2(3836, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9207])

      allocate(vertices(972)%branchR2(0:0))
      call avR2(972, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(2534)%branchR2(0:0))
      call avR2(2534, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(2035)%branchR2(0:0))
      call avR2(2035, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(577)%branchR2(0:0))
      call avR2(577, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9171])

      allocate(vertices(556)%branchR2(0:0))
      call avR2(556, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9038])

      allocate(vertices(3389)%branchR2(0:0))
      call avR2(3389, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9159])

      allocate(vertices(1437)%branchR2(0:0))
      call avR2(1437, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(1804)%branchR2(0:1))
      call avR2(1804, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8878, nGC_8880])

      call avR2(1804, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8879, nGC_8881])

      allocate(vertices(2422)%branchR2(0:0))
      call avR2(2422, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9152])

      allocate(vertices(118)%branchR2(0:0))
      call avR2(118, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9234])

      allocate(vertices(1130)%branchR2(0:0))
      call avR2(1130, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8910])

      allocate(vertices(3115)%branchR2(0:0))
      call avR2(3115, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(201)%branchR2(0:0))
      call avR2(201, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(3196)%branchR2(0:0))
      call avR2(3196, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(308)%branchR2(0:0))
      call avR2(308, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(650)%branchR2(0:0))
      call avR2(650, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9113])

      allocate(vertices(3334)%branchR2(0:0))
      call avR2(3334, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_8792])

      allocate(vertices(3837)%branchR2(0:1))
      call avR2(3837, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9248, nGC_9248,      &
      nGC_9248])

      call avR2(3837, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9249, nGC_9249,      &
      nGC_9249])

      allocate(vertices(351)%branchR2(0:0))
      call avR2(351, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(305)%branchR2(0:0))
      call avR2(305, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9022])

      allocate(vertices(2271)%branchR2(0:0))
      call avR2(2271, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9222])

      allocate(vertices(3298)%branchR2(0:0))
      call avR2(3298, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_8792])

      allocate(vertices(3205)%branchR2(0:0))
      call avR2(3205, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(3227)%branchR2(0:0))
      call avR2(3227, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9159])

      allocate(vertices(3507)%branchR2(0:0))
      call avR2(3507, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9181])

      allocate(vertices(3240)%branchR2(0:0))
      call avR2(3240, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8762])

      allocate(vertices(2423)%branchR2(0:0))
      call avR2(2423, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(1542)%branchR2(0:0))
      call avR2(1542, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(2027)%branchR2(0:0))
      call avR2(2027, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(1641)%branchR2(0:1))
      call avR2(1641, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8931, nGC_8933])

      call avR2(1641, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8932, nGC_8934])

      allocate(vertices(2871)%branchR2(0:0))
      call avR2(2871, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9196])

      allocate(vertices(3838)%branchR2(0:0))
      call avR2(3838, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8768])

      allocate(vertices(1458)%branchR2(0:0))
      call avR2(1458, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9244])

      allocate(vertices(2055)%branchR2(0:1))
      call avR2(2055, 0, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_9026, nGC_9024])

      call avR2(2055, 1, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_9032, nGC_9031])

      allocate(vertices(701)%branchR2(0:1))
      call avR2(701, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_9011, nGC_9011])

      call avR2(701, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_9009, nGC_9010])

      allocate(vertices(396)%branchR2(0:0))
      call avR2(396, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9116])

      allocate(vertices(2511)%branchR2(0:0))
      call avR2(2511, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8912])

      allocate(vertices(572)%branchR2(0:0))
      call avR2(572, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(3315)%branchR2(0:0))
      call avR2(3315, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9109])

      allocate(vertices(1255)%branchR2(0:1))
      call avR2(1255, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8943, nGC_8945])

      call avR2(1255, 1, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8944, nGC_8946])

      allocate(vertices(3464)%branchR2(0:0))
      call avR2(3464, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9109])

      allocate(vertices(2025)%branchR2(0:1))
      call avR2(2025, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8821, nGC_8819])

      call avR2(2025, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8822, nGC_8820])

      allocate(vertices(1647)%branchR2(0:0))
      call avR2(1647, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9236])

      allocate(vertices(3094)%branchR2(0:0))
      call avR2(3094, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_8791])

      allocate(vertices(2150)%branchR2(0:0))
      call avR2(2150, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9220])

      allocate(vertices(1719)%branchR2(0:0))
      call avR2(1719, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9228])

      allocate(vertices(1201)%branchR2(0:0))
      call avR2(1201, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9220])

      allocate(vertices(1967)%branchR2(0:0))
      call avR2(1967, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(2338)%branchR2(0:0))
      call avR2(2338, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9201])

      allocate(vertices(3839)%branchR2(0:0))
      call avR2(3839, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(2548)%branchR2(0:0))
      call avR2(2548, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(2402)%branchR2(0:0))
      call avR2(2402, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8766])

      allocate(vertices(3259)%branchR2(0:0))
      call avR2(3259, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9199])

      allocate(vertices(1209)%branchR2(0:0))
      call avR2(1209, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9125, nGC_9124,       &
      nGC_9123])

      allocate(vertices(3840)%branchR2(0:1))
      call avR2(3840, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9229])

      call avR2(3840, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9230])

      allocate(vertices(2564)%branchR2(0:0))
      call avR2(2564, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8926])

      allocate(vertices(3201)%branchR2(0:0))
      call avR2(3201, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8811])

      allocate(vertices(1114)%branchR2(0:0))
      call avR2(1114, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(2475)%branchR2(0:0))
      call avR2(2475, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8839])

      allocate(vertices(3409)%branchR2(0:0))
      call avR2(3409, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8836])

      allocate(vertices(3069)%branchR2(0:0))
      call avR2(3069, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9238])

      allocate(vertices(244)%branchR2(0:0))
      call avR2(244, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(3229)%branchR2(0:0))
      call avR2(3229, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_8754])

      allocate(vertices(1078)%branchR2(0:3))
      call avR2(1078, 0, 30, 1, 0, VFFa1, 0, [1, 2], [nGC_9066, nGC_9065])

      call avR2(1078, 1, 30, 1, 0, VFFa1, 0, [3, 0], [nGC_9067, nGC_9067])

      call avR2(1078, 2, 31, 1, 0, VFFa1, 0, [1, 2], [nGC_9063, nGC_9062])

      call avR2(1078, 3, 31, 1, 0, VFFa1, 0, [3, 0], [nGC_9064, nGC_9064])

      allocate(vertices(2563)%branchR2(0:0))
      call avR2(2563, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_9044, nGC_9045])

      allocate(vertices(3841)%branchR2(0:0))
      call avR2(3841, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9097, nGC_9098,       &
      nGC_9098])

      allocate(vertices(724)%branchR2(0:1))
      call avR2(724, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8818, nGC_8816])

      call avR2(724, 1, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8841, nGC_8840])

      allocate(vertices(3493)%branchR2(0:0))
      call avR2(3493, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_8754])

      allocate(vertices(2143)%branchR2(0:0))
      call avR2(2143, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9182])

      allocate(vertices(133)%branchR2(0:0))
      call avR2(133, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8972, nGC_8971])

      allocate(vertices(3498)%branchR2(0:0))
      call avR2(3498, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9078])

      allocate(vertices(1681)%branchR2(0:0))
      call avR2(1681, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(1388)%branchR2(0:0))
      call avR2(1388, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8889])

      allocate(vertices(1808)%branchR2(0:0))
      call avR2(1808, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(1129)%branchR2(0:1))
      call avR2(1129, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8985, nGC_8986])

      call avR2(1129, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8987, nGC_8987])

      allocate(vertices(669)%branchR2(0:0))
      call avR2(669, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9164])

      allocate(vertices(2273)%branchR2(0:0))
      call avR2(2273, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9215])

      allocate(vertices(130)%branchR2(0:0))
      call avR2(130, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(524)%branchR2(0:1))
      call avR2(524, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9018])

      call avR2(524, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9019])

      allocate(vertices(3193)%branchR2(0:0))
      call avR2(3193, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9204])

      allocate(vertices(1221)%branchR2(0:0))
      call avR2(1221, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9226])

      allocate(vertices(1161)%branchR2(0:0))
      call avR2(1161, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9113])

      allocate(vertices(2300)%branchR2(0:0))
      call avR2(2300, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_31530])

      allocate(vertices(1668)%branchR2(0:0))
      call avR2(1668, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(2676)%branchR2(0:1))
      call avR2(2676, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8906, nGC_8904])

      call avR2(2676, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8919, nGC_8918])

      allocate(vertices(3433)%branchR2(0:0))
      call avR2(3433, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(1146)%branchR2(0:0))
      call avR2(1146, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(1748)%branchR2(0:0))
      call avR2(1748, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29457])

      allocate(vertices(1663)%branchR2(0:0))
      call avR2(1663, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9214])

      allocate(vertices(214)%branchR2(0:0))
      call avR2(214, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9093])

      allocate(vertices(1819)%branchR2(0:0))
      call avR2(1819, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(592)%branchR2(0:0))
      call avR2(592, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9080])

      allocate(vertices(2277)%branchR2(0:1))
      call avR2(2277, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8987, nGC_8987])

      call avR2(2277, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8985, nGC_8986])

      allocate(vertices(2366)%branchR2(0:1))
      call avR2(2366, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_8931, nGC_8933])

      call avR2(2366, 1, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_8932, nGC_8934])

      allocate(vertices(3842)%branchR2(0:1))
      call avR2(3842, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9162])

      call avR2(3842, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9161])

      allocate(vertices(1632)%branchR2(0:0))
      call avR2(1632, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8907])

      allocate(vertices(1179)%branchR2(0:0))
      call avR2(1179, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8893])

      allocate(vertices(1293)%branchR2(0:0))
      call avR2(1293, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(1186)%branchR2(0:0))
      call avR2(1186, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9227])

      allocate(vertices(3843)%branchR2(0:1))
      call avR2(3843, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9102, nGC_9102,      &
      nGC_9102])

      call avR2(3843, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9103, nGC_9103,      &
      nGC_9103])

      allocate(vertices(805)%branchR2(0:0))
      call avR2(805, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9022])

      allocate(vertices(1780)%branchR2(0:0))
      call avR2(1780, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(67)%branchR2(0:0))
      call avR2(67, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(2126)%branchR2(0:0))
      call avR2(2126, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9080])

      allocate(vertices(1642)%branchR2(0:0))
      call avR2(1642, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(1692)%branchR2(0:1))
      call avR2(1692, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8953, nGC_8955])

      call avR2(1692, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8954, nGC_8956])

      allocate(vertices(2905)%branchR2(0:0))
      call avR2(2905, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9205])

      allocate(vertices(331)%branchR2(0:0))
      call avR2(331, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(1958)%branchR2(0:1))
      call avR2(1958, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_9018])

      call avR2(1958, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_9019])

      allocate(vertices(3844)%branchR2(0:1))
      call avR2(3844, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9161])

      call avR2(3844, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9162])

      allocate(vertices(174)%branchR2(0:0))
      call avR2(174, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9254, nGC_9252,        &
      nGC_9253])

      allocate(vertices(1799)%branchR2(0:0))
      call avR2(1799, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(1517)%branchR2(0:0))
      call avR2(1517, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(459)%branchR2(0:0))
      call avR2(459, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9215])

      allocate(vertices(2362)%branchR2(0:0))
      call avR2(2362, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9213])

      allocate(vertices(2006)%branchR2(0:0))
      call avR2(2006, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(521)%branchR2(0:0))
      call avR2(521, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(1669)%branchR2(0:3))
      call avR2(1669, 0, 22, 1, 0, FaFV1, 0, [1, 2], [nGC_9073, nGC_9072])

      call avR2(1669, 1, 22, 1, 0, FaFV1, 0, [3, 0], [nGC_9067, nGC_9067])

      call avR2(1669, 2, 23, 1, 0, FaFV1, 0, [1, 2], [nGC_9071, nGC_9070])

      call avR2(1669, 3, 23, 1, 0, FaFV1, 0, [3, 0], [nGC_9064, nGC_9064])

      allocate(vertices(2131)%branchR2(0:0))
      call avR2(2131, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(2964)%branchR2(0:0))
      call avR2(2964, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(3150)%branchR2(0:0))
      call avR2(3150, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9238])

      allocate(vertices(3845)%branchR2(0:0))
      call avR2(3845, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9188])

      allocate(vertices(1678)%branchR2(0:1))
      call avR2(1678, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_9025, nGC_9023])

      call avR2(1678, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_9026, nGC_9024])

      allocate(vertices(929)%branchR2(0:0))
      call avR2(929, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9091, nGC_9089,        &
      nGC_9090])

      allocate(vertices(938)%branchR2(0:0))
      call avR2(938, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9100])

      allocate(vertices(2813)%branchR2(0:0))
      call avR2(2813, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9096])

      allocate(vertices(1469)%branchR2(0:1))
      call avR2(1469, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_9018])

      call avR2(1469, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_9019])

      allocate(vertices(3439)%branchR2(0:0))
      call avR2(3439, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9181])

      allocate(vertices(1227)%branchR2(0:0))
      call avR2(1227, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9218])

      allocate(vertices(658)%branchR2(0:0))
      call avR2(658, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(1552)%branchR2(0:0))
      call avR2(1552, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9213])

      allocate(vertices(3100)%branchR2(0:0))
      call avR2(3100, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9160])

      allocate(vertices(426)%branchR2(0:0))
      call avR2(426, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(3846)%branchR2(0:1))
      call avR2(3846, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9162])

      call avR2(3846, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9161])

      allocate(vertices(1851)%branchR2(0:0))
      call avR2(1851, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

      allocate(vertices(759)%branchR2(0:0))
      call avR2(759, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8910])

      allocate(vertices(3847)%branchR2(0:0))
      call avR2(3847, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(2350)%branchR2(0:0))
      call avR2(2350, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9100])

      allocate(vertices(2251)%branchR2(0:0))
      call avR2(2251, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9118])

      allocate(vertices(2106)%branchR2(0:0))
      call avR2(2106, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(1981)%branchR2(0:0))
      call avR2(1981, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9222])

      allocate(vertices(349)%branchR2(0:1))
      call avR2(349, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8895, nGC_8897])

      call avR2(349, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8896, nGC_8898])

      allocate(vertices(3416)%branchR2(0:0))
      call avR2(3416, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(2040)%branchR2(0:0))
      call avR2(2040, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9116])

      allocate(vertices(1670)%branchR2(0:0))
      call avR2(1670, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

      allocate(vertices(509)%branchR2(0:0))
      call avR2(509, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_9001, nGC_9000])

      allocate(vertices(3848)%branchR2(0:0))
      call avR2(3848, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9086])

      allocate(vertices(3080)%branchR2(0:0))
      call avR2(3080, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_8792])

      allocate(vertices(415)%branchR2(0:0))
      call avR2(415, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9117])

      allocate(vertices(452)%branchR2(0:0))
      call avR2(452, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9164])

      allocate(vertices(431)%branchR2(0:0))
      call avR2(431, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9226])

      allocate(vertices(1284)%branchR2(0:0))
      call avR2(1284, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9080])

      allocate(vertices(3322)%branchR2(0:0))
      call avR2(3322, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9196])

      allocate(vertices(788)%branchR2(0:0))
      call avR2(788, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

      allocate(vertices(2088)%branchR2(0:0))
      call avR2(2088, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8846])

      allocate(vertices(241)%branchR2(0:0))
      call avR2(241, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9093])

      allocate(vertices(323)%branchR2(0:0))
      call avR2(323, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9182])

      allocate(vertices(916)%branchR2(0:0))
      call avR2(916, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(740)%branchR2(0:0))
      call avR2(740, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9219])

      allocate(vertices(615)%branchR2(0:0))
      call avR2(615, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(96)%branchR2(0:0))
      call avR2(96, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9039])

      allocate(vertices(471)%branchR2(0:0))
      call avR2(471, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9165])

      allocate(vertices(3849)%branchR2(0:0))
      call avR2(3849, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9088])

      allocate(vertices(3850)%branchR2(0:1))
      call avR2(3850, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9197])

      call avR2(3850, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9198])

      allocate(vertices(191)%branchR2(0:1))
      call avR2(191, 0, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_8781, nGC_8781])

      call avR2(191, 1, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_8795, nGC_8794])

      allocate(vertices(79)%branchR2(0:0))
      call avR2(79, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(3476)%branchR2(0:1))
      call avR2(3476, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_8737, nGC_8734,       &
      nGC_8755, nGC_8755])

      call avR2(3476, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_8733, nGC_8733,       &
      nGC_8756, nGC_8756])

      allocate(vertices(608)%branchR2(0:1))
      call avR2(608, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8997, nGC_8998])

      call avR2(608, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8999, nGC_8999])

      allocate(vertices(587)%branchR2(0:0))
      call avR2(587, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9113])

      allocate(vertices(3184)%branchR2(0:0))
      call avR2(3184, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9205])

      allocate(vertices(1878)%branchR2(0:0))
      call avR2(1878, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(3130)%branchR2(0:0))
      call avR2(3130, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_8793])

      allocate(vertices(390)%branchR2(0:0))
      call avR2(390, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

      allocate(vertices(387)%branchR2(0:0))
      call avR2(387, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9222])

      allocate(vertices(213)%branchR2(0:0))
      call avR2(213, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8812])

      allocate(vertices(1704)%branchR2(0:0))
      call avR2(1704, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9080])

      allocate(vertices(1816)%branchR2(0:0))
      call avR2(1816, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(769)%branchR2(0:0))
      call avR2(769, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9118])

      allocate(vertices(3391)%branchR2(0:0))
      call avR2(3391, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(1699)%branchR2(0:0))
      call avR2(1699, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(2048)%branchR2(0:0))
      call avR2(2048, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9123, nGC_9125,       &
      nGC_9124])

      allocate(vertices(1375)%branchR2(0:0))
      call avR2(1375, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9081])

      allocate(vertices(438)%branchR2(0:0))
      call avR2(438, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(2147)%branchR2(0:0))
      call avR2(2147, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9143])

      allocate(vertices(34)%branchR2(0:0))
      call avR2(34, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8911])

      allocate(vertices(1848)%branchR2(0:0))
      call avR2(1848, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29453])

      allocate(vertices(1532)%branchR2(0:0))
      call avR2(1532, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9170])

      allocate(vertices(444)%branchR2(0:0))
      call avR2(444, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(485)%branchR2(0:0))
      call avR2(485, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(1935)%branchR2(0:0))
      call avR2(1935, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8763])

      allocate(vertices(3851)%branchR2(0:0))
      call avR2(3851, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(2469)%branchR2(0:0))
      call avR2(2469, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(2209)%branchR2(0:0))
      call avR2(2209, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9117])

      allocate(vertices(1843)%branchR2(0:0))
      call avR2(1843, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(2843)%branchR2(0:0))
      call avR2(2843, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29760])

      allocate(vertices(2222)%branchR2(0:1))
      call avR2(2222, 0, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_9026, nGC_9024])

      call avR2(2222, 1, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_9041, nGC_9040])

      allocate(vertices(3852)%branchR2(0:1))
      call avR2(3852, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9216])

      call avR2(3852, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9217])

      allocate(vertices(1327)%branchR2(0:0))
      call avR2(1327, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8827])

      allocate(vertices(3179)%branchR2(0:0))
      call avR2(3179, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9095])

      allocate(vertices(335)%branchR2(0:1))
      call avR2(335, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8943, nGC_8945])

      call avR2(335, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8944, nGC_8946])

      allocate(vertices(1547)%branchR2(0:0))
      call avR2(1547, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9213])

      allocate(vertices(3)%branchR2(0:0))
      call avR2(3, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(1627)%branchR2(0:0))
      call avR2(1627, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9171])

      allocate(vertices(1918)%branchR2(0:0))
      call avR2(1918, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(1427)%branchR2(0:0))
      call avR2(1427, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(1947)%branchR2(0:0))
      call avR2(1947, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8920])

      allocate(vertices(3319)%branchR2(0:0))
      call avR2(3319, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_8791])

      allocate(vertices(2119)%branchR2(0:0))
      call avR2(2119, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

      allocate(vertices(1693)%branchR2(0:0))
      call avR2(1693, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9244])

      allocate(vertices(277)%branchR2(0:0))
      call avR2(277, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9187])

      allocate(vertices(726)%branchR2(0:1))
      call avR2(726, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8996, nGC_8996])

      call avR2(726, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8994, nGC_8995])

      allocate(vertices(2186)%branchR2(0:0))
      call avR2(2186, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9116])

      allocate(vertices(3853)%branchR2(0:0))
      call avR2(3853, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9082])

      allocate(vertices(1890)%branchR2(0:0))
      call avR2(1890, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8831])

      allocate(vertices(1755)%branchR2(0:0))
      call avR2(1755, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9213])

      allocate(vertices(1144)%branchR2(0:1))
      call avR2(1144, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8993, nGC_8993])

      call avR2(1144, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8991, nGC_8992])

      allocate(vertices(1301)%branchR2(0:0))
      call avR2(1301, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(1275)%branchR2(0:0))
      call avR2(1275, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(1652)%branchR2(0:0))
      call avR2(1652, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9100])

      allocate(vertices(1397)%branchR2(0:0))
      call avR2(1397, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9132])

      allocate(vertices(2082)%branchR2(0:0))
      call avR2(2082, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9193])

      allocate(vertices(1893)%branchR2(0:0))
      call avR2(1893, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9151])

      allocate(vertices(2387)%branchR2(0:0))
      call avR2(2387, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9201])

      allocate(vertices(2206)%branchR2(0:0))
      call avR2(2206, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9234])

      allocate(vertices(1900)%branchR2(0:1))
      call avR2(1900, 0, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_9019])

      call avR2(1900, 1, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_9020])

      allocate(vertices(2615)%branchR2(0:1))
      call avR2(2615, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_9029, nGC_9027])

      call avR2(2615, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_9030, nGC_9028])

      allocate(vertices(815)%branchR2(0:0))
      call avR2(815, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(2315)%branchR2(0:0))
      call avR2(2315, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9039])

      allocate(vertices(1715)%branchR2(0:0))
      call avR2(1715, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8771])

      allocate(vertices(1762)%branchR2(0:0))
      call avR2(1762, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9118])

      allocate(vertices(1534)%branchR2(0:0))
      call avR2(1534, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

      allocate(vertices(704)%branchR2(0:0))
      call avR2(704, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(711)%branchR2(0:0))
      call avR2(711, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(2700)%branchR2(0:0))
      call avR2(2700, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9022])

      allocate(vertices(3340)%branchR2(0:0))
      call avR2(3340, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9199])

      allocate(vertices(1612)%branchR2(0:0))
      call avR2(1612, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_9005, nGC_9004])

      allocate(vertices(2892)%branchR2(0:0))
      call avR2(2892, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9235])

      allocate(vertices(2637)%branchR2(0:0))
      call avR2(2637, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(923)%branchR2(0:1))
      call avR2(923, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9026, nGC_9024])

      call avR2(923, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9032, nGC_9031])

      allocate(vertices(1141)%branchR2(0:0))
      call avR2(1141, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(2102)%branchR2(0:0))
      call avR2(2102, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(1013)%branchR2(0:0))
      call avR2(1013, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9213])

      allocate(vertices(3442)%branchR2(0:0))
      call avR2(3442, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29760])

      allocate(vertices(3854)%branchR2(0:1))
      call avR2(3854, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9161])

      call avR2(3854, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9162])

      allocate(vertices(1104)%branchR2(0:0))
      call avR2(1104, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8772])

      allocate(vertices(1571)%branchR2(0:3))
      call avR2(1571, 0, 22, 1, 0, FaFV1, 0, [1, 2], [nGC_9057, nGC_9056])

      call avR2(1571, 1, 22, 1, 0, FaFV1, 0, [3, 0], [nGC_9052, nGC_9052])

      call avR2(1571, 2, 23, 1, 0, FaFV1, 0, [1, 2], [nGC_9055, nGC_9054])

      call avR2(1571, 3, 23, 1, 0, FaFV1, 0, [3, 0], [nGC_9049, nGC_9049])

      allocate(vertices(1793)%branchR2(0:0))
      call avR2(1793, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9193])

      allocate(vertices(1305)%branchR2(0:0))
      call avR2(1305, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(2651)%branchR2(0:1))
      call avR2(2651, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_9030, nGC_9028])

      call avR2(2651, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_9047, nGC_9046])

      allocate(vertices(1812)%branchR2(0:1))
      call avR2(1812, 0, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_9019])

      call avR2(1812, 1, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_9020])

      allocate(vertices(1139)%branchR2(0:0))
      call avR2(1139, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(2097)%branchR2(0:0))
      call avR2(2097, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(2007)%branchR2(0:0))
      call avR2(2007, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8908])

      allocate(vertices(1485)%branchR2(0:0))
      call avR2(1485, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(1380)%branchR2(0:0))
      call avR2(1380, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9093])

      allocate(vertices(3055)%branchR2(0:0))
      call avR2(3055, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_8744, nGC_8745,       &
      nGC_8746, nGC_8746])

      allocate(vertices(2531)%branchR2(0:0))
      call avR2(2531, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(852)%branchR2(0:0))
      call avR2(852, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(2825)%branchR2(0:0))
      call avR2(2825, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_8792])

      allocate(vertices(1124)%branchR2(0:0))
      call avR2(1124, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(1399)%branchR2(0:0))
      call avR2(1399, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(501)%branchR2(0:1))
      call avR2(501, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8903, nGC_8905])

      call avR2(501, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8904, nGC_8906])

      allocate(vertices(2791)%branchR2(0:0))
      call avR2(2791, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9204])

      allocate(vertices(2234)%branchR2(0:0))
      call avR2(2234, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30385])

      allocate(vertices(1990)%branchR2(0:0))
      call avR2(1990, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(2164)%branchR2(0:0))
      call avR2(2164, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30346])

      allocate(vertices(2716)%branchR2(0:0))
      call avR2(2716, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9204])

      allocate(vertices(1945)%branchR2(0:0))
      call avR2(1945, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8888])

      allocate(vertices(3185)%branchR2(0:0))
      call avR2(3185, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_8706, nGC_8705])

      allocate(vertices(3855)%branchR2(0:0))
      call avR2(3855, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9084])

      allocate(vertices(547)%branchR2(0:0))
      call avR2(547, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(3856)%branchR2(0:1))
      call avR2(3856, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9249, nGC_9249,      &
      nGC_9249])

      call avR2(3856, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9248, nGC_9248,      &
      nGC_9248])

      allocate(vertices(2032)%branchR2(0:0))
      call avR2(2032, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9129])

      allocate(vertices(768)%branchR2(0:1))
      call avR2(768, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8970, nGC_8970])

      call avR2(768, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8968, nGC_8969])

      allocate(vertices(3495)%branchR2(0:0))
      call avR2(3495, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9159])

      allocate(vertices(1960)%branchR2(0:3))
      call avR2(1960, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9057, nGC_9056])

      call avR2(1960, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9052, nGC_9052])

      call avR2(1960, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9055, nGC_9054])

      call avR2(1960, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9049, nGC_9049])

      allocate(vertices(791)%branchR2(0:0))
      call avR2(791, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(2466)%branchR2(0:0))
      call avR2(2466, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(3857)%branchR2(0:0))
      call avR2(3857, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9111])

      allocate(vertices(51)%branchR2(0:0))
      call avR2(51, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8925])

      allocate(vertices(2650)%branchR2(0:0))
      call avR2(2650, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9251, nGC_9251,       &
      nGC_9250])

      allocate(vertices(1005)%branchR2(0:0))
      call avR2(1005, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(3858)%branchR2(0:1))
      call avR2(3858, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9249, nGC_9249,      &
      nGC_9249])

      call avR2(3858, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9248, nGC_9248,      &
      nGC_9248])

      allocate(vertices(1044)%branchR2(0:0))
      call avR2(1044, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9100])

      allocate(vertices(260)%branchR2(0:0))
      call avR2(260, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9114])

      allocate(vertices(1845)%branchR2(0:0))
      call avR2(1845, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8959])

      allocate(vertices(401)%branchR2(0:0))
      call avR2(401, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9252, nGC_9254,        &
      nGC_9253])

      allocate(vertices(833)%branchR2(0:1))
      call avR2(833, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8818, nGC_8816])

      call avR2(833, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8841, nGC_8840])

      allocate(vertices(128)%branchR2(0:0))
      call avR2(128, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9224])

      allocate(vertices(3297)%branchR2(0:0))
      call avR2(3297, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8765])

      allocate(vertices(1975)%branchR2(0:0))
      call avR2(1975, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(987)%branchR2(0:0))
      call avR2(987, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9143])

      allocate(vertices(703)%branchR2(0:0))
      call avR2(703, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8922])

      allocate(vertices(3859)%branchR2(0:1))
      call avR2(3859, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9246])

      call avR2(3859, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9247])

      allocate(vertices(2515)%branchR2(0:0))
      call avR2(2515, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9133])

      allocate(vertices(3304)%branchR2(0:0))
      call avR2(3304, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9204])

      allocate(vertices(1224)%branchR2(0:0))
      call avR2(1224, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(13)%branchR2(0:0))
      call avR2(13, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(1121)%branchR2(0:1))
      call avR2(1121, 0, 17, 1, 0, FaVF1, 0, [2, 1], [nGC_9019])

      call avR2(1121, 1, 17, 1, 0, FaVF1, 0, [0, 3], [nGC_9020])

      allocate(vertices(590)%branchR2(0:0))
      call avR2(590, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9094])

      allocate(vertices(826)%branchR2(0:0))
      call avR2(826, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(1636)%branchR2(0:0))
      call avR2(1636, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8832])

      allocate(vertices(1498)%branchR2(0:0))
      call avR2(1498, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8850])

      allocate(vertices(2258)%branchR2(0:0))
      call avR2(2258, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9124, nGC_9123,       &
      nGC_9125])

      allocate(vertices(2687)%branchR2(0:0))
      call avR2(2687, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9128])

      allocate(vertices(957)%branchR2(0:0))
      call avR2(957, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

      allocate(vertices(224)%branchR2(0:0))
      call avR2(224, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(1906)%branchR2(0:1))
      call avR2(1906, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8874, nGC_8876])

      call avR2(1906, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8875, nGC_8877])

      allocate(vertices(2233)%branchR2(0:0))
      call avR2(2233, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9182])

      allocate(vertices(579)%branchR2(0:0))
      call avR2(579, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(562)%branchR2(0:0))
      call avR2(562, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9093])

      allocate(vertices(904)%branchR2(0:0))
      call avR2(904, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8814])

      allocate(vertices(83)%branchR2(0:0))
      call avR2(83, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9236])

      allocate(vertices(2498)%branchR2(0:1))
      call avR2(2498, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8878, nGC_8880])

      call avR2(2498, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8879, nGC_8881])

      allocate(vertices(3284)%branchR2(0:0))
      call avR2(3284, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9096])

      allocate(vertices(3860)%branchR2(0:1))
      call avR2(3860, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9161])

      call avR2(3860, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9162])

      allocate(vertices(1488)%branchR2(0:3))
      call avR2(1488, 0, 29, 1, 0, VFaF1, 0, [1, 2], [nGC_9059, nGC_9058])

      call avR2(1488, 1, 29, 1, 0, VFaF1, 0, [3, 0], [nGC_9049, nGC_9049])

      call avR2(1488, 2, 28, 1, 0, VFaF1, 0, [1, 2], [nGC_9061, nGC_9060])

      call avR2(1488, 3, 28, 1, 0, VFaF1, 0, [3, 0], [nGC_9052, nGC_9052])

      allocate(vertices(958)%branchR2(0:0))
      call avR2(958, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9117])

      allocate(vertices(3213)%branchR2(0:0))
      call avR2(3213, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(1920)%branchR2(0:0))
      call avR2(1920, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8846])

      allocate(vertices(946)%branchR2(0:0))
      call avR2(946, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(3861)%branchR2(0:0))
      call avR2(3861, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9188])

      allocate(vertices(2099)%branchR2(0:0))
      call avR2(2099, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(1249)%branchR2(0:0))
      call avR2(1249, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29453])

      allocate(vertices(3862)%branchR2(0:1))
      call avR2(3862, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9239])

      call avR2(3862, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9240])

      allocate(vertices(911)%branchR2(0:0))
      call avR2(911, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

    end subroutine fill_vertices_mdl12
end module vertices_info12
